<?php

namespace easynews_framework;

use easynews_framework\widgets\easynews_blog;
use easynews_framework\widgets\easynews_products;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class easynews_Register_Elementor {

	/**
	 * Constructor  *
	 * @since 1.0.0 *
	 * @access public
	 */
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions *
	 * @since 1.0.0 *
	 * @access private
	 */
	private function add_actions() {
	    add_action( 'elementor/elements/categories_registered', array( $this, 'add_easynewstheme_category' ) );
		  add_action( 'elementor/widgets/widgets_registered', [ $this, 'on_widgets_registered' ] );
		}

	public function add_easynewstheme_category(  ) {

	    \Elementor\Plugin::instance()->elements_manager->add_category(
	        'easynewstheme',
	        [
	            'title' => __( 'easynews', 'easynews-framework' ),
	            'icon' => 'fa fa-plug',
	        ]
	    );

	}


	/**
	 * On Widgets Registered *
	 * @since 1.0.0 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}

	/**
	 * Includes *
	 * @since 1.0.0 *
	 * @access private
	 */
	
	private function includes() {
		
		require TS_PLUGIN_PATH . 'easynews-elementor/widgets/easynews-blog.php';
		require TS_PLUGIN_PATH . 'easynews-elementor/widgets/easynews-products.php';

	}

	/**
	 * Register Widget *
	 * @since 1.0.0 *
	 * @access private
	 */
	private function register_widget() {
		
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new easynews_blog() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new easynews_products() );
	
	}
	    
	}

new easynews_Register_Elementor();





