<?php
	/*	
	*	Kodeforest Pagebuilder File
	*	---------------------------------------------------------------------
	*	This file contains the page builder settings
	*	---------------------------------------------------------------------
	*/	
	
	$musicnight_theme_option = get_option('musicnight_admin_option', array());

	// create the page option
	if(isset($musicnight_theme_option['enable-page-builder']) && $musicnight_theme_option['enable-page-builder'] == 'enable'){
		add_action('init', 'musicnight_create_page_options');
	}
	if( !function_exists('musicnight_create_page_options') ){
	
		function musicnight_create_page_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			new musicnight_page_options( 
					  
				// page option settings
				array(
					'page-option' => array(
						'title' => esc_html__('Page Option', 'music-night'),
						'options' => array(
							'show-sub' => array(
								'title' => esc_html__('Show Sub Header' , 'music-night'),
								'type' => 'checkbox',
								'default' => 'enable',
								'wrapper-class' => 'columns kode-btn-icons',
								'description'=> esc_html__('Click here to Turn On / Off the Sub Header from here.', 'music-night')
							),	
							'page-caption' => array(
								'title' => esc_html__('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'wrapper-class' => 'columns kode-txt-area',
								'description'=> esc_html__('Enter the page Caption here that you want to show.', 'music-night')
							),								
							'header-background' => array(
								'title' => esc_html__('Header Background Image' , 'music-night'),
								'button' => esc_html__('Upload', 'music-night'),
								'type' => 'upload',
								'wrapper-class' => 'columns kode-bg-sec',
								'description'=> esc_html__('Please Upload the Header Background Image from here.', 'music-night')
							),
							'enable-title-top' => array(
								'title' => __('Content Title (While Visual Composer)', 'music-night'),
								'type' => 'checkbox',
								'default'=>'enable',
								'wrapper-class' => 'columns kode-bg-sec',
								'description'=> esc_attr__('While Visual Composer need to turn off title of the page which come on top of content.', 'music-night')
							),
							'show-author-section' => array(
								'title' => __('Author Section' , 'music-night'),
								'type' => 'checkbox',
								'description'=> esc_attr__('Click here to turn On / Off the Author Information Box from here.', 'music-night'),
								'default' => 'enable',
								'wrapper-class' => 'columns',
							),
							'show-comment-section' => array(
								'title' => __('Comment Section' , 'music-night'),
								'type' => 'checkbox',
								'description'=> esc_attr__('Click here to turn On / Off the Comment Box from here.', 'music-night'),
								'default' => 'enable',
								'wrapper-class' => 'columns',
							),
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('page'),
					'meta_title' => esc_html__('Page Option', 'music-night'),
					'meta_slug' => 'kodeforest-page-option',
					'option_name' => 'post-option',
					'position' => 'side',
					'priority' => 'low',
				)
			);
			
		}
	}
	
	// create the page builder
	$musicnight_theme_option = get_option('musicnight_admin_option', array());
	if( is_admin() ){
		if(isset($musicnight_theme_option['enable-page-builder']) && $musicnight_theme_option['enable-page-builder'] == 'enable'){
			add_action('init', 'musicnight_create_page_builder_option');
		}
	}
	if( !function_exists('musicnight_create_page_builder_option') ){	
		function musicnight_create_page_builder_option(){
			global $musicnight_theme_option;
			new musicnight_page_builder( 
				
				// page builder option setting
				apply_filters('musicnight_page_builder_option',
					array(
						'content-item' => array(
							'title' => esc_html__('Content & Post Options', 'music-night'),
							'blank_option' => esc_html__('- Select Content Element -', 'music-night'),
							'options' => array(
								'full-size-wrapper' => array(
									'title'=> esc_html__('Section', 'music-night'), 
									'type'=>'wrapper',
									'icon'=>'fa-circle-o-notch',
									'options'=>array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom parent class for this element from here.', 'music-night')
										),	
										'type' => array(
											'title' => esc_html__('Type', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'image'=> esc_html__('Background Image', 'music-night'),
												'pattern'=> esc_html__('Predefined Pattern', 'music-night'),
												'video'=> esc_html__('Video Background', 'music-night'),
												'color'=> esc_html__('Color Background', 'music-night'),
												'map'=> esc_html__('Google Map', 'music-night'),
											),
											'default'=>'color',
											'description' => esc_html__('Please select the section type from here.', 'music-night')
										),	
										
										'container' => array(
											'title' => esc_html__('Container', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'full-width'=> esc_html__('Full Width', 'music-night'),
												'container-width'=> esc_html__('Container (inside 1170px)', 'music-night'),
											),
											'description' => esc_html__('Please Select container width. If container is full width, section will be full width.', 'music-night'),
											'default'=>'container-width'
										),
										'map_shortcode' => array(
											'title' => esc_html__('Google Map Shortcode', 'music-night'),
											'type' => 'text',
											'default' => '',
											'wrapper-class'=>'type-wrapper map-wrapper',
											'description' => esc_html__('Please Add google map shortcode to add map as background.', 'music-night')
										),	
										'video_url' => array(
											'title' => esc_html__('Video URL', 'music-night'),
											'type' => 'text',
											'default' => '',
											'wrapper-class'=>'type-wrapper video-wrapper',
											'description' => esc_html__('Please add video url for the parallax video background.', 'music-night')
										),	
										'video_type' => array(
											'title' => esc_html__('Video Type', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'mp4'=> esc_html__('Video Type Mp4 ', 'music-night'),
												'ogg'=> esc_html__('Video Type Ogg ', 'music-night'),
												'webm'=> esc_html__('Video Type Webm ', 'music-night'),
											),
											'wrapper-class'=>'type-wrapper video-wrapper',
											'description' => esc_html__('Select video background type.', 'music-night'),
											'default'=>'mp4'
										),	
										'background-hook'=> array(
											'title'=> esc_html__('Background Image/Video on ::Before' ,'music-night'),
											'type'=> 'checkbox',
											'wrapper-class' => 'type-wrapper image-wrapper video-wrapper'
										),
										'background-width'=> array(
											'title'=> esc_html__('Background Area Width' ,'music-night'),
											'type' => 'text',
											'wrapper-class' => 'type-wrapper image-wrapper video-wrapper background-hook-wrapper background-hook-enable',
											'description' => esc_html__('Please add background area width from here.ie: 50%', 'music-night'),
										),
										'background-image-align' => array(
											'title' => esc_html__('Background Image Alignment', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'left'=> esc_html__('Left', 'music-night'),
												'right'=> esc_html__('Right', 'music-night'),
											),
											'wrapper-class' => 'type-wrapper image-wrapper video-wrapper background-hook-wrapper background-hook-enable',
											'description' => esc_html__('Select Background Image alignment from here.', 'music-night'),
											'default'=>'left'
										),
										'background' => array(
											'title' => esc_html__('Background Image', 'music-night'),
											'button' => esc_html__('Upload', 'music-night'),
											'type' => 'upload',
											'wrapper-class' => 'type-wrapper image-wrapper',
											'description' => esc_html__('Please Add Background Image from here.', 'music-night'),
										),	
										'trans-background'=> array(
											'title'=> esc_html__('Transparent Background' ,'music-night'),
											'type'=> 'checkbox',
											'wrapper-class' => 'type-wrapper image-wrapper video-wrapper',
											'description' => esc_html__('You can turn on / off background transparency from here.', 'music-night'),
										),
										'horizontal-background'=> array(
											'title'=> esc_html__('Horizontal Moving Background' ,'music-night'),
											'type'=> 'checkbox',
											'wrapper-class' => 'type-wrapper image-wrapper',
											'description' => esc_html__('You can turn on / off horizontal moving background from here.', 'music-night'),
										),
										'background-color' => array(
											'title' => esc_html__('Overlay Color', 'music-night'),
											'type' => 'colorpicker',
											'default'=> '#ffffff',
											'wrapper-class'=>'type-wrapper image-wrapper color-wrapper video-wrapper',
											'description' => esc_html__('Please select background color from here.', 'music-night'),
										),												
										'opacity' => array(
											'title' => esc_html__('Opacity', 'music-night'),
											'type' => 'text',
											'default' => '0.03',
											'wrapper-class'=>'type-wrapper image-wrapper video-wrapper',
											'description' => esc_html__('Please add opacity to the background image. for example from .01 to 1', 'music-night')
										),	
										'background-speed' => array(
											'title' => esc_html__('Background Speed', 'music-night'),
											'type' => 'text',
											'default' => '0',
											'wrapper-class' => 'type-wrapper image-wrapper',
											'description' => esc_html__('Fill 0 if you don\'t want the background to scroll and 1 when you want the background to have the same speed as the scroll bar', 'music-night') .
												'<br><br><strong>' . esc_html__('*** only allow the number between -1 to 1', 'music-night') . '</strong>'
										),
										'padding-top' => array(
											'title' => esc_html__('Padding Top', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces before starting any content in this section', 'music-night')
										),	
										'padding-bottom' => array(
											'title' => esc_html__('Padding Bottom', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces after ending of the content in this section', 'music-night')
										),
									)
								),
								'column1-1' => array(
									'title'=> esc_html__('Column', 'music-night'),
									'type'=>'wrapper',
									'icon'=>'fa-columns',
									'size'=>'1/1',
									'options'=>array(	
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom class for this element from here.', 'music-night')
										),
									)
								),
								'simple-column' => array(
									'title'=> esc_html__('Simple Column', 'music-night'), 
									'icon'=>'fa-sticky-note-o',
									'type'=>'item',
									'options'=>array(	
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom class for this element from here.', 'music-night')
										),										
										'content'=> array(
											'title'=> esc_html__('Content Text' ,'music-night'),
											'type'=> 'tinymce',	
										),
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),	 
									)
								),
								'contact-small-box' => array(
									'title'=> esc_html__('Contact Box', 'music-night'), 
									'icon'=>'fa-phone',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),
										'contact-box-icon'=> array(
											'title'=> esc_html__('Box Icon' ,'music-night'),
											'type'=> 'text',
											'default' => 'fa fa-map-marker',
											'description' => esc_html__('please enter the contact box class here, you can find icon classes from fontawesome or theme default page.', 'music-night')
										),
										'contact-box-title'=> array(
											'title'=> esc_html__('Box Title' ,'music-night'),
											'type'=> 'text',
											'default' => 'Office Address',
											'description' => esc_html__('please enter the contact title here.', 'music-night')
										),
										'contact-box-field-1'=> array(
											'title'=> esc_html__('Box Field 1' ,'music-night'),
											'type'=> 'text',
											'default' => 'Sample Address',
											'description' => esc_html__('please enter the contact box field 1 here.', 'music-night')
										),
										'contact-box-field-2'=> array(
											'title'=> esc_html__('Box Field 2' ,'music-night'),
											'type'=> 'text',
											'default' => 'Smaple Address 2',
											'description' => esc_html__('please enter the contact box field 2 here.', 'music-night')
										),
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),	
									)
								),
								'accordion' => array(
									'title'=> esc_html__('Accordion', 'music-night'), 
									'icon'=>'fa-server',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the custom class for this element from here.', 'music-night')
										),	
										'accordion'=> array(
											'type'=> 'tab',
											'default-title'=> esc_html__('Accordion' ,'music-night')											
										),
										'initial-state'=> array(
											'title'=> esc_html__('On Load Open', 'music-night'),
											'type'=> 'text',
											'default'=> 1,
											'description'=> esc_html__('0 will close all tab as an initial state, 1 will open the first tab and so on.', 'music-night')						
										),												
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),
									)
								),
								
								'post-slider' => array(
									'title'=> esc_html__('Post Slider', 'music-night'), 
									'icon'=>'fa-file-o',
									'type'=>'item',
									'options'=>array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),	
										'category'=> array(
											'title'=> esc_html__('Category' ,'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_term_list('video_category'),
											'description'=> esc_html__('Select categories to fetch its posts.', 'music-night')
										),	
										'num-excerpt'=> array(
											'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'description'=> esc_html__('This is a number of word (decided by spaces) that you want to show on the post excerpt. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
										),	
										'num-fetch'=> array(
											'title'=> esc_html__('Num Fetch' ,'music-night'),
											'type'=> 'text',	
											'default'=> '8',
											'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
										),										
										'thumbnail-size'=> array(
											'title'=> esc_html__('Thumbnail Size' ,'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'description' => esc_html__('Select thumbnail size of this element from here.', 'music-night')
										),	
										'style'=> array(
											'title'=> esc_html__('Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'no-excerpt'=>esc_html__('No Excerpt', 'music-night'),
												'with-excerpt'=>esc_html__('With Excerpt', 'music-night'),
											)
										),
										'caption-style'=> array(
											'title'=> esc_html__('Caption Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'post-bottom post-slider'=>esc_html__('Bottom Caption', 'music-night'),
												'post-right post-slider'=>esc_html__('Right Caption', 'music-night'),
												'post-left post-slider'=>esc_html__('Left Caption', 'music-night')
											),
											'wrapper-class' => 'style-wrapper with-excerpt-wrapper'
										),											
										'orderby'=> array(
											'title'=> esc_html__('Order By' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'date' => esc_html__('Publish Date', 'music-night'), 
												'title' => esc_html__('Title', 'music-night'), 
												'rand' => esc_html__('Random', 'music-night'), 
											)
										),
										'order'=> array(
											'title'=> esc_html__('Order' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'desc'=>esc_html__('Descending Order', 'music-night'), 
												'asc'=> esc_html__('Ascending Order', 'music-night'), 
											)
										),			
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),											
									)
								),
								
								'column-service' => array(
									'title'=> esc_html__('Column Services', 'music-night'), 
									'icon'=>'fa-gg',
									'type'=>'item',
									'options'=>array(
										'element-item-id' => array(
											'title' => esc_html__('Page Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the page item id.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Page Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('please add the page item class.', 'music-night')
										),
										'style'=> array(
											'title'=> esc_html__('Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'style-1' => esc_html__('Style 1', 'music-night'),
											),
											'description' => esc_html__('Select style from here.', 'music-night')
										),											
										'title'=> array(
											'title'=> esc_html__('Title' ,'music-night'),
											'type'=> 'text',						
										),
										'services-image' => array(
											'title' => __('Services Image' , 'music-night'),
											'button' => __('Upload', 'music-night'),
											'type' => 'upload',	
											'description' => esc_html__('Add services image of column service from here.', 'music-night')
										),
										'services-image-size' => array(
											'title' => esc_html__('Thumbnail Size', 'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'default'=> 'musicforest-post-thumbnail-size',
											'description' => esc_html__('Select thumbnail size of this element from here.', 'music-night')
										),										
										'icon_type'=> array(
											'title'=> esc_html__('Icon Class' ,'music-night'),
											'type'=> 'text',						
											'wrapper-class' => '',
										),	
										'content'=> array(
											'title'=> esc_html__('Content Text' ,'music-night'),
											'type'=> 'textarea',
											'type'=> 'tinymce',						
										),
										'service-link-text'=> array(
											'title'=> esc_html__('Link Text' ,'music-night'),
											'type'=> 'text',						
										),
										'service-link'=> array(
											'title'=> esc_html__('Service Link' ,'music-night'),
											'type'=> 'text',						
										),
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),	 
									)
								),								
								'sidebar' => array(
									'title'=> esc_html__('Sidebar', 'music-night'), 
									'icon'=>'fa-th',
									'type'=>'item',
									'options'=> 
									array(
										'widget'=> array(
											'title'=> esc_html__('Select Widget Area' ,'music-night'),
											'type'=> 'combobox_sidebar',
											'options'=> $musicnight_theme_option['sidebar-element'],
											'description'=> esc_html__('You can select Widget Area of your choice.', 'music-night')
										),	
									)
								),
								'blog' => array(
									'title'=> esc_html__('Blog', 'music-night'), 
									'icon'=>'fa-cube',
									'type'=>'item',
									'options'=>  array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),									
										'category'=> array(
											'title'=> esc_html__('Category' ,'music-night'),
											'type'=> 'multi-combobox',
											'options'=> musicnight_get_term_list('category'),
											'description'=> esc_html__('Select categories to fetch its posts.', 'music-night')
										),	
										'tag'=> array(
											'title'=> esc_html__('Tag' ,'music-night'),
											'type'=> 'multi-combobox',
											'options'=> musicnight_get_term_list('post_tag'),
											'description'=> esc_html__('Select tags to fetch its posts.', 'music-night')
										),	
										'kode-blog-thumbnail-size' => array(
											'title' => esc_html__('First Thumbnail Size', 'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'default'=> 'musicforest-post-thumbnail-size',
											'description' => esc_html__('Select thumbnail size of this element from here.', 'music-night')
										),
										'blog-style'=> array(
											'title'=> esc_html__('Blog Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												// 'blog-list' => esc_html__('Blog List View', 'music-night'),
												'blog-grid' => esc_html__('Blog Grid View', 'music-night'),
												// 'blog-small-grid' => esc_html__('Blog List Modern View', 'music-night'),
												// 'blog-modern-grid' => esc_html__('Blog Modern Grid View', 'music-night'),
												'blog-full' => esc_html__('Blog Full View', 'music-night'),
											),
											'default'=>'blog-full',
											'description' => esc_html__('Select blog style from here.', 'music-night')
										),	
										'blog-meta'=> array(
											'title'=> esc_html__('Blog Meta' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'yes' => esc_html__('Yes', 'music-night'),
												'no' => esc_html__('No', 'music-night'),
											),
											'default'=>'blog-full',
											'description' => esc_html__('Show / Hide blog Meta from here.', 'music-night')
										),
										'blog-share'=> array(
											'title'=> esc_html__('Blog Share' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'yes' => esc_html__('Yes', 'music-night'),
												'no' => esc_html__('No', 'music-night'),
											),
											'default'=>'blog-full',
											'description' => esc_html__('Show / Hide blog Share from here.', 'music-night')
										),
										'blog-slider'=> array(
											'title'=> esc_html__('Blog Slider' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'carousel' => esc_html__('Carousel', 'music-night'),
												'simple-post' => esc_html__('Simple List (No Slider)', 'music-night'),
											),
											'default'=>'blog-full',
											'wrapper-class' => 'blog-list-wrapper blog-grid-wrapper blog-full-wrapper blog-style-wrapper blog-grid-wrapper',
											'description' => esc_html__('Select blog layout from here.', 'music-night')
										),
										'blog-size'=> array(
											'title'=> esc_html__('Blog Size' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'1' => esc_html__('1 Column', 'music-night'),
												'2' => esc_html__('2 Column', 'music-night'),
												'3' => esc_html__('3 Column', 'music-night'),
												// '4' => esc_html__('4 Column', 'music-night'),												
												// '6' => esc_html__('6 Column', 'music-night'),
											),
											'wrapper-class' => 'blog-list-wrapper blog-small-grid-wrapper blog-full-wrapper blog-grid-wrapper blog-style-wrapper',
											'default'=>'blog-full',
											'description' => esc_html__('Select blog column size from here.', 'music-night')
										),	
										'title-num-fetch'=> array(
											'title'=> esc_html__('Num Title (Character)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'description'=> esc_html__('This is a number of characters that you want to show on the post title.', 'music-night')
										),	
										'num-excerpt'=> array(
											'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'description'=> esc_html__('This is a number of characters that you want to show on the post description.', 'music-night')
										),	
										'num-fetch'=> array(
											'title'=> esc_html__('Num Fetch' ,'music-night'),
											'type'=> 'text',	
											'default'=> '8',
											'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
										),										
										'orderby'=> array(
											'title'=> esc_html__('Order By' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'date' => esc_html__('Publish Date', 'music-night'), 
												'title' => esc_html__('Title', 'music-night'), 
												'rand' => esc_html__('Random', 'music-night'), 
											)
										),
										'order'=> array(
											'title'=> esc_html__('Order' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'desc'=>esc_html__('Descending Order', 'music-night'), 
												'asc'=> esc_html__('Ascending Order', 'music-night'), 
											)
										),	
										'pagination'=> array(
											'title'=> esc_html__('Enable Pagination' ,'music-night'),
											'type'=> 'checkbox'
										),	
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),										
									)
								),
								'blog-slider' => array(
									'title'=> esc_html__('Blog Slider', 'music-night'), 
									'icon'=>'fa-rocket',
									'type'=>'item',
									'options'=>  array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),
										'category'=> array(
											'title'=> esc_html__('Category' ,'music-night'),
											'type'=> 'multi-combobox',
											'options'=> musicnight_get_term_list('category'),
											'description'=> esc_html__('Select categories to fetch its posts.', 'music-night')
										),	
										'element-type'=> array(
											'title'=> esc_html__('Element Type' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'slider'=>esc_html__('Slider', 'music-night'), 
												'simple-post'=> esc_html__('Simple Post', 'music-night'), 
											),
											'description'=> esc_html__('Select Blog Post Layout from here.', 'music-night')
										),	
										'thumbnail-size' => array(
											'title' => esc_html__('Thumbnail Size', 'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'default'=> 'thumbnail-size',
											'description' => esc_html__('Select thumbnail size of this element from here.', 'music-night')
										),
										'title-num-fetch'=> array(
											'title'=> esc_html__('Num Title (Character)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'description'=> esc_html__('This is a number of characters that you want to show on the post title.', 'music-night')
										),	
										'num-excerpt'=> array(
											'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'description'=> esc_html__('This is a number of characters that you want to show on the post description.', 'music-night')
										),	
										'num-fetch'=> array(
											'title'=> esc_html__('Num Fetch' ,'music-night'),
											'type'=> 'text',	
											'default'=> '8',
											'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
										),										
										'orderby'=> array(
											'title'=> esc_html__('Order By' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'date' => esc_html__('Publish Date', 'music-night'), 
												'title' => esc_html__('Title', 'music-night'), 
												'rand' => esc_html__('Random', 'music-night'), 
											)
										),
										'order'=> array(
											'title'=> esc_html__('Order' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'desc'=>esc_html__('Descending Order', 'music-night'), 
												'asc'=> esc_html__('Ascending Order', 'music-night'), 
											)
										),	
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),										
									)
								),
								'headings' => array(
									'title'=> esc_html__('Fancy Heading', 'music-night'), 
									'icon'=>'fa-header',
									'type'=>'item',
									'options'=>  array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),										
										'element-style'=> array(
											'title'=> esc_html__('Heading Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'style-1'=>esc_html__('Style 1 - Filter', 'music-night'),
												'style-2'=>esc_html__('Style 2', 'music-night'),
												'style-3'=>esc_html__('Style 3', 'music-night'),
												'style-4'=>esc_html__('Style 4', 'music-night'),
											),
											'description' => esc_html__('Please select style of this element from here.', 'music-night')
										),
										'alignment'=> array(
											'title'=> esc_html__('Heading Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'center'=>esc_html__('Center', 'music-night'),
												'left'=>esc_html__('Left', 'music-night'),
												'right'=>esc_html__('Right', 'music-night'),
											),
											'description' => esc_html__('Please select alignment of this element from here.', 'music-night')
										),	
										'filter'=> array(
											'title'=> esc_html__('Filter' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'yes'=>esc_html__('Yes', 'music-night'),
												'no'=>esc_html__('No', 'music-night')
											),
											'description' => esc_html__('Please select filter of this element from here.', 'music-night')
										),	
										'title'=> array(
											'title'=> esc_html__('Title' ,'music-night'),
											'type'=> 'text',	
											'default'=> '',
											'description'=> esc_html__('Add heading title here.', 'music-night')
										),
										'title-color' => array(
											'title' => esc_html__('Title Color', 'music-night'),
											'type' => 'colorpicker',
											'default'=> '#ffffff',	
											'description'=> esc_html__('Add heading title color from here.', 'music-night')
										),
										'caption'=> array(
											'title'=> esc_html__('Caption' ,'music-night'),
											'type'=> 'text',	
											'default'=> '',
											'description'=> esc_html__('Add heading Caption here.', 'music-night')
										),
										'caption-color' => array(
											'title' => esc_html__('Caption Color', 'music-night'),
											'type' => 'colorpicker',
											'default'=> '#ffffff',	
											'description'=> esc_html__('Add heading caption color from here.', 'music-night')
										),
										
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),										
									)
								),
								'newsletter-form' => array(
									'title'=> esc_html__('Newsletter', 'music-night'), 
									'icon'=>'fa-newspaper-o',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),
										'news-title'=> array(
											'title'=> esc_html__('Newsletter Title' ,'music-night'),
											'type'=> 'text',
											'default' => 'Newsletter Sign Up',
											'description' => esc_html__('please enter the newsletter title here.', 'music-night')
										),	
										'news-caption'=> array(
											'title'=> esc_html__('Newsletter Caption Text' ,'music-night'),
											'type'=> 'text',
											'default' => 'For Latest Updates & For Majalis',
											'description' => esc_html__('please enter the newsletter caption text here.', 'music-night')
										),
										'btn-title'=> array(
											'title'=> esc_html__('Button Title Text' ,'music-night'),
											'type'=> 'text',
											'default' => 'Submit',
											'description' => esc_html__('please enter the button text here.', 'music-night')
										),
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),	
									)
								),	
								'content' => array(
									'title'=> esc_html__('Content', 'music-night'), 
									'icon'=>'fa-contao',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),	
										'show-title' => array(
											'title' => esc_html__('Show Title' , 'music-night'),
											'type' => 'checkbox',
											'default' => 'enable',
											'description' => esc_html__('You can enable / disable the title on page from here.', 'music-night')
										),						
										'page-caption' => array(
											'title' => esc_html__('Page Caption' , 'music-night'),
											'type' => 'textarea',
											'description' => esc_html__('Please add the page caption from here.', 'music-night')
										),		
										'show-content' => array(
											'title' => esc_html__('Show Content (From Default Editor)' , 'music-night'),
											'type' => 'checkbox',
											'default' => 'enable',
											'description' => esc_html__('You can enable / disable the content of default editor from here.', 'music-night')
										),	
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),														
									)
								), 	
								'divider' => array(
									'title'=> esc_html__('Divider', 'music-night'), 
									'icon'=>'fa-minus',
									'type'=>'item',
									'options'=>array(									
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),										
									)
								),
								
								'gallery' => array(
									'title'=> esc_html__('Gallery', 'music-night'), 
									'icon'=>'fa-houzz',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),
										'gallery-style'=> array(
											'title'=> esc_html__('Gallery Style' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'style-1'=>'Style 1',
												'style-2'=>'Style 2',
											),
											'default'=> '4',
											'description' => esc_html__('Please select Gallery style from here.', 'music-night')
										),											
										'slider'=> array(	
											'overlay'=> 'false',
											'caption'=> 'false',
											'type'=> 'gallery',
										),	
										'gallery-padding'=> array(
											'title'=> __('Gallery Padding' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'without-padding' => __('Without Padding', 'music-night'),
												'with-padding' => __('With Padding', 'music-night'),
											),
										),										
										'thumbnail-size'=> array(
											'title'=> esc_html__('Thumbnail Size' ,'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'description' => esc_html__('Please select thumbnail size from here.', 'music-night')
										),
										'gallery-columns'=> array(
											'title'=> esc_html__('Gallery Image Columns' ,'music-night'),
											'type'=> 'combobox',
											'options'=> array('2'=>'2', '3'=>'3', '4'=>'4','6'=>'6'),
											'default'=> '4',
											'description' => esc_html__('Please select Gallery Columns from here.', 'music-night')
										),	
										'num-fetch'=> array(
											'title'=> esc_html__('Num Fetch (Per Page)' ,'music-night'),
											'type'=> 'text',
											'description'=> esc_html__('Leave this field blank to fetch all image without pagination.', 'music-night'),
											'wrapper-class'=>'gallery-style-wrapper grid-wrapper'
										),
										'pagination'=> array(
											'title'=> esc_html__('Enable Pagination' ,'music-night'),
											'type'=> 'checkbox'
										),	
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),	
									)	
								),	
								'pricing-table' => array(
									'title'=> esc_html__('Pricing Table', 'music-night'), 
									'icon'=>'fa-money',
									'type'=>'item',
									'options'=> array(
										'title' => array(
											'title' => esc_html__('Title', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Insert the price table title', 'music-night')
										),
										'title-2' => array(
											'title' => esc_html__('Sub Title', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Insert the price table sub title', 'music-night')
										),
										'price-table' => array(
											'title' => esc_html__('Price Of Package', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please enter the price of the package.', 'music-night')
										),
										'button-text' => array(
											'title' => esc_html__('Button Text', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Insert the price table button text', 'music-night')
										),
										'button-url' => array(
											'title' => esc_html__('Button Url', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Insert the price table button url', 'music-night')
										),
										'tab'=> array(
											'type'=> 'pricing',
											'default-title'=> esc_html__('Tab' ,'music-night')											
										),
									)
								),
								'call-to-action' => array(
									'title'=> esc_html__('Call To Action', 'music-night'), 
									'icon'=>'fa-paper-plane-o',
									'type'=>'item',
									'options'=> array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),
										'style-layout'=> array(
											'title'=> esc_html__('Style', 'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'style-1' => esc_html__('Style 1', 'music-night'),
												'style-2' => esc_html__('Style 2', 'music-night'),
												'style-3' => esc_html__('Style 3', 'music-night'),
												'style-4' => esc_html__('Style 4', 'music-night')
											),
											'description' => esc_html__('Please select style from here.', 'music-night')
										),	
										'title' => array(
											'title' => esc_html__('Title', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Add title of call to action here.', 'music-night')
										),
										'title-color' => array(
											'title' => esc_html__('title Color', 'music-night'),
											'type' => 'colorpicker',
											'default'=> '#ffffff',	
											'description' => esc_html__('Add title color of call to action here.', 'music-night')
										),
										'background-image' => array(
											'title' => __('Background Image' , 'music-night'),
											'button' => __('Upload', 'music-night'),
											'type' => 'upload',	
											'description' => esc_html__('Add background image of call to action from here.', 'music-night')
										),
										'caption' => array(
											'title' => esc_html__('Caption', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Add caption text of call to action here.', 'music-night'),
										),
										'caption-color' => array(
											'title' => esc_html__('Caption Text Color', 'music-night'),
											'type' => 'colorpicker',
											'default'=> '#ffffff',
											'description' => esc_html__('Select caption text color of call to action here.', 'music-night'),
										),
										'link' => array(
											'title' => esc_html__('Link URL', 'music-night'),
											'type' => 'text',
											'default' => '#',
											'description' => esc_html__('Add the button URL link here.', 'music-night'),
										),
										'link-text' => array(
											'title' => esc_html__('Link Text', 'music-night'),
											'type' => 'text',
											'default' => 'Join Us',
											'description' => esc_html__('Add the button text here.', 'music-night'),
										),
									)
								),
								'slider' => array(
									'title'=> esc_html__('Slider', 'music-night'), 
									'icon'=>'fa-sliders',
									'type'=>'item',
									'options'=>array(
										'element-item-id' => array(
											'title' => esc_html__('Element Item ID', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom id for this element from here.', 'music-night')
										),
										'element-item-class' => array(
											'title' => esc_html__('Element Item Class', 'music-night'),
											'type' => 'text',
											'default' => '',
											'description' => esc_html__('Please add the custom class for this element from here.', 'music-night')
										),	
										'slider'=> array(	
											'overlay'=> 'false',
											'caption'=> 'true',
											'type'=> 'slider'						
										),	
										'slider-type'=> array(
											'title'=> esc_html__('Slider Type', 'music-night'),
											'type'=> 'combobox',
											'options'=> array(
												'flexslider' => esc_html__('Flex slider', 'music-night'),
												'bxslider' => esc_html__('BX Slider', 'music-night'),
												'slick' => esc_html__('Slick Slider', 'music-night'),
												'nivoslider' => esc_html__('Nivo Slider', 'music-night')
											),
											'description' => esc_html__('Please select slider type from here.', 'music-night')
										),		
										'margin-bottom' => array(
											'title' => esc_html__('Margin Bottom', 'music-night'),
											'type' => 'text',											
											'description' => esc_html__('Spaces after ending of this item', 'music-night')
										),											
									)
								),	

							)
						),
					)
				),
				// page builder option attribute
				array(
					'post_type' => array('page'),
					'title' => 'Page Options',
					'meta_title' => esc_html__('Page Builder Options', 'music-night'),
				)
			);
			
		}
		
	}
	
	
	// show the pagebuilder item
	if( !function_exists('musicnight_show_page_builder') ){
		function musicnight_show_page_builder($content, $full_width = true){
			global $musicnight_counter;
			$section = array(0, false); // (size, independent)
			foreach( $content as $item ){			
				// determine the current item size
				$current_size = 1;
				if( !empty($item['size']) ){
					$current_size = musicnight_item_size_to_num($item['size']);
				}
				
				// print each section
				if( $item['type'] == 'color-wrapper' || $item['type'] == 'parallax-bg-wrapper' ||
					$item['type'] == 'full-size-wrapper' ){
					$section = musicnight_show_section($section, $current_size, true);	
				}else{
					$section = musicnight_show_section($section, $current_size, false);	
				}
				
				// start printing item
				if( $item['item-type'] == 'wrapper' ){
					if( $item['type'] == 'color-wrapper' ){
						musicnight_show_color_wrapper( $item );
					}else if(  $item['type'] == 'parallax-bg-wrapper'){
						musicnight_show_parallax_wrapper( $item );
					}else if(  $item['type'] == 'full-size-wrapper'){
						musicnight_show_full_size_wrapper( $item );
					}else{
						musicnight_show_column_wrapper( $item );
					}
				}else{
					musicnight_show_element( $item );
				}
				$musicnight_counter++;
			}
			
			echo '<div class="clear"></div>';
			
			if( !$section[1] ){
				echo '</div>';
				echo '</div>'; 
			} // close container of dependent section
			echo '</div>'; // close the last opened section
			
		}
	}
	
	// print each section
	if( !function_exists('musicnight_show_section') ){
		function musicnight_show_section( $section, $size, $independent = false ){
			global $musicnight_section_id;
			if( empty($musicnight_section_id) ){ $musicnight_section_id = 1; }

			if( $section[0] == 0 ){ // starting section
				echo '<div id="content-section-' . $musicnight_section_id . '" >';
				if( !$independent ){ echo '<div class="section-container container"><div class="row">'; } // open container
				
				$section = array($size, $independent);
				$musicnight_section_id ++;
			}else{

				if( $independent || $section[1] ){ // current or previous section is independent
				
					echo '<div class="clear"></div>';
					if( !$section[1] ){ echo '</div></div>'; } // close container of dependent section
					echo '</div>';
					
					echo '<div id="content-section-' . $musicnight_section_id . '" >';		
					if( !$independent ){ echo '<div class="section-container container"><div class="row">'; } // open container
					
					$section[0] = ceil($section[0]) + $size; $section[1] = $independent;
					$musicnight_section_id ++;
				}else{

					if( abs((float)$section[0] - floor($section[0])) < 0.01 || 	// is integer or
						(floor($section[0]) < floor($section[0] + $size - 0.01)) ){ 	// exceeding current line
						echo '<div class="clear"></div>';
					}
					if( $size == 1 ){
						echo '<div class="clear"></div>';
						$section[0] = ceil($section[0]) + $size; $section[1] = $independent;
					}else{
						$section[0] += $size; $section[1] = $independent;
					}
				}
			}
			
			return $section;
		}
	}	

	
	
	// print color wrapper
	if( !function_exists('musicnight_show_color_wrapper') ){
		function musicnight_show_color_wrapper( $content ){
			$item_id = empty($content['option']['element-item-id'])? '': ' id="' . esc_attr($content['option']['element-item-id']) . '" ';
			
			global $musicnight_spaces;
			$padding  = (!empty($content['option']['padding-top']) && 
				($musicnight_spaces['top-wrapper'] != $content['option']['padding-top']))? 
				'padding-top: ' . esc_attr($content['option']['padding-top']) . 'px; ': '';
			$padding .= (!empty($content['option']['padding-bottom']) && 
				($musicnight_spaces['bottom-wrapper'] != $content['option']['padding-bottom']))? 
				'padding-bottom: ' . esc_attr($content['option']['padding-bottom']) . 'px; ': '';
				
			$border = '';
			if( !empty($content['option']['border']) && $content['option']['border'] != 'none' ){
				if($content['option']['border'] == 'top' || $content['option']['border'] == 'both'){
					$border .= ' border-top: 4px solid '. esc_attr($content['option']['border-top-color']) . '; ';
				}
				if($content['option']['border'] == 'bottom' || $content['option']['border'] == 'both'){
					$border .= ' border-bottom: 4px solid '. esc_attr($content['option']['border-bottom-color']) . '; ';
				}
			}

			$content['option']['show-section'] = !empty($content['option']['show-section'])? $content['option']['show-section']: '';
			echo '<div class="kode-color-wrapper ' . ' ' . esc_attr($content['option']['show-section']) . '" ' . $item_id;
			if( !empty($content['option']['background']) || !empty($padding) ){
				echo 'style="';
				if( empty($content['option']['background-type']) || $content['option']['background-type'] == 'color' ){
					echo !empty($content['option']['background'])? 'background-color: ' . esc_attr($content['option']['background']) . '; ': '';
				}
				echo esc_attr($border);
				echo esc_attr($padding);
				echo '" ';
			}
			echo '>';
			echo '<div class="container"><div class="row">';
		
			foreach( $content['items'] as $item ){	
				if( $item['item-type'] == 'wrapper' ){
					musicnight_show_column_wrapper( $item );
				}else{
					musicnight_show_element( $item );
				}
			}	
			
			echo '<div class="clear"></div>';
			echo '</div></div>'; // close container
			echo '</div>'; // close wrapper
		}
	}	
	
	// show parallax wrapper
	if( !function_exists('musicnight_show_parallax_wrapper') ){
		function musicnight_show_parallax_wrapper( $content ){
			global $parallax_wrapper_id;
			$parallax_wrapper_id = empty($parallax_wrapper_id)? 1: $parallax_wrapper_id;
			if( empty($content['option']['element-item-id']) ){
				$content['option']['element-item-id'] = 'kode-parallax-wrapper-' . $parallax_wrapper_id;
				$parallax_wrapper_id++;
			}
			$item_id = ' id="' . esc_attr($content['option']['element-item-id']) . '" ';

			global $musicnight_spaces;
			$padding  = (!empty($content['option']['padding-top']) && 
				($musicnight_spaces['top-wrapper'] != $content['option']['padding-top']))? 
				'padding-top: ' . esc_attr($content['option']['padding-top']) . 'px; ': '';
			$padding .= (!empty($content['option']['padding-bottom']) && 
				($musicnight_spaces['bottom-wrapper'] != $content['option']['padding-bottom']))? 
				'padding-bottom: ' . esc_attr($content['option']['padding-bottom']) . 'px; ': '';

			$border = '';

			echo '<div class="kode-parallax-wrapper kode-background-' . esc_attr($content['option']['type']) . '" ' . $item_id;
			
			// background parallax
			if( !empty($content['option']['background']) && $content['option']['type'] == 'image' ){
				if( !empty($content['option']['background-speed']) ){
					echo 'data-bgspeed="' . esc_attr($content['option']['background-speed']) . '" ';
				}else{
					echo 'data-bgspeed="0" ';
				}				
			
				if( is_numeric($content['option']['background']) ){
					$background = wp_get_attachment_image_src($content['option']['background'], 'full');
					$background = esc_url($background[0]);
				}else{
					$background = esc_url($content['option']['background']);
				}
				if(empty($content['option']['opacity']) || $content['option']['opacity'] == ''){ $content['option']['opacity'] = '0.03';}
				if(empty($content['option']['background-color']) || $content['option']['background-color'] == ''){ $content['option']['background-color'] = '#000';}
				echo 'style="background-color:'.esc_attr($content['option']['background-color']).';background-image: url(\'' . esc_url($background) . '\'); ' . $padding . $border . '" >';			
				echo '<style type="text/css">';
				echo '#' . esc_attr($content['option']['element-item-id']) . '{';
				echo ' position:relative;';
				echo '}';
				echo '#' . esc_attr($content['option']['element-item-id']) . ' .container{';
				echo ' position:relative;z-index:99999;';
				echo '}';
				echo '#' . esc_attr($content['option']['element-item-id']) . ':before{';
				echo 'opacity:'.esc_attr($content['option']['opacity']).';content:"";position:absolute;left:0px;top:0px;height:100%;width:100%;';
				echo '}';
				echo '</style>';
				if( !empty($content['option']['background-mobile']) ){
					if( is_numeric($content['option']['background-mobile']) ){
						$background = wp_get_attachment_image_src($content['option']['background-mobile'], 'full');
						$background = esc_url($background[0]);
					}else{
						$background = esc_url($content['option']['background-mobile']);
					}				
				
					echo '<style type="text/css">@media only screen and (max-width: 767px){ ';
					echo '#' . esc_attr($content['option']['element-item-id']) . '{';
					echo ' background-image: url(\'' . esc_url($background) . '\') !important;';
					echo '}';
					echo '}</style>';
				}
				
			// background pattern 
			}else if($content['option']['type'] == 'pattern'){
				$background = MUSICNIGHT_PATH . '/images/pattern/pattern-' . esc_attr($content['option']['pattern']) . '.png';
				echo 'style="background-image: url(\'' . esc_url($background) . '\'); ' . $padding . $border . '" >';
			
			// background video
			}else if( $content['option']['type'] == 'video' ){
				echo 'style="' . $padding . $border . '" >';
				
				global $musicnight_gallery_id; $musicnight_gallery_id++;
				$overlay_opacity = (empty($content['option']['video-overlay']))? 0: floatval($content['option']['video-overlay']);
				
				echo '<div id="kode-player-' . esc_attr($musicnight_gallery_id) . '" class="kode-bg-player" data-property="';
				echo '{videoURL:\'' . esc_attr($content['option']['video']) . '\',containment:\'#kode-player-' . esc_attr($musicnight_gallery_id) . '\',';
				echo 'startAt:0,mute:true,autoPlay:true,loop:true,printUrl:false,realfullscreen:false,quality:\'hd720\'';
				echo (!empty($content['option']['video-player']) && $content['option']['video-player'] == 'disable')? ',showControls:false':'';
				echo '}"><div class="kode-player-overlay" ';
				echo 'style="opacity: ' . esc_attr($overlay_opacity) . '; filter: alpha(opacity=' . esc_attr($overlay_opacity) * 100 . ');" ';
				echo '></div></div>';

			// background video / none
			}else if($content['option']['type'] == 'map'){
				echo 'style="' . $padding . $border . '" >';
				echo do_shortcode($content['option']['map_shortcode']);
				echo '';
			}else if(!empty($padding) || !empty($border) ){
				echo 'style="' . $padding . $border . '" >';
			}

			echo '<div class="container"><div class="row">';
		
			foreach( $content['items'] as $item ){
				if( $item['item-type'] == 'wrapper' ){
					musicnight_show_column_wrapper( $item );
				}else{
					musicnight_show_element( $item );
				}
			}	
			
			echo '<div class="clear"></div>';
			echo '</div>'; // close row
			echo '</div>'; // close container
			echo '</div>'; // close wrapper
		}
	}
	
	// print full size wrapper
	if( !function_exists('musicnight_show_full_size_wrapper') ){
		function musicnight_show_full_size_wrapper( $content ){
			global $musicnight_wrapper_id;
			$musicnight_wrapper_id = empty($musicnight_wrapper_id)? 1: $musicnight_wrapper_id;
			if( empty($content['option']['element-item-id']) ){
				$content['option']['element-item-id'] = 'kode-parallax-wrapper-' . $musicnight_wrapper_id;
				$musicnight_wrapper_id++;
			}
			
			$musicnight_trans_class = '';
			if( !empty($content['option']['trans-background']) ){
				$musicnight_trans_class = $content['option']['trans-background'];
			}
			$musicnight_wrapper_class = '';
			if( !empty($content['option']['element-item-class']) ){
				$musicnight_wrapper_class = $content['option']['element-item-class'];
			}
			$item_id = ' id="' . esc_attr($content['option']['element-item-id']) . '" ';

			global $musicnight_spaces;
			$padding  = (!empty($content['option']['padding-top']) && 
				($musicnight_spaces['top-wrapper'] != $content['option']['padding-top']))? 
				'padding-top: ' . esc_attr($content['option']['padding-top']) . 'px; ': '';
			$padding .= (!empty($content['option']['padding-bottom']) && 
				($musicnight_spaces['bottom-wrapper'] != $content['option']['padding-bottom']))? 
				'padding-bottom: ' . esc_attr($content['option']['padding-bottom']) . 'px; ': '';

			$border = '';
			$content['option']['type'] = (empty($content['option']['type']))? ' ': $content['option']['type'];
			$musicnight_trans_bg = '';
			$musicnight_solid_bg = '';
			if($musicnight_trans_class == 'enable'){
				$musicnight_trans_bg = "background-color:".esc_attr($content['option']['background-color'])."";
			}else{
				$musicnight_solid_bg = "background-color:".esc_attr($content['option']['background-color'])."";
			}
			if( !empty($content['option']['horizontal-background']) && $content['option']['horizontal-background'] == 'enable'){
				$musicnight_wrapper_class .= ' overlay movingbg';
			}
			echo '<div class="'.esc_attr($musicnight_wrapper_class).' kode-parallax-wrapper kode-background-' . esc_attr($content['option']['type']) . '" ' . $item_id;
			
			// background parallax
			if( !empty($content['option']['background']) && $content['option']['type'] == 'image' ){
				
				
				if( !empty($content['option']['horizontal-background']) && $content['option']['horizontal-background'] == 'enable'){
					echo 'data-id="customizer" data-title="Theme Customizer" data-direction="horizontal" ';
				}
				if( !empty($content['option']['background-speed']) ){
					echo 'data-bgspeed="' . esc_attr($content['option']['background-speed']) . '" ';
				}else{
					echo 'data-bgspeed="0" ';
				}				
			
				if( is_numeric($content['option']['background']) ){
					$background = wp_get_attachment_image_src($content['option']['background'], 'full');
					$background = esc_url($background[0]);
				}else{
					$background = esc_url($content['option']['background']);
				}
				if(empty($content['option']['opacity']) || $content['option']['opacity'] == ''){
					$content['option']['opacity'] = '0.03';
				}
				
				if(empty($content['option']['background-color']) || $content['option']['background-color'] == ''){
					$content['option']['background-color'] = '#000';
				}
				
				$bg_width = '50%';
				if(isset($content['option']['background-width']) && $content['option']['background-width'] <> ''){
					$bg_width = $content['option']['background-width'];
				}
				if(isset($content['option']['background-hook']) && $content['option']['background-hook'] == 'enable'){
					echo 'style="'.$musicnight_solid_bg.';'.$padding . $border . '" ><style>';
					echo '#' . esc_attr($content['option']['element-item-id']) . ':after{';
					
					if(isset($content['option']['background-image-align']) && $content['option']['background-image-align'] == 'left'){
						echo ''.$musicnight_solid_bg.';background-image: url(\'' . esc_url($background) . '\');background-position: center center;
							background-attachment: fixed;
							background-repeat: no-repeat;
							background-size: cover;
							content: "";
							height: 100%;
							left: 0;
							position: absolute;
							top: 0;
							width: '.$bg_width.';';
						echo '}';
						echo '#' . esc_attr($content['option']['element-item-id']) . ':before{';
						echo ''.$musicnight_solid_bg.';z-index:1;opacity:'.esc_attr($content['option']['opacity']).';content:"";position:absolute;left:0px;top:0px;height:100%;width:'.$bg_width.';';
						echo '}';
					}else{
							echo ''.$musicnight_solid_bg.';background-image: url(\'' . esc_url($background) . '\');background-position: center center;
							background-attachment: fixed;
							background-repeat: no-repeat;
							background-size: cover;
							content: "";
							height: 100%;
							right: 0;
							position: absolute;
							top: 0;
							width: '.$bg_width.';';
						echo '}';
						echo '#' . esc_attr($content['option']['element-item-id']) . ':before{';
						echo ''.$musicnight_solid_bg.';z-index:1;opacity:'.esc_attr($content['option']['opacity']).';content:"";position:absolute;right:0px;top:0px;height:100%;width:'.$bg_width.';';
						echo '}';
					}
					echo '#' . esc_attr($content['option']['element-item-id']) . '{';
					echo ' position:relative;';
					echo '}';
					echo '#' . esc_attr($content['option']['element-item-id']) . ' > .container-fluid{';
					echo ' position:relative;z-index:99999;';
					echo '}';
					echo '#' . esc_attr($content['option']['element-item-id']) . ' .container{';
					echo ' position:relative;z-index:99999;';
					echo '}';
					
					echo '</style>';
				}else{
					if($background <> ''){
						echo 'style="'.$musicnight_trans_bg.';background-image: url(\'' . esc_url($background) . '\'); ' . $padding . $border . '" >';			
					}else{
						echo 'style="'.$musicnight_trans_bg.';' . $padding . $border . '" >';			
					}
					echo '<style>';
					echo '#' . esc_attr($content['option']['element-item-id']) . '{';
					echo ' position:relative;';
					echo '}';
					echo '#' . esc_attr($content['option']['element-item-id']) . ' .container{';
					echo ' position:relative;z-index:99999;';
					echo '}';
					echo '#' . esc_attr($content['option']['element-item-id']) . ':before{';
					echo ''.$musicnight_solid_bg.';opacity:'.esc_attr($content['option']['opacity']).';content:"";position:absolute;left:0px;top:0px;height:100%;width:100%;';
					echo '}';
					echo '</style>';
				}
				
				
			// background pattern 
			}else if($content['option']['type'] == 'pattern'){
				$background = MUSICNIGHT_PATH . '/images/pattern/pattern-' . esc_attr($content['option']['pattern']) . '.png';
				echo 'style="background-image: url(\'' . esc_url($background) . '\'); ' . $padding . $border . '" >';
			
			// background MAP
			}else if($content['option']['type'] == 'map'){
				echo 'style="' . $padding . $border . '" >';
				echo do_shortcode($content['option']['map_shortcode']);
				echo '';
			}else if($content['option']['type'] == 'color'){
				$content['option']['background-color'] = (empty($content['option']['background-color']))? ' ': $content['option']['background-color'];
				echo ' style="' . $padding . $border . ';background:'.esc_attr($content['option']['background-color']).'">';
				echo '';
			}else if($content['option']['type'] == 'video'){
				echo ' style="' . $padding . $border . ';">';
				echo '<style>';
				echo '#' . esc_attr($content['option']['element-item-id']) . '{';
				echo ' position:relative;';
				echo '}';
				echo '#' . esc_attr($content['option']['element-item-id']) . ' .container{';
				echo ' position:relative;z-index:99999;';
				echo '}';
				echo '#' . esc_attr($content['option']['element-item-id']) . ':before{';
				echo ''.$musicnight_solid_bg.';opacity:'.esc_attr($content['option']['opacity']).';content:"";position:absolute;left:0px;top:0px;height:100%;width:100%;z-index:10;';
				echo '}';
				echo '</style>';
				
				$content['option']['video_url'] = (empty($content['option']['video_url']))? MUSICNIGHT_PATH.'/images/ocean.ogv': $content['option']['video_url'];
				$content['option']['video_type'] = (empty($content['option']['video_type']))? 'ogg': $content['option']['video_type'];
				echo '
				    <script>
						jQuery(document).ready(function($) {
							var BV = new $.BigVideo({
								useFlashForFirefox:false,
								container: $("#inner-' . esc_attr($content['option']['element-item-id']) . '"),
								forceAutoplay:true,
								controls:false,
								doLoop:false,			
								shrinkable:true
							});
							BV.init();
							BV.show([
								{ type: "video/'.esc_attr($content['option']['video_type']).'",  src: "'.esc_url($content['option']['video_url']).'" },
								
							],{doLoop:true});
						});
					</script>
					<div class="kode-video-bg" id="inner-' . esc_attr($content['option']['element-item-id']) . '"></div>';
				
			}
			else if(!empty($padding) || !empty($border) ){
				echo 'style="' . $padding . $border . '" >';
			}
			$content['option']['container'] = (empty($content['option']['container']))? ' ': $content['option']['container'];
			if($content['option']['container'] == 'container-width'){
				echo '<div class="container">';
				echo '<div class="row">';
			}else{
				echo '<div class="container-fluid">';
				echo '<div class="row">';
			}
		
			foreach( $content['items'] as $item ){
				if( $item['item-type'] == 'wrapper' ){
					musicnight_show_column_wrapper( $item );
				}else{
					musicnight_show_element( $item );
				}
			}	
			
			echo '<div class="clear"></div>';
			if($content['option']['container'] == 'container-width'){
				echo '</div>'; // close container or Container
				echo '</div>'; // close container or Row
			}else{
				echo '</div>'; // close container or Row
				echo '</div>'; // close container or Container-fluid
			}			
			echo '</div>'; // close wrapper
		}
	}		
	
	// show the item
	if( !function_exists('musicnight_show_element') ){
		function musicnight_show_element( $content ){
			global $musicnight_theme_option,$musicnight_post_option;
			switch ($content['type']){
				case 'accordion': echo musicnight_get_accordion_item($content['option']); break;	
				case 'blog': echo musicnight_get_blog_item($content['option']); break;
				
				case 'events': 
					if(class_exists('EM_Events')){
						echo musicnight_get_events_item($content['option']); 
					}
				break;
				case 'upcoming-event': 
					if(class_exists('EM_Events')){
						echo musicnight_get_upnext_event($content['option']); 
					}
				break;				
				case 'woo': 
					if(class_exists('WooCommerce')){
						echo musicnight_get_woo_item($content['option']); 
					}
				break;
				case 'feature-campaign': 
					if(function_exists('musicnight_get_featured_campaign_item') ){
						echo musicnight_get_featured_campaign_item($content['option']); 
					}
				break;
				case 'album': 
					if(function_exists('musicnight_get_album_item') ){
						echo musicnight_get_album_item($content['option']); 
					}	
				break;
				case 'artist': 
					if(function_exists('musicnight_get_artist_item') ){
						echo musicnight_get_artist_item($content['option']); 
					}
				break;
				case 'prayer':
					if(function_exists('musicnight_get_prayer_item') ){
						echo musicnight_get_prayer_item($content['option']); 
					}
				break;
				
				case 'blog-slider': echo musicnight_get_blog_slider_item($content['option']); break;
				case 'our-clients': echo musicnight_get_our_clients_item($content['option']); break;
				case 'pricing-table': echo musicnight_get_price_table_item($content['option']); break;
				case 'column-service': echo musicnight_get_column_service_item($content['option']); break;
				case 'contact-info': echo musicnight_get_contact_detail_item($content['option']); break;
				case 'service': echo musicnight_get_service_item($content['option']); break;
				case 'video-item': echo musicnight_get_video_item($content['option']); break;
				case 'headings': echo musicnight_get_headings_item($content['option']); break;
				case 'newsletter-form': echo musicnight_get_newsletter_form($content['option']); break;
				case 'simple-column': echo musicnight_get_simple_column_item($content['option']); break;				
				case 'woo-tabs': echo musicnight_get_woo_item_tab_slider($content['option']); break;				
				case 'sign-in': echo musicnight_sign_in($content['option']); break;
				case 'sign-up': echo musicnight_sign_up($content['option']); break;
				case 'forget-password': echo musicnight_forget_password($content['option']); break;
				case 'content': musicnight_get_default_content_item($content['option']); break;
				case 'divider': echo musicnight_get_divider_item($content['option']); break;
				case 'gallery': echo musicnight_get_gallery_item($content['option']); break;		
				case 'post-slider': echo musicnight_get_wp_post_slider($content['option']); break;	
				case 'stripe-payment': 					
					if(function_exists('musicnight_stripe_payment_function')){
						echo musicnight_stripe_payment_function($content['option']);
					}
				break;	
				case 'campaign-slider': 					
					if(function_exists('musicnight_get_campaign_slider_item')){
						echo musicnight_get_campaign_slider_item($content['option']);
					}
				break;
				case 'prayer-call-to-action': 
					if(function_exists('musicnight_get_prayer_call_to_action')){
						echo musicnight_get_prayer_call_to_action($content['option']);
					}
				break;
				case 'deck-latest-campaign': 
					if(function_exists('musicnight_get_deck_latest_campaign_item') ){
						echo musicnight_get_deck_latest_campaign_item($content['option']); 
					}
				break;
				case 'ignition-slider': 					
					if(function_exists('musicnight_get_ignition_slider_item')){
						echo musicnight_get_ignition_slider_item($content['option']);
					}
				break;				
				case 'paymill-payment': 
					if(function_exists('musicnight_paymill_payment_function')){
						echo musicnight_paymill_payment_function($content['option']);
					}
				break;	
				case 'authorize-payment': 
					if(function_exists('musicnight_auth_payment_function')){
						echo musicnight_auth_payment_function($content['option']);
					}
				break;	
				case 'paypal-payment': 
					if(function_exists('musicnight_paypal_payment_function')){
						echo musicnight_paypal_payment_function($content['option']);
					}
				break;
				case 'login-form': 
				if(function_exists('kode_signin_form')){
					echo kode_signin_form($content['option']);
				}
				break;	
				case 'signup-form': 
				if(function_exists('kode_signup_form')){
					echo kode_signup_form($content['option']);
				}
				break;		
				case 'call-to-action': echo musicnight_get_call_to_action($content['option']); break;				
				case 'project-facts': echo musicnight_get_project_facts($content['option']); break;				
				case 'sidebar': echo '<div class="col-md-12"><div class="widget-item kode-widget-item kode-sidebar-element">';musicnight_get_sidebar_item($content['option']);echo '</div></div>'; break;
				case 'slider': echo musicnight_get_slider_item($content['option']); break;				
				case 'testimonial': 
				if(function_exists('musicnight_get_testimonial_item') ){
					echo musicnight_get_testimonial_item($content['option']); 
				}
				break;
				case 'testimonial-slider': 
				if(function_exists('musicnight_get_testimonial_item_slider') ){
					echo musicnight_get_testimonial_item_slider($content['option']); 
				}
				break;
				case 'team': 
				if(function_exists('musicnight_get_team_item') ){
					echo musicnight_get_team_item($content['option']); 
				}
				break;
				case 'ignitiondeck': 
					if(function_exists('musicnight_get_deck_item')){
						echo musicnight_get_deck_item($content['option']);
					}
				break;
				case 'campaign': 
					if(function_exists('musicnight_get_campaign_item')){
						echo musicnight_get_campaign_item($content['option']);
					}
				break;
				
				case 'playlist': 
					if(function_exists('musicnight_get_sermon_playlist')){
						echo musicnight_get_sermon_playlist($content['option']);
					}
				break;
				case 'sermon': 
					if(function_exists('musicnight_get_sermon_item')){
						echo musicnight_get_sermon_item($content['option']);
					}
				break;
				case 'pastor': 
					if(function_exists('musicnight_get_pastor_item')){
						echo musicnight_get_pastor_item($content['option']);
					}
				break;
				case 'contact-small-box': 					
					if(function_exists('musicnight_contact_box_item')){
						echo musicnight_contact_box_item($content['option']);
					}
				break;
				case 'ministry': 
					if(function_exists('musicnight_get_ministry_item')){
						echo musicnight_get_ministry_item($content['option']);
					}
				break;
				case 'donation-action': 
					if(function_exists('musicnight_get_campaign_donation_call_to_action')){
						echo musicnight_get_campaign_donation_call_to_action($content['option']);
					}
				break;
				case 'video': 
					if(function_exists('musicnight_get_video_item')){
						echo musicnight_get_video_item($content['option']);
					}
				break;
				case 'single-event': 
					if(function_exists('musicnight_get_single_event_item')){
						echo musicnight_get_single_event_item($content['option']);
					}
				break;
				case 'single-video': 
					if(function_exists('musicnight_get_single_video_item')){
						echo musicnight_get_single_video_item($content['option']);
					}
				break;
				case 'genre': 
					if(function_exists('musicnight_all_genre_list')){
						echo musicnight_all_genre_list($content['option']);
					}
				break;
				
				
				default: $default['show-title'] = 'enable'; $default['show-content'] = 'enable'; echo musicnight_get_content_item($default); break;
			}
		}	
	}
	
	
	
?>