<?php
	/*	
	*	Divine Church Options File
	*	---------------------------------------------------------------------
	*	This file contains the theme option settings 
	*	---------------------------------------------------------------------
	*	http://stackoverflow.com/questions/2270989/what-does-apply-filters-actually-do-in-wordpress
	*/
	
	// create the main admin option
	if( is_admin() ){
		add_action('after_setup_theme', 'musicnight_create_themeoption');
	}
	
	if( !function_exists('musicnight_create_themeoption') ){
	
		function musicnight_create_themeoption(){
		
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			// Theme Options Default data
			$musicnight_default_data_array = array(
				'page_title' => 'Theme' . esc_html__('Option', 'music-night'),
				'menu_title' => 'Theme Options',
				'menu_slug' => 'music_night',
				'save_option' => 'musicnight_admin_option',
				'role' => 'edit_theme_options'
			);
			
			
			new musicnight_themeoption_panel(
				
				// Theme Options Default data
				$musicnight_default_data_array,
				
				// Theme Options setting
				apply_filters('musicnight_themeoption_panel',
					array(
						// general menu
						'general' => array(
							'title' => esc_html__('General Settings', 'music-night'),
							'icon' => 'fa fa-diamond',
							'options' => array(
								'page-builder' => array(
									'title' => esc_html__('PageBuilder Settings', 'music-night'),
									'options' => array(
										'enable-page-builder' => array(
											'title' => esc_html__('Enable / Disable Page Builder', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the Theme Default Page Builder from here. If you disable the page builder from here then you would be able to build the pages with Visual Composer Page Builder.',
											'default' =>'enable'
										),
										
									)
								),
								'header-logo' => array(
									'title' => esc_html__('Logo Settings', 'music-night'),
									'options' => array(
										'logo' => array(
											'title' => esc_html__('Upload Logo', 'music-night'),
											'button' => esc_html__('Set As Logo', 'music-night'),
											'type' => 'upload',
											'description' => 'Please upload your logo supported for example jpeg, gif, png',
										),
										'logo-width' => array(
											'title' => esc_html__('Logo Width', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the width of the logo in Numbers E.g 20',
											'default' => '0',
											'data-type' => 'pixel'
											
										),
										'logo-height' => array(
											'title' => esc_html__('Logo Height', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the height of the logo in Numbers E.g 20',
											'default' => '0',
											'data-type' => 'pixel'
										),											
										'logo-top-margin' => array(
											'title' => esc_html__('Logo Top Margin', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the Top Margin of the logo in Numbers E.g 20',
											'default' => '0',
											'selector' => '.kode-logo{ margin-top: #kode#; }',
											'data-type' => 'pixel'
										),
										'logo-bottom-margin' => array(
											'title' => esc_html__('Logo Bottom Margin', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the Bottom Margin of the logo in Numbers E.g 20',
											'default' => '0',
											'selector' => '.kode-logo{ margin-bottom: #kode#; }',
											'data-type' => 'pixel'
										),	
										'favicon-id' => array(
											'title' => esc_html__('Upload Favicon ( .ico file )', 'music-night'),
											'button' => esc_html__('Select Icon', 'music-night'),
											'type' => 'upload',
											'description' => 'You can upload the favicon icon from here.',
										),	
										
									)
								),
								'header-section' => array(
									'title' => esc_html__('Header Settings', 'music-night'),
									'options' => array(
										'enable-header-option' => array(
											'title' => esc_attr__('Enable Header All Pages', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('Click here to Turn On Header Style for All pages.', 'music-night'),
											'default' => 'enable'
										),
										'kode-header-style' => array(
											'title' => esc_attr__('Select Header', 'music-night'),
											'type' => 'radioheader',	
											'description'=>esc_attr__('There is currently one Header Styles Available here. Click on the menu and select the Header Styles here from of your choice.', 'music-night'),
											'options' => array(
												'header-style-1'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/headers/header-1.png',
												'header-style-2'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/headers/header-2.png',
												'header-style-3'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/headers/header-3.png'
											),
										),
										'enable-sticky-nav' => array(
											'title' => esc_html__('Enable Sticky Nav Bar', 'music-night'),
											'description' => 'You can Enable / Disable the Sticky Navigation Bar of your site.',
											'type' => 'checkbox',	
											'default' => 'disable'
										),	
										'enable-top-bar' => array(
											'title' => esc_html__('Enable Top Bar', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the Top Bar from here of the header area.',
											'default' =>'enable'
										),
										'enable-login-bar' => array(
											'title' => esc_html__('Enable Login Bar', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the Top login of the header area from here.',
											'default' =>'enable'
										),
										'enable-one-page-header-navi' => array(
											'title' => esc_html__('Enable One Page Header Nav', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the One Page Navigation Site option from here. If you want to use Multi Pages site then you need to disable the One Page Navigation option from here.',
											'default' =>'disable'
										),
										'enable-top-bar-search' => array(
											'title' => esc_attr__('Enable Top Bar Search', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('You can enable / disable top bar search from here.', 'music-night'),
											'default' => 'disable',
										),
										'enable-top-responsive-menu-on-desktop' => array(
											'title' => esc_attr__('Enable Responsive Menu on Desktop', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('You can enable / disable top bar cart from here.', 'music-night'),
											'default' => 'disable',
										),
										'enable-top-bar-cart' => array(
											'title' => esc_attr__('Enable Top Bar Cart', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('You can enable / disable top bar cart from here.', 'music-night'),
											'default' => 'disable',
										),
										'playlist_track_arc_enable' => array(
											'title' => esc_attr__('Enable Playlist Archive', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('Click here to Turn On Playlist Archive.', 'music-night'),
											'default' => 'enable'
										),
										'playlist_track_arc_link' => array(
											'title' => esc_html__('Add Playlist URL', 'music-night'),
											'type' => 'text',
											'description'=>esc_attr__('You can Add Playlist URL.', 'music-night')											
										),
										'breaking_news_enable' => array(
											'title' => esc_attr__('Enable Breaking News', 'music-night'),
											'type' => 'checkbox',	
											'description'=>esc_attr__('Click here to Turn On Breaking News.', 'music-night'),
											'default' => 'enable'
										),
										'breaking_news_category' => array(
											'title' => esc_html__('Breaking Category', 'music-night'),
											'type' => 'combobox',
											'description'=>esc_attr__('You can select the Breaking News category.', 'music-night'),
											'options' => musicnight_get_term_list_id('category'),
										),
									)
								),
								'layout-style' => array(
									'title' => esc_html__('Style & Layouts', 'music-night'),
									'options' => array(
										'enable-boxed-style' => array(
											'title' => esc_html__('Website Layout', 'music-night'),
											'type' => 'combobox',
											'description' => 'You can change your site layout to Full Width / Boxed Style. Boxed layour will have width of the site 1200px',											
											'options' => array(
												'full-style' => esc_html__('Full Style', 'music-night'),
												'boxed-style' => esc_html__('Boxed Style', 'music-night')
											)
										),
										'kode-body-style' => array(
											'title' => esc_html__('Body Background Style', 'music-night'),
											'type' => 'combobox',	
											'description' => 'You have selected the Boxed Layout only. Now you can set your Boxed layout style from here.',
											'options' => array(
												'body-color' => esc_html__('Body Background Color', 'music-night'),
												'body-background' => esc_html__('Body Background Image', 'music-night'),
												'body-pattern' => esc_html__('Body Background Pattern', 'music-night'),
											),
											'wrapper-class'=> 'boxed-style-wrapper enable-boxed-style-wrapper'
										),	
										'body-bg-color' => array(
											'title' => esc_html__('Body Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description' => 'This Color Picket allows you to change Body Background Color for the Boxed Layout.',
											'default' => '#ffffff',
											'wrapper-class'=> 'boxed-style-wrapper enable-boxed-style-wrapper body-color-wrapper kode-body-style-wrapper',
											'selector'=> ''
										),
										'body-background-image' => array(
											'title' => esc_html__('Background Image', 'music-night'),
											'type' => 'upload',
											'description' => 'You can upload the background image for your Boxed Layout.',
											'wrapper-class'=> 'boxed-style-wrapper enable-boxed-style-wrapper body-background-wrapper kode-body-style-wrapper'
										),	
										'body-background-pattern' => array(
											'title' => esc_html__('Background Pattern', 'music-night'),
											'type' => 'radioimage',
											'description' => 'There are 18 Built in Background patterns available in the theme. Just Select the pattern and save the Changes.',
											'options' => array(
												'1'=>MUSICNIGHT_PATH . '/images/pattern/pattern_1.png',
												'2'=>MUSICNIGHT_PATH . '/images/pattern/pattern_2.png', 
												'3'=>MUSICNIGHT_PATH . '/images/pattern/pattern_3.png',
												'4'=>MUSICNIGHT_PATH . '/images/pattern/pattern_4.png',
												'5'=>MUSICNIGHT_PATH . '/images/pattern/pattern_5.png',
												'6'=>MUSICNIGHT_PATH . '/images/pattern/pattern_6.png',
												'7'=>MUSICNIGHT_PATH . '/images/pattern/pattern_7.png',
												'8'=>MUSICNIGHT_PATH . '/images/pattern/pattern_8.png',
												'9'=>MUSICNIGHT_PATH . '/images/pattern/pattern_9.png',
												'10'=>MUSICNIGHT_PATH . '/images/pattern/pattern_10.png', 
												'11'=>MUSICNIGHT_PATH . '/images/pattern/pattern_11.png',
												'12'=>MUSICNIGHT_PATH . '/images/pattern/pattern_12.png',
												'13'=>MUSICNIGHT_PATH . '/images/pattern/pattern_13.png',
												'14'=>MUSICNIGHT_PATH . '/images/pattern/pattern_14.png',
												'15'=>MUSICNIGHT_PATH . '/images/pattern/pattern_15.png',
												'16'=>MUSICNIGHT_PATH . '/images/pattern/pattern_16.png',
												'17'=>MUSICNIGHT_PATH . '/images/pattern/pattern_17.png',
												'18'=>MUSICNIGHT_PATH . '/images/pattern/pattern_18.png'
											),
											'wrapper-class' => 'boxed-style-wrapper enable-boxed-style-wrapper pattern-size-wrap body-pattern-wrapper kode-body-style-wrapper',
											'default' => '1'
										),	
										'kode-body-position' => array(
											'title' => esc_html__('Body Background Position', 'music-night'),
											'type' => 'combobox',	
											'description' => 'Select the Body Background Position you want to have for your site.',
											'options' => array(
												'body-scroll' => esc_html__('Scroll', 'music-night'),
												'body-fixed' => esc_html__('Fixed', 'music-night')												
											),
											'wrapper-class'=> 'boxed-style-wrapper enable-boxed-style-wrapper body-background-wrapper kode-body-style-wrapper'
										),
										'enable-rtl-layout' => array(
											'title' => esc_html__('Enable RTL', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the RTL Layout of your site from here. It will turn all the site layout from left to right.',											
											'default' => 'disable'
										),
										'enable-nice-scroll' => array(
											'title' => esc_html__('Enable NiceScroll', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the NiceScroll of your site from here.',
											'default' => 'disable'
										),
										'enable-preloader' => array(
											'title' => esc_html__('Pre Loader', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Enable / Disable the PreLoader from here.',											
											'default' => 'enable'
										),
										'enable-responsive-mode' => array(
											'title' => esc_html__('Enable Responsive', 'music-night'),
											'description' => 'You can Enable / Disable the Responsive Layout of your site. If you turn Off this button the responsive layout of the site will switched off.',
											'type' => 'checkbox',	
											'default' => 'enable'
										),
										'enable-sticky-sidebar' => array(
											'title' => esc_html__('Enable Sticky Sidebar', 'music-night'),
											'description' => 'You can Enable / Disable the Sticky Sidebar of your site.',
											'type' => 'checkbox',	
											'default' => 'enable'
										),										
										'video-ratio' => array(
											'title' => esc_html__('Default Video Ratio', 'music-night'),
											'type' => 'text',				
											'default'=>'16/9',
											'description'=>esc_html__('Please only fill number/number as default video ratio', 'music-night')
										),										
									)
								),	
								'footer-style' => array(
									'title' => esc_html__('Footer Settings', 'music-night'),
									'options' => array(
										'show-footer' => array(
											'title' => esc_html__('Show Footer', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Switch On / Off the complete Footer area From here.',
											'default' => 'enable'
										),
										
										'footer_logo' => array(
											'title' => esc_html__('Footer Logo', 'music-night'),
											'button' => esc_html__('Set As Footer Logo', 'music-night'),
											'type' => 'upload',
											'description' => 'Please upload your logo supported for example jpeg, gif, png',
										),
										'footer-logo-width' => array(
											'title' => esc_html__('Footer Logo Width', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the width of the Footer logo in Numbers E.g 20',
											'default' => '0',
											'data-type' => 'pixel'
											
										),
										'footer-logo-height' => array(
											'title' => esc_html__('Footer Logo Height', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the height of the Footer logo in Numbers E.g 20',
											'default' => '0',
											'data-type' => 'pixel'
										),											
										'footer-logo-top-margin' => array(
											'title' => esc_html__('Footer Logo Top Margin', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the Top Margin of the Footer logo in Numbers E.g 20',
											'default' => '0',
											'selector' => '.kode-logo{ margin-top: #kode#; }',
											'data-type' => 'pixel'
										),
										'footer-logo-bottom-margin' => array(
											'title' => esc_html__('Footer Logo Bottom Margin', 'music-night'),
											'type' => 'text',
											'description' => 'Please enter the Bottom Margin of the Footer logo in Numbers E.g 20',
											'default' => '0',
											'selector' => '.kode-logo{ margin-bottom: #kode#; }',
											'data-type' => 'pixel'
										),	
										// 'kode-footer-style' => array(
											// 'title' => esc_attr__('Select Footer', 'music-night'),
											// 'type' => 'radioheader',	
											// 'description'=>esc_attr__('There is currently one Footer Style Available here.', 'music-night'),
											// 'options' => array(
												// 'footer-style-1'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer/footer-1.png',
												// 'footer-style-2'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer/footer-2.png',
											// ),
										// ),
										'footer-background-color' => array(
											'title' => esc_html__('Footer Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description' => 'This Color Picker Allows you to change the Footer Background Color.',
											'default' => '#000',											
										),
										'footer-background-opacity'=> array(
											'title'=> esc_html__('Footer Background Opacity' ,'music-night'),
											'type'=> 'text',
											'description' => 'You can Control the footer background image opacity from here.',
											'default' => '0.6',
											'description'=> esc_html__('Adjust footer background opacity from 0 to 1.', 'music-night')
										),
										'footer-background-image' => array(
											'title' => esc_html__('Footer Background Image', 'music-night'),
											'button' => esc_html__('Upload', 'music-night'),
											'type' => 'upload',
											'wrapper-class' => 'kode-footer-style-wrapper footer-style-2-wrapper',
											'description' => esc_html__('You can Upload the Footer Logo from here that will appear on the footer upper area.', 'music-night'),
										),
										'footer-layout' => array(
											'title' => esc_html__('Footer Column Layout', 'music-night'),
											'type' => 'radioimage',
											'description' => 'There are 4 Footer Column Styles available in the theme. You can select any of the style you wish to have.',
											'options' => array(
												'1'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer-2-col.jpg',
												'2'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer-3-col.jpg',
												'3'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer-4-col.jpg',
												'4'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/footer-4-col.jpg',
											),
											'default' => '4',	
											'wrapper-class' => 'kode-footer-style-wrapper footer-style-1-wrapper footer-style-3-wrapper',
										),
										'show-footer-twitter' => array(
											'title' => esc_html__('Twitter Feed Footer', 'music-night'),
											'type' => 'checkbox',
											'description' => 'You can Switch On / Off the twitter feed from footer.',
											'default' => 'enable'
										),
										'show-copyright' => array(
											'title' => esc_html__('Show Copyright', 'music-night'),
											'type' => 'checkbox',
											'wrapper-class' => '',
											'description' => 'Use this option to Enable or Disable the Copyright Text for your site.',
											'default' => 'enable'
										),
										'kode-copyright-text' => array(
											'title' => esc_html__('Copyright Text', 'music-night'),
											'type' => 'text',
											'description' => 'Use this field to enter your Footer Copyright text here. Note : This field will not render the HTML tags due to the XSS Security Implemented in the theme.',	
											'class' => 'full-width',
										),	
										'created-by' => array(
											'title' => esc_html__('Copyright Created By Text', 'music-night'),
											'type' => 'text',
											'default' => 'Create By Kodeforest with',
											'wrapper-class' => 'kode-footer-style-wrapper footer-style-1-wrapper',
											'description' => 'Use this field to enter your Footer Copyright text created by here. Note : This field will not render the HTML tags due to the XSS Security Implemented in the theme.',	
											'class' => 'full-width',
										),	
										'kode-back-top' => array(
											'title' => esc_html__('Back To Top', 'music-night'),
											'type' => 'checkbox',
											'description' => 'Use this option to Enable or Disable the Back to Top button.',
											'default' => 'enable',
											'wrapper-class' => 'kode-footer-style-wrapper footer-style-2-wrapper',
										),
									)
								),									
								'page-style' => array(
									'title' => esc_html__('Sub Header', 'music-night'),
									'options' => array(
										'enable-breadcrumbs' => array(
											'title' => esc_html__('Breadcrumbs', 'music-night'),
											'type' => 'checkbox',	
											'description' => 'You can Enable / Disable the Breadcrumbs from here.',
											'default' => 'disable'
										),
										'subheader-background-color' => array(
											'title' => esc_html__('Sub Header Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description' => 'This Color Picker Allows you to change the Sub Header Background Color.',
											'default' => '#000',											
										),
										'subheader-background-opacity'=> array(
											'title'=> esc_html__('Sub Header Background Opacity' ,'music-night'),
											'type'=> 'text',
											'description' => 'You can Control the Sub Header background image opacity from here.',
											'default' => '0.6',
											'description'=> esc_html__('Adjust footer background opacity from 0 to 1.', 'music-night')
										),
										'subheader-bg-position' => array(
											'title' => esc_html__('Sub Header Background Position', 'music-night'),
											'type' => 'combobox',	
											'description' => 'Select the Sub Header Background Position you want to have for your site.',
											'options' => array(
												'body-scroll' => esc_html__('Scroll', 'music-night'),
												'body-fixed' => esc_html__('Fixed', 'music-night')												
											),
											'wrapper-class'=> 'boxed-style-wrapper enable-boxed-style-wrapper body-background-wrapper kode-body-style-wrapper'
										),	
										'default-page-title' => array(
											'title' => esc_html__('Default Page Title Background', 'music-night'),
											'type' => 'upload',	
											'description' => 'You can Upload the Default Page Title Background image from here.',
											'selector' => '.kode-subheader { background-image: url(\'#kode#\'); }',
											'data-type' => 'upload'
										),	
										'default-post-title-background' => array(
											'title' => esc_html__('Default Post Title Background', 'music-night'),
											'type' => 'upload',	
											'description' => 'You can Upload the Default Post Title Background image from here.',
											'selector' => 'body.single .kode-subheader { background-image: url(\'#kode#\'); }',
											'data-type' => 'upload'
										),
										'default-search-archive-title-background' => array(
											'title' => esc_html__('Default Search Archive Title Background', 'music-night'),
											'type' => 'upload',	
											'description' => 'You can Upload the Default Search / Archive Page Title Background image from here.',
											'selector' => 'body.archive .kode-subheader, body.search .kode-subheader { background-image: url(\'#kode#\'); }',
											'data-type' => 'upload'
										),
										'default-404-title-background' => array(
											'title' => esc_html__('Default 404 Title Background', 'music-night'),
											'type' => 'upload',	
											'description' => 'You can Upload the Default 404 Page Title Background image from here.',
											'selector' => 'body.error404 .kode-subheader { background-image: url(\'#kode#\'); }',
											'data-type' => 'upload'
										),										
									)
								),
	
								'server-configuration' => array(
									'title' => esc_html__('System Diagnostic Information', 'music-night'),
									'options' => array(
										'server-config' => array(
											'title' => esc_html__('Server Configuration', 'music-night'),
											'type' => 'server-config',
											'wrapper-class' => 'server-config',
											'description' => 'Above information is useful to diagnose some of the possible reasons to malfunctions, performance issues or any errors. You can faciliate the process of support by providing below information to our support staff.',
										),
									)
								),
								
								'import-export-option' => array(
									'title' => esc_html__('Import/Export Option', 'music-night'),
									'options' => array(
										'export-option' => array(
											'title' => esc_html__('Export Option', 'music-night'),
											'type' => 'custom',
											'description'=> esc_html__('Here you can copy/download your themes current option settings. Keep this safe as you can use it as a backup should anything go wrong. Or you can use it to restore your settings on this site (or any other site). You also have the handy option to copy the link to yours sites settings. Which you can then use to duplicate on another site.', 'music-night'),
											'option' => 
												'<input type="button" id="kode-export" class="kdf-button" value="' . esc_html__('Export', 'music-night') . '" />' .
												'<textarea class="full-width"></textarea>'
										),
										'import-option' => array(
											'title' => esc_html__('Import Option', 'music-night'),
											'type' => 'custom',
											'description'=> esc_html__('WARNING! This will overwrite any existing options, please proceed with caution!', 'music-night'),
											'option' => 
												'<input type="button" id="kode-import" class="kdf-button" value="' . esc_html__('Import', 'music-night') . '" />' .
												'<textarea class="full-width"></textarea>'
										),										
									)
								),
							)
						),
						
						'color-settings' =>  array(
							'title' => esc_html__('Color Options', 'music-night'),				
							'icon' => 'fa fa-eyedropper',
						),
						
						'font-settings' => array(
							'title' => esc_html__('Typography Options', 'music-night'),				
							'icon' => 'fa-font',
						),
						
						'blog-style' => array(
							'title' => esc_html__('Blog Settings', 'music-night'),
							'icon' => 'fa fa-cubes',
							'options' => array(
							
								'blog-single' => array(
									'title' => esc_html__('Post Detail - Single', 'music-night'),
									'options' => array(
										'thumbnail-size' => array(
											'title' => esc_html__('Post Detail Thumbnail Size', 'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'default'=> 'musicforest-post-thumbnail-size'
										),
										'post-sidebar-template' => array(
											'title' => esc_html__('Post Detail Default Sidebar', 'music-night'),
											'type' => 'radioimage',
											'options' => array(
												'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
												'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
												'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
												'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
											),
										),
										'post-sidebar-left' => array(
											'title' => esc_html__('Post Detail Default Sidebar Left', 'music-night'),
											'type' => 'combobox_sidebar',
											'wrapper-class' => 'left-sidebar-wrapper both-sidebar-wrapper post-sidebar-template-wrapper',
											'options' => $musicnight_theme_option['sidebar-element'],		
										),
										'post-sidebar-right' => array(
											'title' => esc_html__('Post Detail Default Sidebar Right', 'music-night'),
											'type' => 'combobox_sidebar',
											'wrapper-class' => 'right-sidebar-wrapper both-sidebar-wrapper post-sidebar-template-wrapper',
											'options' => $musicnight_theme_option['sidebar-element'],
										),	
										'single-post-feature-image' => array(
											'title' => esc_html__('Post Detail Feature Image', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('If you do not want to set a featured image (in case of sound post type : Audio player, in case of video post type : Video Player) kindly disable it here.', 'music-night'),
											'default' => 'enable'
										),
										'single-post-author' => array(
											'title' => esc_html__('Post Detail Author', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('You can enable or disable the about author box from here.', 'music-night'),
											'default' => 'enable'											
										),	
										'single-post-comments' => array(
											'title' => esc_html__('Post Detail Comments', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option you can show/hide extra information about the blog or post,  Comments.', 'music-night'),		
											'default' => 'enable'
										),
										'single-post-tags' => array(
											'title' => esc_html__('Post Detail Tags', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can show/hide extra information about the blog or post,  Tags.', 'music-night'),
											'default' => 'enable'
										),
										'single-next-pre' => array(
											'title' => esc_html__('Post Detail Next / Previous Button', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can turn on/off the navigation arrows when viewing the blog single page.', 'music-night'),
											'default' => 'enable'
										),
										'single-recommended-post' => array(
											'title' => esc_html__('Post Detail Recommended Post Button', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can turn on/off the Recommended Posts on the blog single page.', 'music-night'),
											'default' => 'enable'
										),
										'recommended-thumbnail-size' => array(
											'title' => esc_html__('Post Detail Recommended Thumbnail Size', 'music-night'),
											'type'=> 'combobox',
											'options'=> musicnight_get_thumbnail_list(),
											'default'=> 'musicforest-post-thumbnail-size'
										),
									)
								),
								'search-archive-style' => array(
									'title' => esc_html__('Default Pages - Search - Archive', 'music-night'),
									'options' => array(
										'archive-sidebar-template' => array(
											'title' => esc_html__('Index - Search - Archive Sidebar Template', 'music-night'),
											'type' => 'radioimage',
											'description' => 'You can Select the Search / Archive page sidebar position from here.',
											'options' => array(
												'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
												'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
												'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
												'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
											),
											'default' => 'no-sidebar'							
										),
										'archive-sidebar-left' => array(
											'title' => esc_html__('Search - Archive Sidebar Left', 'music-night'),
											'type' => 'combobox_sidebar',
											'options' => $musicnight_theme_option['sidebar-element'],		
											'wrapper-class'=>'left-sidebar-wrapper both-sidebar-wrapper archive-sidebar-template-wrapper',											
										),
										'archive-sidebar-right' => array(
											'title' => esc_html__('Search - Archive Sidebar Right', 'music-night'),
											'type' => 'combobox_sidebar',
											'options' => $musicnight_theme_option['sidebar-element'],
											'wrapper-class'=>'right-sidebar-wrapper both-sidebar-wrapper archive-sidebar-template-wrapper',
										),		
										'archive-blog-style' => array(
											'title' => esc_html__('Search - Archive Blog Style', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'blog-grid' => esc_html__('Blog Grid', 'music-night'),
												'blog-full' => esc_html__('Blog Full', 'music-night'),
											),
											'default' => 'blog-full'							
										),
										'archive-col-size' => array(
											'title' => esc_html__('Search - Archive Blog Style', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'2' => esc_html__('2 Column', 'music-night'),
												'3' => esc_html__('3 Column', 'music-night'),
												'4' => esc_html__('4 Column', 'music-night'),
											),
											'default' => 'blog-full'							
										),
										'archive-col-size'=> array(
											'title'=> esc_html__('Column size' ,'music-night'),
											'type'=> 'text',	
											'default'=> '3',
											'wrapper-class'=>'blog-grid-wrapper archive-blog-style-wrapper',
											'description'=> esc_html__('Select the column width of content.', 'music-night')
										),										
										'archive-num-excerpt'=> array(
											'title'=> esc_html__('Search - Archive Num Excerpt (Word)' ,'music-night'),
											'type'=> 'text',	
											'default'=> '25',
											'wrapper-class'=>'blog-full-wrapper archive-blog-style-wrapper',
											'description'=> esc_html__('This is a number of word (decided by spaces) that you want to show on the post excerpt. Use 0 to hide the excerpt, -1 to show full posts and use the WordPress more tag.', 'music-night')
										),
									)
								),
							)
						),
						'woocommerce-style' => array(
							'title' => esc_html__('Woo Settings', 'music-night'),
							'icon' => 'fa fa-shopping-cart',
							'options' => array(
								'woocommerce-single' => array(
									'title' => esc_html__('WooCommerce Single', 'music-night'),
									'options' => array(	
										'woo-post-title' => array(
											'title' => esc_html__('Woo Post Title', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option to show/hide Woocommerce Product Titles at the Product Details page', 'music-night'),											
											'default' => 'enable'
										),
										'woo-post-price' => array(
											'title' => esc_html__('Woo Post Price', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Prices at the Product Details page', 'music-night'),
											'default' => 'enable'
										),
										'woo-post-variable-price' => array(
											'title' => esc_html__('Woo Post Variable Price', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Variables Products Prices at the Product Details page', 'music-night'),
											'default' => 'enable'
										),
										'woo-post-related' => array(
											'title' => esc_html__('Woo Post Related', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Related Products at the Product Details page', 'music-night'),
											'default' => 'enable'
										),
										'woo-post-sku' => array(
											'title' => esc_html__('Woo Post SKU', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce SKU Number at the Product Details page', 'music-night'),	
											'default' => 'enable'
										),
										'woo-post-category' => array(
											'title' => esc_html__('Woo Post Category', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Category at the Product Details page', 'music-night'),	
											'default' => 'enable'
										),
										'woo-post-tags' => array(
											'title' => esc_html__('Woo Post Tags', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Tags at the Product Details page', 'music-night'),
											'default' => 'enable'
										),
										'woo-post-outofstock' => array(
											'title' => esc_html__('Woo Post Out of Stock Icon', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Out Of Stock text', 'music-night'),
											'default' => 'enable'
										),
										'woo-post-saleicon' => array(
											'title' => esc_html__('Woo Post Sale Icon', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Sale Icon', 'music-night'),
											'default' => 'enable'
										)
									)
								),	
								'woocommerce-list' => array(
									'title' => esc_html__('WooCommerce Listing', 'music-night'),
									'options' => array(	
										'woo-list-cart-btn' => array(
											'title' => esc_html__('Woo List Cart Button', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Cart Icon at the listing page', 'music-night'),
											'default' => 'enable'
										),
										'woo-list-title' => array(
											'title' => esc_html__('Woo List Title', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products  Titles at the listing page', 'music-night'),
											'default' => 'enable'
										),
										'woo-list-price' => array(
											'title' => esc_html__('Woo List Price', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products Prices at the listing page', 'music-night'),	
											'default' => 'enable'
										),
										'woo-list-rating' => array(
											'title' => esc_html__('Woo List Rating', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option to show/hide Woocommerce Products rating stars at the listing page.', 'music-night'),	
											'default' => 'enable'
										),
										'all-products-per-row' => array(
											'title' => esc_html__('Products Per Row', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'1'=> '1',
												'2'=> '2',
												'3'=> '3',
												'4'=> '4',
												'5'=> '5'
											),
											'default' => '3'							
										),
										'all-products-sidebar' => array(
											'title' => esc_html__('All Products Sidebar', 'music-night'),
											'type' => 'radioimage',
											'description'=> esc_html__('You can select the Shop layout Side bar layout from here.', 'music-night'),
											'options' => array(
												'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
												'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
												'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
												'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
											),
											'default' => 'no-sidebar'							
										),
										'all-products-sidebar-left' => array(
											'title' => esc_html__('All Products Sidebar Left', 'music-night'),
											'type' => 'combobox_sidebar',
											'description'=> esc_html__('You can select the left side bar for your shop page from here.', 'music-night'),
											'options' => $musicnight_theme_option['sidebar-element'],		
											'wrapper-class'=>'left-sidebar-wrapper both-sidebar-wrapper all-products-sidebar-wrapper',											
										),
										'all-products-sidebar-right' => array(
											'title' => esc_html__('All Products Sidebar Right', 'music-night'),
											'type' => 'combobox_sidebar',
											'description'=> esc_html__('You can select the right side bar for your shop page from here.', 'music-night'),
											'options' => $musicnight_theme_option['sidebar-element'],
											'wrapper-class'=>'right-sidebar-wrapper both-sidebar-wrapper all-products-sidebar-wrapper',
										)
									)
								),
								
							),
						),
						'event-style' => array(
							'title' => esc_html__('Event Settings', 'music-night'),
							'icon' => 'fa-calendar-check-o',
							'options' => array(
								'Event-single' => array(
									'title' => esc_html__('Event Single', 'music-night'),
									'options' => array(
										'single-event-feature-image' => array(
											'title' => esc_html__('Single Event Feature Image', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option you can show/hide extra information about the Event Date on Featured Image.', 'music-night'),											
											'default' => 'enable'
										),
										'single-event-date' => array(
											'title' => esc_html__('Single Event Date', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option you can show/hide extra information about the Event Date in the event detail.', 'music-night'),											
											'default' => 'enable'
										),
										'single-event-starting-date' => array(
											'title' => esc_html__('Single Event Starting Date', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option you can show/hide extra information about the Event Starting Date countdown in the event detail.', 'music-night'),											
											'default' => 'enable'
										),
										'single-event-location' => array(
											'title' => esc_html__('Single Event Location Information', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('You can enable or disable the Event Location Information from here.', 'music-night'),
											'default' => 'enable'											
										),	
										'single-event-category' => array(
											'title' => esc_html__('Single Event Meta Category', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can show/hide the Event Detail category.', 'music-night'),
											'default' => 'enable'
										),
										'single-event-phone' => array(
											'title' => esc_html__('Single Phone', 'music-night'),
											'type' => 'checkbox',
											'description'=> esc_html__('Using this option you can show/hide the Related phone number on Event Detail Page.', 'music-night'),		
											'default' => 'enable'
										),
										'single-event-email' => array(
											'title' => esc_html__('Single Related Email Meta', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can show/hide some extra related events email meta information on detail page.', 'music-night'),
											'default' => 'enable'
										),
										'single-event-donate' => array(
											'title' => esc_html__('Single Related Donate', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can show/hide Donate Now button from the Event Detail page.', 'music-night'),
											'default' => 'enable'
										),
										'single-event-next-pre' => array(
											'title' => esc_html__('Single Related Next / Pre', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can show/hide Next / Previous navigation from the Event Detail page.', 'music-night'),
											'default' => 'enable'
										),
										'single-event-comments' => array(
											'title' => esc_html__('Single Events Comments', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Using this option you can turn on/off the Author Comments Section on the Event Detail Page.', 'music-night'),
											'default' => 'enable'
										),
									)
								),
							),
						),
						// overall elements menu
						'overall-elements' => array(
							'title' => esc_html__('Social Settings', 'music-night'),
							'icon' => 'fa fa-share-square-o',
							'options' => array(

								'header-social' => array(),
								
								'social-shares' => array(),
								
							)				
						),
						'team-options' => array(
							'title' => esc_html__('Team Options', 'music-night'),
							'icon' => 'fa fa-user',
							'options' => array(								
							)				
						),
						// translation setting menu
						'translate' => array(
							'title' => esc_html__('Translation Settings', 'music-night'),
							'icon' => 'fa-language',
							'options' => array(
								'general-translation' => array(
									'title' => esc_html__('General Translation', 'music-night'),
									'options' => array(
										'error-subtitle'=> array(
											'title'=> esc_html__('We are really' ,'music-night'),
											'type'=> 'text',											
											'default' => '',
											'description'=> esc_html__('Adjust the 404 Sub Title here.', 'music-night')
										),
										'error-text'=> array(
											'title'=> esc_html__('Error 404 Text' ,'music-night'),
											'type'=> 'text',											
											'default' => 'We are not sure what you"re looking for... would you like to go to the','music-night',
											'description'=> esc_html__('Adjust the 404 text here.', 'music-night')
										),
										'error-btn'=> array(
											'title'=> esc_html__('Error 404 Return Button' ,'music-night'),
											'type'=> 'text',											
											'default' => 'HOMEPAGE',
											'description'=> esc_html__('Adjust 404 page button text here.', 'music-night')
										),
									)
								),
								
								'blog-translation' => array(
									'title' => esc_html__('Blog Translation', 'music-night'),
									'options' => array(
										'blog-comments'=> array(
											'title'=> esc_html__('Blog Comments' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Comments',
											'description'=> esc_html__('Adjust Blog listing layouts Comments button text here', 'music-night')
										),
										'blog-published-by'=> array(
											'title'=> esc_html__('Blog Published by' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Published by',
											'description'=> esc_html__('Adjust Published by text in the blog posts.', 'music-night')
										),
										'blog-read-more'=> array(
											'title'=> esc_html__('Blog Read More' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Read More',
											'description'=> esc_html__('Adjust Read More text in the blog posts.', 'music-night')
										),
									)
								),
								
								
								'event-translation' => array(
									'title' => esc_html__('Event Translation', 'music-night'),
									'options' => array(
										'event-timing'=> array(
											'title'=> esc_html__('Event Timing' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Timing',
											'description'=> esc_html__('Adjust Event Timing text on left side of the Event Detail page.', 'music-night')
										),
										'event-category'=> array(
											'title'=> esc_html__('Event Category' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Category',
											'description'=> esc_html__('Adjust Event Category text on the listing of Event page.', 'music-night')
										),
										'event-tag'=> array(
											'title'=> esc_html__('Event Tag' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Tags',
											'description'=> esc_html__('Adjust Event Tag text on the listing of Event page.', 'music-night')
										),
										'event-date'=> array(
											'title'=> esc_html__('Event Date' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Date',
											'description'=> esc_html__('Adjust Event Date text on left side of the Event Detail page.', 'music-night')
										),
										'event-city'=> array(
											'title'=> esc_html__('Event City/Town' ,'music-night'),
											'type'=> 'text',											
											'default' => 'City/Town',
											'description'=> esc_html__('Adjust Event City/Town text on left side of the Event Detail page.', 'music-night')
										),
										'event-read-more'=> array(
											'title'=> esc_html__('Event Read More' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Read More',
											'description'=> esc_html__('Adjust Event Read More Button text on the Event Style.', 'music-night')
										),
										'event-phone'=> array(
											'title'=> esc_html__('Event Phone' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Phone Number',
											'description'=> esc_html__('Adjust Event Phone Number text on left side of the Event Detail page.', 'music-night')
										),
										'event-email'=> array(
											'title'=> esc_html__('Event Email' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Email',
											'description'=> esc_html__('Adjust Event Email text on left side of the Event Detail page.', 'music-night')
										),
										'event-donate-btn'=> array(
											'title'=> esc_html__('Event Donate Now' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Donate Now',
											'description'=> esc_html__('Adjust Event Donate Now text on left side of the Event Detail page.', 'music-night')
										),
										
									)
								),
								
								'team-translation' => array(
									'title' => esc_html__('Team Translation', 'music-night'),
									'options' => array(
										'team-phone'=> array(
											'title'=> esc_html__('Team Detail Phone Number' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Phone Number',
											'description'=> esc_html__('Adjust Phone Number text in the Team Detail page.', 'music-night')
										),
										'team-email'=> array(
											'title'=> esc_html__('Team Email Address' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Email',
											'description'=> esc_html__('Adjust Email text in the Team Detail page.', 'music-night')
										),
										'team-website'=> array(
											'title'=> esc_html__('Team Website Address' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Website',
											'description'=> esc_html__('Adjust Website text in the Team Detail page.', 'music-night')
										),
										'team-facebook'=> array(
											'title'=> esc_html__('Team Facebook' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Facebook',
											'description'=> esc_html__('Adjust Facebook text in the Team Detail page.', 'music-night')
										),
										'team-twitter'=> array(
											'title'=> esc_html__('Team Twitter' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Twitter',
											'description'=> esc_html__('Adjust Twitter text in the Team Detail page.', 'music-night')
										),
										'team-youtube'=> array(
											'title'=> esc_html__('Team Youtube' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Youtube',
											'description'=> esc_html__('Adjust Youtube text in the Team Detail page.', 'music-night')
										),
										'team-pinterest'=> array(
											'title'=> esc_html__('Team Pinterest' ,'music-night'),
											'type'=> 'text',											
											'default' => 'Pinterest',
											'description'=> esc_html__('Adjust Pinterest text in the Team Detail page.', 'music-night')
										),
										
									)
								),
								
							),
						),
						// plugin setting menu
						'plugin-settings' => array(
							'title' => esc_html__('Slider Settings', 'music-night'),
							'icon' => 'fa fa-sliders ',
							'options' => array(
								'bx-slider' => array(
									'title' => esc_html__('BX Slider', 'music-night'),
									'options' => array(		
										'bx-slider-effects' => array(
											'title' => esc_html__('BX Slider Effect', 'music-night'),
											'type' => 'combobox',
											'description'=> esc_html__('You can select the BX slide effect from the dropdown menu.', 'music-night'),
											'options' => array(
												'fade' => esc_html__('Fade', 'music-night'),
												'slide'	=> esc_html__('Slide', 'music-night')
											)
										),
										'bx-min-slide' => array(
											'title' => esc_html__('BX Min Slide', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the minimum number of slides here.', 'music-night'),
											'wrapper-class' => 'bx-slider-effects-wrapper slidee-wrapper',
											'default' => '1'
										),
										'bx-max-slide' => array(
											'title' => esc_html__('BX Max Slide', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the maximum number of slides here.', 'music-night'),
											'wrapper-class' => 'bx-slider-effects-wrapper slidee-wrapper',
											'default' => '1'
										),
										'bx-slide-margin' => array(
											'title' => esc_html__('BX Slide Margin', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the maximum number of slides here.', 'music-night'),
											'wrapper-class' => 'bx-slider-effects-wrapper slidee-wrapper',
											'default' => '10'
										),
										'bx-arrow' => array(
											'title' => esc_html__('Bxslider Arrows', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Turn on or off bx slider arrows from here enabling this option will enable the arrows on home page.', 'music-night'),	
											'default' => 'enable'
										),
										'bx-pause-time' => array(
											'title' => esc_html__('BX Slider Pause Time', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the BX slider pause time you want to have.', 'music-night'),
											'default' => '7000'
										),
										'bx-slide-speed' => array(
											'title' => esc_html__('BX Slider Animation Speed', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the BX slider animation speed you want to have.', 'music-night'),
											'default' => '600'
										),	
									)
								),
								'flex-slider' => array(
									'title' => esc_html__('Flex Slider', 'music-night'),
									'options' => array(		
										'flex-slider-effects' => array(
											'title' => esc_html__('Flex Slider Effect', 'music-night'),
											'type' => 'combobox',
											'description'=> esc_html__('You can select the Flex slide effect from the dropdown menu.', 'music-night'),
											'options' => array(
												'fade' => esc_html__('Fade', 'music-night'),
												'slide'	=> esc_html__('Slide', 'music-night')
											)
										),
										'flex-pause-time' => array(
											'title' => esc_html__('Flex Slider Pause Time', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the Flex slider pause time you want to have.', 'music-night'),
											'default' => '7000'
										),
										'flex-slide-speed' => array(
											'title' => esc_html__('Flex Slider Animation Speed', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the Flex slider animation speed you want to have.', 'music-night'),
											'default' => '600'
										),	
									)
								),
								
								'nivo-slider' => array(
									'title' => esc_html__('Nivo Slider', 'music-night'),
									'options' => array(		
										'nivo-slider-effects' => array(
											'title' => esc_html__('Nivo Slider Effect', 'music-night'),
											'type' => 'combobox',
											'description'=> esc_html__('You can select the Nivo slide effect from the dropdown menu.', 'music-night'),
											'options' => array(
												'sliceDownRight'	=> esc_html__('sliceDownRight', 'music-night'),
												'sliceDownLeft'		=> esc_html__('sliceDownLeft', 'music-night'),
												'sliceUpRight'		=> esc_html__('sliceUpRight', 'music-night'),
												'sliceUpLeft'		=> esc_html__('sliceUpLeft', 'music-night'),
												'sliceUpDown'		=> esc_html__('sliceUpDown', 'music-night'),
												'sliceUpDownLeft'	=> esc_html__('sliceUpDownLeft', 'music-night'),
												'fold'				=> esc_html__('fold', 'music-night'),
												'fade'				=> esc_html__('fade', 'music-night'),
												'boxRandom'			=> esc_html__('boxRandom', 'music-night'),
												'boxRain'			=> esc_html__('boxRain', 'music-night'),
												'boxRainReverse'	=> esc_html__('boxRainReverse', 'music-night'),
												'boxRainGrow'		=> esc_html__('boxRainGrow', 'music-night'),
												'boxRainGrowReverse'=> esc_html__('boxRainGrowReverse', 'music-night')
											)
										),
										'nivo-pause-time' => array(
											'title' => esc_html__('Nivo Slider Pause Time', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the Nivo slider pause time you want to have.', 'music-night'),
											'default' => '7000'
										),
										'nivo-slide-speed' => array(
											'title' => esc_html__('Nivo Slider Animation Speed', 'music-night'),
											'type' => 'text',
											'description'=> esc_html__('Enter the Nivo slider animation speed you want to have.', 'music-night'),
											'default' => '600'
										),	
									)
								),
								'slider-caption' => array(
									'title' => esc_html__('Slider Caption', 'music-night'),
									'options' => array(		
										'caption-title-color' => array(
											'title' => esc_html__('Caption Title Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Title Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'show-caption-wrapper yes-wrapper'
										),	
										'caption-background-color-switch' => array(
											'title' => esc_html__('Caption Background Color Switch', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('if you have transparent background and dont want to use caption bg you can turn it off.', 'music-night'),	
											'default' => 'enable'
										),
										'caption-background-color' => array(
											'title' => esc_html__('Caption Title Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Title Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'show-caption-wrapper yes-wrapper caption-background-color-switch-wrapper caption-background-color-switch-enable'
										),
										'title-font-size' => array(
											'title' => esc_html__('Caption Title Size', 'music-night'),
											'type' => 'sliderbar',
											'description'=> esc_html__('You can control the Caption Title Size on the slider from here.', 'music-night'),
											'default' => '30',
											'range_start' => '30',
											'range_end' => '30',
											//'selector' => 'h1{ font-size: #kode#; }',
											'data-type' => 'pixel'											
										),
										'caption-desc-color' => array(
											'title' => esc_html__('Caption Description Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Description Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'show-caption-wrapper yes-wrapper'
										),	
										'caption-btn-color-switch' => array(
											'title' => esc_html__('Caption Button Color Switch', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('if you have transparent background and dont want to use caption bg you can turn it off.', 'music-night'),	
											'default' => 'enable'
										),
										'caption-font-size' => array(
											'title' => esc_html__('Caption Description Size', 'music-night'),
											'type' => 'sliderbar',
											'description'=> esc_html__('You can select the Caption Description Font Size on the slider from here.', 'music-night'),
											'default' => '30',
											'range_start' => '30',
											'range_end' => '30',
											//'selector' => 'h1{ font-size: #kode#; }',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
											'data-type' => 'pixel'											
										),
										'caption-btn-color' => array(
											'title' => esc_html__('Button Text Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),
										'caption-btn-color-hover' => array(
											'title' => esc_html__('Button Hover Text Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),	
										'caption-btn-color-border' => array(
											'title' => esc_html__('Button Border Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Border Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),										
										'caption-btn-color-bg' => array(
											'title' => esc_html__('Button Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),	
										'caption-btn-hover-bg' => array(
											'title' => esc_html__('Button Background Hover Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),	
										'caption-btn-arrow-color' => array(
											'title' => esc_html__('Caption Button Arrow Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),	
										'caption-btn-arrow-hover' => array(
											'title' => esc_html__('Caption Button Hover Arrow Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),
										'caption-btn-arrow-bg' => array(
											'title' => esc_html__('Caption Button Arrow BG Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),
										'caption-btn-arrow-hover-bg' => array(
											'title' => esc_html__('Caption Button Arrow Hover BG Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Caption Button Background Color on the slider from here.', 'music-night'),
											'default'=> '#ffffff',
											'wrapper-class'=>'caption-btn-color-switch-wrapper yes-wrapper enable-wrapper',
										),
									) ,
								)
							)					
						),
						
						'sidebar-settings' => array(
							'title' => esc_html__('Sidebar Settings', 'music-night'),
							'icon' => 'fa fa-columns',
							'options' => array(
								'sidebar_element' => array(
									'title' => esc_html__('Sidebar', 'music-night'),
									'options' => array(
										'sidebar-size' => array(
											'title' => __('Sidebar Size', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'2'=>__('16 Percent', 'music-night'),
												'3'=>__('25 Percent', 'music-night'),
												'4'=>__('33 Percent', 'music-night'),
												'5'=>__('41 Percent', 'music-night'),
												'6'=>__('50 Percent', 'music-night')
											),
											'default' => '4',
											'descripton' => '1 column equals to around 80px',
										),		
										'both-sidebar-size' => array(
											'title' => __('Both Sidebar Size', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'3'=>__('25 Percent', 'music-night'),
												'4'=>__('33 Percent', 'music-night')
											),
											'default' => '3',
											'descripton' => '1 column equals to around 80px',
										),
										'widget-heading-style' => array(
											'title' => __('Widget Heading Style', 'music-night'),
											'type' => 'combobox',
											'options' => array(
												'1'=>__('Heading 1', 'music-night'),
												'2'=>__('Heading 2', 'music-night'),
												'3'=>__('Heading 3', 'music-night')
											),
											'default' => '3',
											'descripton' => esc_attr__('Select Widget Heading Style','music-night'),
										),
										'widget-heading-color' => array(
											'title' => esc_html__('Widget Heading Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Widget Heading Color.', 'music-night'),
											'default'=> '#ffffff',											
										),										
										'sidebar-tbn' => array(
											'title' => esc_html__('Sidebar Button', 'music-night'),
											'type' => 'checkbox',	
											'description'=> esc_html__('Sidebar button', 'music-night'),
											'default' => 'enable'
										),
										'sidebar-bg-color' => array(
											'title' => esc_html__('Sidebar Background Color', 'music-night'),
											'type' => 'colorpicker',
											'description'=> esc_html__('You can select the Sidebar Background Color.', 'music-night'),
											'default'=> '#ffffff',											
										),
										'sidebar-padding-top' => array(
											'title' => esc_html__('Padding Top', 'music-night'),
											'type' => 'text',
											'default' => '30',
											'description' => 'Please add padding from top of the sidebar'
										),
										'sidebar-padding-bottom' => array(
											'title' => esc_html__('Padding Bottom', 'music-night'),
											'type' => 'text',
											'default' => '30',
											'description' => 'Please add padding from Bottom of the sidebar'
										),
										'sidebar-padding-left' => array(
											'title' => esc_html__('Padding Left', 'music-night'),
											'type' => 'text',
											'default' => '30',
											'description' => 'Please add padding from Left of the sidebar'
										),
										'sidebar-padding-right' => array(
											'title' => esc_html__('Padding Right', 'music-night'),
											'type' => 'text',
											'default' => '30',
											'description' => 'Please add padding from Right of the sidebar'
										),
																			
									)
								),
								'create_sidebar_element' => array(
									'title' => esc_html__('Create Sidebar', 'music-night'),
									'options' => array(								
										'sidebar-element' => array(
											'title' => esc_html__('Sidebar Name', 'music-night'),
											'description'=> esc_html__('Enter a name for new sidebar. It must be a valid name which starts with a letter. Then Click on the Add Button to create the Custom Sidebar', 'music-night'),
											'placeholder' => esc_html__('type sidebar name', 'music-night'),
											'type' => 'sidebar',
											'btn_title' => 'Add Sidebar'
										)	
									)
								)
							)
						),
						'api-settings' => array(
							'title' => esc_html__('API Settings', 'music-night'),
							'icon' => 'fa fa-gear',
							'options' => array(
								'api_configuration' => array(
									'title' => esc_html__('Mail Chimp API', 'music-night'),
									'options' => array(		
										'mail-chimp-api' => array(
											'title' => esc_html__('Mail Chimp API', 'music-night'),
											'type' => 'text',
											'default' => 'API KEY',
											'description' => 'Please add mail chimp API Key here'
										),									
										'mail-chimp-listid' => array(
											'title' => esc_html__('MailChimp List ID', 'music-night'),
											'type' => 'text',
											'description' => 'For getting list id first login to your mail chimp account then click on list > List name and Campaign defaults > you will see list id written on the right side of first section.'
										),
									)
								),
								'g_api_configuration' => array(
									'title' => esc_html__('Google API', 'music-night'),
									'options' => array(		
										'google-public-api' => array(
											'title' => esc_html__('Public Key (Sitekey) - Google Recaptcha', 'music-night'),
											'type' => 'text',
											'default' => 'API KEY',
											'description' => 'Please add mail google public which also known as sitekey here
												<p>you can get API from here, https://www.google.com/recaptcha/admin#site/</p>
												<p>Step 1: Login to Your Gmail Account</p>
												<p>Step 2: It will redirect you back https://www.google.com/recaptcha/admin#site/ Register a new site add Label Anything for example : Kodeforest project </p>
												<p>Step 3: Add your domains for example: kodeforest.com one per line.</p>
												<p>Step 4: Click On Register</p>'
										),									
										'google-secret-api' => array(
											'title' => esc_html__('Secret Key(Secret) - Google Recaptcha', 'music-night'),
											'type' => 'text',
											'description' => 'Please add secret key here 
												<p>you can get API from here, https://www.google.com/recaptcha/admin#site/</p>
												<p>Step 1: Login to Your Gmail Account</p>
												<p>Step 2: It will redirect you back https://www.google.com/recaptcha/admin#site/ Register a new site add Label Anything for example : Kodeforest project </p>
												<p>Step 3: Add your domains for example: kodeforest.com one per line.</p>
												<p>Step 4: Click On Register</p>'
										),
										'google-map-api' => array(
											'title' => esc_html__('Google Map Api', 'music-night'),
											'type' => 'text',
											'description' => 'Please add google map api key here <p>You can get Google Map Api Key from https://developers.google.com/maps/web/.</p>
												<p>Step 1: Login to Your Gmail Account</p>
												<p>Step 2: It will redirect you back https://developers.google.com/maps/web/ Click on Get A Key > Popup Will Appear Click Continue.</p>
												<p>Step 3: It will take some time to take you right place where you should be.</p>
												<p>Step 4: On left of screen a dropdown and button will appear click on dropdown <strong>create new project</strong></p>
												<p>Step 5: Click on Continue After a while it will show you credential tab.</p>
												<p>Step 6: Add Name of Project And Under it add Your Site URl or Add *.</p>
												<p>Step 7: Click on Create and Grab your key and paste in Google MAP api.</p>
												'
										)
									)
								),
								'twitter_api' => array(
									'title' => esc_html__('Twitter API Settings', 'music-night'),
									'options' => array(		
										'twitter-user-name' => array(
											'title' => esc_html__('User Name : For example: KodeForest', 'music-night'),
											'type' => 'text',
											'default' => 'username',
											'description' => 'Please add mail twitter username here'
										),									
										'twitter-consumer-api' => array(
											'title' => esc_html__('Consumer Key (API Key)', 'music-night'),
											'type' => 'text',
											'default' => 'consumer',
											'description' => 'Please add mail consumer api here'
										),									
										'twitter-consumer-secret' => array(
											'title' => esc_html__('Consumer Secret (API Secret)', 'music-night'),
											'type' => 'text',
											'default' => 'consumer secret',
											'description' => 'Please add mail consumer secret here'
										),									
										'twitter-access-token' => array(
											'title' => esc_html__('Access Token', 'music-night'),
											'type' => 'text',
											'default' => 'access token',
											'description' => 'Please add Access Token here'
										),
										'twitter-access-token-secret' => array(
											'title' => esc_html__('Access Token Secret', 'music-night'),
											'type' => 'text',
											'default' => 'access token secret',
											'description' => 'Please add Access Token Secret here'
										),	
										'twitter-show-num' => array(
											'title' => esc_html__('Show Num of Tweets', 'music-night'),
											'type' => 'text',
											'default' => '5',
											'description' => 'Please limit number of tweets here'
										),	
										'twitter-cache' => array(
											'title' => esc_html__('Twitter Cache', 'music-night'),
											'type' => 'text',
											'default' => '1',
											'description' => 'Please twitter cache here for example : 1 hour'
										),										
									)
								),
							)
						),						
					)
				), 

				$musicnight_theme_option
			);
			
		}
		
	}

?>