<?php
	/*	
	*	Hotel Advisor option color File
	*	---------------------------------------------------------------------
	*	This file contains the color option setting 
	*	---------------------------------------------------------------------
	*	http://stackoverflow.com/questions/2270989/what-does-apply-filters-actually-do-in-wordpress
	*/
	
	add_filter('musicnight_themeoption_panel', 'musicnight_register_property_theme_option_color');
	if( !function_exists('musicnight_register_property_theme_option_color') ){
		function musicnight_register_property_theme_option_color( $array ){	
			global $musicnight_theme_option;
			//if empty
			if( empty($array['general']['options']) ){
				return $array;
			}
			$property_head =  array(
				'title' => esc_html__('Color Options', 'music-night'),				
				'icon' => 'fa-eyedropper',
			);
			
			$property_general =  array(
				'title' => esc_html__('General', 'music-night'),
				'options' => array(
					'color-scheme-for-background' => array(
						'title' => esc_html__('Scheme Background Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change the theme skin Color of your site.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'color-scheme-for-color' => array(
						'title' => esc_html__('Scheme Text Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change the theme skin Color of your site.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'color-scheme-for-button' => array(
						'title' => esc_html__('Scheme Background Button Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change the Button Color of your site.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'color-scheme-for-border' => array(
						'title' => esc_html__('Scheme Border Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change the theme skin Color of your site.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'body-background-color' => array(
						'title' => esc_html__('Body Background', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change the body background color of your site.',
						'default' => '#ffffff',
						'selector'=> ''
					),
				)
			);	
			
			$property_menu =  array(
				'title' => esc_html__('Navigation', 'music-night'),
				'options' => array(
					'nav-area-background-color' => array(
						'title' => esc_html__('Navigation Background Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Navigation Background Color Note: this will work only on Header Style 2 and Header Style 4.',
						'default' => '#ffffff',
						'wrapper-class'=> 'kode-header-style-wrapper header-style-4-wrapper header-style-2-wrapper',
						'selector'=> ''
					),
					'main-menu-text' => array(
						'title' => esc_html__('Menu Link Text Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Link Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-link-background' => array(
						'title' => esc_html__('Menu Link Background Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Link background Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-active-link' => array(
						'title' => esc_html__('Menu Active Link Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Active Link Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-active-link-bg' => array(
						'title' => esc_html__('Menu Active Link Background', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Active Link background Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-active-link-hover-color' => array(
						'title' => esc_html__('Menu Active Link Hover Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Active Link Hover Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-link-background-on-hover' => array(
						'title' => esc_html__('Menu Link Hover Background Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Link Background Color on Hover.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-link-color-on-hover' => array(
						'title' => esc_html__('Main Menu Link Color on Hover', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Link Color on Hover.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'main-menu-link-icon-color-on-hover' => array(
						'title' => esc_html__('Menu Link Icon Color on Hover', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Main Menu Link Icon Color on Hover.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-background' => array(
						'title' => esc_html__('Submenu | Background', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu background Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-bottom-border-color' => array(
						'title' => esc_html__('Submenu Border Bottom Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Border Bottom Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-link-color' => array(
						'title' => esc_html__('Submenu | Link Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Link Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-hover-link-color' => array(
						'title' => esc_html__('Submenu | Hover Link Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Hover Link Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-hover-link-hover-bg' => array(
						'title' => esc_html__('Submenu | Hover Link Background', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Hover Link Background.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-link-active-color' => array(
						'title' => esc_html__('Sub Menu Active Link Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Active Link Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'submenu-link-active-bg-color' => array(
						'title' => esc_html__('Sub Menu Active Link BG Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Submenu Active Sub Menu Active Link BG Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					
				)
			);		
			
			$property_content =  array(
				'title' => esc_html__('Text and Paragraph', 'music-night'),
				'options' => array(
					'text-color' => array(
						'title' => esc_html__('Text/Paragraph Color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Text/Content Paragraph text Color.',
						'default' => '#000000',
						'selector'=> ''
					),
					'link-color' => array(
						'title' => esc_html__('Link color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Link/Anchor Color.',
						'default' => '#000000',
						'selector'=> ''
					),
					'link-hover-color' => array(
						'title' => esc_html__('Link Hover color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Link/Anchor hover Color.',
						'default' => '#000000',
						'selector'=> ''
					),
					'link-note-color' => array(
						'title' => esc_html__('Note color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Note (eg. Blog meta, Filters, Widgets meta) Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'list-color' => array(
						'title' => esc_html__('List color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change (Ordered, Unordered & Bullets List) Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'button-bg-color' => array(
						'title' => esc_html__('Button Background', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Button background Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
					'button-color' => array(
						'title' => esc_html__('Button color', 'music-night'),
						'type' => 'colorpicker',
						'description' => 'This Color Picker allows you to change Button text Color.',
						'default' => '#ffffff',
						'selector'=> ''
					),
				)
			);	
			
			$array['color-settings']['options']['general'] = $property_general;
			$array['color-settings']['options']['menu'] = $property_menu;
			$array['color-settings']['options']['content'] = $property_content;
			
			return $array;
		}
	}