<?php
	/*	
	*	Hotel Advisor Theme Typography File
	*	---------------------------------------------------------------------
	*	This file contains the typography fonts setting options
	*	---------------------------------------------------------------------
	*	http://stackoverflow.com/questions/2270989/what-does-apply-filters-actually-do-in-wordpress
	*/
	
	add_filter('musicnight_themeoption_panel', 'musicnight_register_property_theme_typo');
	if( !function_exists('musicnight_register_property_theme_typo') ){
		function musicnight_register_property_theme_typo( $array ){	
			global $musicnight_theme_option;
			//if empty
			if( empty($array['general']['options']) ){
				return $array;
			}
			$property_head =  array(
				'title' => esc_html__('Typography Options', 'music-night'),				
				'icon' => 'fa-paint-brush',
			);
			
			
			$property_theme_typo =  array(
				'title' => esc_html__('Paragraph', 'music-night'),
				'options' => array(
					'body-font-family' => array(
						'title' => esc_html__('Font Family', 'music-night'),
						'type' => 'font_option',
						'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						'default' => 'Arial, Helvetica, sans-serif',
						'data-type' => 'font_option',
						'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					),
					'body-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size of the theme.', 'music-night'),
						'default' => '14',						
						'data-type' => 'pixel'											
					),				
					'body-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '24',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'body-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => 'normal',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'body-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'body-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'none',
					),
				)
			);
			
			$property_theme_all_heading =  array(
				'title' => esc_html__('All Heading Font', 'music-night'),
				'options' => array(
					'all-heading-font-family' => array(
						'title' => esc_html__('Font Family', 'music-night'),
						'type' => 'font_option',
						'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						'default' => 'Arial, Helvetica, sans-serif',
						'data-type' => 'font_option',
						'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					),
				)
			);
			
			$property_theme_h1 =  array(
				'title' => esc_html__('Heading 1', 'music-night'),
				'options' => array(
					// 'h1-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h1-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '62',						
						'data-type' => 'pixel'											
					),				
					'h1-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '62',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h1-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h1-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h1-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			
			$property_theme_h2 =  array(
				'title' => esc_html__('Heading 2', 'music-night'),
				'options' => array(
					// 'h2-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h2-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '45',						
						'data-type' => 'pixel'											
					),				
					'h2-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '55',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h2-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h2-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h2-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			$property_theme_h3 =  array(
				'title' => esc_html__('Heading 3', 'music-night'),
				'options' => array(
					// 'h3-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h3-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '30',						
						'data-type' => 'pixel'											
					),				
					'h3-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '40',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h3-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h3-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h3-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			$property_theme_h4 =  array(
				'title' => esc_html__('Heading 4', 'music-night'),
				'options' => array(
					// 'h4-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h4-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '24',						
						'data-type' => 'pixel'											
					),				
					'h4-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '34',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h4-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h4-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h4-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			$property_theme_h5 =  array(
				'title' => esc_html__('Heading 5', 'music-night'),
				'options' => array(
					// 'h5-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h5-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '20',						
						'data-type' => 'pixel'											
					),				
					'h5-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '30',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h5-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h5-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h5-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			$property_theme_h6 =  array(
				'title' => esc_html__('Heading 6', 'music-night'),
				'options' => array(
					// 'h6-font-family' => array(
						// 'title' => esc_html__('Font Family', 'music-night'),
						// 'type' => 'font_option',
						// 'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						// 'default' => 'Arial, Helvetica, sans-serif',
						// 'data-type' => 'font_option',
						// 'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					// ),
					'h6-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '18',						
						'data-type' => 'pixel'											
					),				
					'h6-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '28',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'h6-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => '400',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'h6-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'h6-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize'	=> esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'capitalize',
					),
				)
			);
			
			
			$property_theme_nav =  array(
				'title' => esc_html__('Navigation', 'music-night'),
				'options' => array(
					'navigation-font-family' => array(
						'title' => esc_html__('Font Family', 'music-night'),
						'type' => 'font_option',
						'description'=> esc_html__('Please Select the Font Family from here.', 'music-night'),
						'default' => 'Arial, Helvetica, sans-serif',
						'data-type' => 'font_option',
						'selector' => 'body, input, textarea{ font-family: #gdlr#; }'
					),
					'navigation-font-size' => array(
						'title' => esc_html__('Font Size', 'music-night'),
						'type' => 'sliderbar',
						'description'=> esc_html__('This option will let you increase / decrease the font Size.', 'music-night'),
						'default' => '14',						
						'data-type' => 'pixel'											
					),				
					'navigation-line-height'=> array(
						'title'=> esc_html__('Line Height' ,'music-night'),
						'type'=> 'text',											
						'default' => '24',
						'description'=> esc_html__('Adjust line height For Example: 10', 'music-night')
					),
					'navigation-font-weight'=> array(
						'title'=> esc_html__('Font Weight' ,'music-night'),
						'type'=> 'text',											
						'default' => 'normal',
						'description'=> esc_html__('Adjust Font Weight For Example: normal, bold, 100 to 800', 'music-night')
					),
					'navigation-letter-spacing'=> array(
						'title'=> esc_html__('Letter Spacing' ,'music-night'),
						'type'=> 'text',											
						'default' => '0.2',
						'description'=> esc_html__('Adjust Letter Spacing. For Example: 5', 'music-night')
					),
					'navigation-text-transform' => array(
						'title' => esc_html__('Text Transform', 'music-night'),
						'type' => 'combobox',
						'description'=> esc_html__('You can manage transform uppercase or lowercase.', 'music-night'),
						'options' => array(
							'uppercase' => esc_html__('Uppercase', 'music-night'),
							'lowercase'	=> esc_html__('Lowercase', 'music-night'),
							'capitalize' => esc_html__('Capitalize', 'music-night'),
							'none'	=> esc_html__('None', 'music-night'),
						),
						'default' => 'uppercase',
					),
				)
			);
			
			
			
			$array['font-settings']['options']['body'] = $property_theme_typo;
			$array['font-settings']['options']['heading-all'] = $property_theme_all_heading;
			$array['font-settings']['options']['heading-1'] = $property_theme_h1;
			$array['font-settings']['options']['heading-2'] = $property_theme_h2;
			$array['font-settings']['options']['heading-3'] = $property_theme_h3;
			$array['font-settings']['options']['heading-4'] = $property_theme_h4;
			$array['font-settings']['options']['heading-5'] = $property_theme_h5;
			$array['font-settings']['options']['heading-6'] = $property_theme_h6;
			$array['font-settings']['options']['navigation'] = $property_theme_nav;
			
			
			return $array;
		}
	}