<?php
	/*	
	*	Kodeforest Blog Item Management File
	*	---------------------------------------------------------------------
	*	This file contains functions that help you get blog item
	*	---------------------------------------------------------------------
	*/
	
		
	if( !function_exists('musicnight_get_album_item') ){
		function musicnight_get_album_item( $settings = array() ){
			$item_id = empty($settings['page-item-id'])? '': ' id="' . $settings['page-item-id'] . '" ';

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-album-item'])? 'margin-bottom: ' . esc_attr($settings['margin-bottom']) . 'px;': '';
			$margin_style = (!empty($margin))? ' style="' . $margin . '" ': '';
			
			//$ret  = musicnight_get_item_title($settings);
			$ret = '';
			$ret .= '<div class="album-item-wrapper"  ' . $item_id . $margin_style . '>';
			
			// query post and sticky post
			$args = array('post_type' => 'album', 'suppress_filters' => false);
			if( !empty($settings['category']) || !empty($settings['tag']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'album_category', 'field'=>'slug'));
				}
				if( !empty($settings['tag']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'album_tag', 'field'=>'slug'));
				}				
			}

			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : get_query_var('page');
			$args['paged'] = empty($args['paged'])? 1: $args['paged'];
			$query = new WP_Query( $args );
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];


			// set the excerpt length
			if( !empty($settings['num-excerpt']) ){
				global $musicnight_excerpt_length; $musicnight_excerpt_length = $settings['num-excerpt'];
				add_filter('excerpt_length', 'musicnight_set_excerpt_length');
			} 
			
			// get album by the album style
			global $musicnight_post_settings, $musicnight_lightbox_id;
			$musicnight_lightbox_id++;
			$musicnight_post_settings['num-excerpt'] = $settings['num-excerpt'];
			$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];	
			$musicnight_post_settings['album-style'] = $settings['album-style'];	
			
			$ret .= '<div class="album-item-holder">';
			if($settings['album-style'] == 'album-full'){
				$ret .= '<div class="album-full-view">';
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$album_size = $settings['album-size'];	
				$ret .= musicnight_get_album_full($query, $album_size, $settings['album-slider']);
				$ret .= '</div>';
			}else if(strpos($settings['album-style'], 'album-grid') !== false){
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$album_size = $settings['album-size'];	
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="eco_album_section">';
				$ret .= musicnight_get_album_grid($query, $album_size, $settings['album-slider']);			
				$ret .= '</div>';
			}else if(strpos($settings['album-style'], 'album-list') !== false){
				$album_size = $settings['album-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_album_list"><div class="row">';
				$ret .= musicnight_get_album_list($query, $album_size, $settings['album-slider']);
				$ret .= '</div></div>';
			}else if(strpos($settings['album-style'], 'album-small-grid') !== false){
				$album_size = $settings['album-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_album_modern_list"><div class="row">';
				$ret .= musicnight_get_album_list_modern($query, $album_size, $settings['album-slider']);
				$ret .= '</div></div>';
			}else if(strpos($settings['album-style'], 'album-modern-grid') !== false){
				$album_size = $settings['album-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_album_modern_list"><div class="row">';
				$ret .= musicnight_get_album_modern_grid($query, $album_size, $settings['album-slider']);
				$ret .= '</div></div>';
			}else{
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-album-thumbnail-size'];
				$album_size = $settings['album-size'];
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="kode-album-list-view kode-grid-album">';
				$ret .= musicnight_get_album_grid($query, $album_size, '');			
				$ret .= '</div>';
			}
			$ret .= '</div>';
			
			if( $settings['pagination'] == 'enable' ){
				$ret .= '<div class="col-md-12">';
				$ret .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
				$ret .= '</div>'; // album-item-column
			}
			$ret .= '</div>'; // album-item-wrapper
			
			return $ret;
		}
	}

	if( !function_exists('musicnight_get_album_info') ){
		function musicnight_get_album_info( $array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list(get_the_ID(), 'album_tag', '', '<span class="sep">,</span> ','' );
						if(empty($tag)) break;					
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-tag"><i class="fa fa-tag"></i>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'album_category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-comment"><i class="fa fa-comment-o"></i>';
						$comments = 'comment';
						if(get_comments_number() > 1 ){
							$comments = esc_html__('Comments','music-night');
						}else{
							$comments = esc_html__('Comments','music-night');
						}
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' <span>' . esc_attr($comments).'</span></a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' <span>' . esc_html__('Views','music-night').'</span></a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-author"><i class="fa fa-user"></i> <span>'.esc_attr__('By','music-night').'</span> ';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="kode-album-info kode-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
	

	if( !function_exists('musicnight_get_album_widget') ){
		function musicnight_get_album_widget($query, $size){
			
			$ret = ''; $current_size = 0;
			// if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size); }
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-album-widget">';
				$ret .= '<div class="kode-ux kode-album-widget-ux">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			wp_reset_postdata();
			
			return $ret;
		}
	}
	
	if( !function_exists('musicnight_get_album_list') ){
		function musicnight_get_album_list($query, $size, $album_layout){
			
			if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-album-widget">';
				$ret .= '<div class="kode-ux kode-album-widget-ux">';
				if($current_size % 2 == 0){
					ob_start();
					
					get_template_part('single/content-list');
					$ret .= ob_get_contents();
					
					ob_end_clean();			
				}else{
					ob_start();
					
					get_template_part('single/content-list-one');
					$ret .= ob_get_contents();
					
					ob_end_clean();	
				}
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_album_list_modern') ){
		function musicnight_get_album_list_modern($query, $size, $album_layout){
			
			if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-album-modern">';
				$ret .= '<div class="kode-ux kode-album-modern-ux">';
				
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_album_modern_grid') ){
		function musicnight_get_album_modern_grid($query, $size, $album_layout){
			
			if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size , 1); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-album-modern-grid">';
				$ret .= '<div class="kode-ux kode-album-modern-grid-ux">';
				
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_album_grid') ){
		function musicnight_get_album_grid($query, $size, $album_layout){
			
			if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;			
			//$ret .= '<div class="kode-isotope" data-type="album" data-layout="' . $album_layout  . '" >';
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clearfix clear"></div>';
				}

				$ret .= '<div class="col-sm-6 col-xs-12 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-ux kode-album-grid-ux">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux				
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}		
	
	if( !function_exists('musicnight_get_album_grid_carousel') ){
		function musicnight_get_album_grid_carousel($query, $size,$margin=""){
			if(!isset($margin) || $margin == ''){
				$margin = '30';
			}
			$ret = ''; 			
			$ret .= '<div class="owl-carousel owl-theme" data-margin="'.esc_attr($margin).'" data-medium-slide="'.esc_attr($size).'" data-slide="'.esc_attr($size).'" data-small-slide="'.esc_attr($size).'" >';			
			while($query->have_posts()){ $query->the_post();
				$ret .= '<div class="item">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();					
				$ret .= '</div>'; // kode-item
			}
			$ret .= '</div>';
			$ret .= '<div class="clear"></div>';			
			wp_reset_postdata();
			
			return $ret;
		}
	}		
	
	if( !function_exists('musicnight_get_album_full') ){
		function musicnight_get_album_full($query, $size, $album_layout){
			
			if($album_layout == 'carousel'){ return musicnight_get_album_grid_carousel($query, $size); }
			$ret = '';$current_size = 0;
		
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}
				$ret .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-album-single-full ">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux
				$ret .= '</div>'; // kode-item
				$current_size++;
			}
			wp_reset_postdata();
			
			return $ret;
		}
	}	

?>