<?php
	/*	
	*	Kodeforest Blog Item Management File
	*	---------------------------------------------------------------------
	*	This file contains functions that help you get blog item
	*	---------------------------------------------------------------------
	*/
	
		
	if( !function_exists('musicnight_get_blog_item') ){
		function musicnight_get_blog_item( $settings = array() ){
			$item_id = empty($settings['page-item-id'])? '': ' id="' . $settings['page-item-id'] . '" ';

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-blog-item'])? 'margin-bottom: ' . esc_attr($settings['margin-bottom']) . 'px;': '';
			$margin_style = (!empty($margin))? ' style="' . $margin . '" ': '';
			
			//$ret  = musicnight_get_item_title($settings);
			$ret = '';
			$ret .= '<div class="blog-item-wrapper"  ' . $item_id . $margin_style . '>';
			
			// query post and sticky post
			$args = array('post_type' => 'post', 'suppress_filters' => false);
			if( !empty($settings['category']) || !empty($settings['tag']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'category', 'field'=>'slug'));
				}
				if( !empty($settings['tag']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'post_tag', 'field'=>'slug'));
				}				
			}

			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : get_query_var('page');
			$args['paged'] = empty($args['paged'])? 1: $args['paged'];
			$query = new WP_Query( $args );
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];


			// set the excerpt length
			if( !empty($settings['num-excerpt']) ){
				global $musicnight_excerpt_length; $musicnight_excerpt_length = $settings['num-excerpt'];
				add_filter('excerpt_length', 'musicnight_set_excerpt_length');
			} 
			
			// get blog by the blog style
			global $musicnight_post_settings, $musicnight_lightbox_id;
			$musicnight_lightbox_id++;
			$musicnight_post_settings['num-excerpt'] = $settings['num-excerpt'];
			$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];	
			$musicnight_post_settings['blog-style'] = $settings['blog-style'];	
			$musicnight_post_settings['blog-meta'] = $settings['blog-meta'];
			$musicnight_post_settings['blog-share'] = $settings['blog-share'];
			
			$ret .= '<div class="blog-item-holder">';
			if($settings['blog-style'] == 'blog-full'){
				$ret .= '<div class="eco_blog_detail">';
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$blog_size = $settings['blog-size'];	
				$ret .= musicnight_get_blog_full($query, $blog_size, $settings['blog-slider']);
				$ret .= '</div>';
			}else if(strpos($settings['blog-style'], 'blog-grid') !== false){
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$blog_size = $settings['blog-size'];	
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="eco_blog_section">';
				$ret .= musicnight_get_blog_grid($query, $blog_size, $settings['blog-slider']);			
				$ret .= '</div>';
			}else if(strpos($settings['blog-style'], 'blog-list') !== false){
				$blog_size = $settings['blog-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_blog_list"><div class="row">';
				$ret .= musicnight_get_blog_list($query, $blog_size, $settings['blog-slider']);
				$ret .= '</div></div>';
			}else if(strpos($settings['blog-style'], 'blog-small-grid') !== false){
				$blog_size = $settings['blog-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_blog_modern_list"><div class="row">';
				$ret .= musicnight_get_blog_list_modern($query, $blog_size, $settings['blog-slider']);
				$ret .= '</div></div>';
			}else if(strpos($settings['blog-style'], 'blog-modern-grid') !== false){
				$blog_size = $settings['blog-size'];	
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$musicnight_post_settings['num-excerpt'] = intval($settings['num-excerpt']);
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="col-md-12 kode_blog_modern_list"><div class="row">';
				$ret .= musicnight_get_blog_modern_grid($query, $blog_size, $settings['blog-slider']);
				$ret .= '</div></div>';
			}else{
				$musicnight_post_settings['thumbnail-size'] = $settings['kode-blog-thumbnail-size'];
				$blog_size = $settings['blog-size'];
				$musicnight_post_settings['title-num-fetch'] = $settings['title-num-fetch'];
				$ret .= '<div class="kode-blog-list-dd kode-grid-blog">';
				$ret .= musicnight_get_blog_grid($query, $blog_size, '');			
				$ret .= '</div>';
			}
			$ret .= '</div>';
			
			if( $settings['pagination'] == 'enable' ){
				$ret .= '<div class="col-md-12">';
				$ret .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
				$ret .= '</div>'; // blog-item-column
			}
			$ret .= '</div>'; // blog-item-wrapper
						
			return $ret;
		}
	}

	if( !function_exists('musicnight_get_blog_info') ){
		function musicnight_get_blog_info( $array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list(get_the_ID(), 'post_tag', '', '<span class="sep">,</span> ','' );
						if(empty($tag)) break;					
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-tag"><i class="fa fa-tag"></i>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-comment"><i class="fa fa-comment-o"></i>';
						$comments = 'comment';
						if(get_comments_number() > 1 ){
							$comments = esc_html__('Comments','music-night');
						}else{
							$comments = esc_html__('Comments','music-night');
						}
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' <span>' . esc_attr($comments).'</span></a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' <span>' . esc_html__('Views','music-night').'</span></a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="blog-info blog-author"><i class="fa fa-user"></i> <span>'.esc_attr__('By','music-night').'</span> ';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="kode-blog-info kode-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
	

	if( !function_exists('musicnight_get_blog_widget') ){
		function musicnight_get_blog_widget($query, $size){
			
			$ret = ''; $current_size = 0;
			// if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size); }
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-blog-widget">';
				$ret .= '<div class="kode-ux kode-blog-widget-ux">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			wp_reset_postdata();
			
			return $ret;
		}
	}
	
	if( !function_exists('musicnight_get_blog_list') ){
		function musicnight_get_blog_list($query, $size, $blog_layout){
			
			if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-blog-widget">';
				$ret .= '<div class="kode-ux kode-blog-widget-ux">';
				if($current_size % 2 == 0){
					ob_start();
					
					get_template_part('single/content-list');
					$ret .= ob_get_contents();
					
					ob_end_clean();			
				}else{
					ob_start();
					
					get_template_part('single/content-list-one');
					$ret .= ob_get_contents();
					
					ob_end_clean();	
				}
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_blog_list_modern') ){
		function musicnight_get_blog_list_modern($query, $size, $blog_layout){
			
			if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-blog-modern">';
				$ret .= '<div class="kode-ux kode-blog-modern-ux">';
				
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_blog_modern_grid') ){
		function musicnight_get_blog_modern_grid($query, $size, $blog_layout){
			
			if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size , 1); }
		
			$ret = ''; $current_size = 0;				
			
			while($query->have_posts()){ $query->the_post();
				
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}

				$ret .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-blog-modern-grid">';
				$ret .= '<div class="kode-ux kode-blog-modern-grid-ux">';
				
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
			
				$ret .= '</div>'; // kode-ux			
				$ret .= '</div>'; // kode-item			
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_blog_grid') ){
		function musicnight_get_blog_grid($query, $size, $blog_layout){
			
			if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size); }
		
			$ret = ''; $current_size = 0;			
			//$ret .= '<div class="kode-isotope" data-type="blog" data-layout="' . $blog_layout  . '" >';
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clearfix clear"></div>';
				}

				$ret .= '<div class="col-sm-6 col-xs-12 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-ux kode-blog-grid-ux">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux				
				$ret .= '</div>'; // column_class
				$current_size ++;
			}
			$ret .= '<div class="clear"></div>';
			//$ret .= '</div>'; // close the kode-isotope
			wp_reset_postdata();
			
			return $ret;
		}
	}		
	
	if( !function_exists('musicnight_get_blog_grid_carousel') ){
		function musicnight_get_blog_grid_carousel($query, $size,$margin=""){
			if(!isset($margin) || $margin == ''){
				$margin = '30';
			}
			$ret = ''; 			
			$ret .= '<div class="owl-carousel owl-theme" data-margin="'.esc_attr($margin).'" data-medium-slide="'.esc_attr($size).'" data-slide="'.esc_attr($size).'" data-small-slide="'.esc_attr($size).'" >';			
			while($query->have_posts()){ $query->the_post();
				$ret .= '<div class="item">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();					
				$ret .= '</div>'; // kode-item
			}
			$ret .= '</div>';
			$ret .= '<div class="clear"></div>';			
			wp_reset_postdata();
			
			return $ret;
		}
	}		
	
	if( !function_exists('musicnight_get_blog_full') ){
		function musicnight_get_blog_full($query, $size, $blog_layout){
			
			if($blog_layout == 'carousel'){ return musicnight_get_blog_grid_carousel($query, $size); }
			$ret = '';$current_size = 0;
		
			while($query->have_posts()){ $query->the_post();
				if( $current_size % $size == 0 ){
					$ret .= '<div class="clear"></div>';
				}
				$ret .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
				$ret .= '<div class="kode-item kode-blog-single-full ">';
				ob_start();
				
				get_template_part('single/content');
				$ret .= ob_get_contents();
				
				ob_end_clean();			
				$ret .= '</div>'; // kode-ux
				$ret .= '</div>'; // kode-item
				$current_size++;
			}
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_posts($post_id) {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_tags( $post_id );		
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'post_tag', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'post';
			$args['numberposts'] = 3;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );
			if($related_posts) {
				echo '<div class="related-post">';
				echo '
				<!--Heading Start-->
				<div class="msl-black">
					<div class="msl-heading light-color">
						<h5><span>'.esc_attr__('Related Posts','music-night').'</span></h5>
					</div>
				</div>';
				echo '
				<!--Heading End-->';
				echo '<div class="row">';
					foreach ( $related_posts as $post ) : setup_postdata( $post );
					$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['recommended-thumbnail-size']);
					if(!empty($image_src)){ ?>                        
						<div class="col-md-4">
							<div class="music_event_fig text">
								<figure>
									<img alt="<?php the_title(); ?>" src="<?php echo esc_url($image_src[0])?>">
								</figure>
								<a class="event_heart" href="#"><i class="fa fa-heart-o"></i></a>
								<div class="music_event_location">
									<h3><a title="<?php the_title_attribute(); ?>" href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_attr(substr(get_the_title(),0,15)); ?></a></h3>
									<p><?php echo esc_attr(get_the_date('M, Y'));?></p>
									<a href="<?php echo esc_url(get_permalink()); ?>"><i class="fa fa-map-marker"></i><?php echo esc_attr(substr(get_the_content(),0,20)); ?></a>
								</div>
								<a class="right_arrow" href="<?php echo esc_url(get_permalink()); ?>"><i class="fa fa-angle-right"></i></a>
							</div>
						</div>
					<?php }
					endforeach;
					echo '</div>';
				
			} wp_reset_postdata();
	
			echo '
			<div class="div-border"></div>
			</div>';
		}
	}
	
	// Related blogs for the volunteer detail page
	function musicnight_related_posts_team($post_id) {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_tags( $post_id );		
		$tag_arr = '';
		
			// foreach( $tags as $tag ) {
				// $tag_arr .= $tag->slug . ',';
			// }
			// if( !empty($tag_arr)){
				// $args['tax_query'] = array('relation' => 'OR');
				
				// if( !empty($tag_arr)){
					// array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'post_tag', 'field'=>'slug'));
				// }				
			// }
			
			$args['post_type'] = 'post';
			$args['numberposts'] = 8;
			//$args['post__not_in'] = array($post_id);
			
			//$related_posts = get_posts( $args );	
			
			$query = new WP_Query( $args );
				$ret .= '
				<div '.$margin_style.' data-mode="fade" class="d-relf-gallary-slider custom-dots">';
				while($query->have_posts()){ $query->the_post();global $post;
				$image_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), array(345,315));
					$ret .= '
					
					<div>
						<div class="d-relf-gallary-thumb">
							<figure>
								<a class="icon-box" href="'.esc_url(get_permalink()).'"></a>
								<img alt="'.esc_attr(get_the_title()).'" src="'.esc_url($image_src[0]).'">
							</figure>
							<div class="text">
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['title-num-fetch'])).'</a></h6>
								<p>'.substr(get_the_content(),0,26).'</p>
							</div>
						</div>
					</div>';
				}
				$ret .= '</div>';
			
			wp_reset_postdata();
			return $ret;
		
	}

?>