<?php
	/*	
	*	MusicForest Page Elements File
	*	---------------------------------------------------------------------
	*	This file contains the function use to print the elements of the theme
	*	---------------------------------------------------------------------
	*/
	
	// print title
	if( !function_exists('musicnight_get_item_title') ){
		function musicnight_get_item_title( $atts ){
			$ret = '';
			
			$atts['title-type'] = (empty($atts['title-type']))? $atts['type']: $atts['title-type'];
		
			if( !empty($atts['title-type']) && $atts['title-type'] != 'none' ){
				$item_class  = 'pos-' . str_replace('-divider', '', $atts['title-type']);
				$item_class .= (!empty($atts['carousel']))? ' kode-nav-container': '';
				
				$ret .= '<div class="kode-item-title-wrapper kode-item ' . esc_attr($item_class) . ' ">';
				
				$ret .= '<div class="kode-item-title-head">';
				$ret .= !empty($atts['carousel'])? '<i class="icon-angle-left kode-flex-prev"></i>': '';
				if(!empty($atts['title'])){
					$ret .= '<h3 class="kode-item-title kode-skin-title kode-skin-border">' . esc_attr($atts['title']) . '</h3>';
				}
				$ret .= !empty($atts['carousel'])? '<i class="icon-angle-right kode-flex-next"></i>': '';
				$ret .= '<div class="clear"></div>';
				$ret .= '</div>';
				
				$ret .= (strpos($atts['title-type'], 'divider') > 0)? '<div class="kode-item-title-divider"></div>': '';
				
				if(!empty($atts['caption'])){
					$ret .= '<div class="kode-item-title-caption kode-skin-info">' . esc_attr($atts['caption']) . '</div>';
				}
				
				if(!empty($atts['right-text']) && !empty($atts['right-text-link'])){
					$ret .= '<a class="kode-item-title-link" href="' . esc_url($atts['right-text-link']) . '" >' . esc_attr($atts['right-text']) . '</a>';
				}
				
				$ret .= '</div>'; // kode-item-title-wrapper
			}
			return $ret;
		}
	}
		// print title
		

	// title item
	if( !function_exists('musicnight_get_title_item') ){
		function musicnight_get_title_item( $settings ){	
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';		
			
			$ret  = '<div class="kode-title-item" ' . $item_id . $margin_style . ' >';
			//$ret .= musicnight_get_item_title($settings);			
			$ret .= '</div>';
			return $ret;
		}
	}
	
	// sidebar item
	if( !function_exists('musicnight_get_sidebar_item') ){
		function musicnight_get_sidebar_item( $settings ){
			$ret = '';
			return dynamic_sidebar($settings['widget']);			
		}
	}	
	
	// accordion item
	if( !function_exists('musicnight_get_accordion_item') ){
		function musicnight_get_accordion_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			$accordion = is_array($settings['accordion'])? esc_attr($settings['accordion']): json_decode($settings['accordion'], true);

			//$ret  = musicnight_get_item_title($settings);	
			$ret = '';
			$ret .= '<div class="kode-item kd-accordion kode-accordion-item" ' . $item_id . $margin_style . ' >';
			$ret .= '
			<script>
			jQuery(document).ready(function($){
				/* ---------------------------------------------------------------------- */
				/*	Accordion Script
				/* ---------------------------------------------------------------------- */
				if($(".accordion").length){
					//custom animation for open/close
					$.fn.slideFadeToggle = function(speed, easing, callback) {
					  return this.animate({opacity: "toggle", height: "toggle"}, speed, easing, callback);
					};

					$(".accordion").accordion({
					  defaultOpen: "section1",
					  cookieName: "nav",
					  speed: "slow",
					  animateOpen: function (elem, opts) { //replace the standard slideUp with custom function
						elem.next().stop(true, true).slideFadeToggle(opts.speed);
					  },
					  animateClose: function (elem, opts) { //replace the standard slideDown with custom function
						elem.next().stop(true, true).slideFadeToggle(opts.speed);
					  }
					});
				}
			});
			</script>
			';
		
			$current_tab = 0;
			foreach( $accordion as $tab ){  $current_tab++;
				$ret .= '<div class="accordion-item">';
				$ret .= '<div id="';
				$ret .= ($current_tab == intval($settings['initial-state']))? 'section1"': 'section_'.$current_tab.'"';
				$ret .= ' class="accordion_heading accordion" ';
				//$ret .= empty($tab['kdf-tab-title-id'])? '': 'id="' . esc_attr($tab['kdf-tab-title-id']) . '" ';
				$ret .= '><span class="fa ';
				$ret .= ($current_tab == intval($settings['initial-state']))? 'fa-minus': 'fa-plus';
				$ret .= '"></span>' . musicnight_text_filter($tab['kdf-tab-title']) . '</div>';
				$ret .= '<div class="accordion-content">' . musicnight_content_filter($tab['kdf-tab-content']) . '</div></div>';			
			}
			$ret .= '</div>';
			
			return $ret;
		}
	}	
	

	// headings item
	if( !function_exists('musicnight_get_headings_item') ){
		function musicnight_get_headings_item( $settings ){
			global $musicnight_counter;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			$settings['element-style'] = (empty($settings['element-style']))? '': $settings['element-style'];
			$settings['title'] = (empty($settings['title']))? '': $settings['title'];
			$settings['caption'] = (empty($settings['caption']))? '': $settings['caption'];
			$settings['title-color'] = (empty($settings['title-color']))? '': $settings['title-color'];
			$settings['line-color'] = (empty($settings['line-color']))? '': $settings['line-color'];
			$settings['caption-color'] = (empty($settings['caption-color']))? '': $settings['caption-color'];
			$settings['alignment'] = (empty($settings['alignment']))? 'center': $settings['alignment'];
			$settings['filter'] = (empty($settings['filter']))? 'no': $settings['filter'];
			
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom'])) ? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$ret = '<div '.$item_id.' class="col-md-12 kode-simple-heading text-'.esc_attr($settings['alignment']).' '.esc_attr($settings['element-item-class']).'" '.$margin_style.'>';
			if($settings['element-style'] == 'style-1'){
				if(isset($settings['title']) && $settings['title'] <> ''){
					$ret .= '
					<div class="music_heading hdg_2">
						<h3 style="color:'.esc_attr($settings['title-color']).'">
							'.esc_attr($settings['title']).'
						</h3>
						<span><i class="fa  icooooon-wave"></i></span>
					</div>';
					if(isset($settings['filter']) && $settings['filter'] == 'yes'){
					$ret .= '
					<div class="charts_item">
						<select class="small">
							<option data-display="type : all types">type : all types</option>
							<option value="1">Some option</option>
							<option value="2">Another option</option>
							<option value="3" disabled>A disabled option</option>
							<option value="4">Potato</option>
						</select>
					</div>';
					}
				}
			}else if($settings['element-style'] == 'style-2'){
				if(isset($settings['title']) && $settings['title'] <> ''){
					$ret .= '
					<div class="kf_heading_1 align_'.esc_attr($settings['alignment']).'">
						<h3 style="color:'.esc_attr($settings['title-color']).'">'.esc_attr($settings['title']).'</h3>
						<p style="color:'.esc_attr($settings['caption-color']).'">'.esc_attr($settings['caption']).'</p>
						<span class="kf_property_line"></span>
					</div>';
				}
			}else if($settings['element-style'] == 'style-3'){
				if(isset($settings['title']) && $settings['title'] <> ''){
					$ret .= '
					<div class="music-heading-3 align_'.esc_attr($settings['alignment']).'">
						<h3><span><span><span><span><span style="color:'.esc_attr($settings['title-color']).'">'.esc_attr($settings['title']).'</span></span></span></span></span></h3>
						<p>'.esc_attr($settings['caption']).'</p>
					</div>';
				}
			}else if($settings['element-style'] == 'style-4'){
				if(isset($settings['title']) && $settings['title'] <> ''){
					$ret .= '
					<div class="msl-black title-style-2">
						<div class="msl-heading light-color ">
							<h5><span style="color:'.esc_attr($settings['title-color']).'">'.esc_attr($settings['title']).'</span></h5>
						</div>
					</div>';
				}
			}else{
				if(isset($settings['title']) && $settings['title'] <> ''){
					$ret .= '
					<div class="kode_hdg_1">
						<h6 style="color:'.esc_attr($settings['caption-color']).'">'.esc_attr($settings['caption']).'</h6>
						<h4 style="color:'.esc_attr($settings['title-color']).'">'.esc_attr($settings['title']).'</h4>
					</div>';
				}
			}
			
			$ret .= '</div>';
			
			return $ret;
		}
	}

	
	// video item
	if( !function_exists('musicnight_get_video_item') ){
		function musicnight_get_video_item( $settings ){
			global $musicnight_counter;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			$settings['element-style'] = (empty($settings['element-style']))? '': $settings['element-style'];
			
			if($settings['background-image'] <> ''){
				$thumbnail = wp_get_attachment_image_src( $settings['background-image'],'full');
				if(is_numeric($settings['background-image'])){ $thumbnail = $thumbnail[0];}
				else{ $thumbnail = $thumbnail;}
			}
			else{
				$thumbnail = '';
			}
			
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$ret ='
			
			<div '.esc_attr($item_id).' class="d-relf-blog_area '.esc_attr($settings['element-item-class']).'" '.$margin_style.'>
				<figure class="theme-overlay">
					<img src="'.esc_url($thumbnail).'" alt="video-item">
					<div class="video-button">
						<button><i class="fa fa-play" aria-hidden="true"></i></button>
					</div>
				</figure>
			</div>';
			
			return $ret;
		}
	}
	
	//NewsLetter Sign Up Form
	if( !function_exists('musicnight_get_newsletter_form') ){
		function musicnight_get_newsletter_form( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			$settings['element-style'] = (empty($settings['element-style']))? '': $settings['element-style'];
			$settings['news-title'] = (empty($settings['news-title']))? '': $settings['news-title'];
			$settings['news-caption'] = (empty($settings['news-caption']))? '': $settings['news-caption'];
			$settings['btn-title'] = (empty($settings['btn-title']))? '': $settings['btn-title'];
			
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
			$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			
				$ret = '<div class="kode-simple-heading '.esc_attr($settings['element-item-class']).'">';
			
				$ret .= '
				
				<div class="kode_newsletter_wrap">
					<div class="container">
						<div class="row">
							<div class="col-md-6">
								<div class="kode_newsletter_des">
									<span><i class="fa fa-envelope"></i></span>
									<div class="kode_newsletter_text">
										<h5><a href="#">'.esc_attr($settings['news-title']).'</a></h5>
										<p>'.esc_attr($settings['news-caption']).'</p>
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="kode_newsletter_form">		
									<form method="post" id="kode-submit-form" data-ajax="'.esc_url(MUSICNIGHT_AJAX_URL).'" data-security="'.wp_create_nonce('musicforest-create-nonce').'" data-action="newsletter_mailchimp">
										<div class="kf_commet_field">
											<input type="text" id="newsletter-email" name="email" placeholder="'.esc_attr__('Enter Your Email','music-night').'" class="placeholder2" />
											<input class="medium_btn background-bg-dark btn_hover hvr-wobble-bottom" value="'.esc_attr($settings['btn-title']).'" type="submit">
											<p class="status"></p>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>';
				$ret .= '</div>';
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_call_to_action') ){
		function musicnight_get_call_to_action($settings){
			$settings['element-item-id'] = empty($settings['element-item-id'])? '': $settings['element-item-id'];
			$settings['element-item-class'] = empty($settings['element-item-id'])? '': $settings['element-item-class'];
			$settings['title'] = empty($settings['title'])? '': $settings['title'];
			$settings['title-color'] = empty($settings['title-color'])? '': $settings['title-color'];
			$settings['caption'] = empty($settings['caption'])? '': $settings['caption'];
			$settings['caption-color'] = empty($settings['caption-color'])? '': $settings['caption-color'];
			$settings['background-image'] = empty($settings['background-image'])? '': $settings['background-image'];
			
			$settings['link'] = empty($settings['link'])? '': $settings['link'];
			$settings['link-text'] = empty($settings['link-text'])? '': $settings['link-text'];
			
			if($settings['background-image'] <> ''){
				$thumbnail_one = wp_get_attachment_image_src( $settings['background-image'],'full');
				if(is_numeric($settings['background-image'])){ $thumbnail_one = $thumbnail_one[0];}
				else{ $thumbnail_one = $thumbnail_one;}
			}
			else{
				$thumbnail_one = '';
			}
			if(isset($settings['style-layout']) && $settings['style-layout'] == 'style-1'){
				$ret = '
				<div class="church_prayer_block height padding-0">
					<div class="container">
						<div class="church_prayer_detail padding">
							<h3 style="color:'.esc_attr($settings['title-color']).' ">'.esc_attr($settings['title']).'</h3>
							<p style="color:'.esc_attr($settings['caption-color']).' ">'.esc_attr($settings['caption']).'</p>
							<a href="'.esc_url($settings['link']).'" class="default_btn black-bg_btn">'.esc_attr($settings['link-text']).'</a>
						</div>
						<div class="pull-right">
							<figure>
								<img src="'.esc_url($thumbnail_one).'" alt="action">
							</figure>
						</div>
					</div>
				</div>';
			}else if(isset($settings['style-layout']) && $settings['style-layout'] == 'style-2'){
				$ret = '
				<div class="col-md-12">
					<div class="music_add_list">
						<div class="music_add_text">
							<h2><a href="#">2 for 1 tickets<i class="fa fa-angle-right"></i></a></h2>
							<p>save 50% when you buy two tickets</p>
						</div>
						<div class="music_add_fig">
							<figure>
								<img src="'.esc_url($thumbnail_one).'" alt="action">
							</figure>
						</div>
					</div>
				</div>';
			}else if(isset($settings['style-layout']) && $settings['style-layout'] == 'style-3'){
				$ret = '
				<div class="music_apps_wrap">
					<div class="container">
						<div class="row">
							<div class="col-md-7">
								<div class="music_apps_text">
									<h3>take control of your tickets</h3>
									<p>Your tickets are in your tickemaster app and ready to go when you are.</p>
									<div class="music_apps_img">
										<a href="#"><img src="'.MUSICNIGHT_PATH.'/images/app.png" alt="action-1"></a>
										<a href="#"><img src="'.MUSICNIGHT_PATH.'/images/app1.png" alt="action-2"></a>
										<a href="#"><img src="'.MUSICNIGHT_PATH.'/images/app2.png" alt="action-3"></a>
									</div>
								</div>
							</div>
							<div class="col-md-5">
								<div class="music_mobile_apps">
									<figure>
										<a href="#"><img src="'.esc_url($thumbnail_one).'" alt="action"></a>
									</figure>
								</div>
							</div>
						</div>
					</div>
				</div>';
			}else{
				$ret = '
				<div class="call-to-action-width-less-80 ">
					<div class="gradient_bg">
						<div class="row">
							<div class="col-md-7">
								<div class="music_artist_text">
									<h2><span>Nerver miss the live events</span> yours favourite artists <a href="#"><i class="fa fa-heart-o"></i></a></h2>
									<p>update your list of favourits and never miss an event</p>
								</div>
							</div>
							<div class="col-md-5">
								<div class="music_artist_link">
									<a class="artist_sign" href="#">sign in</a>
									<ul class="music_artist_social">
										<li><a href="#"><i class="fa fa-twitter"></i></a></li>
										<li><a href="#"><i class="fa fa-facebook"></i></a></li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>';
			}
		
			return $ret;
		}
	}
	
	function musicnight_contact_box_item( $settings ){
		global $counter;
		global $musicnight_spaces;
		$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
		$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
		$settings['contact-box-icon'] = (empty($settings['contact-box-icon']))? '': $settings['contact-box-icon'];
		$settings['contact-box-title'] = (empty($settings['contact-box-title']))? '': $settings['contact-box-title'];
		$settings['contact-box-link'] = (empty($settings['contact-box-link']))? '': $settings['contact-box-link'];
		$settings['contact-box-field-1'] = (empty($settings['contact-box-field-1']))? '': $settings['contact-box-field-1'];
		$settings['contact-box-field-2'] = (empty($settings['contact-box-field-2']))? '': $settings['contact-box-field-2'];
		$margin = (!empty($settings['margin-bottom']) && 
			$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
		$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
		
		$ret = '
		<div '.$item_id.' class="col-md-12 '.esc_attr($settings['element-item-class']).'">
			<div class="church_location '.esc_attr($settings['element-item-class']).'">
				<span><i class="fa '.esc_attr($settings['contact-box-icon']).'" aria-hidden="true"></i></span>
				<div class="contact-box-items">
					<h6><a href="'.esc_url($settings['contact-box-link']).'">'.esc_attr($settings['contact-box-title']).'</a></h6>
					<p>'.esc_attr($settings['contact-box-field-1']).' <br /> '.esc_attr($settings['contact-box-field-2']).'</p>
				</div>
			</div>	
		</div>';
		
		return $ret;
	}
	
	
	
	// Blog Slider item
	if( !function_exists('musicnight_get_blog_slider_item') ){
		function musicnight_get_blog_slider_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			// query post and sticky post
			$args = array('post_type' => 'post', 'suppress_filters' => false);
			if( !empty($settings['category']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'category', 'field'=>'slug'));
				}			
			}
			$ret = '';
			$slider_class = '';
			$settings['thumbnail-size'];
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			
			$settings['num-fetch'] = (empty($settings['num-fetch']))? '20': $settings['num-fetch'];
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];
			$settings['heading'] = (empty($settings['heading']))? '20': $settings['heading'];
			$settings['caption'] = (empty($settings['caption']))? '20': $settings['caption'];
			$settings['element-style'] = (empty($settings['element-style']))? 'style-1': $settings['element-style'];
			$settings['element-type'] = (empty($settings['element-type']))? 'slider': $settings['element-type'];
			if($settings['element-type'] == 'simple-post'){$slider_class = '';$args['posts_per_page'] = 1;}else{$slider_class = 'd-relf-gallary-slider';}
			
			$query = new WP_Query( $args );
				$ret .= '
				
				<div '.$margin_style.' data-mode="fade" class="d-relf-gallary-slider custom-dots '.esc_attr($slider_class).'">';
				while($query->have_posts()){ $query->the_post();global $post;
					$ret .= '
					
					<div>
						<div class="d-relf-gallary-thumb">
							<figure>
								<a class="icon-box" href="'.esc_url(get_permalink()).'"></a>
								'.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
							</figure>
							<div class="text">
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['title-num-fetch'])).'</a></h6>
								<p>'.substr(get_the_content(),0,26).'</p>
							</div>
						</div>
					</div>';
				}
				$ret .= '</div>';
			
					wp_reset_postdata();
			return $ret;
		}
	}	
	
	// Simple Column item
	if( !function_exists('musicnight_get_simple_column_item') ){
		function musicnight_get_simple_column_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			$ret  = '<div '.$item_id.' class="col-md-12 simple-column '.esc_attr($settings['element-item-class']).' " '.$margin_style.'>'.do_shortcode(musicnight_content_filter($settings['content'])).'</div>';
			
			return $ret;
		}
	}	
	
	// column service item
	if( !function_exists('musicnight_get_column_service_item') ){
		function musicnight_get_column_service_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' . esc_attr($settings['element-item-id']) . '" ';
			$item_class = empty($settings['element-item-class'])? '': ' ' . esc_attr($settings['element-item-class']) . '';

			global $musicnight_spaces;
	
			$settings['service-image-box'] = empty($settings['service-image-box'])? 'full': $settings['service-image-box'];
			$margin = (!empty($settings['margin-bottom']) && 
			$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$settings['style'] = empty($settings['style'])? 'style-1': $settings['style'];
			$settings['title'] = empty($settings['title'])? 'Recycle': $settings['title'];
			$settings['service-link'] = empty($settings['service-link'])? '#': $settings['service-link'];
			$settings['service-link-text'] = empty($settings['service-link-text'])? 'Global Public': $settings['service-link-text'];
			$settings['services-image-size'] = empty($settings['services-image-size'])? '': $settings['services-image-size'];
			$image_src = wp_get_attachment_image_src($settings['services-image'], $settings['services-image-size']);
			$settings['icon_type'] = empty($settings['icon_type'])? 'fa fa-lock': $settings['icon_type'];
			
			
			$ret = '
			<div class="col-md-12">
			<div class="music-top-chart-list '.esc_attr($item_class).'">
				<figure>
					<img src="'.esc_url($image_src[0]).'" alt="'.esc_attr($settings['title']).'">
				</figure>
				<div class="music-top-chart-des">
					<h5>'.musicnight_text_filter($settings['title']).'</h5>
					<p>'.esc_attr($settings['service-link-text']).'</p>
					<i class="'.esc_attr($settings['icon_type']).'"></i>
				</div>
				<div class="music-top-chart-hover">
					<h5>'.musicnight_text_filter($settings['title']).'</h5>
					' . musicnight_text_filter($settings['content']) . '
				</div>
			</div></div>';
		
			
			return $ret;
		}
	}

	//clients
	if( !function_exists('musicnight_get_our_clients_item') ){
		function musicnight_get_our_clients_item($settings ){
			// title section	
			//$ret .= thebookstore_get_item_title($settings);		
			$ret = '';
			$slider_option = json_decode($settings['slider'], true);
			$slide_order = $slider_option[0];
			$slide_data = $slider_option[1];					
			
			$slides = array();
			if(!empty($slide_order)){
				foreach( $slide_order as $slide_id ){
					$slides[$slide_id] = $slide_data[$slide_id];
				}
			}
			$settings['slider'] = $slides;
			return $ret . musicnight_get_our_clients($settings);
		}
	}
	
	
	
	//print clients function
	
	if( !function_exists('musicnight_get_our_clients') ){
		function musicnight_get_our_clients( $settings ){
			global $musicnight_gallery_id, $musicnight_spaces; $musicnight_gallery_id++; 
			
			$item_id = empty($settings['page-item-id'])? '': ' id="' . $settings['page-item-id'] . '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			$settings['thumbnail-size'] = (empty($settings['thumbnail-size']))? 'full' : $settings['thumbnail-size'];
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' . esc_attr($settings['margin-bottom']) . 'px;': '';
			$margin_style = (!empty($margin))? ' style="' . $margin . '" ': '';
			
			// start printing clients
			$current_size = 0;
			$settings['num-fetch'] = empty($settings['num-fetch'])? 9999: intval($settings['num-fetch']);
			$paged = (get_query_var('paged'))? get_query_var('paged') : 1;
			$num_page = ceil(sizeof($settings['slider']) / $settings['num-fetch']);
			$style = empty($settings['style'])? '' : $settings['style'];
			
			$ret  = '<div ' . $item_id . $margin_style . ' class="clients-wrapper '.esc_attr($settings['element-item-class']).'">';
					if($style == 'style-1'){
						$ret.='
						<div class="d-relf-brand">
							<div class="brand-slider custom-slider-navigation2">';		
							foreach($settings['slider'] as $slide_id => $slide){
								if( ($current_size >= ($paged - 1) * $settings['num-fetch']) &&
									($current_size < ($paged) * $settings['num-fetch']) ){

									if( !empty($current_size) && ($current_size % '5' == 0) ){
										$ret .= '';
									}
									$target_link = ($slide['new-tab'] == 'enable')? '_blank': '_self';
									
									$image_src = wp_get_attachment_image_src($slide_id, 'full');	
									$ret .= '
										<div>
											<a href="'.esc_url($slide['url']).'"  target="'.$target_link.'" >';
												if( empty($slide['slide-link']) || $slide['slide-link'] == 'none' ){
													$ret .= musicnight_get_image($slide_id, 'full');
												}else if($slide['slide-link'] == 'url' || $slide['slide-link'] == 'attachment'){		
													$ret .= musicnight_get_image($slide_id, 'full'); 
														array('url'=>esc_url($slide['url']), 'new-tab'=>esc_attr($slide['new-tab']));				
												}else if($slide['slide-link'] == 'current'){
													$ret .= musicnight_get_image($slide_id, 'full'); 
														array('id'=>esc_attr($musicnight_gallery_id));
												}else if($slide['slide-link'] == 'image'){
													$ret .= musicnight_get_image($slide_id, 'full');
														array('url'=>esc_url($slide['url']), 'id'=>esc_attr($musicnight_gallery_id));
												}else if($slide['slide-link'] == 'video'){
													$ret .= musicnight_get_image($slide_id, esc_attr($settings['thumbnail-size']), 
														array('url'=>esc_url($slide['url']), 'type'=>'video', 'id'=>$musicnight_gallery_id));
												}
												$ret .= '</a>';
										$ret .= '</div>'; // client item
								}
								$current_size ++;
							}
							$ret .= '
							</div>
						</div>'; // kode-client-item
					}else {
						$ret.='
						 <div class="row">                          
                            <div class="brand-slider brand-slider2">';		
							foreach($settings['slider'] as $slide_id => $slide){
								if( ($current_size >= ($paged - 1) * $settings['num-fetch']) &&
									($current_size < ($paged) * $settings['num-fetch']) ){

									if( !empty($current_size) && ($current_size % '5' == 0) ){
										$ret .= '';
									}
									$target_link = ($slide['new-tab'] == 'enable')? '_blank': '_self';
									
									$image_src = wp_get_attachment_image_src($slide_id, 'full');	
									$ret .= '
										<div>
											<a href="'.esc_url($slide['url']).'"  target="'.$target_link.'" >';
												if( empty($slide['slide-link']) || $slide['slide-link'] == 'none' ){
													$ret .= musicnight_get_image($slide_id, 'full');
												}else if($slide['slide-link'] == 'url' || $slide['slide-link'] == 'attachment'){		
													$ret .= musicnight_get_image($slide_id, 'full'); 
														array('url'=>esc_url($slide['url']), 'new-tab'=>esc_attr($slide['new-tab']));				
												}else if($slide['slide-link'] == 'current'){
													$ret .= musicnight_get_image($slide_id, 'full'); 
														array('id'=>esc_attr($musicnight_gallery_id));
												}else if($slide['slide-link'] == 'image'){
													$ret .= musicnight_get_image($slide_id, 'full');
														array('url'=>esc_url($slide['url']), 'id'=>esc_attr($musicnight_gallery_id));
												}else if($slide['slide-link'] == 'video'){
													$ret .= musicnight_get_image($slide_id, esc_attr($settings['thumbnail-size']), 
														array('url'=>esc_url($slide['url']), 'type'=>'video', 'id'=>$musicnight_gallery_id));
												}
												$ret .= '</a>';
										$ret .= '</div>'; // client item
								}
								$current_size ++;
							}
							$ret .= '
							</div>
						</div>'; // kode-client-item
					}	
		  $ret .= '	</div>';	
			return $ret;
		}
	}
	
	
	// content item
	if( !function_exists('musicnight_get_content_item') ){
		function musicnight_get_content_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$ret = '<div '.$item_id.' class="col-md-12 k-content-container" '.$margin_style.'>';
			while ( have_posts() ){ the_post();
				$content_textdata = musicnight_content_filter(get_the_content(), true); 
				
				//$ret .= '<div class="container">';
					//Show Title
					//Show Title
					if( empty($settings['show-title']) || $settings['show-title'] != 'disable' ){
						$ret .= '<div class="kode-item k-title"><h2>';
							$ret .= get_the_title();
						$ret .= '</h2></div>';
					}
					//Show Content
					if( empty($settings['show-content']) || $settings['show-content'] != 'disable' ){
						if(!empty($content_textdata)){
							$ret .= '<div class="kode-item k-content kode_news_detail ">';
								$ret .= $content_textdata;
							$ret .= '</div>';
						}
					}
					ob_start();
				
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
					
					$ret .= ob_get_contents();
					ob_end_clean();			
					
				//$ret .= '</div>'; // Grid Container
			} // WHile Loop End
			$ret .= '</div>'; // End Element Container
			return $ret;
		}
	}	
	
	// content item
	if( !function_exists('musicnight_get_default_content_item') ){
		function musicnight_get_default_content_item( $settings ){			
			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
			?>
			<div <?php echo esc_attr($item_id);?> class="k-content-container col-md-12">
			<?php
			while ( have_posts() ){ the_post();
				$content_textdata = musicnight_content_filter(get_the_content(), true); 
					
					//Show Title
					if(isset($musicnight_post_option['enable-title-top']) && $musicnight_post_option['enable-title-top'] == 'enable'){ ?>
						<div class="kode-item k-title">
							<h2><?php echo esc_attr(get_the_title());?></h2>
						</div>
					<?php }
					//Show Content
					if( empty($settings['show-content']) || $settings['show-content'] != 'disable' ){
						if(!empty($content_textdata)){ ?>
							<div class="kode-item k-content kode_news_detail ">
								<?php echo musicnight_content_filter(get_the_content(), true); ?>
							</div>
							<?php
						}
					}
					
					if(isset($musicnight_post_option['show-author-section']) && $musicnight_post_option['show-author-section'] == 'enable'){
						if(get_the_author_meta('description') <> ''){ ?>
							<div class="kode-single-detail">
								<div class="kode-admin-post">
									<figure><a href="#"><?php echo get_avatar(get_the_author_meta('ID'), 90); ?></a></figure>
									<div class="admin-info">
										<h4><?php the_author_posts_link(); ?></h4>
										<p><?php echo esc_attr(get_the_author_meta('description')); ?></p>
									</div>
								</div>
							</div>
					<?php 
						}
					}
					
					
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				
				// Grid Container
			} // WHile Loop End
			?>
			</div>
		<?php
		}
	}	
	
	//Divider Page Builder Item
	if( !function_exists('musicnight_get_divider_item') ){
		function musicnight_get_divider_item( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			
			global $musicnight_spaces;
			
			$margin = (!empty($settings['margin-bottom']))? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			//$style = empty($settings['size'])? '': ' style="width: ' . $settings['size'] . ';" ';
			$ret  = '<div class="clear"></div>';
			$ret .= '<div class="kode-item kode-divider-item" ' . $item_id . $margin_style . ' >';
			$ret .= '<div class="kode-divider"></div>';
			$ret .= '</div>';					
			
			return $ret;
		}
	}
	
	//Project Facts
	if(!function_exists('musicnight_get_project_facts')){
		function musicnight_get_project_facts($settings){
			global $musicnight_spaces;
			
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$item_class = empty($settings['element-item-class'])? '': $settings['element-item-class'];
			$margin = (!empty($settings['margin-bottom']))? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			$settings['sub-text'] = empty($settings['sub-text'])? '': $settings['sub-text'];
			$settings['sub-link'] = empty($settings['sub-link'])? '': $settings['sub-link'];
			$settings['style'] = empty($settings['style'])? 'style-1': $settings['style'];
			$settings['value'] = empty($settings['value'])? '': $settings['value'];
			wp_register_script('kode-waypoints-min', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/waypoints-min.js', false, '1.0', true);
			wp_enqueue_script('kode-waypoints-min');
			
			static $musicnight_pro_id = 500;
			$musicnight_pro_id++;

			$ret = '';
			$ret .= '<script type="text/javascript">
			jQuery(document).ready(function($){
				/* ---------------------------------------------------------------------- */
				/*	Counter Functions
				/* ---------------------------------------------------------------------- */
				if($("#new-count-'.esc_js($musicnight_pro_id).'").length){
					$("#new-count-'.esc_js($musicnight_pro_id).'").counterUp({
						delay: 10,
						time: 1000
					});
				}
			});
			</script>';			
			if($settings['style'] == 'style-1'){
				$ret .= '
				<div class="kode_counter_mosque">				
					<span id="new-count-'.esc_attr($musicnight_pro_id).'" class="counter">'.esc_attr($settings['value']).'</span>
					<h6><a href="'.esc_attr($settings['sub-link']).'">'.esc_attr($settings['sub-text']).'</a></h6>
				</div>';
			}else{
				$ret .= '
				<div class="kode_counter_mosque">				
					<span id="new-count-'.esc_attr($musicnight_pro_id).'" class="counter">'.esc_attr($settings['value']).'</span>
					<h6><a href="'.esc_attr($settings['sub-link']).'">'.esc_attr($settings['sub-text']).'</a></h6>
				</div>';
			}	
			
			return $ret;
		}
	}

	//pricing table
	
	if( !function_exists('musicnight_get_price_table_item') ){
		function musicnight_get_price_table_item( $settings ){
			
			global $counter;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			$settings['title'] = (empty($settings['title']))? '': $settings['title'];
			$settings['price-table'] = (empty($settings['price-table']))? '': $settings['price-table'];
			$settings['title-2'] = (empty($settings['title-2']))? '': $settings['title-2'];
			$settings['button-url'] = (empty($settings['button-url']))? '': $settings['button-url'];
			$settings['button-text'] = (empty($settings['button-text']))? '': $settings['button-text'];
			
			$price_table_item = is_array($settings['tab'])? esc_attr($settings['tab']): json_decode($settings['tab'], true);
			
			$price_table = '
			
			<div class="kode_pricing_des">
				<h4>'.esc_attr($settings['title']).'</h4>
				<div class="kode_pricing_dollar">
					<h3>'.esc_attr($settings['price-table']).'</h3>
					<p>'.esc_attr($settings['title-2']).'</p>
				</div>
				<ul class="pricing_list">';
					$current_tab = 0;
					foreach( $price_table_item as $price_item ){  $current_tab++;
						$price_table .= '<li><a href="'.esc_attr($price_item['kdf-tab-link']).'"> '.esc_attr($price_item['kdf-tab-title']).'</a></li>';
					}
				$price_table .= '
				</ul>
				<a class="medium_btn background-bg-dark" href="'.esc_url($settings['button-url']).'">'.esc_attr($settings['button-text']).'</a>
			</div>';
		
		return $price_table;
			
		}	
	}