<?php
	/*	
	*	Kodeforest Function Utility File
	*	---------------------------------------------------------------------
	*	This file contains utility function in the theme
	*	---------------------------------------------------------------------
	*/
	
	
	if( !function_exists('musicnight_wp_kses_strip_tags') ){
		function musicnight_wp_kses_strip_tags($html){
			global $allowed_html;
			return wp_kses($html,$allowed_html);
		}
	}

	
	function musicnight_fix_shortcodes($content){   
		$array = array (
			'<p>[' => '[', 
			']</p>' => ']', 
			']<br />' => ']'
		);

		$content = strtr($content, $array);
		return $content;
	}
	add_filter('musicnight_the_content', 'musicnight_fix_shortcodes');
	
	// page builder content/text filer to execute the shortcode	
	if( !function_exists('musicnight_content_filter') ){
		add_filter( 'musicnight_the_content', 'wptexturize'        ); 
		add_filter( 'musicnight_the_content', 'convert_smilies'    );
		add_filter( 'musicnight_the_content', 'convert_chars'      ); 
		add_filter( 'musicnight_the_content', 'wpautop'            );
		add_filter( 'musicnight_the_content', 'shortcode_unautop'  );		
		add_filter( 'musicnight_the_content', 'prepend_attachment' );	
		add_filter( 'musicnight_the_content', 'do_shortcode'       );
		function musicnight_content_filter( $content, $main_content = false ){
			if($main_content) return str_replace( ']]>', ']]&gt;', apply_filters('the_content', $content) );
			return apply_filters('musicnight_the_content', $content);
		}		
	}
	if( !function_exists('musicnight_text_filter') ){
		add_filter( 'musicnight_text_filter', 'do_shortcode' );
		function musicnight_text_filter( $text ){
			return apply_filters('musicnight_text_filter', $text);
		}
	}	
	
	// filter shortcode out if the plugin is not activated
	if( !function_exists('musicnight_enable_shortcode_filter') ){
		add_filter( 'the_content', 'musicnight_enable_shortcode_filter' ); 
		add_filter( 'musicnight_text_filter', 'musicnight_enable_shortcode_filter' ); 	
		add_filter( 'musicnight_the_content', 'musicnight_enable_shortcode_filter' ); 	
		function musicnight_enable_shortcode_filter( $text ){
			if( !function_exists('musicnight_add_tinymce_button') ){
				$text = preg_replace('#\[musicnight_[^\]]+]#', '', $text);
				$text = preg_replace('#\[/musicnight_[^\]]+]#', '', $text);
			}
			return $text;
		}
	}	
	
	//Taxonomies List
	if( !function_exists('musicnight_get_taxonomies_list') ){
		function musicnight_get_taxonomies_list($post_type='',$object='objects'){
			$get_list_tax = array();
			$taxonomy_objects = get_object_taxonomies( $post_type, $object );	
			if(!empty($taxonomy_objects)){
				foreach($taxonomy_objects as $keys => $values){
					 $get_list_tax[$keys] = $keys;
				}
			}
			return $get_list_tax;
		}
	}
			
	// use for generating the option from admin panel
	if( !function_exists('musicnight_check_option_data_type') ){
		function musicnight_check_option_data_type( $value, $data_type = 'color' ){
			if( $data_type == 'color' ){
				return (strpos($value, '#') === false)? '#' . $value: $value; 
			}else if( $data_type == 'text' ){
				return $value;
			}else if( $data_type == 'pixel' ){
				return (is_numeric($value))? $value . 'px': $value;
			}else if( $data_type == 'upload' ){
				if(is_numeric($value)){
					$image_src = wp_get_attachment_image_src($value, 'full');	
					return (!empty($image_src))? $image_src[0]: false;
				}else{
					return $value;
				}
			}else if( $data_type == 'font'){
				if( strpos($value, ',') === false ){
					return '"' . $value . '"';
				}
				return $value;
			}else if( $data_type == 'percent' ){
				return (is_numeric($value))? $value . '%': $value;
			}
		
		}
	}	
	
	// use for layouting the sidebar size
	if( !function_exists('musicnight_get_sidebar_class') ){
		function musicnight_get_sidebar_class( $sidebar = array() ){
			$musicnight_admin_option = get_option('musicnight_admin_option', array());	
			
			if( $sidebar['type'] == 'no-sidebar' ){
				return array_merge($sidebar, array('right'=>'', 'outer'=>'col-md-12', 'left'=>'col-md-12', 'center'=>'col-md-12'));
			}else if( $sidebar['type'] == 'both-sidebar' ){
				if( $musicnight_admin_option['both-sidebar-size'] == 3 ){
					return array_merge($sidebar, array('right'=>'col-md-3', 'outer'=>'col-md-3', 'left'=>'col-md-3', 'center'=>'col-md-6'));
				}else if( $musicnight_admin_option['both-sidebar-size'] == 4 ){
					return array_merge($sidebar, array('right'=>'col-md-4', 'outer'=>'col-md-4', 'left'=>'col-md-4', 'center'=>'col-md-4'));
				}
			}else{ 
			
				// determine the left/right sidebar size
				$size = ''; $center = '';
				switch ($musicnight_admin_option['sidebar-size']){
					case 1: $size = 'col-md-1'; $center = 'col-md-11'; break;
					case 2: $size = 'col-md-2'; $center = 'col-md-10'; break;
					case 3: $size = 'col-md-3'; $center = 'col-md-9'; break;
					case 4: $size = 'col-md-4'; $center = 'col-md-8'; break;
					case 5: $size = 'col-md-5'; $center = 'col-md-7'; break;
					case 6: $size = 'col-md-6'; $center = 'col-md-6'; break;
				}

				if( $sidebar['type'] == 'left-sidebar'){
					$sidebar['outer'] = $center;
					$sidebar['left'] = $size;
					$sidebar['center'] = $center;
					return $sidebar;
				}else if( $sidebar['type'] == 'right-sidebar'){
					$sidebar['outer'] = $center;
					$sidebar['right'] = $size;
					$sidebar['center'] = $center;
					return $sidebar;			
				}else{
					$sidebar['left'] = 'col-md-12';
					$sidebar['outer'] = 'col-md-12';
					$sidebar['center'] = 'col-md-12';
					return $sidebar;
				}
			}
		}
	}
	
	// retrieve all posts as a list
	if( !function_exists('musicnight_get_post_list_id') ){	
		function musicnight_get_post_list_id( $post_type ){
			$post_list = get_posts(array('post_type' => $post_type, 'numberposts'=>1000));

			$ret = array();
			if( !empty($post_list) ){
				foreach( $post_list as $post_id ){
					$ret[$post_id->ID] = $post_id->post_title;
				}
			}
				
			return $ret;
		}	
	}
	
	// retrieve all posts as a list
	if( !function_exists('musicnight_get_post_list_id_emptyfirst') ){	
		function musicnight_get_post_list_id_emptyfirst( $post_type ){
			$post_list = get_posts(array('post_type' => $post_type, 'numberposts'=>1000));

			$ret = array('0'=>'');
			if( !empty($post_list) ){
				foreach( $post_list as $post_id ){
					$ret[$post_id->post_title] = $post_id->ID;
				}
			}
				
			return $ret;
		}	
	}

	// retrieve all posts as a list
	if( !function_exists('musicnight_get_post_list') ){	
		function musicnight_get_post_list( $post_type ){
			$post_list = get_posts(array('post_type' => $post_type, 'numberposts'=>1000));

			$ret = array();
			if( !empty($post_list) ){
				foreach( $post_list as $post ){
					$ret[$post->post_name] = $post->post_title;
				}
			}
				
			return $ret;
		}	
	}	
	
	
	
	// retrieve all categories from each post type
	if( !function_exists('musicnight_get_term_list') ){	
		add_action('init','musicnight_get_term_list');
		function musicnight_get_term_list( $taxonomy, $parent='' ){
			
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0, 'parent'=>$parent) );
			

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				foreach( $term_list as $term ){
					if(isset($term->slug)){
						$ret[$term->slug] = $term->name;
					}
				}
			}
				
			return $ret;
		}	
	}
	
	// retrieve all categories from each post type
	if( !function_exists('musicnight_get_term_list_id') ){	
		add_action('init','musicnight_get_term_list_id');
		function musicnight_get_term_list_id( $taxonomy, $parent='' ){
			
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0, 'parent'=>$parent) );
			

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				foreach( $term_list as $term ){
					if(isset($term->term_id)){
						$ret[$term->term_id] = $term->name;
					}
				}
			}
				
			return $ret;
		}	
	}
	
	
	if( !function_exists('musicnight_get_term_list_detail') ){	
		add_action('init','musicnight_get_term_list_detail');
		function musicnight_get_term_list_detail( $taxonomy, $parent='',$hidempty='' ){
			
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>1, 'parent'=>$parent) );			

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				foreach( $term_list as $term ){
					if(isset($term->slug)){
						$ret[$term->slug] = $term->name;
					}
				}
			}
				
			return $ret;
		}	
	}
	
	// retrieve all categories from each post type
	if( !function_exists('musicnight_get_term_list_emptyfirst') ){	
		add_action('init','musicnight_get_term_list_emptyfirst');
		function musicnight_get_term_list_emptyfirst( $taxonomy, $parent='' ){
			
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0, 'parent'=>$parent) );

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				
				foreach( $term_list as $term ){
					if(isset($term->slug)){
						$ret[$term->name] = $term->slug;
					}
				}
			}			
			array_unshift($ret, esc_html__('No Value Selected' ,'music-night'));
				
			return $ret;
		}	
	}
	
	if( !function_exists('musicnight_get_term_id') ){	
		function musicnight_get_term_id( $taxonomy, $parent='' ){
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0, 'parent'=>$parent) );

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				foreach( $term_list as $term ){
					$ret[$term->id] = $term->term_id;
				}
			}
				
			return $ret;
		}	
	}
	
	//Sidebar List Function
	if( !function_exists('musicnight_get_sidebar_list') ){	
		function musicnight_get_sidebar_list(  ){
			$term_list = get_categories( array('taxonomy'=>$taxonomy, 'hide_empty'=>0, 'parent'=>$parent) );

			$ret = array();
			if( !empty($term_list) && empty($term_list['errors']) ){
				foreach( $term_list as $term ){
					$ret[$term->slug] = $term->name;
				}
			}
				
			return $ret;
		}	
	}
	
	// string to css class name
	if( !function_exists('musicnight_string_to_class') ){	
		function musicnight_string_to_class($string){
			$class = preg_replace('#[^\w\s]#','',strtolower(strip_tags($string)));
			$class = preg_replace('#\s+#', '-', trim($class));
			return 'kode-skin-' . $class;
		}
	}
	
	// calculate the size as a number ex "1/2" = 0.5
	if( !function_exists('musicnight_item_size_to_num') ){	
		function musicnight_item_size_to_num( $size ){
			if( preg_match('/^(\d+)\/(\d+)$/', $size, $size_array) )
			return $size_array[1] / $size_array[2];
			return 1;
		}	
	}		

	// create pagination link
	if( !function_exists('musicnight_get_pagination') ){	
		function musicnight_get_pagination($max_num_page, $current_page, $format = 'paged'){
			if( $max_num_page <= 1 ) return '';
		
			$big = 999999999; // need an unlikely integer
			return 	'<div class="kode-pagination">' . paginate_links(array(
				'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
				'format' => '?' . $format . '=%#%',
				'current' => max(1, $current_page),
				'total' => $max_num_page,
				'prev_text'=> '<i class="fa fa-long-arrow-left"></i>'.esc_html__('Prev', 'music-night'),
				'next_text'=> esc_html__('Next', 'music-night').' <i class="fa fa-long-arrow-right"></i>'
			)) . '</div>';
		}	
	}		
	
	if( !function_exists('musicnight_get_breadcumbs') ){	
		function musicnight_get_breadcumbs () {			 
			// Settings
			$separator  = '&gt;';
			$id         = 'breadcrumbs';
			$class      = 'breadcrumb';
			$home_title = esc_html__('Homepage','music-night');
			 $parents = '';
			// Get the query & post information
			global $post,$wp_query;
			$category = get_the_category();
               
			// Build the breadcrums
			echo '<ul class="' . esc_attr($class) . '">';
			 
			// Do not display on the homepage
			if ( !is_front_page() ) {
				 
				// Home page
				echo '<li class="item-home"><a class="bread-link bread-home" href="' . esc_url(get_home_url()) . '" title="' . esc_attr($home_title) . '">' . esc_attr($home_title) . '</a></li>';
				//echo '<li class="separator separator-home"> ' . $separator . ' </li>';
				 
				if ( is_single() ) {
					 $post_type = get_post_type_object(get_post_type());
					$cat = array();
					
					if($post_type->name == 'post'){
						// Single post (Only display the first category)
						echo '<li class="item-cat item-cat-' . esc_attr($category[0]->term_id) . ' item-cat-' . esc_attr($category[0]->category_nicename) . '"><a class="bread-cat bread-cat-' . esc_attr($category[0]->term_id) . ' bread-cat-' . esc_attr($category[0]->category_nicename) . '" href="' . esc_url(get_category_link($category[0]->term_id )) . '" title="' . esc_attr($category[0]->cat_name) . '">' . esc_attr($category[0]->cat_name) . '</a></li>';
						
						echo '<li class="item-current item-' . esc_attr($post->ID) . '"><strong class="bread-current bread-' . esc_attr($post->ID) . '" title="' . esc_attr(get_the_title()) . '">' . esc_attr(get_the_title()) . '</strong></li>';
						 
					}else{
						$post_type = get_post_type_object(get_post_type());
						$slug = $post_type->rewrite;
						
						echo '<li><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></li>';
					}
					
				} else if ( is_category() ) {
					 
					// Category page
					echo '<li class="item-current item-cat-' . esc_attr($category[0]->term_id) . ' item-cat-' . esc_attr($category[0]->category_nicename) . '"><strong class="bread-current bread-cat-' . esc_attr($category[0]->term_id) . ' bread-cat-' . esc_attr($category[0]->category_nicename) . '">' . esc_attr($category[0]->cat_name) . '</strong></li>';
					 
				} else if ( is_page() ) {
					 
					// Standard page
					if( $post->post_parent ){
						 
						// If child page, get parents 
						$anc = get_post_ancestors( $post->ID );
						 
						// Get parents in the right order
						$anc = array_reverse($anc);
						 
						// Parent page loop
						foreach ( $anc as $ancestor ) {
							$parents .= '<li class="item-parent item-parent-' . esc_attr($ancestor) . '"><a class="bread-parent bread-parent-' . esc_attr($ancestor) . '" href="' . esc_url(get_permalink($ancestor)) . '" title="' . esc_attr(get_the_title($ancestor)) . '">' . esc_attr(get_the_title($ancestor)) . '</a></li>';
							//$parents .= '<li class="separator separator-' . $ancestor . '"> ' . $separator . ' </li>';
						}
						 
						// Display parent pages
						
						echo wp_kses($parents,array('li'=>array('class'=>array(),'id'=>array()),'a'=>array('class'=>array(),'id'=>array()),'span'=>array('class'=>array(),'id'=>array())));
						 
						// Current page
						echo '<li class="item-current item-' . esc_attr($post->ID) . '"><strong title="' . esc_attr(get_the_title()) . '"> ' . esc_attr(get_the_title()) . '</strong></li>';
						 
					} else {
						 
						// Just display current page if not parents
						echo '<li class="item-current item-' . esc_attr($post->ID) . '"><strong class="bread-current bread-' . esc_attr($post->ID) . '"> ' . esc_attr(get_the_title()) . '</strong></li>';
						 
					}
					 
				} else if ( is_tag() ) {
					 
					// Tag page
					 
					// Get tag information
					$term_id = get_query_var('tag_id');
					$taxonomy = 'post_tag';
					$args ='include=' . $term_id;
					$terms = get_terms( $taxonomy, $args );
					 
					// Display the tag name
					echo '<li class="item-current item-tag-' . esc_attr($terms[0]->term_id) . ' item-tag-' . esc_attr($terms[0]->slug) . '"><strong class="bread-current bread-tag-' . esc_attr($terms[0]->term_id) . ' bread-tag-' . esc_attr($terms[0]->slug) . '">' . esc_attr($terms[0]->name) . '</strong></li>';
				 
				} elseif ( is_day() ) {
					 
					// Day archive
					 
					// Year link
					echo '<li class="item-year item-year-' . esc_attr(get_the_time('Y')) . '"><a class="bread-year bread-year-' . esc_attr(get_the_time('Y')) . '" href="' . esc_attr(get_year_link( get_the_time('Y') )) . '" title="' . esc_attr(get_the_time('Y')) . '">' . esc_attr(get_the_time('Y')) . ' Archives</a></li>';
					 
					// Month link
					echo '<li class="item-month item-month-' . esc_attr(get_the_time('m')) . '"><a class="bread-month bread-month-' . esc_attr(get_the_time('m')) . '" href="' . esc_url(get_month_link( get_the_time('Y'), get_the_time('m') )) . '" title="' . esc_attr(get_the_time('M')) . '">' . esc_attr(get_the_time('M')) . ' Archives</a></li>';
					//echo '<li class="separator separator-' . get_the_time('m') . '"> ' . $separator . ' </li>';
					 
					// Day display
					echo '<li class="item-current item-' . esc_attr(get_the_time('j')) . '"><strong class="bread-current bread-' . esc_attr(get_the_time('j')) . '"> ' . esc_attr(get_the_time('jS')) . ' ' . esc_attr(get_the_time('M')) . ' Archives</strong></li>';
					 
				} else if ( is_month() ) {
					 
					// Month Archive
					 
					// Year link
					echo '<li class="item-year item-year-' . esc_attr(get_the_time('Y')) . '"><a class="bread-year bread-year-' . esc_attr(get_the_time('Y')) . '" href="' . esc_url(get_year_link( get_the_time('Y') )) . '" title="' . esc_attr(get_the_time('Y')) . '">' . esc_attr(get_the_time('Y')) . ' Archives</a></li>';
					//echo '<li class="separator separator-' . get_the_time('Y') . '"> ' . $separator . ' </li>';
					 
					// Month display
					echo '<li class="item-month item-month-' . esc_attr(get_the_time('m')) . '"><strong class="bread-month bread-month-' . esc_attr(get_the_time('m')) . '" title="' . esc_attr(get_the_time('M')) . '">' . esc_attr(get_the_time('M')) . ' Archives</strong></li>';
					 
				} else if ( is_year() ) {
					 
					// Display year archive
					echo '<li class="item-current item-current-' . esc_attr(get_the_time('Y')) . '"><strong class="bread-current bread-current-' . esc_attr(get_the_time('Y')) . '" title="' . esc_attr(get_the_time('Y')) . '">' . esc_attr(get_the_time('Y')) . ' Archives</strong></li>';
					 
				} else if ( is_author() ) {
					 
					// Auhor archive
					 
					// Get the author information
					global $author;
					$userdata = get_userdata( $author );
					 
					// Display author name
					echo '<li class="item-current item-current-' . esc_attr($userdata->user_nicename) . '"><strong class="bread-current bread-current-' . esc_attr($userdata->user_nicename) . '" title="' . esc_attr($userdata->display_name) . '">' . 'Author: ' . esc_attr($userdata->display_name) . '</strong></li>';
				 
				} else if ( get_query_var('paged') ) {
					 
					// Paginated archives
					echo '<li class="item-current item-current-' . esc_attr(get_query_var('paged')) . '"><strong class="bread-current bread-current-' . esc_attr(get_query_var('paged')) . '" title="Page ' . esc_attr(get_query_var('paged')) . '">'.esc_html__('Page','music-night') . ' ' . esc_attr(get_query_var('paged')) . '</strong></li>';
					 
				} else if ( is_search() ) {
				 
					// Search results page
					echo '<li class="item-current item-current-' . esc_attr(get_search_query()) . '"><strong class="bread-current bread-current-' . esc_attr(get_search_query()) . '" title="Search results for: ' . esc_attr(get_search_query()) . '">Search results for: ' . esc_attr(get_search_query()) . '</strong></li>';
				 
				} elseif ( is_404() ) {
					 
					// 404 page
					echo '<li><strong class="bread-current bread-current">' . 'Error 404' . '</strong></li>';
				}
				 
			}
			 
			echo '</ul>';
			 
		}
	}
	
	//Event Booking Button
	if( !function_exists('musicnight_event_booking') ){
		function musicnight_event_booking($event){
			$notice_full = get_option('dbem_booking_button_msg_full');
			$button_text = get_option('dbem_booking_button_msg_book');
			$button_already_booked = get_option('dbem_booking_button_msg_already_booked');
			$button_booking = get_option('dbem_booking_button_msg_booking');
			$button_success = get_option('dbem_booking_button_msg_booked');
			$button_fail = get_option('dbem_booking_button_msg_error');
			$button_cancel = get_option('dbem_booking_button_msg_cancel');
			$button_canceling = get_option('dbem_booking_button_msg_canceling');
			$button_cancel_success = get_option('dbem_booking_button_msg_cancelled');
			$button_cancel_fail = get_option('dbem_booking_button_msg_cancel_error');

			if( is_user_logged_in() ){ //only show this to logged in users
				ob_start();
				$EM_Booking = $event->get_bookings()->has_booking();
				if( is_object($EM_Booking) && $EM_Booking->booking_status != 3 && get_option('dbem_bookings_user_cancellation') ){
					?><a id="em-cancel-button_<?php echo esc_attr($EM_Booking->booking_id); ?>_<?php echo wp_create_nonce('booking_cancel'); ?>" class="button em-cancel-button" href="#"><?php echo esc_attr($button_cancel); ?></a><?php
				}elseif( $event->get_bookings()->is_open() ){
					if( !is_object($EM_Booking) ){
						?><a id="em-booking-button_<?php echo esc_attr($event->event_id); ?>_<?php echo wp_create_nonce('booking_add_one'); ?>" class="button em-booking-button" href="#"><?php echo esc_attr($button_text); ?></a><?php 
					}else{
						?><span class="em-booked-button"><?php echo esc_attr($button_already_booked) ?></span><?php
					}
				}elseif( $event->get_bookings()->get_available_spaces() <= 0 ){
					?><span class="em-full-button"><?php echo esc_attr($notice_full) ?></span><?php
				}
				return apply_filters( 'em_booking_button', ob_get_clean(), $event );
			}else{
			return "<span class='em-full-button'>".esc_html__("Please Sign in",'music-night')."</span>";
			} 
		}	
	}
	
	
	
	
	//Strip Down slashes
	if( !function_exists('musicnight_stripslashes') ){
		function musicnight_stripslashes($data){
			$data = is_array($data) ? array_map('stripslashes_deep', $data) : stripslashes($data);
			return $data;
		}
	}
	//Stop backslashes from Array
	if( !function_exists('musicnight_stopbackslashes') ){
		function musicnight_stopbackslashes($data){
			$data = str_replace('\\\\\\\\\\\\\"', '|bb6|', $data);
			$data = str_replace('\\\\\\\\\\\"', '|bb5|', $data);
			$data = str_replace('\\\\\\\\\"', '|bb4|', $data);
			$data = str_replace('\\\\\\\"', '|bb3|', $data);
			$data = str_replace('\\\\\"', '|bb2|', $data);
			$data = str_replace('\\\"', '|bb"|', $data);
			$data = str_replace('\\\\\\t', '|p2k|', $data);
			$data = str_replace('\\\\t', '|p1k|', $data);			
			$data = str_replace('\\\\\\n', '|p2k|', $data);
			$data = str_replace('\\\\n', '|p1k|', $data);
			return $data;
		}
	}
	//decode and Stop back slashes
	if( !function_exists('musicnight_decode_stopbackslashes') ){
		function musicnight_decode_stopbackslashes($data){
			$data = str_replace('|bb6|', '\\\\\\"', $data);
			$data = str_replace('|bb5|', '\\\\\"', $data);
			$data = str_replace('|bb4|', '\\\\"', $data);
			$data = str_replace('|bb3|', '\\\"', $data);
			$data = str_replace('|bb2|', '\\"', $data);
			$data = str_replace('|bb"|', '\"', $data);
			$data = str_replace('|p2k|', '\\\t', $data);
			$data = str_replace('|p1k|', '\t', $data);			
			$data = str_replace('|p2k|', '\\\n', $data);
			$data = str_replace('|p1k|', '\n', $data);
			return $data;
		}
	}	
	
	
	//Get Popular posts
	if( !function_exists('musicnight_set_post_views') ){
		function musicnight_set_post_views($postID) {
			$count_key = 'post_views';
			$count = get_post_meta($postID, $count_key, true);
			if($count==''){
				$count = 0;
				delete_post_meta($postID, $count_key);
				add_post_meta($postID, $count_key, '0');
			}else{
				$count++;
				update_post_meta($postID, $count_key, $count);
			}
		}
	}
	
	
	if( !function_exists('musicnight_post_post_views') ){	
		function musicnight_post_post_views ($post_id) {
			if ( !is_single() ) return;
			if ( empty ( $post_id) ) {
				global $post;
				$post_id = $post->ID;    
			}
			musicnight_set_post_views($post_id);
		}
	}
	add_action( 'wp_head', 'musicnight_post_post_views');

	if( !function_exists('musicnight_get_post_views') ){	
		function musicnight_get_post_views($postID){
			$count_key = 'post_views';
			$count = get_post_meta($postID, $count_key, true);
			if($count==''){
				delete_post_meta($postID, $count_key);
				add_post_meta($postID, $count_key, '0');
				return esc_html__('0','music-night');
			}
			return $count;
		}
	}
	
	
	
	// add_action( 'registered_post_type', 'event_label_rename', 10, 2 );
	if( !function_exists('event_label_rename') ){
		function event_label_rename( $post_type, $args ) {
			if ( 'event' === $post_type ) {
				global $wp_post_types;
				$args->labels->menu_name = esc_html__( 'Matches', 'music-night' );			
				$wp_post_types[ $post_type ] = $args;
			}
		} 
	} 
	
	
	
	
	
	
	//Event Booking Button
	if( !function_exists('musicnight_event_booking_btn') ){
		function musicnight_event_booking_btn($event){
			$notice_full = get_option('dbem_booking_button_msg_full');
			$button_text = get_option('dbem_booking_button_msg_book');
			$button_already_booked = get_option('dbem_booking_button_msg_already_booked');
			$button_booking = get_option('dbem_booking_button_msg_booking');
			$button_success = get_option('dbem_booking_button_msg_booked');
			$button_fail = get_option('dbem_booking_button_msg_error');
			$button_cancel = get_option('dbem_booking_button_msg_cancel');
			$button_canceling = get_option('dbem_booking_button_msg_canceling');
			$button_cancel_success = get_option('dbem_booking_button_msg_cancelled');
			$button_cancel_fail = get_option('dbem_booking_button_msg_cancel_error');

			if( is_user_logged_in() ){ //only show this to logged in users
				ob_start();
				$EM_Booking = $event->get_bookings()->has_booking();
				if( is_object($EM_Booking) && $EM_Booking->booking_status != 3 && get_option('dbem_bookings_user_cancellation') ){
					?><a id="em-cancel-button_<?php echo esc_attr($EM_Booking->booking_id); ?>_<?php echo wp_create_nonce('booking_cancel'); ?>" class="thbg-colorhover button em-cancel-button" href="#"><?php echo esc_attr__('Not Attending','music-night')?></a><?php
				}elseif( $event->get_bookings()->is_open() ){
					if( !is_object($EM_Booking) ){
						?><a id="em-booking-button_<?php echo esc_attr($event->event_id); ?>_<?php echo wp_create_nonce('booking_add_one'); ?>" class="thbg-colorhover button em-booking-button" href="#"><?php echo esc_attr__('Attend This Event','music-night');?></a><?php 
					}else{
						?><span class="em-booked-button"><?php echo esc_attr($button_already_booked) ?></span><?php
					}
				}elseif( $event->get_bookings()->get_available_spaces() <= 0 ){
					?><span class="em-full-button"><?php echo esc_attr($notice_full) ?></span><?php
				}
				return apply_filters( 'em_booking_button', ob_get_clean(), $event );
			}else{
			return "<span class='em-full-button'>".esc_attr__("Please Sign in",'music-night')."</span>";
			} 
		}	
	}
	
	if( !function_exists('musicnight_header_title_index') ){
		function musicnight_header_title_index(){	
			global $musicnight_theme_option, $musicnight_post_option;	
			$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
			if( !empty($musicnight_post_option) ){
				$musicnight_post_option = json_decode( $musicnight_post_option, true );					
			}
			if(isset($musicnight_post_option['header-background'])){
				if( is_numeric($musicnight_post_option['header-background']) ){
					$image_src = wp_get_attachment_image_src($musicnight_post_option['header-background'], 'full');	
					$header_background = ' style="background-image: url(\'' . esc_url($image_src[0]) . '\');" ';		
				}else{
					if(esc_url($musicnight_post_option['header-background']) <> ''){
						$header_background = ' style="background-image: url(\'' . esc_url($musicnight_post_option['header-background']) . '\');" ';
					}else{
						$header_background = ' style="background-image: url(\'' . MUSICNIGHT_PATH . '/images/subheader-bg.jpg\');" ';
					}		
				}
			}else{
				$header_background = '';
			}
			return $header_background;
		}
	}
	
	// Column Sizes Bootstrap 3+
	if( !function_exists('musicnight_get_column_class') ){
		function musicnight_get_column_class( $size ){
			switch( $size ){
				case '1/12': return 'col-md-1 columns'; break;
				case '1/6': return 'col-md-2 column'; break;
				case '1/4': return 'col-md-3 columns'; break;
				case '2/5': return 'col-md-5 columns'; break;
				case '1/5': return 'one-fifth columns'; break;
				case '1/3': return 'col-md-4 columns'; break;
				case '1/2': return 'col-md-6 columns'; break;
				case '3/5': return 'col-md-7 columns'; break;
				case '2/3': return 'col-md-8 columns'; break;
				case '3/4': return 'col-md-9 columns'; break;
				case '4/5': return 'col-md-10 columns'; break;
				case '1/1': return 'col-md-12 columns'; break;
				default : return 'col-md-12 columns'; break;
			}
		}
	}
	
	// show column wrapper
	if( !function_exists('musicnight_show_column_wrapper') ){
		function musicnight_show_column_wrapper( $content ){
			$musicnight_counter = 0;
			$content['option']['element-item-class'] = (empty($content['option']['element-item-class']))? ' ': $content['option']['element-item-class'];
			echo '<div class="'.esc_attr($content['option']['element-item-class']).' ' . esc_attr(musicnight_get_column_class( $content['size'] )) . '" ><div class="row">';
			foreach( $content['items'] as $item ){
				musicnight_show_element( $item );
				$musicnight_counter++;
			}			
			echo '</div></div>'; // end of column section
		}
	}
	
	if( !function_exists('musicnight_wp_head_class') ){
		function musicnight_wp_head_class(){			
			global $musicnight_theme_option, $musicnight_post_option;
			
			//Mega Menu Class
			$mega_menu = get_option('mega_main_menu_options');
			$menu_class = '';		
			if(is_array($mega_menu)){
				if(in_array('main_menu',$mega_menu['mega_menu_locations'])){
					$menu_class = 'musicnight_mega_menu';
				}
			}
			//Single Page Class Generated For Home
			
			$musicnight_onepage = '';
			if(is_front_page()){
				if(isset($musicnight_theme_option['enable-one-page-header-navi']) && $musicnight_theme_option['enable-one-page-header-navi'] == 'enable'){
					$musicnight_onepage = 'nav_one_page';
				}
			}
			//Header Sticky Class
			$header_class = '';
			$header_sticky = '';
			if(isset($musicnight_theme_option['enable-sticky-menu'])){
				if($musicnight_theme_option['enable-sticky-menu'] == 'enable'){
					$header_sticky = 'header-sticky';
				}
			}
			
			return $header_class = $header_sticky.' ' .$menu_class .' ' .$mega_menu .' '.$musicnight_onepage;
		}
	}	
	
	if( !function_exists('musicnight_header_title_background') ){
		function musicnight_header_title_background($musicnight_theme_option, $musicnight_post_title_bg,$musicnight_post_option){
			
			
			$header_selected_class = '';
			$header_background = '';
			if(isset($musicnight_post_option['header-background']) && $musicnight_post_option['header-background'] <> ''){
				$header_background = $musicnight_post_option['header-background'];	
			}else{				
				$header_background = '';
			}
			
			//Post Option Header Bg
			if(!isset($header_background)){
				if(isset($musicnight_theme_option[$musicnight_post_title_bg])){
					$header_background = $musicnight_theme_option[$musicnight_post_title_bg];
				}
			}
			
			if(isset($header_background) && $header_background <> ''){
				if(is_tax('features') || is_tax('status')){
					if(isset($musicnight_theme_option[$musicnight_post_title_bg])){
						$header_background = $musicnight_theme_option[$musicnight_post_title_bg];
					}
				}else{
					if( is_numeric($header_background) ){
						$image_src = wp_get_attachment_image_src($musicnight_post_option['header-background'], 'full');	
						$header_background = esc_url($image_src[0]);		
					}else{
						$header_background = esc_url($musicnight_post_option['header-background']);
					}
				}
			}else{
				$header_background = '';
				if(isset($musicnight_theme_option[$musicnight_post_title_bg])){
					$header_background = $musicnight_theme_option[$musicnight_post_title_bg];
				}
			}
			$musicnight_theme_option['kode-header-style'] = musicnight_get_selected_header_class($musicnight_post_option,$musicnight_theme_option);
			$page_caption = '';
			if(isset($header_background)){
				if( is_numeric($header_background) ){
					$image_src = wp_get_attachment_image_src($header_background, 'full');	
					$header_background = esc_url($image_src[0]);		
				}else{
					$header_background = esc_url($header_background);
				}
			}else{
				$header_background = '';
			}
			
			if(isset($header_background) && $header_background <> ''){
				$header_background = 'style="background-image: url('.esc_url($header_background).');"';
			}
			return $header_background;
		}
	}
	
	
	if( !function_exists('musicnight_booking_form_event_manager') ){
	function musicnight_booking_form_event_manager() {

		global $EM_Notices,$EM_Event;
		//count tickets and available tickets
		$tickets_count = count($EM_Event->get_bookings()->get_tickets()->tickets);
		$available_tickets_count = count($EM_Event->get_bookings()->get_available_tickets());
		//decide whether user can book, event is open for bookings etc.
		$can_book = is_user_logged_in() || (get_option('dbem_bookings_anonymous') && !is_user_logged_in());
		$is_open = $EM_Event->get_bookings()->is_open(); //whether there are any available tickets right now
		$show_tickets = true;
		//if user is logged out, check for member tickets that might be available, since we should ask them to log in instead of saying 'bookings closed'
		if( !$is_open && !is_user_logged_in() && $EM_Event->get_bookings()->is_open(true) ){
			$is_open = true;
			$can_book = false;
			$show_tickets = false;
		}
		?>
		<div id="em-booking" class="em-booking <?php if( get_option('dbem_css_rsvp') ) echo 'css-booking'; ?>">
			<?php 
				// We are firstly checking if the user has already booked a ticket at this event, if so offer a link to view their bookings.
				$EM_Booking = $EM_Event->get_bookings()->has_booking();
			?>
			<?php 
			if(!empty($EM_Event->bookings)){
				if( is_object($EM_Booking) && !get_option('dbem_bookings_double') ): //Double bookings not allowed ?>
					<p>
						<?php echo get_option('dbem_bookings_form_msg_attending'); ?>
						<a href="<?php echo em_get_my_bookings_url(); ?>"><?php echo get_option('dbem_bookings_form_msg_bookings_link'); ?></a>
					</p>
				<?php elseif( !$EM_Event->event_rsvp ): //bookings not enabled ?>
					<p><?php echo get_option('dbem_bookings_form_msg_disabled'); ?></p>
				<?php elseif( $EM_Event->get_bookings()->get_available_spaces() <= 0 ): ?>
					<p><?php echo get_option('dbem_bookings_form_msg_full'); ?></p>
				<?php elseif( !$is_open ): //event has started ?>
					<p><?php echo get_option('dbem_bookings_form_msg_closed');  ?></p>
				<?php else: ?>
					<?php echo ($EM_Notices); ?>
					<?php if( $tickets_count > 0) : ?>
						<?php //Tickets exist, so we show a booking form. ?>
						<form class="em-booking-form" name='booking-form' method='post' action='<?php echo apply_filters('em_booking_form_action_url',''); ?>#em-booking'>
							<input type='hidden' name='action' value='booking_add'/>
							<input type='hidden' name='event_id' value='<?php echo esc_attr($EM_Event->event_id); ?>'/>
							<input type='hidden' name='_wpnonce' value='<?php echo wp_create_nonce('booking_add'); ?>'/>
							<?php 
								// Tickets Form
								if( $show_tickets && ($can_book || get_option('dbem_bookings_tickets_show_loggedout')) && ($tickets_count > 1 || get_option('dbem_bookings_tickets_single_form')) ){ //show if more than 1 ticket, or if in forced ticket list view mode
									do_action('em_booking_form_before_tickets', $EM_Event); //do not delete
									//Show multiple tickets form to user, or single ticket list if settings enable this
									//If logged out, can be allowed to see this in settings witout the register form 
									em_locate_template('forms/bookingform/tickets-list.php',true, array('EM_Event'=>$EM_Event));
									do_action('em_booking_form_after_tickets', $EM_Event); //do not delete
									$show_tickets = false;
								}
							?>
							<?php if( $can_book ): ?>
								<div class='em-booking-form-details'>
									<?php 
										if( $show_tickets && $available_tickets_count == 1 && !get_option('dbem_bookings_tickets_single_form') ){
											do_action('em_booking_form_before_tickets', $EM_Event); //do not delete
											//show single ticket form, only necessary to show to users able to book (or guests if enabled)
											$EM_Ticket = $EM_Event->get_bookings()->get_available_tickets()->get_first();
											em_locate_template('forms/bookingform/ticket-single.php',true, array('EM_Event'=>$EM_Event, 'EM_Ticket'=>$EM_Ticket));
											do_action('em_booking_form_after_tickets', $EM_Event); //do not delete
										} 
									?>
									<?php
										do_action('em_booking_form_before_user_details', $EM_Event);
										if( has_action('em_booking_form_custom') ){ 
											//Pro Custom Booking Form. You can create your own custom form by hooking into this action and setting the option above to true
											do_action('em_booking_form_custom', $EM_Event); //do not delete
										}else{
											//If you just want to modify booking form fields, you could do so here
											em_locate_template('forms/bookingform/booking-fields.php',true, array('EM_Event'=>$EM_Event));
										}
										do_action('em_booking_form_after_user_details', $EM_Event);
									?>
									<?php do_action('em_booking_form_footer', $EM_Event); //do not delete ?>
									<div class="em-booking-buttons">
										<?php if( preg_match('/https?:\/\//',get_option('dbem_bookings_submit_button')) ): //Settings have an image url (we assume). Use it here as the button.?>
										<input type="image" src="<?php echo get_option('dbem_bookings_submit_button'); ?>" class="em-booking-submit" id="em-booking-submit" />
										<?php else: //Display normal submit button ?>
										<input type="submit" class="em-booking-submit" id="em-booking-submit" value="<?php echo esc_attr(get_option('dbem_bookings_submit_button')); ?>" />
										<?php endif; ?>
									</div>
									<?php do_action('em_booking_form_footer_after_buttons', $EM_Event); //do not delete ?>
								</div>
							<?php else: ?>
								<p class="em-booking-form-details"><?php echo get_option('dbem_booking_feedback_log_in'); ?></p>
							<?php endif; ?>
						</form>	
						<?php 
						if( !is_user_logged_in() && get_option('dbem_bookings_login_form') ){
							//User is not logged in, show login form (enabled on settings page)
							em_locate_template('forms/bookingform/login.php',true, array('EM_Event'=>$EM_Event));
						}
						?>
						<br class="clear" style="clear:left;" />  
					<?php endif; ?>
				<?php endif;
			}
			?>
		</div>
	<?php }
	}
		
	
	if(!function_exists('musicnight_get_all_tweets')){
		function musicnight_get_all_tweets($musicnight_theme_option){		
			$twitter_feed = '';
			$musicnight_theme_option = get_option('musicnight_admin_option', array());
			if(isset($musicnight_theme_option['show-footer-twitter']) && $musicnight_theme_option['show-footer-twitter'] == 'enable'){
				
				$twitter_username = $musicnight_theme_option['twitter-user-name'];
				$show_num = $musicnight_theme_option['twitter-show-num'];
				$consumer_key = $musicnight_theme_option['twitter-consumer-api'];
				$consumer_secret = $musicnight_theme_option['twitter-consumer-secret'];
				$access_token = $musicnight_theme_option['twitter-access-token'];
				$access_token_secret = $musicnight_theme_option['twitter-access-token-secret'];
				$cache_time = $musicnight_theme_option['twitter-cache'];
				
				$musicnight_twitter = get_option('musicnight_twitter', array());
				if( !is_array($musicnight_twitter) && !empty($musicnight_twitter) ){ 
					$musicnight_twitter = unserialize($musicnight_twitter);
				}
				if( !is_array($musicnight_twitter) ){
					$musicnight_twitter = array(); 
				}
				
				if( empty($musicnight_twitter[$twitter_username][$show_num]['data']) ||
					empty($musicnight_twitter[$twitter_username][$show_num]['cache_time']) || 
					time() - intval($musicnight_twitter[$twitter_username][$show_num]['cache_time']) >= ($cache_time * 3600)){
				
					$tweets_data = musicnight_get_tweets($consumer_key, $consumer_secret, 
						$access_token, $access_token_secret, $twitter_username, $show_num);
					
					if( !empty($tweets_data) ){
						$musicnight_twitter[$twitter_username][$show_num]['data'] = $tweets_data;
						$musicnight_twitter[$twitter_username][$show_num]['cache_time'] = time();
						
						update_option('musicnight_twitter', $musicnight_twitter);	
					}
				}else{
					$tweets_data = $musicnight_twitter[$twitter_username][$show_num]['data'];
				}
				if(!empty($tweets_data)){
					$twitter_feed .= '<!--Twitter Wrap Start-->
					<div class="footer_twitter">
						<span><i class="fa fa-twitter" aria-hidden="true"></i></span>
						<div class="twitter-feed-section">
							<ul class="twitter-feed-follow bxslider" data-slide="1" data-mode="fade">';
							foreach( $tweets_data as $tweet_data ){
								$twitter_feed .= '
								<li class="footer_twitter_caption">
									 '. $tweet_data . '
								</li>';
							}
							$twitter_feed .= '
							</ul>
						</div>
						<div class="pull-right"><a href="#" class="default_btn black-bg_btn">Follow us</a></div>
					</div>';
				}
			}
			return $twitter_feed;
		}
	}
	
	if(!function_exists('musicnight_get_icon')){
		function musicnight_get_icon($icon_class,$taxonomy){
			$get_icon = array();
			$country_icon = musicnight_get_term_list_id($taxonomy);
			foreach($country_icon as $key => $val){
				$option_name = $icon_class . $key;
				$get_icon = get_option($option_name);
			}
			return $get_icon;
		}
	}
	
	
	// add_filter( 'previous_post_link', 'musicnight_single_post_pagination', 10, 4 );
	// add_filter( 'next_post_link',     'musicnight_single_post_pagination', 10, 4 );
	function musicnight_single_post_pagination( $output, $format, $link, $post )
	{
		$title = get_the_title( $post );
		$url   = get_permalink( $post->ID );
		$text  = 'Read previous';
		$class = 'prev-post';
		$rel   = 'prev';

		if ( 'next_post_link' === current_filter() )
		{
			$text  = 'Read next';
			$class = 'next-post';
			$rel   = 'next';
		}
		$new_date = '<div class="'.esc_attr($class).'">
				<div class="kode-next thcolorhover next-nav inner-post">
					<h5><a href="'.esc_attr($url).'" rel="'.esc_attr($rel).'">"'.esc_attr($text).'"</a></h5>
				</div>
				
				<div class="kode-previous thcolorhover left-nav inner-post">
					<h5><a href="'.esc_attr($url).'" rel="'.esc_attr($rel).'">"'.esc_attr($title).'"</a></h5>
				</div>
			</div>';
		return $new_date;
	}
	
	