<?php
	/*	
	*	Kodeforest Event Option file
	*	---------------------------------------------------------------------
	*	This file creates all event options to the event page
	*	---------------------------------------------------------------------
	*/
	
	// add a post admin option
	// add a post option to post page
	if( is_admin() ){ add_action('init', 'musicnight_create_event_options'); }
	if( !function_exists('musicnight_create_event_options') ){
	
		function musicnight_create_event_options(){
			global $musicnight_theme_option;
			
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				
					  
				// page option settings
				array(
					'page-layout' => array(
						'title' => esc_attr__('Page Layout', 'music-night'),
						'options' => array(
							'sidebar' => array(
								'title' => esc_attr__('Sidebar Template' , 'music-night'),
								'type' => 'radioimage',
								'options' => array(
									'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
									'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
									'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
									'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
								),
								'default' => 'default-sidebar'
							),	
							'left-sidebar' => array(
								'title' => esc_attr__('Left Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
							),
							'right-sidebar' => array(
								'title' => esc_attr__('Right Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
							),						
						)
					),
					
					'page-option' => array(
						'title' => esc_attr__('Event Option', 'music-night'),
						'options' => array(
							'page-title' => array(
								'title' => esc_attr__('Post Title' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Leave this field blank to use the default title from admin panel > general > blog style section.', 'music-night')
							),
							'page-caption' => array(
								'title' => esc_attr__('Post Caption' , 'music-night'),
								'type' => 'textarea'
							),
							'mobile' => array(
								'title' => esc_attr__('Mobile' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Enter mobile number from here.Leave this field blank to hide this option.', 'music-night')
							),
							'email' => array(
								'title' => esc_attr__('Email' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Enter email from here.Leave this field blank to hide this option.', 'music-night')
							),
							'website' => array(
								'title' => esc_attr__('Website' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Enter website address from here.Leave this field blank to hide this option.', 'music-night')
							),
							'thumbnail-size' => array(
								'title' => esc_html__('Thumbnail Size of Featured Image', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'musicforest-post-thumbnail-size'								
							),
							'slider'=> array(	
								'overlay'=> 'false',
								'title' => esc_html__('Gallery' , 'music-night'),
								'caption'=> 'false',
								'type'=> 'slider',
							),
							'gallery-thumbnail-size' => array(
								'title' => esc_html__('Thumbnail Size of Gallery', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'musicforest-post-thumbnail-size'								
							),
							'musicnight_event_organizer' => array(
								'title' => esc_html__('Select Participants' , 'music-night'),
								'type' => 'multi-combobox',
								'options' => musicnight_get_post_list_id('artist'),
								'description'=> esc_html__('Select Participants of this event.', 'music-night')
							),
							
						)
					),
				),
				
				// page option attribute
				array(
					'post_type' => array('event'),
					'meta_title' => esc_attr__('Kodeforest Event Option', 'music-night'),
					'meta_slug' => 'kodeforest-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	
	
	// add work in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_event_item');
	if( !function_exists('musicnight_register_event_item') ){
		function musicnight_register_event_item( $page_builder = array() ){
			global $musicnight_spaces;
			$page_builder['content-item']['options']['events'] = array(
				'title'=> esc_attr__('Events', 'music-night'), 
				'icon'=>'fa-calendar',
				'type'=>'item',
				'options'=> array(					
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),
					'category'=> array(
						'title'=> esc_attr__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('event-categories'),
						'description'=> esc_attr__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> esc_attr__('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('event-tags'),
						'description'=> esc_attr__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),
					'scope'=> array(
						'title'=> esc_attr__('Event Scope' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'past' => esc_attr__('Past Events', 'music-night'), 
							'future' => esc_attr__('Upcoming Events', 'music-night'), 
							'all' => esc_attr__('All Events', 'music-night'), 
						)
					),					
					'event-style'=> array(
						'title'=> esc_attr__('Event Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'event-list-view' => esc_attr__('Event List View', 'music-night'),
							'event-grid-view' => esc_attr__('Event Grid View', 'music-night'),
							'event-medium-view' => esc_attr__('Event Medium View', 'music-night'),
							'event-new-grid-modern' => esc_attr__('Event New Grid Modern', 'music-night'),
							'event-small-view' => esc_attr__('Event Small View', 'music-night')
						),
						'default'=>'event-list-view'
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Event List Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> '',
						'wrapper-class'=>'event-style-wrapper event-small-view event-list-view-wrapper event-grid-view-wrapper event-medium-view-wrapper',
					),						
					'event-size'=> array(
						'title'=> esc_html__('Event Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => esc_html__('1 Column', 'music-night'),
							'2' => esc_html__('2 Column', 'music-night'),
							'3' => esc_html__('3 Column', 'music-night'),
							'4' => esc_html__('4 Column', 'music-night'),
							'6' => esc_html__('6 Column', 'music-night'),
						),						
						'default'=>'3',
						'wrapper-class'=>'event-style-wrapper event-list-view-wrapper event-grid-view-wrapper event-medium-view-wrapper',
					),
					'event-view'=> array(
						'title'=> esc_attr__('Event View' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'event-slider' => esc_attr__('Event Slider View', 'music-night'),							
							'event-simple' => esc_attr__('Event Simple View', 'music-night'),
						),
						'default'=>'event-simple'
					),
					'event-slider-mode'=> array(
						'title'=> esc_attr__('Event View' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'horizontal' => esc_attr__('Slider Horizontal View', 'music-night'),
							'vertical' => esc_attr__('Slider Vertical View', 'music-night'),
							'fade' => esc_attr__('Slider Fade', 'music-night'),
						),
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper',
						'default'=>'event-slider-horizontal'
					),
					'event-slider-min-slides'=> array(
						'title'=> esc_attr__('Min Slides' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',						
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper horizontal-wrapper vertical-wrapper'
					),	
					'event-slider-max-slides'=> array(
						'title'=> esc_attr__('Max Slides' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',						
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper horizontal-wrapper vertical-wrapper'
					),
					'event-slider-width'=> array(
						'title'=> esc_attr__('Slider Width' ,'music-night'),
						'type'=> 'text',	
						'default'=> '120',						
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper event-slider-mode-wrapper horizontal-wrapper'
					),
					'event-slider-margin'=> array(
						'title'=> esc_attr__('Slider Margin' ,'music-night'),
						'type'=> 'text',	
						'default'=> '30',
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper event-slider-mode-wrapper horizontal-wrapper'
					),
					'event-slider-move'=> array(
						'title'=> esc_attr__('Slider Move' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',
						'wrapper-class'=>'event-view-wrapper event-slider-wrapper horizontal-wrapper vertical-wrapper'
					),
					'title-num-excerpt'=> array(
						'title'=> esc_attr__('Title Num Length (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'wrapper-class'=>'event-view-wrapper event-simple-wrapper',
						'description'=> esc_attr__('This is a number of word (decided by spaces) that you want to show on the event title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the WordPress more tag</strong>.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> esc_attr__('Num Excerpt (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_attr__('This is a number of word (decided by spaces) that you want to show on the post excerpt. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the WordPress more tag</strong>.', 'music-night'),
						'wrapper-class'=>'event-view-wrapper event-simple-wrapper',
					),	
										
					
					'num-fetch'=> array(
						'title'=> esc_attr__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'wrapper-class'=>'event-view-wrapper event-simple-wrapper',
						'description'=> esc_attr__('Specify the number of posts you want to pull out.', 'music-night'),
					),					
					'pagination'=> array(
						'title'=> esc_attr__('Enable Pagination' ,'music-night'),
						'wrapper-class'=>'event-view-wrapper event-simple-wrapper',
						'type'=> 'checkbox'
					),
					'order'=> array(
						'title'=> esc_attr__('Order' ,'music-night'),
						'type'=> 'combobox',
						'wrapper-class'=>'event-view-wrapper event-simple-wrapper',
						'options'=> array(
							'desc'=>esc_attr__('Descending Order', 'music-night'), 
							'asc'=> esc_attr__('Ascending Order', 'music-night'), 
						)
					),					
					'margin-bottom' => array(
						'title' => esc_attr__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_attr__('Spaces after ending of this item', 'music-night')
					),					
				)
			);	
			
			$page_builder['content-item']['options']['upcoming-event'] = array(
				'title'=> esc_attr__('Upcoming Event', 'music-night'), 
				'icon'=>'fa-calendar-check-o',
				'type'=>'item',
				'options'=> array(					
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),
					'heading'=> array(
						'title'=> esc_attr__('Element Heading' ,'music-night'),
						'type'=> 'text',	
						'default'=> '',
						'description'=> esc_attr__('Please add element heading text which will be shown above the element.', 'music-night')
					),	
					'caption'=> array(
						'title'=> esc_attr__('Element Caption' ,'music-night'),
						'type'=> 'text',	
						'default'=> '',
						'description'=> esc_attr__('Please add Element Caption text here which will be shwon above the element.', 'music-night')
					),	
					'title-num-excerpt'=> array(
						'title'=> esc_attr__('Title Num Length (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> esc_attr__('This is a number of word (decided by spaces) that you want to show on the event title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),	
					'category'=> array(
						'title'=> esc_attr__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('event-categories'),
						'description'=> esc_attr__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'margin-bottom' => array(
						'title' => esc_attr__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_attr__('Spaces after ending of this item', 'music-night')
					),					
				)
			);
			
			
			$page_builder['content-item']['options']['single-event'] = array(
				'title'=> esc_attr__('Single Event', 'music-night'), 
				'icon'=>'fa-calendar-check-o',
				'type'=>'item',
				'options'=> array(					
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),
					'heading'=> array(
						'title'=> esc_attr__('Element Heading' ,'music-night'),
						'type'=> 'text',	
						'default'=> '',
						'description'=> esc_attr__('Please add element heading text which will be shown above the element.', 'music-night')
					),	
					'caption'=> array(
						'title'=> esc_attr__('Element Caption' ,'music-night'),
						'type'=> 'text',	
						'default'=> '',
						'description'=> esc_attr__('Please add Element Caption text here which will be shwon above the element.', 'music-night')
					),	
					'title-num-excerpt'=> array(
						'title'=> esc_attr__('Title Num Length (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> esc_attr__('This is a number of word (decided by spaces) that you want to show on the event title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),	
					'event-id'=> array(
						'title'=> esc_attr__('Select Event' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_post_list_id('event'),
						'description'=> esc_attr__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'thumbnail-size' => array(
						'title' => esc_html__('Event List Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> '',
						'wrapper-class'=>'event-style-wrapper event-small-view event-list-view-wrapper event-grid-view-wrapper event-medium-view-wrapper',
					),	
					'margin-bottom' => array(
						'title' => esc_attr__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_attr__('Spaces after ending of this item', 'music-night')
					),					
				)
			);
			
			return $page_builder;
		}
	}
	
	if( !function_exists('musicnight_get_event_info') ){
		function musicnight_get_event_info( $event_id='', $array = array(), $wrapper = true, $sep = '',$div_wrap = 'div' ){
			global $musicnight_theme_option; $ret = '';
			if( empty($array) ) return $ret;
			//$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				
				if( !empty($sep) ) $ret .= $sep;

				switch( $post_info ){
					case 'date':
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-date"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($div_wrap).'>';
						break;
					case 'tag':
						$tag = get_the_term_list($event_id, 'event-tags', '', ' , ' , '' );
						if(empty($tag)) break;					
						
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-tags"><i class="fa fa-tag" aria-hidden="true"></i>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($div_wrap).'>';					
						break;
					case 'views':
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink($event_id)) . '" >' . esc_attr(musicnight_get_post_views($event_id)) . ' ' . esc_html__('Views','music-night').'</a>';
						$ret .= '</'.esc_attr($div_wrap).'>';							
						break;		
					case 'category':
						$category = get_the_term_list($event_id, 'event-categories', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($div_wrap).'>';			
						break;
					case 'comment':
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-comment">';
						$ret .= '<a class="eco_share" href="' . esc_url(get_permalink($event_id)) . '#respond" ><i class="fa fa-comment-o"></i>' . esc_attr(get_comments_number()) . ' <span class="kode-comment-ite">'.esc_attr__('Comments','music-night').'</span></a>';
						$ret .= '</'.esc_attr($div_wrap).'>';					
						break;
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($div_wrap).' class="event-info event-author"><i class="fa fa-user"></i>';
						$ret .= $author;
						$ret .= '</'.esc_attr($div_wrap).'>';			
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="kode-event-info kode-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';			
		}
	}
	
	//Event Listing
	if( !function_exists('musicnight_get_events_item') ){
		function musicnight_get_events_item( $settings ){
			global $musicnight_spaces,$musicnight_theme_option;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$margin = (!empty($settings['margin-bottom']))? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$settings['element-item-class'] = empty($settings['element-item-class'])? '' : $settings['element-item-class'];
			$evn = '';
	
			$order = 'DESC';
			$limit = 10;//Default limit
			$offset = '';		
			$rowno = 0;
			if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
				$settings['num-fetch'] = '3000';
			}else{
				if(isset($settings['num-fetch']) && $settings['num-fetch'] == '-1'){
					$settings['num-fetch'] = '3000';
				}	
			}
			
			$argu = array('pagination'=>1,'category'=>$settings['category'], 'group'=>'this','scope'=>$settings['scope'], 'limit' => $settings['num-fetch'], 'order' => $settings['order']);
			$argu['page'] = (!empty($_REQUEST['pno']) && is_numeric($_REQUEST['pno']) )? $_REQUEST['pno'] : 1;
			$EM_Events = EM_Events::get( $argu );
			$events_count = EM_Events:: count( $argu );	
			$current_size = 0;
			
			// $evn = '<div class="event-listing">';
			
			$settings['thumbnail-size'];
			$settings['event-size'];
			
			
			if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
				if(isset($settings['event-style']) && $settings['event-style'] == 'event-list-view'){
					$size = $settings['event-size'];
					$evn .= '<div class="event-detail-list-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-grid-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-grid-view-old">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-new-grid-modern'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-grid-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-medium-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-medium-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-small-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="col-md-12"><div class="msl-eventlist2-slider bottom-arrow msl-black">';
				}
			}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){				
				$settings['event-slider-min-slides'];
				$settings['event-slider-max-slides'];
				$settings['event-slider-width'];
				$settings['event-slider-margin'];
				$settings['event-slider-move'];
				$size = $settings['event-size'];
				if(isset($settings['event-slider-mode']) && $settings['event-slider-mode'] == 'vertical'){
					$evn .= '<div class="col-md-12"><div class="main-slider-vertical msl-eventlist2-slider bottom-arrow msl-black" 
					 ';
					if(isset($settings['event-slider-width']) && $settings['event-slider-width'] <> 'auto'){
						$evn .= ' data-width="'.esc_attr($settings['event-slider-width']).'" ';
					}
					$evn .= ' data-min="'.esc_attr($settings['event-slider-min-slides']).'" 
					data-max="'.esc_attr($settings['event-slider-max-slides']).'" 
					data-medium="'.esc_attr($settings['event-slider-medium-slides']).'" 
					data-move="'.esc_attr($settings['event-slider-move']).'" 
					data-mode="vertical">';
				}else if(isset($settings['event-slider-mode']) && $settings['event-slider-mode'] == 'horizontal'){
					$evn .= '<div class="col-md-12"><div class="main-slider-horizontal bottom-arrow msl-black" 
					 ';
					if(isset($settings['event-slider-width']) && $settings['event-slider-width'] <> 'auto'){
						$evn .= ' data-width="'.esc_attr($settings['event-slider-width']).'" ';
					}
					$evn .= ' data-min="'.esc_attr($settings['event-slider-min-slides']).'" 
					data-max="'.esc_attr($settings['event-slider-max-slides']).'" 
					data-medium="'.esc_attr($settings['event-slider-medium-slides']).'" 
					data-margin="'.esc_attr($settings['event-slider-margin']).'" 
					data-move="'.esc_attr($settings['event-slider-move']).'" 
					data-mode="horizontal">';
				}else{
					$evn .= '<div class="col-md-12"><div class="bxslider bottom-arrow msl-black"';
					$evn .=' data-mode="fade">';
				}
			}else{
				if(isset($settings['event-style']) && $settings['event-style'] == 'event-list-view'){
					$size = $settings['event-size'];
					$evn .= '<div class="event-detail-list-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-grid-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-grid-view-old">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-new-grid-modern'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-grid-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-medium-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="event-detail-medium-view">';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-small-view'){
					$size = $settings['event-size'];					
					$evn .= '<div class="col-md-12"><div class="msl-eventlist2-slider bottom-arrow msl-black">';
				}
			}
			$settings['title-num-excerpt'] = (empty($settings['title-num-excerpt']))? '15': $settings['title-num-excerpt'];
			$settings['num-excerpt'] = (empty($settings['num-excerpt']))? '25': $settings['num-excerpt'];
			$current_size = 0;
			foreach ( $EM_Events as $event ) {
				$event_year = date('Y',$event->start);
				$event_month = date('m',$event->start);
				$event_day = date('d',$event->start);
				$event_start_time = date("G,i,s", strtotime($event->start_time));
				$location = esc_attr($event->get_location()->name);
				$event_post_data = json_decode(musicnight_decode_stopbackslashes(get_post_meta($event->post_id, 'post-option', true)));
				$category = get_the_terms( $event->post_id, 'event-categories' );
				$image_src = wp_get_attachment_image_src(get_post_thumbnail_id($event->post_id),$settings['thumbnail-size']);
				
				
				if(isset($settings['event-style']) && $settings['event-style'] == 'event-list-view'){
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						if( $current_size % $size == 0 ){
							$evn .= '<div class="clear clearfix"></div>';
						}
					}
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					}
					$event_start_time = date("H:i:s", strtotime($start_time));	
					$event_end_time = date("H:i:s", strtotime($end_time));
					
						if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
							$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
						}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
							$evn .= '<div class="slider-item-trigger">';
						}
						$evn .= '
						<div class="msl-concert-list">
							<figure>'.get_the_post_thumbnail($event->post_id, $settings['thumbnail-size']).'</figure>
							<div class="text-overflow">
								<h4 class="concert-title"><a href="'.esc_url($event->guid).'">'.esc_attr(substr($event->post_title,0,$settings['title-num-excerpt'])).'</a></h4>
								<!--Concert Meta Start-->
								<div class="concert-meta">
									<div class="concert-info">
										<b>'.esc_attr__('Date','music-night').':</b>
										<span>'.esc_attr(date(get_option('date_format'),$event->start)).'</span>
									</div>
									<div class="concert-info">
										<b>'.esc_attr__('Time','music-night').':</b>
										<span>'.esc_attr($start_time).'</span>
									</div>
									<div class="concert-info concert-location">
										<b>'.esc_attr__('Location','music-night').':</b>
										<span>'.esc_attr($location).'</span>
									</div>
								</div>
								<!--Concert Meta End-->
								<a class="btn-1 theme-bg" href="'.esc_url($event->guid).'">'.esc_attr__('Buy Ticket','music-night').'</a>
							</div>
						</div>';
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-grid-new-layout'){
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					} 	
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '<div class="slider-item-trigger">';
					}
					
						$evn .= '
						<div class="music_event_fig">
							<figure>
								'.get_the_post_thumbnail($event->post_id, $settings['thumbnail-size']).'
							</figure>
							<div class="event_ticket">
								<a href="'.esc_url($event->guid).'"><i class="fa fa-ticket"></i></a>
								<div class="event_ticket_text">
									<h6>tickets sold</h6>
									<span>31.7 k</span>
								</div>
							</div>
							<a class="event_heart" href="'.esc_url($event->guid).'"><i class="fa fa-heart-o"></i></a>
							<div class="music_event_location">
								<span>popular event</span>
								<h3>'.esc_attr(substr($event->post_title,0,$settings['title-num-excerpt'])).'</h3>
								<p>next november 11</p>
								<a href="'.esc_url($event->guid).'"><i class="fa fa-pencil"></i>'.substr(strip_tags($event->post_content),0,$settings['num-excerpt']).'</a>
							</div>
							<a class="right_arrow" href="'.esc_url($event->guid).'"><i class="fa fa-angle-right"></i></a>
						</div>';
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
					
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-grid-modern'){
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					} 	
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '<div class="slider-item-trigger">';
					}
						$evn .= '
						<div class="kf_gallery_fig">
							<figure class="them_overlay">
								'.get_the_post_thumbnail($event->ID, $settings['thumbnail-size']).'
								<figcaption>
									<a href="'.esc_url($event->guid).'">'.esc_attr($location).'</a>
									<h4><a href="'.esc_url($event->guid).'">'.esc_attr(substr($event->post_title,0,120)).'</a></h4>
									<ul class="kf_date">
										<li>
											<a href="'.esc_url($event->guid).'">'.esc_attr(date(get_option('date_format'),$event->start)).'</a>
										</li>
										<li>
											<a href="'.esc_url($event->guid).'">'.esc_attr($end_time).'</a>
										</li>
									</ul>
								</figcaption>
								<a class="kf_paly" data-rel="prettyPhoto" href="'.esc_url($event->guid).'"><i class="fa fa-play"></i></a>
							</figure>
						</div>';
					
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
					
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-new-grid-modern'){
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					} 	
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '  col-sm-4 col-xs-12">';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '<div class="slider-item-trigger">';
					}
						$evn .= '
						<div class="music_event_fig text">
							<figure>
								'.get_the_post_thumbnail($event->ID, $settings['thumbnail-size']).'
							</figure>
							<div class="event_ticket">
								<a href="'.esc_url($event->guid).'"><i class="fa fa-ticket"></i></a>
								<div class="event_ticket_text">
									<h6>tickets sold</h6>
									<span>31.7 k</span>
								</div>
							</div>
							<a class="event_heart" href="#"><i class="fa fa-heart-o"></i></a>
							<div class="music_event_location">
								<h3>'.esc_attr($event->post_title).'</h3>
								<p>junuary 17</p>
								<a href="'.esc_url($event->guid).'"><i class="fa fa-map-marker"></i>dallas , SF</a>
							</div>
							<a class="right_arrow" href="'.esc_url($event->guid).'"><i class="fa fa-angle-right"></i></a>
						</div>';
					
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
					
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-medium-view'){
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					} 	
						if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
							$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
						}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
							$evn .= '<div class="slider-item-trigger">';
						}
						$evn .= '
						<div class="upcoming-event">
							<article>
								<div class="top-text">
									<h5><a href="'.esc_url($event->guid).'">'.esc_attr(substr($event->post_title,0,$settings['title-num-excerpt'])).'</a></h5>
									<p>'.substr(strip_tags($event->post_content),0,$settings['num-excerpt']).'</p>
									<a class="bgcolor" href="'.esc_url($event->guid).'">'.esc_attr__('More','music-night').'</a>
								</div>
								<div class="bottom-text">
									<figure><a href="'.esc_url($event->guid).'">'.get_the_post_thumbnail($event->post_id, $settings['thumbnail-size']).'</a></figure>
									<div class="sec webkit">
										<div class="desc-head">
											<ul>
												<li><span class="color">When</span> <p>30 September 2013 | 11:30PM</p></li>
												<li><span class="color">where</span> <p>Massive Club London, Leytonstone 13</p></li>
												<li><span class="color">Featuring</span> <p><a href="#">Etiam,</a> Porta, Sem malesuada, <a href="'.esc_url($event->guid).'">Mangna</a></p></li>
												<li><span class="color">Tickets</span> <p>Free | <a href="#">Now Available</a></p></li>
											</ul>
										</div>
									</div>
								</div>
							</article>
						</div>';
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-small-view'){
					if(isset($event->get_location()->location_address)){
						$location = esc_attr($event->get_location()->location_address);	
					}else{
						$location = '';
					}
					$start_time = date(get_option('time_format'),strtotime($event->start_time));
					$end_time = date(get_option('time_format'),strtotime($event->end_time));
					if($event->event_all_day <> 1){ 
						$start_time = esc_attr($start_time);						
						$end_time = esc_attr($end_time); 
					}else{
						esc_html__('All Day','music-night'); 
						$start_time = '12:00 am'; 
						$end_time = '12:00 pm'; 
					} 	
					$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( $event->post_id ) , 'full');
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '<div class="slider-item-trigger">';
					}
					$evn .= '
						<div class="slider-item-new">
							<!--Event List 2 Strat-->
							<style>.msl-event-list-view-'.esc_attr($event->post_id).':after{background:url('.esc_url($background_image[0]).') no-repeat;}</style>
							<div class="msl-eventlist2 msl-event-list-view-'.esc_attr($event->post_id).'">
								<figure>'.get_the_post_thumbnail($event->post_id, $settings['thumbnail-size']).'</figure>
								<div class="eventlist2-heading">
									<h5><a href="'.esc_url($event->guid).'">'.esc_attr(substr($event->post_title,0,$settings['title-num-excerpt'])).'</a></h5>
									'.musicnight_get_event_info($EM_Event->ID, array('category'), true, '','div').'
								</div>
								<div class="eventlist2-date">
									<h6>'.esc_attr($event_day).' '.esc_attr($event_month).' <span>'.esc_attr($start_time).'</span></h6>
								</div>
								<div class="eventlist2-link">
									<a class="btn-1" href="'.esc_url($event->guid).'">'.esc_attr__('Buy','music-night').'</a>
								</div>
							</div>
							<!--Event List 2 End-->
						</div>';
					if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
						$evn .= '</div>';
					}else if(isset($settings['event-view']) && $settings['event-view'] == 'event-slider'){
						$evn .= '</div>';
					}
				}else{}
				$current_size++;
			}
			if(isset($settings['event-view']) && $settings['event-view'] == 'event-simple'){
				if(isset($settings['event-style']) && $settings['event-style'] == 'event-list-view'){
					$evn .= '</div>';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-grid-view'){
					$evn .= '</div>';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-medium-view'){
					$evn .= '</div>';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-new-grid-modern'){
					$evn .= '</div>';
				}else if(isset($settings['event-style']) && $settings['event-style'] == 'event-small-view'){
					$evn .= '</div></div>';
				}
			}else{
				$evn .= '</div>';
				$evn .= '</div>';
			}
			
			if(isset($settings['pagination']) && $settings['pagination'] == 'enable'){
				$evn .= '<div class="col-md-12 pagination-links-events">';
				$evn .= '<div class="kode-pagination">';
				$evn .= EM_Events::get_pagination_links($argu, $events_count);
				$evn .= '</div>';
				$evn .= '</div>';
			}
				
		return $evn;
		}
	}	
	
	//  Upcoming Event	Function
	function musicnight_get_upcoming_event_item($settings = array()){
		
		$single_event = EM_Events::get(array('post_id'=>$settings['event-id'],'scope'=>'any'));
		
		foreach($single_event as $k_event){
		
			$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($k_event->ID, 'post-option', true ));
			if( !empty($musicnight_post_option) ){
				$musicnight_post_option = json_decode( $musicnight_post_option, true );					
			}
			
			$event_year = date('Y',$k_event->start);
			$event_month = date('m',$k_event->start);
			$event_day = date('d',$k_event->start);
			
			$location = esc_attr($k_event->get_location()->location_name);
			if($k_event->event_all_day <> 1){
				$start_time = $k_event->start_time;
				$end_time = $k_event->end_time;
			}else{

				$start_time = '12:00';
				$end_time = '12:00';
			}
			
			$evn = '';
			$evn .= '
			<div class="koed_event_timer">
				<figure class="them_overlay">
					'.get_the_post_thumbnail($k_event->ID, $settings['thumbnail-size']).'
					<figcaption>
						<h5><a href="'.esc_url(get_permalink($k_event->ID)).'">'.esc_attr__('Next Event In :','music-night').'</a></h5>
						<ul id="countdown-1" class="countdown downcount" data-year="'.esc_attr($event_year).'" data-month="'.esc_attr($event_month).'" data-day="'.esc_attr($event_day).'" data-time="'.esc_attr($start_time).'">							
							<li>
								<span class="days">00</span>
								<p class="">'.esc_attr__('Days','music-night').'</p>
							</li>
							<li>
								<span class="hours">00</span>
								<p class="">'.esc_attr__('HRS','music-night').'</p>
							</li>
							<li>
								<span class="minutes">00</span>
								<p class="">'.esc_attr__('Mins','music-night').'</p>
							</li>
							<li>
								<span class="seconds">00</span>
								<p class="">'.esc_attr__('Secs','music-night').'</p>
							</li>
						</ul>
					</figcaption>
				</figure>
			</div>';
		
			return $evn;
		}
	}
	
	function musicnight_event_thumbnail_show($musicnight_event_option,$event){
		$thumbnail_size = (empty($musicnight_event_option['thumbnail-size']))? $musicnight_theme_option['thumbnail-size']: $musicnight_event_option['thumbnail-size'];
		
		//Get Thumbnail Width and Height
		$musicnight_img_size = musicnight_get_video_size($thumbnail_size);
		$musicnight_width = $musicnight_img_size['width'];
		$musicnight_height = $musicnight_img_size['height'];
		
		// Get Slider Images
		$musicnight_event_option['slider'] = (empty($musicnight_event_option['slider']))? ' ': $musicnight_event_option['slider'];
		$raw_slider_data = musicnight_decode_stopbackslashes($musicnight_event_option['slider']);	
		$filter_slider_data = json_decode(musicnight_stripslashes($raw_slider_data), true);		
		$ret = '';
		//Get Media Type Selected
		$musicnight_event_option['post_media_type'] = (empty($musicnight_event_option['post_media_type']))? ' ': $musicnight_event_option['post_media_type'];
		//Condition for Audio, Video, Slider
		if($musicnight_event_option['post_media_type'] == 'audio'){
			if(isset($musicnight_event_option['musicnight_audio']) && strpos($musicnight_event_option['musicnight_audio'],'soundcloud')){				
				$ret .= '<div class="kode-event-thumbnail kode-audio">' . do_shortcode('[soundcloud url="'.esc_url($musicnight_event_option['musicnight_audio']).'" comments="yes" auto_play="no" color="#ff7700" width="100%" height="'.esc_attr($musicnight_height).'px"][/soundcloud]') . '</div>';				
			}else{				
				$musicnight_get_image = musicnight_get_image(get_post_thumbnail_id(), esc_attr($thumbnail_size), true);
				if(!empty($musicnight_get_image)){
					$ret .= '<div class="kode-event-thumbnail kode-ux">';
						if( is_single() ){
								$ret .= musicnight_get_image(get_post_thumbnail_id(), $thumbnail_size, true);	
								$ret .= '<div class="kode-event-thumbnail kode-audio">' . do_shortcode('[audio mp3="'.$musicnight_event_option['musicnight_audio'].'"][/audio]') . '</div>';
						}else{
							$temp_option = json_decode(get_post_meta(get_the_ID(), 'post-option', true), true);
							$ret .= musicnight_get_image(get_post_thumbnail_id(), $thumbnail_size,true);
							if(isset($musicnight_event_option['musicnight_audio'])){
								$ret .= '<div class="kode-event-thumbnail kode-audio">' . do_shortcode('[audio mp3="'.$musicnight_event_option['musicnight_audio'].'"][/audio]') . '</div>';							
							}
							
						}						
					$ret .= '</div>';
				}else{
					$ret .= '<div class="kode-event-thumbnail kode-audio">' . do_shortcode('[audio mp3="'.$musicnight_event_option['musicnight_audio'].'"][/audio]') . '</div>';
				}
				
			}
		}else if($musicnight_event_option['post_media_type'] == 'video'){
			$ret .= '<div class="kode-event-thumbnail kode-video">' . musicnight_get_video($musicnight_event_option['musicnight_video'],$thumbnail_size).'</div>';
		}else if($musicnight_event_option['post_media_type'] == 'slider'){
			$ret .= '
			<!--Eco column img event_slider-->
			
				<div class="col-md-7 col-sm-7 col-xs-12 no-padding responsive-991-width">
					<!--Eco column event_slider -->
					<div class="eco_big_event event_for">';
					$slider_option = json_decode($musicnight_event_option['slider'], true);
					
					$slide_order = $slider_option[0];
					$slide_data = $slider_option[1];					
					
					$slides = array();
					if(!empty($slide_order)){
						foreach( $slide_order as $slide_id ){
							$slides[$slide_id] = $slide_data[$slide_id];
						}
					}
					$musicnight_event_option['slider'] = $slides;
					foreach($musicnight_event_option['slider'] as $slide_id => $slide){
						$ret .= 
						'<div class="slider_div">
							<figure>
								'.musicnight_get_image($slide_id, esc_attr($thumbnail_size)).'
							</figure>
						</div>';
					}
					$ret .= '
					</div>
				</div>
				<!--Eco event_slider item navi-->
				<div class="col-md-5  col-sm-5 col-xs-12 no-padding hidden-md-down">	
					<div class="event_slide_pictures">
						<!--Eco event_slider navi-->
						<div class="event_nav">';
							foreach($musicnight_event_option['slider'] as $slide_id => $slide){
							$ret .= '
							<div class="eco_width_menage">
								<figure>
									'.musicnight_get_image($slide_id, array(260,325)).'
								</figure>
							</div>';
							}
						$ret .= '
						</div>
					</div>
				</div>
				<!--Eco event_slider navi ends-->
			';			
		}else{
			$musicnight_get_image = musicnight_get_image(get_post_thumbnail_id(), esc_attr($thumbnail_size), true);
			if(!empty($musicnight_get_image)){
				$ret .= '<figure>';
					if( is_single() ){
							$ret .= musicnight_get_image(get_post_thumbnail_id(), esc_attr($thumbnail_size), true);						
					}else{
						$temp_option = json_decode(get_post_meta(get_the_ID(), 'post-option', true), true);
						
						
						$ret .= musicnight_get_image(get_post_thumbnail_id(), esc_attr($thumbnail_size));
						
					}
				$ret .= '</figure>';
			}
		}
		
		return $ret;
	}
	
	if( !function_exists('musicnight_get_upnext_event') ){
		function musicnight_get_upnext_event( $settings ){
			
			global $musicnight_spaces;
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
			$margin = (!empty($settings['margin-bottom']))? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			$settings['element-item-class'] = empty($settings['element-item-class'])? '' : $settings['element-item-class'];
			$evn = '<div '.$margin_style.' '.$item_id.' class="'.esc_attr($settings['element-item-class']).' kode_event_upnext_new">';
			
			$settings['heading'];
			$settings['caption'];
			$settings['category'];
			$settings['title-num-excerpt'];		
			$order = 'DESC';
			$limit = 10;//Default limit
			$offset = '';		
			$rowno = 0;
			$event_count = 0;
			$EM_Events = EM_Events::get( array('category'=>$settings['category'], 'group'=>'this','scope'=>'future', 'limit' => '1', 'order' => 'DESC') );
			$events_count = count ( $EM_Events );	
			foreach ( $EM_Events as $event ) {
				$event_year = date('Y',$event->start);
				$event_month = date('m',$event->start);
				$event_day = date('d',$event->start);
				$event_start_time = date("G:i:s", strtotime($event->start_time));
				$location = esc_attr($event->get_location()->name);
				$thumbnail_id = get_post_thumbnail_id( $event->post_id );
				$thumbnail = wp_get_attachment_image_src( $thumbnail_id , 'large' );
				if(isset($settings['heading']) && $settings['heading'] <> ''){
					$evn .= '
					<div class="kode_hdg_1">
						<h6>'.esc_attr($settings['caption']).'</h6>
						<h4>'.esc_attr($settings['heading']).'</h4>
					</div>';
				}
				$evn .= '
				<!--Upcomming Wrap Strat-->
				<div class="kode_coming_election" style="background-image:url('.esc_url($thumbnail[0]).');">
					<div class="kode_counter_caption">
						<h5>'.esc_attr($event->post_title).'</h5>
						<ul data-year="'.esc_attr($event_year).'" data-month="'.esc_attr($event_month).'" data-day="'.esc_attr($event_day).'" data-time="'.esc_attr($event_start_time).'" class="downcount">
							<li>
								<span class="days">00</span>
								<p class="days_ref">'.esc_attr__('Week','music-night').'</p>
							</li>
							<li>
								<span class="hours">00</span>
								<p class="hours_ref">'.esc_attr__('Days','music-night').'</p>
							</li>
							<li>
								<span class="minutes">00</span>
								<p class="minutes_ref">'.esc_attr__('Hours','music-night').'</p>
							</li>
							<li>
								<span class="seconds last">00</span>
								<p class="seconds_ref">'.esc_attr__('Second','music-night').'</p>
							</li>
						</ul>
					</div>
				</div>
				<!--Upcomming Wrap End-->';
				
			}	
			$evn .= '</div>';
			return $evn;
			
			
		}
	}
	
	
	if( !function_exists('musicnight_get_single_event_item') ){
		function musicnight_get_single_event_item( $settings ){
			
			$single_event = EM_Events::get(array('post_id'=>$settings['event-id'],'scope'=>'any'));
			
			foreach($single_event as $k_event){
			
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($k_event->ID, 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				
				$event_year = date('Y',$k_event->start);
				$event_month = date('m',$k_event->start);
				$event_month_c = date('M',$k_event->start);
				$event_day = date('d',$k_event->start);
				
				$location = esc_attr($k_event->get_location()->location_name);
				if(isset($k_event->get_location()->location_address)){
					$location = esc_attr($k_event->get_location()->location_address);	
				}else{
					$location = '';
				}
				if($k_event->event_all_day <> 1){
					$start_time = $k_event->start_time;
					$end_time = $k_event->end_time;
				}else{

					$start_time = '12:00';
					$end_time = '12:00';
				}
				
				$evn = '';
				$evn .= '
				<div class="col-md-12">
				<div class="music_event_fig">
					<figure>
						'.get_the_post_thumbnail($k_event->ID, $settings['thumbnail-size']).'
					</figure>
					<div class="event_ticket">
						<a href="#"><i class="fa fa-ticket"></i></a>
						<div class="event_ticket_text">
							<h6>tickets sold</h6>
							<span>31.7 k</span>
						</div>
					</div>
					<a class="event_heart" href="#"><i class="fa fa-heart-o"></i></a>
					<div class="music_event_location">
						<span>popular event</span>
						<h3>'.esc_attr($k_event->post_title).'</h3>
						<p>next '.esc_attr($event_month_c).' '.esc_attr($event_day).'</p>
						<a href="#"><i class="fa fa-map-marker"></i>'.esc_attr($location).'</a>
					</div>
					<a class="right_arrow" href="#"><i class="fa fa-angle-right"></i></a>
				</div>
				</div>';
			
				return $evn;
			}
		}
	}
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_event_item($post_id,$num_posts,$size) {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_terms($post_id, 'event-tags', array("fields" => "all"));		
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'event-tags', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'event';
			$args['numberposts'] = $num_posts;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );
			if($related_posts) {
				echo '<div class="wpmf-related-albums col-md-12">
				<h4>Related Events</h4>';
				echo '<div class="row">';
					foreach ( $related_posts as $post ) : setup_postdata( $post );
					$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['thumbnail-size']);
					echo '
					<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '   col-sm-4 col-xs-12">
						<div class="music_event_fig text">
							<figure>
								'.get_the_post_thumbnail($post->post_id, 'musicforest-small-serv-size').'
							</figure>
							<div class="event_ticket">
								<a href="'.esc_url($post->guid).'"><i class="fa fa-ticket"></i></a>
								<div class="event_ticket_text">
									<h6>tickets sold</h6>
									<span>31.7 k</span>
								</div>
							</div>
							<a class="event_heart" href="'.esc_url($post->guid).'"><i class="fa fa-heart-o"></i></a>
							<div class="music_event_location">
								<h3>'.esc_attr(substr($post->post_title,0,30)).'</h3>
								<p>'.esc_attr(get_the_date('d Y')).'</p>
								<a href="'.esc_url($post->guid).'"><i class="fa fa-pencil"></i>'.substr(strip_tags($post->post_content),0,30).'</a>
							</div>
							<a class="right_arrow" href="'.esc_url($post->guid).'"><i class="fa fa-angle-right"></i></a>
						</div>
					</div>';
					endforeach;
					echo '</div>';
				
			} wp_reset_postdata();
			wp_reset_query();
	
			echo '</div>';
		}
	}
	
	
	
	
?>