<?php 
	// add a post option to post page
	if( is_admin() ){ add_action('init', 'musicnight_create_igni_options'); }
	if( !function_exists('musicnight_create_igni_options') ){
	
		function musicnight_create_igni_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
								'sidebar' => array(
									'type' => 'radioimage',
									'description' => 'Please select the side bar position from here.',
									'options' => array(
										'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
										'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
										'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
										'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
									),
									'default' => 'no-sidebar'
								),	
								'left-sidebar' => array(
									'title' => __('Left Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
								),
								'right-sidebar' => array(
									'title' => __('Right Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
								),						
						)
					),
					'page-option' => array(
						'title' => esc_attr__('Ignition Option', 'music-night'),
						'options' => array(
							'page-title' => array(
								'title' => esc_attr__('Post Title' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Leave this field blank to use the default title from admin panel > general > blog style section.', 'music-night')
							),
							'page-caption' => array(
								'title' => esc_attr__('Post Caption' , 'music-night'),
								'type' => 'textarea'
							),
							'backers' => array(
								'title' => esc_attr__('Backers' , 'music-night'),
								'type' => 'text',
								'description' => esc_attr__('Please Enter Number of people supporting this cause.', 'music-night')
							),
							'post_media_type' => array(
								'title' => esc_html__('Select Post Media' , 'music-night'),
								'type' => 'combobox',
								'options' => array(
									'featured_image'=>	esc_html__('Feature Image' , 'music-night'),
									'slider'=>	esc_html__('Slider' , 'music-night'),
								),
								'description'=> esc_html__('Select post media type.', 'music-night')
							),	
							'thumbnail-size' => array(
								'title' => esc_html__('Thumbnail Size', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'theevent-post-thumbnail-size'								
							),
							'slider'=> array(	
								'overlay'=> 'false',
								'caption'=> 'false',
								'type'=> 'slider',
								'wrapper-class' => 'slider-wrapper post_media_type-wrapper',
							),
							'musicnight_igni_volunteer' => array(
								'title' => esc_html__('Select volunteer' , 'music-night'),
								'type' => 'multi-combobox',
								'options' => musicnight_get_post_list_id('team'),
								'description'=> esc_html__('Select volunteer of this event.', 'music-night')
							),	
						)
					),

				),
				
				// page option attribute
				array(
					'post_type' => array('ignition_product'),
					'meta_title' => esc_attr__('Ignition Option', 'music-night'),
					'meta_slug' => 'kodeforest-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	



	if( !function_exists('musicnight_get_deck_info') ){
		function musicnight_get_deck_info( $id, $array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list($id, 'project_type', '', '<span class="sep">,</span> ' , '' );
						if(empty($tag)) break;					
						
						$ret .= '<'.esc_attr($custom_wrap).' class=""><span><i class="fa fa-tag" aria-hidden="true"></i> '.esc_attr__('tags:','music-night').'</span>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'project_category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-comment"><i class="fa fa-comment-o"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' ' . esc_html__('Comment','music-night').'</a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' ' . esc_html__('Views','music-night').'</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-author"><i class="fa fa-user"></i>';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="kode-deck-info kode-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
	
	if( !function_exists('musicnight_get_deck_item') ){
		function musicnight_get_deck_item( $settings = array() ){
			$item_id = empty($settings['page-item-id'])? '': ' id="' . $settings['page-item-id'] . '" ';

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-deck-item'])? 'margin-bottom: ' . esc_attr($settings['margin-bottom']) . 'px;': '';
			$margin_style = (!empty($margin))? ' style="' . $margin . '" ': '';
			
			//$ret  = musicnight_get_item_title($settings);
			$ret = '';
			$ret .= '<div class="deck-item-wrapper"  ' . $item_id . $margin_style . '>';
			
			// query post and sticky post
			$args = array('post_type' => 'ignition_product', 'suppress_filters' => false);
			if( !empty($settings['category']) || !empty($settings['tag']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'category', 'field'=>'slug'));
				}
				if( !empty($settings['tag']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'post_tag', 'field'=>'slug'));
				}				
			}

			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : get_query_var('page');
			$args['paged'] = empty($args['paged'])? 1: $args['paged'];
			$query = new WP_Query( $args );
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];


			// set the excerpt length
			if( !empty($settings['num-excerpt']) ){
				global $musicnight_excerpt_length; $musicnight_excerpt_length = $settings['num-excerpt'];
				add_filter('excerpt_length', 'musicnight_set_excerpt_length');
			} 
			
			// get deck by the deck style
			global $musicnight_post_settings, $musicnight_lightbox_id;
			$musicnight_lightbox_id++;
			$musicnight_post_settings['num-excerpt'] = empty($settings['num-excerpt'])? '20':$settings['num-excerpt'];
			$musicnight_post_settings['title-num-fetch'] = empty($settings['title-num-fetch'])? '20':$settings['title-num-fetch'];
			$musicnight_post_settings['thumbnail-size'] = $settings['kode-deck-thumbnail-size'];	
			$settings['column-size'] = empty($settings['column-size'])? '3':$settings['column-size'];	
			$musicnight_post_settings['deck-style'] = $settings['cause-style'];	
			
			$ret .= '<div class="deck-item-holder">';
			$current_size = 0;
			
			$size = $settings['column-size'];
			while($query->have_posts()){ $query->the_post();
				global $post;
				// if( $current_size % $size == 0 ){
					// $ret .= '<div class="clear"></div>';
				// }
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				$musicnight_post_option['backers'] = empty($musicnight_post_option['backers']) ? '' : $musicnight_post_option['backers'];
				
				$musicnight_thumbnail_id = get_post_thumbnail_id( $post->ID, 'ign_project_id', true );
				$musicnight_thumbnail = wp_get_attachment_image_src( $musicnight_thumbnail_id , $settings['kode-deck-thumbnail-size'] );
				$deck = new Deck($post->ID);
				$the_deck = $deck->the_deck();
				$post_id = $deck->post_id;
				$item_fund_end = new DateTime($the_deck->item_fund_end);
				$current_date = new DateTime(date('m/d/Y'));
				$diff = $current_date->diff($item_fund_end);
				
				// $ret . do_action('id_widget_before', $project_id, $the_deck);
				if($settings['campaign-style'] == 'normal-view'){
					$ret .= '
						<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="d-relf-campaing-thumb widget-campaing-thumb">
								<figure>
									'.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
								</figure>
								<div class="campaing-thumb-contant">
									<h4 class="campaing-title"><a href="'.esc_url(get_permalink()).'">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</a></h4>
									<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
									<div class="d-relf-donation-progress">
										<div class="barWrapper theme-color-progressbar">
											<div class="progress ">
												<div class="progress-bar" role="progressbar" aria-valuenow="'.esc_attr($the_deck->rating_per).'" aria-valuemin="10" aria-valuemax="100" style="">
													<span  class="popOver" data-toggle="tooltip" data-placement="top" title="'.esc_attr($the_deck->rating_per).'%"> </span>  
												</div>
											</div>
										</div>
										<div class="goal-amount">
											<span>'.esc_attr__('Goal','music-night').'</span>
											<h6> '.esc_attr($the_deck->item_fund_goal).'</h6>
										</div>
										<div class="raised-amount goal-amount">
											<span>'.esc_attr__('Raised','music-night').'</span>
											<h6>'.esc_attr($the_deck->p_current_sale).'</h6>
										</div>
									</div>
									<a class="btn-default theme-bg-color theme-bdr-color" href="'.esc_url(get_permalink()).'">'.esc_attr__('Donate Now','music-night').'</a>
								</div>
							</div>
						</div>';
				}else if($settings['campaign-style'] == 'simple-view'){
					$ret .= '
						<div class="">
							<style>
								.services-progress.bg-img-1.bg-count'.esc_attr($current_size).':before{background-image:url('.esc_url($musicnight_thumbnail[0]).')}
							</style>
							<div class="d-relf-services services-progress bg-img-1 bg-count'.esc_attr($current_size).'">
								<div class="d-relf-chart" data-percent="'.esc_attr($the_deck->rating_per).'"><h5>'.esc_attr($the_deck->rating_per).'%</h5></div>
								<div class="text-overflow">
									<h5><a href="'.esc_url(get_permalink()).'">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</a></h5>
									<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
								</div>
								<div class="side-btn">
									<a class="btn-default theme-bg-color theme-bdr-color" href="'.esc_url(get_permalink()).'"><span>'.esc_attr__('Donate Now','music-night').'</span></a>
								</div>
							</div>
						</div>';
				}
				else if($settings['campaign-style'] == 'grid-view'){
					$ret .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . ' col-sm-6 col-xs-12">
							<!-- Campaing Thumb Start-->
							<div class="hover-effect d-relf-campaing-thumb widget-campaing-thumb gallery-item">
								<!-- Campaing Thumb Slider Start-->
								<figure>
								   '.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
									<div class="effect_data">
										<ul>
											<li><a href="'.esc_url(get_permalink()).'"><i class="fa fa-expand" aria-hidden="true"></i></a></li>
											<li><a data-rel="prettyphoto[]" href="'.esc_url($musicnight_thumbnail[0]).'"><i class="fa fa-picture-o" aria-hidden="true"></i></a></li>
										</ul>
									</div>
								</figure>
								<!-- Campaing Thumb Slider End-->
								<!-- Campaing Thumb Contant Start-->
								<div class="campaing-thumb-contant">
									<h4 class="campaing-title"><a href="'.esc_url(get_permalink()).'">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</a></h4>
									<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
									<!-- Donation Progress Start-->
									<div class="d-relf-donation-progress">
										<!-- Bar Progress Start-->
										<div class="barWrapper">
											<div class="progress ">
												<div class="progress-bar" role="progressbar" aria-valuenow="'.esc_attr($the_deck->rating_per).'" aria-valuemin="10" aria-valuemax="100" style="">
													<span  class="popOver" data-toggle="tooltip" data-placement="top" title="'.esc_attr($the_deck->rating_per).'%"> </span>  
												</div>
											</div>
										</div>
										<div class="goal-amount">
											<span> '.esc_attr__('Goal','music-night').'</span>
											<h6> '.esc_attr($the_deck->item_fund_goal).'</h6>
										</div>
										<!-- Bar Progress End-->
										<div class="raised-amount goal-amount">
											<span>'.esc_attr__('Raised','music-night').'</span>
										<h6>'.esc_attr($the_deck->p_current_sale).'</h6>
										</div>
									</div>
									<a class="btn-default gray-bg-color" href="'.esc_url(get_permalink()).'">'.esc_attr__('Donate Now','music-night').'</a>
									<!-- Donation Progress End-->
								</div>
								<!-- Campaing Thumb Contant End-->
							</div>
							<!-- Campaing Thumb End-->
						</div>';
				}else if($settings['campaign-style'] == 'full-view'){
					$ret .= '
						<div class="causes_listing_columns col-sm-6 responsive-width-991">
							<div class="causes_listing_picture hover-effect gallery-item">
								<figure>
									'.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
									<div class="effect_data">
										<ul>
											<li><a href="'.esc_url(get_permalink()).'"><i class="fa fa-expand" aria-hidden="true"></i></a></li>
											<li><a data-rel="prettyphoto[]" href="'.esc_url($musicnight_thumbnail[0]).'"><i class="fa fa-picture-o" aria-hidden="true"></i></a></li>
										</ul>
									</div>
								</figure>
							</div>
							<div class="campaing-thumb-contant widget-campaing-thumb">
								<h4 class="campaing-title"><a href="'.esc_url(get_permalink()).'">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</a></h4>
								<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
								<!-- Donation Progress Start-->
								<div class="d-relf-donation-progress">
									<!-- Bar Progress Start-->
									<div class="barWrapper theme-color-progressbar">
										<div class="progress ">
											<div class="progress-bar" role="progressbar" aria-valuenow="'.esc_attr($the_deck->rating_per).'" aria-valuemin="10" aria-valuemax="100" style="">
												<span  class="popOver" data-toggle="tooltip" data-placement="top" title="'.esc_attr($the_deck->rating_per).'%"> </span>  
											</div>
										</div>
									</div>
									<div class="goal-amount">
										<span> '.esc_attr__('Goal','music-night').'</span>
										<h6> '.esc_attr($the_deck->item_fund_goal).'</h6>
									</div>
									<!-- Bar Progress End-->
									<div class="raised-amount goal-amount">
										<span>'.esc_attr__('Raised','music-night').'</span>
										<h6>'.esc_attr($the_deck->p_current_sale).'</h6>
									</div>
								</div>
								<!-- Campaing Progress Detail Start-->
								<div class="d-relf-campaing-detail">
									<span>
										<b>'.esc_attr($the_deck->rating_per).'%</b>
										<small>'.esc_attr__('Funded','music-night').'</small>
									</span>
									<span>
										<b> '.esc_attr($the_deck->item_fund_goal).'</b>
										<small>'.esc_attr__('Pledged','music-night').'</small>
									</span>';
									if(!empty($musicnight_post_option['backers'])){
										$ret.='
										<span>
											<b>'.esc_attr($musicnight_post_option['backers']).'</b>
											<small>'.esc_attr__('Backers','music-night').'</small>
										</span>';
									}
									$ret.='
									<span>
										<b>'.esc_attr($diff->days).'</b>
										<small>'.esc_attr__('Days to go','music-night').'</small>
									</span>
								</div>
								<a href="'.esc_url(get_permalink()).'" class="btn-default theme-bg-color theme-bdr-color">'.esc_attr__('Donate Now','music-night').'</a>
							</div>
							<!-- Campaing Thumb Contant End-->
						</div>';
				}
				
				// $ret .= do_action('id_widget_after', $project_id, $the_deck);
				$current_size++;
			}
			
			$ret .= '</div>';
			
			if( $settings['pagination'] == 'enable' ){
				$ret .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
			}
			$ret .= '</div>'; // deck-item-wrapper
			
			
			return $ret;
		}
	}

	//campaign SLider
	if( !function_exists('musicnight_get_ignition_slider_item') ){
		function musicnight_get_ignition_slider_item( $settings ){
			
			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
		
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-blog-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). 'px" ': '';
			
			// query posts section
			$args = array('post_type' => 'ignition_product', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
			
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'category', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'post_tag', 'field'=>'slug'));
				}				
			}		
			
			$query = new WP_Query( $args );

			// create the campaign filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? '25': $settings['num-excerpt'];
			$settings['thumbnail-size'] = empty($settings['thumbnail-size'])? 'full': $settings['thumbnail-size'];
			$settings['column-size'] = empty($settings['column-size'])? '3': $settings['column-size'];
			$settings['num-excerpt-title'] = empty($settings['num-excerpt-title'])? '16': $settings['num-excerpt-title'];
			
			
			$current_size = 0;
			$current_size1 = 0;
			$social_icon = '';
			$alb_counter = '';
			$size = $settings['column-size'];
			$campaign = '';
					
			$campaign .= '
			<div class="d-relf-banner custom-dots">
				<!--Banner Slide Wrap Start-->
				<ul class="slider-for2">';
					while($query->have_posts()){ $query->the_post();
						global $musicnight_post_option,$post,$musicnight_post_settings;
						
						
						
						$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
						if( !empty($musicnight_post_option) ){
							$musicnight_post_option = json_decode( $musicnight_post_option, true );					
						}
						$musicnight_thumbnail_id = get_post_thumbnail_id( $post->ID, 'ign_project_id', true );
						$musicnight_thumbnail = wp_get_attachment_image_src( $musicnight_thumbnail_id , $settings['kode-deck-thumbnail-size'] );
						$musicnight_ign_project_id = get_post_meta($post->ID, 'ign_project_id', true);
						$project_id = $musicnight_ign_project_id;
						$deck = new Deck($project_id);
						
						$the_deck = $deck->the_deck();
						$post_id = $deck->post_id;
						$item_fund_end = new DateTime($the_deck->item_fund_end);
						$current_date = new DateTime(date('m/d/Y'));
						$diff = $current_date->diff($item_fund_end);
						$custom = '';
						$custom = apply_filters('idcf_custom_deck', $custom, $post_id);
						$attrs = apply_filters('idcf_deck_attrs', (isset($attrs) ? $attrs : null), $post_id);
						$widget_before = '';
						$widget_after = '';

						$mini_widget_before = '';
						$mini_widget_after = '';
			
						$campaign .= '				
								<li>
									<!--Banner Thumb START-->
									<a href="'.esc_url(get_permalink($post->ID)).'" target="_blank">
										'.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
										<div class="kode-caption-wrapper position-left">
											<div class="kode-caption-inner container">
												<div class="kode-caption">
													<div class="kode-caption-title">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</div>
													<div class="kode-caption-text">'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</div>
													<div class="kode_btn_store_1 btn-default small-btn theme-bg-color theme-bdr-color">'.esc_attr__('Donate Now','music-night').'</div>
												</div>
											</div>
										</div>
									</a>
								</li>';
					$current_size++;
					}
					$campaign .= '	
				</ul>
				<div class="container">
					<ul class="slider-nav2 banner-nav">';
						while($query->have_posts()){ $query->the_post();
							global $musicnight_post_option,$post,$musicnight_post_settings;
							
							
							
							$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
							if( !empty($musicnight_post_option) ){
								$musicnight_post_option = json_decode( $musicnight_post_option, true );					
							}
							$musicnight_thumbnail_id = get_post_thumbnail_id( $post->ID, 'ign_project_id', true );
							$musicnight_thumbnail = wp_get_attachment_image_src( $musicnight_thumbnail_id , $settings['kode-deck-thumbnail-size'] );
							$musicnight_ign_project_id = get_post_meta($post->ID, 'ign_project_id', true);
							$project_id = $musicnight_ign_project_id;
							$deck = new Deck($project_id);
							
							$the_deck = $deck->the_deck();
							$post_id = $deck->post_id;
							$item_fund_end = new DateTime($the_deck->item_fund_end);
							$current_date = new DateTime(date('m/d/Y'));
							$diff = $current_date->diff($item_fund_end);
							$custom = '';
							$custom = apply_filters('idcf_custom_deck', $custom, $post_id);
							$attrs = apply_filters('idcf_deck_attrs', (isset($attrs) ? $attrs : null), $post_id);
							$widget_before = '';
							$widget_after = '';

							$mini_widget_before = '';
							$mini_widget_after = '';
							
							$campaign .= '	
								<li>
									<!--Banner Thumb  Start-->
									<div class="banner-thumb">
										<div class="text">
											<h6>'.esc_attr(get_the_title()).'</h6>
											<i class="fa fa-angle-right"></i>
										</div>
										<figure>
											'.get_the_post_thumbnail( $post->ID, array(570,300)).'
										</figure>
									</div>
									<!--Banner Thumb  End-->
								</li>';
						$current_size1++;
						}
						$campaign .= '	
						
					</ul>
				</div>
			</div>';
			
			wp_reset_postdata();
			return $campaign;
		}
	}
	
	//campaign SLider
	if( !function_exists('musicnight_get_deck_latest_campaign_item') ){
		function musicnight_get_deck_latest_campaign_item( $settings ){
			
			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
		
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-blog-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). 'px" ': '';
			
			// query posts section
			$args = array('post_type' => 'ignition_product', 'suppress_filters' => false);
			$args['p'] = $settings['campaign_id'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			
			$query = new WP_Query( $args );

			// create the campaign filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? '25': $settings['num-excerpt'];
			$settings['thumbnail-size'] = empty($settings['thumbnail-size'])? 'full': $settings['thumbnail-size'];
			$settings['column-size'] = empty($settings['column-size'])? '3': $settings['column-size'];
			$settings['num-excerpt-title'] = empty($settings['num-excerpt-title'])? '16': $settings['num-excerpt-title'];
			
			
			$current_size = 0;
			$current_size1 = 0;
			$social_icon = '';
			$alb_counter = '';
			$size = $settings['column-size'];
			$campaign = '';
			
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				
				
				
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				$musicnight_post_option['backers'] = empty($musicnight_post_option['backers']) ? '' : $musicnight_post_option['backers'];
				$musicnight_thumbnail_id = get_post_thumbnail_id( $post->ID, 'ign_project_id', true );
				$musicnight_thumbnail = wp_get_attachment_image_src( $musicnight_thumbnail_id , $settings['kode-deck-thumbnail-size'] );
				$musicnight_ign_project_id = get_post_meta($post->ID, 'ign_project_id', true);
				$project_id = $musicnight_ign_project_id;
				$deck = new Deck($project_id);
				
				$the_deck = $deck->the_deck();
				$post_id = $deck->post_id;
				$item_fund_end = new DateTime($the_deck->item_fund_end);
				$current_date = new DateTime(date('m/d/Y'));
				$diff = $current_date->diff($item_fund_end);
				$custom = '';
				$custom = apply_filters('idcf_custom_deck', $custom, $post_id);
				$attrs = apply_filters('idcf_deck_attrs', (isset($attrs) ? $attrs : null), $post_id);
				$widget_before = '';
				$widget_after = '';

				$mini_widget_before = '';
				$mini_widget_after = '';
				
				$campaign .= '	
					<div class="d-relf-campaing-thumb">
						<!-- Campaing Thumb Slider Start-->
						<div class="campaing-slider custom-slider-navigation">';
						if($musicnight_post_option['post_media_type'] == 'slider'){
							if(isset($musicnight_post_option['slider']) && $musicnight_post_option['slider'] <> '') { 
								
								$slider_option = json_decode($musicnight_post_option['slider'], true);
								$slide_order = $slider_option[0];
								$slide_data = $slider_option[1];					
								
								$slides = array();
								if(!empty($slide_order)){
									foreach( $slide_order as $slide_id ){
										$slides[$slide_id] = $slide_data[$slide_id];
									}
								}
								$musicnight_post_option['slider'] = $slides;
								foreach($musicnight_post_option['slider'] as $slide_id => $slide){
									$image_src = wp_get_attachment_image_src($slide_id, $settings['thumbnail-size']);	
									$campaign .= '
										<div>
											<img src="'.esc_url($image_src[0]).'" alt="campaign">
										</div>';
								}
							}
						}else{
							$campaign .= '
							<div>
								'.get_the_post_thumbnail( $post->ID, $settings['thumbnail-size']).'
							</div>
							';
						}
						$campaign .= '
						</div>
						<!-- Campaing Thumb Slider End-->
						<!-- Campaing Thumb Contant Start-->
						<div class="campaing-thumb-contant">
							<h4 class="campaing-title"><a href="'.esc_url(get_permalink($post->ID)).'">'.substr(esc_attr(get_the_title()),0,$settings['num-excerpt-title']).'</a></h4>
							<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
							<!-- Donation Progress Start-->
							<div class="d-relf-donation-progress">
								<div class="goal-amount">
									<span>'.esc_attr__('Donation Goal','music-night').'</span>
									<h6>'.esc_attr($the_deck->item_fund_goal).'</h6>
								</div>
								<div class="clear"></div>
								<!-- Bar Progress Start-->
								<div class="barWrapper theme-color-progressbar">
									<div class="progress">
										<div class="progress-bar" role="progressbar" aria-valuenow="'.esc_attr($the_deck->rating_per).'" aria-valuemin="10" aria-valuemax="100" style="">
											<span  class="popOver" data-toggle="tooltip" data-placement="top" title="'.esc_attr($the_deck->rating_per).'%"> </span>  
										</div>
									</div>
								</div>
								<div class="clear"></div>
								<!-- Bar Progress End-->
								<div class="raised-amount goal-amount">
									<span>'.esc_attr__('Raised','music-night').'</span>
									<h6>'.esc_attr($the_deck->p_current_sale).'</h6>
								</div>
								<a class="btn-default theme-bg-color theme-bdr-color" href="'.esc_url(get_permalink($post->ID)).'">'.esc_attr__('Donate Now','music-night').'</a>
							</div>
							<!-- Campaing Progress Detail Start-->
							<div class="d-relf-campaing-detail">
								<span>
									<b>'.esc_attr($the_deck->rating_per).'%</b>
									<small>'.esc_attr__('Funded','music-night').'</small>
								</span>
								<span>
									<b>'.esc_attr($the_deck->item_fund_goal).'</b>
									<small>'.esc_attr__('Pledged','music-night').'</small>
								</span>';
								if(!empty($musicnight_post_option['backers'])){
									$ret.='
									<span>
										<b>'.esc_attr($musicnight_post_option['backers']).'</b>
										<small>'.esc_attr__('Backers','music-night').'</small>
									</span>
									';
								}
								$ret.='
								<span>
									<b>'.esc_attr($diff->days).'</b>
									<small>'.esc_attr__('Days to go','music-night').'</small>
								</span>
							</div>
						</div>
					</div>';
			$current_size++;
			}

			wp_reset_postdata();
			return $campaign;
		}
	}
	
	// add work in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_deck_item');
	if( !function_exists('musicnight_register_deck_item') ){
		function musicnight_register_deck_item( $page_builder = array() ){
			global $musicnight_spaces;
			
			$page_builder['content-item']['options']['ignitiondeck'] = array(
				'title'=> esc_html__('Ignition Item', 'music-night'), 
				'icon'=>'fa-cube',
				'type'=>'item',
				'options'=>  array(
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),									
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('post_tag'),
						'description'=> __('Will be ignored when the campaign filter option is enabled.', 'music-night')
					),					
					'campaign-style'=> array(
						'title'=> __('Campaign Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'normal-view' => __('Normal View', 'music-night'),
							'simple-view' => __('Simple View', 'music-night'),
							'grid-view' => __('Grid View', 'music-night'),
							'full-view' => __('Full View', 'music-night'),
						),
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'theevent-post-thumbnail-size'								
					),
					'column-size'=> array(
						'title'=> __('Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => __('1 Column', 'music-night'), 
							'2' => __('2 Column', 'music-night'), 
							'3' => __('3 Column', 'music-night'), 
							'4' => __('4 Column', 'music-night'), 
						),
						'wrapper-class'=>'campaign-style-wrapper normal-view-wrapper grid-view-wrapper'
					),
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of campaign you want to pull out.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',
						'wrapper-class'=>''
					),
					'num-excerpt-title'=> array(
						'title'=> __('Num of Title Character' ,'music-night'),
						'type'=> 'text',	
						'default'=> '12',
						'description'=> __('Specify the number of character you want to pull out.', 'music-night')
					),	
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'pagination'=> array(
						'title'=> __('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					)										
				)
			);
			$page_builder['content-item']['options']['ignition-slider'] = array(
				'title'=> __('Ignition Slider', 'music-night'), 
				'icon'=>'fa fa-toggle-right',
				'type'=>'item',
				'options'=>array(					
					'element-item-id' => array(
						'title' => __('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => __('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item class.', 'music-night')
					),			
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('post_tag'),
						'description'=> __('Will be ignored when the campaign filter option is enabled.', 'music-night')
					),					
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'theevent-post-thumbnail-size'								
					),
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of campaign you want to pull out.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',
						'wrapper-class'=>''
					),
					'num-excerpt-title'=> array(
						'title'=> __('Num of Title Character' ,'music-night'),
						'type'=> 'text',	
						'default'=> '12',
						'description'=> __('Specify the number of character you want to pull out.', 'music-night')
					),	
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			$page_builder['content-item']['options']['deck-latest-campaign'] = array(
				'title'=> __('Deck Campaign', 'music-night'), 
				'icon'=>'fa fa-toggle-right',
				'type'=>'item',
				'options'=>array(					
					'element-item-id' => array(
						'title' => __('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => __('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item class.', 'music-night')
					),			
					'campaign_id'=> array(
						'title'=> __('Select Campaign' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_post_list_id('ignition_product'),
						'description'=> __('Select campaign you want to set', 'music-night')
					),	
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'theevent-post-thumbnail-size'								
					),
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',
						'wrapper-class'=>''
					),
					'num-excerpt-title'=> array(
						'title'=> __('Num of Title Character' ,'music-night'),
						'type'=> 'text',	
						'default'=> '12',
						'description'=> __('Specify the number of character you want to pull out.', 'music-night')
					),	
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			return $page_builder;
			
			
		}
	}