<?php
	/*	
	*	Kodeforest Post Option file
	*	---------------------------------------------------------------------
	*	This file creates all post options to the post page
	*	---------------------------------------------------------------------
	*/
	
	// Generate Options in theme Option Panel
	// add_filter('musicnight_themeoption_panel', 'musicnight_register_post_themeoption');
	if( !function_exists('musicnight_register_post_themeoption') ){
		function musicnight_register_post_themeoption( $array ){		
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			//if empty
			if( empty($array['general']['options']) ){
				return $array;
			}
			//Blog options
			$post_themeoption = array(
				'title' => esc_html__('Blog Settings', 'music-night'),
				'options' => array(
					'post-thumbnail-size' => array(
						'title' => esc_html__('Single Post Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'musicforest-post-thumbnail-size'
					),
					'post-sidebar-template' => array(
						'title' => esc_html__('Single Default Sidebar', 'music-night'),
						'type' => 'radioimage',
						'options' => array(
							'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
							'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
							'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
							'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
						),
					),
					'post-sidebar-left' => array(
						'title' => esc_html__('Single Default Sidebar Left', 'music-night'),
						'type' => 'combobox_sidebar',
						'wrapper-class' => 'left-sidebar-wrapper both-sidebar-wrapper post-sidebar-template-wrapper',
						'options' => $musicnight_theme_option['sidebar-element'],		
					),
					'post-sidebar-right' => array(
						'title' => esc_html__('Single Default Sidebar Right', 'music-night'),
						'type' => 'combobox_sidebar',
						'wrapper-class' => 'right-sidebar-wrapper both-sidebar-wrapper post-sidebar-template-wrapper',
						'options' => $musicnight_theme_option['sidebar-element'],
					),	
					'single-post-author' => array(
						'title' => esc_html__('Single Post Author', 'music-night'),
						'type' => 'checkbox',							
					),	
				)
			);
			
			
			$array['general']['options']['blog-style'] = $post_themeoption;
			return $array;
		}
	}		

	// add a post option to post page
	if( is_admin() ){
		add_action('init', 'musicnight_create_post_options');
	}
	if( !function_exists('musicnight_create_post_options') ){
	
		function musicnight_create_post_options(){
			global $musicnight_theme_option;
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => esc_html__('Post Sidebar Layout', 'music-night'),
						'options' => array(
							'sidebar' => array(
								'title' => esc_html__('Sidebar Template' , 'music-night'),
								'type' => 'radioimage',
								'options' => array(
									//'default-sidebar'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/default-sidebar-2.png',
									'no-sidebar'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
									'both-sidebar'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
									'right-sidebar'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
									'left-sidebar'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
								),
								'default' => 'default-sidebar'
							),	
							'left-sidebar' => array(
								'title' => esc_html__('Left Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
							),
							'right-sidebar' => array(
								'title' => esc_html__('Right Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
							),
							'header-background' => array(
								'title' => esc_html__('Sub Header Background Image' , 'music-night'),
								'button' => esc_html__('Upload', 'music-night'),
								'type' => 'upload',
								'description'=> esc_html__('Please Upload the Sub Header Background Image from here.', 'music-night')
							),							
						)
					),
					
					'page-option' => array(
						'title' => esc_html__('Post Option', 'music-night'),
						'options' => array(
							'page-title' => array(
								'title' => esc_html__('Post Title' , 'music-night'),
								'type' => 'text',
								'description' => esc_html__('Post title', 'music-night')
							),
							'page-caption' => array(
								'title' => esc_html__('Post Caption' , 'music-night'),
								'type' => 'textarea'
							),
							'post_media_type' => array(
								'title' => esc_html__('Select Post Media' , 'music-night'),
								'type' => 'combobox',
								'options' => array(
									'audio'=>	esc_html__('Audio URL' , 'music-night'),
									'video'=>	esc_html__('Video URL' , 'music-night'),
									'featured_image'=>	esc_html__('Feature Image' , 'music-night'),
									'slider'=>	esc_html__('Slider' , 'music-night'),
								),
								'description'=> esc_html__('Select post media type.', 'music-night')
							),	
							'musicnight_audio' => array(
								'title' => esc_html__('Audio URL' , 'music-night'),
								'type' => 'text',
								'wrapper-class' => 'audio-wrapper post_media_type-wrapper',
								'description' => esc_html__('Add audio url, it could be uploaded mp3 , wav or add soundcloud track or profile url.', 'music-night')
							),		
							'musicnight_video' => array(
								'title' => esc_html__('Video URL' , 'music-night'),
								'type' => 'text',
								'wrapper-class' => 'video-wrapper post_media_type-wrapper',
								'description' => esc_html__('Add video url, it could be uploaded video track or youtube, vimeo.', 'music-night')
							),	
							'thumbnail-size' => array(
								'title' => esc_html__('Thumbnail Size', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'musicforest-post-thumbnail-size'								
							),
							'slider'=> array(	
								'overlay'=> 'false',
								'caption'=> 'false',
								'type'=> 'slider',
								'wrapper-class' => 'slider-wrapper post_media_type-wrapper',
							),
						),
					),
					

				),
				// page option attribute
				array(
					'post_type' => array('post'),
					'meta_title' => esc_html__('Kodeforest Post Option', 'music-night'),
					'meta_slug' => 'kodeforest-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);	
		}
	}
	
	add_action('pre_post_update', 'musicnight_save_post_meta_option');
	if( !function_exists('musicnight_save_post_meta_option') ){
		function musicnight_save_post_meta_option( $post_id ){
			if( get_post_type() == 'post' && isset($_POST['post-option']) ){
				$post_option = musicnight_stopbackslashes(musicnight_stripslashes($_POST['post-option']));
				$post_option = json_decode(musicnight_decode_stopbackslashes($post_option), true);
				
				if(!empty($post_option['rating'])){
					update_post_meta($post_id, 'kode-post-rating', floatval($post_option['rating']) * 100);
				}else{
					delete_post_meta($post_id, 'kode-post-rating');
				}
			}
		}
	}
	
?>