<?php
	/*	
	*	Kodeforest Woo Option file
	*	---------------------------------------------------------------------
	*	This file creates all post options to the post page
	*	---------------------------------------------------------------------
	*/
	
	//Woo Listing
	if( !function_exists('musicnight_get_woo_item_slider') ){
		function musicnight_get_woo_item_slider( $settings ){
			
			// query posts section
			$args = array('post_type' => 'product', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
			
			
			
			$settings['woo-column-size'] = (empty($settings['woo-column-size']))? '3': $settings['woo-column-size'];
			$settings['num-desc-fetch'] = (empty($settings['num-desc-fetch']))? 105: $settings['num-desc-fetch'];
			//$settings['woo-style'];
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'product_cat', 'field'=>'slug'));
				}
				// if( !empty($settings['tag'])){
					// array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'product_tag', 'field'=>'slug'));
				// }
			}			
			$query = new WP_Query( $args );

			// create the woo filter
			
			$settings['num-title-fetch'] = empty($settings['num-title-fetch'])? '25': $settings['num-title-fetch'];
			$settings['title'] = empty($settings['title'])? '': $settings['title'];
			
			$size = 4;
			$musicnight_woo_new  = '<div class="kode-best-slider col-md-12">';
			//$musicnight_woo_new .= '<h2>'.esc_attr($settings['title']).'</h2>';
            $musicnight_woo_new .= '<ul class="bxslider" data-min="2" data-max="2" data-mode="vertical" data-margin="10" >';
                        	
			$current_size = 0;
			while($query->have_posts()){
				$query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings,$product;	
				$musicnight_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);
				$prices_precision = wc_get_price_decimals();
				$price = wc_format_decimal( $product->get_price(), $prices_precision );
				$price_regular = wc_format_decimal( $product->get_regular_price(), $prices_precision );
				$price_sale = $product->get_sale_price() ? floatval(wc_format_decimal( $product->get_sale_price(), $prices_precision )) : null;
				if(empty($price_sale)){
					$price_sale = $price_regular;
				}
				$price_sale = strip_tags(wc_price( $price_sale));
				$rating_html = '';
				$currency = get_woocommerce_currency_symbol();
				if(isset($currency) && $currency <> '')
				{
					$currency = get_woocommerce_currency_symbol();
				}else{
					$currency = '$';
				}
				
				// if( $current_size % $size == 0 ){
					// $woo .= '<li class="clear"></li>';
				// }	
				$musicnight_woo_new .= '
				<li>				 
				<div class="product-items">
					<figure>
						'.get_the_post_thumbnail($post->ID, 'thebookstore-post-thumbnail-size').'
						<figcaption>
							<ul class="btns-effects">
								<li>
									<a href="'.esc_url(get_permalink()).'" class="effect-3d">
										<span>Quick view</span>
									</a>
								</li>
								<li>';
								$musicnight_woo_new .= 
								apply_filters( 'woocommerce_loop_add_to_cart_link',
									sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="effect-3d add-to-cart %s product_type_%s"><i class="fa fa-shopping-cart"></i> '.esc_html__('Add To Cart','music-night').'</a>',
										esc_url( $product->add_to_cart_url() ),
										esc_attr( isset( $quantity ) ? $quantity : 1 ),
										esc_attr( $product->get_id() ),
										esc_attr( $product->get_sku() ),
										esc_attr( isset( $class ) ? $class : 'button' ),
										esc_html( $product->add_to_cart_text() )
									),
									$product ); 
									$musicnight_woo_new .= '
								</li>
							</ul>
						</figcaption>
					</figure>
					<div class="product-content">
						<h4><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['num-title-fetch'])).'</a></h4>
						<span>'.esc_attr($price_sale).'</span>
					</div>
				</div>
				</li>';
			
				$current_size++;
			}

			$musicnight_woo_new .= '</ul></div>';
			wp_reset_postdata();
			return $musicnight_woo_new;
		}
	}
	
	
	
	//Woo Listing
	if( !function_exists('musicnight_get_woo_item_tab_slider') ){
		function musicnight_get_woo_item_tab_slider( $settings ){
			
			// query posts section
			$args = array('post_type' => 'product', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '6': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];			
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
						
			$settings['woo-column-size'] = (empty($settings['woo-column-size']))? '3': $settings['woo-column-size'];			
			// $settings['num-fetch'] = (empty($settings['num-fetch']))? '6': $settings['num-fetch'];
			$settings['num-desc-fetch'] = (empty($settings['num-desc-fetch']))? 250: $settings['num-desc-fetch'];
			$settings['num-title-fetch'] = empty($settings['num-title-fetch'])? '15': $settings['num-title-fetch'];
			//$settings['woo-style'];
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'product_cat', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'product_tag', 'field'=>'slug'));
				}
			}			
			$query = new WP_Query( $args );
			
			
			$size = 4;
			
			
			$current_size = 0;
			$item_class_new = '';
			$musicnight_woo = '<div class="lib-papular-books">';
			$musicnight_woo .= '<ul class="nav nav-tabs" role="tablist">';
			while($query->have_posts()){ 
				$query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings,$product;	
				$musicnight_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);
				$prices_precision = wc_get_price_decimals();
				$price = wc_format_decimal( $product->get_price(), $prices_precision );
				$price_regular = wc_format_decimal( $product->get_regular_price(), $prices_precision );
				$price_sale = $product->get_sale_price() ? floatval(wc_format_decimal( $product->get_sale_price(), $prices_precision )) : null;
				if(empty($price_sale)){
					$price_sale = $price_regular;
				}
				
				
				// if( $current_size % $size == 0 ){
					// $woo .= '<li class="clear"></li>';
				// }	
				if($current_size == 0){$item_class_new	=	'active';}else{$item_class_new='';}
				$musicnight_woo .= '
				<li role="presentation" class="col-md-4 col-sm-3 '.esc_attr($item_class_new).'">
					<a href="#shop-'.esc_attr($post->ID).'" role="tab" data-toggle="tab">
						<div class="lib-papular-thumb">
							'.get_the_post_thumbnail($post->ID, 'thebookstore-small-serv-size').'
						</div>
					</a>
				</li>';
			
				$current_size++;
			}

			$musicnight_woo .= '</ul>
			<div class="tab-content">';
			$current_size = 0;		
			$item_class	= '';
			while($query->have_posts()){ 
				$query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings,$product;	
				$musicnight_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);
				$prices_precision = wc_get_price_decimals();
				$price = wc_format_decimal( $product->get_price(), $prices_precision );
				$price_regular = wc_format_decimal( $product->get_regular_price(), $prices_precision );
				$price_sale = $product->get_sale_price() ? floatval(wc_format_decimal( $product->get_sale_price(), $prices_precision )) : null;
				$musicnight_option['publisher'] = empty($musicnight_option['publisher']) ? '': $musicnight_option['publisher'];
				if(empty($price_sale)){
					$price_sale = $price_regular;
				}
				
				$currency = get_woocommerce_currency_symbol();
				if(isset($currency) && $currency <> '')
				{
					$currency = get_woocommerce_currency_symbol();
				}else{
					$currency = '$';
				}
				$price_sale = strip_tags(wc_price( $price_sale));
				// if( $current_size % $size == 0 ){
					// $woo .= '<li class="clear"></li>';
				// }	
				if($current_size == 0){$item_class	=	'active in';}else{$item_class='';}
				$musicnight_woo .= '<div role="tabpanel" class="tab-pane fade '.esc_attr($item_class).'" id="shop-'.esc_attr($post->ID).'">
					<div class="lib-papular">
						<div class="kode-thumb">
							'.get_the_post_thumbnail($post->ID, 'thebookstore-post-thumbnail-size').'
						</div>
						<div class="kode-text">
							<h2>'.esc_attr(substr(get_the_title(),0,$settings['num-title-fetch'])).'</h2>
							<h4>'.esc_attr($musicnight_option['publisher']).'</h4>
							<div class="rating">
								'.$rating_html.'
							</div>
							<p>'.substr(get_the_content(),0,$settings['num-desc-fetch']).'</p>
							<div class="lib-price">
								<h3>'.esc_attr($price_sale).'</h3>
								<a href="'.esc_url(get_permalink()).'">'.esc_attr__('See More','music-night').'</a>
							</div>
						</div>
					</div>
				</div>';
				$current_size++;
			}
			
			$musicnight_woo .= '</div>';
			$musicnight_woo .= '</div>';
			wp_reset_postdata();
			return $musicnight_woo;
		}
	}
	
	

	if( !function_exists('musicnight_get_woo_item') ){
		function musicnight_get_woo_item($settings = array()){
			global $musicnight_counter;
			$args = array('post_type' => 'product', 'suppress_filters' => false);
			if($settings['woo-layout'] == 'simple-layout'){
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			}else{
				$args['posts_per_page'] = -1;
			}
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
			
			$settings['woo-column-size'] = (empty($settings['woo-column-size']))? '3': $settings['woo-column-size'];
			//$settings['woo-style'];
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'product_cat', 'field'=>'slug'));
				}
				// if( !empty($settings['tag'])){
					// array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'product_tag', 'field'=>'slug'));
				// }
			}			
			$query = new WP_Query( $args );
			$musicnight_woo = '<div class="col-md-12">';
			$size = 3;
			if($settings['woo-filterable'] == 'enable'){
				$musicnight_woo  .= '<div class="portfolio-section '.esc_attr($settings['woo-padding']).'">';
				$size = $settings['woo-column-size'];
				$musicnight_woo .= "<script type='text/JavaScript'>
				jQuery(document).ready(function($){
				if(jQuery('#portfolio-item-holder-".esc_attr($musicnight_counter)."').length){
					jQuery(window).load(function() {
						var filter_container = jQuery('#portfolio-item-holder-".esc_attr($musicnight_counter)."');

						filter_container.children().css('position','absolute');	
						filter_container.masonry({
							singleMode: true,
							itemSelector: '.portfolio-list:not(.hide)',
							animate: true,
							animationOptions:{ duration: 800, queue: false }
						});	
						jQuery(window).resize(function(){
							var temp_width =  filter_container.children().filter(':first').width() + 30;
							filter_container.masonry({
								columnWidth: temp_width,
								singleMode: true,
								itemSelector: '.portfolio-list:not(.hide)',
								animate: true,
								animationOptions:{ duration: 800, queue: false }
							});		
						});	
						jQuery('ul#portfolio-item-filter-".esc_attr($musicnight_counter)." a').click(function(e){	

							jQuery(this).addClass('active');
							jQuery(this).parents('li').siblings().children('a').removeClass('active');
							e.preventDefault();
							
							var select_filter = jQuery(this).attr('data-value');
							
							if( select_filter == 'All' || jQuery(this).parent().index() == 0 ){		
								filter_container.children().each(function(){
									if( jQuery(this).hasClass('hide') ){
										jQuery(this).removeClass('hide');
										jQuery(this).fadeIn();
									}
								});
							}else{
								filter_container.children().not('.' + select_filter).each(function(){
									if( !jQuery(this).hasClass('hide') ){
										jQuery(this).addClass('hide');
										jQuery(this).fadeOut();
									}
								});
								filter_container.children('.' + select_filter).each(function(){
									if( jQuery(this).hasClass('hide') ){
										jQuery(this).removeClass('hide');
										jQuery(this).fadeIn();
									}
								});
							}
							
							filter_container.masonry();	
							
						});
					});
				}
				});
				</script>";
				$parent = array('all'=>esc_attr__('All', 'music-night'));
				if( empty($settings['category']) ){
					$parent = array('all'=>esc_attr__('All', 'music-night'));
					$settings['category-id'] = '';
				}else{
					$term = get_term_by('slug', $settings['category'], 'work_category');
					//$parent = array($settings['category']=>$term->name);
					if(isset($term->term_id)){
						$settings['category-id'] = $term->term_id;
					}else{
						$settings['category-id'] = '';
					}
					
				}
				$musicnight_category = $parent + explode(',', $settings['category']);
				
				$filters = $parent + musicnight_get_term_list_detail('product_cat', $settings['category-id'],1);
				$filter_active = 'active';
				$parent_html = '';
				if($settings['woo-style'] <> 'style-1'){
					$parent_html = '<div class="kode_portfolio_tab">';
				}
				$musicnight_woo .= $parent_html.'<ul class="kode_tab_lnk filter-item" id="portfolio-item-filter-'.esc_attr($musicnight_counter).'">';
				foreach($musicnight_category as $filter_id => $filter){											
					$musicnight_woo .= '<li>';
					$musicnight_woo .= '<a class="kode-button ' . esc_attr($filter_active) . '" href="#" ';
					$musicnight_woo .= 'data-value="' . esc_attr($filter) . '" >' . esc_attr($filter) . '</a></li>';
					$filter_active = '';
					
				}
				if($settings['woo-style'] <> 'style-1'){
					$musicnight_woo .= '</ul></div><div class="clearfix clear"></div><ul id="portfolio-item-holder-'.esc_attr($musicnight_counter).'" class="filterable_container">';
				}else{
					$musicnight_woo .= '</ul><div class="clearfix clear"></div><ul id="portfolio-item-holder-'.esc_attr($musicnight_counter).'" class=" filterable_container">';	
				}
			}else{
				$size = $settings['woo-column-size'];
				if($settings['woo-layout'] == 'simple-layout'){
					$musicnight_woo  .= '<ul class="portfolio-section row '.esc_attr($settings['woo-padding']).'">';
				}else{
					$padding_sec = '';
					if(isset($settings['woo-padding']) && $settings['woo-padding'] == 'with-padding'){
						$padding_sec = '10';	
					}else{
						$padding_sec = '0';
					}
					$musicnight_woo  .= '<ul class="bxslider kode-woo-com" data-move="'.esc_attr($settings['woo-move']).'" data-min="2" data-width="'.esc_attr($settings['woo-width']).'" data-max="'.esc_attr($settings['woo-column-size']).'" data-margin="'.esc_attr($padding_sec).'" data-mode="'.esc_attr($settings['woo-mode']).'" >';
				}
			}
			
			$current_size = 0;
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings,$product,$musicnight_theme_option;
				// if( $current_size % $size == 0 ){
					// $musicnight_woo .= '<li class="clear"></li>';
				// }
				
				// print_r($product);
				$musicnight_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);
				$prices_precision = wc_get_price_decimals();
				$price = wc_format_decimal( $product->get_price(), $prices_precision );
				$price_regular = wc_format_decimal( $product->get_regular_price(), $prices_precision );
				$price_sale = $product->get_sale_price() ? floatval(wc_format_decimal( $product->get_sale_price(), $prices_precision )) : null;
				if(empty($price_sale)){
					$price_sale = $price_regular;
				}
				
				$currency = get_woocommerce_currency_symbol();
				if(isset($currency) && $currency <> '')
				{
					$currency = get_woocommerce_currency_symbol();
				}else{
					$currency = '$';
				}
				
				$price_sale = strip_tags(wc_price( $price_sale));
				$rating_html = '';
				
				$musicnight_theme_option['woo-list-cart-btn'];
				$musicnight_theme_option['woo-list-price'];
				$musicnight_theme_option['woo-list-rating'];
				$musicnight_theme_option['woo-list-title'];
				
				$image_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full');
				if($settings['woo-filterable'] == 'enable'){
					$categories = wp_get_post_terms( $post->ID, 'product_cat' );
					$musicnight_woo .= '<li class="home_gallery filterable-item portfolio-list all k_column_'.esc_attr($size).' ';
					if($categories <> ''){
						foreach ( $categories as $category ) {
							$musicnight_woo .= esc_attr($category->slug)." ";
						}
					}
					$musicnight_woo .= '">';
				}else{
					
					if($settings['woo-layout'] == 'simple-layout'){
						if( $current_size % $size == 0 ){
							$musicnight_woo .= '<li class="clear"></li>';
						}
						$musicnight_woo .= '<li class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$musicnight_woo .= '<li style="margin-right:'.esc_attr($padding_sec).'px" class="kode-'.esc_attr($settings['woo-mode']).'">';
					}	
				}
				if($settings['woo-style'] == 'woo-style-1'){
					$musicnight_woo .= '
						<div class="product-items">
							<figure>
								'.get_the_post_thumbnail($post->ID, 'thebookstore-post-thumbnail-size').'
								<figcaption>
									<ul class="btns-effects">
										<li>
											<a href="'.esc_url(get_permalink()).'" class="effect-3d">
												<span>Quick view</span>
											</a>
										</li>
										<li>';
										$musicnight_woo .= 
										apply_filters( 'woocommerce_loop_add_to_cart_link',
											sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="effect-3d add-to-cart %s product_type_%s"><i class="fa fa-shopping-cart"></i> '.esc_html__('Add To Cart','music-night').'</a>',
												esc_url( $product->add_to_cart_url() ),
												esc_attr( isset( $quantity ) ? $quantity : 1 ),
												esc_attr( $product->get_id() ),
												esc_attr( $product->get_sku() ),
												esc_attr( isset( $class ) ? $class : 'button' ),
												esc_html( $product->add_to_cart_text() )
											),
											$product ); 
											$musicnight_woo .= '
										</li>
									</ul>
								</figcaption>
							</figure>
							<div class="product-content">
								<h4><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['num-title-fetch'])).'</a></h4>
								<span>'.esc_attr($price_sale).'</span>
							</div>
						</div>';
				}else if($settings['woo-style'] == 'woo-style-2'){
					$musicnight_woo .= '
						<div class="books-listing-4">
							<div class="kode-thumb">
								<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
							</div>
							<div class="kode-text">
								<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['title-num-fetch'])).'</a></h5>
								<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
							</div>
							<div class="book-price">
								<p>'.esc_attr($price_sale).'</p>
								<div class="rating">
									<span>☆</span><span>☆</span><span>☆</span><span>☆</span><span>☆</span>
								</div>
							</div>';							
							$musicnight_woo .= 
							apply_filters( 'woocommerce_loop_add_to_cart_link',
							sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="add-to-cart %s product_type_%s">'.esc_html__('Add To Cart','music-night').'</a>',
								esc_url( $product->add_to_cart_url() ),
								esc_attr( isset( $quantity ) ? $quantity : 1 ),
								esc_attr( $product->get_id() ),
								esc_attr( $product->get_sku() ),
								esc_attr( isset( $class ) ? $class : 'button' ),
								esc_html( $product->add_to_cart_text() )
							),
							$product ); 
							$musicnight_woo .= '
						</div>';
				}else if($settings['woo-style'] == 'woo-style-3'){
					$musicnight_woo .= '					
						<div class="featured-artist">
							<article>
								<figure>
									<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
									<figcaption>
										<a href="'.esc_url(get_permalink()).'"></a>
										<div class="social-network">
											<a href="#" class="facebook"><i class="fa fa-facebook fa-2x"></i></a>
											<a href="#" class="twitter"><i class="fa fa-twitter fa-2x"></i></a>
											<a href="#" class="vimeo"><i class="fa fa-youtube fa-2x"></i></a>
											<a href="#" class="pin"><i class="fa fa-pinterest fa-2x"></i></a>
										</div>
									</figcaption>
								</figure>
								<div class="user-text">';
									$musicnight_woo .= 
									apply_filters( 'woocommerce_loop_add_to_cart_link',
										sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="user-icon webkit cart button %s product_type_%s"><i class="fa fa-shopping-cart"></i></a>',
											esc_url( $product->add_to_cart_url() ),
											esc_attr( isset( $quantity ) ? $quantity : 1 ),
											esc_attr( $product->get_id() ),
											esc_attr( $product->get_sku() ),
											esc_attr( isset( $class ) ? $class : 'button' ),
											esc_html( $product->add_to_cart_text() )
										),
										$product ); 
									$musicnight_woo .= '
									<div class="sec">
										<h5><a href="'.esc_url(get_permalink()).'">DJ Charlie White</a></h5>
										<p>Deep House</p>
									</div>
								</div>
							</article>
						</div>';
				}else{
					$musicnight_woo .= '
						
						<div class="latest-album">
							<article>
								<figure><a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a></figure>
								<div class="text webkit">
									<div class="left-sec">
										<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,$settings['title-num-fetch'])).'</a></h6>
										<p>Nonumy eirmod</p>
									</div>
									<a class="icon-plus webkit" href="'.esc_url(get_permalink()).'"><i class="fa fa-plus fa-2x"></i></a>
								</div>
							</article>
						</div>';
				}
				
				
				$musicnight_woo .= '</li>';
				
				$current_size++;
			} 	
			
			if($settings['woo-filterable'] == 'enable'){
				$musicnight_woo .= '</ul></div>';
			}else{
				$musicnight_woo .= '</ul>';
			}
			if( $settings['pagination'] == 'enable' ){
				$musicnight_woo .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
			}
			$musicnight_woo .= '</div>';
			
			wp_reset_postdata();	
			return $musicnight_woo;
		}
	}	
	
	
	if( !function_exists('musicnight_wish_products') ){
		function musicnight_wish_products($post){
			$musicnight_woo = '';
			$musicnight_woo .= '
			<script>
			jQuery(document).ready(function($){
			"use strict";
				$("a#add-to-wish-'.esc_js($post->ID).'").click(function(e){
					e.preventDefault(); //
					var $star = $(this).find("i");
					var add_to_fav_opptions = {
						target:        "#fav_target-wish-'.esc_js($post->ID).'",   // target element(s) to be updated with server response
						beforeSubmit:  function(){
							$star.addClass("fa-spin");
						},  // pre-submit callback
						success:       function(){
							$star.removeClass("fa-spin");
							$("#add-to-wish-'.esc_js($post->ID).'").hide(0,function(){
								$("#fav_output-wish-'.esc_js($post->ID).'").delay(200).show();
							});
						}
					};
					$("#add-to-wish-form-'.esc_js($post->ID).'").ajaxSubmit( add_to_fav_opptions );
				});
			});	
			</script>';
			$musicnight_woo .= '<!-- Add to wish -->
			<span class="add-to-fav">';
				if( is_user_logged_in() ){
					$user_id = get_current_user_id();
					$k_product_id = $post->ID;
					if ( musicnight_is_added_to_wish_products( $user_id, $k_product_id ) ) {													
						$musicnight_woo .= '<div id="fav_output-wish-'.esc_attr($post->ID).'" class="fav_output show k_hide_fav"><i class="fa fa-eye dim"></i></div>';
					} else {
						$musicnight_woo .= '
						<form class="k_hide_fav" action="'.esc_url(admin_url('admin-ajax.php')).'" method="post" id="add-to-wish-form-'.esc_attr($post->ID).'">
							<input type="hidden" name="user_id" value="'.esc_attr($user_id).'" />
							<input type="hidden" name="k_product_id" value="'.esc_attr($k_product_id).'" />
							<input type="hidden" name="action" value="add_to_wish_products" />
						</form>
						<div id="fav_output-wish-'.esc_attr($post->ID).'" class="k_hide_fav fav_output"><span id="fav_target-wish-'.esc_attr($post->ID).'" class="dim fav_target"><i class="fa fa-eye dim"></i></span></div>
						<a id="add-to-wish-'.esc_attr($post->ID).'" href="'.esc_url(get_permalink()).'"><i class="fa fa-eye"></i></a>';
					}
				}else{
					$musicnight_woo .= '<a href="#login-modal" data-toggle="modal"><i class="fa fa-eye"></i></a>';
				}
			return $musicnight_woo .= '</span>';
		}
	}
	
	if( !function_exists( 'musicnight_remove_wish_products' ) ){
		function musicnight_remove_wish_products($post){
			$user_id = get_current_user_id();
			$html_remove = '<a class="remove-from-wish" data-product-id="'.esc_attr($post->ID).'" data-user-id="'.esc_attr($user_id).'" href="'.esc_url(admin_url('admin-ajax.php')).'" title="'. esc_html__('Remove from Wishlist','music-night').'"><i class="fa fa-trash-o"></i></a>';
			$html_remove .=  '<span class="loader"><i class="fa fa-spinner fa-spin"></i></span><div class="ajax-response"></div>';
			return $html_remove;
		}
	}
	
	/*	Add to favourite */
	add_action('wp_ajax_add_to_wish_products', 'musicnight_add_to_wish_products');
	if( !function_exists( 'musicnight_add_to_wish_products' ) ){
		function musicnight_add_to_wish_products(){
			if( isset($_POST['k_product_id']) && isset($_POST['user_id']) ){
				$k_product_id = intval($_POST['k_product_id']);
				$user_id = intval($_POST['user_id']);
				if( $k_product_id > 0 && $user_id > 0 ){
					//$prev_value = get_user_meta($user_id,'wish_products', $k_product_id );
					if( add_user_meta($user_id,'wish_products', $k_product_id ) ){
						//update_user_meta( $user_id, 'wish_products', $k_product_id, $prev_value );
						echo '<i class="fa fa-eye"><i>';
					}else{
						echo '<i class="fa fa-arrow yellow"><i>';
					}
				}
			}else{
				esc_html_e('Invalid Paramenters!', 'music-night');
			}
			die;
		}
	}

	

	// Remove from favourites
	add_action( 'wp_ajax_remove_from_wish', 'musicnight_remove_from_wish' );
	if( !function_exists( 'musicnight_remove_from_wish' ) ){
		function musicnight_remove_from_wish(){
			if( isset($_POST['product_id']) && isset($_POST['user_id']) ){
				$product_id = intval($_POST['product_id']);
				$user_id = intval($_POST['user_id']);
				if( $product_id > 0 && $user_id > 0 ){
					if( delete_user_meta( $user_id, 'wish_products', $product_id ) ){
						echo 3;
						/* Removed successfully! */
					}else{
						echo 2;
						/* Failed to remove! */
					}
				}else{
					echo 1;
					/* Invalid parameters! */
				}
			}else{
				echo 1;
				/* Invalid parameters! */
			}
			die;
		}
	}
	
	// Remove from favourites
	add_action( 'wp_ajax_remove_from_favorites', 'musicnight_remove_from_favorites' );
	if( !function_exists( 'musicnight_remove_from_favorites' ) ){
		function musicnight_remove_from_favorites(){
			if( isset($_POST['product_id']) && isset($_POST['user_id']) ){
				$product_id = intval($_POST['product_id']);
				$user_id = intval($_POST['user_id']);
				if( $product_id > 0 && $user_id > 0 ){
					if( delete_user_meta( $user_id, 'favorite_products', $product_id ) ){
						echo 3;
						/* Removed successfully! */
					}else{
						echo 2;
						/* Failed to remove! */
					}
				}else{
					echo 1;
					/* Invalid parameters! */
				}
			}else{
				echo 1;
				/* Invalid parameters! */
			}
			die;
		}
	}
	
	//Product Favourite
	if( !function_exists('musicnight_pro_favorite') ){
		function musicnight_pro_favorite($post){
			$musicnight_woo = '';
			$musicnight_woo .= '
			<script>
			jQuery(document).ready(function($){
			"use strict";
				$("a#add-to-favorite-'.esc_js($post->ID).'").click(function(e){
					e.preventDefault(); //
					var $star = $(this).find("i");
					var add_to_fav_opptions = {
						target:        "#fav_target-'.esc_js($post->ID).'",   // target element(s) to be updated with server response
						beforeSubmit:  function(){
							$star.addClass("fa-spin");
						},  // pre-submit callback
						success:       function(){
							$star.removeClass("fa-spin");
							$("#add-to-favorite-'.esc_js($post->ID).'").hide(0,function(){
								$("#fav_output-'.esc_js($post->ID).'").delay(200).show();
							});
						}
					};
					$("#add-to-favorite-form-'.esc_js($post->ID).'").ajaxSubmit( add_to_fav_opptions );
				});
			});	
			</script>';
			$musicnight_woo .= '<!-- Add to favorite -->
			<span class="add-to-fav">';
				if( is_user_logged_in() ){
					$user_id = get_current_user_id();
					$k_product_id = $post->ID;
					if ( musicnight_is_added_to_favorite( $user_id, $k_product_id ) ) {													
						$musicnight_woo .= '<div id="fav_output-'.esc_attr($post->ID).'" class="fav_output show k_hide_fav"><i class="fa fa-heart dim"></i></div>';
					} else {
						$musicnight_woo .= '
						<form class="k_hide_fav" action="'.esc_url(admin_url('admin-ajax.php')).'" method="post" id="add-to-favorite-form-'.esc_attr($post->ID).'">
							<input type="hidden" name="user_id" value="'.esc_attr($user_id).'" />
							<input type="hidden" name="k_product_id" value="'.esc_attr($k_product_id).'" />
							<input type="hidden" name="action" value="add_to_favorite" />
						</form>
						<div id="fav_output-'.esc_attr($post->ID).'" class="k_hide_fav fav_output"><span id="fav_target-'.esc_attr($post->ID).'" class="dim fav_target"><i class="fa fa-star dim"></i></span></div>
						<a id="add-to-favorite-'.esc_attr($post->ID).'" href="'.esc_url(get_permalink()).'"><i class="fa fa-heart"></i></a>';
					}
				}else{
					$musicnight_woo .= '<a href="#login-modal" data-toggle="modal"><i class="fa fa-heart"></i></a>';
				}
			return $musicnight_woo .= '</span>';
		}
	}
	
	//Remove from Favourite
	if( !function_exists( 'musicnight_remove_favorite' ) ){
		function musicnight_remove_favorite($post){
			$user_id = get_current_user_id();
			$html_remove = '<a class="remove-from-favorite" data-product-id="'.$post->ID.'" data-user-id="'.$user_id.'" href="'.admin_url('admin-ajax.php').'" title="'. esc_html__('Remove from favorties','music-night').'"><i class="fa fa-trash-o"></i></a>';
			$html_remove .=  '<span class="loader"><i class="fa fa-spinner fa-spin"></i></span><div class="ajax-response"></div>';
			return $html_remove;
		}
	}
	
	/*	Add to favourite */
	add_action('wp_ajax_add_to_favorite', 'musicnight_add_to_favorite');
	if( !function_exists( 'musicnight_add_to_favorite' ) ){
		function musicnight_add_to_favorite(){
			if( isset($_POST['k_product_id']) && isset($_POST['user_id']) ){
				$k_product_id = intval($_POST['k_product_id']);
				$user_id = intval($_POST['user_id']);
				if( $k_product_id > 0 && $user_id > 0 ){
					if( add_user_meta($user_id,'favorite_products', $k_product_id ) ){
						echo '<i class="fa fa-heart"><i>';
					}else{
						echo '<i class="fa fa-arrow yellow"><i>';
					}
				}
			}else{
				esc_html_e('Invalid Paramenters!', 'music-night');
			}
			die;
		}
	}

	
	
	// Remove from favourites
	add_action( 'wp_ajax_remove_from_favorites', 'musicnight_remove_from_favorites' );
	if( !function_exists( 'musicnight_remove_from_favorites' ) ){
		function musicnight_remove_from_favorites(){
			if( isset($_POST['product_id']) && isset($_POST['user_id']) ){
				$product_id = intval($_POST['product_id']);
				$user_id = intval($_POST['user_id']);
				if( $product_id > 0 && $user_id > 0 ){
					if( delete_user_meta( $user_id, 'favorite_products', $product_id ) ){
						echo 3;
						/* Removed successfully! */
					}else{
						echo 2;
						/* Failed to remove! */
					}
				}else{
					echo 1;
					/* Invalid parameters! */
				}
			}else{
				echo 1;
				/* Invalid parameters! */
			}
			die;
		}
	}
	
	// use for printing product slider
	if( !function_exists('musicnight_get_product_slider_item') ){
		function musicnight_get_product_slider_item( $settings ){
			$item_id = empty($settings['page-item-id'])? '': ' id="' . $settings['page-item-id'] . '" ';

			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' . esc_attr($settings['margin-bottom']) . 'px;': '';
			$margin_style = (!empty($margin))? ' style="' . $margin . '" ': '';
			
			$slide_order = array();
			$slide_data = array();
			
			// query posts section
			$args = array('post_type' => 'product', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['ignore_sticky_posts'] = 1;

			if( is_numeric($settings['category']) ){
				$args['category'] = (empty($settings['category']))? '': $settings['category'];	
			}else{ 
				if( !empty($settings['category']) || !empty($settings['tag']) ){
					$args['tax_query'] = array('relation' => 'OR');
					
					if( !empty($settings['category']) ){
						array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'product_cat', 'field'=>'slug'));
					}
					// if( !empty($settings['tag']) ){
						// array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'product_tag', 'field'=>'slug'));
					// }				
				}	
			}
			$query = new WP_Query( $args );	
			
			// set the excerpt length
			global $musicnight_theme_option, $musicnight_excerpt_length, $musicnight_excerpt_read_more; 
			$musicnight_excerpt_read_more = false;
			$musicnight_excerpt_length = $settings['num-excerpt'];
			$ret = '<div class="owl-banner owl-theme owl-slider">';
			global $post;
			while($query->have_posts()){ $query->the_post();
				$image_id = get_post_thumbnail_id();
				
				if( !empty($image_id) ){
				$ret .= '
					<!--BANNER ITEM START-->
					<div class="item">
						<div class="banner-slide">
							<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, 'product-size').'</a>
							<div class="banner-caption">
								<h3>'.esc_html__('20% Discount on','music-night').'</h3>
								<h2>'.esc_attr(get_the_title()).'</h2>
							</div>
						</div>
					</div>
					<!--BANNER ITEM END-->';
				}
			}	
			$ret .= '</div>';
			wp_reset_postdata();
			return $ret;
		}
	}
	
	
	if( !function_exists('musicnight_track_order_detail') ){
		function musicnight_track_order_detail($settings){
		
			if(class_exists('Woocommerce')){
				if(!isset($_GET['order_number']) && $_GET['order_number'] == ''){
					echo '<div class="order-track-submit">';
						echo '<form method="GET" id="track_order">';
						echo '<h2>'.esc_html__('Track Order','music-night').'</h2>';
							echo '<input type="text" name="order_number" value="" id="order_number" />';							
							echo '<input type="submit" value="'.esc_html__('Submit','music-night').'" class="btn_submit">';
						echo '</form>';
					echo '</div>';
				}else{
					$settings['order-status-pending'] = (empty($settings['order-status-pending']))? esc_html__('Order is Pending!','music-night'): $settings['order-status-pending'];
					$settings['order-status-processing'] = (empty($settings['order-status-processing']))? esc_html__('Order is Processing!','music-night'): $settings['order-status-processing'];
					$settings['order-status-on-hold'] = (empty($settings['order-status-on-hold']))? esc_html__('Order is on-hold!','music-night'): $settings['order-status-on-hold'];
					$settings['order-status-completed'] = (empty($settings['order-status-completed']))? esc_html__('Order is Completed','music-night'): $settings['order-status-completed'];
					$settings['order-status-cancelled'] = (empty($settings['order-status-cancelled']))? esc_html__('Order is Canceled','music-night'): $settings['order-status-cancelled'];
					$settings['order-status-refunded'] = (empty($settings['order-status-refunded']))? esc_html__('Order is Refunded','music-night'): $settings['order-status-refunded'];
					$settings['order-status-failed'] = (empty($settings['order-status-failed']))? esc_html__('Order is Failed!','music-night'): $settings['order-status-failed'];
					
					$order_id = esc_attr($_GET['order_number']);
					$order = new WC_Order( $order_id );
					$order_status = '';
					//Order Condition
					if($order->post_status == 'wc-pending'){
						$order_status = $settings['order-status-pending'];
					}else if($order->post_status == 'wc-processing'){
						$order_status = $settings['order-status-processing'];
					}else if($order->post_status == 'wc-on-hold'){
						$order_status = $settings['order-status-on-hold'];
					}else if($order->post_status == 'wc-completed'){
						$order_status = $settings['order-status-completed'];
					}else if($order->post_status == 'wc-cancelled'){
						$order_status = $settings['order-status-cancelled'];
					}else if($order->post_status == 'wc-refunded'){
						$order_status = $settings['order-status-refunded'];
					}else if($order->post_status == 'wc-failed'){
						$order_status = $settings['order-status-failed'];
					}else{
						$order_status = 'No order match with your request!';
					}	
					//echo '<div class="kd-table">';
						echo '<h2>'.esc_html__('Order Number: #','music-night').''.esc_attr($order_id).'</h2>';
						if(!empty($order->post_status)){
							echo '
							<table class="table_head">
								<tr>
									<th>'.esc_html__('Product Name','music-night').'</th>
									<th>'.esc_html__('Price','music-night').'</th>
									<th>'.esc_html__('Quality','music-night').'</th>
									<th>'.esc_html__('Status','music-night').'</th>
								</tr>';
								if(!empty($order)){
									$items = $order->get_items();
									foreach ( $items as $item ) {
										echo '<tr class="table_body">';
											echo '<td><a href="'.get_permalink($item['product_id']).'">'.$item['name'].'</a></td>';
											echo '<td>'.esc_attr($item['line_total']).'</td>';
											echo '<td>'.esc_attr($item['qty']).'</td>';
											echo '<td>'.esc_attr($order_status).'</td>';
										echo '</tr>';
									}
								}
							echo '</table>';
						}else{
							echo '<h3>'.esc_attr($order_status).'</h3>';
						}
						echo '<div class="order-track-submit">';
							echo '<form method="GET" id="track_order">';
							echo '<h2>'.esc_html__('Track Order','music-night').'</h2>';
								echo '<input type="text" name="order_number" value="'.esc_attr($order_id).'" id="order_number" />';							
								echo '<input type="submit" value="'.esc_html__('Submit','music-night').'" class="btn_submit">';
							echo '</form>';
						echo '</div>';
					//echo '</div>';
				}
			}
			//order_tracking
		}
	}
	
	if( !function_exists('musicnight_track_book_text') ){
		function musicnight_track_book_text($settings){
			if(isset($settings['style']) && $settings['style'] == 'style-1'){
			$ret = '<div class="bb-custom-wrapper">
				<div id="bb-bookblock" class="bb-bookblock">
				<script>
				jQuery(document).ready(function($){
				/* ---------------------------------------------------------------------- */
				/*	Bookblock Script
				/* ---------------------------------------------------------------------- */
				var Page = (function() {
					
					var config = {
							$bookBlock : $( "#bb-bookblock" ),
							$navNext : $( "#bb-nav-next" ),
							$navPrev : $( "#bb-nav-prev" ),
							$navFirst : $( "#bb-nav-first" ),
							$navLast : $( "#bb-nav-last" )
						},
						init = function() {
							config.$bookBlock.bookblock( {
								speed : 1000,
								shadowSides : 0.8,
								shadowFlip : 0.4
							} );
							initEvents();
						},
						initEvents = function() {
							
							var $slides = config.$bookBlock.children();

							// add navigation events
							config.$navNext.on( "click touchstart", function() {
								config.$bookBlock.bookblock( "next" );
								return false;
							} );

							config.$navPrev.on( "click touchstart", function() {
								config.$bookBlock.bookblock( "prev" );
								return false;
							} );

							config.$navFirst.on( "click touchstart", function() {
								config.$bookBlock.bookblock( "first" );
								return false;
							} );

							config.$navLast.on( "click touchstart", function() {
								config.$bookBlock.bookblock( "last" );
								return false;
							} );
							
							// add swipe events
							$slides.on( {
								"swipeleft" : function( event ) {
									config.$bookBlock.bookblock( "next" );
									return false;
								},
								"swiperight" : function( event ) {
									config.$bookBlock.bookblock( "prev" );
									return false;
								}
							} );

							// add keyboard events
							$( document ).keydown( function(e) {
								var keyCode = e.keyCode || e.which,
									arrow = {
										left : 37,
										up : 38,
										right : 39,
										down : 40
									};

								switch (keyCode) {
									case arrow.left:
										config.$bookBlock.bookblock( "prev" );
										break;
									case arrow.right:
										config.$bookBlock.bookblock( "next" );
										break;
								}
							} );
						};

						return { init : init };

				})();
				/* ---------------------------------------------------------------------- */
				/*	Bookblock Script
				/* ---------------------------------------------------------------------- */
				if($( "#bb-bookblock" ).length){
					Page.init();
				}	
				});
				</script>
				';
				
					$get_woo_post = get_post($settings['book']);
					
					$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($get_woo_post->ID, 'post-option', true ));
					if( !empty($musicnight_post_option) ){
						$musicnight_post_option = json_decode( $musicnight_post_option, true );
					}

					$slider_data = $musicnight_post_option['books'];
					
					if( is_array($slider_data) ){
						$slide_order = $slider_data[0];
						$slide_data = $slider_data[1];
					}else{
						$slider_option = json_decode($slider_data, true);
						$slide_order = $slider_option[0];
						$slide_data = $slider_option[1];			
					}
					
					$slides = array();
					$slide_order = empty($slide_order)? array(): $slide_order;
					foreach($slide_order as $slide){
						$slides[$slide] = $slide_data[$slide];
					}
					$woo_counter = 0;
					$woo_counter_new = 2;
					foreach($slides as $slide){
						// print_r($slide);	
						$slide['title'];
						$slide['caption'];
						$ret_e = '</div>';
						$ret_s = '';
						if($woo_counter == 0){
							// $ret_s = '<div class="bb-item">';
							// $ret_e = '';
							$ret .= '
							<div class="bb-item">
								<div class="bb-custom-side">
									<span>'.esc_attr__('Page # 1','music-night').'</span>
									<h3>'.esc_attr($settings['book-index-title']).'</h3>
									'.musicnight_content_filter($settings['book-index-content']).'
								</div>
								<div class="bb-custom-side">
									<span>'.esc_attr__('Page # 2','music-night').'</span>
									<h3>'.esc_attr($slide['title']).'</h3>
									'.musicnight_content_filter($slide['caption']).'
								</div>
							</div>';
						}
						if($woo_counter % 2 == 0){
							if($woo_counter <> 0){
							$ret .= '
							
								<div class="bb-custom-side">
									<span>'.esc_attr($woo_counter_new).'</span>
									<h3>'.esc_attr($slide['title']).'</h3>
									'.musicnight_content_filter($slide['caption']).'
								</div></div>';
							}
						}else{
							if($woo_counter <> 0){
							$ret .= '
							<div class="bb-item">
								<div class="bb-custom-side">
									<span>'.esc_attr($woo_counter_new).'</span>
									<h3>'.esc_attr($slide['title']).'</h3>
									'.musicnight_content_filter($slide['caption']).'
								</div>';
							}	
							
						}$woo_counter++;$woo_counter_new++;
					}
				$ret .= '				
				</div>
				<nav>
					<a id="bb-nav-prev" href="#" class="bb-custom-icon bb-custom-icon-arrow-left">Previous</a>
					<a id="bb-nav-next" href="#" class="bb-custom-icon bb-custom-icon-arrow-right">Next</a>
				</nav>
			</div>';
			}else{
				$ret = '
				<script>
				
					function loadApp() {

						jQuery("#canvas").fadeIn(1000);

						var flipbook = jQuery(".magazine");

						// Check if the CSS was already loaded
						
						if (flipbook.width()==0 || flipbook.height()==0) {
							setTimeout(loadApp, 10);
							return;
						}
						
						// Create the flipbook

						flipbook.turn({
								
								// Magazine width

								width: 922,

								// Magazine height

								height: 650,

								// Duration in millisecond

								duration: 1000,

								// Hardware acceleration

								acceleration: !isChrome(),

								// Enables gradients

								gradients: true,
								
								// Auto center this flipbook

								autoCenter: true,

								// Elevation from the edge of the flipbook when turning a page

								elevation: 50,

								// The number of pages

								pages: 6,

								// Events

								when: {
									turning: function(event, page, view) {
										
										var book = jQuery(this),
										currentPage = book.turn("page"),
										pages = book.turn("pages");
								
										// Update the current URI

										Hash.go("page/" + page).update();

										// Show and hide navigation buttons

										disableControls(page);
										

										jQuery(".thumbnails .page-"+currentPage).
											parent().
											removeClass("current");

										jQuery(".thumbnails .page-"+page).
											parent().
											addClass("current");



									},

									turned: function(event, page, view) {

										disableControls(page);

										jQuery(this).turn("center");

										if (page==1) { 
											jQuery(this).turn("peel", "br");
										}

									},

									missing: function (event, pages) {

										// Add pages that aren"t in the magazine';
										$get_woo_post = get_post($settings['book']);
					
										$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($get_woo_post->ID, 'post-option', true ));
										if( !empty($musicnight_post_option) ){
											$musicnight_post_option = json_decode( $musicnight_post_option, true );					
										}
										$slider_data = $musicnight_post_option['books'];
										
										if( is_array($slider_data) ){
											$slide_order = $slider_data[0];
											$slide_data = $slider_data[1];
										}else{
											$slider_option = json_decode($slider_data, true);
											$slide_order = $slider_option[0];
											$slide_data = $slider_option[1];			
										}
										$slides = array();
										$slide_order = empty($slide_order)? array(): $slide_order;
										foreach($slide_order as $slide){
											$slides[$slide] = $slide_data[$slide];
										}
										
										$woo_counter = 1;
										foreach($slides as $keys => $slide){	
								
											$image_src = wp_get_attachment_image_src($keys, 'full');
											if(!empty($image_src[0])){
												$img_src = $image_src[0];
											}else{
												$img_src = $slide['thumbnail'];
											}
											$ret .= '
											addPage("'.$img_src.'", jQuery(this),'.$woo_counter.');';
											$woo_counter++;
										}	
								$ret .= '
									}
								}
						
						});
						// Zoom.js

						jQuery(".magazine-viewport").zoom({
							flipbook: jQuery(".magazine"),

							max: function() { 
								
								return largeMagazineWidth()/jQuery(".magazine").width();

							}, 

							when: {

								swipeLeft: function() {

									jQuery(this).zoom("flipbook").turn("next");

								},

								swipeRight: function() {
									
									jQuery(this).zoom("flipbook").turn("previous");

								},

								resize: function(event, scale, page, pageElement) {

									loadLargePage(page, pageElement);

								},

								zoomIn: function () {

									jQuery(".thumbnails").hide();
									jQuery(".made").hide();
									jQuery(".magazine").removeClass("animated").addClass("zoom-in");
									jQuery(".zoom-icon").removeClass("zoom-icon-in").addClass("zoom-icon-out");
									
									if (!window.escTip && !jQuery.isTouch) {
										escTip = true;

										jQuery("<div />", {"class": "exit-message"}).
											html("<div>Press ESC to exit</div>").
												appendTo(jQuery("body")).
												delay(2000).
												animate({opacity:0}, 500, function() {
													jQuery(this).remove();
												});
									}
								},

								zoomOut: function () {

									jQuery(".exit-message").hide();
									jQuery(".thumbnails").fadeIn();
									jQuery(".made").fadeIn();
									jQuery(".zoom-icon").removeClass("zoom-icon-out").addClass("zoom-icon-in");

									setTimeout(function(){
										jQuery(".magazine").addClass("animated").removeClass("zoom-in");
										resizeViewport();
									}, 0);

								}
							}
						});

						// Zoom event

						if (jQuery.isTouch)
							jQuery(".magazine-viewport").bind("zoom.doubleTap", zoomTo);
						else
							jQuery(".magazine-viewport").bind("zoom.tap", zoomTo);


						// Using arrow keys to turn the page

						jQuery(document).keydown(function(e){

							var previous = 37, next = 39, esc = 27;

							switch (e.keyCode) {
								case previous:

									// left arrow
									jQuery(".magazine").turn("previous");
									e.preventDefault();

								break;
								case next:

									//right arrow
									jQuery(".magazine").turn("next");
									e.preventDefault();

								break;
								case esc:
									
									jQuery(".magazine-viewport").zoom("zoomOut");	
									e.preventDefault();

								break;
							}
						});

						// URIs - Format #/page/1 

						Hash.on("^page\/([0-9]*)$", {
							yep: function(path, parts) {
								var page = parts[1];

								if (page!==undefined) {
									if (jQuery(".magazine").turn("is"))
										jQuery(".magazine").turn("page", page);
								}

							},
							nop: function(path) {

								if (jQuery(".magazine").turn("is"))
									jQuery(".magazine").turn("page", 1);
							}
						});


						jQuery(window).resize(function() {
							resizeViewport();
						}).bind("orientationchange", function() {
							resizeViewport();
						});

						// Events for thumbnails

						jQuery(".thumbnails").click(function(event) {
							
							var page;

							
						});

						jQuery(".thumbnails li").
							bind(jQuery.mouseEvents.over, function() {
								
								jQuery(this).addClass("thumb-hover");

							}).bind(jQuery.mouseEvents.out, function() {
								
								jQuery(this).removeClass("thumb-hover");

							});

						if (jQuery.isTouch) {
						
							jQuery(".thumbnails").
								addClass("thumbanils-touch").
								bind(jQuery.mouseEvents.move, function(event) {
									event.preventDefault();
								});

						} else {

							jQuery(".thumbnails ul").mouseover(function() {

								jQuery(".thumbnails").addClass("thumbnails-hover");

							}).mousedown(function() {

								return false;

							}).mouseout(function() {

								jQuery(".thumbnails").removeClass("thumbnails-hover");

							});

						}

						

						// Regions

						if (jQuery.isTouch) {
							jQuery(".magazine").bind("touchstart", regionClick);
						} else {
							jQuery(".magazine").click(regionClick);
						}

						// Events for the next button

						jQuery(".next-button").bind(jQuery.mouseEvents.over, function() {
							
							jQuery(this).addClass("next-button-hover");

						}).bind(jQuery.mouseEvents.out, function() {
							
							jQuery(this).removeClass("next-button-hover");

						}).bind(jQuery.mouseEvents.down, function() {
							
							jQuery(this).addClass("next-button-down");

						}).bind(jQuery.mouseEvents.up, function() {
							
							jQuery(this).removeClass("next-button-down");

						}).click(function() {
							
							jQuery(".magazine").turn("next");

						});

						// Events for the next button
						
						jQuery(".previous-button").bind(jQuery.mouseEvents.over, function() {
							
							jQuery(this).addClass("previous-button-hover");

						}).bind(jQuery.mouseEvents.out, function() {
							
							jQuery(this).removeClass("previous-button-hover");

						}).bind(jQuery.mouseEvents.down, function() {
							
							jQuery(this).addClass("previous-button-down");

						}).bind(jQuery.mouseEvents.up, function() {
							
							jQuery(this).removeClass("previous-button-down");

						}).click(function() {
							
							jQuery(".magazine").turn("previous");

						});


						resizeViewport();

						jQuery(".magazine").addClass("animated");

					}
					
					jQuery(document).ready(function($){
						// Zoom icon

						 $(".zoom-icon").bind("mouseover", function() { 
							
							if ($(this).hasClass("zoom-icon-in"))
								$(this).addClass("zoom-icon-in-hover");

							if ($(this).hasClass("zoom-icon-out"))
								$(this).addClass("zoom-icon-out-hover");
						 
						 }).bind("mouseout", function() { 
							
							 if ($(this).hasClass("zoom-icon-in"))
								$(this).removeClass("zoom-icon-in-hover");
							
							if ($(this).hasClass("zoom-icon-out"))
								$(this).removeClass("zoom-icon-out-hover");

						 }).bind("click", function() {

							if ($(this).hasClass("zoom-icon-in"))
								$(".magazine-viewport").zoom("zoomIn");
							else if ($(this).hasClass("zoom-icon-out"))	
								$(".magazine-viewport").zoom("zoomOut");

						 });

						 jQuery("#canvas").hide();

					});	
					
				</script>
				
				<div id="canvas"></div>
				<div class="zoom-icon zoom-icon-in"></div>
				<div class="magazine-viewport">
					<div class="container">
						<div class="magazine">
							<!-- Next button -->
							<div data-ignore="1" class="next-button"></div>
							<!-- Previous button -->
							<div data-ignore="1" class="previous-button"></div>
						</div>
					</div>
				</div>';

			}	
			
			return $ret;
		}
	}	
	
	// add work in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_woo_item');
	if( !function_exists('musicnight_register_woo_item') ){
		function musicnight_register_woo_item( $page_builder = array() ){
			global $musicnight_spaces;
			$page_builder['content-item']['options']['woo'] = array(
				'title'=> esc_html__('Woo Item', 'music-night'), 
				'icon'=> 'fa-shopping-cart', 
				'type'=>'item',
				'options'=> array(					
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),	
					
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('product_cat'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> esc_html__('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('product_tag'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),
					'woo-style'=> array(
						'title'=> esc_html__('Style' ,'music-night'),
						'type'=> 'combobox',
						'wrapper-class'=> 'kode-custom-styles',
						'options'=> array(
							'woo-style-1'=>  esc_attr__('Woo Style 1','music-night'),
							'woo-style-2'=>  esc_attr__('Woo Style 2','music-night'),
							'woo-style-3'=>  esc_attr__('Woo Style 3','music-night'),
							'woo-style-4'=>  esc_attr__('Woo Style 4','music-night')
						)
					),
					'woo-column-size'=> array(
						'title'=> esc_html__('Woo Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => esc_html__('Column 2', 'music-night'),
							'3' => esc_html__('Column 3', 'music-night'),
							'4' => esc_html__('Column 4', 'music-night'),
						),
						'default'=>'woo-full'
					),	
					'title-num-fetch'=> array(
						'title'=> esc_html__('Title Num Words' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of words you want to pull out for title.', 'music-night')
					),						
					'woo-layout'=> array(
						'title'=> esc_html__('Woo Layout' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'simple-layout' => esc_html__('Simple Layout', 'music-night'),
							'slider-layout' => esc_html__('Slider Layout', 'music-night'),
						),
						'default'=>'simple-layout'
					),
					'woo-mode'=> array(
						'title'=> esc_html__('Slide Mode' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'fade' => esc_html__('fade', 'music-night'),
							'horizontal' => esc_html__('slide', 'music-night'),
							'vertical' => esc_html__('vertical', 'music-night'),
						),
						'wrapper-class'=>'woo-layout-wrapper slider-layout-wrapper',
						'description'=> esc_html__('In fade case only one slide will be shown.', 'music-night'),
						'default'=>'2'
					),
					'woo-move'=> array(
						'title'=> esc_html__('Slide Move' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => esc_html__('1 Slide', 'music-night'),
							'2' => esc_html__('2 Slide', 'music-night'),
							'3' => esc_html__('3 Slide', 'music-night'),
							'4' => esc_html__('4 Slide', 'music-night'),
						),
						'wrapper-class'=>'woo-layout-wrapper slider-layout-wrapper',
						'default'=>'2'
					),
					'woo-width'=> array(
						'title'=> esc_html__('Slide Width' ,'music-night'),
						'type'=> 'text',	
						'default'=> '275',
						'wrapper-class'=>'woo-layout-wrapper slider-layout-wrapper',
						'description'=> esc_html__('Specify the width of slide without px.', 'music-night')
					),
					
					'woo-padding'=> array(
						'title'=> esc_html__('Woo Padding' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'with-padding' => esc_html__('With Padding', 'music-night'),
							'without-padding' => esc_html__('Without Padding', 'music-night'),
						),
						'default'=>'with-padding'
					),
					'woo-filterable'=> array(
						'title'=> esc_html__('Woo Filterable' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'enable' => esc_html__('Enable', 'music-night'),
							'disable' => esc_html__('Disable', 'music-night'),
						),
						'default'=>'woo-layout-shop'
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'thebookstore-post-thumbnail-size'
					),	
					
					'num-excerpt'=> array(
						'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of word (decided by spaces) that you want to show on the post excerpt. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),	
					'num-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
					),	
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),									
					'pagination'=> array(
						'title'=> esc_html__('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),										
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),					
				)
			);
			
			$page_builder['content-item']['options']['woo-slider'] = array(
				'title'=> esc_html__('Woo Slider', 'music-night'), 
				'icon'=>'fa-opencart',
				'type'=>'item',
				'options'=>array(					
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list_detail('product_cat'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> esc_html__('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list_detail('product_tag'),
						'description'=> esc_html__('Will be ignored when the woo filter option is enabled.', 'music-night')
					),
					'title' => array(
						'title' => esc_html__('Main Heading', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('Add Title of the woo slider here.', 'music-night')
					),
					'num-title-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Specify the number of title word you want to pull out.', 'music-night')
					),
					'num-desc-fetch'=> array(
						'title'=> esc_html__('Num Description Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '150',
						'description'=> esc_html__('Specify the number of description word you want to pull out.', 'music-night')
					),	
					'orderby'=> array(
						'title'=> esc_html__('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => esc_html__('Publish Date', 'music-night'), 
							'title' => esc_html__('Title', 'music-night'), 
							'rand' => esc_html__('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			$page_builder['content-item']['options']['woo-tabs'] = array(
				'title'=> esc_html__('Woo Tabs', 'music-night'), 
				'icon'=>'fa-outdent',
				'type'=>'item',
				'options'=>array(		
					'title-num-fetch'=> array(
						'title'=> esc_html__('Title Num Words' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of words you want to pull out for title.', 'music-night')
					),				
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_term_list('product_cat'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> esc_html__('Tag' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_term_list('product_tag'),
						'description'=> esc_html__('Will be ignored when the woo filter option is enabled.', 'music-night')
					),					
					'num-title-fetch'=> array(
						'title'=> esc_html__('Num Title Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Specify the number of title word you want to pull out.', 'music-night')
					),	
					'num-desc-fetch'=> array(
						'title'=> esc_html__('Num Description Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '200',
						'description'=> esc_html__('Specify the number of description word you want to pull out.', 'music-night')
					),
					'num-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '6',
						'description'=> esc_html__('Specify the number of products you want to pull out.', 'music-night')
					),	
					'orderby'=> array(
						'title'=> esc_html__('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => esc_html__('Publish Date', 'music-night'), 
							'title' => esc_html__('Title', 'music-night'), 
							'rand' => esc_html__('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			
			return $page_builder;
		}
	}
	
	if( is_admin() ){ add_action('after_setup_theme', 'musicnight_create_woo'); }
	if( !function_exists('musicnight_create_woo') ){
	
		function musicnight_create_woo(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => esc_attr__('Page Layout', 'music-night'),
						'options' => array(
							'sidebar' => array(
								'type' => 'radioimage',
								'description' => esc_html__('Please select the side bar position from here.','music-night'),
								'options' => array(
									'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
									'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
									'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
									'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
								),
								'default' => 'no-sidebar'
							),	
							'left-sidebar' => array(
								'title' => esc_attr__('Left Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
							),
							'right-sidebar' => array(
								'title' => esc_attr__('Right Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
							),						
						)
					),
					
					'page-option' => array(
						'title' => esc_attr__('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => esc_attr__('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'description' => esc_html__('Please enter the Caption for the page here.','music-night'),
							),							
							'header-background' => array(
								'title' => esc_attr__('Header Background Image' , 'music-night'),
								'button' => esc_attr__('Upload', 'music-night'),
								'type' => 'upload',
								'description' => 'Click here to Upload the Header Background Image.',
							),	
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('product'),
					'meta_title' => esc_attr__('Woo Option', 'music-night'),
					'meta_slug' => 'woo-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	
	add_action('pre_post_update', 'kode_save_woo_meta_option');
	if( !function_exists('kode_save_woo_meta_option') ){
		function kode_save_woo_meta_option( $post_id ){
			if( get_post_type() == 'product' && isset($_POST['post-option']) ){
				$post_option = musicnight_stopbackslashes(musicnight_stripslashes($_POST['post-option']));
				$post_option = json_decode(musicnight_decode_stopbackslashes($post_option), true);
				
				if(!empty($post_option['books'])){
					update_post_meta($post_id, 'books', esc_attr($_POST['books']));
				}else{
					delete_post_meta($post_id, 'books');
				}
				
				if(!empty($post_option['condition'])){
					update_post_meta($post_id, 'condition', esc_attr($_POST['condition']));
				}else{
					delete_post_meta($post_id, 'condition');
				}
				if(!empty($post_option['publish-date'])){
					update_post_meta($post_id, 'publish-date', esc_attr($_POST['publish-date']));
				}else{
					delete_post_meta($post_id, 'publish-date');
				}
				if(!empty($post_option['publisher'])){
					update_post_meta($post_id, 'publisher', esc_attr($_POST['publisher']));
				}else{
					delete_post_meta($post_id, 'publisher');
				}
				if(!empty($post_option['language'])){
					update_post_meta($post_id, 'language', esc_attr($_POST['language']));
				}else{
					delete_post_meta($post_id, 'language');
				}
			}
		}
	}
	

?>