<?php
	/*	
	*	Kodeforest Woo Option file
	*	---------------------------------------------------------------------
	*	This file creates all post options to the post page
	*	---------------------------------------------------------------------
	*/
	
	//Woo Listing	

	if( !function_exists('musicnight_get_woo_item') ){
		function musicnight_get_woo_item($settings = array()){
			global $musicnight_counter;
			$args = array('post_type' => 'product', 'suppress_filters' => false);
			if($settings['woo-layout'] == 'simple-layout'){
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			}else{
				$args['posts_per_page'] = -1;
			}
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
			
			$settings['woo-column-size'] = (empty($settings['woo-column-size']))? '3': $settings['woo-column-size'];
			$settings['woo-style'];
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'product_cat', 'field'=>'slug'));
				}

			}			
			$query = new WP_Query( $args );
			$musicnight_woo = '';
			$size = 3;
			
			$size = $settings['woo-column-size'];
			
			$get_currency = get_woocommerce_currency_symbol('');
			if($get_currency == ''){
				$get_currency = get_option('woocommerce_currency');
			}	
			
			$current_size = 0;
			while($query->have_posts()){
				$query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings,$product,$musicnight_theme_option;
				// if( $current_size % $size == 0 ){
					// $musicnight_woo .= '<li class="clear"></li>';
				// }
				
				// print_r($product);
				$musicnight_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);
				$prices_precision = wc_get_price_decimals();
				$price = wc_format_decimal( $product->get_price(), $prices_precision );
				$price_regular = wc_format_decimal( $product->get_regular_price(), $prices_precision );
				$price_sale = $product->get_sale_price() ? floatval(wc_format_decimal( $product->get_sale_price(), $prices_precision )) : null;
				if(empty($price_sale)){
					$price_sale = $price_regular;
				}
				$rating_count = $product->get_rating_count();
				$review_count = $product->get_review_count();
				$average      = $product->get_average_rating();
				$rating_html  = $product->get_rating_html();
				$musicnight_theme_option['woo-list-cart-btn'];
				$musicnight_theme_option['woo-list-price'];
				$musicnight_theme_option['woo-list-rating'];
				$musicnight_theme_option['woo-list-title'];
			
					$categories = wp_get_post_terms( $post->ID, 'product_cat' );
					//$musicnight_woo .= '<li class="home_gallery filterable-item portfolio-list all k_column_4 ';
					//if($categories <> ''){
						//foreach ( $categories as $category ) {
							//$musicnight_woo .= esc_attr($category->slug)." ";
						//}
					//}
					//$musicnight_woo .= '">';

				
				if($settings['woo-style'] == 'woo-style-1'){
					$musicnight_woo .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="kode_shop_fig">
								<figure class="them_overlay">
									'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
									<ul class="shop_icon">
										<li>';
										$musicnight_woo .= apply_filters( 'woocommerce_loop_add_to_cart_link',
											sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="cart button %s product_type_%s"><i class="fa fa-cart-plus"></i></a>',
												esc_url( $product->add_to_cart_url() ),
												esc_attr( $product->id ),
												esc_attr( $product->get_sku() ),
												$product->is_purchasable() ? 'add_to_cart_button' : '',
												esc_attr( $product->product_type ),
												esc_html( $product->add_to_cart_text() )
											),
										$product );
										$musicnight_woo .= '</li>
										<li><a href="#"><i class="fa fa-heart"></i></a></li>
										<li><a href="'.esc_url(get_permalink()).'"><i class="fa fa-expand"></i></a></li>
									</ul>
								</figure>
								<div class="kode_shop_text">
									<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
									<div class="event_rating pull-right">
										<a href="#"><i class="fa fa-star"></i></a>
										<a href="#"><i class="fa fa-star"></i></a>
										<a href="#"><i class="fa fa-star"></i></a>
										<a href="#"><i class="fa fa-star"></i></a>
										<a href="#"><i class="fa fa-star"></i></a>
									</div>
									<h5>'.esc_attr($get_currency).''.esc_attr($price_sale).'</h5>
								</div>
							</div>
						</div>';
				}else{
					
				}
				
				
				$current_size++;
			} 
			
			
			
			if( $settings['pagination'] == 'enable' ){
				$musicnight_woo .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
			}
			
			$musicnight_woo .= '</div>';
			$musicnight_woo .= '</div>';
			wp_reset_postdata();	
			
			return $musicnight_woo;
		}
	}	
	
	// add work in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_woo_item');
	if( !function_exists('musicnight_register_woo_item') ){
		function musicnight_register_woo_item( $page_builder = array() ){
			global $musicnight_spaces;
			$page_builder['content-item']['options']['woo'] = array(
				'title'=> esc_html__('Woo Element', 'music-night'), 
				'icon'=> 'fa-shopping-cart', 
				'type'=>'item',
				'options'=> array(					
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),	
					
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('product_cat'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> esc_html__('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('product_tag'),
						'description'=> esc_html__('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),
					'woo-style'=> array(
						'title'=> esc_html__('Style' ,'music-night'),
						'type'=> 'styles',
						'wrapper-class'=> 'kode-custom-styles',
						'options'=> array(
							'woo-style-1'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/woo/woo-1.jpg',
							'woo-style-2'=>MUSICNIGHT_PATH . '/framework/include/backend_assets/images/woo/woo-2.jpg',
						)
					),
					'woo-column-size'=> array(
						'title'=> esc_html__('Woo Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => esc_html__('Column 2', 'music-night'),
							'3' => esc_html__('Column 3', 'music-night'),
							'4' => esc_html__('Column 4', 'music-night'),
						),
						'default'=>'woo-full'
					),	
					'title-num-fetch'=> array(
						'title'=> esc_html__('Title Num Words' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of words you want to pull out for title.', 'music-night')
					),						
					'woo-layout'=> array(
						'title'=> esc_html__('Woo Layout' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'simple-layout' => esc_html__('Simple Layout', 'music-night'),
						),
						'default'=>'simple-layout'
					),
					'woo-padding'=> array(
						'title'=> esc_html__('Woo Padding' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'with-padding' => esc_html__('With Padding', 'music-night'),
							'without-padding' => esc_html__('Without Padding', 'music-night'),
						),
						'default'=>'with-padding'
					),
					
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'musicforest-post-thumbnail-size'
					),	
					'num-excerpt'=> array(
						'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of word (decided by spaces) that you want to show on the post excerpt. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the WordPress more tag</strong>.', 'music-night')
					),	
					'num-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
					),	
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),									
					'pagination'=> array(
						'title'=> esc_html__('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),										
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),					
				)
			);
			
			
			return $page_builder;
		}
	}
	
	if( is_admin() ){ add_action('after_setup_theme', 'musicnight_create_woo'); }
	if( !function_exists('musicnight_create_woo') ){
	
		function musicnight_create_woo(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
								'sidebar' => array(
									'type' => 'radioimage',
									'description' => 'Please select the side bar position from here.',
									'options' => array(
										'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
										'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
										'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
										'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
									),
									'default' => 'no-sidebar'
								),	
								'left-sidebar' => array(
									'title' => __('Left Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
								),
								'right-sidebar' => array(
									'title' => __('Right Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
								),						
						)
					),
					
					'page-option' => array(
						'title' => __('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => __('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'description' => 'Please enter the Caption for the page here.',
							),							
							'header-background' => array(
								'title' => __('Header Background Image' , 'music-night'),
								'button' => __('Upload', 'music-night'),
								'type' => 'upload',
								'description' => 'Click here to Upload the Header Background Image.',
							),	
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('product'),
					'meta_title' => __('Woo Option', 'music-night'),
					'meta_slug' => 'woo-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	
	add_action('pre_post_update', 'kode_save_woo_meta_option');
	if( !function_exists('kode_save_woo_meta_option') ){
	function kode_save_woo_meta_option( $post_id ){
			if( get_post_type() == 'product' && isset($_POST['post-option']) ){
				$post_option = musicnight_stopbackslashes(musicnight_stripslashes($_POST['post-option']));
				$post_option = json_decode(musicnight_decode_stopbackslashes($post_option), true);
				
				if(!empty($post_option['condition'])){
					update_post_meta($post_id, 'condition', esc_attr($_POST['condition']));
				}else{
					delete_post_meta($post_id, 'condition');
				}
				if(!empty($post_option['publish-date'])){
					update_post_meta($post_id, 'publish-date', esc_attr($_POST['publish-date']));
				}else{
					delete_post_meta($post_id, 'publish-date');
				}
				if(!empty($post_option['publisher'])){
					update_post_meta($post_id, 'publisher', esc_attr($_POST['publisher']));
				}else{
					delete_post_meta($post_id, 'publisher');
				}
				if(!empty($post_option['language'])){
					update_post_meta($post_id, 'language', esc_attr($_POST['language']));
				}else{
					delete_post_meta($post_id, 'language');
				}
			}
		}
	}

?>