<?php
	/*	
	*	Kodeforest Load Style
	*	---------------------------------------------------------------------
	*	This file create the custom style
	*	For Color Scheme, and Typography Options
	*	---------------------------------------------------------------------
	*/	
		
		
		$font_options_slug = 'font_option_slug';
		add_action('musicnight_save_theme_information_data', 'musicnight_save_font_options');
		if( !function_exists('musicnight_save_font_options') ){
			function musicnight_save_font_options($options){
				
				// for multisite
				$file_url = get_template_directory() . '/css/style-custom.css';
				if( is_multisite() && get_current_blog_id() > 1 ){
					$file_url = get_template_directory() . '/css/style-custom' . get_current_blog_id() . '.css';
				}
				
				// write file content
				$musicnight_theme_option = get_option('musicnight_admin_option', array());
				
				// for updating google font list to use on front end
				global $musicnight_font_controller; $google_font_list = array(); 
				
				foreach( $options as $menu_key => $menu ){
					if(!empty($menu['options'])){
						foreach( $menu['options'] as $submenu_key => $submenu ){
							if( !empty($submenu['options']) ){
								foreach( $submenu['options'] as $option_slug => $option ){
									if( !empty($option['selector']) ){
										// prevents warning message
										$option['data-type'] = (empty($option['data-type']))? 'color': $option['data-type'];
										
										if( !empty($musicnight_theme_option[$option_slug]) ){
											$value = musicnight_check_option_data_type($musicnight_theme_option[$option_slug], $option['data-type']);
										}else{
											$value = '';
										}
										if($value){
											$musicnight_font = str_replace('#kode#', $value, $option['selector']) . "\r\n";
										}
										
										// updating google font list
										if( $menu_key == 'font-settings' ){
											if( !empty($musicnight_font_controller->google_font_list[$musicnight_theme_option[$option_slug]]) ){
												$google_font_list[$musicnight_theme_option[$option_slug]] = $musicnight_font_controller->google_font_list[$musicnight_theme_option[$option_slug]];
											}
										}
									}
								}
							}
						}
					}
				}
				
				// update google font list
				update_option('musicnight_google_font_list', $google_font_list);	

				$render_style = musicnight_generate_style_custom($musicnight_theme_option,$page_options='no');
				
				$current_page =  wp_nonce_url(admin_url('admin.php?page=hoteladvisor'),'music-night');
				if( !musicnight_write_filesystem($current_page, $file_url, $render_style) ){
					$ret = array(
						'status'=>'failed', 
						'message'=> '<span class="head">' . esc_html__('Cannot write style-custom.css file', 'music-night') . '</span> ' .
							esc_html__('Please contact the administrator.' ,'music-night')
					);	
					
					die(json_encode($ret));		
				}
				
			}
		}
		
		
		if( !function_exists('musicnight_generate_style_custom') ){
			function musicnight_generate_style_custom( $musicnight_theme_options,$page_options= "" ){				
				// write file content
				if($page_options == 'Yes'){
					$musicnight_theme_option = $musicnight_theme_options;
					$k_option = 'custom_style';
					if(isset($_GET['layout']) && $_GET['layout'] == 'boxed'){
						$musicnight_theme_option['enable-boxed-style'] = 'boxed-style';
					}else{
						$musicnight_theme_option['enable-boxed-style'] = 'full-style';
					}
				}else{
					$musicnight_theme_option = get_option('musicnight_admin_option', array());
					$k_option = 'default_stylesheet';
				}
				
				$style = '';
				
				
				if(!empty($musicnight_theme_option['logo-width'])){
					if($musicnight_theme_option['logo-width'] <> ''){
						if($musicnight_theme_option['logo-width'] <> 0){
							$style .= '.logo img{';
							$style .= 'width:'.esc_attr($musicnight_theme_option['logo-width']) .'px';
							$style .= '}' . "\r\n";
						}
						
					}
				}

				
				if(!empty($musicnight_theme_option['logo-height'])){
					if($musicnight_theme_option['logo-height'] <> ''){
						if($musicnight_theme_option['logo-height'] <> 0){
							$style .= '.logo img{';
							$style .= 'height:'.esc_attr($musicnight_theme_option['logo-height']) .'px';
							$style .= '}' . "\r\n";
						}
					}
				}
				
				if(!empty($musicnight_theme_option['navi-font-family'])){
					if($musicnight_theme_option['navi-font-family'] <> ''){
						$style .= '.kode-navigation-wrapper, .kode-navigation-wrapper ul li{';
						$style .= 'font-family:'.esc_attr($musicnight_theme_option['navi-font-family']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['heading-font-family'])){
					if($musicnight_theme_option['heading-font-family'] <> ''){
						$style .= '.kode-caption-title, .kode-caption-text, h1, h2, h3, h4, h5, h6{';
						$style .= 'font-family:'.esc_attr($musicnight_theme_option['heading-font-family']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-font-family'])){
					if($musicnight_theme_option['navigation-font-family'] <> ''){
						$style .= '.navigation ul li a{';
						$style .= 'font-family:'.esc_attr($musicnight_theme_option['navigation-font-family']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-font-size'])){
					if($musicnight_theme_option['navigation-font-size'] <> ''){
						$style .= '.kf_main_navigation ul li a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['navigation-font-size']) .'px';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-line-height'])){
					if($musicnight_theme_option['navigation-line-height'] <> ''){
						$style .= '.kf_main_navigation ul li a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['navigation-line-height']) .'px';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-font-weight'])){
					if($musicnight_theme_option['navigation-font-weight'] <> ''){
						$style .= '.kf_main_navigation ul li a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['navigation-font-weight']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-letter-spacing'])){
					if($musicnight_theme_option['navigation-letter-spacing'] <> ''){
						$style .= '.kf_main_navigation ul li a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['navigation-letter-spacing']) .'px';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['navigation-text-transform'])){
					if($musicnight_theme_option['navigation-text-transform'] <> ''){
						$style .= '.kf_main_navigation ul li a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['navigation-text-transform']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//heading h1 typo
				
				if(!empty($musicnight_theme_option['all-heading-font-family'])){
					if($musicnight_theme_option['all-heading-font-family'] <> ''){
						$style .= 'body h1 , body h1 a,body h2 , body h2 a,body h3 , body h3 a,body h4 , body h4 a,body h5 , body h5 a,body h6, body h6 a{';
						$style .= 'font-family:'.esc_attr($musicnight_theme_option['all-heading-font-family']) .'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h1-font-size'])){
					if($musicnight_theme_option['h1-font-size'] <> ''){
						$style .= 'body h1 , body h1 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h1-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h1-line-height'])){
					if($musicnight_theme_option['h1-line-height'] <> ''){
						$style .= 'body h1 , body h1 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h1-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h1-font-weight'])){
					if($musicnight_theme_option['h1-font-weight'] <> ''){
						$style .= 'body h1 , body h1 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h1-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h1-letter-spacing'])){
					if($musicnight_theme_option['h1-letter-spacing'] <> ''){
						$style .= 'body h1 , body h1 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h1-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h1-text-transform'])){
					if($musicnight_theme_option['h1-text-transform'] <> ''){
						$style .= 'body h1 , body h1 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h1-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h1 typo
				
				//heading h2 typo
				
				
				if(!empty($musicnight_theme_option['h2-font-size'])){
					if($musicnight_theme_option['h2-font-size'] <> ''){
						$style .= 'body h2 , body h2 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h2-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h2-line-height'])){
					if($musicnight_theme_option['h2-line-height'] <> ''){
						$style .= 'body h2 , body h2 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h2-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h2-font-weight'])){
					if($musicnight_theme_option['h2-font-weight'] <> ''){
						$style .= 'body h2 , body h2 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h2-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h2-letter-spacing'])){
					if($musicnight_theme_option['h2-letter-spacing'] <> ''){
						$style .= 'body h2 , body h2 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h2-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h2-text-transform'])){
					if($musicnight_theme_option['h2-text-transform'] <> ''){
						$style .= 'body h2 , body h2 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h2-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h2 typo
				
				//heading h3 typo
				
				
				if(!empty($musicnight_theme_option['h3-font-size'])){
					if($musicnight_theme_option['h3-font-size'] <> ''){
						$style .= 'body h3 , body h3 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h3-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h3-line-height'])){
					if($musicnight_theme_option['h3-line-height'] <> ''){
						$style .= 'body h3 , body h3 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h3-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h3-font-weight'])){
					if($musicnight_theme_option['h3-font-weight'] <> ''){
						$style .= 'body h3 , body h3 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h3-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h3-letter-spacing'])){
					if($musicnight_theme_option['h3-letter-spacing'] <> ''){
						$style .= 'body h3 , body h3 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h3-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h3-text-transform'])){
					if($musicnight_theme_option['h3-text-transform'] <> ''){
						$style .= 'body h3 , body h3 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h3-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h3 typo
				
				//heading h4 typo
				
				
				if(!empty($musicnight_theme_option['h4-font-size'])){
					if($musicnight_theme_option['h4-font-size'] <> ''){
						$style .= 'body h4 , body h4 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h4-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h4-line-height'])){
					if($musicnight_theme_option['h4-line-height'] <> ''){
						$style .= 'body h4 , body h4 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h4-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h4-font-weight'])){
					if($musicnight_theme_option['h4-font-weight'] <> ''){
						$style .= 'body h4 , body h4 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h4-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h4-letter-spacing'])){
					if($musicnight_theme_option['h4-letter-spacing'] <> ''){
						$style .= 'body h4 , body h4 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h4-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h4-text-transform'])){
					if($musicnight_theme_option['h4-text-transform'] <> ''){
						$style .= 'body h4 , body h4 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h4-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h4 typo
				
				//heading h5 typo
				
				
				if(!empty($musicnight_theme_option['h5-font-size'])){
					if($musicnight_theme_option['h5-font-size'] <> ''){
						$style .= 'body h5 , body h5 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h5-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h5-line-height'])){
					if($musicnight_theme_option['h5-line-height'] <> ''){
						$style .= 'body h5 , body h5 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h5-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h5-font-weight'])){
					if($musicnight_theme_option['h5-font-weight'] <> ''){
						$style .= 'body h5 , body h5 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h5-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h5-letter-spacing'])){
					if($musicnight_theme_option['h5-letter-spacing'] <> ''){
						$style .= 'body h5 , body h5 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h5-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h5-text-transform'])){
					if($musicnight_theme_option['h5-text-transform'] <> ''){
						$style .= 'body h5 , body h5 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h5-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h5 typo
				
				//heading h6 typo
				
				
				if(!empty($musicnight_theme_option['h6-font-size'])){
					if($musicnight_theme_option['h6-font-size'] <> ''){
						$style .= 'body h6 , body h6 a{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['h6-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h6-line-height'])){
					if($musicnight_theme_option['h6-line-height'] <> ''){
						$style .= 'body h6 , body h6 a{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['h6-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h6-font-weight'])){
					if($musicnight_theme_option['h6-font-weight'] <> ''){
						$style .= 'body h6 , body h6 a{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['h6-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h6-letter-spacing'])){
					if($musicnight_theme_option['h6-letter-spacing'] <> ''){
						$style .= 'body h6 , body h6 a{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['h6-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['h6-text-transform'])){
					if($musicnight_theme_option['h6-text-transform'] <> ''){
						$style .= 'body h6 , body h6 a{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['h6-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end heading h6 typo
				
				//Paragraph Typo
				
				if(!empty($musicnight_theme_option['body-font-family'])){
					if($musicnight_theme_option['body-font-family'] <> ''){
						$style .= 'body, p{';
						$style .= 'font-family:'.esc_attr($musicnight_theme_option['body-font-family']).'';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['body-font-size'])){
					if($musicnight_theme_option['body-font-size'] <> ''){
						$style .= 'body, p{';
						$style .= 'font-size:'.esc_attr($musicnight_theme_option['body-font-size']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['body-line-height'])){
					if($musicnight_theme_option['body-line-height'] <> ''){
						$style .= 'body, p{';
						$style .= 'line-height:'.esc_attr($musicnight_theme_option['body-line-height']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['body-font-weight'])){
					if($musicnight_theme_option['body-font-weight'] <> ''){
						$style .= 'body, p{';
						$style .= 'font-weight:'.esc_attr($musicnight_theme_option['body-font-weight']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['body-letter-spacing'])){
					if($musicnight_theme_option['body-letter-spacing'] <> ''){
						$style .= 'body, p{';
						$style .= 'letter-spacing:'.esc_attr($musicnight_theme_option['body-letter-spacing']) .'px ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				if(!empty($musicnight_theme_option['body-text-transform'])){
					if($musicnight_theme_option['body-text-transform'] <> ''){
						$style .= 'body, p{';
						$style .= 'text-transform:'.esc_attr($musicnight_theme_option['body-text-transform']) .' ';
						$style .= '}' . "\r\n";
						
					}
				}
				
				//end Paragraph Typo
				
				$mega_menu = get_option('mega_main_menu_options');
				if(is_array($mega_menu)){
					$style .= '.kf_main_navigation ul li:before{';
					$style .= 'content:" " !important';
					$style .= '}' . "\r\n";
				}else{
					
					if(!empty($musicnight_theme_option['navi-color'])){
						if($musicnight_theme_option['navi-color'] <> ''){
							$style .= '.header-7 .navigation ul > li:hover > a, .navigation ul > li > a, .navbar-nav > li > a{';
							$style .= 'color:'.esc_attr($musicnight_theme_option['navi-color']).' !important';
							$style .= '}' . "\r\n";
							
						}
					}
					
					if(!empty($musicnight_theme_option['navi-hover-bg'])){
						if($musicnight_theme_option['navi-hover-bg'] <> ''){
							$style .= '.header-7 .navigation ul > li:hover > a, .navigation ul > li:hover > a{';
							$style .= 'background-color:'.esc_attr($musicnight_theme_option['navi-hover-bg']).' !important';
							$style .= '}' . "\r\n";
						}
					}
					
					if(!empty($musicnight_theme_option['main-menu-active-link-hover-color'])){
						if($musicnight_theme_option['main-menu-active-link-hover-color'] <> ''){
							$style .= '.navigation > .menu > ul > li.current_page_item a:hover,.navigation ul.menu > li.current-menu-item.current_page_item a:hover{';
							$style .= 'color:'.esc_attr($musicnight_theme_option['main-menu-active-link-hover-color']).' !important';
							$style .= '}' . "\r\n";
						}
					}
					if(!empty($musicnight_theme_option['navi-dropdown-hover-bg'])){
						if($musicnight_theme_option['navi-dropdown-hover-bg'] <> ''){
							$style .= '.navigation ul.sub-menu > li:hover > a{';
							$style .= 'background-color:'.esc_attr($musicnight_theme_option['navi-dropdown-hover-bg']).' !important';
							$style .= '}' . "\r\n";
						}
					}
					
					if(!empty($musicnight_theme_option['navi-hover-color'])){
						if($musicnight_theme_option['navi-hover-color'] <> ''){
							$style .= '.navigation ul > li:hover > a, .navbar-nav > li:hover{';
							$style .= 'color:'.esc_attr($musicnight_theme_option['navi-hover-color']).' !important';
							$style .= '}' . "\r\n";
							
						}
					}
					
					if(!empty($musicnight_theme_option['navi-dropdown-bg'])){
						if($musicnight_theme_option['navi-dropdown-bg'] <> ''){
							$style .= '.navigation .sub-menu, .navigation .children, .navbar-nav .children{';
							$style .= 'background:'.esc_attr($musicnight_theme_option['navi-dropdown-bg']).' !important';
							$style .= '}' . "\r\n";
							
						}
					}
					if(!empty($musicnight_theme_option['navi-dropdown-hover'])){
						if($musicnight_theme_option['navi-dropdown-hover'] <> ''){
							$style .= '.navigation .menu .sub-menu li:hover a:before, .navigation .sub-menu li:hover a:before, .navbar-nav .children li:hover a:before{ ';
							$style .= 'color:'.esc_attr($musicnight_theme_option['navi-dropdown-hover']).' !important';
							$style .= ' }' . "\r\n";
							
						}
					}

					if(!empty($musicnight_theme_option['navi-dropdown-hover'])){
						if($musicnight_theme_option['navi-dropdown-hover'] <> ''){
							$style .= '.navigation ul li ul > li:hover > a, .navbar-nav li ul > li:hover > a{ ';
							$style .= 'color:'.esc_attr($musicnight_theme_option['navi-dropdown-hover']).' !important';
							$style .= ' }' . "\r\n";
							
						}
					}
					
					if(!empty($musicnight_theme_option['navi-dropdown-color'])){
						if($musicnight_theme_option['navi-dropdown-color'] <> ''){
							$style .= 'header .navigation .sub-menu li a,header .navigation .children li a,header .navbar-nav .children li a{ ';
							$style .= 'color:'.esc_attr($musicnight_theme_option['navi-dropdown-color']).' !important';
							$style .= ' }' . "\r\n";
							
						}
					}	
					
					//Top Bar Text Color
					if(isset($musicnight_theme_option['main-menu-text'])){
						if($musicnight_theme_option['main-menu-text'] <> ''){
							$style .= 'header .navigation > .menu > ul > li a,header .navigation ul.menu > li a{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['main-menu-text']) . ';  }' . "\r\n";
						}
					}
					 
					//Top Bar Text Color
					if(isset($musicnight_theme_option['main-menu-active-link'])){
						if($musicnight_theme_option['main-menu-active-link'] <> ''){
							$style .= 'header .navigation > .menu > ul > li.current_page_item a,header .navigation ul.menu > li.current-menu-item.current_page_item a{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['main-menu-active-link']) . ';  }' . "\r\n";
						}
					}
					
					//Top Bar Text Color
					if(isset($musicnight_theme_option['main-menu-active-link-bg'])){
						if($musicnight_theme_option['main-menu-active-link-bg'] <> ''){
							$style .= 'header .navigation > .menu > ul > li.current_page_item a,header .navigation ul.menu > li.current-menu-item.current_page_item a{';						
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['main-menu-active-link-bg']) . ';  }' . "\r\n";
						}
					}
					
					//Top Bar Text Color
					if(isset($musicnight_theme_option['main-menu-active-link'])){
						if($musicnight_theme_option['main-menu-active-link'] <> ''){
							$style .= 'header .navigation .menu > ul > li.current_page_ancestor > a, header .navigation ul.menu > li.current_page_ancestor > a{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['main-menu-active-link']) . ';  }' . "\r\n";
						}
					}
					
					//Top Bar Text Color
					if(isset($musicnight_theme_option['main-menu-active-link-bg'])){
						if($musicnight_theme_option['main-menu-active-link-bg'] <> ''){
							$style .= 'header .navigation ul.menu > li.current_page_ancestor > a{';						
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['main-menu-active-link-bg']) . ';  }' . "\r\n";
						}
					}
					
					 
					//Navigation Link Bg Color
					if(isset($musicnight_theme_option['main-menu-link-background'])){
						if($musicnight_theme_option['main-menu-link-background'] <> ''){						
							$style .= 'header .navigation .current_page_item a,header .navigation > .menu > ul > li a,header .navigation ul.menu > li a{';
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['main-menu-link-background']) . ';  }' . "\r\n";
						}
					}
					
					//Navigation Link Bg Hover Color
					if(isset($musicnight_theme_option['main-menu-link-background-on-hover'])){
						if($musicnight_theme_option['main-menu-link-background-on-hover'] <> ''){
							$style .= 'header .navigation ul li > a:before{';
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['main-menu-link-background-on-hover']) . ';  }' . "\r\n";
						}
					}
					
					//Navigation Link Bg Hover Color
					if(isset($musicnight_theme_option['main-menu-link-color-on-hover'])){
						if($musicnight_theme_option['main-menu-link-color-on-hover'] <> ''){
							$style .= 'header .navigation > .menu > ul > li a:hover,header  .navigation ul.menu > li a:hover{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['main-menu-link-color-on-hover']) . ';  }' . "\r\n";
						}
					}
					
					
					//Navigation Link Bg Hover Color
					if(isset($musicnight_theme_option['main-menu-link-icon-color-on-hover'])){
						if($musicnight_theme_option['main-menu-link-icon-color-on-hover'] <> ''){
							$style .= 'header .navigation ul li:before{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['main-menu-link-icon-color-on-hover']) . ';  }' . "\r\n";
						}
					}
					
					
					//Sub Menu Configuration Bg Color
					if(isset($musicnight_theme_option['submenu-background'])){
						if($musicnight_theme_option['submenu-background'] <> ''){
							$style .= 'header .navigation > .menu > ul > li > ul.children li a,header .navigation > ul > li > ul.children li a, header .navigation > ul > li > ul.sub-menu li a, header .navigation ul.menu > li ul.sub-menu li a, header .navigation > ul > li ul.sub-menu li, header .navigation ul.menu > li ul.sub-menu li{';
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['submenu-background']) . ' !important;  }' . "\r\n";
						}
					}
					
					
					//Sub Menu Configuration Bg Color
					if(isset($musicnight_theme_option['submenu-bottom-border-color'])){
						if($musicnight_theme_option['submenu-bottom-border-color'] <> ''){
							$style .= '.sub-menu, .children,.navigation ul .sub-menu > li, .navigation ul .children > li{';
							$style .= 'border-color: ' . esc_attr($musicnight_theme_option['submenu-bottom-border-color']) . ' !important;  }' . "\r\n";
						}
					}
					
					
					
					if(isset($musicnight_theme_option['submenu-link-color'])){
						if($musicnight_theme_option['submenu-link-color'] <> ''){
							$style .= '
							header .navigation > .menu > ul > li > ul.children > li > a, 
							header .navigation > ul > li ul.children li a, 
							header .navigation > ul > li ul.sub-menu li a, 
							header .navigation ul.menu > li ul.sub-menu li a, 
							header .navigation > ul > li ul.sub-menu li, 
							header .navigation ul.menu > li ul.sub-menu li{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['submenu-link-color']) . ' !important;  }' . "\r\n";
						}
					}
					
					if(isset($musicnight_theme_option['submenu-hover-link-color'])){
						if($musicnight_theme_option['submenu-hover-link-color'] <> ''){
							$style .= 'header .navigation > .menu > ul > li ul.children li:hover a, 
							header .navigation > ul > li ul.children li:hover > a, 
							header .navigation > ul > li ul.sub-menu li:hover > a, 
							header .navigation ul.menu > li ul.sub-menu li:hover > a, 
							header .navigation > ul > li ul.sub-menu li:hover, 
							header .navigation ul.menu > li ul.sub-menu li:hover{';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['submenu-hover-link-color']) . ' !important;  }' . "\r\n";
						}
					}
					
					if(isset($musicnight_theme_option['submenu-hover-link-hover-bg'])){
						if($musicnight_theme_option['submenu-hover-link-hover-bg'] <> ''){
							$style .= 'header .navigation > .menu > ul > li ul.children li:hover > a, 
							header .navigation > ul > li ul.children li:hover > a, 
							header .navigation > ul > li ul.sub-menu li:hover > a, 
							header .navigation ul.menu > li ul.sub-menu li:hover > a, 
							header .navigation > ul > li ul.sub-menu li:hover, 
							header .navigation ul.menu > li ul.sub-menu li:hover{';
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['submenu-hover-link-hover-bg']) . ' !important;  }' . "\r\n";
						}
					}
					
					
					//Sub Main Menu Background Color on Active Ancestor
					if(isset($musicnight_theme_option['submenu-link-active-bg-color'])){
						if($musicnight_theme_option['submenu-link-active-bg-color'] <> ''){
							$style .= 'header .navigation .menu ul ul > li.current_page_ancestor ul.children li.current_page_item a
							header .navigation .menu ul ul > li.current_page_ancestor ul.children li.current_page_item,
									   header .navigation .menu ul ul > li.current_page_ancestor li.current_page_item a, 
									   header .navigation .menu ul ul > li.current_page_ancestor li.current_page_item, 
									   header .navigation ul.menu ul > li.current_page_ancestor li.current_page_item a,
									   header .navigation ul.menu ul > li.current_page_ancestor li.current_page_item,
									   header .navigation ul.menu ul .menu-item.menu-item-object-page.current-menu-item.page_item.current_page_item,
									   header .navigation ul.menu ul .menu-item.menu-item-object-page.current-menu-item.page_item.current_page_item > a{';
							$style .= 'background-color: ' . esc_attr($musicnight_theme_option['submenu-link-active-bg-color']) . ' !important;  }' . "\r\n";
						}
					}
					
					//Sub Main Menu Text Color on Active Ancestor
					if(isset($musicnight_theme_option['submenu-link-active-color'])){
						if($musicnight_theme_option['submenu-link-active-color'] <> ''){
							$style .= 'header .menu ul ul > li.current_page_ancestor ul.children li.current_page_item a,
									   header .navigation ul.menu ul > li.current_page_ancestor li.current_page_item a,
									   header .navigation ul.menu ul .menu-item.menu-item-object-page.current-menu-item.page_item.current_page_item > a,
									   header .navigation ul.menu ul .menu-item.menu-item-object-page.current-menu-item.page_item.current_page_item
									   {';
							$style .= 'color: ' . esc_attr($musicnight_theme_option['submenu-link-active-color']) . ' !important;  }' . "\r\n";
						}
					}
					
				}
				
				// Slider Caption Styling Starts
				if(isset($musicnight_theme_option['caption-background-color-switch']) && $musicnight_theme_option['caption-background-color-switch'] == 'enable'){
					if(isset($musicnight_theme_option['caption-background-color'])){
						$style .= '.kode-caption .kode-caption-title:before,.kode-caption .kode-caption-title::after{';
						$style .= 'border-bottom-color:'.esc_attr($musicnight_theme_option['caption-background-color']).' !important';
						$style .= '}' . "\r\n";				
						
						$style .= '.kode-caption .kode-caption-title{';
						$style .= 'background-color:'.esc_attr($musicnight_theme_option['caption-background-color']).' !important';
						$style .= '}' . "\r\n";				
					}
				}
					
				if(isset($musicnight_theme_option['caption-btn-color-border'])){
					$style .= '.kode-linksection, .kode-modren-btn{';
					$style .= 'border-color:'.esc_attr($musicnight_theme_option['caption-btn-color-border']).' !important';
					$style .= '}' . "\r\n";		
				}
				
				if(isset($musicnight_theme_option['caption-btn-color-bg'])){
					$style .= '.kode-linksection, .kode-modren-btn{';
					$style .= 'background:'.esc_attr($musicnight_theme_option['caption-btn-color-bg']).' !important';
					$style .= '}' . "\r\n";		
				}
				// Slider Caption Styling Ends
				
				if(!empty($musicnight_theme_option['header-background-opacity'])){
					if($musicnight_theme_option['header-background-opacity'] <> ''){
						$style .= '#header-style-3 .kode_top_strip:before, .kode_header_7 .kode_top_eng:before{';
						$style .= 'opacity:'.esc_attr($musicnight_theme_option['header-background-opacity']).' !important';
						$style .= '}' . "\r\n";
					}
				}
				
				if(!empty($musicnight_theme_option['header-background-opacity'])){
					if($musicnight_theme_option['header-background-opacity'] <> ''){
						$style .= '#header-style-3 .kode_top_strip:before, .kode_header_7 .kode_top_eng:before{';
						$style .= 'opacity:'.esc_attr($musicnight_theme_option['header-background-opacity']).' !important';
						$style .= '}' . "\r\n";
					}
				}
				
				
				//Background As Pattern
				if(isset($musicnight_theme_option['header-background-image'])){
					if($musicnight_theme_option['header-background-image'] <> ''){
						if( !empty($musicnight_theme_option['header-background-image']) && is_numeric($musicnight_theme_option['header-background-image']) ){
							$alt_text = get_post_meta($musicnight_theme_option['header-background-image'] , '_wp_attachment_image_alt', true);	
							$image_src = wp_get_attachment_image_src($musicnight_theme_option['header-background-image'], 'full');
							
							$style .= '.kode_header_7 .kode_top_eng, .kode_top_strip{background:url(' . esc_url($image_src[0]).')}';
						}else if( !empty($musicnight_theme_option['body-background-pattern']) ){
							$style .= '.kode_header_7 .kode_top_eng, .kode_top_strip{background:url(' . $musicnight_theme_option['header-background-image'].')}';
						}
					}
				}
				
				//Background As Pattern
				if(isset($musicnight_theme_option['kode-body-style'])){
					if($musicnight_theme_option['kode-body-style'] == 'body-pattern'){
						if($musicnight_theme_option['body-background-pattern'] <> ''){
							if( !empty($musicnight_theme_option['body-background-pattern']) && is_numeric($musicnight_theme_option['body-background-pattern']) ){
								$style .= 'body{background:url(' . esc_url(MUSICNIGHT_PATH . '/images/pattern/pattern_'.$musicnight_theme_option['body-background-pattern'].'.png') . ')}';
							}else if( !empty($musicnight_theme_option['body-background-pattern']) ){
								$style .= 'body{background:url(' . esc_url(MUSICNIGHT_PATH . '/images/pattern/pattern_'.$musicnight_theme_option['body-background-pattern'].'.png') . ')}';
							}
						}
					}
				}
				
				//Background As Image
				if(isset($musicnight_theme_option['kode-body-style'])){
					if($musicnight_theme_option['kode-body-style'] == 'body-background'){
						if($musicnight_theme_option['body-background-image'] <> ''){
							if( !empty($musicnight_theme_option['body-background-image']) && is_numeric($musicnight_theme_option['body-background-image']) ){
								$alt_text = get_post_meta($musicnight_theme_option['body-background-image'] , '_wp_attachment_image_alt', true);	
								$image_src = wp_get_attachment_image_src($musicnight_theme_option['body-background-image'], 'full');
								$style .= 'body{background:url(' . esc_url($image_src[0]) . ')}';
								if($musicnight_theme_option['kode-body-position'] == 'body-scroll'){
									$style .= 'body{background-attachment:scroll !important}';
								}else{
									$style .= 'body{background-attachment:fixed !important}';
								}
							}else if( !empty($musicnight_theme_option['body-background-image']) ){
								$style .= 'body{background:url(' . esc_url($musicnight_theme_option['body-background-image']) . ')}';
								if($musicnight_theme_option['kode-body-position'] == 'body-scroll'){
									$style .= 'body{background-attachment:scroll !important}';
								}else{
									$style .= 'body{background-attachment:fixed !important}';
								}
							}
						}
					}
				}
				
				//Background As Color
				if(isset($musicnight_theme_option['body-bg-color'])){
					if($musicnight_theme_option['body-bg-color'] <> ''){
						$style .= 'body { ';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['body-bg-color']) . ' !important;  }' . "\r\n";
					}
				}
				

				if(!empty($musicnight_theme_option['enable-boxed-style'])){
					if($musicnight_theme_option['enable-boxed-style'] == 'boxed-style'){
						if( !empty($musicnight_theme_option['boxed-background-image']) && is_numeric($musicnight_theme_option['boxed-background-image']) ){
							$alt_text = get_post_meta($musicnight_theme_option['boxed-background-image'] , '_wp_attachment_image_alt', true);	
							$image_src = wp_get_attachment_image_src($musicnight_theme_option['boxed-background-image'], 'full');
							$style .= 'body{background:url(' . esc_url($image_src[0]) . ')}';
						}else if( !empty($musicnight_theme_option['boxed-background-image']) ){
							$style .= 'body{background:url(' . esc_url($musicnight_theme_option['boxed-background-image']) . ')}';
						}
						
						$style .= '.logged-in.admin-bar .body-wrapper .kode-header-1{';
						$style .= 'margin-top:0px !important;';
						$style .= '}' . "\r\n";
						$style .= '.body-wrapper .kode-topbar:before{width:25%;}';
						$style .= '.body-wrapper #footer-widget .kode-widget-bg-footer:before{width:23em;}';
						$style .= '.body-wrapper .eccaption{top:40%;}';
						$style .= '.body-wrapper .main-content{background:#fff;}';
						$style .= '.body-wrapper {';
						$style .= 'background:#131021;width: 1200px;overflow:hidden; margin: 0 auto; margin-top: 40px; margin-bottom: 0px; box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);position:relative;';
						$style .= '}' . "\r\n";
					}
				}
				
				
				if(isset($musicnight_theme_option['footer-background-opacity'])){
					if($musicnight_theme_option['footer-background-opacity'] <> ''){
						$style .= 'footer:after,
									footer:before{ ';
						$style .= 'opacity: ' . esc_attr($musicnight_theme_option['footer-background-opacity']) . ' !important;  }' . "\r\n";
					}
				}
				
				//Background As Color
				if(isset($musicnight_theme_option['footer-background-color'])){
					if($musicnight_theme_option['footer-background-color'] <> ''){
						$style .= '.footer-style-2,footer{ ';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['footer-background-color'] ). ' !important;  }' . "\r\n";
					}
				}
				
				if(!empty($musicnight_theme_option['footer-background-image'])){
					if( !empty($musicnight_theme_option['footer-background-image']) && is_numeric($musicnight_theme_option['footer-background-image']) ){
						$image_src = wp_get_attachment_image_src($musicnight_theme_option['footer-background-image'], 'full');
						$style .= '.kode_eco_footer_wraper, footer{background:url(' . esc_url($image_src[0]) . ');background-size: cover;float: left;position: relative;width: 100%;}';
						$style .= '.kode_eco_footer_wraper,.eco_footer_content:before{background-image:url(' . esc_url($image_src[0]) . ');}';
						$style .= '.childcare_footer{background-image:url(' . esc_url($image_src[0]) . ');}';
					}else if( !empty($musicnight_theme_option['footer-background-image']) ){
						$style .= '.kode_eco_footer_wraper, footer{background:url(' . esc_url($musicnight_theme_option['footer-background-image']) . ');background-size: cover;float: left;position: relative;width: 100%;}';
						$style .= '.childcare_footer{background-image:url(' . esc_url($musicnight_theme_option['footer-background-image']) . ');}';
						$style .= '.kode_eco_footer_wraper, .eco_footer_content:before{background-image:url(' . esc_url($musicnight_theme_option['footer-background-image']) . ');}';
					}
				}
				
				if(isset($musicnight_theme_option['logo-bottom-margin'])){
					if($musicnight_theme_option['logo-bottom-margin'] <> ''){
						$style .= 'a.logo{';
						$style .= 'margin-bottom: ' . esc_attr($musicnight_theme_option['logo-bottom-margin']) . 'px;  }' . "\r\n";
					}
				}
				
				if(isset($musicnight_theme_option['logo-top-margin'])){
					if($musicnight_theme_option['logo-top-margin'] <> ''){
						$style .= 'a.logo{';
						$style .= 'margin-top: ' . esc_attr($musicnight_theme_option['logo-top-margin']) . 'px;  }' . "\r\n";
					}
				}
				
				if(isset($musicnight_theme_option['kode-top-bar-trans'])){
					if($musicnight_theme_option['kode-top-bar-trans'] == 'colored'){
						if(isset($musicnight_theme_option['top-bar-background-color'])){
							if($musicnight_theme_option['top-bar-background-color'] <> ''){
								$style .= '.top-strip{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['top-bar-background-color']) . ';  }' . "\r\n";
							}
						}
					}
				}
				
				//Sub Header
				if(isset($musicnight_theme_option['subheader-background'])){
					if($musicnight_theme_option['subheader-background'] <> ''){
						$style .= '.subheader_default{';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['subheader-background']) . ' !important;  }' . "\r\n";
					}
				}
				
				//Sub Header Title Color
				if(isset($musicnight_theme_option['subheader-title-color'])){
					if($musicnight_theme_option['subheader-title-color'] <> ''){
						$style .= '.subheader_default h3{';
						$style .= 'color: ' . esc_attr($musicnight_theme_option['subheader-title-color']) . ' !important;  }' . "\r\n";
					}
				}
				
				//Sub Header Title Color
				if(isset($musicnight_theme_option['subheader-breadcrumb-bgcolor'])){
					if($musicnight_theme_option['subheader-breadcrumb-bgcolor'] <> ''){
						$style .= '.subheader_default ul{';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['subheader-breadcrumb-bgcolor']) . ' !important;  }' . "\r\n";
					}
				}
				
				//Sub Header Title Color
				if(isset($musicnight_theme_option['subheader-breadcrumb-color'])){
					if($musicnight_theme_option['subheader-breadcrumb-color'] <> ''){
						$style .= '.breadcrumb > li + li::before, .subheader_default ul li a, .subheader_default ul li strong{';
						$style .= 'color: ' . esc_attr($musicnight_theme_option['subheader-breadcrumb-color']) . ' !important;  }' . "\r\n";
					}
				}
				
				//Sub Header Title Color
				if(isset($musicnight_theme_option['subheader-breadcrumb-hover-color'])){
					if($musicnight_theme_option['subheader-breadcrumb-hover-color'] <> ''){
						$style .= '.subheader_default ul li a:hover{';
						$style .= 'color: ' . esc_attr($musicnight_theme_option['subheader-breadcrumb-hover-color']) . ' !important;  }' . "\r\n";
					}
				}
				
				
				if(isset($musicnight_theme_option['nav-area-background-color'])){
					if($musicnight_theme_option['nav-area-background-color'] <> ''){
						$style .= '.kode_navigaion_bar{ ';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['nav-area-background-color']) . ' !important;  }' . "\r\n";
					}
				}
				
				
				
				if(isset($musicnight_theme_option['color-scheme-one'])){
					if(empty($musicnight_theme_option['color-scheme-one'])){
						$musicnight_theme_option['color-scheme-one'] = '#03AF14';
					}
				}
				
				if(isset($musicnight_theme_option['enable-preloader']) && $musicnight_theme_option['enable-preloader'] == 'enable'){
					$style .= '	
					.kode-profile-loader{
						background:url('.esc_url(MUSICNIGHT_PATH).'/images/ajax-loader-hotel.gif);	
						width:128px;
						margin:0 auto 20px;
						height:128px;
						display:none;
						overflow:hidden;
					}
					#kode-loader-wrapper{
						position:fixed;
						left:0;
						right:0;
						top:0;
						bottom:0;
						width:100%;
						height:100%;
						background:#fff;
						opacity:1;
						z-index:99999999;
					}
					#kode-loader-wrapper  span{
						background:url('.esc_url(MUSICNIGHT_PATH).'/images/ajax-loader-hotel.gif);	
						width:128px;
						margin:auto;
						height:128px;	
						overflow:hidden;
						position:fixed;
						left:0;
						right:0;
						top:0;
						bottom:0;
						z-index:99999999;
					}
					.kode-loader {
					  height: 100%;
					  overflow: hidden;
					}';
				}
				
				if(isset($musicnight_theme_option['color-scheme-for-border'])){
					if($musicnight_theme_option['color-scheme-for-border'] <> ''){
					$style .= '	
						ddd,
						/*
							  ============================================================
								   Border Color
							  ============================================================
						*/
						.albums-tables ul .play-btn a,
						.kf_blog_detail figure,
						.blog_img_year:before,
						.product-items:hover:after,
						.product-items:hover:before,
						.navigation-1 > ul > li:hover:before,
						.navigation-1 > ul > li:hover:after,
						.navigation-1 > ul > li.active:before,
						.navigation-1 > ul > li.active:after,
						/*   Home 2 */
						footer.footer_section,
						.kode_testimonial_content,
						div.kode_blog_content,
						.kode_social_icons li:hover a,
						div.kode_artist_content h3:before,
						ul.kode_tabs li:hover a,
						ul.kode_tabs li.active a,
						.open_player .jp-controls button:before,
						.open_player .jp-controls button.jp-play,
						div.kf_music_albums figure,
						div.heading_ho2 h3:before,
						div.heading_ho2 h3:after,
						header.kf_header_rock,
						/*   Home 1 */
						.kf_header_navigation .navigation ul li > .children,
						.navigation ul li .children,
						.mega_fig figure:hover,
						.mega_fig .play_icon,
						.artists-rank:hover figure,
						/**/
						.navigation .mega_content,
						.video-admin-img,
						.kode-comments li:hover .children .kode-author,
						.kf_commet_field input:focus,
						textarea:focus,
						.page-result:hover,
						.slick-arrow:hover,
						.msl-concert-list figure,
						.widget-player .jp-interface,
						.main_banner .thumb:hover figure,
						.jp-state-playing button.jp-play,
						.kf_contact_meta li:hover span,
						.mp3-playlist-item-cover .img-holder,
						.widget-player .jp-playlist .jp-playlist-item-cover,
						.widget-player .jp-state-playing button.jp-play,
						.theme-bdr,
						
						';
						$style .= '	{
							border-color:' . esc_attr($musicnight_theme_option['color-scheme-for-border']) . ' !important;
						}';
						
						$style .= '
						.d,
						.kode_wht_des ul li:hover span,
						.kode_wht_des ul li:hover span i,
						/*
							  ============================================================
								   Font Color
							  ============================================================
						*/
						.kf_blog_detail_des ul li:hover a,
						.ticket-column:hover li span,
						.navigation-1 > ul > li.active > a,
						.navigation-1 > ul > li:hover > a,
							/*   Home 2 */
						.footer_col_content p a:hover,
						.footer_content_tweets p small,
						.footer_content_tweets p a,
						.footer-title strong,
						ol.meta_quote li a,
						ol.meta_quote li i,
						.kode_social_icons li:hover a,
						.kode_tabs li:hover a,
						.kode_tabs li.active a,
						.open_player .jp-controls button:before,
						.open_player .jp-controls button.jp-play:before,
						.kode_event:hover .kode_event_date h3,
						.kode_event:hover .kode_event_date h3 small,
						.effect figure a:hover,
						.social_icons li a b,
						.kf_header_navigation .navigation ul > li > .children li a,
						.bgcolr-default:hover,
						.kf_meta_tags span i,
							/*   Home 1 */
						.kf_header_navigation nav .mega_albume_text a,
						.mega_slide_albume h5,
						.mega_text h6 a:hover,
						.mega_albume_text h5 a,
						.mega_text h5,
						.msl-black .comment_item .kode-author-content h5:hover a,
						.msl-black .tags_wrap li.blog-info *:hover,
						.artists-rank:hover .rank-no,
						.msl-eventlist2:hover .btn-1,
						.music-album-nav li a:hover,
						.play-list-icon a:hover,
						.play-list-icon span:hover,
						.msl-blog-full:hover .blog-title a,
						.artists-rank:hover h6 a,
						.slick-arrow:hover,
						.theme-font,
						.loadmore a,
						.concert-title:hover a,
						.comment-reply-link:hover,
						.admin-post h6 a,
						.mp3-data-list li a:hover,
						.msl-video-thumb:hover .video-icon,
						.msl-video-thumb:hover .video-title a,
						.msl-pagination .page-numbers.active,
						.msl-pagination .page-numbers:hover,
						.heading3 h4 i,
						.blog-info a:hover,
						.play-list-title i,
						.page-result:hover,
						.msl-tab-nav li a:hover,
						.msl-artist-thumb .artist-title:hover a,
						.msl-tab-nav li.active a,
						.video-admin-wrap h5:hover a,
						.kf_contact_meta li:hover span,
						.widget_categories ul li a:hover,
						.tags_wrap .msl-social a:hover,
						.blog-meta-list li a:hover,
						.msl-event:hover .event-title a,
						.kode-author-content h5:hover a,
						.rgb-alpha-listing-nav li a:hover,
						.video-player-links li div:hover a,
						.msl-featured-thumb:hover > .text .featured-title a,
						.widget-player .jp-state-muted .jp-mute::before,
						.widget-player .jp-state-looped .jp-repeat::before,
						.main_banner .thumb:hover .album-title a,
						.widget-player .opt-ui-cover .jp-details .jp-title span,
						.top-player .jp-state-playing button.jp-play::before,
						.top-player .jp-playlist li:hover *,
						.top-player .jp-state-muted .jp-mute::before,
						.top-player .jp-state-playlist .jp-show-playlist::before,
						.top-player .jp-state-shuffled button.jp-shuffle::before,
						.top-player .jp-state-looped .jp-repeat::before,
						.music-album-nav li.active a,
						.ms-categoires li:hover a,
						.ms-categoires li:hover:before,
						.product-items .product-content h4 a:hover,
						.product-content span,
						.widget-heading h4,
						div.albums-tables ul li .like-btns span,
						div.albums-tables ul li .play-btn a,
						.navigation > ul > li:hover > a,
						.books-listing-4:hover h3 a,
						.books-listing-4 .rating > span,
						.navigation ul li.active > a,
						.album-rate.absolute
						{';
						$style .= 'color: ' . esc_attr($musicnight_theme_option['color-scheme-for-color']) . ' !important;  }' . "\r\n";

						$style .= '
						ddd{';
						$style .= 'color: ' . esc_attr($musicnight_theme_option['color-scheme-for-background']) . ' !important;  }' . "\r\n";
						$style .= '
						
						/*
							  ============================================================
								   Background Color
							  ============================================================
						*/
						.d,
						
						.dl-menuwrapper li a:hover,
						.navigation ul li .children li:hover > a,
						
						.pagination > li > a:hover,
						.pagination > li.active:hover a,
						.pagination > li.active a,
						.ticket-column:hover li a,
						.instagram-link:hover,
						.kf_comment_meta > span:hover > a,
						ul.kf_social_icon > li:hover a,
						.select-column .chosen-container.chosen-container-single.chosen-with-drop.chosen-container-active .active-result.highlighted,
						.select-column .active-result.result-selected:hover,
						.select-column .active-result.result-selected,
						.select-column .active-result.result-selected.highlighted,
						.effect-3d > span > span span:nth-of-type(2),
						.main-rslider .ui-slider-horizontal .ui-slider-range,
						.main-rslider .ui-slider-horizontal .ui-slider-handle,
						.btn-normal2,
						.btn-normal:hover,
						/*   Home 2 */
						.footer_copyright,
						.subscribe_form button,
						.kode_testimonial_slider .slick-dots li button,
						.kode_video_content button:hover,
						.kode_artist_hover,
						.open_player .jp-playlist ul.mCustomScrollbar li.jp-playlist-current,
						.open_player .jp-playlist ul.mCustomScrollbar li:hover,
						.kode_event:hover .kode_event_content .active,
						.kode_event .kode_event_content .btn_normal:hover,
						.effect figure:before,
						.social_media_icons,
						.border_btn:hover,
						.kf_header_navigation .navigation ul > li > .children li:hover a:before,
						.kf_header_rock:before,
						.radio_btn:hover,
						.kf_header_navigation:before,
						.bgcolr-default,
						/*   Home 1 */
						.mega_fig .play_icon,
						.flicker-link a.btn-1,
						.artists-rank figure,
						.msl-black .msl-concert-list .btn-1,
						.msl-black .widget-player .jp-playlist li.jp-playlist-current,
						.new-album-thumb:hover,
						.msl-eventlist2:before,
						/**/
						.overlay_1,
						.dl-menuwrapper ul li a:hover,
						.dl-menuwrapper button:hover, .dl-menuwrapper button.dl-active,
						.mp3-list-table li:hover .mp3-playlist-item-cover,
						.masonry-thumb figure,
						.msl-video-thumb figure,
						.msl-featured-thumb figure,
						.msl-heading h5,
						.blog-title:before,
						.msl-event figure,
						.msl-social a:hover,
						.top-player .jp-play-bar,
						.msl-blog-full:hover .btn-1,
						.music-album-nav li a:before,
						.msl-concert-list figure:before,
						.msl-artist-thumb figure:before,
						.msl-pagination .page-numbers:before,
						.artist-banner-thumb .btn-1.theme-bg,
						.widget-player .jp-seek-bar .jp-play-bar,
						.album-list-thumb-outer.active .album-list-thumb:before,
						.artist-bio .widget-event-info .msl-social a:hover,
						.main_banner .slick-dots .slick-active button,
						.top-player .jp-playlist li.jp-playlist-current,
						.widget-player .jp-state-playing button.jp-play,
						.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar,
						.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar:hover,
						.msl-featured-thumb3-outer > .msl-featured-thumb .text .btn-1:hover,
						.theme-bg,
						.header-1st-row,
						.kode-widget div.jp_custom_box .jp-playlist li.jp-playlist-current,
						.books-listing-4 a.add-to-cart, 
						.books-listing-4 .kode-thumb a:before,
						.counter-meta,
						.login_btn .submit:hover,
						.blog_img_year
						{';
						$style .= 'background-color: ' . esc_attr($musicnight_theme_option['color-scheme-for-background']) . ' !important;  }' . "\r\n";
						
						$style .= 'button, .contributor-posts-link, input[type="button"], input[type="reset"], input[type="submit"]{';
						$style .= 'background-color: '.esc_attr($musicnight_theme_option['color-scheme-for-button']).';  }' . "\r\n";
						
						
					}						
				}
						
						$style .= '.input-field input[type="text"]:focus{';
						$style .= 'box-shadow: 0 0px 1px 0 '.esc_attr($musicnight_theme_option['color-scheme-one']).' !important;  }' . "\r\n";
						
						$style .= '.header_3 .kode_top_bar_3, .tooltip.top .tooltip-arrow{';
						$style .= 'border-top-color: ' . esc_attr($musicnight_theme_option['color-scheme-one']) . ' !important;  }' . "\r\n";
						
						
						$style .= '.kf_login_colum{';
						$style .= 'border-bottom-color: ' . esc_attr($musicnight_theme_option['color-scheme-one']) . ' !important;  }' . "\r\n";
						
						$style .= '.kode_location_property_4{';
						$style .= 'border-bottom-color: #fff !important;  }' . "\r\n";
						
						$style .= '.kode-email-account input[type="password"]:focus, .kode-email-account input[type="text"]:focus, .memberdeck .checkout-title-bar span.active::after, .kf_login_1::before{';
						$style .= 'border-color: ' . esc_attr($musicnight_theme_option['color-scheme-one']) . ' transparent transparent !important;  }' . "\r\n";
						
						
						if(isset($musicnight_theme_option['color-scheme-one']) && $musicnight_theme_option['color-scheme-one'] <> ''){
							$style .= '.kode_pet_navigation ul.nav li a.current{';
							$style .= 'border-top-color: ' . esc_attr($musicnight_theme_option['color-scheme-one'] ). ' !important;  }' . "\r\n";
						}
						
						if(isset($settings['caption-btn-color-switch']) && $settings['caption-btn-color-switch'] == 'enable'){
							if(isset($musicnight_theme_option['caption-btn-color-hover']) && $musicnight_theme_option['caption-btn-color-hover'] <> ''){
								$style .= '.kode_btn_store_1:hover,.kode_link_1.kode-linksection.hvr-radial-out:hover{';
								$style .= 'color: ' . esc_attr($musicnight_theme_option['caption-btn-color-hover']) . ' !important;  }' . "\r\n";
							}
							if(isset($musicnight_theme_option['caption-btn-color']) && $musicnight_theme_option['caption-btn-color'] <> ''){
								$style .= '.kode_btn_store_1,.kode_link_1.kode-linksection.hvr-radial-out{';
								$style .= 'color: ' . esc_attr($musicnight_theme_option['caption-btn-color']) . ' !important;  }' . "\r\n";
							}
							
							if(isset($musicnight_theme_option['caption-btn-color-border']) && $musicnight_theme_option['caption-btn-color-border'] <> ''){
								$style .= '.kode_link_1.kode-linksection.hvr-radial-out{';
								$style .= 'outline-color: ' . esc_attr($musicnight_theme_option['caption-btn-color-border']) . ' !important;  }' . "\r\n";
							}
							
							if(isset($musicnight_theme_option['caption-btn-color-bg']) && $musicnight_theme_option['caption-btn-color-bg'] <> ''){
								$style .= '.kode_btn_store_1, .kode_link_1.kode-linksection.hvr-radial-out{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['caption-btn-color-bg']) . ' !important;  }' . "\r\n";
							}
							
							if(isset($musicnight_theme_option['caption-btn-hover-bg']) && $musicnight_theme_option['caption-btn-hover-bg'] <> ''){
								$style .= '.kode_btn_store_1:hover, .kode_link_1.kode-linksection.hvr-radial-out:hover{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['caption-btn-hover-bg']) . ' !important;  }' . "\r\n";		
							}

							if(isset($musicnight_theme_option['caption-btn-arrow-color']) && $musicnight_theme_option['caption-btn-arrow-color'] <> ''){
								$style .= '.kode_link_1.kode-linksection.hvr-radial-out i{';
								$style .= 'color: ' . esc_attr($musicnight_theme_option['caption-btn-arrow-color']) . ' !important;  }' . "\r\n";		
							}
							
							if(isset($musicnight_theme_option['caption-btn-arrow-hover']) && $musicnight_theme_option['caption-btn-arrow-hover'] <> ''){
								$style .= '.kode_link_1.kode-linksection.hvr-radial-out:hover i{';
								$style .= 'color: ' . esc_attr($musicnight_theme_option['caption-btn-arrow-hover']) . ' !important;  }' . "\r\n";		
							}
							
							if(isset($musicnight_theme_option['bx-arrow']) && $musicnight_theme_option['bx-arrow'] == 'disable'){
								$style .= '.kode-item.kode-slider-item .kode-bxslider .bx-controls-direction{';
								$style .= 'display:none !important;  }' . "\r\n";		
							}
							
							if(isset($musicnight_theme_option['caption-btn-arrow-bg']) && $musicnight_theme_option['caption-btn-arrow-bg'] <> ''){
								$style .= '.kode_link_1.kode-linksection.hvr-radial-out:before{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['caption-btn-arrow-bg']) . ' !important;  }' . "\r\n";		
							}
							
							if(isset($musicnight_theme_option['caption-btn-arrow-hover-bg']) && $musicnight_theme_option['caption-btn-arrow-hover-bg'] <> ''){
								$style .= '.kode_link_1.kode-linksection.hvr-radial-out:hover:before{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['caption-btn-arrow-hover-bg']) . ' !important;  }' . "\r\n";	
							}
						}
						if(isset($musicnight_theme_option['sidebar-tbn']) && $musicnight_theme_option['sidebar-tbn'] == 'enable'){
							if(isset($musicnight_theme_option['sidebar-bg-color'])){
								$style .= '
								.kode-sidebar.kode-left-sidebar,
								.kode-sidebar.kode-right-sidebar,
								.kode-widget.kode-sidebar-element{';
								$style .= 'background-color: ' . esc_attr($musicnight_theme_option['sidebar-bg-color']) . ' !important;float:left;width:100%;}' . "\r\n";
							}
							
							if(isset($musicnight_theme_option['sidebar-padding-top'])){
								$style .= '
								.kode-sidebar.kode-left-sidebar,
								.kode-sidebar.kode-right-sidebar,
								.kode-widget.kode-sidebar-element{';
								$style .= 'padding-top: ' . esc_attr($musicnight_theme_option['sidebar-padding-top']) . 'px !important;}' . "\r\n";
							}
							if(isset($musicnight_theme_option['sidebar-padding-bottom'])){
								$style .= '
								.kode-sidebar.kode-left-sidebar,
								.kode-sidebar.kode-right-sidebar,
								.kode-widget.kode-sidebar-element{';
								$style .= 'padding-bottom: ' . esc_attr($musicnight_theme_option['sidebar-padding-bottom']) . 'px !important;}' . "\r\n";
							}
							if(isset($musicnight_theme_option['sidebar-padding-left'])){
								$style .= '
								.kode-sidebar.kode-left-sidebar,
								.kode-sidebar.kode-right-sidebar,
								.kode-widget.kode-sidebar-element{';
								$style .= 'padding-left: ' . esc_attr($musicnight_theme_option['sidebar-padding-left']) . 'px !important;}' . "\r\n";
							}
							if(isset($musicnight_theme_option['sidebar-padding-right'])){
								$style .= '
								.kode-sidebar.kode-left-sidebar,
								.kode-sidebar.kode-right-sidebar,
								.kode-widget.kode-sidebar-element{';
								$style .= 'padding-right: ' . esc_attr($musicnight_theme_option['sidebar-padding-right']) . 'px !important;}' . "\r\n";
							}
						}
						if(isset($musicnight_theme_option['woo-post-title']) && $musicnight_theme_option['woo-post-title'] == 'disable'){
							$style .= '.woocommerce-content-item .product .product_title.entry-title{ display:none;}';							
						}
						
						if(isset($musicnight_theme_option['woo-post-price']) && $musicnight_theme_option['woo-post-price'] == 'disable'){
							$style .= '.woocommerce-content-item div[itemprop="offers"]{ display:none;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-variable-price']) && $musicnight_theme_option['woo-post-price'] == 'disable'){
							$style .= '.woocommerce-content-item div[itemprop="offers"]{ display:none;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-related']) && $musicnight_theme_option['woo-post-related'] == 'disable'){
							$style .= '.woocommerce-content-item .product .related.products{ display:none;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-sku']) && $musicnight_theme_option['woo-post-sku'] == 'disable'){
							$style .= '.woocommerce-content-item .product .sku_wrapper{ display:none;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-category']) && $musicnight_theme_option['woo-post-category'] == 'disable'){
							$style .= '.woocommerce-content-item .product .posted_in{ display:none; !important;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-tags']) && $musicnight_theme_option['woo-post-tags'] == 'disable'){
							$style .= '.woocommerce-content-item .product .tagged_as{ display:none !important;}';
						}
						
						if(isset($musicnight_theme_option['woo-post-outofstock']) && $musicnight_theme_option['woo-post-outofstock'] == 'disable'){
							
						}
						
						if(isset($musicnight_theme_option['woo-post-saleicon']) && $musicnight_theme_option['woo-post-saleicon'] == 'disable'){
							$style .= '.woocommerce-content-item .product .onsale{ display:none;}';
						}

					
				return $style;
				
			}
		}