<?php

add_action( 'tgmpa_register', 'musicnight_register_required_plugins' );
if( !function_exists('musicnight_register_required_plugins') ){
	function musicnight_register_required_plugins(){
		$plugins = array(
			
		
			
			array(
				'name'     				=> esc_attr__('Album Plugin','music-night'),
				'slug'     				=> 'wpmf-album', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-album.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),
			array(
				'name'     				=> esc_attr__('Kode Importer','music-night'),
				'slug'     				=> 'wpmf-importer', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-importer.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),
			
			array(
				'name'     				=> esc_attr__('Artist Plugin','music-night'),
				'slug'     				=> 'wpmf-artist', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-artist.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),
			
			array(
				'name'     				=> esc_attr__('Shortcodes','music-night'),
				'slug'     				=> 'wpmf-shortcode', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-shortcode.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),

			array(
				'name'     				=> esc_attr__('Testimonial Plugin','music-night'),
				'slug'     				=> 'wpmf-testimonial', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-testimonial.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),	
			
			array(
				'name'     				=> esc_attr__('Video Plugin','music-night'),
				'slug'     				=> 'wpmf-video', 
				'source'   				=> get_template_directory() . '/framework/include/tgm_library/plugins/wpmf-video.zip',				
				'required' 				=> false,
				'force_activation' 		=> false,
				'force_deactivation' 	=> false, 
			),	
			
			array('name' => esc_attr__('WooCommerce','music-night'), 'slug' => 'woocommerce', 'required' => false),
			array('name' => esc_attr__('Contact Form 7','music-night'),'slug' => 'contact-form-7', 'required' => true),
			array('name' => esc_attr__('WP Database Reset','music-night'),'slug' => 'wordpress-database-reset', 'required' => false),
			
			array(
				'name'      => esc_attr__('Event Manager','music-night'),
				'slug'      => 'events-manager',
				'required'  => false,
			),
			
		);

		$config = array(
			'id'           => 'music-night',                 // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'parent_slug'  => 'themes.php',            // Parent menu slug.
			'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.	
			
			'strings'      => array(
				'page_title'                      => esc_attr__( 'Install Required Plugins', 'music-night' ),
				'menu_title'                      => esc_attr__( 'Install Plugins', 'music-night' ),
				'installing'                      => esc_attr__( 'Installing Plugin: %s', 'music-night' ), // %s = plugin name.
				'oops'                            => esc_attr__( 'Something went wrong with the plugin API.', 'music-night' ),
				'notice_can_install_required'     => _n_noop(
					'This theme requires the following plugin: %1$s.',
					'This theme requires the following plugins: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_can_install_recommended'  => _n_noop(
					'This theme recommends the following plugin: %1$s.',
					'This theme recommends the following plugins: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_cannot_install'           => _n_noop(
					'Sorry, but you do not have the correct permissions to install the %1$s plugin.',
					'Sorry, but you do not have the correct permissions to install the %1$s plugins.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_ask_to_update'            => _n_noop(
					'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
					'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_ask_to_update_maybe'      => _n_noop(
					'There is an update available for: %1$s.',
					'There are updates available for the following plugins: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_cannot_update'            => _n_noop(
					'Sorry, but you do not have the correct permissions to update the %1$s plugin.',
					'Sorry, but you do not have the correct permissions to update the %1$s plugins.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_can_activate_required'    => _n_noop(
					'The following required plugin is currently inactive: %1$s.',
					'The following required plugins are currently inactive: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_can_activate_recommended' => _n_noop(
					'The following recommended plugin is currently inactive: %1$s.',
					'The following recommended plugins are currently inactive: %1$s.',
					'music-night'
				), // %1$s = plugin name(s).
				'notice_cannot_activate'          => _n_noop(
					'Sorry, but you do not have the correct permissions to activate the %1$s plugin.',
					'Sorry, but you do not have the correct permissions to activate the %1$s plugins.',
					'music-night'
				), // %1$s = plugin name(s).
				'install_link'                    => _n_noop(
					'Begin installing plugin',
					'Begin installing plugins',
					'music-night'
				),
				'update_link' 					  => _n_noop(
					'Begin updating plugin',
					'Begin updating plugins',
					'music-night'
				),
				'activate_link'                   => _n_noop(
					'Begin activating plugin',
					'Begin activating plugins',
					'music-night'
				),
				'return'                          => esc_attr__( 'Return to Required Plugins Installer', 'music-night' ),
				'plugin_activated'                => esc_attr__( 'Plugin activated successfully.', 'music-night' ),
				'activated_successfully'          => esc_attr__( 'The following plugin was activated successfully:', 'music-night' ),
				'plugin_already_active'           => esc_attr__( 'No action taken. Plugin %1$s was already active.', 'music-night' ),  // %1$s = plugin name(s).
				'plugin_needs_higher_version'     => esc_attr__( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'music-night' ),  // %1$s = plugin name(s).
				'complete'                        => esc_attr__( 'All plugins installed and activated successfully. %1$s', 'music-night' ), // %s = dashboard link.
				'contact_admin'                   => esc_attr__( 'Please contact the administrator of this site for help.', 'music-night' ),

				'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
			),
		
		);

		tgmpa( $plugins, $config );
	}
}