<?php 
	/*	
	*	Kodeforest Framework File
	*	---------------------------------------------------------------------
	*	This file includes the functions to run the plugins - Theme Options
	*	---------------------------------------------------------------------
	*/

	if(is_ssl()){
		define('KODE_HTTP', 'https://');
	}else{
		define('KODE_HTTP', 'http://');
	}
	
	//Data validation HTMl
	if( !function_exists('musicnight_esc_html') ){	
		function musicnight_esc_html ($html) {
			return esc_html($html);
		}
	}	
	
	//Data Validation
	if( !function_exists('musicnight_esc_html_excerpt') ){	
		function musicnight_esc_html_excerpt ($html) {
			return esc_html(strip_tags($html));
		}
	}
	
	//Get the Theme Options
	$musicnight_theme_option = get_option('musicnight_admin_option', array());		
	
	
	//Define the content width - Clearing the ThemeCheck
	$musicnight_theme_option['content-width'] = 960;
	
	//Default Variables
	$musicnight_gallery_id = 0;
	$musicnight_lightbox_id = 0;
	$musicnight_crop_video = false;
	$musicnight_excerpt_length = 55;
	$musicnight_excerpt_read_more = true;
	$musicnight_wrapper_id = 0;
	
	
	
	$musicnight_thumbnail_size = array(
		'musicforest-full-slider' => array('width'=>1600, 'height'=>900, 'crop'=>true),
		'musicforest-post-thumbnail-size' => array('width'=>700, 'height'=>300, 'crop'=>true),
		'musicforest-team-size' => array('width'=>350, 'height'=>350, 'crop'=>true),
		'musicforest-serv-size' => array('width'=>345, 'height'=>315, 'crop'=>true),
		'musicforest-small-serv-size' => array('width'=>260, 'height'=>325, 'crop'=>true),
		'musicforest-blog-size' => array('width'=>570, 'height'=>300, 'crop'=>true),
		'musicforest-property-modern' => array('width'=>370, 'height'=>225, 'crop'=>true),
		'musicforest-blog-post-size' => array('width'=>1170, 'height'=>350, 'crop'=>true),
	);
	
	$musicnight_thumbnail_size = apply_filters('custom-thumbnail-size', $musicnight_thumbnail_size);
	// Create Sizes on the theme activation
	add_action( 'after_setup_theme', 'musicnight_define_thumbnail_size' );
	if( !function_exists('musicnight_define_thumbnail_size') ){
		function musicnight_define_thumbnail_size(){
			add_theme_support( 'post-thumbnails' );
		
			global $musicnight_thumbnail_size;		
			foreach($musicnight_thumbnail_size as $musicnight_size_slug => $musicnight_size){
				add_image_size($musicnight_size_slug, $musicnight_size['width'], $musicnight_size['height'], $musicnight_size['crop']);
			}
		}
	}
	
	// add the image size filter to ThemeOptions
	add_filter('image_size_names_choose', 'musicnight_define_custom_size_image');
	function musicnight_define_custom_size_image( $sizes ){	
		$additional_size = array();
		
		global $musicnight_thumbnail_size;
		foreach($musicnight_thumbnail_size as $musicnight_size_slug => $musicnight_size){
			$additional_size[$musicnight_size_slug] = $musicnight_size_slug;
		}
		
		return array_merge($sizes, $additional_size);
	}
	
	// Get All The Sizes
	function musicnight_get_thumbnail_list(){
		global $musicnight_thumbnail_size;
		
		$sizes = array();
		foreach( get_intermediate_image_sizes() as $size ){
			if(in_array( $size, array( 'thumbnail', 'medium', 'large' )) ){
				$sizes[$size] = $size . ' -- ' . get_option($size . '_size_w') . 'x' . get_option($size . '_size_h');
			}else if( !empty($musicnight_thumbnail_size[$size]) ){
				$sizes[$size] = $size . ' -- ' . $musicnight_thumbnail_size[$size]['width'] . 'x' . $musicnight_thumbnail_size[$size]['height'];
			}else{
			
			}
		}
		$sizes['full'] = esc_html__('full size (Real Images)', 'music-night');
		
		return $sizes;
	}	
	
	// Get All The Sizes
	function musicnight_get_thumbnail_list_emptyfirst(){
		global $musicnight_thumbnail_size;
		
		$sizes = array('0'=>'');
		foreach( get_intermediate_image_sizes() as $size ){
			if(in_array( $size, array( 'thumbnail', 'medium', 'large' )) ){
				$sizes[$size . ' -- ' . get_option($size . '_size_w') . 'x' . get_option($size . '_size_h')] = $size;
			}else if( !empty($musicnight_thumbnail_size[$size]) ){
				$sizes[$size . ' -- ' . $musicnight_thumbnail_size[$size]['width'] . 'x' . $musicnight_thumbnail_size[$size]['height']] = $size;
			}else{
			
			}
		}
		$sizes['full size (Real Images)'] = esc_html__('full', 'music-night');
		
		return $sizes;
	}	
	
	
	// create page builder
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kf_function_utility.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/kf_function_regist.php');
	$musicnight_theme_option['enable-page-builder'] = empty($musicnight_theme_option['enable-page-builder']) ? 'enable' : $musicnight_theme_option['enable-page-builder'];
	if($musicnight_theme_option['enable-page-builder'] == 'enable'){
		include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode-demo-options.php');
	}
	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kf_function_utility.php');	
	
	
	// Create Theme Options
	$musicnight_theme_option['enable-page-builder'] = empty($musicnight_theme_option['enable-page-builder']) ? 'enable' : $musicnight_theme_option['enable-page-builder'];
	if($musicnight_theme_option['enable-page-builder'] == 'enable'){
		include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kf_pagebuilder.php');	
	}
	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kf_themeoption.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kf_themeoption_color.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kf_themeoption_typo.php');
	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kode-include-script.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kode_google_fonts.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kf-file-system.php');
	
	// Frontend Assets & functions
		
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode_loadstyle.php');
	
	//Events
	if(class_exists('EM_Events')){
		include_once( MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode-events-options.php');
	}
	//WooCommerce
	if(class_exists('WooCommerce')){
		include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode-woo-options.php');
	}
	//IgnitionDeck
	if(class_exists('Deck')){
		include_once( MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode-igni-options.php');
	}
	
	// create page options
	include_once( MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/kode-post-options.php');
	
	//Frontend
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/elements/kf_media_center.php');
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/elements/kode_page_elements.php');
	include_once( MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_front_func/elements/kf_blogging.php');		
	
	// page builder template
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kf_themeoptions_html.php');	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kf_theme_meta.php');
	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kf_pagebuilder_backend.php');	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kf_pagebuilder_meta.php');	
	include_once(MUSICNIGHT_LOCAL_PATH . '/framework/include/kode_meta/kf_pagebuilder_scripts.php');	
	
	
?>