<?php
/**
 * The default template for displaying standard post format
 */
if( !function_exists('musicnight_fetch_post_full') ){
	function musicnight_fetch_post_full(){		
		global $musicnight_post_settings,$musicnight_theme_option,$post; 
		$title_num_fetch = '';
		$musicnight_post_settings['content'] = get_the_content();
		$blog_meta = (empty($musicnight_post_settings['blog-meta']))? '': $musicnight_post_settings['blog-meta'];
		$blog_share = (empty($musicnight_post_settings['blog-share']))? '': $musicnight_post_settings['blog-share'];
		if(isset($musicnight_post_settings['title-num-fetch']) && $musicnight_post_settings['title-num-fetch'] <> ''){
			$title_num_fetch = $musicnight_post_settings['title-num-fetch'];
		}else{
			$title_num_fetch = 100;
		}
		$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
		if( !empty($musicnight_post_option) ){
			$musicnight_post_option = json_decode( $musicnight_post_option, true );					
		}
		$musicnight_icon = '';
		if(isset($musicnight_post_option['post_media_type']) && $musicnight_post_option['post_media_type'] == 'audio'){
			$musicnight_icon = 'fa fa-bullhorn';	
		}else if(isset($musicnight_post_option['post_media_type']) && $musicnight_post_option['post_media_type'] == 'video'){
			$musicnight_icon = 'fa fa-video-camera';
		}else if(isset($musicnight_post_option['post_media_type']) && $musicnight_post_option['post_media_type'] == 'slider'){
			$musicnight_icon = 'fa fa-television';
		}else{
			$musicnight_icon = 'fa fa-picture-o';
		}
		$thumbnail_size = (empty($musicnight_post_settings['thumbnail-size']))? $musicnight_theme_option['musicforest-post-thumbnail-size']: $musicnight_theme_option['thumbnail-size'];
		$musicnight_thumbnail_id = get_post_thumbnail_id( get_the_ID() );
		$musicnight_thumbnail = wp_get_attachment_image_src( $musicnight_thumbnail_id , 'full' );
		$format = get_post_format( get_the_ID() ); 
		?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('blog-listing-night'); ?>>
			<article>
				<?php if(get_the_title() <> ''){ ?>
					<?php if(isset($blog_meta) && $blog_meta == 'yes'){ ?>
					<ul class="church_meta_date meta_2 meta_3 kode-meta-info-complete">
						<?php if( is_sticky(get_the_ID()) ){ ?>
							<li class="blog-info blog-date"><i class="fa fa-bullhorn"></i> <a href="#"> <?php esc_attr_e('Featured','music-night');?></a></li>
							<?php echo musicnight_get_blog_info(array('date'), false, '','li');?>
						<?php }else{ ?>
							<?php echo musicnight_get_blog_info(array('date'), false, '','li');?>
						<?php }?>
						<?php echo musicnight_get_blog_info(array('author'), false, '','li');?>
						<?php echo musicnight_get_blog_info(array('views'), false, '','li');?>
					</ul>
					<?php } ?>
				<?php }else{ ?>
					<ul class="church_meta_date meta_2 meta_3 kode-meta-info-complete">
						<?php if(isset($blog_meta) && $blog_meta == 'yes'){ ?>
							<?php if( is_sticky(get_the_ID()) ){ ?>
								<li class="blog-info blog-date"><i class="fa fa-bullhorn"></i> <a href="#"> <?php esc_attr_e('Featured','music-night');?></a></li>
								<li class="blog-info blog-time"><i class="fa fa-calendar"></i><a href="<?php echo esc_url(get_permalink())?>"><?php echo esc_attr(get_the_date(get_option('date_format')));?></a></li>
							<?php }else{ ?>
								<li class="blog-info blog-time"><i class="fa fa-calendar"></i><a href="<?php echo esc_url(get_permalink())?>"><?php echo esc_attr(get_the_date(get_option('date_format')));?></a></li>
							<?php }?>
							<?php echo musicnight_get_blog_info(array('author'), false, '','li');?>
							<?php echo musicnight_get_blog_info(array('views'), false, '','li');?>
							<?php echo musicnight_get_blog_info(array('date'), false, '','li');?>
						<?php } ?>
					</ul>
				<?php }?>
				<div class="detail">
				<?php
					$musicnight_get_image = musicnight_get_image(get_post_thumbnail_id(), esc_attr($thumbnail_size), true); 
					if(!empty($musicnight_thumbnail)){ 
						$lawbase_class = '';
						if( has_post_thumbnail() ){ ?>
						<figure>
							<?php get_template_part('single/thumbnail', get_post_format()); ?>
							<figcaption>
								<a href="<?php echo esc_url(get_permalink())?>" class="anker-plus"></a>
							</figcaption>						
						</figure>
						<?php } // Has Post Thumbnail?>
					<?php } // Find Thumbnail ID?>
					<div class="text">
						<?php if(get_the_title() <> ''){ ?>
							<h5><a href="<?php echo esc_url(get_permalink())?>"><?php echo wp_trim_words(get_the_title(),$title_num_fetch);?></a></h5>
						<?php }
						// Content
						if( is_single() || $musicnight_post_settings['num-excerpt'] < 0 || $musicnight_post_settings['num-excerpt'] == 'full'){
							echo '<div class="kode-blog-content">';
							echo musicnight_content_filter($musicnight_post_settings['content'], true);
							wp_link_pages( array( 
								'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'music-night' ) . '</span>', 
								'after' => '</div>', 
								'link_before' => '<span>', 
								'link_after' => '</span>' )
							);
							echo '</div>';
						}else if( $musicnight_post_settings['num-excerpt'] != 0 ){
							echo musicnight_content_filter(get_the_excerpt());
							echo '<a class="btn-1" href="'.esc_url(get_permalink()).'">'.esc_attr__('See More','music-night').'</a>';
						}
						?>
					</div>
				</div>
			</article>
		</div>
		
	<?php 
	}
}
musicnight_fetch_post_full();
?>