<?php
/**
 * The template for displaying link post format
 */
if( !function_exists('musicnight_content_link') ){	 
function musicnight_content_link(){
	$post_format_data = '';
	$content = trim(get_the_content(esc_html__( 'Read More', 'music-night' )));
	if(preg_match('#^<a.+href=[\'"]([^\'"]+).+</a>#', $content, $match)){ 
		$post_format_data = $match[1];
		$content = substr($content, strlen($match[0]));
	}else if(preg_match('#^https?://\S+#', $content, $match)){
		$post_format_data = $match[0];
		$content = substr($content, strlen($match[0]));
	}	
	
	if( !is_single() ){ 
		global $musicnight_post_settings,$musicnight_theme_option; 
		if($musicnight_post_settings['num-excerpt'] < 0) global $more; $more = 0;
	}else{
		global $musicnight_post_settings, $musicnight_theme_option;
	}
	
	if(!isset($musicnight_post_settings['title-num-fetch']) && empty($musicnight_post_settings['title-num-fetch'])){
		$musicnight_post_settings['title-num-fetch'] = '21';
	}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('msl-blog-full'); ?>>
	<div class="text">
		<div class="kode-title-link">
			<div class="kf_pet_news_link ">
				<a href="<?php echo esc_url(get_permalink());?>"><i class="fa fa-link"></i></a>
			</div>
			<h5><a href="<?php echo esc_url(get_permalink());?>"><?php echo esc_attr(get_the_title());?></a></h5>
		</div>
		<div class="kode-link-post">
			<?php if(isset($post_format_data) && $post_format_data <> ''){ ?>
				<div class="kode-thumb-link">
					<?php echo wp_kses($post_format_data,array('strong'=>array(),'a'=>array('href'=>array(),'class'=>array())))?>
				</div>
			<?php }?>	
			<div class="kode-link-content-area">
				<?php 
					if( is_single() || $musicnight_post_settings['num-excerpt'] < 0 || $musicnight_post_settings['num-excerpt'] == 'full'){
						echo '<div class="kode-blog-content">';
						echo musicnight_content_filter(get_the_content(), true);
						wp_link_pages( array( 
							'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'music-night' ) . '</span>', 
							'after' => '</div>', 
							'link_before' => '<span>', 
							'link_after' => '</span>' )
						);
						echo '</div>';
					}else if( $musicnight_post_settings['num-excerpt'] != 0 ){
						echo '<div class="kode-blog-content kode_pet_blog_des"><p>' . esc_attr(get_the_excerpt()) . '</p>
					</div>';
					}
				?>	
				
			</div>
		</div>
	</div>
</article>
<?php }
}
musicnight_content_link();