<?php get_header(); ?>
<div class="content">
	<?php 
	$musicnight_theme_option = get_option('musicnight_admin_option', array());
	$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
	if( !empty($musicnight_post_option) ){
		$musicnight_post_option = json_decode( $musicnight_post_option, true );					
	}
	$thumbnail_size = empty($musicnight_post_option['thumbnail-size'])? 'full' : $musicnight_post_option['thumbnail-size'];
	$album_shortcode = empty($musicnight_post_option['services-shortcode'])? '' : $musicnight_post_option['services-shortcode'];
	$accordian_shortcode = empty($musicnight_post_option['accordian-shortcode'])? '' : $musicnight_post_option['accordian-shortcode'];
	
	if( empty($musicnight_post_option['sidebar']) || $musicnight_post_option['sidebar'] == 'default-sidebar' ){
		$musicnight_sidebar = array(
			'type'=>$musicnight_theme_option['post-sidebar-template'],
			'left-sidebar'=>$musicnight_theme_option['post-sidebar-left'], 
			'right-sidebar'=>$musicnight_theme_option['post-sidebar-right']
		); 
	}else{
		$musicnight_sidebar = array(
			'type'=>$musicnight_post_option['sidebar'],
			'left-sidebar'=>$musicnight_post_option['left-sidebar'], 
			'right-sidebar'=>$musicnight_post_option['right-sidebar']
		); 				
	}			
	$musicnight_sidebar = musicnight_get_sidebar_class($musicnight_sidebar);
	while ( have_posts() ){ 
		the_post(); 
		global $post;
		
		$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
		if( !empty($kode_input_data) ){
			$kode_input_data = json_decode( $kode_input_data, true );					
		}
		$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , 'full');				
		$album_track = '<div class="album-tracks album-playlist-single">';
		// $album_track .= get_the_post_thumbnail($post->ID, $thumbnail_size);
		if(!empty($kode_input_data['kode_input_data'])){
			$input_textfield = $kode_input_data['kode_input_data'];						
			for($i = 0; $i <= count($input_textfield['header']); $i++){
				$item_count = count($input_textfield['header']);
				if(!empty($input_textfield['header'][$i])){
					$track = $input_textfield['track_url'][$i];
					if( is_numeric($track) ){ 
						$track = wp_get_attachment_url($track);
					}else{
						$track = $input_textfield['track_url'][$i];
					}
					$mytitle = $input_textfield['title'][$i];
					$new_title = str_replace(' ','-',$mytitle);
					$new_title = strtolower($new_title);
					$album_track .= '
					<ul class="title-head album_item">
						<li class="min-width-60">
							<span class="table-play-icon"><img src="'.esc_url($background_image[0]).'" alt=""/></span>
						</li>
						<li class="min-width-60">
							<a data-hyperlink="#" 
							data-album="'.esc_attr($input_textfield['title'][$i]).'" 
							data-image="'.esc_url($background_image[0]).'" 
							data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" 
							href="'.esc_attr($track).'" 
							title="" 
							data-artist="'.esc_attr(get_the_title()).'"><i class="fa fa-plus" aria-hidden="true"></i></a>
						</li>
						<li class="min-width">
							<strong class="songs-name">'.esc_attr($input_textfield['title'][$i]).'</strong>
							<p>'.esc_attr($input_textfield['title'][$i]).'</p>
						</li>
						<li class="min-width-60">
							
						</li>
						<li class="min-width-60 track-download">
							<a href="'.esc_attr($track).'" class="kf_download-item"><i class="fa fa-download"></i></a>
						</li>
						<li class="min-width-60">
							<span class="itunes">Buy Now</span>
						</li>
						<li class="min-width-60 like-buttons">
							<div class="vot_updown2" id="vt_track_album_'.esc_attr($post->ID).$i.$new_title.'"></div>
						</li>
					</ul>';
				}
			}
		}
		$album_track .= '</div>';
	?>
	<div class="kode_arist_list">
		<div class="container">
			<div class="kf_artist_blog">
				<figure>
					<?php echo get_the_post_thumbnail($post->ID, 'musicforest-small-serv-size');?>
					<div id="vt_album_<?php echo esc_attr($post->ID)?>" class="vot_plus"><i class="fa fa-heart" aria-hidden="true"></i></div>
				</figure>
				<div class="kf_artist-content">
					<h2><?php the_title();?></h2>
					<?php echo musicnight_get_album_info($post->post_id , array('category'),'','','strong');?>
					<p><?php echo esc_attr(get_the_excerpt());?></p>
					<ul class="press-buttons-arist">
						<li><a href="#playlist" class="btn-padding"><i class="fa fa-volume-up" aria-hidden="true"></i>play all</a></li>
						<li><a href="#all-albums" class="btn-padding"><i class="fa fa-refresh" aria-hidden="true"></i>All Albums</a></li>
						<li><a href="#" class="btn-share-icon btn-padding"><i class="fa fa-share-alt" aria-hidden="true"></i>share<b>124</b></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<div class="kode_artist_tablist">
		<div class="container">
			<ul class="nav-tablist">
				<li class="active"><a href="#">overview</a></li>
				<li><a href="#">biography</a></li>
				<li><a href="#">similar artists</a></li>
				<li><a href="#">playlists</a></li>
				<li><a href="#">comments</a></li>
				<li><a href="#">concerts</a></li>
			</ul>
		</div>
	</div>
	<div class="kode-tab-content">
		<div class="container">
			<div class="content-wrap-songs">
				<h4 class="comment_title"><?php esc_attr_e('Personal Information','music-night');?></h4>
				<?php 
				the_content();
				wp_link_pages( array( 
					'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'music-night' ) . '</span>', 
					'after' => '</div>', 
					'link_before' => '<span>', 
					'link_after' => '</span>' 
				));
				?>				
				<h4 class="comment_title">Album All Tracks</h4>
				<div id="playlist" class="kode_tab_table">
					<ol class="title-head kf-table-header">
						<li class="min-width-60">
							<span class="list-no">#</span>
						</li>
						<li class="min-width-60">
							<span></span>
						</li>
						<li class="min-width">
							<strong class="songs-name">Track</strong>
						</li>
						<li class="min-width-60">
							<button style="display: none;" class="dots-points"><span></span><span></span><span></span></button>
						</li>
						<li class="min-width-60 track-download">
							<strong class="kf_download-item"><i class="fa fa-download"></i></strong>
						</li>
						<li class="min-width-60">
							<a href="#"><span class="fa fa-shopping-cart" aria-hidden="true"></span></a>
						</li>
						<li class="min-width-60 like-buttons">
						   <span class="fa fa-thumbs-up" aria-hidden="true"> Like / Dislike</span>
						</li>
					</ol>
					<?php echo $album_track;?>
				</div>
				<div class="load-more-btn">
					<a class="btn-loader" href="#">show more</a>
				</div>
				<div class="kode-singles">
					<div class="top_blog_elements">
						<h4 class="comment_title">Related or Similar Albums</h4>						
					</div>
					<div id="all-albums" class="grid-multiple">
						<div class="row">
							<?php echo musicnight_related_albums($post->ID,12,6,'desc','title'); ?>
						</div> 
						<!--<div class="comments-blog-2">
							<?php //comments_template() ?>
						</div>
						<div class="artist_slider-blog">							
							<h4 class="comment_title">Other Artists</h4>							
							<div class="row">
								<?php //echo musicnight_related_albums($post->ID,6,6,'desc','title'); ?>
							</div>
						</div>-->
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php }?>
		
</div><!-- content -->
<?php if( isset($musicnight_post_option['clients_gallery']) && $musicnight_post_option['clients_gallery'] <> ''){

 ?>
<div class="kf_brand">
	<div class="container">
		<div class="row">
			<!--Brand Slider Start-->
			<div class="brand_slider">
				<?php	
					$clients_gallery = json_decode($musicnight_post_option['clients_gallery'], true);
					$slide_gallery_order = $clients_gallery[0];
					$slide_gallery_data = $clients_gallery[1];					
					
					$slides_gallery = array();
					if(!empty($slide_gallery_order)){
						foreach( $slide_gallery_order as $slide_gallery_id ){
							$slides_gallery[$slide_gallery_id] = $slide_data[$slide_gallery_id];
						}
					}
					$musicnight_post_option['clients_gallery'] = $slides_gallery;
					foreach($musicnight_post_option['clients_gallery'] as $slide_gallery_id => $slide_gallery){
						$image_src_client = wp_get_attachment_image_src($slide_gallery_id, 'full');	
						echo '
							<div>
								<a href="#">
									<img src="'.esc_url($image_src_client[0]).'" alt="">
								</a>
							</div>
						';
					}
				?>
			</div>
			<!--Brand Slider End-->
		</div>
	</div>
</div>
<?php } ?>
<?php get_footer(); ?>