<?php
	/*	
	*	KodeForest Album Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create Album item
	*	---------------------------------------------------------------------
	*/
	
	if(!is_admin()){
		add_action('wp_enqueue_scripts','musicnight_get_album_scripts');
	}
	
	add_action('wp', 'musicnight_define_global_variable_album');
	if( !function_exists('musicnight_define_global_variable_album') ){
		function musicnight_define_global_variable_album(){
			global $post;		
			if( is_page() ){
				global $musicnight_content_raw,$musicnight_post_option;				
				$musicnight_content_raw = json_decode(musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'musicnight_content', true)), true);
				$musicnight_content_raw = (empty($musicnight_content_raw))? array(): $musicnight_content_raw;
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true));
			}else if( is_single() || (!empty($post)) ){
				global $musicnight_post_option;			
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true));
			}
		}
	}
	
	
	if( !function_exists('musicnight_get_album_scripts') ){
		function musicnight_get_album_scripts( ){
			global $post,$post_id,$musicnight_content_raw,$musicnight_post_option,$musicnight_theme_option;	
			if( is_page() && musicnight_match_page_builder_album($musicnight_content_raw, 'item', 'playlist') ){
				wp_register_script('wpmf-jplayer-jukebox', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.jukebox.js', false, '1.0', true);
				wp_enqueue_script('wpmf-jplayer-jukebox');
				wp_register_script('wpmf-jplayer-playlist', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.playlist.min.js', false, '1.0', true);
				wp_enqueue_script('wpmf-jplayer-playlist');
				wp_register_script('wpmf-jplayer-jplayer', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jquery.jplayer.min.js', false, '1.0', true);
				wp_enqueue_script('wpmf-jplayer-jplayer');
				wp_enqueue_style( 'style-jplayerplaylist', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/jplayer.uno.css' );  //prettyphoto		
				wp_enqueue_style( 'style-player-custom-styling', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/custom-styling.css' );  //prettyphoto		
				
			}
		}
	}
	
	// Match the values
	if( !function_exists('musicnight_match_page_builder') ){
		function musicnight_match_page_builder_album($array, $item_type, $type, $data = array()){
			if(isset($array)){
				foreach($array as $item){
					if($item['item-type'] == $item_type && $item['type'] == $type){
						if(empty($data)){
							return true;
						}else{	
							if( strpos($item['option'][$data[0]], $data[1]) !== false ) return true;
						}
					}
					if($item['item-type'] == 'wrapper'){
						if( musicnight_match_page_builder_album($item['items'], $item_type, $type) ) return true;
					}
				}
			}
			return false;
		}
	}
	
	
	//Album Listing
	if( !function_exists('musicnight_get_album_item') ){
		function musicnight_get_album_item( $settings ){
			// $settings['category'];
			// $settings['tag'];
			// $settings['num-excerpt'];
			// $settings['num-fetch'];
			// $settings['album-style'];
			// $settings['order'];
			// $settings['orderby'];
			// $settings['order'];
			// $settings['margin-bottom'];
			
			// query posts section
			$args = array('post_type' => 'album', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;

			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
			
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'album_category', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'album_tag', 'field'=>'slug'));
				}				
			}			
			$query = new WP_Query( $args );

			// create the album filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? 0: $settings['num-excerpt'];
			$settings['heading'] = empty($settings['heading'])? ' ': $settings['heading'];
			
			$settings['title-num-excerpt'] = empty($settings['title-num-excerpt'])? 0: $settings['title-num-excerpt'];
			
			$settings['album-column'] = empty($settings['album-column'])? 4: $settings['album-column'];
			$settings['show-tracks'] = empty($settings['show-tracks'])? 'yes': $settings['show-tracks'];
			$settings['show-album-thumbnail'] = empty($settings['show-album-thumbnail'])? 'yes': $settings['show-album-thumbnail'];
			
			
			$settings['thumbnail-size'];
			$size = $settings['album-column'];
			$album  = '';
			
			if(isset($settings['album-view']) && $settings['album-view'] == 'album-slider'){				
				$settings['album-slider-min-slides'];
				$settings['album-slider-max-slides'];
				$settings['album-slider-width'];
				$settings['album-slider-margin'];
				$settings['album-slider-move'];
				$size = $settings['album-column'];
				if(isset($settings['album-slider-mode']) && $settings['album-slider-mode'] == 'vertical'){
					$album .= '<div class="col-md-12"><div class="main-slider-vertical bottom-arrow msl-black" 
					 ';
					if(isset($settings['album-slider-width']) && $settings['album-slider-width'] <> 'auto'){
						$album .= ' data-width="'.esc_attr($settings['album-slider-width']).'" ';
					}
					$album .= ' data-min="'.esc_attr($settings['album-slider-min-slides']).'" 
					data-max="'.esc_attr($settings['album-slider-max-slides']).'" 
					data-medium="'.esc_attr($settings['album-slider-medium-slides']).'" 
					data-move="'.esc_attr($settings['album-slider-move']).'" 
					data-mode="vertical">';
				}else if(isset($settings['album-slider-mode']) && $settings['album-slider-mode'] == 'horizontal'){
					$album .= '<div class="col-md-12"><div class="main-slider-horizontal bottom-arrow msl-black" 
					 ';
					if(isset($settings['album-slider-width']) && $settings['album-slider-width'] <> 'auto'){
						$album .= ' data-width="'.esc_attr($settings['album-slider-width']).'" ';
					}
					$album .= ' data-min="'.esc_attr($settings['album-slider-min-slides']).'" 
					data-max="'.esc_attr($settings['album-slider-max-slides']).'" 
					data-medium="'.esc_attr($settings['album-slider-medium-slides']).'" 
					data-margin="'.esc_attr($settings['album-slider-margin']).'" 
					data-move="'.esc_attr($settings['album-slider-move']).'" 
					data-mode="horizontal">';
				}else{
					$album .= '<div class="col-md-12"><div class="bxslider bottom-arrow msl-black"';
					$album .=' data-mode="fade">';
				}
			}else{
				if($settings['album-style'] == 'grid-view'){
					$album = '<div class="col-md-12"><div class="latest-album '.esc_attr($settings['element-item-class']).'"><div class="row">';
				}else if($settings['album-style'] == 'list-view'){
					$album = '<div class="col-md-12"><ul class="mp3-list-table">
						<li class="list-header">
							<div class="mp3-title"><h6>Title</h6></div>
							<div class="artists"><h6>Artist / Album</h6></div>
							<div class="key"><h6>Likes / Dislikes</h6></div>
							<div class="released"><h6>Released</h6></div>
						</li>
						<!--Mp3 List Thumb Start-->';
				}else if($settings['album-style'] == 'complete-view'){
					$album = '
					<div class="col-md-12">
					<script>
					jQuery(document).ready(function($){
						/* ---------------------------------------------------------------------- */
						/*	Accordion Script
						/* ---------------------------------------------------------------------- */
						if($(".album-accordion").length){
							//custom animation for open/close
							$.fn.slideFadeToggle = function(speed, easing, callback) {
							  return this.animate({opacity: "toggle", height: "toggle"}, speed, easing, callback);
							};

							$(".album-accordion").accordion({
							  defaultOpen: "section1",
							  cookieName: "nav",
							  speed: "slow",
							  animateOpen: function (elem, opts) { //replace the standard slideUp with custom function
								elem.next().stop(true, true).slideFadeToggle(opts.speed);
							  },
							  animateClose: function (elem, opts) { //replace the standard slideDown with custom function
								elem.next().stop(true, true).slideFadeToggle(opts.speed);
							  }
							});
						}
					});
					</script>
					<div class="album-outer '.esc_attr($settings['element-item-class']).'">';
				}else if($settings['album-style'] == 'new-grid-view'){
					$album = '<div class="col-md-12"><div class="new-latest-album-grid '.esc_attr($settings['element-item-class']).'"><div class="row">';
				}
			}
			$settings['title-num-excerpt'] = (empty($settings['title-num-excerpt']))? '15': $settings['title-num-excerpt'];
			$current_size = 0;
			$album_track = '';
			$num_excerpt_content = '';
			$num_title_content = '';
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				
				if(isset($settings['title-num-excerpt']) && $settings['title-num-excerpt'] == '-1'){
					$num_title_content = get_the_title();
				}else{
					$num_title_content = substr(get_the_title(),0,$settings['title-num-excerpt']);
				}
				
				if(isset($settings['num-excerpt']) && $settings['num-excerpt'] == '-1'){
					$num_excerpt_content = get_the_content();
				}else{
					$num_excerpt_content = substr(get_the_content(),0,$settings['num-excerpt']);
				}
				
				$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
				if( !empty($kode_input_data) ){
					$kode_input_data = json_decode( $kode_input_data, true );					
				}
				$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , array(50,50));				
				$album_track = '<div class="album-tracks">';
				if(!empty($kode_input_data['kode_input_data'])){
					$input_textfield = $kode_input_data['kode_input_data'];						
					for($i = 0; $i <= count($input_textfield['header']); $i++){
						$item_count = count($input_textfield['header']);
						if(!empty($input_textfield['header'][$i])){
							$track = $input_textfield['track_url'][$i];
							if( is_numeric($track) ){ 
								$track = wp_get_attachment_url($track);
							}else{
								$track = $input_textfield['track_url'][$i];
							}
							$album_track .= '
							<div class="album_item">
							<a data-hyperlink="'.esc_url(get_permalink()).'" 
							data-lyrics="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" 
							data-image="'.esc_url($background_image[0]).'" 
							data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" 
							href="'.esc_attr($track).'" 
							title="'.esc_attr(get_the_title()).'" 
							data-album="'.esc_attr($input_textfield['title'][$i],0,30).'" 
							data-artist="'.esc_attr($input_textfield['title'][$i],0,30).'">
							'.esc_attr(substr($input_textfield['title'][$i],0,30)).'
							</a><br />
							</div>';
						}
					}
				}
				$album_track .= '</div>';
				
				$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , $settings['thumbnail-size']);				
				
				if($settings['album-style'] == 'grid-view'){
					
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<div class="clearfix clear"></div>';
						}
						$album .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '  col-sm-4 col-xs-6">';
					}else{
						$album .= '<div class="slider-item-album">';
					}
					$album .= '
							<!--New Album Thumb Start-->
							<div class="new-album-thumb">
								<figure>
									'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								</figure>
								<div class="new-album-caption">
									<a href="" class="new-album fa fa-play"></a>
									<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr($num_title_content).'</a></h5>
									<h6>Kanye West ft Post Malone</h6>
									<p>'.esc_attr($num_excerpt_content).'</p>
									<ul class="blog-meta-list">
										'.musicnight_get_album_info($post->post_id , array('author'),'','','li').'										
										'.musicnight_get_album_info($post->post_id , array('views'),'','','li').'
									</ul>
									<div class="clear"></div>
									
									<div class="album-rate theme-font">7.5</div>
									<div class="album-rate absolute">7.5</div>
								</div>
							</div>';
					if($settings['album-view'] == 'album-simple'){
						$album .= '</div>';
					}else{
						$album .= '</div>';
					}	
				}else if($settings['album-style'] == 'list-view'){
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<li class="clearfix clear"></li>';
						}
						$album .= '<li>';
					}else{
						$album .= '<li class="slider-item-album">';
					}
					$album .= '
							<div class="mp3-title">
								<div class="mp3-playlist-item-cover">
									<span class="img-holder">
										'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
									</span>
								</div>
								<div class="text-overflow">
									<a class="mp3-icon" href="'.esc_url(get_permalink()).'"><i class="icon-play-button"></i></a>
									<a class="mp3-icon" href="'.esc_url(get_permalink()).'"><i class="icon-music-1"></i></a>
									<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr($num_title_content).'</a></h6>
								</div>
							</div>
							<div class="artists"><h6><b>Album</b></h6></div>
							<div class="key"><div class="vot_updown2" id="vt_album_'.esc_attr($post->ID).'"></div></div>
							<div class="released"><h6>2018-07-16</h6></div>';
					if($settings['album-view'] == 'album-simple'){
						$album .= '</li>';
					}else{
						$album .= '</li>';
					}	
				}else if($settings['album-style'] == 'new-grid-view'){
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<div class="clearfix clear"></div>';
						}
						$album .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '  col-sm-4 col-xs-6">';
					}else{
						$album .= '<div class="slider-item-album">';
					}
						$album .= '
						<div class="album_item">
							<figure class="album-grid-overlay">
								<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,10)).'</a></h6>
							</figure>
						</div>';
					if($settings['album-view'] == 'album-simple'){
						$album .= '</div>';
					}else{
						$album .= '</div>';
					}	
				}else if($settings['album-style'] == 'modern-grid-view'){
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<div class="clearfix clear"></div>';
						}
						$album .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '  col-sm-4 col-xs-6">';
					}else{
						$album .= '<div class="slider-item-album">';
					}
					$album .= '
						<div class="featured-artist dj-listing">
							<article>
								<figure>
									'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
									<figcaption>
										<div class="inn-caption">
											<h4><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr(substr(get_the_title(),0,8)).'</a></h4>
											'.musicnight_get_album_info($post->post_id , array('category'),'','','p').'
										</div>
									</figcaption>
								</figure>
								<div class="user-text">
									<div class="sec">
										<h5><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr($num_title_content).'</a></h5>
										<p>Nonumy eirmod tempor</p>
									</div>
								</div>
							</article>
						</div>';
					if($settings['album-view'] == 'album-simple'){
						$album .= '</div>';
					}else{
						$album .= '</div>';
					}	
				}else if($settings['album-style'] == 'new-list-view'){
					$size = 1;
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<div class="clearfix clear"></div>';
						}
						$album .= '<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . ' ">';
					}else{
						$album .= '<div class="slider-item-album">';
					}
					$album .= '
					<div class="track_album_row">
						<ul>
							<li class="track_number">'.esc_attr($current_size).'</li>
							<li>
								<div class="track_album_deta">
									<figure>
										'.get_the_post_thumbnail($post->ID, array(60,60)).'
									</figure>
									<div class="track_album_text">
										<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,15)).'</a></h6>
										'.musicnight_get_album_info($post->post_id , array('category'),'','','p').'
									</div>
								</div>
							</li>
							<li class="track_timer">04:00</li>
							<li class="track_share"><i class="fa fa-share-alt"></i></li>
							<li>
								<div class="chart_dots">
									<span></span>
									<span></span>
									<span></span>
								</div>
							</li>
						</ul>
					</div>';
					if($settings['album-view'] == 'album-simple'){
						$album .= '</div>';
					}else{
						$album .= '</div>';
					}	
				}else if($settings['album-style'] == 'complete-view'){
					$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
					if( !empty($kode_input_data) ){
						$kode_input_data = json_decode( $kode_input_data, true );					
					}
					if($settings['album-view'] == 'album-simple'){
						if( $current_size % $size == 0 ){
							$album .= '<div class="clearfix clear"></div>';
						}
						$album .= '<div class="album-list-thumb-outer">';
					}else{
						$album .= '<div class="slider-item-album album-list-thumb-outer">';
					}
					$album .= '
						<div class="album-list-thumb album-accordion">
							<div class="thumb">'.get_the_post_thumbnail($post->ID, array(345,315)).'</div>
							<div class="title">
								<div>
									<h5>'.esc_attr($num_title_content).'</h5>									
									<p>'.esc_attr($num_excerpt_content).'</p>
								</div>
							</div>
							<div class="album-no">
								'.musicnight_get_album_info($post->post_id , array('category'),'','','p').'
							</div>
							<div class="album-date">
								'.musicnight_get_album_info($post->post_id , array('date'),'','','p').'
							</div>
							<div class="clic-btn-wrap">
								<div class="clic-btn">
									<span></span>
									<span></span>
									<span></span>
								</div>
							</div>
						</div>
						<div class="album-play-list album-accordion-content">
							<ul>';
								if(!empty($kode_input_data['kode_input_data'])){
									$input_textfield = $kode_input_data['kode_input_data'];						
									for($i = 0; $i <= count($input_textfield['header']); $i++){
										$item_count = count($input_textfield['header']);
										if(!empty($input_textfield['header'][$i])){
											$track = $input_textfield['track_url'][$i];
											$track_title = (empty($input_textfield['title'][$i]))? ' ': $input_textfield['title'][$i];			
											if( is_numeric($track) ){ 
												$track = wp_get_attachment_url($track);
											}else{
												$track = $input_textfield['track_url'][$i];
											}
											
											// $album .= '<a data-lyrics="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-hyperlink="'.esc_url(get_permalink()).'" data-album="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-image="'.esc_url($background_image[0]).'" data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" href="'.esc_attr($track).'" title="" data-artist="'.esc_attr(get_the_title()).'">'.esc_attr($track_title).'</a><br />';
											
											$album .= '
											<li>
												<div class="play-list-title">
													<a data-lyrics="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-hyperlink="'.esc_url(get_permalink()).'" data-album="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-image="'.esc_url($background_image[0]).'" data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" href="'.esc_attr($track).'" title="" data-artist="'.esc_attr(get_the_title()).'"></a>
													<h6>'.esc_attr($track_title).'</h6>
												</div>
												<div class="play-list-icon">													
													<span class="fa fa-facebook"></span>
													<span class="fa fa-twitter"></span>
													<span class="icon-arrows-4"></span>
												</div>
												
											</li>';
										}
									}
								}
								$album .= '
							</ul>
						</div>';
					
					if($settings['album-view'] == 'album-simple'){
						$album .= '</div>';
					}else{
						$album .= '</div>';
					}	
				}else{}
				$current_size++;
			}
			wp_reset_postdata();
			wp_reset_query();
			if(isset($settings['album-view']) && $settings['album-view'] == 'album-slider'){
				$album .= '</div></div>';
			}else{
				if($settings['album-style'] == 'grid-view'){
					$album .= '</div>';
					
					if( $settings['pagination'] == 'enable' ){
						$album .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
					}
					$album .= '</div>';
					$album .= '</div>';
				}else if($settings['album-style'] == 'list-view'){
					$album .= '</ul>';
					if( $settings['pagination'] == 'enable' ){
						$album .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
					}
					$album .= '</div>';	
				}else if($settings['album-style'] == 'complete-view'){
					$album .= '</div>';
					if( $settings['pagination'] == 'enable' ){
						$album .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
					}
					$album .= '</div>';	
				}else if($settings['album-style'] == 'new-grid-view'){
					$album .= '</div>';
					if( $settings['pagination'] == 'enable' ){
						$album .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
					}
					$album .= '</div>';	
				}else if($settings['album-style'] == 'modern-grid-view'){
					$album .= '</div>';
					if( $settings['pagination'] == 'enable' ){
						$album .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
					}
					$album .= '</div>';	
				}
			}
			return $album;
		}
	}	
	
	
	// add_action('wp_ajax_playlist', 'musicnight_get_album_playlist');
	// add_action('wp_ajax_nopriv_playlist', 'musicnight_get_album_playlist' );	
	if( !function_exists('musicnight_get_album_playlist') ){
		function musicnight_get_album_playlist( $settings ){
			global $counter;
			// query posts section
			$args = array('post_type' => 'album', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];			
			$settings['position'] = (empty($settings['position']))? 'fixed-b': $settings['position'];	
			$settings['background-color'] = (empty($settings['background-color']))? 'green': $settings['background-color'];	
			$counter++;
			// if( !empty($settings['category'])){
				// $args['tax_query'] = array('relation' => 'OR');
				
				// if( !empty($settings['category']) ){
					// array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'album_category', 'field'=>'slug'));
				// }
			// }			
			$query = new WP_Query( $args );
			
			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
			
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			
			$album = '';
			// create the album filter
			$box_layout = 'yes';
			$box_layout_div = 'jp_custom_box';
			if($settings['player-type'] == 'full-player'){
				$box_layout = 'yes';
				$box_layout_div = 'jp_custom_box';
				$settings['position'] = 'static';
			}else if($settings['player-type'] == 'horizontal'){				
				$box_layout = 'no';
				$box_layout_div = 'wpmf-custom-player';				
			}else{
				$box_layout = 'yes';
				$box_layout_div = 'jp_custom_box';
			}
			$album .=  '			
			<div class="wpmf-custom-playlist-jukebox">
				
				<script>
					jQuery(document).ready(function($){
						// Initialize jPlayerJukebox
						var jpjb = new jPlayerJukebox({
							"swfPath": "jplayer",
							"jukeboxOptions": {
								"autoAdvance": false,
								"uiCover": true,
								"viewState": "minimized",
								"id":"jplayer_jukebox-'.esc_attr($counter).'",
								"position": "'.esc_attr($settings['position']).'",
								"box_layout": "'.esc_attr($box_layout).'",
							}
						});
						jQuery(window).load(function($){
							jpjb.shuffle();
						});
					});
				</script>
			</div>
			<div class="'.esc_attr($box_layout_div).'">
			<style>
				#jplayer_jukebox-'.esc_attr($counter).' .jp-playlist ul, #jplayer_jukebox .jp-viewstate-control button, #jplayer_jukebox .jp-seek-bar, .jp-interface{background-color:'.$settings['background-color'].' !important}
				</style>
				<div class="maximized" id="jplayer_jukebox-'.esc_attr($counter).'"></div>
			</div>
			<div class="hide">';
			$social_icon = '';
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
				if( !empty($kode_input_data) ){
					$kode_input_data = json_decode( $kode_input_data, true );					
				}
				$album_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);	
				$facebook = (empty($album_option['facebook']))? ' ': $album_option['facebook'];
				$twitter = (empty($album_option['twitter']))? ' ': $album_option['twitter'];
				$youtube = (empty($album_option['youtube']))? ' ': $album_option['youtube'];
				$pinterest = (empty($album_option['pinterest']))? ' ': $album_option['pinterest'];
				$release = (empty($album_option['release-date']))? ' ': $album_option['release-date'];
				$itunes = (empty($album_option['itunes']))? ' ': $album_option['itunes'];
				$amazon = (empty($album_option['amazon']))? ' ': $album_option['amazon'];			
				$track = (empty($album_option['track']))? ' ': $album_option['track'];
				
				$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , array(50,50));				
				if(!empty($kode_input_data['kode_input_data'])){
					$input_textfield = $kode_input_data['kode_input_data'];						
					for($i = 0; $i <= count($input_textfield['header']); $i++){
						$item_count = count($input_textfield['header']);
						if(!empty($input_textfield['header'][$i])){
							$track = $input_textfield['track_url'][$i];
							$track_title = (empty($input_textfield['track_title'][$i]))? ' ': $input_textfield['track_title'][$i];			
							if( is_numeric($track) ){ 
								$track = wp_get_attachment_url($track);
							}else{
								$track = $input_textfield['track_url'][$i];
							}
							if($facebook != ''){
								$social_icon .= '<a href="'.$facebook.'" class="facebook"><i class="fa fa-facebook fa-2x"></i></a>';
							}
							if($twitter != ''){ 
								$social_icon .= '<a href="'.$twitter.'" class="twitter"><i class="fa fa-twitter fa-2x"></i></a>';
							}
							if($youtube != ''){
								$social_icon .= '<a href="'.$youtube.'" class="vimeo"><i class="fa fa-youtube fa-2x"></i></a>';
							}
							if($pinterest != ''){
								$social_icon .= '<a href="'.$pinterest.'" class="pin"><i class="fa fa-pinterest fa-2x"></i></a>';
							}
							
							// $album .= '<a data-lyrics="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-hyperlink="'.esc_url(get_permalink()).'" data-album="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-image="'.esc_url($background_image[0]).'" data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" href="'.esc_attr($track).'" title="" data-artist="'.esc_attr(get_the_title()).'">'.esc_attr($track_title).'</a><br />';
						}
					}
				}
				
			}
			wp_reset_postdata();
			wp_reset_query();
			$album .= '</div>';			
			return $album;
		}
	}	
	
	if( !function_exists('musicnight_get_album_playlist_item') ){
		function musicnight_get_album_playlist_item( $settings ){
			wp_register_script('wpmf-jplayer-jukebox', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.jukebox.js', false, '1.0', true);
			wp_enqueue_script('wpmf-jplayer-jukebox');
			wp_register_script('wpmf-jplayer-playlist', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.playlist.min.js', false, '1.0', true);
			wp_enqueue_script('wpmf-jplayer-playlist');
			wp_register_script('wpmf-jplayer-jplayer', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jquery.jplayer.min.js', false, '1.0', true);
			wp_enqueue_script('wpmf-jplayer-jplayer');
			wp_enqueue_style( 'style-jplayerplaylist', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/jplayer.uno.css' );  //prettyphoto		
			wp_enqueue_style( 'style-player-custom-styling', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/custom-styling.css' );  //prettyphoto		
			
			global $counter;
			$album_id = $settings['post_id'];
			$settings['position'] = (empty($settings['position']))? 'fixed-b': $settings['position'];	
			$settings['background-color'] = (empty($settings['background-color']))? 'green': $settings['background-color'];	
			$counter++;
			// if( !empty($settings['category'])){
				// $args['tax_query'] = array('relation' => 'OR');
				
				// if( !empty($settings['category']) ){
					// array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'album_category', 'field'=>'slug'));
				// }
			// }			
			
			$item_id = empty($settings['page-item-id'])? '': ' id="' .esc_attr( $settings['page-item-id'] ). '" ';
			
			$settings['element-item-class'] = (empty($settings['element-item-class']))? '': $settings['element-item-class'];
			
			$album = '';
			// create the album filter
			$box_layout = 'yes';
			$box_layout_div = 'jp_custom_box';
			if($settings['player-type'] == 'full-player'){
				$box_layout = 'yes';
				$box_layout_div = 'jp_custom_box';
				$settings['position'] = 'static';
			}else if($settings['player-type'] == 'horizontal'){				
				$box_layout = 'no';
				$box_layout_div = 'wpmf-custom-player';				
			}else{
				$box_layout = 'yes';
				$box_layout_div = 'jp_custom_box';
			}
			$album .=  '			
			<div class="wpmf-custom-playlist-jukebox">
				
				<script>
					jQuery(document).ready(function($){
						// Initialize jPlayerJukebox
						var jpjb = new jPlayerJukebox({
							"swfPath": "jplayer",
							"jukeboxOptions": {
								"autoAdvance": false,
								"uiCover": true,
								"viewState": "minimized",
								"id":"jplayer_jukebox-'.esc_attr($counter).'",
								"position": "'.esc_attr($settings['position']).'",
								"box_layout": "'.esc_attr($box_layout).'",
							}
						});
						jQuery(window).load(function($){
							jpjb.shuffle();
						});
					});
				</script>
			</div>
			<div class="'.esc_attr($box_layout_div).'">
				<style>
				#jplayer_jukebox-'.esc_attr($counter).' .jp-playlist ul, #jplayer_jukebox .jp-viewstate-control button, #jplayer_jukebox .jp-seek-bar, .jp-interface{background-color:'.$settings['background-color'].' !important}
				</style>
				<div class="maximized" id="jplayer_jukebox-'.esc_attr($counter).'"></div>
			</div>
			<div class="hide">';
			$social_icon = '';
			$kode_input_data = get_post_meta($album_id, 'kode_input_data', true);
			if( !empty($kode_input_data) ){
				$kode_input_data = json_decode( $kode_input_data, true );					
			}
			$album_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($album_id, 'post-option', true)), true);	
			$facebook = (empty($album_option['facebook']))? ' ': $album_option['facebook'];
			$twitter = (empty($album_option['twitter']))? ' ': $album_option['twitter'];
			$youtube = (empty($album_option['youtube']))? ' ': $album_option['youtube'];
			$pinterest = (empty($album_option['pinterest']))? ' ': $album_option['pinterest'];
			$release = (empty($album_option['release-date']))? ' ': $album_option['release-date'];
			$itunes = (empty($album_option['itunes']))? ' ': $album_option['itunes'];
			$amazon = (empty($album_option['amazon']))? ' ': $album_option['amazon'];			
			$track = (empty($album_option['track']))? ' ': $album_option['track'];

			$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( $album_id ) , array(50,50));				
			if(!empty($kode_input_data['kode_input_data'])){
				$input_textfield = $kode_input_data['kode_input_data'];						
				for($i = 0; $i <= count($input_textfield['header']); $i++){
					$item_count = count($input_textfield['header']);
					if(!empty($input_textfield['header'][$i])){
						$track = $input_textfield['track_url'][$i];
						$track_title = (empty($input_textfield['track_title'][$i]))? ' ': $input_textfield['track_title'][$i];			
						if( is_numeric($track) ){ 
							$track = wp_get_attachment_url($track);
						}else{
							$track = $input_textfield['track_url'][$i];
						}
						if($facebook != ''){
							$social_icon .= '<a href="'.$facebook.'" class="facebook"><i class="fa fa-facebook fa-2x"></i></a>';
						}
						if($twitter != ''){ 
							$social_icon .= '<a href="'.$twitter.'" class="twitter"><i class="fa fa-twitter fa-2x"></i></a>';
						}
						if($youtube != ''){
							$social_icon .= '<a href="'.$youtube.'" class="vimeo"><i class="fa fa-youtube fa-2x"></i></a>';
						}
						if($pinterest != ''){
							$social_icon .= '<a href="'.$pinterest.'" class="pin"><i class="fa fa-pinterest fa-2x"></i></a>';
						}
						
						// $album .= '<a data-lyrics="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-hyperlink="'.esc_url(get_permalink($album_id)).'" data-album="'.esc_attr(substr($input_textfield['lyrics'][$i],0,89)).'" data-image="'.esc_url($background_image[0]).'" data-download="1" data-buy="https://www.freesound.org/people/lucasgonze/sounds/58970/" href="'.esc_attr($track).'" title="" data-artist="'.esc_attr(get_the_title($album_id)).'">'.esc_attr($track_title).'</a><br />';
					}
				}
			}
			
			$album .= '</div>';			
			return $album;
		}
	}	
	
	if( !function_exists('musicnight_get_album_info') ){
		function musicnight_get_album_info( $id,$array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list($id, 'album_tag', '', '<span class="sep">,</span> ' , '' );
						if(empty($tag)) break;					
						
						$ret .= '<'.esc_attr($custom_wrap).' class=""><span><i class="fa fa-tag" aria-hidden="true"></i> '.esc_attr__('tags:','music-night').'</span>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'album_category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-comment"><i class="fa fa-comment-o"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' ' . esc_html__('Comment','music-night').'</a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' ' . esc_html__('Views','music-night').'</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="album-info album-author"><i class="fa fa-user"></i> ';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="wpmf-album-info wpmf-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
		
		
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_albums($post_id,$num_posts,$size,$order='',$orderby='') {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_terms($post_id, 'album_tag', array("fields" => "all"));		
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'album_tag', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'album';
			$args['orderby'] = $orderby;
			$args['order'] = $order;
			$args['numberposts'] = $num_posts;
			$args['post__not_in'] = array($post_id);
			$related_album = '';
			$related_posts = get_posts( $args );
			if($related_posts) {
				$current_size_new = 0;
				$related_album .= '<div class="wpmf-related-albums">';
				foreach ( $related_posts as $post ) : setup_postdata( $post );
				if( $current_size_new % 6 == 0 ){
					$related_album .= '<div class="clearfix clear"></div>';
				}$current_size_new++;	
				$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['recommended-thumbnail-size']);
				$related_album .= '
				<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '  col-sm-4 col-xs-6">
					<div class="singles-columns-02">
						<figure>
							'.get_the_post_thumbnail($post->ID, array(350,350)).'
							<div class="show-icons-then-hover">
								<a href="'.esc_url(get_permalink()).'"><i class="fa fa-heart" aria-hidden="true"></i></a>
								<a href="'.esc_url(get_permalink()).'" class="radius-play"><i class="fa fa-play" aria-hidden="true"></i></a>
								<a href="'.esc_url(get_permalink()).'" class="dots-points"><span></span><span></span><span></span></a>
							</div>
							<div class="singles-content-col">
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,8)).'</a></h6>
								<small>the chainsmokers</small>
							</div>
						</figure>
					</div>
				</div>';
				endforeach;
				if(isset($order) && $order == 'asc'){
					$related_album .= '
					<div class="col-md-8">
						<div class="padding-10 text-align-center">
							<h3 class="title-seen1">browse <a href="'.esc_url(get_permalink()).'">similar artists</a> or <a href="'.esc_url(get_permalink()).'">albums</a></h3>
						</div>
					</div>';
				}
				$related_album .= '	
				</div>';
			} wp_reset_postdata();
			wp_reset_query();
	
			return $related_album;
		}
	}
	
	
	if( !function_exists('musicnight_all_genre_list') ){
		function musicnight_all_genre_list($settings=array()){

			$get_all_genre_list = get_terms( array(
				'taxonomy'=>'genre',
				'hide_empty'=>$settings['hide-empty'],
				'orderby' => $settings['orderby'],
				'order' => $settings['order'],
				'parent'=>0,
				'number'=>$settings['parent-fetch']
			));
			$counter_cat = 0;
			$ret = '<div class="wpmf-music-album-genre"><div class="row">';
			// Foreach Loop to get all genre
			foreach($get_all_genre_list as $genre_list){
				// put the term ID into a variable
				$t_id = $genre_list->term_id;
			 
				// retrieve the existing value(s) for this meta field. This returns an array
				$term_meta = get_option( "weekend-music_upload_$t_id" ); 
				
				
				// Condition if image value is empty
				$music_uploadimage = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
				$music_uploadimage = get_image_sizes_by_url($music_uploadimage,350,350,true);
				// print_r($ddd);
				$ret .= '
				<div class="col-md-2 col-sm-4 col-xs-6">
					<div class="album_item">
						<figure class="album-grid-overlay">
							<a href="'.get_term_link($genre_list).'"><img src="'.esc_url($music_uploadimage).'" alt=""></a>
							<h6><a href="'.get_term_link($genre_list).'">'.esc_attr($genre_list->name).'</a></h6>
						</figure>
					</div>
				</div>';
			}
			
			$ret .= '</div></div>';
			
			return $ret;
			
		}
	}
	
	
	function get_image_sizes_by_url($url, $width, $height = null, $crop = null, $single = true) {

		//validate inputs
		if (!$url OR !$width)
			return false;

		//define upload path & dir
		$upload_info = wp_upload_dir();
		$upload_dir = $upload_info['basedir'];
		$upload_url = $upload_info['baseurl'];

		//check if $img_url is local
		if (strpos($url, $upload_url) === false)
			return false;

		//define path of image
		$rel_path = str_replace($upload_url, '', $url);
		$img_path = $upload_dir . $rel_path;

		//check if img path exists, and is an image indeed
		if (!file_exists($img_path) OR !getimagesize($img_path))
			return false;

		//get image info
		$info = pathinfo($img_path);
		$ext = $info['extension'];
		list($orig_w, $orig_h) = getimagesize($img_path);

		//get image size after cropping
		$dims = image_resize_dimensions($orig_w, $orig_h, $width, $height, $crop);
		$dst_w = $dims[4];
		$dst_h = $dims[5];

		//use this to check if cropped image already exists, so we can return that instead
		$suffix = "{$dst_w}x{$dst_h}";
		$dst_rel_path = str_replace('.' . $ext, '', $rel_path);
		$destfilename = "{$upload_dir}{$dst_rel_path}-{$suffix}.{$ext}";

		if (!$dst_h) {
		//can't resize, so return original url
			$img_url = $url;
			$dst_w = $orig_w;
			$dst_h = $orig_h;
		}
		//else check if cache exists
		elseif (file_exists($destfilename) && getimagesize($destfilename)) {
			$img_url = "{$upload_url}{$dst_rel_path}-{$suffix}.{$ext}";
		}
		//else, we resize the image and return the new resized image url
		else {

		// Note: pre-3.5 fallback check 
			if (function_exists('wp_get_image_editor')) {

				$editor = wp_get_image_editor($img_path);

				if (is_wp_error($editor) || is_wp_error($editor->resize($width, $height, $crop)))
					return false;

				$resized_file = $editor->save();

				if (!is_wp_error($resized_file)) {
					$resized_rel_path = str_replace($upload_dir, '', $resized_file['path']);
					$img_url = $upload_url . $resized_rel_path;
				} else {
					return false;
				}
			} else {

				$resized_img_path = image_resize($img_path, $width, $height, $crop);
				if (!is_wp_error($resized_img_path)) {
					$resized_rel_path = str_replace($upload_dir, '', $resized_img_path);
					$img_url = $upload_url . $resized_rel_path;
				} else {
					return false;
				}
			}
		}

		//return the output
		if ($single) {
		//str return
			$image = $img_url;
		} else {
		//array return
			$image = array(
				0 => $img_url,
				1 => $dst_w,
				2 => $dst_h
			);
		}

		return $image;
	}
	
	

