<?php
	/*	
	*	KodeForest album Option file
	*	---------------------------------------------------------------------
	*	This file creates all album options and attached to the theme
	*	---------------------------------------------------------------------
	*/
	
	// add a album option to album page
	if( is_admin() ){ add_action('init', 'musicnight_create_album_options'); }
	if( !function_exists('musicnight_create_album_options') ){
	
		function musicnight_create_album_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
								'sidebar' => array(
									'type' => 'radioimage',
									'description' => 'Please select the side bar position from here.',
									'options' => array(
										'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
										'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
										'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
										'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
									),
									'default' => 'no-sidebar'
								),	
								'left-sidebar' => array(
									'title' => __('Left Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
								),
								'right-sidebar' => array(
									'title' => __('Right Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
								),						
						)
					),
					
					'page-option' => array(
						'title' => __('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => __('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'description' => 'Please enter the Caption for the page here.',
							),							
							'header-background' => array(
								'title' => __('Header Background Image' , 'music-night'),
								'button' => __('Upload', 'music-night'),
								'type' => 'upload',
								'description' => 'Click here to Upload the Header Background Image.',
							),
							'header-title' => array(
								'header_title' => __('Add Album or Verse' , 'music-night'),								
								'type' => 'header',
								'wrapper-class' => 'header-class',
								'description' => 'Add Albums or Verses here by clicking on add track.',
							),
							'release_date'=> array(
								'title'=> __('Release Date' ,'music-night'),
								'type'=> 'date',	
								'default'=> '15',
								'description'=> __('Album Release date or published date you can write here.', 'music-night')
							),							
							'cus_fields-search-style' => array(
								'title' => esc_html__('Add Track', 'music-night'),
								'type' => 'field-set',
								'wrapper-class'=> 'custom-fields-input'
							),
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('album'),
					'meta_title' => __('album Option', 'music-night'),
					'meta_slug' => 'album-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	
	// add album in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_album_item');
	if( !function_exists('musicnight_register_album_item') ){
		function musicnight_register_album_item( $page_builder = array() ){
			global $musicnight_spaces;
		
			$page_builder['content-item']['options']['album'] = array(
				'title'=> __('Album', 'music-night'), 
				'icon'=>'fa-forumbee',
				'type'=>'item',
				'options'=>array(				
					'heading'=> array(
						'title'=> __('Heading Title' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> __('Here you can add the heading title of this section.', 'music-night')
					),
					'title-num-excerpt'=> array(
						'title'=> __('Title Num Length (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> __('This is a number of word (decided by spaces) that you want to show on the album title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('album_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('album_tag'),
						'description'=> __('Will be ignored when the album filter option is enabled.', 'music-night')
					),
					'show-album-thumbnail'=> array(
						'title'=> __('Show Album Thumbnail' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'yes' => __('Yes', 'music-night'), 
							'no' => __('No', 'music-night'), 
						)
					),
					'album-padding'=> array(
						'title'=> __('Album Padding' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'without-padding' => __('Without Padding', 'music-night'),
							'with-padding' => __('With Padding', 'music-night'),
						),
					),
					'album-style'=> array(
						'title'=> esc_html__('Album Style' ,'music-night'),
						'type'=> 'combobox',
						'wrapper-class'=> 'wpmf-custom-styles',
						'options'=> array(
							'grid-view'=>esc_attr__('Grid View','music-night'),
							'modern-grid-view'=>esc_attr__('Modern View','music-night'),
							'new-grid-view'=>esc_attr__('New Grid View','music-night'),
							'list-view'=>esc_attr__('List View','music-night'),
							'complete-view'=>esc_attr__('Complete View','music-night'),
							'new-list-view'=>esc_attr__('New List View','music-night'),
						)
					),	
					'thumbnail-size'=> array(
						'title'=> __('Album Image Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'wrapper-class'=> 'album-style-wrapper modern-grid-view-wrapper grid-view-wrapper',
					),
					'album-column'=> array(
						'title'=> __('Album Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => __('1 Column', 'music-night'),
							'2' => __('2 Column', 'music-night'),
							'3' => __('3 Column', 'music-night'),
							'4' => __('4 Column', 'music-night'),
							'6' => __('6 Column', 'music-night'),
						),
						'wrapper-class'=> 'album-style-wrapper modern-grid-view-wrapper grid-view-wrapper',
					),	
					'album-view'=> array(
						'title'=> esc_attr__('Album View' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'album-slider' => esc_attr__('Album Slider View', 'music-night'),							
							'album-simple' => esc_attr__('Album Simple View', 'music-night'),
						),
						'default'=>'album-style-wrapper grid-view-wrapper modern-grid-view-wrapper',
						'default'=>'album-simple'
					),
					'album-slider-mode'=> array(
						'title'=> esc_attr__('Album View' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'horizontal' => esc_attr__('Slider Horizontal View', 'music-night'),
							'vertical' => esc_attr__('Slider Vertical View', 'music-night'),
							'fade' => esc_attr__('Slider Fade', 'music-night'),
						),
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper',
						'default'=>'album-slider-horizontal'
					),
					'album-slider-min-slides'=> array(
						'title'=> esc_attr__('Min Slides' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',						
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper horizontal-wrapper vertical-wrapper'
					),
					'album-slider-medium-slides'=> array(
						'title'=> esc_attr__('Medium Slides' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',						
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper horizontal-wrapper vertical-wrapper'
					),	
					'album-slider-max-slides'=> array(
						'title'=> esc_attr__('Max Slides' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',						
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper horizontal-wrapper vertical-wrapper'
					),
					'album-slider-width'=> array(
						'title'=> esc_attr__('Slider Width' ,'music-night'),
						'type'=> 'text',	
						'default'=> '120',						
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper album-slider-mode-wrapper horizontal-wrapper'
					),
					'album-slider-margin'=> array(
						'title'=> esc_attr__('Slider Margin' ,'music-night'),
						'type'=> 'text',	
						'default'=> '30',
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper album-slider-mode-wrapper horizontal-wrapper'
					),
					'album-slider-move'=> array(
						'title'=> esc_attr__('Slider Move' ,'music-night'),
						'type'=> 'text',	
						'default'=> '1',
						'wrapper-class'=>'album-view-wrapper album-slider-wrapper horizontal-wrapper vertical-wrapper'
					),					
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of albums you want to pull out.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',
						'wrapper-class'=>''
					),
					'show-tracks'=> array(
						'title'=> __('Show Tracks on Listing' ,'music-night'),
						'type'=> 'combobox',
						'wrapper-class'=> 'album-style-wrapper complete-view-wrapper',
						'options'=> array(
							'yes' => __('Yes', 'music-night'), 
							'no' => __('No', 'music-night'), 
						)
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'pagination'=> array(
						'title'=> __('Enable Pagination' ,'music-night'),
						'wrapper-class'=>'album-view-wrapper album-simple-wrapper',
						'type'=> 'checkbox'
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item. It should be in numbers only E.g 20. Donot write px with it', 'music-night')
					),				
				)
			);
			
			$page_builder['content-item']['options']['playlist'] = array(
				'title'=> __('Playlist', 'music-night'), 
				'icon'=>'fa-music',
				'type'=>'item',
				'options'=>array(					
					'element-item-id' => array(
						'title' => __('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => __('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item class.', 'music-night')
					),	
					'background-color' => array(
						'title' => __('Background Color', 'music-night'),
						'type' => 'colorpicker',
						'default' => '#ffffff'
					),						
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_term_list('album_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'player-type'=> array(
						'title'=> __('Player Type' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'horizontal' => __('Horizontal', 'music-night'), 
							'full-player' => __('Full Player Box', 'music-night'), 							
						)
					),
					'position'=> array(
						'title'=> __('Player Position' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'fixed-t' => __('Fixed At Top', 'music-night'), 
							'fixed-b' => __('Fixed At Bottom', 'music-night'), 
							'float-bl' => __('Float From Left', 'music-night'), 
							'static' => __('Static', 'music-night'), 
						),
						'wrapper-class' => 'horizontal-wrapper player-type-wrapper'
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
				
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			
			$page_builder['content-item']['options']['genre'] = array(
				'title'=> __('Genre', 'music-night'), 
				'icon'=>'fa-music',
				'type'=>'item',
				'options'=>array(					
					'element-item-id' => array(
						'title' => __('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => __('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('please add the page item class.', 'music-night')
					),	
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('genre'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'parent-fetch' => array(
						'title' => esc_html__('Fetch Parent Categories', 'music-night'),
						'type' => 'text',											
						'description' => esc_html__('Fetch Parent Categories on the page', 'music-night')
					),	
					'hide-empty'=> array(
						'title'=> __('Hide Empty Category' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => __('Yes', 'music-night'), 
							'0' => __('No', 'music-night'), 
						)
					),
					'orderby'=> array(
						'title'=> __('Parent Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'count' => __('Count', 'music-night'), 
							'slug' => __('Slug', 'music-night'), 
							'name' => __('Name', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Parent Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'DESC'=>__('Descending Order', 'music-night'), 
							'ASC'=> __('Ascending Order', 'music-night'), 
						)
					),
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			return $page_builder;
		}
	}
	
	
	add_action('pre_post_update', 'kode_save_album_meta_option');
	if( !function_exists('kode_save_album_meta_option') ){
		function kode_save_album_meta_option( $post_id ){
			if( get_post_type($post_id) == 'album' ){
				if(isset($_POST['kode_input_data'])){
					$input_textfield = $_POST['kode_input_data'];						
					$track_items = array();
					for($i = 0; $i <= count($input_textfield['header']); $i++){
						$item_count = count($input_textfield['header']);
						if(!empty($input_textfield['header'][$i])){
							$track_items['kode_input_data']['header'][] = sanitize_text_field($input_textfield['header'][$i]);
							$track_items['kode_input_data']['title'][] = sanitize_text_field($input_textfield['title'][$i]);
							$track_items['kode_input_data']['lyrics'][] = sanitize_text_field($input_textfield['lyrics'][$i]);
							$track_items['kode_input_data']['track_url'][] = esc_url($input_textfield['track_url'][$i]);
						}
					}
					$track_item = json_encode($track_items);
					update_post_meta($post_id, 'kode_input_data', $track_item);
				}
				
				
			}
		}
	}
	
