<?php
	/*	
	*	KodeForest Album Track Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create Album Track item
	*	---------------------------------------------------------------------
	*/
	
	
	if( !function_exists('musicnight_get_album_track_widget_scripts') ){
		function musicnight_get_album_track_widget_scripts( ){
			global $post,$post_id,$musicnight_content_raw,$musicnight_post_option,$musicnight_theme_option;	
			if( is_page() && musicnight_match_page_builder_album($musicnight_content_raw, 'item', 'playlist') ){
				wp_register_script('kode-jplayer-jukebox', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.jukebox.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-jukebox');
				wp_register_script('kode-jplayer-playlist', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.playlist.min.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-playlist');
				wp_register_script('kode-jplayer-jplayer', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jquery.jplayer.min.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-jplayer');
				wp_enqueue_style( 'style-jplayerplaylist', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/jplayer.uno.css' );  //prettyphoto		
				wp_enqueue_style( 'style-player-custom-styling', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/custom-styling.css' );  //prettyphoto		
				
			}
		}
	}
	
	
	
	
	add_action( 'widgets_init', 'musicnight_album_track_playlist_widget' );
	if( !function_exists('musicnight_album_track_playlist_widget') ){
		function musicnight_album_track_playlist_widget() {
			register_widget( 'Kodeforest_Tracks_Playlists' );
		}
	}

	if( !class_exists('Kodeforest_Tracks_Playlists') ){
		class Kodeforest_Tracks_Playlists extends WP_Widget{

			// Initialize the widget
			function __construct() {
				parent::__construct(
					'musicnight_album_track_playlist_widget', 
					esc_attr__('Kodeforest Playlist Widget','music-night'), 
					array('description' => esc_attr__('A widget that shows playlist.', 'music-night')));  
			}

			// Output of the widget
			function widget( $args, $instance ) {
				global $musicnight_theme_option;	
					
				$title = apply_filters( 'widget_title', $instance['title'] );
				$category = $instance['category'];
				$num_fetch = $instance['num_fetch'];				
				
				wp_register_script('kode-jplayer-jukebox', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.jukebox.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-jukebox');
				wp_register_script('kode-jplayer-playlist', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jplayer.playlist.min.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-playlist');
				wp_register_script('kode-jplayer-jplayer', plugin_dir_url( __FILE__ ).'/asserts/jplayer/js/jquery.jplayer.min.js', false, '1.0', true);
				wp_enqueue_script('kode-jplayer-jplayer');
				wp_enqueue_style( 'style-jplayerplaylist', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/jplayer.uno.css' );  //prettyphoto		
				wp_enqueue_style( 'style-player-custom-styling', plugin_dir_url( __FILE__ ) . '/asserts/jplayer/css/custom-styling.css' );  //prettyphoto		
				
				
				// Opening of widget
				echo $args['before_widget'];
					$wp_args = array('post_type' => 'album', 'suppress_filters' => false);
					$wp_args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
					$wp_args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
					$wp_args['order'] = (empty($settings['order']))? 'desc': $settings['order'];			
					$settings['position'] = (empty($settings['position']))? 'fixed-b': $settings['position'];	
					$settings['background-color'] = (empty($settings['background-color']))? 'green': $settings['background-color'];	
					$playlist_counter = 222;
					if( !empty($category)){
						$wp_args['tax_query'] = array('relation' => 'OR');
						
						if( !empty($category) ){
							array_push($wp_args['tax_query'], array('terms'=>explode(',', $category), 'taxonomy'=>'album_track_category', 'field'=>'slug'));
						}
					}			
					$query = new WP_Query( $wp_args );
					
					
					// create the album filter					
					$box_layout = 'yes';
					$box_layout_div = 'jp_custom_box';
					$settings['position'] = 'static';
					if( !empty($title) ){ 
						echo $args['before_title'] . esc_attr($title) . $args['after_title']; 
					}
					echo '
					<div class="track_album_list">
						<h3>best beats width chou<i class="fa fa-caret-down"></i></h3>
						<div class="track_album_row">';
						$social_icon = '';
						while($query->have_posts()){ $query->the_post();
							global $musicnight_post_option,$post,$musicnight_post_settings;
							$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
							if( !empty($kode_input_data) ){
								$kode_input_data = json_decode( $kode_input_data, true );					
							}
							$album_track_widget_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);	
							$facebook = $album_track_widget_option['facebook'];
							$twitter = $album_track_widget_option['twitter'];
							$youtube = $album_track_widget_option['youtube'];
							$pinterest = $album_track_widget_option['pinterest'];
							$release = $album_track_widget_option['release-date'];
							$itunes = $album_track_widget_option['itunes'];
							$amazon = $album_track_widget_option['amazon'];
							$track = $album_track_widget_option['track'];
							$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , array(50,50));				
							if(!empty($kode_input_data['kode_input_data'])){
								$input_textfield = $kode_input_data['kode_input_data'];						
								for($i = 0; $i <= count($input_textfield['header']); $i++){
									$item_count = count($input_textfield['header']);
									if(!empty($input_textfield['header'][$i])){
										$track = $input_textfield['track_url'][$i];
										if( is_numeric($track) ){ 
											$track = wp_get_attachment_url($track);
										}else{
											$track = $input_textfield['track_url'][$i];
										}
										if($facebook != ''){
											$social_icon .= '<a href="'.$facebook.'" class="facebook"><i class="fa fa-facebook fa-2x"></i></a>';
										}
										if($twitter != ''){ 
											$social_icon .= '<a href="'.$twitter.'" class="twitter"><i class="fa fa-twitter fa-2x"></i></a>';
										}
										if($youtube != ''){
											$social_icon .= '<a href="'.$youtube.'" class="vimeo"><i class="fa fa-youtube fa-2x"></i></a>';
										}
										if($pinterest != ''){
											$social_icon .= '<a href="'.$pinterest.'" class="pin"><i class="fa fa-pinterest fa-2x"></i></a>';
										}
										echo '
										<ul>
											<li class="track_number">01</li>
											<li>
												<div class="track_album_deta">
													<figure>
														'.get_the_post_thumbnail($post->ID, array(350,350)).'
													</figure>
													<div class="track_album_text">
														<h6>bounce kelis</h6>
														<p>calvin harris</p>
													</div>
												</div>
											</li>
											<li class="track_timer">04:00</li>
											<li class="track_share"><i class="fa fa-share-alt"></i></li>
											<li>
												<div class="chart_dots">
													<span></span>
													<span></span>
													<span></span>
												</div>
											</li>
										</ul>';
									}
								}
							}
						}
						echo '
						</div>
					</div>';
					
				// Closing of widget
				echo $args['after_widget'];	
				
				
			}

			// Widget Form
			function form( $instance ) {
				$title = isset($instance['title'])? $instance['title']: '';
				$category = isset($instance['category'])? $instance['category']: '';
				$num_fetch = isset($instance['num_fetch'])? $instance['num_fetch']: '';
				?>

				<!-- Text Input -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_attr_e('Title :', 'music-night'); ?></label> 
					<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
				</p>			
				<!-- Post Category -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('category')); ?>"><?php esc_html_e('Category :', 'music-night'); ?></label>		
					<select class="widefat" name="<?php echo esc_attr($this->get_field_name('category')); ?>" id="<?php echo esc_attr($this->get_field_id('category')); ?>">
					<option value="" <?php if(empty($category)) echo ' selected '; ?>><?php esc_html_e('All', 'music-night') ?></option>
					<?php 	
					$category_list = musicnight_get_term_list('album_track_category'); 
					foreach($category_list as $cat_slug => $cat_name){ ?>
						<option value="<?php echo esc_attr($cat_slug); ?>" <?php if ($category == $cat_slug) echo ' selected '; ?>><?php echo esc_attr($cat_name); ?></option>				
					<?php } ?>	
					</select> 
				</p>
				<!-- Post Layout -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>"><?php esc_attr_e('Num Fetch :', 'music-night'); ?></label>
					<input class="widefat" id="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>" name="<?php echo esc_attr($this->get_field_name('num_fetch')); ?>" type="text" value="<?php echo esc_attr($num_fetch); ?>" />
				</p>
				
			<?php
			}
			
			// Update the widget
			function update( $new_instance, $old_instance ) {
				$instance = array();
				$instance['title'] = (empty($new_instance['title']))? '': strip_tags($new_instance['title']);
				$instance['category'] = (empty($new_instance['category']))? '': strip_tags($new_instance['category']);				
				$instance['num_fetch'] = (empty($new_instance['num_fetch']))? '': strip_tags($new_instance['num_fetch']);
				

				return $instance;
			}	
		}
	}
	
	
?>