<?php
	/*	
	*	KodeForest Album Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create Album item
	*	---------------------------------------------------------------------
	*/
	
	
	add_action( 'widgets_init', 'musicnight_album_widget' );
	if( !function_exists('musicnight_album_widget') ){
		function musicnight_album_widget() {
			register_widget( 'Kodeforest_Album_Widget' );
		}
	}

	if( !class_exists('Kodeforest_Album_Widget') ){
		class Kodeforest_Album_Widget extends WP_Widget{

			// Initialize the widget
			function __construct() {
				parent::__construct(
					'musicnight_album_widget', 
					esc_attr__('Kodeforest Album Widget','music-night'), 
					array('description' => esc_attr__('A widget that shows album.', 'music-night')));  
			}

			// Output of the widget
			function widget( $args, $instance ) {
				global $musicnight_theme_option;	
					
				$title = apply_filters( 'widget_title', $instance['title'] );
				$category = $instance['category'];
				$num_fetch = $instance['num_fetch'];
				
				// Opening of widget
				echo $args['before_widget'];
					$wp_args = array('post_type' => 'album', 'suppress_filters' => false);
					$wp_args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
					$wp_args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
					$wp_args['order'] = (empty($settings['order']))? 'desc': $settings['order'];			
					$settings['position'] = (empty($settings['position']))? 'fixed-b': $settings['position'];	
					$settings['background-color'] = (empty($settings['background-color']))? 'green': $settings['background-color'];	
					$playlist_counter = 0;
					if( !empty($category)){
						$wp_args['tax_query'] = array('relation' => 'OR');
						
						if( !empty($category) ){
							array_push($wp_args['tax_query'], array('terms'=>explode(',', $category), 'taxonomy'=>'album_category', 'field'=>'slug'));
						}
					}			
					$query = new WP_Query( $wp_args );
					
					echo '
					<!--Artist Rank List Start-->
					<div class="artists-rank-list">';
					if( !empty($title) ){ 
						echo $args['before_title'] . esc_attr($title) . $args['after_title']; 
					}
					$social_icon = '';
					while($query->have_posts()){ $query->the_post();
						global $musicnight_post_option,$post,$musicnight_post_settings;
						$kode_input_data = get_post_meta(get_the_ID(), 'kode_input_data', true);
						if( !empty($kode_input_data) ){
							$kode_input_data = json_decode( $kode_input_data, true );					
						}
						$album_widget_option = json_decode(musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true)), true);	
						
						$facebook = $album_widget_option['facebook'];
						$twitter = $album_widget_option['twitter'];
						$youtube = $album_widget_option['youtube'];
						$pinterest = $album_widget_option['pinterest'];
						$release = $album_widget_option['release-date'];
						$itunes = $album_widget_option['itunes'];
						$amazon = $album_widget_option['amazon'];
						$track = $album_widget_option['track'];
						$thumbnail = musicnight_get_image(get_post_thumbnail_id(), array(80,80));
						$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , array(50,50));				
						
						echo '
						<!--Artist Rank End-->
						<div class="artists-rank">
							<span class="rank-no">'.esc_attr($playlist_counter).'</span>
							<figure>'.$thumbnail.'</figure>
							<div class="text-overflow">
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
								<p>Kanye West ft Post Malone</p>
							</div>
						</div>
						<!--Artist Rank End-->';
						$playlist_counter++;
					}
					wp_reset_postdata();
					wp_reset_query();
					$playlist_counter++;
				echo '</div>';
				// Closing of widget
				echo $args['after_widget'];	
				
				
			}

			// Widget Form
			function form( $instance ) {
				$title = isset($instance['title'])? $instance['title']: '';
				$category = isset($instance['category'])? $instance['category']: '';
				$num_fetch = isset($instance['num_fetch'])? $instance['num_fetch']: '';
				?>

				<!-- Text Input -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_attr_e('Title :', 'music-night'); ?></label> 
					<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
				</p>			
				<!-- Post Category -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('category')); ?>"><?php esc_html_e('Category :', 'music-night'); ?></label>		
					<select class="widefat" name="<?php echo esc_attr($this->get_field_name('category')); ?>" id="<?php echo esc_attr($this->get_field_id('category')); ?>">
					<option value="" <?php if(empty($category)) echo ' selected '; ?>><?php esc_html_e('All', 'music-night') ?></option>
					<?php 	
					$category_list = musicnight_get_term_list('album_category'); 
					foreach($category_list as $cat_slug => $cat_name){ ?>
						<option value="<?php echo esc_attr($cat_slug); ?>" <?php if ($category == $cat_slug) echo ' selected '; ?>><?php echo esc_attr($cat_name); ?></option>				
					<?php } ?>	
					</select> 
				</p>
				<!-- Post Layout -->
				<p>
					<label for="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>"><?php esc_attr_e('Num Fetch :', 'music-night'); ?></label>
					<input class="widefat" id="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>" name="<?php echo esc_attr($this->get_field_name('num_fetch')); ?>" type="text" value="<?php echo esc_attr($num_fetch); ?>" />
				</p>
				
			<?php
			}
			
			// Update the widget
			function update( $new_instance, $old_instance ) {
				$instance = array();
				$instance['title'] = (empty($new_instance['title']))? '': strip_tags($new_instance['title']);
				$instance['category'] = (empty($new_instance['category']))? '': strip_tags($new_instance['category']);				
				$instance['num_fetch'] = (empty($new_instance['num_fetch']))? '': strip_tags($new_instance['num_fetch']);
				

				return $instance;
			}	
		}
	}
	
	
?>