<?php
/*
Plugin Name: KodeForest Album
Plugin URI: 
Description: A Custom Post Type Plugin To Use With KodeForest Themes ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: KodeForest
Author URI: http://www.kodeforest.com
License: 
*/


include_once( 'wpmf-album-item.php');	
include_once( 'wpmf-album-widget.php');
include_once( 'wpmf-album-track-widget.php');
include_once( 'wpmf-album-tracks-widget.php');
include_once( 'wpmf-album-option.php');	

// action to loaded the plugin translation file
add_action('plugins_loaded', 'musicnight_album_init');
if( !function_exists('musicnight_album_init') ){
	function musicnight_album_init() {
		load_plugin_textdomain( 'music-night', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
	}
}

// add action to create album post type
add_action( 'init', 'musicnight_create_album' );
if( !function_exists('musicnight_create_album') ){
	function musicnight_create_album() {
		global $musicnight_theme_option;
				
		$album_slug = 'album';
		$album_category_slug = 'album_category';
		$album_tag_slug = 'album_tag';		
		
		register_post_type( 'album',
			array(
				'labels' => array(
					'name'               => __('Albums', 'music-night'),
					'singular_name'      => __('Albums', 'music-night'),
					'add_new'            => __('Add New', 'music-night'),
					'add_new_item'       => __('Add New Album', 'music-night'),
					'edit_item'          => __('Edit Album', 'music-night'),
					'new_item'           => __('New Album', 'music-night'),
					'all_items'          => __('All Album', 'music-night'),
					'view_item'          => __('View album', 'music-night'),
					'search_items'       => __('Search album', 'music-night'),
					'not_found'          => __('No Album found', 'music-night'),
					'not_found_in_trash' => __('No Album found in Trash', 'music-night'),
					'parent_item_colon'  => '',
					'menu_name'          => __('Albums', 'music-night')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,				
				'rewrite'            => array( 'slug' => $album_slug  ),
				'menu_icon'    		=> 'dashicons-schedule',
				'capability_type'    => 'post',
				'has_archive'        => true,
				'hierarchical'       => true,
				'menu_position'      => 5,
				'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments', 'custom-fields' )
			)
		);
		
		register_taxonomy(
			'album_category', array("album"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => __('Categories', 'music-night'), 
				'singular_label' => __('Category', 'music-night'), 
				'rewrite' => array( 'slug' => $album_category_slug  )));
		register_taxonomy_for_object_type('album_category', 'album');
		
		// create album tag
		register_taxonomy(
			'album_tag', array('album'), array(
				'hierarchical' => false, 
				'show_admin_column' => true,
				'label' => __('Tags', 'music-night'), 
				'singular_label' => __('Tag', 'music-night'),  
				'rewrite' => array( 'slug' => $album_tag_slug  )));
		register_taxonomy_for_object_type('album_tag', 'album');	
		
		// create album tag
		register_taxonomy(
			'genre', array('album'), array(
				'hierarchical' => false, 
				'show_admin_column' => true,
				'label' => __('Genre', 'music-night'), 
				'singular_label' => __('Genre', 'music-night'),  
				'rewrite' => array( 'slug' => $album_tag_slug  )));
		register_taxonomy_for_object_type('genre', 'album');

		// add filter to style single template
		add_filter('single_template', 'musicnight_register_album_template');
		
	}
}

if( !function_exists('musicnight_register_album_template') ){
	function musicnight_register_album_template($single_template) {
		global $post;

		if ($post->post_type == 'album') {
			$single_template = dirname( __FILE__ ) . '/single-album.php';
		}
		return $single_template;	
	}
}
// VC Album element
include_once( 'vc/wpmf-album-element.php');
include_once( 'vc/wpmf-album-playlist-element.php');


	/* Add Image Upload to Album and Artist Taxonomy */

	// Add Upload fields to "Add New Taxonomy" form
	function musicnight_add_music_upload_image_field() {
		// this will add the custom meta field to the add new term page
		?>
		<div class="form-field">
			<label for="music_upload_image"><?php _e( 'Upload Image:', 'journey' ); ?></label>
			<input type="text" name="music_upload_image[image]" id="music_upload_image[image]" class="music-upload-image" value="<?php echo $seriesimage; ?>">
			<input class="upload_image_button button" name="_add_music_upload_image" id="_add_music_upload_image" type="button" value="Select/Upload Image" />
			<script>
				jQuery(document).ready(function() {
					jQuery('#_add_music_upload_image').click(function() {
						wp.media.editor.send.attachment = function(props, attachment) {
							jQuery('.music-upload-image').val(attachment.url);
						}
						wp.media.editor.open(this);
						return false;
					});
				});
			</script>
		</div>
	<?php
		wp_enqueue_media();
	}
	add_action( 'album_category_add_form_fields', 'musicnight_add_music_upload_image_field', 10, 2 );
	add_action( 'genre_add_form_fields', 'musicnight_add_music_upload_image_field', 10, 2 );

	// Add Upload fields to "Edit Taxonomy" form
	function musicnight_upload_edit_meta_field($term) {
	 
		// put the term ID into a variable
		$t_id = $term->term_id;
	 
		// retrieve the existing value(s) for this meta field. This returns an array
		$term_meta = get_option( "weekend-music_upload_$t_id" ); ?>
		
		<tr class="form-field">
		<th scope="row" valign="top"><label for="_music_upload_image"><?php _e( 'Series Image', 'journey' ); ?></label></th>
			<td>
				<?php
					$music_uploadimage = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
					?>
				<input type="text" name="music_upload_image[image]" id="music_upload_image[image]" class="music-upload-image" value="<?php echo $music_uploadimage; ?>">
				<input class="upload_image_button button" name="_music_upload_image" id="_music_upload_image" type="button" value="Select/Upload Image" />
			</td>
		</tr>
		<tr class="form-field">
		<th scope="row" valign="top"></th>
			<td style="height: 150px;">
				<style>
					div.img-wrap {
						background: url('http://placehold.it/960x300') no-repeat center; 
						background-size:contain; 
						max-width: 450px; 
						max-height: 150px; 
						width: 100%; 
						height: 100%; 
						overflow:hidden; 
					}
					div.img-wrap img {
						max-width: 450px;
					}
				</style>
				<div class="img-wrap">
					<img src="<?php echo $music_uploadimage; ?>" id="music-upload-img">
				</div>
				<script>
				jQuery(document).ready(function() {
					jQuery('#_music_upload_image').click(function() {
						wp.media.editor.send.attachment = function(props, attachment) {
							jQuery('#music-upload-img').attr("src",attachment.url)
							jQuery('.music-upload-image').val(attachment.url)
						}
						wp.media.editor.open(this);
						return false;
					});
				});
				</script>
			</td>
		</tr>
	<?php
	wp_enqueue_media();
	}
	add_action( 'album_category_edit_form_fields', 'musicnight_upload_edit_meta_field', 10, 2 );
	add_action( 'genre_edit_form_fields', 'musicnight_upload_edit_meta_field', 10, 2 );

	// Save Taxonomy Image fields callback function.
	function save_music_upload_custom_meta( $term_id ) {
		if ( isset( $_POST['music_upload_image'] ) ) {
			$t_id = $term_id;
			$term_meta = get_option( "weekend-music_upload_$t_id" );
			$cat_keys = array_keys( $_POST['music_upload_image'] );
			foreach ( $cat_keys as $key ) {
				if ( isset ( $_POST['music_upload_image'][$key] ) ) {
					$term_meta[$key] = $_POST['music_upload_image'][$key];
				}
			}
			// Save the option array.
			update_option( "weekend-music_upload_$t_id", $term_meta );
		}
	}  
	add_action( 'edited_album_category', 'save_music_upload_custom_meta', 10, 2 );  
	add_action( 'create_album_category', 'save_music_upload_custom_meta', 10, 2 );
	
	add_action( 'edited_genre', 'save_music_upload_custom_meta', 10, 2 );  
	add_action( 'create_genre', 'save_music_upload_custom_meta', 10, 2 );
	
?>
