<?php
	/*	
	*	Artist List File
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create artist item
	*	---------------------------------------------------------------------
	*/
	
	//Artist Listing
	if( !function_exists('musicnight_get_artist_item') ){
		function musicnight_get_artist_item( $settings ){
			
			// query posts section
			$args = array('post_type' => 'artist', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;

			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'artist_category', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'artist_tag', 'field'=>'slug'));
				}				
			}			
			$query = new WP_Query( $args );

			// create the artist filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? 0: $settings['num-excerpt'];
			$settings['artist-column'] = empty($settings['artist-column'])? 4: $settings['artist-column'];
			
			$size = $settings['artist-column'];
			if($settings['artist-style'] == 'grid-view' && $settings['layout'] == 'without-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="row">';
			}else if($settings['artist-style'] == 'grid-view' && $settings['layout'] == 'with-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="wpmf-artist-slide scholors-slider" data-slide="'.esc_attr($size).'">';
			}else if($settings['artist-style'] == 'normal-view' && $settings['layout'] == 'without-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="row">';
			}else if($settings['artist-style'] == 'normal-view' && $settings['layout'] == 'with-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="row"><div class="wpmf-artist-slide scholors-slider" data-slide="'.esc_attr($size).'">';
			}else if($settings['artist-style'] == 'modern-grid-view' && $settings['layout'] == 'without-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="row">';
			}else if($settings['artist-style'] == 'modern-grid-view' && $settings['layout'] == 'with-slider'){
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist-slide col-md-12"><div class="row"><div class="wpmf-artist-slide scholors-slider" data-slide="'.esc_attr($size).'">';
			}else{
				$size = $settings['artist-column'];
				$artist  = '<div class="wpmf-artist wpmf-artist-classic col-md-12"><div class="row">';
			}
			$settings['title-num-excerpt'] = (empty($settings['title-num-excerpt']))? '15': $settings['title-num-excerpt'];
			$current_size = 0;
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				$designation = empty($musicnight_post_option['designation'])? 'Singer': $musicnight_post_option['designation'];
				$facebook = empty($musicnight_post_option['facebook'])? '#': $musicnight_post_option['facebook'];
				$twitter = empty($musicnight_post_option['twitter'])? '#': $musicnight_post_option['twitter'];
				$linkedin = empty($musicnight_post_option['linkedin'])? '#': $musicnight_post_option['linkedin'];
				if($settings['artist-style'] == 'normal-view' && $settings['layout'] == 'without-slider'){
					if( $current_size % $size == 0 ){
						$artist .= '<div class="clearfix clear"></div>';
					}	
				}
				if($settings['artist-style'] == 'grid-view'){
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="slider-item-artist">';
					}
					$artist .= '
						<div class="msl-artist-thumb">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								<div class="text ab">
									<h6 class="artist-title"><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
									<span>'.esc_attr($designation).'</span>
									<p>'.substr(get_the_content(),0,30).'</p>
									<ul class="msl-social social-radius">';
										if(isset($facebook) && $facebook <> ''){
											$artist .= '<li><a href="'.esc_url($facebook).'"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>';
										}
										if(isset($twitter) && $twitter <> ''){
											$artist .= '<li><a href="'.esc_url($twitter).'"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>';
										}
										if(isset($youtube) && $youtube <> ''){
											$artist .= '<li><a href="'.esc_url($youtube).'"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>';
										}
										if(isset($linkedin) && $linkedin <> ''){
											$artist .= '<li><a href="'.esc_url($linkedin).'"><i class="fa fa-camera" aria-hidden="true"></i></a></li>';
										}
										$artist .= '
									</ul>
								</div>
							</figure>
						</div>
					</div>';
				}else if($settings['artist-style'] == 'normal-view'){
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="slider-item-artist">';
					}
					$artist .= '
						<div class="latest-album">
							<article>
								<figure><a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a></figure>
								<div class="text webkit">
									<div class="left-sec">
										<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
										<p>'.esc_attr($designation).'</p>
									</div>
								</div>
							</article>
						</div>
					</div>';
				}else if($settings['artist-style'] == 'modern-view'){
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="slider-item-artist">';
					}
					$artist .= '
						<div class="featured-artist dj-listing">
							<article>
								<figure>
									<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
									<figcaption>
										<div class="inn-caption">
											<h4><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr(substr(get_the_title(),0,8)).'</a></h4>
											<p><a href="'.esc_url(get_permalink()).'" class="colorhover">Dan Croll - </a> <a href="#" class="colorhover">From Nowhere</a></p>
										</div>
									</figcaption>
								</figure>
								<div class="user-text">
									<div class="sec">
										<h5><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr(get_the_title()).'</a></h5>
										<p>'.esc_attr($designation).'</p>
									</div>
								</div>
							</article>
						</div>
					</div>';
				}else if($settings['artist-style'] == 'modern-grid-view'){
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="new-album-slider-4 bottom-arrow msl-black">';	
					}
					$artist .= '
						<!--New Album Thumb Start-->
						<div class="new-album-thumb">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
							</figure>
							<div class="new-album-caption">
								<a href="'.esc_url(get_permalink()).'" class="new-album fa fa-play"></a>
								<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,8)).'</a></h5>
								<h6>Kanye West ft Post Malone</h6>
								<p>'.esc_attr(substr(get_the_content(),0,20)).'</p>
								<ul class="blog-meta-list">
									<li>
										<a href="#">
											<i class="fa fa-music"></i> <span>12  track</span>
										</a>
									</li>
									<li>
										<a href="#">
											<i class="fa fa-play"></i> <span>18450</span>
										</a>
									</li>
									<li>
										<a href="#">
											<i class="fa fa-heart"></i> <span>18450</span>
										</a>
									</li>
								</ul>
								<div class="clear"></div>
								<div class="album-rate theme-font">7.5</div>
								<div class="album-rate absolute">7.5</div>
							</div>
						</div>
						<!--New Album Thumb End-->
					</div>';
				}else if($settings['artist-style'] == 'simple-view'){
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="new-album-slider-4 bottom-arrow msl-black">';	
					}
					$artist .= '
						<div class="track_classes_fig">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
							</figure>
							<div class="track_classes_text">
								<h3><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h3>
								<p>'.esc_attr($designation).'</p>
							</div>
						</div>
						<!--New Album Thumb Start-->
					</div>';
				}else {
					if($settings['layout'] == 'without-slider'){
						$artist .= '<div class="col-sm-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$artist .= '<div class="slider-item-artist">';
					}
					$artist .= '
					<div class="featured-artist">
						<article>
							<figure>
								<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
								<figcaption>
									<a href="'.esc_url(get_permalink()).'"></a>
									<div class="social-network">';
										if(isset($facebook) && $facebook <> ''){
											$artist .= '<a class="facebook" href="'.esc_url($facebook).'"><i class="fa fa-facebook fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($twitter) && $twitter <> ''){
											$artist .= '<a class="twitter" href="'.esc_url($twitter).'"><i class="fa fa-twitter fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($youtube) && $youtube <> ''){
											$artist .= '<a class="vimeo" href="'.esc_url($youtube).'"><i class="fa fa-youtube fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($linkedin) && $linkedin <> ''){
											$artist .= '<a class="pin" href="'.esc_url($linkedin).'"><i class="fa fa-camera fa-2x" aria-hidden="true"></i></a>';
										}
										$artist .= '
									</div>
								</figcaption>
							</figure>
							<div class="user-text">
								<a class="user-icon webkit" href="'.esc_url(get_permalink()).'"><i class="fa fa fa-user fa-2x"></i></a>
								<div class="sec">
									<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
									<p>'.esc_attr($designation).'</p>
								</div>
							</div>
						</article>
					</div>
				</div>';
				}
				$current_size++;
			}
			wp_reset_postdata();
			wp_reset_query();
			
			$artist .= '</div>';
			
			if( $settings['pagination'] == 'enable' ){
				$artist .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
			}
		
			if($settings['artist-style'] == 'grid-view' && $settings['layout'] == 'without-slider'){				
				$artist .= '</div></div>';
			}else if($settings['artist-style'] == 'grid-view' && $settings['layout'] == 'with-slider'){				
				$artist .= '</div></div>';
			}else if($settings['artist-style'] == 'modern-view' && $settings['layout'] == 'without-slider'){				
				$artist .= '</div>';
			}else if($settings['artist-style'] == 'modern-view' && $settings['layout'] == 'with-slider'){				
				$artist .= '</div>';
			}else if($settings['artist-style'] == 'modern-grid-view' && $settings['layout'] == 'without-slider'){				
				$artist .= '</div></div>';
			}else if($settings['artist-style'] == 'normal-view' && $settings['layout'] == 'without-slider'){				
				$artist .= '</div></div>';
			}else if($settings['artist-style'] == 'normal-view' && $settings['layout'] == 'with-slider'){				
				$artist .= '</div></div>';
			}else if($settings['artist-style'] == 'modern-grid-view' && $settings['layout'] == 'with-slider'){				
				$artist .= '</div></div>';
			}else{
				$artist .= '</div>';	
			}		
			return $artist;
		}
	}	//Artist Listing

	
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_artist($post_id) {
		global $post,$musicnight_theme_option;
		$cats = wp_get_post_terms($post_id, 'artist_category', array("fields" => "all"));
		$cat_arr = '';
		if($cats) {
			$cat_array = array();
			foreach( $cats as $cat ) {
				$cat_arr .= $cat->slug . ',';			
			}
			
			if( !empty($cat_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				array_push($args['tax_query'], array('terms'=>explode(',', $cat_arr), 'taxonomy'=>'artist_category', 'field'=>'slug'));
								
			}
			
			$args['post_type'] = 'artist';
			$args['numberposts'] = 4;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );			
			if($related_posts) {			
				echo '<div class="row">
				<div class="kode_hdg_1">
					<h6>Artist & Fathers</h6>
					<h4>Other Artist</h4>
				</div>';
					foreach ( $related_posts as $post ) : setup_postdata( $post );
						$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), array(350,350));
						$musicnight_artist_option = musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true ));
						if( !empty($musicnight_artist_option) ){
							$musicnight_artist_option = json_decode( $musicnight_artist_option, true );					
						}
						$designation = empty($musicnight_artist_option['designation'])? '': $musicnight_artist_option['designation'];
						$facebook = empty($musicnight_artist_option['facebook'])? '': $musicnight_artist_option['facebook'];
						$twitter = empty($musicnight_artist_option['twitter'])? '': $musicnight_artist_option['twitter'];
						$linkedin = empty($musicnight_artist_option['linkedin'])? '': $musicnight_artist_option['linkedin'];
						$google = empty($musicnight_artist_option['google'])? '': $musicnight_artist_option['google'];
						?>
						<div class="col-md-3 col-sm-6 col-xs-6">
							<?php
							echo '
								<div class="our_team_column">
									<figure>
										'.get_the_post_thumbnail($post->ID, array(350,350)).'
										<div class="our_team_services">
											<ul class="social-icons">';
												if(isset($facebook) && $facebook <> ''){
													echo '<li><a href="'.esc_url($facebook).'"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>';
												}
												if(isset($twitter) && $twitter <> ''){
													echo '<li><a href="'.esc_url($twitter).'"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>';
												}
												if(isset($youtube) && $youtube <> ''){
													echo '<li><a href="'.esc_url($youtube).'"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>';
												}
												if(isset($linkedin) && $linkedin <> ''){
													echo '<li><a href="'.esc_url($linkedin).'"><i class="fa fa-camera" aria-hidden="true"></i></a></li>';
												}
												echo '
											</ul>
										</div>
									</figure>
									<div class="our_team_caption">
										<a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a>
										<span>'.esc_attr($designation).'</span>									
									</div>
								</div>
							</div>';?>
						
					<?php endforeach;
					echo '</div>';
			}	wp_reset_postdata();
		}
	}	
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_artist_posts($post_id) {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_tags( $post_id );	
		$tags = wp_get_post_terms( $post_id, 'artist_tag', array( 'fields' => 'all' ) );				
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'artist_tag', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'artist';
			$args['numberposts'] = 3;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );
			if($related_posts) {
				echo '
				<!--KODE TEAM WRAP START-->
				<div class="kode_artist_wrap">
					<!--CONTAINER START-->
					<div class="container">
						<!--SECTION HDG START-->
						<div class="section_hdg hdg_2 hdg_3">
							<a href="#"><img src="images/hdg-img.png" alt=""></a>
							<h3>'.esc_attr__("Recommended For You",'music-night').'</h3>
							<span><i class="fa icon-building"></i></span>
						</div>';
						
						?>
						<!--SECTION HDG END-->
						<div class="wpmf-artist-slide" data-slide="4">
							<?php foreach ( $related_posts as $post ) : setup_postdata( $post );
							$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['recommended-thumbnail-size']);
							if(!empty($image_src)){ ?>
							<div>
								<div class="kode_tem_fig">
									<figure>
										<img alt="<?php the_title(); ?>" src="<?php echo esc_url($image_src[0])?>">
										<figcaption>
											<h4><a title="<?php the_title_attribute(); ?>" href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_attr(substr(get_the_title(),0,15)); ?></a></h4>
											<p><?php echo esc_attr(substr(get_the_content(),0,90));?></p>
											<ul class="kode_social_icon">
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-facebook"></i></a></li>
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-twitter"></i></a></li>
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-tumblr"></i></a></li>
											</ul>
										</figcaption>
									</figure>
								</div>
							</div>
							<?php }
						endforeach;
					echo '</div>';
				echo '</div>';	
			echo '</div>';	
			} wp_reset_postdata();
		}
	}
	
		// ajax to save form data
	add_action( 'wp_ajax_kode_artist_submit_form', 'musicnight_artist_submit_form' );
	add_action( 'wp_ajax_nopriv_kode_artist_submit_form', 'musicnight_artist_submit_form' );
	if( !function_exists('musicnight_artist_submit_form') ){
		function musicnight_artist_submit_form(){
			// Nonce is checked, get the POST data and sign user on
			foreach ($_REQUEST as $keys=>$values) {
				$$keys = $values;
			}
			
			$ret = array();
			if( false && !check_ajax_referer('disaster-relief-volunteer-create-nonce', 'security', false) ){
				$ret['status'] = 'failed'; 
				$ret['message'] = __('The page has been expired. Please refresh the page to try this again.', 'music-night');
			}else{
				
					$admin_email = $_POST['agent-mail'];	
						
					musicnight_send_notification_artist($admin_email,$_POST['your-name'],$_POST['your-subject'],$_POST['your-email'],$_POST['your-message']);
					
					$records = get_option('kode_volunteer_form',array());
					$item_id = sizeof($records); 	
					$abc = array();
					$post_new_id = rand();
					if(!empty($records)){
						$counter = 0;
						$counter_new = $item_id+1;
						
						if(is_array($records)){
							foreach($records as $record){
								$records[$counter_new]['name'] = $_POST['your-name'];
								$records[$counter_new]['subject'] = $_POST['your-subject'];
								$records[$counter_new]['email'] = $_POST['your-email'];
								$records[$counter_new]['message'] = $_POST['your-message'];
								$counter++;						
							}
							update_option('kode_volunteer_form',$records);
						}else{
							$record = array();
							$record[$item_id]['name'] = $_POST['your-name'];
							$record[$item_id]['subject'] = $_POST['your-subject'];
							$record[$item_id]['email'] = $_POST['your-email'];
							$record[$item_id]['message'] = $_POST['your-message'];
							update_option('kode_volunteer_form',$record);
						}
					}else{
						$record = array();
						$record[$item_id]['name'] = $_POST['your-name'];
						$record[$item_id]['subject'] = $_POST['your-subject'];
						$record[$item_id]['email'] = $_POST['your-email'];
						$record[$item_id]['message'] = $_POST['your-message'];					
						update_option('kode_volunteer_form',$record);
					}
					
					$ret['status'] = 'success'; 
					$ret['message'] = __('Form Submitted!', 'music-night');
					$ret['amount'] = $_POST['amount'];
					$ret['detail'] = $_POST['detail'];
				
			}
			die(json_encode($ret));
		}
	}

	function musicnight_send_notification_artist($admin_email,$name,$subject,$email,$msg){
		
		$message  = __('Hi there,','music-night') . "\r\n\r\n";
		$message .= sprintf( __("You have received Contact From %s!: ",'music-night'), $name) . "\r\n\r\n";
		$message .= sprintf( __('Subject: %s','music-night'), $subject ) . "\r\n";
		$message .= sprintf( __('Message: %s','music-night'), $msg ) . "\r\n\r\n";
		$message .= sprintf( __('E-mail: %s','music-night'), $email ) . "\r\n\r\n";
		$message .= sprintf( __('If you have any problems, please contact me at %s.','music-night'), get_option('admin_email') ) . "\r\n\r\n";
		$message .= __('Thank you!','music-night');
				$headers = 'From: noreply  <noreply@'.$_SERVER['HTTP_HOST'].'>' . "\r\n".
						'Reply-To: '.$email. "\r\n" .
						'X-Mailer: PHP/' . phpversion();
						
		$data = sprintf( __('Contact Inquiry Recived from %s','music-night'), $name );
		wp_mail(
			$admin_email,
			$data,
			$message,
			$headers
		);
		
		return '<p>'.esc_attr__('confirmation email has been sent!','music-night').'</p>';
		// wp_redirect(admin_url());
	}
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_artist_new($post_id,$num_posts,$size,$order='',$orderby='') {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_terms($post_id, 'artist_tag', array("fields" => "all"));
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'artist_tag', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'artist';
			$args['orderby'] = $orderby;
			$args['order'] = $order;
			$args['numberposts'] = $num_posts;
			$args['post__not_in'] = array($post_id);
			$related_album = '';
			$related_posts = get_posts( $args );
			if($related_posts) {
				$current_size_new = 0;
				$related_album .= '<div class="wpmf-related-albums">';
				foreach ( $related_posts as $post ) : setup_postdata( $post );
				if( $current_size_new % 6 == 0 ){
					$related_album .= '<div class="clearfix clear"></div>';
				}$current_size_new++;	
				$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['recommended-thumbnail-size']);
				$related_album .= '
				<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
					<div class="singles-columns-02">
						<figure>
							'.get_the_post_thumbnail($post->ID, array(350,350)).'
							<div class="show-icons-then-hover">
								<a href="'.esc_url(get_permalink()).'"><i class="fa fa-heart" aria-hidden="true"></i></a>
								<a href="'.esc_url(get_permalink()).'" class="radius-play"><i class="fa fa-play" aria-hidden="true"></i></a>
								<a href="'.esc_url(get_permalink()).'" class="dots-points"><span></span><span></span><span></span></a>
							</div>
							<div class="singles-content-col">
								<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(substr(get_the_title(),0,8)).'</a></h6>
								<small>the chainsmokers</small>
							</div>
						</figure>
					</div>
				</div>';
				endforeach;
				if(isset($order) && $order == 'asc'){
					$related_album .= '
					<div class="col-md-8">
						<div class="padding-10 text-align-center">
							<h3 class="title-seen1">browse <a href="'.esc_url(get_permalink()).'">similar artists</a> or <a href="'.esc_url(get_permalink()).'">albums</a></h3>
						</div>
					</div>';
				}
				$related_album .= '	
				</div>';
			} wp_reset_postdata();
			wp_reset_query();
	
			return $related_album;
		}
	}
?>