<?php
	/*	
	*	Islamic center scholor Option file
	*	---------------------------------------------------------------------
	*	This file creates all scholor options and attached to the theme
	*	---------------------------------------------------------------------
	*/
	
	if( is_admin() ){ add_action('init', 'musicnight_create_artist_item_options'); }
	if( !function_exists('musicnight_create_artist_item_options') ){
	
		function musicnight_create_artist_item_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
							'sidebar' => array(
								'type' => 'radioimage',
								'description' => 'Please select the side bar position from here.',
								'options' => array(
									'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
									'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
									'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
									'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
								),
								'default' => 'no-sidebar'
							),	
							'left-sidebar' => array(
								'title' => __('Left Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
							),
							'right-sidebar' => array(
								'title' => __('Right Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
							),						
						)
					),
					
					'page-option' => array(
						'title' => __('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => __('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'description' => 'Please enter the Caption for the page here.',
							),							
							'header-background' => array(
								'title' => __('Header Background Image' , 'music-night'),
								'button' => __('Upload', 'music-night'),
								'type' => 'upload',
								'description' => 'Click here to Upload the Header Background Image.',
							),
							'designation' => array(
								'title' => __('Designation' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the Designation of the Artist Member here.',
							),
							'phone' => array(
								'title' => __('Phone Number' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the Artist Member Contact phone number here. Leave this field blank to hide this option.',
							),
							'email' => array(
								'title' => __('Email Id' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the Artist Member Email Address here. Leave this field blank to hide this option.',
							),	
							'website' => array(
								'title' => __('Website Url' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the website url here if you want to have. Leave this field blank to hide this option.',
							),
							'facebook' => array(
								'title' => __('Facebook' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the Facebook social profile URL of the Artist Member here.',
							),
							'twitter' => array(
								'title' => __('Twitter' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the Twitter social profile URL of the Artist Member here.',
							),
							'linkedin' => array(
								'title' => __('Linkedin' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the linkedin social profile URL of the Artist Member here.',
							),
							'pinterest' => array(
								'title' => __('Pinterest' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the pinterest social profile URL of the Artist Member here.',
							),
							'artist-thumbnail-size' => array(
								'title' => esc_html__('Single Post Thumbnail Size', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'ecofriendly-post-thumbnail-size'
							),	
							'cus_fields-search-style' => array(
								'title' => esc_html__('Add Track', 'music-night'),
								'type' => 'field-set',
								'wrapper-class'=> 'custom-fields-input'
							),							
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('artist'),
					'meta_title' => __('Artist Option', 'music-night'),
					'meta_slug' => 'artist-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
		}
	}	
	
	// add_filter('musicnight_themeoption_panel', 'musicnight_register_artist_options');
	if( !function_exists('musicnight_register_artist_options') ){
		function musicnight_register_artist_options( $array ){	
			global $musicnight_theme_option;
			
			$artist_settings =  array(
				'title' => esc_html__('Single Artist Settings', 'music-night'),
				'options' => array(
					'single-artist-comments'=> array(
						'title'=> __('Enable Single Artist Comments' ,'music-night'),
						'type'=> 'checkbox'
					),
				)
			);
	
			$array['artist-options']['options']['artist-settings'] = $artist_settings;		
			return $array;
		}
	}
	
	// add artist in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_artist_item');
	if( !function_exists('musicnight_register_artist_item') ){
		function musicnight_register_artist_item( $page_builder = array() ){
			global $musicnight_spaces;
		
			$page_builder['content-item']['options']['artist'] = array(
				'title'=> __('Artist', 'music-night'), 
				'icon'=>'fa-user',
				'type'=>'item',
				'options'=>array(					
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('artist_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('artist_tag'),
						'description'=> __('Will be ignored when the artist filter option is enabled.', 'music-night')
					),					
					'artist-style'=> array(
						'title'=> __('Artist Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'modern-grid-view' => __('Modern Grid View', 'music-night'),
							'modern-view' => __('Modern View', 'music-night'),
							'simple-view' => __('Simple View', 'music-night'),
							'normal-view' => __('Normal View', 'music-night'),
							'grid-view' => __('Grid View', 'music-night')
						),
					),	
					'layout'=> array(
						'title'=> __('Select Layout' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'without-slider' => __('Without Slider', 'music-night'),
							'with-slider' => __('With Slider', 'music-night'),
						),
						'default'=> 'without-slider',
						'wrapper-class' => 'modern-grid-view-wrapper artist-style-wrapper normal-view-wrapper grid-view-wrapper',
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'wrapper-class' => 'modern-grid-view-wrapper grid-view-wrapper normal-view-wrapper artist-style-wrapper',
						'default'=> 'wpmf-post-thumbnail-size'
					),
					'artist-column'=> array(
						'title'=> __('Artist Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => __('2 Column', 'music-night'),
							'3' => __('3 Column', 'music-night'),
							'4' => __('4 Column', 'music-night')
						),
						'wrapper-class' => '',
					),						
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of artists you want to pull out.', 'music-night')
					),
					'title-num-excerpt'=> array(
						'title'=> __('Title Num Length' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> __('This is a number of word (decided by spaces) that you want to show on the artist title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',						
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'pagination'=> array(
						'title'=> __('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			return $page_builder;
		}
	}
	
	add_action('pre_post_update', 'kode_save_artist_meta_option');
	if( !function_exists('kode_save_artist_meta_option') ){
		function kode_save_artist_meta_option( $post_id ){
			if( get_post_type($post_id) == 'artist' ){
				if(isset($_POST['kode_input_data'])){
					$input_textfield = $_POST['kode_input_data'];						
					$track_items = array();
					for($i = 0; $i <= count($input_textfield['header']); $i++){
						$item_count = count($input_textfield['header']);
						if(!empty($input_textfield['header'][$i])){
							$track_items['kode_input_data']['header'][] = sanitize_text_field($input_textfield['header'][$i]);
							$track_items['kode_input_data']['title'][] = sanitize_text_field($input_textfield['title'][$i]);
							$track_items['kode_input_data']['lyrics'][] = sanitize_text_field($input_textfield['lyrics'][$i]);
							$track_items['kode_input_data']['track_url'][] = esc_url($input_textfield['track_url'][$i]);
						}
					}
					$track_item = json_encode($track_items);
					update_post_meta($post_id, 'kode_input_data', $track_item);
				}
				
				
			}
		}
	}
	
?>