<?php
/*
Plugin Name: KodeForest Artist
Plugin URI: 
Description: A Custom Post Type Plugin To Use With KodeForest Theme ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: KodeForest
Author URI: http://www.kodeforest.com
License: 
*/

include_once( 'wpmf-artist-item.php');	
include_once( 'wpmf-artist-option.php');
include_once( 'wpmf-artist-widget.php');

// action to loaded the plugin translation file
add_action('plugins_loaded', 'musicnight_artist_init');
if( !function_exists('musicnight_artist_init') ){
	function musicnight_artist_init() {
		load_plugin_textdomain( 'music-night', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
	}
}

// add action to create artist post type
add_action( 'init', 'musicnight_create_artist' );
if( !function_exists('musicnight_create_artist') ){
	function musicnight_create_artist() {
		global $musicnight_theme_option;
				
		$artist_slug = 'artist';
		$artist_category_slug = 'artist_category';
		$artist_tag_slug = 'artist_tag';		
		
		register_post_type( 'artist',
			array(
				'labels' => array(
					'name'               => __('Artist', 'music-night'),
					'singular_name'      => __('Artist', 'music-night'),
					'add_new'            => __('Add New', 'music-night'),
					'add_new_item'       => __('Add New Artist', 'music-night'),
					'edit_item'          => __('Edit Artist', 'music-night'),
					'new_item'           => __('New Artist', 'music-night'),
					'all_items'          => __('All Artist', 'music-night'),
					'view_item'          => __('View Artist', 'music-night'),
					'search_items'       => __('Search Artist', 'music-night'),
					'not_found'          => __('No Artist found', 'music-night'),
					'not_found_in_trash' => __('No Artist found in Trash', 'music-night'),
					'parent_item_colon'  => '',
					'menu_name'          => __('Artist', 'music-night')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,				
				'rewrite'            => array( 'slug' => $artist_slug  ),
				'capability_type'    => 'post',
				'menu_icon'    		=> 'dashicons-admin-users',
				'has_archive'        => true,
				'hierarchical'       => true,
				'menu_position'      => 5,
				'supports'           => array( 'title', 'editor','thumbnail', 'excerpt', 'comments', 'custom-fields' )
			)
		);
		
		// create artist categories
		register_taxonomy(
			'artist_category', array("artist"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => __('Artist Categories', 'music-night'), 
				'singular_label' => __('Artist Category', 'music-night'), 
				'rewrite' => array( 'slug' => $artist_category_slug  )));
		register_taxonomy_for_object_type('artist_category', 'artist');
		
		// create artist tag
		register_taxonomy(
			'artist_tag', array('artist'), array(
				'hierarchical' => false, 
				'show_admin_column' => true,
				'label' => __('Artist Tags', 'music-night'), 
				'singular_label' => __('Artist Tag', 'music-night'),  
				'rewrite' => array( 'slug' => $artist_tag_slug  )));
		register_taxonomy_for_object_type('artist_tag', 'artist');	

		// add filter to style single template
		add_filter('single_template', 'musicnight_register_artist_template');
		
	}
}

if( !function_exists('musicnight_register_artist_template') ){
	function musicnight_register_artist_template($single_template) {
		global $post,$musicnight_theme_option;
		
		if ($post->post_type == 'artist') {
			$single_template = dirname( __FILE__ ) . '/single-artist.php';
		}
		return $single_template;	
	}
}

include_once( 'wpmf-artist-element.php');