<?php
	/*	
	*	KodeForest Importer
	*	---------------------------------------------------------------------
	*	This file creates all Importer option of this theme.
	*	---------------------------------------------------------------------
	*/
	
	
	add_filter('musicnight_themeoption_panel_importer', 'music_night_register_importer_theme_option');
	if( !function_exists('music_night_register_importer_theme_option') ){
		function music_night_register_importer_theme_option( $array ){	
			global $musicnight_theme_option;
			
			$importer_head =  array(
				'title' => esc_html__('Importer Options', 'music-night-importer'),				
				'icon' => 'fa fa-hand-o-down',
			);
			
			$importer_theme_config =  array(
				'title' => esc_html__('Theme Config', 'music-night-importer'),				
				'icon' => 'fa fa-gear',
			);
			
			
			$importer_search =  array(
				'title' => esc_html__('Dummy Import', 'music-night-importer'),
				'options' => array(
					'importer-style-import-first' => array(
						'title' => esc_html__('Import First', 'music-night-importer'),
						'type' => 'import-first',
						'desc' => 'Full Demo',
						'wrapper-class' => 'full-width-section after-import',
					),
					'importer-style-default' => array(
						'title' => esc_html__('Default', 'music-night-importer'),
						'type' => 'importer',
						'image' => plugin_dir_url( __FILE__ ) . 'asserts/images/default.png',
						'dummy' => plugin_dir_path( __FILE__ ) . 'dummy/default/demo.xml',
						'options' => plugin_dir_path( __FILE__ ) . 'dummy/default/options.txt',
						'widgets' => plugin_dir_path( __FILE__ ) . 'dummy/default/widgets.txt',
						'live' => esc_url('http://kodeforest.net/wp-demo/music-night/'),
						'desc' => 'Full Demo',
						'wrapper-class' => 'kode-column-4',
					),
					
				)
			);
			
			$importer_config =  array(
				'title' => esc_html__('Configuration', 'music-night-importer'),
				'options' => array(
					'server-config' => array(
						'title' => esc_html__('Server Configuration', 'music-night'),
						'type' => 'server-config',
						'wrapper-class' => 'server-config',
						'description' => 'Above information is useful to diagnose some of the possible reasons to malfunctions, performance issues or any errors. You can faciliate the process of support by providing below information to our support staff.',
					),
					
				)
			);	
			
			$importer_info =  array(
				'title' => esc_html__('Theme Options & Widgets Import/Export', 'music-night-importer'),				
				'icon' => 'fa fa-hand-o-down',
			);
			
			$export_widget =  array(
				'title' => __('Export Widgets', 'music-night-importer'),
				'type' => 'export-widgets',
				'description'=> esc_html__('WARNING! This will overwrite any existing options, please proceed with caution!', 'music-night-importer'),
				'option' => 
					'<input type="button" id="kode-import" class="kdf-button" value="' . __('Import', 'music-night-importer') . '" />' .
					'<textarea class="full-width"></textarea>'
			
			);
			
			$export_options =  array(
				'title' => esc_html__('Export Option', 'islamic-center'),
				'type' => 'custom',
				'description'=> esc_html__('Here you can copy/download your themes current option settings. Keep this safe as you can use it as a backup should anything go wrong. Or you can use it to restore your settings on this site (or any other site). You also have the handy option to copy the link to yours sites settings. Which you can then use to duplicate on another site.', 'islamic-center'),
				'option' => 
					'<input type="button" id="kode-export" class="kdf-button" value="' . esc_html__('Export', 'islamic-center') . '" />' .
					'<textarea class="full-width"></textarea>'
			);	
			$import_options =  array(	
				'title' => esc_html__('Import Option', 'islamic-center'),
				'type' => 'custom',
				'description'=> esc_html__('WARNING! This will overwrite any existing options, please proceed with caution!', 'islamic-center'),
				'option' => 
					'<input type="button" id="kode-import" class="kdf-button" value="' . esc_html__('Import', 'islamic-center') . '" />' .
					'<textarea class="full-width"></textarea>'
				
			);
			
			
			$array['importer-theme-config'] = $importer_theme_config;
			$array['importer-setting'] = $importer_head;
			
			$array['importer-theme-config']['options']['importer-config'] = $importer_config;
			$array['importer-setting']['options']['importer-options'] = $importer_search;
			$array['importer-setting']['options']['importer-info'] = $importer_info;
			$array['importer-setting']['options']['importer-info']['options']['export-options'] = $export_options;
			$array['importer-setting']['options']['importer-info']['options']['import-options'] = $import_options;
			$array['importer-setting']['options']['importer-info']['options']['export-widget'] = $export_widget;
			
			
			
			$reset_dummy_setting =  array(
				'title' => esc_html__('Reset Dummy', 'music-night-importer'),				
				'icon' => 'fa fa-hand-o-down',
			);
			
			$importer_search =  array(
				'title' => esc_html__('Reset Options', 'music-night-importer'),
				'options' => array(
					'importer-style-import-first' => array(
						'title' => esc_html__('Import First', 'music-night-importer'),
						'type' => 'import-first',
						'desc' => 'Full Demo',
						'wrapper-class' => 'full-width-section after-import',
					),
					'importer-style-default' => array(
						'title' => esc_html__('Default', 'music-night-importer'),
						'type' => 'importer',
						'image' => plugin_dir_url( __FILE__ ) . 'asserts/images/default.png',
						'dummy' => plugin_dir_path( __FILE__ ) . 'dummy/default/demo.xml',
						'options' => plugin_dir_path( __FILE__ ) . 'dummy/default/options.txt',
						'widgets' => plugin_dir_path( __FILE__ ) . 'dummy/default/widgets.txt',
						'live' => esc_url('http://kodeforest.net/wp-demo/music-night/'),
						'desc' => 'Full Demo',
						'wrapper-class' => 'kode-column-4',
					),
					
				)
			);	
			
			
			// $array['reset-dummy-setting'] = $reset_dummy_setting;
			// $array['reset-dummy-setting']['options']['reset-options'] = $importer_search;
			
			
			return $array;
		}
	}
?>