<?php get_header(); ?>
<div class="content">
	<div class="container">
		<div class="row">
		<?php 
			$musicnight_theme_option = get_option('musicnight_admin_option', array());
			$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
			if( !empty($musicnight_post_option) ){
				$musicnight_post_option = json_decode( $musicnight_post_option, true );					
			}
			$thumbnail_size = empty($musicnight_post_option['thumbnail-size'])? 'full' : $musicnight_post_option['thumbnail-size'];
			$ministry_shortcode = empty($musicnight_post_option['services-shortcode'])? '' : $musicnight_post_option['services-shortcode'];
			$accordian_shortcode = empty($musicnight_post_option['accordian-shortcode'])? '' : $musicnight_post_option['accordian-shortcode'];
			
			if( empty($musicnight_post_option['sidebar']) || $musicnight_post_option['sidebar'] == 'default-sidebar' ){
				$musicnight_sidebar = array(
					'type'=>$musicnight_theme_option['post-sidebar-template'],
					'left-sidebar'=>$musicnight_theme_option['post-sidebar-left'], 
					'right-sidebar'=>$musicnight_theme_option['post-sidebar-right']
				); 
			}else{
				$musicnight_sidebar = array(
					'type'=>$musicnight_post_option['sidebar'],
					'left-sidebar'=>$musicnight_post_option['left-sidebar'], 
					'right-sidebar'=>$musicnight_post_option['right-sidebar']
				); 				
			}			
			$musicnight_sidebar = musicnight_get_sidebar_class($musicnight_sidebar);?>
			<div class="wpmf-content-area <?php echo esc_attr($musicnight_sidebar['center'])?>">
				<?php while ( have_posts() ){ 
					the_post();	global $post;?>
					<div class="ch_blog_detail_row">
						<!--church blog detail text start-->
						<div class="church_blog_detail_text">
							<figure>
								<?php echo get_the_post_thumbnail($post->ID, $thumbnail_size);?>
							</figure>
							<ul class="church_meta_date meta_2 meta_3">
								<?php if( is_sticky(get_the_ID()) ){ ?>
									<li class="blog-info blog-date"><i class="fa fa-bullhorn"></i> <a href="#"> <?php esc_attr_e('Featured','music-night');?></a></li>
									<?php echo musicnight_get_ministry_info(get_the_ID(),array('date'), false, '','li');?>
								<?php }else{ ?>
									<?php echo musicnight_get_ministry_info(get_the_ID(),array('date'), false, '','li');?>
								<?php }?>
								<?php echo musicnight_get_ministry_info(get_the_ID(),array('views'), false, '','li');?>
								<?php echo musicnight_get_ministry_info(get_the_ID(),array('comment'), false, '','li');?>
							</ul>
							<?php the_content();?>
						</div>
						<div class="ch_share_meta">
							<div class="ch_social_share">
								<?php echo musicnight_get_social_shares('social_meta'); ?>
							</div>
						</div>
						<!--church blog detail text end-->
						<div class="wpmf-post-nav">
							<?php previous_post_link('<div class="wpmf-previous thcolorhover left-nav inner-post">%link</div>', ' <i class="fa fa-long-arrow-left"></i> Previous <h6>%title</h6>', true); ?>
							<?php next_post_link('<div class="wpmf-next thcolorhover next-nav inner-post">%link</div>', 'Next <i class="fa fa-long-arrow-right"></i> <h6>%title</h6>', true); ?>
						</div>
						
						<!--church authore list start-->
						<div class="church_authore_list">
							<?php if(get_the_author_meta('description') <> ''){ ?>
								<div class="churech_author">
									<figure>
										<?php echo get_avatar(get_the_author_meta('ID'), 90); ?>
									</figure>
									<div class="churech_author_text">
										<div class="churech_author_head">
											<h4><?php esc_attr_e('About Author','music-night');?></h4>
											<span><?php the_author_posts_link(); ?></span>
										</div>
										<?php if(get_the_author_meta('description') <> ''){ ?>
											<p><?php echo esc_attr(get_the_author_meta('description')); ?></p>
										<?php }?>
									</div>
								</div>
							<?php }?>
							
						</div>	
						<!--church authore list end-->
						<?php comments_template() ?>
					</div>
				<?php } ?>
			</div>	
			<?php
			$musicnight_sidebar = musicnight_get_sidebar_class($musicnight_sidebar);
			if($musicnight_sidebar['type'] == 'both-sidebar' || $musicnight_sidebar['type'] == 'left-sidebar'){ ?>
				<div class="wpmf-left-sidebar-area pull-left <?php echo esc_attr($musicnight_sidebar['left'])?>">
					<?php get_sidebar('left'); ?>
				</div>	
			<?php }
			if($musicnight_sidebar['type'] == 'both-sidebar' || $musicnight_sidebar['type'] == 'right-sidebar' && $musicnight_sidebar['right'] != ''){ ?>
				<div class="wpmf-right-sidebar-area pull-right <?php echo esc_attr($musicnight_sidebar['right'])?>">
					<?php get_sidebar('right'); ?>
				</div>	
			<?php } ?>
		</div><!-- Row -->	
	</div><!-- Container -->		
</div><!-- content -->
<?php if( isset($musicnight_post_option['clients_gallery']) && $musicnight_post_option['clients_gallery'] <> ''){

 ?>
<div class="kf_brand">
	<div class="container">
		<div class="row">
			<!--Brand Slider Start-->
			<div class="brand_slider">
				<?php	
					$clients_gallery = json_decode($musicnight_post_option['clients_gallery'], true);
					$slide_gallery_order = $clients_gallery[0];
					$slide_gallery_data = $clients_gallery[1];					
					
					$slides_gallery = array();
					if(!empty($slide_gallery_order)){
						foreach( $slide_gallery_order as $slide_gallery_id ){
							$slides_gallery[$slide_gallery_id] = $slide_data[$slide_gallery_id];
						}
					}
					$musicnight_post_option['clients_gallery'] = $slides_gallery;
					foreach($musicnight_post_option['clients_gallery'] as $slide_gallery_id => $slide_gallery){
						$image_src_client = wp_get_attachment_image_src($slide_gallery_id, 'full');	
						echo '
							<div>
								<a href="#">
									<img src="'.esc_url($image_src_client[0]).'" alt="">
								</a>
							</div>
						';
					}
				?>
			</div>
			<!--Brand Slider End-->
		</div>
	</div>
</div>
<?php } ?>
<?php get_footer(); ?>