<?php
	/*	
	*	KodeForest Service Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create Service item
	*	---------------------------------------------------------------------
	*/
	
	//Service Listing
	if( !function_exists('musicnight_get_ministry_item') ){
		function musicnight_get_ministry_item( $settings ){
			// $settings['category'];
			// $settings['tag'];
			// $settings['num-excerpt'];
			// $settings['num-fetch'];
			// $settings['service-style'];
			// $settings['order'];
			// $settings['orderby'];
			// $settings['order'];
			// $settings['margin-bottom'];
			
			// query posts section
			$args = array('post_type' => 'service', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;
			$settings['element-item-class'] = empty($settings['element-item-class'])? '' : $settings['element-item-class'];
			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'ministry_category', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'ministry_tag', 'field'=>'slug'));
				}				
			}			
			$query = new WP_Query( $args );

			// create the service filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? 0: $settings['num-excerpt'];
			$settings['service-column'] = empty($settings['service-column'])? 4: $settings['service-column'];
			$settings['thumbnail-size'];
			$size = $settings['service-column'];
			
			
			$service = '<div class="service-wrapper '.esc_attr($settings['element-item-class']).'">';
			
			$settings['title-num-excerpt'] = (empty($settings['title-num-excerpt']))? '15': $settings['title-num-excerpt'];
			$current_size = 0;
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				
				$background_image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ) , $settings['thumbnail-size']);				
				$musicnight_post_option['service-icon'] = (empty($musicnight_post_option['service-icon']))? 'icon-justice4': $musicnight_post_option['service-icon'];
				if($settings['service-style'] == 'grid-view'){
					$service .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="soft_column">
                                <figure>
                                     '.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
                                    <div class="soft_column_caption">                                        
										<h4>'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</h4>
                                        <p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
                                        <a href="'.esc_url(get_permalink()).'" class="default_small_btn theme-bg_btn">Read More</a>
                                    </div>
                                </figure>
                            </div>
						</div>';
				}else if($settings['service-style'] == 'grid-simple'){
					$service .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="soft_column">
                                <figure>
                                     '.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
                                    <div class="soft_column_caption">
                                        <h4><a href="'.esc_url(get_permalink()).'">'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</a></h4>
                                        <a href="'.esc_url(get_permalink()).'" class="default_small_btn theme-bg_btn">'.esc_attr__('Read More','music-night').'</a>
                                    </div>
                                </figure>
                            </div>
						</div>';
				}else if($settings['service-style'] == 'grid-normal'){
					$service .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="church_blog_fig">
								<figure class="overlay">
									 '.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								</figure>
								<div class="church_blog_fig_text">
									<h4><a href="'.esc_url(get_permalink()).'">'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</a></h4>
									<p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
									<a class="default_small_btn btn_2" href="'.esc_url(get_permalink()).'">'.esc_attr__('Read More','music-night').'</a>
								</div>
							</div>
						</div>';
				}else if($settings['service-style'] == 'grid-modern'){
					$service .= '
						<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="wpmf-chrch-srvs">
								<span class="fa kode_icon '.esc_attr($musicnight_post_option['service-icon']).'"></span>								
								<h5><a href="'.esc_url(get_permalink()).'">'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</a></h5>
								<p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
								<a class="chrc-btn1" href="'.esc_url(get_permalink()).'">'.esc_attr__('Read More','music-night').'</a>
							</div>
						</div>';
				}else if($settings['service-style'] == 'grid-new'){
					$service .= '
						<div class="col-sm-6 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
							<div class="kode_program_list">
								<div class="image-figure">
									 '.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								</div>
								<div class="kode_program_des">
									<h5><a href="'.esc_url(get_permalink()).'">'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</a></h5>
									<p>'.esc_attr(substr(strip_tags(get_the_content()),0,30)).'</p>
									<i class="kode_icon '.esc_attr($musicnight_post_option['service-icon']).'"></i>
								</div>
								
								<div class="kode_program_hover">
									<h5><a href="'.esc_url(get_permalink()).'">'.substr(get_the_title(),0,$settings['title-num-excerpt']).'</a></h5>
									<p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
									<a class="kode_link_2" href="'.esc_url(get_permalink()).'">'.esc_attr__('Read More','music-night').'</a>
								</div>
								
							</div>
						</div>';
				}else{}
				$current_size++;
			}
			if( $settings['pagination'] == 'enable' ){
				$service .= musicnight_get_pagination($query->max_num_pages, $args['paged']);
			}
			
			if($settings['service-style'] == 'grid-view'){
				$service .= '';
			}else{}
			
			$service .= '</div>';
			
			
			return $service;
		}
	}	
	
	
	// breaking news item
	if( !function_exists('musicnight_get_work_slider') ){
		function musicnight_get_work_slider( $settings ){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			// query post and sticky post
			$args = array('post_type' => 'service', 'suppress_filters' => false);
			if( !empty($settings['category']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'ministry_category', 'field'=>'slug'));
				}			
			}
			
			$settings['element-item-class'] = empty($settings['element-item-class'])? '' : $settings['element-item-class'];
			
			$ret = '<div class="service-slider-wrapper '.esc_attr($settings['element-item-class']).'">';
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$query = new WP_Query( $args );
			$settings['num-fetch'] = (empty($settings['num-fetch']))? '20': $settings['num-fetch'];
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];
			$settings['heading'] = (empty($settings['heading']))? '20': $settings['heading'];
			$settings['caption'] = (empty($settings['caption']))? '20': $settings['caption'];
			
			
			
			if($settings['slider-type'] == 'type-1'){
				$ret .= '
					<div class="kode_wht_des">
						<div class="kode_hdg_1">
							<h6>'.esc_attr($settings['caption']).'</h6>
							<h4>'.esc_attr($settings['heading']).'</h4>
						</div>
                        <ul class="bxslider" data-min="2" data-max="2" data-mode="vertical" data-slidespeed="1000" data-pausetime="4000" data-margin="10">';
                            while($query->have_posts()){ $query->the_post();global $post;	
							$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
							if( !empty($musicnight_work_option) ){
								$musicnight_work_option = json_decode( $musicnight_work_option, true );					
							}
							$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];
							$ret .= '
							<li>
                                <a href="'.esc_url(get_permalink()).'"><span><i class="fa kode_icon '.esc_attr($musicnight_work_option['service-icon']).'"></i></span></a>
                                <div class="kode_wht_icon_des">
                                    <h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
                                    <p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
                                </div>
                            </li>';
							}
                        $ret .= '    
                        </ul>
                    </div>';
			}else if($settings['slider-type'] == 'type-2'){
				$ret .= '
					<div class="kode_wht_des">
                        <h6>'.esc_attr($settings['caption']).'</h6>
                        <h4>'.esc_attr($settings['heading']).'</h4>
                        <ul class="bxslider" data-min="2" data-max="2" data-mode="horizontal" data-margin="10">';
                            while($query->have_posts()){ $query->the_post();	global $post;
							$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
							if( !empty($musicnight_work_option) ){
								$musicnight_work_option = json_decode( $musicnight_work_option, true );					
							}
							$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];							
							$ret .= '
							<li>
                                <a href="'.esc_url(get_permalink()).'"><span><i class="kode_icon '.esc_attr($musicnight_work_option['service-icon']).'"></i></span></a>
                                <div class="kode_wht_icon_des">
                                    <h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
                                    <p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
                                </div>
                            </li>';
							}
                        $ret .= '    
                        </ul>
                    </div>';
			}else if($settings['slider-type'] == 'type-3'){
				$ret .= '
					<div class="our-latest-work">
						<div class="kode_hdg_1">
							<h6>'.esc_attr($settings['caption']).'</h6>
							<h4>'.esc_attr($settings['heading']).'</h4>
						</div>
                        <div class="owl-carousel owl-theme kode_work_outr" data-small-slide="2" data-slide="3" data-mode="horizontal">';
                            while($query->have_posts()){ $query->the_post();global $post;
							$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
							if( !empty($musicnight_work_option) ){
								$musicnight_work_option = json_decode( $musicnight_work_option, true );					
							}
							$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];							
							$ret .= '
							<div class="item">
								<div class="kode_work_wrap">
									<figure>										
										'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
										<figcaption class="kode_work_hover">
											<a href="'.esc_url(get_permalink()).'"><i class="kode_icon '.esc_attr($musicnight_work_option['service-icon']).'"></i></a>
										</figcaption>
									</figure>
									<div class="kode_work_des">
										<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
										<p>'.esc_attr(substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
									</div>
								</div>
							</div>';
							}
                        $ret .= '    
                        </div>
                    </div>';
				
			}	

			$ret .= '</div>';
			
			wp_reset_postdata();
			
			return $ret;
		}
	}	
	
	if( !function_exists('musicnight_get_timeline') ){
		function musicnight_get_timeline($settings){
			$item_id = empty($settings['element-item-id'])? '': ' id="' .esc_attr( $settings['element-item-id'] ). '" ';
	
			global $musicnight_spaces;
			$margin = (!empty($settings['margin-bottom']) && 
				$settings['margin-bottom'] != $musicnight_spaces['bottom-item'])? 'margin-bottom: ' .esc_attr( $settings['margin-bottom'] ). 'px;': '';
			$margin_style = (!empty($margin))? ' style="' .esc_attr( $margin ). '" ': '';
			
			// query post and sticky post
			$args = array('post_type' => 'service', 'suppress_filters' => false);
			if( !empty($settings['category']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'ministry_category', 'field'=>'slug'));
				}			
			}
			$settings['heading'] = (empty($settings['heading']))? '': $settings['heading'];
			$settings['caption'] = (empty($settings['caption']))? '': $settings['caption'];
			
			$settings['element-item-class'] = empty($settings['element-item-class'])? '' : $settings['element-item-class'];
			
			$ret = '<div '.$margin_style.' class="wpmf-work-timeline '.esc_attr($settings['element-item-class']).'">';
				$ret .= '
				<div class="kode_hdg_1">
                	<h6>'.esc_attr($settings['heading']).'</h6>
                    <h4>'.esc_attr($settings['caption']).'</h4>
                </div>';
				
			$settings['num-excerpt'] = (empty($settings['num-excerpt']))? '20': $settings['num-excerpt'];
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '20': $settings['num-fetch'];
			$settings['title-num-fetch'] = (empty($settings['title-num-fetch']))? '20': $settings['title-num-fetch'];
			//$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$query = new WP_Query( $args );
			
			
			
			$counter_work = 0;
			if($settings['timeline-type'] == 'type-1'){
				$ret .= '<ul class="kode_camp_outr_wrap">';
				$item_work = 'kode_campgn_lst2';
				while($query->have_posts()){ $query->the_post();global $post;
				$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_work_option) ){
					$musicnight_work_option = json_decode( $musicnight_work_option, true );					
				}
				$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];							
					if($counter_work % 2 == 0){
						$item_work = 'kode_campgn_lst2';
					}else{
						$item_work = 'kode_campgn_lst1';
					}$counter_work++;
					$ret .= '
					<li>
						<div class="kode_campagin_lst">
							<div class="'.esc_attr($item_work).'">
								<div class="kode_cam_date">
									<h4>'.get_the_date('d').'</h4>
									<h6>'.get_the_date('M').'</h6>
								</div>
								<div class="kode_lst1_des">
									<h6><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
									<ul>
										<li><i class="fa fa-clock-o"></i>'.get_the_date('h:i:s').'</li>
										<li><i class="fa fa-map-marker"></i>'.esc_attr__('515 E. 51st St, New York NY','music-night').'</li>
									</ul>
									<p>'.substr(get_the_content(),0,$settings['num-excerpt']).'</p>
								</div>  
							</div>
						</div>
					</li>';
				}
				wp_reset_postdata();
				$ret .= '</ul>';
				
			}else if($settings['timeline-type'] == 'type-2'){
				$ret .= '<div class="kode_where_we"><ul>';
				while($query->have_posts()){ $query->the_post();global $post;
$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_work_option) ){
					$musicnight_work_option = json_decode( $musicnight_work_option, true );					
				}
				$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];											
					if($counter_work % 2 == 0){
						$ret .= '
					<li class="timline-left">
						<div class="kode_year_list wpmf-item">
							<figure>
								<a class="wpmf-ux" href="'.esc_url(get_permalink()).'" data-rel="prettyPhoto[]">
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'								
								</a>
								<figcaption class="kode_where_year">
									<h6>'.esc_attr(get_the_date('Y')).'</h6>
								</figcaption>
							</figure>
							
							<div class="kode_where_des">
								<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
								<p>'.substr(get_the_content(),0,$settings['num-excerpt']).'</p>
							</div>
						</div>
					</li>';
					}else{
						$ret .= '
					<li class="timline-right">
						<div class="kode_year_list">							
							<div class="kode_where_des">
								<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
								<p>'.substr(get_the_content(),0,$settings['num-excerpt']).'</p>
							</div>
							<figure>
								<a class="wpmf-ux" href="'.esc_url(get_permalink()).'" data-rel="prettyPhoto[]">
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'								
								</a>
								<figcaption class="kode_where_year">
									<h6>'.esc_attr(get_the_date('Y')).'</h6>
								</figcaption>
							</figure>
						</div>
					</li>';
					}$counter_work++;
					
				}
				wp_reset_postdata();
				$ret .= '</ul></div>';
			}else if($settings['timeline-type'] == 'type-3'){
				
				$prev_month = null;
				$ret .= '<div class="kf_political_career">';
				while($query->have_posts()){ $query->the_post();global $post;	
				$musicnight_work_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_work_option) ){
					$musicnight_work_option = json_decode( $musicnight_work_option, true );					
				}
				$musicnight_work_option['service-icon'] = (empty($musicnight_work_option['service-icon']))? 'icon-justice4': $musicnight_work_option['service-icon'];							
					$this_year = get_the_date('Y');
					if($prev_month != $this_year){					
						if(!is_null($prev_month)){
							
						}
						$ret .= '<div class="kf_year">
							<h5>'.esc_attr($this_year).'</h5>
						</div>
						<div class="kf_empty">';
					}
					
					$prev_month = $this_year;
					if($counter_work % 2 == 0){
						$ret .= '
					<div class="kf_monthly">
                    	<div class="kf_month_right">
                        	<h6>'.esc_attr(get_the_date('d M Y')).'</h6>
                            <h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
                            <p>'.substr(get_the_content(),0,$settings['num-excerpt']).'</p>
                        </div>
                    </div>';
					}else{
						$ret .= '
					<div class="kf_monthly">
                    	<div class="kf_month_left">
                        	<h6>'.esc_attr(get_the_date('d M Y')).'</h6>
                            <h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
                            <p>'.substr(get_the_content(),0,$settings['num-excerpt']).'</p>
                        </div>
                    </div>';
					}$counter_work++;
					$this_year = get_the_date('Y');
					if($prev_month != $this_year){					
						if(!is_null($prev_month)){
							
						}
						$ret .= '</div>';
					}
					$prev_month = $this_year;
					
				}
				$ret .= '</div>';
				wp_reset_postdata();
				
			}
			
			if($settings['timeline-type'] == 'type-3'){
				$ret .= '</div>';
			}
			$ret .= '</div>';
			
			return $ret;
			
		}
	}
	
	if( !function_exists('musicnight_get_ministry_info') ){
		function musicnight_get_ministry_info( $id,$array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list($id, 'campaign_tag', '', '<span class="sep">,</span> ' , '' );
						if(empty($tag)) break;					
						
						$ret .= '<'.esc_attr($custom_wrap).' class=""><span><i class="fa fa-tag" aria-hidden="true"></i> '.esc_attr__('tags:','music-night').'</span>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'campaign_category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-comment"><i class="fa fa-comment-o"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' ' . esc_html__('Comment','music-night').'</a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' ' . esc_html__('Views','music-night').'</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="deck-info deck-author"><i class="fa fa-user"></i> <span>By</span> ';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="wpmf-deck-info wpmf-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
		
	
?>