<?php
	/*	
	*	KodeForest service Option file
	*	---------------------------------------------------------------------
	*	This file creates all service options and attached to the theme
	*	---------------------------------------------------------------------
	*/
	
	// add a service option to service page
	if( is_admin() ){ add_action('init', 'musicnight_create_ministry_options'); }
	if( !function_exists('musicnight_create_ministry_options') ){
	
		function musicnight_create_ministry_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
								'sidebar' => array(
									'type' => 'radioimage',
									'description' => 'Please select the side bar position from here.',
									'options' => array(
										'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
										'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
										'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
										'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
									),
									'default' => 'no-sidebar'
								),	
								'left-sidebar' => array(
									'title' => __('Left Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
								),
								'right-sidebar' => array(
									'title' => __('Right Sidebar' , 'music-night'),
									'type' => 'combobox_sidebar',
									'options' => $musicnight_theme_option['sidebar-element'],
									'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
								),						
						)
					),
					
					'page-option' => array(
						'title' => __('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => __('Page Caption' , 'music-night'),
								'type' => 'textarea',
								'description' => 'Please enter the Caption for the page here.',
							),							
							'header-background' => array(
								'title' => __('Header Background Image' , 'music-night'),
								'button' => __('Upload', 'music-night'),
								'type' => 'upload',
								'description' => 'Click here to Upload the Header Background Image.',
							),	
							'service-icon' => array(
								'title' => __('Service Icon' , 'music-night'),
								'type' => 'text',
								'description' => 'You can add service icon here for example : fa fa-lock icon list can be found on fontawesome.',
							),	
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('service'),
					'meta_title' => __('service Option', 'music-night'),
					'meta_slug' => 'service-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	
	// add service in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_ministry_item');
	if( !function_exists('musicnight_register_ministry_item') ){
		function musicnight_register_ministry_item( $page_builder = array() ){
			global $musicnight_spaces;
		
			$page_builder['content-item']['options']['service'] = array(
				'title'=> __('Service', 'music-night'), 
				'icon'=>'fa-forumbee',
				'type'=>'item',
				'options'=>array(				
					'title-num-excerpt'=> array(
						'title'=> __('Title Num Length (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> __('This is a number of word (decided by spaces) that you want to show on the service title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('ministry_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('ministry_tag'),
						'description'=> __('Will be ignored when the service filter option is enabled.', 'music-night')
					),
					'service-padding'=> array(
						'title'=> __('Service Padding' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'without-padding' => __('Without Padding', 'music-night'),
							'with-padding' => __('With Padding', 'music-night'),
						),
					),
					'service-style'=> array(
						'title'=> esc_html__('Service Style' ,'music-night'),
						'type'=> 'combobox',
						'wrapper-class'=> 'wpmf-custom-styles',
						'options'=> array(
							'grid-view'=>esc_attr__('Grid View','music-night'),
							'grid-simple'=>esc_attr__('Grid Simple','music-night'),
							'grid-normal'=>esc_attr__('Grid Normal','music-night'),
							'grid-modern'=>esc_attr__('Grid Modern View','music-night'),
							'grid-new'=>esc_attr__('Grid New View','music-night'),
						)
					),	
					'thumbnail-size'=> array(
						'title'=> __('Service Image Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'wrapper-class'=> '',
					),
					'service-column'=> array(
						'title'=> __('Service Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'1' => __('1 Column', 'music-night'),
							'2' => __('2 Column', 'music-night'),
							'3' => __('3 Column', 'music-night'),
							'4' => __('4 Column', 'music-night'),
						),
						'wrapper-class'=> '',
					),						
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of ministrys you want to pull out.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',
						'wrapper-class'=>''
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'pagination'=> array(
						'title'=> __('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item. It should be in numbers only E.g 20. Donot write px with it', 'music-night')
					),				
				)
			);
			
			
			$page_builder['content-item']['options']['portfolio-slider'] = array(
				'title'=> esc_html__('Service Slider', 'music-night'), 
				'icon'=>'fa-suitcase',
				'type'=>'item',
				'options'=>  array(
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),	
					'heading'=> array(
						'title'=> esc_html__('Heading' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Please add heading text here.', 'music-night')
					),	
					'caption'=> array(
						'title'=> esc_html__('Caption' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Please add caption text here.', 'music-night')
					),
					'slider-type'=> array(
						'title'=> __('Timeline Type' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'type-1' => __('Vertical Slider', 'music-night'), 
							'type-2' => __('Horizontal Slider', 'music-night'),
							'type-3' => __('Horizontal With Image Slider', 'music-night'),
						)
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'wpmf-post-thumbnail-size'
					),						
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('ministry_category'),
						'description'=> esc_html__('Select categories to fetch its posts.', 'music-night')
					),	
					'title-num-fetch'=> array(
						'title'=> esc_html__('Num Title (Character)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of characters that you want to show on the post title.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of characters that you want to show on the post description.', 'music-night')
					),	
					'num-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
					),										
					'orderby'=> array(
						'title'=> esc_html__('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => esc_html__('Publish Date', 'music-night'), 
							'title' => esc_html__('Title', 'music-night'), 
							'rand' => esc_html__('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),	
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',											
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),										
				)
			);
			
			$page_builder['content-item']['options']['timeline'] = array(
				'title'=> esc_html__('Timeline', 'music-night'), 
				'icon'=>'fa-tasks',
				'type'=>'item',
				'options'=>  array(
					'element-item-id' => array(
						'title' => esc_html__('Page Item ID', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item id.', 'music-night')
					),
					'element-item-class' => array(
						'title' => esc_html__('Page Item Class', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => esc_html__('please add the page item class.', 'music-night')
					),	
					'heading'=> array(
						'title'=> esc_html__('Heading' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Please add heading text here.', 'music-night')
					),	
					'caption'=> array(
						'title'=> esc_html__('Caption' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('Please add caption text here.', 'music-night')
					),
					'timeline-type'=> array(
						'title'=> __('Timeline Type' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'type-1' => __('Type 1', 'music-night'), 
							'type-2' => __('Type 2', 'music-night'), 
							'type-3' => __('Type 3', 'music-night'), 
						)
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'default'=> 'wpmf-post-thumbnail-size'
					),						
					'category'=> array(
						'title'=> esc_html__('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('ministry_category'),
						'description'=> esc_html__('Select categories to fetch its posts.', 'music-night')
					),	
					'title-num-fetch'=> array(
						'title'=> esc_html__('Num Title (Character)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of characters that you want to show on the post title.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> esc_html__('Num Excerpt (Word)' ,'music-night'),
						'type'=> 'text',	
						'default'=> '25',
						'description'=> esc_html__('This is a number of characters that you want to show on the post description.', 'music-night')
					),	
					'num-fetch'=> array(
						'title'=> esc_html__('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> esc_html__('Specify the number of posts you want to pull out.', 'music-night')
					),										
					'orderby'=> array(
						'title'=> esc_html__('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => esc_html__('Publish Date', 'music-night'), 
							'title' => esc_html__('Title', 'music-night'), 
							'rand' => esc_html__('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> esc_html__('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>esc_html__('Descending Order', 'music-night'), 
							'asc'=> esc_html__('Ascending Order', 'music-night'), 
						)
					),	
					'margin-bottom' => array(
						'title' => esc_html__('Margin Bottom', 'music-night'),
						'type' => 'text',											
						'description' => esc_html__('Spaces after ending of this item', 'music-night')
					),										
				)
			);
			
			return $page_builder;
		}
	}
	
?>