<?php
/*
Plugin Name: KodeForest Service
Plugin URI: 
Description: A Custom Post Type Plugin To Use With KodeForest Themes ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: KodeForest
Author URI: http://www.kodeforest.com
License: 
*/


include_once( 'wpmf-service-item.php');	
include_once( 'wpmf-service-option.php');	

// action to loaded the plugin translation file
add_action('plugins_loaded', 'musicnight_ministry_init');
if( !function_exists('musicnight_ministry_init') ){
	function musicnight_ministry_init() {
		load_plugin_textdomain( 'music-night', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
	}
}

// add action to create service post type
add_action( 'init', 'musicnight_create_ministry' );
if( !function_exists('musicnight_create_ministry') ){
	function musicnight_create_ministry() {
		global $musicnight_theme_option;
				
		$ministry_slug = 'service';
		$ministry_category_slug = 'ministry_category';
		$ministry_tag_slug = 'ministry_tag';		
		
		register_post_type( 'service',
			array(
				'labels' => array(
					'name'               => __('Service', 'music-night'),
					'singular_name'      => __('Service', 'music-night'),
					'add_new'            => __('Add New', 'music-night'),
					'add_new_item'       => __('Add New Service', 'music-night'),
					'edit_item'          => __('Edit Service', 'music-night'),
					'new_item'           => __('New Service', 'music-night'),
					'all_items'          => __('All Service', 'music-night'),
					'view_item'          => __('View service', 'music-night'),
					'search_items'       => __('Search service', 'music-night'),
					'not_found'          => __('No Service found', 'music-night'),
					'not_found_in_trash' => __('No Service found in Trash', 'music-night'),
					'parent_item_colon'  => '',
					'menu_name'          => __('Service', 'music-night')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,				
				'rewrite'            => array( 'slug' => $ministry_slug  ),
				'menu_icon'    		=> 'dashicons-schedule',
				'capability_type'    => 'post',
				'has_archive'        => true,
				'hierarchical'       => true,
				'menu_position'      => 5,
				'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments', 'custom-fields' )
			)
		);
		
		// create service categories
		register_taxonomy(
			'ministry_category', array("service"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => __('Service Categories', 'music-night'), 
				'singular_label' => __('Service Category', 'music-night'), 
				'rewrite' => array( 'slug' => $ministry_category_slug  )));
		register_taxonomy_for_object_type('ministry_category', 'service');
		
		// create service tag
		register_taxonomy(
			'ministry_tag', array('service'), array(
				'hierarchical' => false, 
				'show_admin_column' => true,
				'label' => __('Service Tags', 'music-night'), 
				'singular_label' => __('Service Tag', 'music-night'),  
				'rewrite' => array( 'slug' => $ministry_tag_slug  )));
		register_taxonomy_for_object_type('ministry_tag', 'service');	

		// add filter to style single template
		add_filter('single_template', 'musicnight_register_ministry_template');
		
	}
}

if( !function_exists('musicnight_register_ministry_template') ){
	function musicnight_register_ministry_template($single_template) {
		global $post;

		if ($post->post_type == 'service') {
			$single_template = dirname( __FILE__ ) . '/single-service.php';
		}
		return $single_template;	
	}
}
//Visual Composer Addon
include_once( 'vc/vc-service-item.php');
?>
