<?php
/**
 * Plugin Name: Latest Events Widget
 * Plugin URI: http://kodeforest.com/
 * Description: A widget that show Latest Events.
 * Version: 1.0
 * Author: Kodeforest
 * Author URI: http://www.kodeforest.com
 *
 */

add_action( 'widgets_init', 'musicnight_latest_events_widget' );
if( !function_exists('musicnight_latest_events_widget') ){
	function musicnight_latest_events_widget() {
		register_widget( 'Kodeforest_Latest_Events' );
	}
}

if( !class_exists('Kodeforest_Latest_Events') ){
	class Kodeforest_Latest_Events extends WP_Widget{

		// Initialize the widget
		function __construct() {
			parent::__construct(
				'musicnight_latest_events_widget', 
				esc_attr__('Kodeforest Latest Events Widget','music-night'), 
				array('description' => esc_attr__('A widget that shows Next Match.', 'music-night')));  
		}

		// Output of the widget
		function widget( $args, $instance ) {
			global $musicnight_theme_option;	
				
			$title = apply_filters( 'widget_title', $instance['title'] );
			$category = $instance['category'];
			$num_fetch = $instance['num_fetch'];			
			
			// Opening of widget
			echo $args['before_widget'];
			
				echo '
				<div class="widget_event">';
					// Open of title tag
					if( !empty($title) ){ 
						echo $args['before_title'] . esc_attr($title) . $args['after_title']; 
					}
					echo '
					<div class="mg-bottom">';
						$evn = '';
						$order = 'DESC';
						$limit = 10;//Default limit
						$offset = '';		
						$rowno = 0;
						$event_count = 0;
						$EM_Events = EM_Events::get( array('category'=>$category, 'group'=>'this','scope'=>'all', 'limit' => $num_fetch, 'order' => 'desc') );
						$events_count = count ( $EM_Events );	
						foreach($EM_Events as $event){
							$event_post_data = musicnight_decode_stopbackslashes(get_post_meta($event->post_id, 'post-option', true ));
							if( !empty($event_post_data)){
								if(!is_array($event_post_data)){
									$event_post_data = json_decode( $event_post_data, true );				
								}
							}					
							if($event->event_all_day <> 1){
								$start_time = $event->start_time;
								$end_time = $event->end_time;
							}else{

								$start_time = '12:00';
								$end_time = '12:00';
								
							}
							$event_year = date('Y',$event->start);
							$event_month = date('M',$event->start);
							$event_day = date('d',$event->start);
							// print_r($event->start_time);
							$event_start_time = date("G : i a", strtotime($start_time));
							$event_end_time = date("G : i a", strtotime($end_time));
							if($event_count == 0){
								echo '
								<div class="msl-featured-thumb mg-bt">
                                    <figure>
                                        '.get_the_post_thumbnail( $event->post_id, array(370,225)).'
                                        <div class="text">
                                            <!--Featured Title Start-->
                                            <h4 class="featured-title">
                                                <a href="'.esc_url($event->guid).'">'.esc_attr(get_the_title($event->post_id)).'</a>
                                            </h4>
                                            <!--Featured Title End-->
                                            <!--Featured Meta Start-->
                                            <div class="blog-post-meta">
                                                <div class="blog-info blog-admin">
												'.musicnight_get_event_info($EM_Event->ID, array('author'), true, '','span').'
												'.musicnight_get_event_info($EM_Event->ID, array('date'), true, '','span').'
                                                </div>
                                            </div>
                                            <!--Featured Meta End-->
                                        </div>
                                    </figure>
                                </div>';
							}else{
							echo '
								<!--Featured Thumb Start-->
								<div class="msl-featured-thumb featured-thumb-list">
									<figure>
										'.get_the_post_thumbnail( $event->post_id, array(100,100)).'
									</figure>
									<div class="text">
										<!--Featured Title Start-->
										<h4 class="featured-title">
											<a href="'.esc_url($event->guid).'">'.esc_attr(substr($event->post_title,0,35)).'</a>
										</h4>
										<!--Featured Title End-->
										<!--Featured Meta Start-->
										<div class="blog-post-meta">
											<div class="blog-info">
												<span>'.esc_attr($event_day).' '.esc_attr($event_month).', '.esc_attr($event_year).'</span>
											</div>
										</div>
										<!--Featured Meta End-->
									</div>
								</div>
								<!--Featured Thumb End-->';
							}$event_count++;
						}
						echo '
					</div>
				</div>';			
			
			echo '
			<!--Widget Next Match End-->';
					
			// Closing of widget
			echo $args['after_widget'];	
			
		}

		// Widget Form
		function form( $instance ) {
			$title = isset($instance['title'])? $instance['title']: '';
			$category = isset($instance['category'])? $instance['category']: '';
			$num_fetch = isset($instance['num_fetch'])? $instance['num_fetch']: '';?>

			<!-- Text Input -->
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_attr_e('Title :', 'music-night'); ?></label> 
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
			</p>			
			<!-- Post Category -->
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('category')); ?>"><?php esc_html_e('Category :', 'music-night'); ?></label>		
				<select class="widefat" name="<?php echo esc_attr($this->get_field_name('category')); ?>" id="<?php echo esc_attr($this->get_field_id('category')); ?>">
				<option value="" <?php if(empty($category)) echo ' selected '; ?>><?php esc_html_e('All', 'music-night') ?></option>
				<?php 	
				$category_list = musicnight_get_term_list('event-categories'); 
				foreach($category_list as $cat_slug => $cat_name){ ?>
					<option value="<?php echo esc_attr($cat_slug); ?>" <?php if ($category == $cat_slug) echo ' selected '; ?>><?php echo esc_attr($cat_name); ?></option>				
				<?php } ?>	
				</select> 
			</p>
			<!-- Post Layout -->
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>"><?php esc_attr_e('Num Fetch :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('num_fetch')); ?>" name="<?php echo esc_attr($this->get_field_name('num_fetch')); ?>" type="text" value="<?php echo esc_attr($num_fetch); ?>" />
			</p>
			
		<?php
		}
		
		// Update the widget
		function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] = (empty($new_instance['title']))? '': strip_tags($new_instance['title']);
			$instance['category'] = (empty($new_instance['category']))? '': strip_tags($new_instance['category']);			
			$instance['num_fetch'] = (empty($new_instance['num_fetch']))? '': strip_tags($new_instance['num_fetch']);
			

			return $instance;
		}	
	}
}
?>