<?php
/**
 * Plugin Name: Kodeforest Social Network
 * Plugin URI: http://kodeforest.com/
 * Description: A widget that show Social Network Icons with Profile URLs
 * Version: 1.0
 * Author: Kodeforest
 * Author URI: http://www.kodeforest.com
 *
 */

add_action( 'widgets_init', 'musicnight_social_network_widget' );
if( !function_exists('musicnight_social_network_widget') ){
	function musicnight_social_network_widget() {
		register_widget( 'Kodeforest_Social_Network' );
	}
}

if( !class_exists('Kodeforest_Social_Network') ){
	class Kodeforest_Social_Network extends WP_Widget{

		// Initialize the widget
		function __construct() {
			parent::__construct(
				'musicnight_social_network_widget', 
				esc_html__('Kodeforest Social Network Widget','music-night'), 
				array('description' => esc_html__('A widget that show Have A Social Network information.', 'music-night')));  
		}

		// Output of the widget
		function widget( $args, $instance ) {
			global $musicnight_theme_option;	
				
			$title = apply_filters( 'widget_title', $instance['title'] );
			$facebook_url = $instance['facebook_url'];
			$twitter_url = $instance['twitter_url'];
			$linkedin_url = $instance['linkedin_url'];
			$youtube_url = $instance['youtube_url'];
			$pinterest_url = $instance['pinterest_url'];
			$instagram_url = $instance['instagram_url'];			

			// Opening of widget
			echo $args['before_widget'];
			if( !empty($title) ){ 
				echo $args['before_title'] . esc_attr($title) . $args['after_title']; 
			}
			
			?>
			<!--// TextWidget //-->
			<ul class="msl-social">
				<li class="fb"><a href="<?php echo esc_url($facebook_url);?>"><i class="fa fa-facebook"></i></a></li>
				<li class="tw"><a href="<?php echo esc_url($twitter_url);?>"><i class="fa fa-twitter"></i></a></li>
				<li class="lkd"><a href="<?php echo esc_url($linkedin_url);?>"><i class="fa fa-linkedin"></i></a></li>
				<li class="yt"><a href="<?php echo esc_url($youtube_url);?>"><i class="fa fa-youtube-play"></i></a></li>
				<li class="igm"><a href="<?php echo esc_url($instagram_url);?>"><i class="fa fa-instagram"></i></a></li>
				<li class="pst"><a href="<?php echo esc_url($pinterest_url);?>"><i class="fa fa-pinterest-p"></i></a></li>
			</ul>
			<!--Widget Add Start-->
			<?php
			// Closing of widget
			echo $args['after_widget'];	
		}

		// Widget Form
		function form( $instance ) {
			$title = isset($instance['title'])? $instance['title']: '';
			$facebook_url = isset($instance['facebook_url'])? $instance['facebook_url']: '';
			$twitter_url = isset($instance['twitter_url'])? $instance['twitter_url']: '';
			$linkedin_url = isset($instance['linkedin_url'])? $instance['linkedin_url']: '';
			$youtube_url = isset($instance['youtube_url'])? $instance['youtube_url']: '';
			$instagram_url = isset($instance['instagram_url'])? $instance['instagram_url']: '';
			$pinterest_url = isset($instance['pinterest_url'])? $instance['pinterest_url']: '';
			?>

			<!-- Text Input -->
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title :', 'music-night'); ?></label> 
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
			</p>			
			<!-- Widget Icon --> 
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('facebook_url')); ?>"><?php esc_html_e('Facebook URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('facebook_url')); ?>" name="<?php echo esc_attr($this->get_field_name('facebook_url')); ?>" type="text" value="<?php echo esc_attr($facebook_url); ?>" />
			</p>
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('twitter_url')); ?>"><?php esc_html_e('Twitter URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('twitter_url')); ?>" name="<?php echo esc_attr($this->get_field_name('twitter_url')); ?>" type="text" value="<?php echo esc_attr($twitter_url); ?>" />
			</p>
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('linkedin_url')); ?>"><?php esc_html_e('Linked In URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('linkedin_url')); ?>" name="<?php echo esc_attr($this->get_field_name('linkedin_url')); ?>" type="text" value="<?php echo esc_attr($linkedin_url); ?>" />
			</p>
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('youtube_url')); ?>"><?php esc_html_e('Youtube URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('youtube_url')); ?>" name="<?php echo esc_attr($this->get_field_name('youtube_url')); ?>" type="text" value="<?php echo esc_attr($youtube_url); ?>" />
			</p>
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('instagram_url')); ?>"><?php esc_html_e('Instagram URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('instagram_url')); ?>" name="<?php echo esc_attr($this->get_field_name('instagram_url')); ?>" type="text" value="<?php echo esc_attr($instagram_url); ?>" />
			</p>
			<p>
				<label for="<?php echo esc_attr($this->get_field_id('pinterest_url')); ?>"><?php esc_html_e('Pinterest URL :', 'music-night'); ?></label>
				<input class="widefat" id="<?php echo esc_attr($this->get_field_id('pinterest_url')); ?>" name="<?php echo esc_attr($this->get_field_name('pinterest_url')); ?>" type="text" value="<?php echo esc_attr($pinterest_url); ?>" />
			</p>
		<?php
		}
		
		// Update the widget
		function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] = (empty($new_instance['title']))? '': strip_tags($new_instance['title']);
			$instance['facebook_url'] = (empty($new_instance['facebook_url']))? '': strip_tags($new_instance['facebook_url']);	
			$instance['twitter_url'] = (empty($new_instance['twitter_url']))? '': strip_tags($new_instance['twitter_url']);
			$instance['linkedin_url'] = (empty($new_instance['linkedin_url']))? '': strip_tags($new_instance['linkedin_url']);
			$instance['youtube_url'] = (empty($new_instance['youtube_url']))? '': strip_tags($new_instance['youtube_url']);
			$instance['instagram_url'] = (empty($new_instance['instagram_url']))? '': strip_tags($new_instance['instagram_url']);
			$instance['pinterest_url'] = (empty($new_instance['pinterest_url']))? '': strip_tags($new_instance['pinterest_url']);
			
			return $instance;
		}	
	}
}
?>