<?php
/* ---------------------------------------------------------------------- */
/*	Code Formatter
/* ---------------------------------------------------------------------- */
function musicnight_shortcodes_formatter($content) {
	$block = join("|",array("social_profile_item","next_event","tickets","tickets_item","social_profile","button","progressbar","timeline_facts","price_table","performance_item","proformance_item","fancy_image","about_democracy","about_item","social_icons","social_icon_item","musicnight_packages_wrap","musicnight_donation","image_gallery","gallery_item","services","list_items","list_item","youtube","calltoaction", "vimeo", "client","soundcloud", "button", "dropcap", "highlight", "checklist", "tabs", "tab", "accordian", "toggle", "one_half", "one_third", "one_fourth", "two_third", "three_fourth", "tagline_box", "pricing_table", "pricing_column", "pricing_price", "pricing_row", "pricing_footer", "content_boxes", "content_box", "slider", "slide", "testimonials", "testimonial", "progress", "person", "recent_posts", "recent_works", "alert", "fontawesome", "social_links", "title", "separator", "tooltip", "fullwidth", "map", "counters_circle", "counter_circle", "counters_box", "counter_box", "flexslider", "blog", "imageframe", "images", "image", "sharing", "featured_products_slider", "products_slider", "menu_anchor"));

	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);

	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);
	
	return $rep;
}

add_filter('the_content', 'musicnight_shortcodes_formatter');
add_filter('get_the_content', 'musicnight_shortcodes_formatter');
add_filter('widget_text', 'musicnight_shortcodes_formatter');


add_shortcode('wpml_translate', 'wpml_translate_shortcode');	
if( !function_exists('wpml_translate_shortcode') ){
	function wpml_translate_shortcode( $atts, $content = null ) {
		extract(shortcode_atts(array( 'lang' => '' ), $atts));
		
		$lang_active = ICL_LANGUAGE_CODE;
		if($lang == $lang_active){
			return $content;
		}
	}	
}
add_shortcode('page', 'musicnight_shortcode_page');
function musicnight_shortcode_page($atts,$content = null) {
	extract(shortcode_atts(array(
			'title' => '',			
		), $atts));
	return '<div class="wpmf-page">'.do_shortcode($content).'</div>';
}
add_shortcode('book', 'musicnight_shortcode_book');
function musicnight_shortcode_book($atts,$content = null) {
	extract(shortcode_atts(array(
			'title' => '',			
			'sub-title' => '',	
		), $atts));
	return '<div class="book-cover">'.do_shortcode($content).'</div>';
}
//////////////////////////////////////////////////////////////////
// Heading musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('heading', 'musicnight_shortcode_heading');
function musicnight_shortcode_heading($atts,$content = null) {

	extract(shortcode_atts(array(
			'style' => '',
			'align' => '',
			'title' => '',
			'title_color' => '',
			'caption' => '',
			'caption_color' => '',
			'line_color' => '',
			'item_margin' => ''
		), $atts));
		$heading = '';
		static $counter_heading = 2;
		$counter_heading++;
		
		if($style == 'simple-style'){
			$heading = '
			<style>
			#wpmf-heading-'.esc_attr($counter_heading).' h4::before{
				background-color:'.esc_attr($line_color).' !important;
			}
			</style>
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="short_headings '.esc_attr($align).'">
				<h3 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h3>
				<div class="aladin_hdg_brd_left hdg_thumb"></div>
				<div class="aladin_hdg_brd_right hdg_thumb"></div>
				<p style="color:'.esc_attr($caption_color).'" >'.$caption.'</p>
			</div>';
		}else if($style == 'normal-style'){
			$heading = '
				<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="heading_new_short aside_hdg_1 heading-12">
					<h5 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h5>
					<p style="color:'.esc_attr($caption_color).'" >'.$caption.'</p>
				</div>';
		}else if($style == 'modern-style'){
			$heading = '
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="kode_hdg_1">
				<h6 style="color:'.esc_attr($caption_color).'" >'.$caption.'</h6>
				<h4 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h4>
			</div>';
		}else if($style == 'modern-style-1'){
			$heading = '
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="kode_hdg_2">
				<h6 style="color:'.esc_attr($caption_color).'" >'.$caption.'</h6>
				<h4 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h4>
			</div>';
		}else if($style == 'modern-style-2'){
			$heading = '
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="kode_hdg_3">
				<h6 style="color:'.esc_attr($caption_color).'" >'.$caption.'</h6>
				<h4 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h4>
			</div>';
		}else if($style == 'normal-style-1'){
			$heading = '
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="kode_hdg_3">
				<h5 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h5>
				<i style="color:'.esc_attr($caption_color).'" >'.$caption.'</i>
			</div>';
		}else if($style == 'normal-style-2'){
			$heading = '
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="kode_hdg_3">
				<h5 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h5>
				<i style="color:'.esc_attr($caption_color).'" >'.$caption.'</i>
			</div>';
		}else{
			$heading = '
			<style>
			#wpmf-heading-'.esc_attr($counter_heading).' h4::before{
				background-color:'.esc_attr($line_color).' !important;
			}
			</style>
			<div id="wpmf-heading-'.esc_attr($counter_heading).'" class="short_headings '.esc_attr($align).'">
				<h3 style="color:'.esc_attr($title_color).'">'.esc_attr($title).'</h3>
				<div class="aladin_hdg_brd_left hdg_thumb"></div>
				<div class="aladin_hdg_brd_right hdg_thumb"></div>
				<p style="color:'.esc_attr($caption_color).'" >'.$caption.'</p>
			</div>';
		}
		
		return $heading;
			
}



//////////////////////////////////////////////////////////////////
// Social Icons
//////////////////////////////////////////////////////////////////
add_shortcode('social_profile', 'musicnight_shortcode_social_profile');
function musicnight_shortcode_social_profile($atts, $content = null) {
	extract(shortcode_atts(array(		
		'size'=> 'small',			
	), $atts));

	static $musicnight_counter = 1;
	$styles = '<style>
		#wpmf-links-'.esc_attr($musicnight_counter).'{
			
		}
	</style>';
	
	$html = $styles . '<ul id="wpmf-links-'.esc_attr($musicnight_counter).'" class="kf_aside_folwer '.esc_attr($size).'">'.do_shortcode($content).'</ul>';

	$musicnight_counter++;

	return $html;
}
//////////////////////////////////////////////////////////////////
// Social Icons
//////////////////////////////////////////////////////////////////

add_shortcode('social_profile_item', 'musicnight_shortcode_social_profile_item');
function musicnight_shortcode_social_profile_item($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '#',
		'icon' => '',
		'amount' => '',
		'amount_text'=> '_self',
		'link' => '',
		'link_text' => '',
	), $atts));

	static $musicnight_counter = 1;	
	
	$html = '<li id="wpmf-profile-item-'.esc_attr($musicnight_counter).'" class="'.esc_attr($class).'">
		<div class="like_fb">
			<a href="'.esc_url($link).'" class="profile-item"><i class="fa '.esc_attr($icon).'"></i></a>
		</div>
		<div class="like_amount">
			<p>'.esc_attr($amount).'</p>
			<span>'.esc_attr($amount_text).'</span>
		</div>
		<div class="like_page">
			<a target="_blank" href="'.esc_url($link).'">'.esc_attr($link_text).'</a>
		</div>
	</li>';	

	$musicnight_counter++;

	return $html;
}
//////////////////////////////////////////////////////////////////
// Fancy Image
//////////////////////////////////////////////////////////////////
add_shortcode('fancy_image', 'musicnight_shortcode_fancy_image');
function musicnight_shortcode_fancy_image($atts,$content = null) {

	extract(shortcode_atts(array(
			'image' => '',
			'style' => '',
			'url' => '',
		), $atts));
		$image_code = '';
		
		wp_enqueue_style( 'prettyphoto', MUSICNIGHT_PATH . '/framework/include/frontend_assets/default/css/prettyphoto.css' );  //Prettyphoto
		wp_enqueue_script('prettyphoto', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/jquery.prettyphoto.js',array('jquery'), '1.0', true);
		wp_enqueue_script('prettypp', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/pp.js',array('jquery'), '1.0', true);
		
		static $counter_image = 2;
		$counter_image++;		
		if($style == 'style-1'){
			$image_code = '
				<div class="kode_mosque_row mosque gallery-item">
					<figure class="them_overlay">
						<img src="'.esc_url($image).'" alt="">
						<a data-rel="prettyphoto[]" href="'.esc_url($image).'"><i class="fa fa-clone"></i></a>
					</figure>
				</div>';
		}else if($style == 'style-2'){
			$image_code = '
				<div class="kode_mosque2_fig">
				  <figure class="them_overlay">
					<img src="'.esc_url($image).'" alt="">
				  </figure>
				</div>
			';
		}else{
			$image_code = '
				<div class="kode_event_video">
					<div class="kode_event_fig">
						<figure class="them_overlay">
							<img src="'.esc_url($image).'" alt="">
							<a data-rel="prettyphoto[]" href="'.esc_url($url).'"><i class="fa fa-play-circle"></i></a>
						</figure>
					</div>
				</div>
			';
		}	
			
		return $image_code;
			
}
//'shortcode' => '[progressbar title="{{title}}" text_color="{{text_color}}" filled_color="{{filled_color}}" unfilled_color="{{unfilled_color}}" filled="{{filled}}" ][/progressbar]',
//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('progressbar', 'musicnight_shortcode_progressbar');
function musicnight_shortcode_progressbar($atts,$content = null) {

	extract(shortcode_atts(array(
			'title' => '',
			'text_color' => '',
			'filled_color' => '',
			'unfilled_color' => '',
			'filled' => ''
		), $atts));
		$progress = '';
		$progress = '
			<div class="progress-names">
				<h6 style="color:'.esc_attr($text_color).';">' . esc_attr($title) . '</h6>
				<div style="background-color:'.esc_attr($unfilled_color).' !important;" class="progressbar" data-perc="'.esc_attr($filled).'">
					<div style="background-color:'.esc_attr($filled_color).' !important;" class="bar"><span></span></div>
					<div class="label"><span></span>
					</div>
				</div>
			</div>';
		
		return $progress;
			
}

//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////
$price_table_array = array();
add_shortcode('price_table', 'musicnight_shortcode_price_table');
function musicnight_shortcode_price_table($atts,$content = null) {
	global $price_table_array;
	extract(shortcode_atts(array(
			'style' => '',
			'title' => '',
			'sub_title' => '',
			'price' => '',
			'duration' => '',
			'button' => '',
			'button_url' => ''
		), $atts));
		
		if(isset($style) && $style == 'style-1'){
			$price_table = '
			<div class="church-donate-table-outer">
				<div class="church-donate-table">
					<h5>'.esc_attr($title).'</h5>
					<span><sub>$</sub>'.esc_attr($price).'</span>
					<ul>';
						$shortcode = do_shortcode($content);
						if(isset($price_table_array)){
							foreach($price_table_array as $price_item){
								$price_table .= '<li class="'.esc_attr($price_item['status']).'"><a href="'.esc_url($price_item['link']).'">'.esc_attr($price_item['content']).'</a></li>';
							}
						}
						$price_table_array = '';
						$price_table .= '
					</ul>
					<a class="chrc-btn1" href="'.esc_url($button_url).'">'.esc_attr($button).'</a>
				</div>
			</div>';
		}else{
			$price_table = '
			<div class="aladin_price_plan_wrap">
				<h6>'.esc_attr($title).'</h6>
				<p>$'.esc_attr($price).'<span>/'.esc_attr($duration).'</span></p>
				<span>'.esc_attr($sub_title).'</span>
				<ul class="aladin_plan_offer_list">';
					$shortcode = do_shortcode($content);
					if(isset($price_table_array)){
						foreach($price_table_array as $price_item){
							$price_table .= '<li class="'.esc_attr($price_item['status']).'"><a href="'.esc_url($price_item['link']).'">'.esc_attr($price_item['content']).'</a></li>';
						}
					}
					$price_table_array = '';
					$price_table .= '
				</ul>
				<a class="aladin_link_1 aladin_lg" href="'.esc_url($button_url).'">'.esc_attr($button).'</a>
			</div>';
		}
		
		return $price_table;
		
			
}
//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////

add_shortcode('price_item', 'musicnight_shortcode_price_item');
function musicnight_shortcode_price_item($atts) {
	
	$price_table_array = array();
	global $price_table_array;
	extract(shortcode_atts(array(
			'link'	=>	'',
			'content'	=>	'',
			'status'	=>	'',
		), $atts));
		
		$price_table_array[] = array("content" => $content,"link" => $link,"status" => $status);
		
			
}

add_shortcode('edu_smart', 'musicnight_shortcode_edu_smart');
function musicnight_shortcode_edu_smart($atts,$content = null){
	extract(shortcode_atts(array(
			'heading' => '',
		), $atts));
		$education_item = '<div class="kode_edu_wrap_law">';
		$education_item = '<div class="kode_edu_name_law"><h4>'.esc_attr($heading).'</h4></div><div class="kode_edu_des_law">';
		$education_item .= do_shortcode($content);
		$education_item .= '</div></div>';
		
		return $education_item;
}

add_shortcode('smart_edu_item', 'musicnight_shortcode_smart_edu_item');
function musicnight_shortcode_smart_edu_item($atts,$content = null){
	extract(shortcode_atts(array(
			'year' => '',
			'degree' => '',
			'description' => '',
			'class' => '',
		), $atts));
		
	
	$edu_item = '
	<div class="edu_detail_law">
		<h5>'.esc_attr($degree).'</h5>
		<div class="kode_edu_year_law">
			<h4>'.esc_attr($year).'</h4>
			<p>'.esc_attr($description).'</p>
		</div>
	</div>';
			
		
		return $edu_item;
		
}


add_shortcode('education', 'musicnight_shortcode_education');
function musicnight_shortcode_education($atts,$content = null){
	extract(shortcode_atts(array(
			'heading' => '',
		), $atts));
		
		$education_item = '<div class="kode_university-heading"><h4>'.esc_attr($heading).'</h4></div><div class="university_list">';
		$education_item .= do_shortcode($content);
		$education_item .= '</div>';
		
		return $education_item;
}


// <div class="col-md-4">
	// <!--PRICE TABLE START-->
	// <div class="law-price-table">
		// <!--TABLE HEADER START-->
		// <div class="t-head">
			// <h2>Professional</h2>
			// <p>Suitable package for professionals</p>
			// <span>
				// <h4>$59</h4>
				// <p>Per Year</p>
			// </span>
		// </div>
		// <!--TABLE HEADER END-->
		// <div class="t-body">
			// <ul>
				// <li><a href="#">Upto 5 years</a></li>
				// <li><a href="#">Max 100 items/month</a></li>
				// <li><a href="#">Unlimited quries</a></li>
				// <li class="disabled"><a href="#">Full statistics</a></li>
			// </ul>
			// <a class="get-plan" href="#">get this plan</a>
		// </div>
	// </div>
	// <!--PRICE TABLE END-->
// </div>

add_shortcode('education_item', 'musicnight_shortcode_education_item');
function musicnight_shortcode_education_item($atts,$content = null){
	extract(shortcode_atts(array(
			'year' => '',
			'degree' => '',
			'align' => '',
			'image' => '',
			'title' => '',
			'description' => '',
			'class' => '',
		), $atts));
		
		
		if($align == 'left'){
			$edu_item = '
			<div class="col-md-3">
				<div class="kode_edu_year">
					<h5>'.esc_attr($year).'</h5>
					<h6>'.esc_attr($degree).'</h6>
				</div>
			</div>
		
			<div class="col-md-9">
				<div class="kode_edu_des">
					<figure>
						<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
					</figure>
					<div class="kode_edu_img_des">
						<h6>'.esc_attr($title).'</h6>
						<p>'.esc_attr($description).'</p>
					</div>
				</div>
			</div>		
			';
		}else{
		$edu_item = '
			<div class="col-md-3">
				<div class="kode_edu_year">
					<h5>'.esc_attr($year).'</h5>
					<h6>'.esc_attr($degree).'</h6>
				</div>
			</div>
			<div class="col-md-9">
				<div class="kode_edu_des_right">
					<figure>
						<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
					</figure>
					<div class="kode_edu_img_des_right">
						<h6>'.esc_attr($title).'</h6>
						<p>'.esc_attr($description).'</p>
					</div>
					
				</div>
			</div>';
		}
		
		return $edu_item;
		
}
add_shortcode('performance_chart', 'musicnight_shortcode_proformance');
function musicnight_shortcode_proformance($atts,$content = null){
	
	global $pro_item_array;
		
		$proform_item = '';
		$shortcode = do_shortcode($content);
		
		extract(shortcode_atts(array(
			'heading' => '',
			'caption' => '',
		), $atts));
		
		wp_register_script('kf-jsapi', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/jsapi.js', false, '1.0', true);
		wp_enqueue_script('kf-jsapi');		
		if(isset($pro_item_array)){ 
			$proform_item .= "			
   
			<script>
			function drawChart() {
			var data = google.visualization.arrayToDataTable([ ";
			$year = 'Year';
			$value = 'Value';
			$proform_item .= '["'.$year.'",  "'.$value.'"], ';	
			foreach($pro_item_array as $pro_item){
				$proform_item .= '["'.$pro_item['year'].'",  '.$pro_item['value'].'],';				
			}
			$proform_item .= " ]); 
				
				var options = {
					pointSize: 15,
					title: 'Govt Performance',
					curveType: 'function',
					legend: { position: 'bottom' },
					pointShape: 'circle'
				};

				var chart = new google.visualization.LineChart(document.getElementById('curve_chart'));

				chart.draw(data, options);
			}	
			jQuery(document).ready(function($){
				if($('#curve_chart').length){
					google.setOnLoadCallback(drawChart);
				}	
			});
			</script>
			
			<div class='curve_chart' id='curve_chart'></div>";
		}
		
		return $proform_item;
}
$pro_item_array = array();
add_shortcode('performance_item', 'musicnight_shortcode_proformance_item');
function musicnight_shortcode_proformance_item($atts,$content = null){
	global $pro_item_array;
	extract(shortcode_atts(array(
			'year' => '',
			'value' => '',			
			'class' => '',
		), $atts));
		
		$pro_item = '';
		
		$pro_item_array[] = array("year" => $year,"value" => $value);
		
		return $pro_item;
		
}

//////////////////////////////////////////////////////////////////
// About Item musicnight_shortcode
//////////////////////////////////////////////////////////////////
//'[office heading="{{heading}}" icon_1="{{icon_1}}" title_1="{{title_1}}" content_1="{{content_1}}" icon_2="{{icon_2}}" title_2="{{title_2}}" content_2="{{content_2}}" icon_3="{{icon_3}}" title_3="{{title_3}}" content_3="{{content_3}}" ][/office]',
$office_item_array = array();
add_shortcode('office', 'musicnight_shortcode_office');
function musicnight_shortcode_office($atts,$content = null) {
	global $office_item_array;
	
	extract(shortcode_atts(array(
			'heading' => '',
			'icon_1' => '',
			'title_1' => '',
			'content_1' => '',
			'icon_2' => '',
			'title_2' => '',
			'content_2' => '',
			'icon_3' => '',
			'title_3' => '',
			'content_3' => '',
			'class' => '',
		), $atts));
		
		
		$item_class_new = '';
		static $counter_heading_item = 0;
		$counter_heading_item++;
		if($counter_heading_item == 1){$item_class_new = 'active';}
		$heading_str = str_replace(' ','-',$heading);
		$office_item = '';
		$musicnight_allowed_html_array = array(
			'a' => array(
				'href' => array(),
				'title' => array()
			),
			'ul' => array(),
			'li' => array(),
			'br' => array(),
			'span' => array(),
			'em' => array(),
			'strong' => array(),
			'&gt;' => array(),
			'style' => array(
				'scoped'=>array(),
				'id'=>array(),
			),
		);	
		
		$office_item = '
				<div class="'.$counter_heading_item.' row tab-pane '.esc_attr($item_class_new).'" id="tab-'.$heading_str.'">
					<div class="col-md-4 col-sm-4"><div class="kf_location_info"><i class="fa '.esc_attr($icon_1).'"></i><h6>'.esc_attr($title_1).'</h6>'.wp_kses( $content_1, $musicnight_allowed_html_array ).'</div></div>
					<div class="col-md-4 col-sm-4"><div class="kf_location_info"><i class="fa '.esc_attr($icon_2).'"></i><h6>'.esc_attr($title_2).'</h6>'.wp_kses( $content_2, $musicnight_allowed_html_array ).'</div></div>
					<div class="col-md-4 col-sm-4"><div class="kf_location_info"><i class="fa '.esc_attr($icon_3).'"></i><h6>'.esc_attr($title_3).'</h6>'.wp_kses( $content_3, $musicnight_allowed_html_array ).'<ul class="kf_loc_socil_icon"><li><a href="#"><i class="fa fa-facebook"></i></a></li><li><a href="#"><i class="fa fa-twitter"></i></a></li><li><a href="#"><i class="fa fa-google-plus"></i></a></li><li><a href="#"><i class="fa fa-pinterest-p"></i></a></li><li><a href="#"><i class="fa fa-dribbble"></i></a></li></ul></div></div>
				</div>';
		
		$office_item_array[] = array("heading" => $heading);
		
		
		return $office_item;
		
			
}
//////////////////////////////////////////////////////////////////
// About Item musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('contact_detail', 'musicnight_shortcode_contact_detail');
function musicnight_shortcode_contact_detail($atts,$content = null) {
		
		
		global $office_item_array;
		
		static $counter_heading = 0;
		$counter_heading++;
		
		$shortcode = do_shortcode($content);
		
		$musicnight_office_demo = '<div class="kf_location_wrap"><ul class="kf_office_name nav nav-tabs" id="tabs" data-tabs="tabs">';
		$counter_tab = 1;
		$item_class = '';
		foreach($office_item_array as $office_item){
			if(isset($office_item['heading']) && $office_item['heading'] <> ''){
				$heading_str = str_replace(' ','-',$office_item['heading']);
				if($counter_tab == 1){$item_class = 'active';}else{$item_class = '';}
				$musicnight_office_demo .= '<li class="'.esc_attr($item_class).'"><a data-toggle="tab" href="#tab-'.$heading_str.'">'.$office_item['heading'].'</a></li>';
				$counter_tab++;
			}
		}
		$musicnight_office_demo .= '
                </ul>
                <div class="row tab-content" id="my-tab-content">';
		$musicnight_office_demo .= $shortcode;
		$musicnight_office_demo .= '</div>';
		$musicnight_office_demo .= '</div>';
		
	
		
		return $musicnight_office_demo;
			
}
//////////////////////////////////////////////////////////////////
// About Item musicnight_shortcode
//////////////////////////////////////////////////////////////////
$about_item_array = array();
add_shortcode('about_item', 'musicnight_shortcode_about_item');
function musicnight_shortcode_about_item($atts,$content = null) {
	global $about_item_array,$layout;
	
	extract(shortcode_atts(array(
			'heading' => '',
			'sub_title' => '',
			'title' => '',
			'image' => '',
			'read_more_text' => '',
			'read_more_link' => ''
		), $atts));
		
		
		$item_class_new = '';
		static $counter_heading_item = 0;
		$counter_heading_item++;
		if($counter_heading_item == 1){$item_class_new = 'active';}
		$heading_str = preg_replace("/[^a-zA-Z 0-9]+/", " ", $heading);		
		$heading_str = str_replace(' ','-',$heading_str);
		preg_replace('/[^A-Za-z0-9\-]/', '', $heading_str);
		$about_item = '';
		if($layout == 'music-night'){
			$about_item .= '<div class="'.$counter_heading_item.' row tab-pane '.esc_attr($item_class_new).'" id="tab-'.$heading_str.'n">
				<div class="col-md-5"><div class="kode_welcome_borderless"><figure><img src="'.esc_url($image).'" alt="'.$title.'" /></figure></div></div>
				<div class="col-md-7"><div class="kode_wel_demo_des"><h6>'.esc_attr($sub_title).'</h6><h4>'.esc_attr($title).'</h4>'.musicnight_content_filter($content).'<a class="kode_link_2" href="#">See More <i class="fa fa-angle-right"></i></a></div></div></div>';
			$about_item_array[] = array("heading" => $heading);
		}else{
			$about_item .= '<div class="'.$counter_heading_item.' row tab-pane '.esc_attr($item_class_new).' " id="tab-'.$heading_str.'n">
				<div class="col-md-6"><div class="wpmf-lawyer-sec"><h2>'.esc_attr($title).'</h2>'.musicnight_content_filter($content).'<a class="read-more" href="#">Read More</a></div></div>
				<div class="col-md-6"><div class="kode_welcome_borderless"><figure><img src="'.esc_url($image).'" alt="'.$title.'" /></figure></div></div></div>';
			$about_item_array[] = array("heading" => $heading,"image" => $image,"title" => $title);
			
		}		
		return $about_item;
}
//////////////////////////////////////////////////////////////////
// About Item musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('about_democracy', 'musicnight_shortcode_about_democracy');
function musicnight_shortcode_about_democracy($atts,$content = null) {
		
		global $about_item_array,$layout;
		extract(shortcode_atts(array(
			'layout' => '',
		), $atts));
		
		
		if($layout == 'music-night'){
			$layout = 'music-night';
			static $counter_heading = 0;
			$counter_heading++;
			
			$shortcode = do_shortcode($content);
			$musicnight_about_demo ='';
			if(!empty($about_item_array)){ 
				if(isset($about_item_array[0]['heading']) && $about_item_array[0]['heading'] <> ''){
					$musicnight_about_demo = '<ul class="kode_tab_lnk nav nav-tabs" id="tabs" data-tabs="tabs">';
					$counter_tab = 1;
					$item_class = '';
					foreach($about_item_array as $about_item){
						if(isset($about_item['heading']) && $about_item['heading'] <> ''){							
							$heading_str = preg_replace("/[^a-zA-Z 0-9]+/", " ", $about_item['heading']);		
							$heading_str = str_replace(' ','-',$heading_str);
							preg_replace('/[^A-Za-z0-9\-]/', '', $heading_str);
							if($counter_tab == 1){$item_class = 'active';}else{$item_class = '';}
							$musicnight_about_demo .= '<li class="'.esc_attr($item_class).'"><a data-toggle="tab" href="#tab-'.strip_tags($heading_str).'n">'.$about_item['heading'].'</a></li>';
							$counter_tab++;
						}
					}
					$musicnight_about_demo .= '</ul>';
				}
			}		
			$musicnight_about_demo .= '
					<div class="kode_wel_outr_wrap tab-content" id="my-tab-content">';
			$musicnight_about_demo .= musicnight_content_filter($shortcode);
			$musicnight_about_demo .= '</div>';
		}else{
			$layout = 'lawyer';
			static $counter_heading = 0;
			$counter_heading++;
			$shortcode = do_shortcode($content);
			$musicnight_about_demo = '<div class="about-law-section"><div class="about-tabs">';
				if(!empty($about_item_array)){ 
					if(isset($about_item_array[0]['heading']) && $about_item_array[0]['heading'] <> ''){
						$musicnight_about_demo .= '<ul class="nav nav-tabs" id="tabs" data-tabs="tabs">';
						$counter_tab = 1;
						$item_class = '';
						foreach($about_item_array as $about_item){
							if(isset($about_item['heading']) && $about_item['heading'] <> ''){
								$heading_str = preg_replace("/[^a-zA-Z 0-9]+/", " ", $about_item['heading']);		
								$heading_str = str_replace(' ','-',$heading_str);
								preg_replace('/[^A-Za-z0-9\-]/', '', $heading_str);
								if($counter_tab == 1){$item_class = 'active';}else{$item_class = '';}
								$musicnight_about_demo .= '<li class="'.esc_attr($item_class).'"><a data-toggle="tab" href="#tab-'.$heading_str.'n">'.$about_item['heading'].'</a></li>';
								$counter_tab++;
							}
						}
						$musicnight_about_demo .= '</ul>';
					}
				}		
				$musicnight_about_demo .= '<div class="tab-content" id="law-tab-content">';
				$musicnight_about_demo .= musicnight_content_filter($shortcode);
				$musicnight_about_demo .= '</div>';
				$musicnight_about_demo .= '</div></div>';
		}
		return $musicnight_about_demo;
			
}
//'shortcode' => '[progressbar title="{{title}}" text_color="{{text_color}}" filled_color="{{filled_color}}" unfilled_color="{{unfilled_color}}" filled="{{filled}}" ][/progressbar]',
//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('musicnight_donation', 'musicnight_shortcode_musicnight_donation');
function musicnight_shortcode_musicnight_donation($atts,$content = null) {

	extract(shortcode_atts(array(
			'email' => '',
			'controler' => '',
			'thankyou_page' => '',
		), $atts));
		$url = 'http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER["REQUEST_URI"]);
		$donation = '';
		$donation = '
		<div id="koderespond">
			<form action="https://www.sandbox.paypal.com/cgi-bin/webscr" class="payPalForm">
			<!--<form action="https://www.paypal.com/cgi-bin/webscr" method="post" class="payPalForm">-->
				<div class="k_donation">
					
					<input type="hidden" name="cmd" value="_donations" />
					
					<input type="hidden" name="item_name" value="Donation" />

					<!-- Your PayPal email: -->
					<input type="hidden" name="business" value="'.$email.'" />

					<!-- PayPal will send an IPN notification to this URL: -->
					<input type="hidden" name="notify_url" value="'.$controler.'" /> 

					<!-- The return page to which the user is navigated after the donations is complete: -->
					<input type="hidden" name="return" value="'.$thankyou_page.'" /> 

					<!-- Signifies that the transaction data will be passed to the return page by POST -->
					<input type="hidden" name="rm" value="2" />				
					
					<input type="hidden" name="src" value="1">
					<input type="hidden" name="sra" value="1">

					<!--General configuration variables for the paypal landing page. Consult 
					http://www.paypal.com/IntegrationCenter/ic_std-variable-ref-donate.html for more info -->

					<input type="hidden" name="no_note" value="1" />
					<input type="hidden" name="cbt" value="Go Back To The Site" />
					<input type="hidden" name="no_shipping" value="1" />
					<input type="hidden" name="lc" value="US" />


					<!-- The amount of the transaction: -->
					<div class="donation-nav">
						<div class="donation-list">
							<input type="radio" checked="checked" value="1" name="radio" id="radio1"><label for="radio1"><span><span></span></span><small>$5</small></label>
						</div>
						<div class="donation-list">
							<input type="radio" value="2" name="radio" id="radio2"><label for="radio2"><span><span></span></span><small>$10</small></label>
						</div>
						<div class="donation-list">
							<input type="radio" value="3" name="radio" id="radio3"><label for="radio3"><span><span></span></span><small>$25</small></label>
						</div>
						<div class="donation-list">
							<input type="radio" checked="checked" value="1" name="radio" id="radio4"><label for="radio4"><span><span></span></span><small>$35</small></label>
						</div>
						<div class="donation-list">
							<input type="radio" value="2" name="radio" id="radio5"><label for="radio5"><span><span></span></span><small>$45</small></label>
						</div>
						<div class="donation-list">
							<input type="radio" value="3" name="radio" id="radio6"><label for="radio6"><span><span></span></span><small>$55</small></label>
						</div>
					</div>
					
					<div class="wpmf-maintitle">
						<h3>OR</h3>
					</div>
					<div class="row">						
						<div class="col-md-4">
							<p><i class="fa fa-users"></i>
								<label>
									<select name="t3">
										<option value="0">--One Time Only--</option>
										<option value="D">Daily</option>
										<option value="W">Weekly</option>
										<option value="M" >Monthly</option>
										<option value="Y">Yearly</option>
									</select>
								</label>
							</p>
						</div>
						<div class="col-md-4">
							<p><i class="fa fa-users"></i> <input type="text" name="p3" placeholder="1"></p>
						</div>
						<div class="col-md-4">
							<p><i class="fa fa-users"></i> <input type="text" name="a3" placeholder="Recurring Amount"></p>
						</div>
						<div class="col-md-4">
							<p><i class="fa fa-users"></i> <input type="text" name="amount" placeholder="Other Amount *"></p>
						</div>	
						<div class="col-md-4">
							<p><i class="fa fa-users"></i>
							<label>';
									$options = array(
										'AUD' => 'Australian Dollars (A $)',
										'BRL' => 'Brazilian Real',
										'CAD' => 'Canadian Dollars (C $)',
										'CZK' => 'Czech Koruna',
										'DKK' => 'Danish Krone',
										'EUR' => 'Euros (&euro;)',
										'HKD' => 'Hong Kong Dollar ($)',
										'HUF' => 'Hungarian Forint',
										'JPY' => 'Yen (&yen;)',
										'MYR' => 'Malaysian Ringgit',
										'MXN' => 'Mexican Peso',
										'NOK' => 'Norwegian Krone',
										'NZD' => 'New Zealand Dollar ($)',
										'PHP' => 'Philippine Peso',
										'PLN' => 'Polish Zloty',
										'GBP' => 'Pounds Sterling (&pound;)',
										'RUB' => 'Russian Ruble',
										'SGD' => 'Singapore Dollar ($)',
										'SEK' => 'Swedish Krona',
										'CHF' => 'Swiss Franc',
										'TWD' => 'Taiwan New Dollar',
										'THB' => 'Thai Baht',
										'TRY' => 'Turkish Lira',
										'USD' => 'U.S. Dollars ($)',
									);
							$donation .= '<select name="currency_code">';
								foreach($options as $key=>$val){
									$donation .= '<option value="'.esc_attr($key).'">'.esc_attr($val).'</option>';
								}
							$donation .= '
								</select>
							</label>
							</p>
						</div>
						<!-- You can change the image of the button: -->
						<p class="kd-button"> <input type="submit"  name="submit" alt="PayPal - The safer, easier way to pay online!" value="Donate Now"/></p>
						<!--<input type="submit"  name="submit" alt="PayPal - The safer, easier way to pay online!" value="Donate Now"/>-->
					</div>
				</form>
			</div>';
		
		return $donation;
			
}
//////////////////////////////////////////////////////////////////
// skill Bar
//////////////////////////////////////////////////////////////////
add_shortcode('skill', 'musicnight_shortcode_skill');
function musicnight_shortcode_skill($atts, $content = null) {
	global $data;
	
	wp_register_script('wpmf-waypoints-min', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/waypoints-min.js', false, '1.0', true);
	wp_enqueue_script('wpmf-waypoints-min');
	wp_enqueue_script('circle-chart', MUSICNIGHT_PATH . '/framework/include/frontend_assets/default/js/jquery.circlechart.js', array(), '1.0', true);	

	extract(shortcode_atts(array(
		'filled_color' => '',
		'unfilled_color' => '',
		'value' => '70',
		'unit' => ''
	), $atts));
	static $musicnight_skill_id = 1;
	
	if(!$filled_color) {
		$filled_color = $filled_color;
	}

	if(!$unfilled_color) {
		$unfilled_color = $unfilled_color;
	}

	$html = '';
	$html .= '<script type="text/javascript">
	$(document).ready(function(){
		/* ---------------------------------------------------------------------- */
		/*	Circle Progress
		/* ---------------------------------------------------------------------- */
		if($("#skill-'.$musicnight_skill_id.'").length){
			$("#skill-'.$musicnight_skill_id.'").percentcircle({
				animate : true,
				diameter : 200,
				guage: 15,
				coverBg: "red",
				bgColor: "'.$unfilled_color.'",
				fillColor: "'.$filled_color.'",
				percentSize: "50px",
				percentWeight: "normal"
			});
		}
	});
	</script>';
	
	$html .= '<div id="skill-'.esc_attr($musicnight_skill_id).'" class="circle-progress" data-bgColor="'.esc_attr($filled_color).'" data-fillColor="'.esc_attr($unfilled_color).'" data-percent="'.esc_attr($value).'"></div>';
	$musicnight_skill_id++;
	
	return $html;
}


//[timeline_box title="{{title}}" description="{{description}}" class="{{class}}" ][/timeline_box]
//////////////////////////////////////////////////////////////////
// musicnight_shortcode_timeline_box musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('timeline_box', 'musicnight_shortcode_timeline_box');
function musicnight_shortcode_timeline_box($atts,$content = null) {

	extract(shortcode_atts(array(			
			'title' => '',
			'description' => '',
			'timeline_bg' => '',
			'timeline_color' => '',
			'class' => '',
		), $atts));
		static $musicnight_circle_id = 1;
		$musicnight_circle_id++;
		$timeline_box = '
			<div class="timeline-box" style="color:'.esc_attr($timeline_color).';background:'.esc_attr($timeline_bg).'">
				<h4 style="color:'.esc_attr($timeline_color).';">'.esc_attr($title).'</h4>
				<p style="color:'.esc_attr($timeline_color).';">'.esc_attr($description).'</p>
			</div>';
		
		return $timeline_box;
			
}
//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('progress_circles', 'musicnight_shortcode_progress_circles');
function musicnight_shortcode_progress_circles($atts,$content = null) {

	extract(shortcode_atts(array(			
			'circle_text' => '',
			'circle_value' => '',
			'circle_width' => '',
			'circle_height' => '',			
		), $atts));
		wp_register_script('wpmf-waypoints-min', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/waypoints-min.js', false, '1.0', true);
		wp_enqueue_script('wpmf-waypoints-min');
		wp_register_script('pie-chart', MUSICNIGHT_PATH . '/framework/include/frontend_assets/default/js/pie.js', array(), '1.0', true);	
		wp_enqueue_script('pie-chart');
		static $musicnight_circle_id = 1;
		$musicnight_circle_id++;
		$progre_circle = '';
		$progre_circle .= '
			<div class="progress-circle d-relf-services services-progress">
				<div id="count-'.esc_attr($musicnight_circle_id).'" class="d-relf-chart" data-percent="'.esc_attr($circle_value).'"><h5>'.esc_attr($circle_value).'%</h5></div>
				<h5>'.esc_attr($circle_text).'</h5>
			</div>	
			
			';
		
		return $progre_circle;
			
}
//'shortcode' => '[progress_circles haeding="{{haeding}}" caption="{{caption}}" circle_text="{{circle_text}}" circle_value="{{circle_value}}" circle_width="{{circle_width}}" circle_height="{{circle_height}}" ][/progress_circles]',
//////////////////////////////////////////////////////////////////
// progressbar musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('calltoaction', 'musicnight_shortcode_calltoaction');
function musicnight_shortcode_calltoaction($atts,$content = null) {

	extract(shortcode_atts(array(
			'class' => '',
			'title' => '',
			'color' => '',
			'style' => '',
			'align' => '',
			'btn_text' => '',
			'target' => '',
			'btn_url' => '',			
		), $atts));
		$call_to_action = '';
		if($style == 'style-1'){
			$call_to_action = '
				<div class="kode_purchase_now2 kode-'.esc_attr($align).' '.esc_attr($class).'">
					<h4 style="color:'.esc_attr($color).'" >'.esc_attr($title).'</h4>
					<a style="'.esc_attr($color).'" target="'.esc_attr($target).'" href="'.esc_url($btn_url).'" class="kode_link_2">'.esc_attr($btn_text).'</a>
				</div>';
		}else if($style == 'style-2'){
			$call_to_action = '
				<div class="kode_purchase kode-'.esc_attr($align).' '.esc_attr($class).'">
						<h6 style="color:'.esc_attr($color).'" >'.esc_attr($title).'</h6>
						<h4 style="color:'.esc_attr($color).'" >'.esc_attr($content).'</h4>
						<a style="color:'.esc_attr($color).'" class="kode_link_2" target="'.esc_attr($target).'" href="'.esc_url($btn_url).'">'.$btn_text.'</a>
					</div>';
					
		}else{
			$call_to_action = '
				<div class="kode_purchase_now2 kode-'.esc_attr($align).' '.esc_attr($class).'">
					<h4 style="color:'.esc_attr($color).'" >'.esc_attr($title).'</h4>
					<a style="'.esc_attr($color).'" target="'.esc_attr($target).'" href="'.esc_url($btn_url).'" class="kode_link_2">'.esc_attr($btn_text).'</a>
				</div>';

		}
	
		
		return $call_to_action;
			
}


//////////////////////////////////////////////////////////////////
// timeline musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('timeline', 'musicnight_shortcode_timeline');
function musicnight_shortcode_timeline($atts,$content = null) {

	extract(shortcode_atts(array(
			'size' => '',
		), $atts));
		
		$timeline = '';		
		$timeline .= '
		<div class="wpmf-team-timeline">
			<span class="timeline-circle"></span>
			<ul>
				'.do_shortcode($content).'
			</ul>
			<span class="timeline-circle bottom-circle"></span>
	  </div>';
	  
	return $timeline;
}
//////////////////////////////////////////////////////////////////
// timeline_item musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('timeline_item', 'musicnight_shortcode_timeline_item');
function musicnight_shortcode_timeline_item($atts,$content = null) {

	extract(shortcode_atts(array(
			'year' => '',
			'title' => '',
			'desc' => '',
			'icon' => '',
			'class' => '',
		), $atts));
		
		$timeline = '';		
		$timeline .= '
		<li>
			<span class="wpmf-timezoon">'.esc_attr($year).'</span>
			<div class="timeline-inner">
			  <h2>'.esc_attr($title).'</h2>
			  <p>'.esc_attr($desc).'</p>
			</div>
		  </li>';
	  
	return $timeline;
}
//////////////////////////////////////////////////////////////////
// Heading musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('newsletter', 'musicnight_shortcode_newsletter');
function musicnight_shortcode_newsletter($atts) {

	extract(shortcode_atts(array(
			'title' => '',
			'type' => '',
			'caption' => '',
			'email' => '',
			'layout' => ''
		), $atts));
		
		$newsletter = '';
			if($type == 'mailchimp'){
				if($layout == 'style-1'){
				$newsletter .= '
				<div class="wpmf-newsletters newslatter-form">
					<i class="fa fa-envelope-o"></i>
					<h2>'.esc_attr($title).'</h2>
					<h4>'.esc_attr($caption).'</h4>
					<form method="post" id="wpmf-submit-form" data-ajax="' . esc_url(MUSICNIGHT_AJAX_URL) . '" data-security="' . wp_create_nonce('musicnight_democracy-create-nonce') . '" data-action="newsletter_mailchimp">
						<input type="text" id="email" name="email" placeholder="Subscribe Email">						
						<input type="submit" value="Subscribe" class="thbg-color">
						<p class="status"></p>
					</form>
				</div>';
				}else if($layout == 'style-2'){
				$newsletter .= '
					<div class="newsletters-container">
						<form method="post" id="wpmf-submit-form" data-ajax="' . esc_url(MUSICNIGHT_AJAX_URL) . '" data-security="' . wp_create_nonce('musicnight_democracy-create-nonce') . '" data-action="newsletter_mailchimp">
							<div class="row">
								<div class="col-md-9 col-sm-8">
									<div class="input-container">
										<i class="fa fa-envelope-o"></i>
										<input type="text" id="email" name="email" placeholder="Subscribe us">						
									</div>
								</div>
								<div class="col-md-3 col-sm-4">								
									<input type="submit" value="Subscribe" class="thbg-color">
									<p class="status"></p>
								</div>
							</div>
						</form>
					</div>';
				}				
			}else{
				if($layout == 'style-1'){
				$newsletter .= '<div class="wpmf-newslatter">
					<div class="newslatter-wrap">
						<div class="newslatter-info">
							<h2>'.esc_attr($title).'</h2>
							<span>'.esc_attr($caption).'</span>
						</div>
						<form action="http://feedburner.google.com/fb/a/mailverify" method="post">
							<input type="text" name="email" placeholder="Subscribe Email">						
							<input type="hidden" value="'.esc_attr($email).'" name="uri"/>
							<input type="hidden" name="loc" value="en_US"/>
							<input type="submit" value="Subcribe Now" class="thbg-color">
						</form>
					</div>
				</div>';
				}else{
					$newsletter .= '<div class="newslatter-form">
					<form action="http://feedburner.google.com/fb/a/mailverify" method="post">
						<input type="text" name="email" placeholder="Subscribe Email">
						<input type="hidden" value="'.esc_attr($email).'" name="uri"/>
						<input type="hidden" name="loc" value="en_US"/>
						<input type="submit" value="Subscribe" class="thbg-color">
					</form>
				</div>';
					
				}	
			}
		return $newsletter;
			
}
//////////////////////////////////////////////////////////////////
// Albums musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('albums', 'musicnight_shortcode_albums');
function musicnight_shortcode_albums($atts) {

	extract(shortcode_atts(array(
			'size' => 'element1-1',
			'header' => '',
			'category' => '',
			'num_fetch' => '4',
			'num_excerpt' => '300',
			'pagination' => 'No',
			'orderby' => 'date',
			'order' => 'desc',
			'item_margin' => '30',
			
		), $atts));

		$album_script = '
		<Albums>
			<size>'.esc_attr($size).'</size>
			<header>'.esc_attr($header).'</header>
			<category>'.esc_attr($category).'</category>
			<num-fetch>'.esc_attr($num_fetch).'</num-fetch>
			<num-excerpt>'.esc_attr($num_excerpt).'</num-excerpt>
			<pagination>'.esc_attr($pagination).'</pagination>
			<orderby>'.esc_attr($orderby).'</orderby>
			<order>'.esc_attr($order).'</order>
			<item-margin>'.esc_attr($item_margin).'</item-margin>
		</Albums>';
		
		$page_xml_val = new DOMDocument();
		$page_xml_val->loadXML($album_script);
		return print_album_item($page_xml_val->documentElement);		
}
//////////////////////////////////////////////////////////////////
// Gallery musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('image_gallery', 'musicnight_shortcode_image_gallery');
function musicnight_shortcode_image_gallery($atts, $content = null) {

	extract(shortcode_atts(array(
			'gallery_col' => '',			
		), $atts));

		$gallery_html = '
		<div class="wpmf-gallery-thumb gallery-col-'.esc_attr($gallery_col).'">
			'.do_shortcode($content).'
		</div>';
		
		
		return $gallery_html;		
}
//////////////////////////////////////////////////////////////////
// Gallery musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('gallery_item', 'musicnight_shortcode_gallery_item');
function musicnight_shortcode_gallery_item($atts) {

	extract(shortcode_atts(array(
			'link' => '',
			'image' => '',
		), $atts));

		$gallery_item = '
		<div class="kode_item_gallery">
			<a href="'.esc_attr($link).'"><img alt="" src="'.$image.'"></a>
			<span class="figcaption">
				<a data-rel="prettyphoto[gallery]" href="'.esc_attr($link).'" rel="prettyphoto[gallery]">
					<i class="fa fa-plus"></i>
				</a> 
			</span>
		</div>';
		
		
		return $gallery_item;		
}
//////////////////////////////////////////////////////////////////
// Event Circle musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('counter_circle', 'musicnight_shortcode_counter_circle');
function musicnight_shortcode_counter_circle($atts) {

	extract(shortcode_atts(array(			
			'header' => '',		
			'animation' => 'ticks',			
			'event_id' => '4',
			'color' => '#ffffff',
			'unfilled_color' => '#ffffff',
			'filled_color' => '#E14E3D',
			'width' => '',
			'height' => '',
			'item_margin' => '30',
			'circle_width_filled' => '0.03',
			'circle_width_unfilled' => '0',
			
		), $atts));
		static $counter_circle = 2;
		$counter_circle++;
		$event_html = '';
		//Select Single Events
		if(class_exists('EM_Events')){
			
			
			$order = 'DESC';
			$limit = 5;//Default limit
			$offset = '';
			$rowno = 0;
			$event_count = 0;
			if($event_id <> ''){
				$EM_Event = em_get_event($event_id,'post_id');
				//print_r($EM_Event);
				if(isset($EM_Event)){
					$today = esc_attr(date ( "Y-m-d" ));					
				
					// $hour = date('H',$EM_Event->start_time);
					// $min = date('i',$EM_Event->start_time);
					// $sec = date('s',$EM_Event->start_time);
					$month = esc_attr(date('m',$EM_Event->start));
					$day = esc_attr(date('d',$EM_Event->start));
					$year = esc_attr(date('Y',$EM_Event->start));

					$start_date_time = esc_attr(date ( "Y-m-d", $EM_Event->start));


					//$start_date_time = mktime($hour, $min, $sec, $month, $day, $year);
					
					//$current = mktime();
					if($today < $start_date_time){
						$event_html .= '
						<div class="circle-time">
							<script>jQuery(document).ready(function($){  
							$("#countdown-'.esc_js($counter_circle).'").TimeCircles({
								"animation": "'.esc_js($animation).'",
								"bg_width": "'.esc_js($circle_width_filled).'",
								"fg_width": "'.esc_js($circle_width_unfilled).'",
								"circle_bg_color": "'.esc_js($unfilled_color).'",							
								text_size: 0.07,
								"time": {
									"Days": {
										"text": "'.esc_attr__('Days','music-night').'",
										"color": "'.esc_js($color).'",
										"show": true
									},
									"Hours": {					
										"text": "'.esc_attr__('Hours','music-night').'",
										"color": "'.esc_js($color).'",
										"show": true
									},
									"Minutes": {
										"text": "'.esc_attr__('Minutes','music-night').'",
										"color": "'.esc_js($color).'",
										"show": true
									},
									"Seconds": {					
										"text": "'.esc_attr__('Seconds','music-night').'",
										"color": "'.esc_js($color).'",
										"show": true
									}
								}
							}); });
							</script>
							<div class="event-timer">
								<div id="countdown-'.esc_attr($counter_circle).'" data-date="'.esc_attr($year).'-'.esc_attr($month).'-'.esc_js($day).' 00:00:00" style="margin-bottom:'.esc_js($item_margin).'px;width: '.esc_attr($width).'; height: '.esc_attr($height).'; padding: 30px 0px; box-sizing: border-box;color:'.esc_attr($color).';">
								</div>
							</div>
						</div>';											
					}else{
						$event_html .= '<h5>There is no upcoming event in current date to show.</h5>';
					}	
				}
			}
		}
		
		return $event_html;		
}
//////////////////////////////////////////////////////////////////
// Youtube musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('youtube', 'musicnight_shortcode_youtube');
	function musicnight_shortcode_youtube($atts) {
		$atts = shortcode_atts(
			array(
				'id' => '',
				'width' => 600,
				'height' => 360,
				'autoplay' => 'false',
				'api_params' => ''
			), $atts);

			$autoplay = "";
			if($atts['autoplay'] == "true" || $atts['autoplay'] == "yes") {
				$autoplay = "&amp;autoplay=1";
			}

			return '<div style="max-width:'.esc_attr($atts['width']).'px;max-height:'.esc_attr($atts['height']).'px;"><div class="video-musicnight_shortcode"><iframe title="YouTube video player" width="' . esc_attr($atts['width']) . '" height="' . esc_attr($atts['height']) . '" src="http://www.youtube.com/embed/' . esc_attr($atts['id']) . '?wmode=transparent'.esc_attr($autoplay). esc_attr($atts['api_params']) .'" frameborder="0" allowfullscreen></iframe></div></div>';
	}

//////////////////////////////////////////////////////////////////
// Vimeo musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('vimeo', 'musicnight_shortcode_vimeo');
	function musicnight_shortcode_vimeo($atts) {
		$atts = shortcode_atts(
			array(
				'id' => '',
				'width' => 600,
				'height' => 360,
				'autoplay' => 'false',
				'api_params' => 'webkitallowfullscreen mozallowfullscreen allowfullscreen'
			), $atts);

		//$protocol = (is_ssl())? 's' : '';

		$autoplay = "";
		if($atts['autoplay'] == "true" || $atts['autoplay'] == "yes") {
			$autoplay = "?autoplay=1";
		} else {
			$autoplay = "?autoplay=0";
		}
		return '<div style="max-width:'.esc_attr($atts['width']).'px;max-height:'.esc_attr($atts['height']).'px;"><div class="video-musicnight_shortcode"><iframe src="https://player.vimeo.com/video/'.esc_attr($atts['id']).'" width="'.esc_attr($atts['width']).'" height="'.esc_attr($atts['height']).'" frameborder="0" '.esc_attr($atts['api_params']).'></iframe></div></div>';
		//return '<div style="max-width:'.esc_attr($atts['width']).'px;max-height:'.esc_attr($atts['height']).'px;"><div class="video-musicnight_shortcode"><iframe src="http'.$protocol.'://player.vimeo.com/video/' . esc_attr($atts['id']) .esc_attr($autoplay). esc_attr($atts['api_params']) . '" width="' . esc_attr($atts['width']) . '" height="' . esc_attr($atts['height']) . '" frameborder="0"></iframe></div></div>';
	}

//////////////////////////////////////////////////////////////////
// SoundCloud musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('soundcloud', 'musicnight_shortcode_soundcloud');
	function musicnight_shortcode_soundcloud($atts) {
		$atts = shortcode_atts(
			array(
				'url' => '',
				'width' => '100%',
				'height' => 81,
				'comments' => 'true',
				'auto_play' => 'true',
				'color' => 'ff7700',
			), $atts);

			if($atts['comments'] == 'yes') {
				$atts['comments'] = 'true';
			} elseif($atts['comments'] == 'no') {
				$atts['comments'] = 'false';
			}

			if($atts['auto_play'] == 'yes') {
				$atts['auto_play'] = 'true';
			} elseif($atts['auto_play'] == 'no') {
				$atts['auto_play'] = 'false';
			}

			if($atts['color']) {
				$atts['color'] = str_replace('#', '', $atts['color']);
			}
			return '<iframe width="'.esc_attr($atts['width']).'" height="'.esc_attr($atts['height']).'" scrolling="no" frameborder="no" src="'.esc_url('https://w.soundcloud.com/player/?url=' . esc_url($atts['url']) . '&amp;auto_play=' . esc_attr($atts['auto_play']) . '&amp;hide_related=false&amp;show_comments=' . esc_attr($atts['comments']) . '&amp;show_user=true&amp;show_reposts=false&amp;visual=true').'"></iframe>';
			//return '<iframe width="'.esc_attr($atts['width']).'" height="'.esc_attr($atts['height']).'" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=' . esc_url(urlencode($atts['url'])) . '&amp;show_comments=' . esc_attr($atts['comments']) . '&amp;auto_play=' . esc_attr($atts['auto_play']) . '&amp;color=' . esc_attr($atts['color']) . '"></iframe>';
			//return '<object height="' . $atts['height'] . '" width="' . $atts['width'] . '"><param name="movie" value="http://player.soundcloud.com/player.swf?url=' . urlencode($atts['url']) . '&amp;show_comments=' . $atts['comments'] . '&amp;auto_play=' . $atts['auto_play'] . '&amp;color=' . $atts['color'] . '"></param><param name="allowscriptaccess" value="always"></param><embed allowscriptaccess="always" height="' . $atts['height'] . '" src="http://player.soundcloud.com/player.swf?url=' . urlencode($atts['url']) . '&amp;show_comments=' . $atts['comments'] . '&amp;auto_play=' . $atts['auto_play'] . '&amp;color=' . $atts['color'] . '" type="application/x-shockwave-flash" width="' . $atts['width'] . '"></embed></object>';
	}

//////////////////////////////////////////////////////////////////
// Button musicnight_shortcode
//////////////////////////////////////////////////////////////////
//'shortcode' => '[button class="{{class}}" style="{{style}}" icon="{{icon}}" iconcolor="{{iconcolor}}" iconbgcolor="{{iconbgcolor}}" iconbgcolor="{{iconbgcolor}}" url="{{url}}" target="{{target}}" color="{{color}}" bgcolor="{{bgcolor}}" size="{{size}}" ]{{content}}[/button]',
add_shortcode('button', 'musicnight_shortcode_button');
function musicnight_shortcode_button($atts, $content = null) {
	extract(shortcode_atts(array(		
		'style' => '',
		'url' => '#',
		'target'=> '_self',
		'size'=> '',
		'class'=> '',
		'iconcolor'=> '',
		'iconbgcolor'=> '',
		'color'=> '',
		'bgcolor'=> ''
	), $atts));

	static $nightrock_button_counter = 1;
	
	$html = '<div class="btn_button btn-'.esc_attr($size).' btn-'.esc_attr($style).'" style="background:'.esc_attr($bgcolor).'">';
	$html .= '<a class="button-'.esc_attr($nightrock_button_counter).' " href="' . esc_attr($url) . '" style="color:'.esc_attr($color).';">' .do_shortcode($content). '</a>';
	$html .= '</div>';
	

	$nightrock_button_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Button musicnight_shortcode
//////////////////////////////////////////////////////////////////

add_shortcode('imagetoaction', 'musicnight_shortcode_imagetoaction');
function musicnight_shortcode_imagetoaction($atts, $content = null) {
	extract(shortcode_atts(array(		
		'class' => '#',
		'title' => '',
		'style' => '',
		
		'image' => '',
		'icon' => '#',
		'iconcolor' => '#',
		'iconbgcolor' => '#',		
		'url' => '#',
		'target'=> '_self',
		'opacity'=> '0.6',
		'overlaycolor' => '#333'		
	), $atts));

	static $nightrock_button_counter = 1;
	$styles = '<style>
		.wpmf-video-style-'.esc_attr($nightrock_button_counter).':before{
			background-color:'.esc_attr($overlaycolor).' !important;
			opacity:'.esc_attr($opacity).' !important;
		}
	</style>';
	if($style == 'type-1'){		
		$html = $styles . '<div class="kode_video wpmf-video-style-'.esc_attr($nightrock_button_counter).'">
			<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
			<div class="kode_video_icon">
				<a href="'.esc_url($url).'"><i style="color:'.esc_attr($iconcolor).'" class="fa '.esc_attr($icon).'"></i></a>
			</div>
		</div>';
	}else if($style == 'type-2'){
		$html = $styles . '
		<div class="kode_audio_wrap wpmf-video-style-'.esc_attr($nightrock_button_counter).'">
			<figure>
				<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
				<figcaption>
					<a href="'.esc_url($image).'" data-rel="prettyPhoto[]"><i style="color:'.esc_attr($iconcolor).'" class="fa '.esc_attr($icon).'"></i></a>
				</figcaption>
			</figure>
		</div>';
	}else if($style == 'type-3'){
		$html = $styles . '
		<div class="kode_aside_video wpmf-video-style-'.esc_attr($nightrock_button_counter).'">
			<figure>
				<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
				<figcaption class="kode_video_icon">
					<a href="'.esc_url($image).'" data-rel="prettyPhoto[]"><i style="color:'.esc_attr($iconcolor).'" class="fa '.esc_attr($icon).'"></i></a>
				</figcaption>
			</figure>
		</div>';
	}else{}

	$nightrock_button_counter++;

	return $html;
}


//////////////////////////////////////////////////////////////////
// Social Icons
//////////////////////////////////////////////////////////////////
add_shortcode('social_icons', 'musicnight_shortcode_social_icons');
function musicnight_shortcode_social_icons($atts, $content = null) {
	extract(shortcode_atts(array(		
		'style'=> '',
		'background_color'=> '',
	), $atts));
	static $musicnight_counter = 1;
	$styles = '<style>
		#wpmf-links-'.esc_attr($musicnight_counter).'{
			
		}
	</style>';
	if($style == 'style-1'){
		$html = $styles .'<ul style="background-color:'.esc_attr($background_color).'" id="wpmf-links-'.esc_attr($musicnight_counter).'" class="social-accounts">'.do_shortcode($content).'</ul>';
	}else if($style == 'style-2'){
		$html = $styles .'<div style="background-color:'.esc_attr($background_color).'" class="eco_share-tag"><ul id="wpmf-links-'.esc_attr($musicnight_counter).'" class="social-icons">'.do_shortcode($content).'</ul></div>';
	}
	

	$musicnight_counter++;

	return $html;
}
//////////////////////////////////////////////////////////////////
// Social Icons
//////////////////////////////////////////////////////////////////
add_shortcode('social_icon_item', 'musicnight_shortcode_social_icons_item');
function musicnight_shortcode_social_icons_item($atts, $content = null) {
	extract(shortcode_atts(array(
		'link' => '#',
		'icon' => '',
		'class' => '',
		'target'=> '_self'
	), $atts));

	static $musicnight_counter = 1;
	$styles = '<style>
		#wpmf-links-'.esc_attr($musicnight_counter).'{
			
		}
	</style>';
	$html = $styles . '<li id="wpmf-links-'.esc_attr($musicnight_counter).'" class="'.esc_attr($class).'"><a target="'.esc_attr($target).'" href="'.esc_url($link).'"><i class="fa '.esc_attr($icon).'"></i></a></li>';

	$musicnight_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Social Network Shortcode
//////////////////////////////////////////////////////////////////
//[social_network class="{{class}}" ][/social_network]
add_shortcode('social_network', 'musicnight_shortcode_snetwork');
function musicnight_shortcode_snetwork($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
	), $atts));

	static $nightrock_button_counter = 1;

	global $musicnight_header_social_icon, $musicnight_theme_option;
	$type = empty($musicnight_theme_option['header-social-type'])? 'dark': $musicnight_theme_option['header-social-type'];
	
	$html_snetwork = '<div class="kode_short">';
	$html_snetwork .= '<div class="socialnetwork">';
	$html_snetwork .= '<ul class="'.esc_attr($type).'">';
	$html_snetwork .= empty($musicnight_theme_option['delicious-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['delicious-header-social']).'"><i class="fa fa-delicious"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['digg-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['digg-header-social']).'"><i class="fa fa-digg"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['facebook-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['facebook-header-social']).'"><i class="fa fa-facebook"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['flickr-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['flickr-header-social']).'"><i class="fa fa-flickr"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['google-plus-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['google-plus-header-social']).'"><i class="fa fa-google-plus"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['linkedin-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['linkedin-header-social']).'"><i class="fa fa-linkedin"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['pinterest-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['pinterest-header-social']).'"><i class="fa fa-pinterest"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['skype-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['skype-header-social']).'"><i class="fa fa-skype"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['stumble-upon-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['stumble-upon-header-social']).'"><i class="fa fa-stumbleupon"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['tumblr-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['tumblr-header-social']).'"><i class="fa fa-tumblr"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['twitter-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['twitter-header-social']).'"><i class="fa fa-twitter"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['vimeo-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['vimeo-header-social']).'"><i class="fa fa-vimeo-square"></i></a></li>';
	$html_snetwork .= empty($musicnight_theme_option['youtube-header-social'])? '': '<li><a href="'.esc_url($musicnight_theme_option['youtube-header-social']).'"><i class="fa fa-youtube"></i></a></li>';
	$html_snetwork .= '</ul>';
	$html_snetwork .= '</div>';
	$html_snetwork .= '</div>';
	
	$nightrock_button_counter++;

	return $html_snetwork;
}

//////////////////////////////////////////////////////////////////
// List Items Shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('list_items', 'musicnight_shortcode_list_items');
function musicnight_shortcode_list_items($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'align' => '',
		
	), $atts));

	static $list_item_counter = 1;

	$html_items = '
	<div class="wpmf-form-list '.esc_attr($class).'">
		'.do_shortcode($content).'
	</div>';
	
	$list_item_counter++;

	return $html_items;
}

add_shortcode('list_item', 'musicnight_shortcode_list_item');
function musicnight_shortcode_list_item($atts, $content = null) {
	extract(shortcode_atts(array(
		'icon' => '',
		'title' => '',
		'caption' => '',
		'link' => '',
		'color' => '',
		
	), $atts));	
	static $list_item_counter = 1;
	$html_item = '
	<div class="kode_contact_info kode_contact_wrap">
		<h5 style="color:'.esc_attr($color).'">'.esc_attr($title).'</h5>
		<i style="color:'.esc_attr($color).'" class="fa '.esc_attr($icon).'"></i>
		<div class="kode_contact_des">
			<span><a style="color:'.esc_attr($color).'" href="'.esc_attr($link).'">'.esc_attr($caption).'</a></span>
		</div>
	</div>';
	$list_item_counter++;

	return $html_item;
}
//////////////////////////////////////////////////////////////////
// Button musicnight_shortcode
//////////////////////////////////////////////////////////////////
//[theme_button class="{{class}}" btn_text="{{btn_text}}" color="{{color}}" align="{{align}}" btn_background="{{btn_background}}" btn_url="{{btn_url}}" ][/theme_button]
add_shortcode('theme_button', 'musicnight_shortcode_tbtn');
function musicnight_shortcode_tbtn($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '#',
		'btn_text'=> '_self',
		'color' => '#333',
		'align' => '#ccc',
		'btn_background'=> 'small',
		'btn_url'=> 'small',
	), $atts));

	static $nightrock_button_counter = 1;
	$styles = '<style>
		.button-'.$nightrock_button_counter.'{
			color:'.$color.' !important;
			background:'.$bgcolor.' !important;
		}
	</style>';
	$html = $styles . '<a class="button-'.esc_attr($nightrock_button_counter).' custom-btn kd-' . esc_attr($size) .'" href="' . esc_attr($link) . '" target="' . esc_attr($target) . '">' .do_shortcode($content). '</a>';

	$nightrock_button_counter++;

	return $html;
}
//////////////////////////////////////////////////////////////////
// Dropcap musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('dropcap', 'musicnight_shortcode_dropcap');
	function musicnight_shortcode_dropcap( $atts, $content = null ) {
	
	static $nightrock_dropcap_counter = 1;
	$nightrock_dropcap_counter++;
		extract(shortcode_atts(array(
			'color' => '#333',
		), $atts));
		$style_dropcap = '<style>
		.dropcap-'.esc_attr($nightrock_dropcap_counter).'{color:'.esc_attr($color).';}
		</style>';
		return $style_dropcap . '<span class="dropcap dropcap-'.esc_attr($nightrock_dropcap_counter).'">' .do_shortcode($content). '</span>';

}

//////////////////////////////////////////////////////////////////
// Highlight musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('highlight', 'musicnight_shortcode_highlight');
	function musicnight_shortcode_highlight($atts, $content = null) {
		extract(shortcode_atts(array(
				'color' => 'yellow',
				'bg_color' => 'bg_color',
		), $atts));
			if($color == 'black') {
				return '<span class="highlight2" style="color:'.esc_attr($color).';background-color:'.esc_attr($bg_color).';">' .do_shortcode($content). '</span>';
			} else {
				return '<span class="highlight1" style="color:'.esc_attr($color).';background-color:'.esc_attr($bg_color).';">' .do_shortcode($content). '</span>';
			}

	}


//////////////////////////////////////////////////////////////////
// Check list musicnight_shortcode
//////////////////////////////////////////////////////////////////
// Fontawesome icons list
$pattern = '/\.(fa-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
$fontawesome_path = plugin_dir_path( __FILE__ ) .'tinymce/css/font-awesome.css';
if( file_exists( $fontawesome_path ) ) {
	@$subject = file_get_contents($fontawesome_path);
}

preg_match_all($pattern, $subject, $matches, PREG_SET_ORDER);

global $icons;

foreach($matches as $match){
	$icons[$match[1]] = $match[2];
}
	function get_icon_code($icon_name=''){
	global $icons;
		foreach($icons as $keys=>$val){		
			if($keys == $icon_name){
				$code = $val;
			}
		}
		return $code;
	}	

add_shortcode('checklist', 'musicnight_shortcode_checklist');
	function musicnight_shortcode_checklist( $atts, $content = null ) {
		global $data, $icons;

		static $musicnight_checklist_counter = 1;

		extract(shortcode_atts(array(
			'icon' => 'fa-lock',
			'iconcolor' => '',
			'circle' => 'yes'
		), $atts));

	$str = "";
	$str .= '<div id="checklist-'.esc_attr($musicnight_checklist_counter).'" class="check-list">
	<style>
	#checklist-'.esc_attr($musicnight_checklist_counter).' ul li:before{
		color:'.esc_attr($iconcolor).' !important;
		content:"'.esc_attr(get_icon_code($icon)).'" !important;
		margin-right:10px;
	}
	</style>';
	$str .= html_entity_decode($content);
	$str .= '</div>';
	$musicnight_checklist_counter++;

	return $str;
}

//////////////////////////////////////////////////////////////////
// Tabs musicnight_shortcode
//////////////////////////////////////////////////////////////////
	$tab_array = array();
	add_shortcode('tabs', 'musicnight_tab_musicnight_shortcode');
	function musicnight_tab_musicnight_shortcode( $atts, $content = null ){
		//layout="horizontal" backgroundcolor="#81d742" inactivecolor="#dd9933"
		extract( shortcode_atts(
			array(
			"layout" => '',
			"backgroundcolor" => '',
			"inactivecolor" => ''), 
			$atts)
		);
		static $count_tabs = 0;
		$count_tabs++;
		if($layout == 'vertical'){
			$item_class = 'kd-vertical-tab';
			$div_class = '';
		}else{
			$item_class = 'kd-horizontal-tab';
			$div_class = '<div class="clear"></div>';
		}
		$tab = '<style>.tabs-kode-'.esc_attr($count_tabs).' .active a{background:'.esc_attr($backgroundcolor).'} .tabs-kode-'.esc_attr($count_tabs).' a{background:'.esc_attr($inactivecolor).'}</style>';
		global $tab_array;
		$tab_array = array();
		
		do_shortcode($content);
		
		$num = sizeOf($tab_array);
		$tab .= '<div class="'.esc_attr($item_class).' tabs kd-tab">';
		
		// tab title
		$tab = $tab . '<ul class="nav nav-tabs" role="tablist">';
		for($i=0; $i<$num; $i++){
			
			if($i == 0){$active = 'active';}else{$active = '';}
		
			$tab = $tab . '<li role="presentation" class="'.esc_attr($active).'"><a href="#tab-' . esc_attr($i)  .esc_attr($count_tabs). '" aria-controls="tab-' . esc_attr($i) .esc_attr($count_tabs). '" role="tab" data-toggle="tab"';
			$tab = $tab . '>' . esc_attr($tab_array[$i]["title"]) . '</a></li>';
		}				
		$tab = $tab . '</ul>';
		
		// tab content
		$tab = $tab . $div_class;
		$tab = $tab . '<div class="tab-content">';
		for($i=0; $i<$num; $i++){
			if($i == 0){$active = 'active';}else{$active = '';}

			$tab = $tab . '<div role="tabpanel" class="tab-pane '.esc_attr($active).'" id="tab-' . esc_attr($i) .esc_attr($count_tabs). '" ';
			$tab = $tab . '>' . musicnight_content_filter($tab_array[$i]["content"]) . '</div>';
		}
		$tab = $tab . "</div>"; // wpmf-tab-content
		
		$tab = $tab . "</div>"; // wpmf-tab

		return $tab;
	}
	add_shortcode('tab', 'tab_item_musicnight_shortcode');
	function tab_item_musicnight_shortcode( $atts, $content = null ){
		extract( shortcode_atts(array("title" => ''), $atts) );
		
		global $tab_array;

		$tab_array[] = array("title" => $title , "content" => do_shortcode($content));
	}	

	
	//////////////////////////////////////////////////////////////////
	// Our Clients musicnight_shortcode
	//////////////////////////////////////////////////////////////////
	$client_array = array();
	add_shortcode('our_clients', 'musicnight_our_clients');
	function musicnight_our_clients( $atts, $content = null ){
		
		extract( shortcode_atts(
			array( ), 
			$atts)
		);
		static $count_clients = 0;
		$count_clients++;
		wp_register_script('owl_carousel', MUSICNIGHT_PATH.'/framework/include/frontend_assets/owl_carousel/owl_carousel.js', false, '1.0', true);
		wp_enqueue_script('owl_carousel');
		wp_enqueue_style( 'owl_carousel', MUSICNIGHT_PATH . '/framework/include/frontend_assets/owl_carousel/owl_carousel.css' );  //Font Awesome
		$client = '';
		$client .= '<div class="wpmf-partner"><div class="kode_pet_brnd_lst owl-carousel owl-no-space owl-theme" data-small-slide="2" data-slide="4">'.do_shortcode($content).'</div></div>';
		
		return $client;
	}
	add_shortcode('client', 'musicnight_shortcode_client_item');
	function musicnight_shortcode_client_item( $atts ){
		extract( shortcode_atts(array("image" => '',"link" => ''), $atts) );
		$client = '';
		$client .= '<div class="kf_compnay_wrap"><a href="' . esc_url($link) . '"><img src="'.esc_url($image).'" alt="" /></a></div>';
		return $client;
	}	
//////////////////////////////////////////////////////////////////
// Accordian
//////////////////////////////////////////////////////////////////
add_shortcode('accordian', 'musicnight_shortcode_accordian');
	function musicnight_shortcode_accordian( $atts, $content = null ) {
	$out = '';
	
	$out .= '<div class="wpmf-toggle">';
	$out .= do_shortcode($content);
	$out .= '</div>';

   return $out;
}

//////////////////////////////////////////////////////////////////
// Toggle musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('toggle', 'musicnight_shortcode_toggle');
	function musicnight_shortcode_toggle( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'title'      => '',
		'open' => 'no'
	), $atts));

	$toggleclass = '';
	$toggleclass2 = '';
	$togglestyle = 'display: none;';

	if($open == 'yes'){
		$toggleclass = "in";
		$toggleclass2 = "default-open";
		$togglestyle = "display: block;";
	}
	static $count_item = 0;
	$count_item++;
	$out = '';
	$out .= '
	<script>
	jQuery( document ).ready(function($) {
		if($("#section-'.esc_attr($count_item).'").length){
			//custom animation for open/close
			$.fn.slideFadeToggle = function(speed, easing, callback) {
				return this.animate({opacity: "toggle", height: "toggle"}, speed, easing, callback);
			};

			$("#section-'.esc_attr($count_item).'").accordion({
				defaultOpen: "section1",
				cookieName: "nav",
				speed: "slow",
				animateOpen: function (elem, opts) { //replace the standard slideUp with custom function
					elem.next().stop(true, true).slideFadeToggle(opts.speed);
				},
				animateClose: function (elem, opts) { //replace the standard slideDown with custom function
					elem.next().stop(true, true).slideFadeToggle(opts.speed);
				}
			});
		}
	});
	</script>';
	$out .= '
		
		<div class="accordion-section">
			<h6 class="accordion divine_heading" id="section-'.esc_attr($count_item).'">
				<span class="fa fa-plus"></span> ' .esc_attr($title) . '
			</h6>
			<div class="accordion-content">
				<p>'. do_shortcode($content) . '</p>
			</div>
		</div>';	

   return $out;
}

//////////////////////////////////////////////////////////////////
// Column one_half musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_half', 'musicnight_shortcode_one_half');
	function musicnight_shortcode_one_half($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'last' => 'no',
			), $atts);

			if($atts['last'] == 'yes') {
				return '<div class="one_half last">' .do_shortcode($content). '</div><div class="clearboth"></div>';
			} else {
				return '<div class="one_half">' .do_shortcode($content). '</div>';
			}

	}

//////////////////////////////////////////////////////////////////
// Column one_third musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_third', 'musicnight_shortcode_one_third');
	function musicnight_shortcode_one_third($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'last' => 'no',
			), $atts);

			if($atts['last'] == 'yes') {
				return '<div class="one_third last">' .do_shortcode($content). '</div><div class="clearboth"></div>';
			} else {
				return '<div class="one_third">' .do_shortcode($content). '</div>';
			}

	}

//////////////////////////////////////////////////////////////////
// Column two_third musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('two_third', 'musicnight_shortcode_two_third');
	function musicnight_shortcode_two_third($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'last' => 'no',
			), $atts);

			if($atts['last'] == 'yes') {
				return '<div class="two_third last">' .do_shortcode($content). '</div><div class="clearboth"></div>';
			} else {
				return '<div class="two_third">' .do_shortcode($content). '</div>';
			}

	}

//////////////////////////////////////////////////////////////////
// Column one_fourth musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_fourth', 'musicnight_shortcode_one_fourth');
	function musicnight_shortcode_one_fourth($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'last' => 'no',
			), $atts);

			if($atts['last'] == 'yes') {
				return '<div class="one_fourth last">' .do_shortcode($content). '</div><div class="clearboth"></div>';
			} else {
				return '<div class="one_fourth">' .do_shortcode($content). '</div>';
			}

	}

//////////////////////////////////////////////////////////////////
// Column three_fourth musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('three_fourth', 'musicnight_shortcode_three_fourth');
	function musicnight_shortcode_three_fourth($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'last' => 'no',
			), $atts);

			if($atts['last'] == 'yes') {
				return '<div class="three_fourth last">' .do_shortcode($content). '</div><div class="clearboth"></div>';
			} else {
				return '<div class="three_fourth">' .do_shortcode($content). '</div>';
			}

	}


//////////////////////////////////////////////////////////////////
// Pricing table
//////////////////////////////////////////////////////////////////
add_shortcode('pricing_table', 'musicnight_shortcode_pricing_table');
	function musicnight_shortcode_pricing_table($atts, $content = null) {
		global $data;

		extract(shortcode_atts(array(
			'backgroundcolor' => '',
			'bordercolor' => '',
			'dividercolor' => ''
		), $atts));

		static $nightrock_pricing_table_counter = 1;

		if(!$backgroundcolor) {
			$backgroundcolor = $data['pricing_bg_color'];
		}

		if(!$bordercolor) {
			$bordercolor = $data['pricing_border_color'];
		}

		if(!$dividercolor) {
			$dividercolor = $data['pricing_divider_color'];
		}

		$str = "<style type='text/css'>
		#pricing-table-{$nightrock_pricing_table_counter}.full-boxed-pricing{background-color:{$bordercolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter} .column{background-color:{$backgroundcolor} !important;border-color:{$dividercolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter}.sep-boxed-pricing .column{background-color:{$bordercolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter} .column li{border-color:{$dividercolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter} li.normal-row{background-color:{$backgroundcolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter}.full-boxed-pricing li.title-row{background-color:{$backgroundcolor} !important;}
		#pricing-table-{$nightrock_pricing_table_counter} li.pricing-row,#pricing-table-{$nightrock_pricing_table_counter} li.footer-row{background-color:{$bordercolor} !important;}
		</style>";

		if($atts['type'] == '2') {
			$type = 'sep';
		} elseif($atts['type'] == '1') {
			$type = 'full';
		} else {
			$type = 'third';
		}
		$str .= '<div id="pricing-table-'.esc_attr($nightrock_pricing_table_counter).'" class="'.esc_attr($type).'-boxed-pricing">';
		$str .= do_shortcode($content);
		$str .= '</div><div class="clear"></div>';

		$nightrock_pricing_table_counter++;

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Pricing Column
//////////////////////////////////////////////////////////////////
add_shortcode('pricing_column', 'musicnight_shortcode_pricing_column');
	function musicnight_shortcode_pricing_column($atts, $content = null) {
		$str = '<div class="column">';
		$str .= '<ul>';
		if($atts['title']):
		$str .= '<li class="title-row">'.esc_attr($atts['title']).'</li>';
		endif;
		$str .= do_shortcode($content);
		$str .= '</ul>';
		$str .= '</div>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Pricing Row
//////////////////////////////////////////////////////////////////
add_shortcode('pricing_price', 'musicnight_shortcode_pricing_price');
	function musicnight_shortcode_pricing_price($atts, $content = null) {
		$str = '';
		$str .= '<li class="pricing-row">';
		if(isset($atts['currency']) && !empty($atts['currency']) && isset($atts['price']) && (!empty($atts['price']) || ($atts['price'] == '0')) ) {
			$class = '';
			$price = explode('.', $atts['price']);
			if($price[1]){
				$class .= 'price-with-decimal';
			}
			$str .= '<div class="price '.esc_attr($class).'">';
				$str .= '<strong>'.esc_attr($atts['currency']).'</strong>';
				$str .= '<em class="exact_price">'.esc_attr($price[0]).'</em>';
				if($price[1]){
					$str .= '<sup>'.esc_attr($price[1]).'</sup>';
				}
				if($atts['time']) {
					$str .= '<em class="time">'.esc_attr($atts['time']).'</em>';
				}
			$str .= '</div>';
		} else {
			$str .= do_shortcode($content);
		}
		$str .= '</li>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Pricing Row
//////////////////////////////////////////////////////////////////
add_shortcode('pricing_row', 'musicnight_shortcode_pricing_row');
	function musicnight_shortcode_pricing_row($atts, $content = null) {
		$str = '';
		$str .= '<li class="normal-row">';
		$str .= do_shortcode($content);
		$str .= '</li>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Pricing Footer
//////////////////////////////////////////////////////////////////
add_shortcode('pricing_footer', 'musicnight_shortcode_pricing_footer');
	function musicnight_shortcode_pricing_footer($atts, $content = null) {
		$str = '';
		$str .= '<li class="footer-row">';
		$str .= do_shortcode($content);
		$str .= '</li>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Content box musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('content_boxes', 'musicnight_shortcode_content_boxes');
	function musicnight_shortcode_content_boxes($atts, $content = null) {
		global $data;

		extract(shortcode_atts(array(
			'layout' => 'icon-with-title',
			'iconcolor' => '',
			'circlecolor' => '',
			'circlebordercolor' => '',
			'backgroundcolor' => ''
		), $atts));

		static $nightrock_content_box_counter = 1;

		if(!$iconcolor) {
			$iconcolor = $data['icon_color'];
		}

		if(!$circlecolor) {
			$circlecolor = $data['icon_circle_color'];
		}

		if(!$circlebordercolor) {
			$circlebordercolor = $data['icon_border_color'];
		}

		if(!$backgroundcolor) {
			$backgroundcolor = $data['content_box_bg_color'];
		}

		$str = "<style type='text/css'>
		#content-boxes-{$nightrock_content_box_counter} article.col{background-color:{$backgroundcolor} !important;}
		#content-boxes-{$nightrock_content_box_counter} .fontawesome-icon.circle-yes{color:{$iconcolor} !important;background-color:{$circlecolor} !important;border-color: {$circlebordercolor} !important;}
		#content-boxes-{$nightrock_content_box_counter} a:hover .fontawesome-icon.circle-yes{background-color: {$data['primary_color']} !important;border-color:{$data['primary_color']} !important;}
		</style>";

		preg_match_all('/(\[content_box (.*?)\](.*?)\[\/content_box\])/s', $content, $matches);
		if( is_array( $matches ) && !empty( $matches ) ) {
			$columns = count($matches[0]);
			if( $columns > 0 ) {
				$columns = $columns;
			} else if( $columns > 4 ) {
				$columns = 4;
			} else if ( !$columns ) {
				$columns = 4;
			}
		} else {
			$columns = 4;
		}
		$str .= '<section class="clearfix columns content-boxes content-boxes-'.esc_attr($layout).' columns-'.esc_attr($columns).'" id="content-boxes-'.esc_attr($nightrock_content_box_counter).'">';
		$str .= do_shortcode($content);
		$str .= '</section>';

		$nightrock_content_box_counter++;

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Content box musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('content_box', 'musicnight_shortcode_content_box');
	function musicnight_shortcode_content_box($atts, $content = null) {

		extract(shortcode_atts(array(
			'link' => '',
			'linktarget' => '_self',
			'width' => '35',
			'height' => '35',
			'animation_type' => '',
			'animation_direction' => 'left',
			'animation_speed' => '',
			'img_id' => '',
		), $atts));

		$direction_suffix = '';
		$animation_class = '';
		$animation_attribues = '';
		if($animation_type) {
			$animation_class = ' animated';
			if($animation_type != 'flash' && $animation_type != 'shake') {
				$direction_suffix = 'In'.ucfirst($animation_direction);
				$animation_type .= $direction_suffix;
			}
			$animation_attribues = ' animation_type="'.$animation_type.'"';

			if($animation_speed) {
				$animation_attribues .= ' animation_duration="'.$animation_speed.'"';
			}
		}

		$str = '';
		if(!empty($atts['last']) && $atts['last'] == 'yes'):
		$str .= '<article class="col last">';
		else:
		$str .= '<article class="col">';
		endif;

		if((isset($atts['image']) && $atts['image']) || (isset($atts['title']) && $atts['title'])):
			if(!empty($atts['image'])) {
				$margin_left = -$atts['image_width']/2;
				$margin_top = 0;
				if($atts['image_height'] < 64) {
					$margin_top = strval((64 - $atts['image_height'])/2).'px';
				}
				$padding_left = $atts['image_width']+10;
				$img_id = "id".strval(mt_rand());
				$str .= "<style type='text/css'>
				.content-boxes-icon-boxed .col .heading-and-icon img#{$img_id} { width:{$atts['image_width']}px; height:{$atts['image_height']}px; margin-left:{$margin_left}px !important;margin-top:{$margin_top} !important;}
				.content-boxes-icon-on-side .col-content-container.{$img_id} { padding-left:{$padding_left}px !important; }
				</style>";
			}
			if(!empty($atts['image']) || !empty($atts['icon'])){
				$str .=	'<div class="heading heading-and-icon">';
			} else {
				$str .=	'<div class="heading">';
			}

			if(isset($atts['link']) && $atts['link'] && isset($atts['linktext']) && $atts['linktext']) {
				$str .= '<a href="'.esc_url($atts['link']).'" target="'.esc_attr($linktarget).'">';
			}


		if(isset($atts['image']) && $atts['image']):
		if($animation_type) {
			$animation_class = 'class="animated"';
		}
		$str .= '<img id="'.esc_attr($img_id).'" src="'.esc_url($atts['image']).'" width="'.esc_attr($atts['image_width']).'" height="'.esc_attr($atts['image_height']).'" alt="" '.esc_attr($animation_class).' '.esc_attr($animation_attribues).'>';
		elseif(!empty($atts['icon']) && $atts['icon']):
			$str .= '<i class="fontawesome-icon medium circle-yes icon-'.esc_attr($atts['icon']).esc_attr($animation_class).'" '.esc_attr($animation_attribues).'></i>';
		endif;
		if($atts['title']):
		$str .= '<h2>'.esc_attr($atts['title']).'</h2>';
		endif;
		if(isset($atts['link']) && $atts['link'] && isset($atts['linktext']) && $atts['linktext']) {
			$str .= '</a>';
		}
		$str .= '</div>';
		endif;

		$str .= '<div class="col-content-container '.$img_id.'">';

		$str .= do_shortcode($content);

		if(isset($atts['link']) && $atts['link'] && isset($atts['linktext']) && $atts['linktext']):
		$str .= '<span class="more"><a href="'.esc_url($atts['link']).'" target="'.esc_attr($linktarget).'">'.esc_attr($atts['linktext']).'</a></span>';
		endif;

		$str .= '</div>';

		$str .= '</article>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Slider
//////////////////////////////////////////////////////////////////
add_shortcode('slider', 'musicnight_shortcode_slider');
	function musicnight_shortcode_slider($atts, $content = null) {
		wp_enqueue_script( 'jquery.flexslider' );

		extract(shortcode_atts(array(
			'width' => '100%',
			'height' => '100%'
		), $atts));
		$str = '';
		$str .= '<div class="flexslider clearfix" style="max-width:'.esc_attr($width).';height:'.esc_attr($height).';">';
		$str .= '<ul class="slides">';
		$str .= do_shortcode($content);
		$str .= '</ul>';
		$str .= '</div>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Slide
//////////////////////////////////////////////////////////////////
add_shortcode('slide', 'musicnight_shortcode_slide');
	function musicnight_shortcode_slide($atts, $content = null) {
		extract(shortcode_atts(array(
			'alt' => '',
			'linktarget' => '_self',
			'lightbox' => 'no'
		), $atts));

		if($lightbox == 'yes') {
			$rel = 'prettyPhoto';
		} else {
			$rel = '';
		}

		$str = '';
		$title = 'title=""';
		if(!$alt) {
			$src = str_replace('&#215;', 'x', $content);
			if(!empty($atts['link']) && $atts['link']) {
				$image_id = tf_get_attachment_id_from_url($atts['link']);
			} else {
				$image_id = tf_get_attachment_id_from_url($src);
			}

			if($image_id) {
				$alt_att = 'alt="'. get_post_meta($image_id, '_wp_attachment_image_alt', true).'"';
				$title = 'title="'. get_post_field("post_excerpt", $image_id).'"';
			}
		} else {
			$alt_att = 'alt="' . $alt . '"';
		}

		if(!empty($atts['type']) && $atts['type'] == 'video') {
			$str .= '<li>';
		} else {
			$str .= '<li class="image">';
		}

		if(isset($atts['link']) && empty($atts['link']) && !$atts['link'] && $atts['type'] == 'image') {
			$atts['link'] = $src;
		}
		if(!empty($atts['link']) && $atts['link']):
		$str .= '<a href="'.esc_url($atts['link']).'" target="'.esc_attr($linktarget).'" data-rel="'.esc_attr($rel).'" '.esc_attr($title).'>';
		endif;
		if(!empty($atts['type']) && $atts['type'] == 'video') {
			$str .= '<div class="full-video">'.do_shortcode($content).'</div>';
		} else {
			$str .= '<img src="'.str_replace('&#215;', 'x', $content).'" '. esc_attr($alt_att).' />';
		}
		if(!empty($atts['link']) && $atts['link']):
		$str .= '</a>';
		endif;
		$str .= '</li>';

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Testimonials
//////////////////////////////////////////////////////////////////
add_shortcode('testimonials', 'musicnight_shortcode_testimonials');
	function musicnight_shortcode_testimonials($atts, $content = null) {
		global $data;

		wp_enqueue_script( 'jquery.cycle' );

		extract(shortcode_atts(array(
			'backgroundcolor' => '',
			'textcolor' => ''
		), $atts));

		static $nightrock_testimonials_id = 1;

		if(!$backgroundcolor) {
			$backgroundcolor = $data['testimonial_bg_color'];
		}


		if(!$textcolor) {
			$textcolor = $data['testimonial_text_color'];
		}

		$str = "<style type='text/css'>
		#testimonials-{$nightrock_testimonials_id} q{background-color:{$backgroundcolor} !important;color:{$textcolor} !important;}
		#testimonials-{$nightrock_testimonials_id} .review blockquote div:after{border-top-color:{$backgroundcolor} !important;}
		</style>
		";

		$str .= '<div id="testimonials-'.esc_attr($nightrock_testimonials_id).'" class="reviews clearfix">';
		$str .= do_shortcode($content);
		$str .= '</div>';

		$nightrock_testimonials_id++;

		return $str;
	}

//////////////////////////////////////////////////////////////////
// Testimonial
//////////////////////////////////////////////////////////////////
add_shortcode('testimonial', 'musicnight_shortcode_testimonial');
	function musicnight_shortcode_testimonial($atts, $content = null) {
		if(!isset($atts['gender'])) {
			$atts['gender'] = 'male';
		}

		if( $atts['gender'] == 'none' ) {
			$atts['gender'] = 'no-avatar';
		}

		$str = '';
		$str .= '<div class="review '.esc_attr($atts['gender']).'">';
		$str .= '<blockquote>';
		$str .= '<q>';
		$str .= do_shortcode($content);
		$str .= '</q>';
		if($atts['name']):
			$str .= '<div class="clearfix"><span class="company-name">';
			$str .= '<strong>'.$atts['name'].'</strong>';
			if($atts['company']):
				if(!empty($atts['link']) && $atts['link']):
				$str .= '<a href="'.esc_url($atts['link']).'" target="'.esc_attr($atts['target']).'">';
				endif;
				$str .= ',<span> '.$atts['company'].'</span>';
				if(!empty($atts['link']) && $atts['link']):
				$str .= '</a>';
				endif;
			endif;
			$str .= '</span></div>';
		endif;
		$str .= '</blockquote>';
		$str .= '</div>';

		return $str;
	}


//////////////////////////////////////////////////////////////////
// Progess Bar
//////////////////////////////////////////////////////////////////
add_shortcode('progress', 'musicnight_shortcode_progress');
function musicnight_shortcode_progress($atts, $content = null) {
	global $data;

	wp_enqueue_script( 'jquery.waypoint' );

	extract(shortcode_atts(array(
		'filledcolor' => '',
		'unfilledcolor' => '',
		'value' => '70',
		'unit' => ''
	), $atts));

	if(!$filledcolor) {
		$filledcolor = $data['counter_filled_color'];
	}

	if(!$unfilledcolor) {
		$unfilledcolor = $data['counter_unfilled_color'];
	}

	$html = '';
	$html .= '<div class="progress-bar" style="background-color:'.esc_attr($unfilledcolor).' !important;border-color:'.esc_attr($unfilledcolor).' !important;">';
	$html .= '<div class="progress-bar-content" data-percentage="'.esc_attr($atts['percentage']).'" style="width: ' . esc_attr($atts['percentage']) . '%;background-color:'.esc_attr($filledcolor).' !important;border-color:'.esc_attr($filledcolor).' !important;">';
	$html .= '</div>';
	$html .= '<span class="progress-title">' . $content . ' ' . $atts['percentage'];
	if(isset($atts['unit']) && $atts['unit']) {
		$html .= $atts['unit'].'</span>';
	} else {
		$html .= '</span>';
	}
	$html .= '</div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Person
//////////////////////////////////////////////////////////////////
//[member name="Roy Miller" picture="http://hadi/night-rock/wp-content/uploads/2014/07/11.jpg" pic_link="#" title="Developer" email="miller@kodeforest.com" facebook="#" twitter="#" linkedin="#" dribbble="#" linktarget="_self"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed placerat justo eget luctus vulputate. [/member]
add_shortcode('member', 'musicnight_shortcode_person');
function musicnight_shortcode_person($atts, $content = null) {
	global $data;
	extract(shortcode_atts(array(
		'name' => '',
		'picture' => '',
		'pic_link' => '70',
		'title' => '',
		'email' => '',
		'facebook' => '',
		'twitter' => '',
		'linkedin' => '',
		'dribbble' => '',
		'linktarget' => '',
		
	), $atts));
	
	$html = '';
	$html .= '<div class="event-orgnizer"><article class="member">
		<figure><a href="'.esc_url($pic_link).'"><img alt="" src="'.esc_url($picture).'"></a>
			<figcaption>
				<div class="social-network">
					<a target="'.$linktarget.'" class="email" href="mailto:'.esc_url($email).'"><i class="fa fa-envelope fa-2x"></i></a>
					<a target="'.$linktarget.'" class="facebook" href="'.esc_url($facebook).'"><i class="fa fa-facebook fa-2x"></i></a>
					<a target="'.$linktarget.'" class="twitter" href="'.esc_url($twitter).'"><i class="fa fa-twitter fa-2x"></i></a>
					<a target="'.$linktarget.'" class="linkedin" href="'.esc_url($linkedin).'"><i class="fa fa-linkedin fa-2x"></i></a>
					<a target="'.$linktarget.'" class="dribbble" href="'.esc_url($facebook).'"><i class="fa fa-dribbble fa-2x"></i></a>					
				</div>
				<a class="anker-plus" href="'.esc_url($pic_link).'"></a>
			</figcaption>
		</figure>
		<div class="text webkit">
			<h3><a href="'.esc_url($pic_link).'">'.esc_attr($name).'</a></h3>
			<p>'.esc_attr($title).'</p>
			<p>'.do_shortcode($content).'</p>
		</div>
	</article></div>';
	

	return $html;
}
//////////////////////////////////////////////////////////////////
// Alert Message
//////////////////////////////////////////////////////////////////
add_shortcode('alert', 'musicnight_shortcode_alert');
function musicnight_shortcode_alert($atts, $content = null) {

	extract(shortcode_atts(array(
		'type' => 'general',
		'icon' => 'fa-lock',
	), $atts));
	$item_class = '';
	if($type == 'general'){
		$item_class = 'genral-message';
	}else if($type == 'error'){
		$item_class = 'error-message';
	}else if($type == 'success'){
		$item_class = 'success-message';
	}else if($type == 'notice'){
		$item_class = 'information-message';
	}else{
		$item_class = 'warning-message';
	}
	
	$html = '';
	$html .= '
	<div class="alert '.esc_attr($item_class).'">
		<span class="'.esc_attr($item_class).'"><i class="fa '.esc_attr($icon).'"></i></span>
		<p> '.do_shortcode($content).' <button class="pull-right"><i class="fa fa-times"></i></button></p>
	</div>';
	

	return $html;
}
//////////////////////////////////////////////////////////////////
// Recent Posts
//////////////////////////////////////////////////////////////////
add_shortcode('recent_post', 'musicnight_shortcode_recent');
function musicnight_shortcode_recent($atts, $content = null) {
//<Recent-Posts><size>element2-3</size><header>&lt;span class=&quot;color&quot;&gt;From Our&lt;/span&gt; Blog</header><feature-post>110</feature-post><num-excerpt>140</num-excerpt><category>6</category><num-fetch>2</num-fetch><item-margin>30</item-margin></Recent-Posts>
	extract(shortcode_atts(array(
		'size' => 'element2-3',
		'header' => '',
		'feature_post' => 110,
		'num_excerpt' => 140,
		'category' => 6,
		'num_fetch' => 2,
		'item_margin' => 30,
	), $atts));

	$html_recent_post = '<Recent-Posts>
		<size>'.esc_attr($size).'</size>
		<header>'.esc_attr($header).'</header>
		<feature-post>'.esc_attr($feature_post).'</feature-post>
		<num-excerpt>'.esc_attr($num_excerpt).'</num-excerpt>
		<category>'.esc_attr($category).'</category>
		<num-fetch>'.esc_attr($num_fetch).'</num-fetch>
		<item-margin>'.esc_attr($item_margin).'</item-margin>
	</Recent-Posts>';
	
		$page_xml_val = new DOMDocument();
		$page_xml_val->loadXML($html_recent_post);
		return print_recent_posts_item($page_xml_val->documentElement);			
}
//////////////////////////////////////////////////////////////////
// Recent Posts
//////////////////////////////////////////////////////////////////
add_shortcode('news_slider', 'musicnight_shortcode_news_slider');
function musicnight_shortcode_news_slider($atts, $content = null) {
//<News-Slider><size>element1-3</size><header>&lt;span class=&quot;color&quot;&gt;Recent &lt;/span&gt; Posts</header><category>All</category><num-excerpt>98</num-excerpt><num-fetch>4</num-fetch><item-margin>30</item-margin></News-Slider>
	extract(shortcode_atts(array(
		'size' => 'element1-3',
		'header' => '',
		'category' => 'All',
		'num_excerpt' => 98,
		'num_fetch' => 4,
		'item_margin' => 30,
	), $atts));

	$html_recent_post = '
	<News-Slider>
		<size>'.esc_attr($size).'</size>
		<header>'.esc_attr($header).'</header>
		<category>'.esc_attr($category).'</category>
		<num-excerpt>'.esc_attr($num_excerpt).'</num-excerpt>
		<num-fetch>'.esc_attr($num_fetch).'</num-fetch>
		<item-margin>'.esc_attr($item_margin).'</item-margin>
	</News-Slider>';
	
		$page_xml_val = new DOMDocument();
		$page_xml_val->loadXML($html_recent_post);
		return print_post_slider_item($page_xml_val->documentElement);			
}

//////////////////////////////////////////////////////////////////
// Recent Posts
//////////////////////////////////////////////////////////////////
add_shortcode('events', 'musicnight_shortcode_events');
function musicnight_shortcode_events($atts, $content = null) {
//<Event><size>element1-1</size><header>&lt;span class=&quot;color&quot;&gt;Upcoming &lt;/span&gt; Events</header><event-type>Event Listing</event-type><num-excerpt>300</num-excerpt><item-scope>Future</item-scope><category>14</category><num-fetch>2</num-fetch><order>desc</order><item-margin>0</item-margin></Event>
//'musicnight_shortcode' => '[events size="{{size}}" header="{{header}}" category="{{category}}" item_scope="{{item_scope}}" num_fetch="{{num_fetch}}" num_excerpt="{{num_excerpt}}" order="{{order}}" item_margin="{{item_margin}}"][/events]',
	extract(shortcode_atts(array(
		'size' => 'element1-1',
		'header' => '',
		'item_scope' => 'Future',
		'category' => 14,
		'num_excerpt' => 300,
		'num_fetch' => 2,
		'order' => 'DESC',
		'item_margin' => 30,
	), $atts));

	$html_event = '
	<Event>
		<size>element1-1</size>
		<header>'.esc_attr($header).'</header>
		<event-type>Event Listing</event-type>
		<num-excerpt>'.esc_attr($num_excerpt).'</num-excerpt>
		<item-scope>'.esc_attr($item_scope).'</item-scope>
		<category>'.esc_attr($category).'</category>
		<num-fetch>'.esc_attr($num_fetch).'</num-fetch>
		<order>'.esc_attr($order).'</order>
		<item-margin>'.esc_attr($item_margin).'</item-margin>
	</Event>';
	
		$page_xml_val = new DOMDocument();
		$page_xml_val->loadXML($html_event);
		return print_event_item($page_xml_val->documentElement);			
}

//////////////////////////////////////////////////////////////////
// FontAwesome Icons
//////////////////////////////////////////////////////////////////
//[fontawesome icon="fa-times-circle-o" circle="yes" size="large" iconcolor="#dd9933" circlecolor="#1e73be" circlebordercolor="#dd3333"]
add_shortcode('fontawesome', 'musicnight_shortcode_fontawesome');
function musicnight_shortcode_fontawesome($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'icon' => '',
		'circle' => '',
		'size' => '',
		'iconcolor' => '',		
		'circlecolor' => '',
		'circlebordercolor' => '',		
	), $atts));

	static $count_fontaw = 0;
	$count_fontaw++;
	
	$style = '';
	
	$style .= '<style>.fa-icon-'.esc_attr($count_fontaw).'{color:'.esc_attr($iconcolor).';background-color:'.esc_attr($circlecolor).' !important;border:1px solid '.esc_attr($circlebordercolor).' !important;}</style>';

	$html = $style . '<i class="fontawesome-icon fa-icon-'.esc_attr($count_fontaw).' '.esc_attr($size).' circle-'.esc_attr($circle).' fa '.esc_attr($icon).'"></i>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Social Links
//////////////////////////////////////////////////////////////////
add_shortcode('social_links', 'musicnight_shortcode_social_links');
function musicnight_shortcode_social_links($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'colorscheme' => '',
		'linktarget' => '_self',
		'show_custom' => "no"
	), $atts));

	if(!$colorscheme) {
		$colorscheme = strtolower($data['social_links_color']);
	}

	$nofollow = '';
	if($data['nofollow_social_links']) {
		$nofollow = ' rel="nofollow"';
	}

	$html = '<div class="social_links_musicnight_shortcode clearfix">';
	$html .= '<ul class="social-networks social-networks-'.$colorscheme.' clearfix">';
	foreach($atts as $key => $link) {
		if($link && $key != 'linktarget' && $key != 'colorscheme' && $key != 'show_custom') {

			if($key == "pinterest") {
				$html .= '<li class="tf-pinterest">';
			} else {
				$html .= '<li class="'.esc_attr($key).'">';
			}
			$html .= '<a class="'.esc_attr($key).'" href="'.esc_url($link).'" target="'.esc_attr($linktarget).'"'.esc_attr($nofollow).'>'.esc_attr(ucwords($key)).'</a>
			<div class="popup">
				<div class="holder">
					<p>'.esc_attr(ucwords($key)).'</p>
				</div>
			</div>
			</li>';
		}
	}
	if($atts['show_custom'] == "yes") {
		$html .= '<li class="custom"><a target="'.esc_attr($linktarget).'" href="'.esc_url($data['custom_icon_link']).'"'.esc_attr($nofollow).'><img src="'.esc_url($data['custom_icon_image']).'" alt="'.esc_attr($data['custom_icon_name']).'"/></a>
			<div class="popup">
				<div class="holder">
					<p>'.esc_attr($data['custom_icon_name']).'</p>
				</div>
			</div>
		</li>';
	}
	$html .= '</ul>';
	$html .= '</div>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Clients container
//////////////////////////////////////////////////////////////////
add_shortcode('clients_kode', 'musicnight_shortcode_clients');
function musicnight_shortcode_clients($atts, $content = null) {
	wp_enqueue_script( 'jquery.carouFredSel' );

	extract(shortcode_atts(array(
		'picture_size' => 'fixed'
	), $atts));

	$css_class = "related-posts";
	$carousel_class = "clients-carousel";
	if($picture_size != 'fixed') {
		$css_class = "";
		$carousel_class = "";
	}

	$picture_size == 'fixed';

	$html = '<div class="'.esc_attr($css_class).' related-projects clientslider-container"><div id="carousel" class="'.esc_attr($carousel_class).' es-carousel-wrapper"><div class="es-carousel"><ul>';
	$html .= do_shortcode($content);
	$html .= '</ul><div class="es-nav"><span class="es-nav-prev">Previous</span><span class="es-nav-next">Next</span></div></div></div></div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Project Facts
//////////////////////////////////////////////////////////////////
add_shortcode('facts', 'musicnight_shortcode_facts');
function musicnight_shortcode_facts($atts, $content = null) {
	global $data;
	wp_register_script('wpmf-waypoints-min', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/waypoints-min.js', false, '1.0', true);
	wp_enqueue_script('wpmf-waypoints-min');
	extract(shortcode_atts(array(
		'icon' => '',
		'color' => '',
		'value' => '70',
		'sub_text' => ''
	), $atts));
	static $musicnight_pro_id = 1;
	

	$html = '';
	$html .= '<script type="text/javascript">
	jQuery(document).ready(function($){
		/* ---------------------------------------------------------------------- */
		/*	Counter Functions
		/* ---------------------------------------------------------------------- */
		if($("#old-count-'.esc_js($musicnight_pro_id).'").length){
			$("#old-count-'.esc_js($musicnight_pro_id).'").counterUp({
				delay: 10,
				time: 1000
			});
		}
		
		/* ---------------------------------------------------------------------- */
		/*	Counter Functions
		/* ---------------------------------------------------------------------- */
		if($("#new-count-'.esc_js($musicnight_pro_id).'").length){
			$("#new-count-'.esc_js($musicnight_pro_id).'").counterUp({
				delay: 10,
				time: 1000
			});
		}
	});
	</script>';
	
	$html .= '	
	<div class="project_facts">				
		<i class="fa '.esc_attr($icon).' fa-3x"></i>
		<h3 id="new-count-'.esc_attr($musicnight_pro_id).'" class="word-count">'.esc_attr($value).'</h3>
		<p>'.esc_attr($sub_text).'</p>
	</div>';
	
	
	$musicnight_pro_id++;
	
	return $html;
}


//////////////////////////////////////////////////////////////////
// Timeline Project Facts
//////////////////////////////////////////////////////////////////
add_shortcode('timeline_facts', 'musicnight_timeline_facts');
function musicnight_timeline_facts($atts, $content = null) {
	global $data;
	wp_register_script('wpmf-waypoints-min', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/waypoints-min.js', false, '1.0', true);
	wp_enqueue_script('wpmf-waypoints-min');
	extract(shortcode_atts(array(
		'icon_1' => '',
		'icon_2' => '',
		'icon_3' => '',
		'icon_4' => '',
		'color' => '',
		'value_1' => '70',
		'value_2' => '70',
		'value_3' => '70',
		'value_4' => '70',
		'sub_text_1' => '',
		'sub_text_2' => '',
		'sub_text_3' => '',
		'sub_text_4' => '',
		
	), $atts));
	static $musicnight_pro_id = 1;
	

	$html = '';
	$html .= '<script type="text/javascript">
	jQuery(document).ready(function($){
		/* ---------------------------------------------------------------------- */
		/*	Counter Functions
		/* ---------------------------------------------------------------------- */
		if($(".old-count-'.esc_js($musicnight_pro_id).'").length){
			$(".old-count-'.esc_js($musicnight_pro_id).'").counterUp({
				delay: 10,
				time: 1000
			});
		}
		
		/* ---------------------------------------------------------------------- */
		/*	Counter Functions
		/* ---------------------------------------------------------------------- */
		if($(".counter-up").length){
			$(".counter-up").counterUp({
				delay: 10,
				time: 1000
			});
		}
	});
	</script>';
	
	$html .= '
	
	<div class="eco_process_of_counter">
			<ul class="eco_counter">
				<li class="left-side">
					<div class="eco_count_up">
						<span><i class="'.esc_attr($icon_1).'"></i></span>
						<h3><span class="counter-up">'.esc_attr($value_1).'</span>k</h3>
						<p>'.esc_attr($sub_text_1).'</p>
					</div>
				</li>
				<li class="right-side">
					<div class="eco_count_up">
						<span><i class="'.esc_attr($icon_2).'"></i></span>
						<h3><span class="counter-up">'.esc_attr($value_2).'</span></h3>
						<p>'.esc_attr($sub_text_2).'</p>
					</div>
				</li>
				<li class="left-side">	
					<div class="eco_count_up">
						<span><i class="'.esc_attr($icon_3).'"></i></span>
						<h3><span class="counter-up">'.esc_attr($value_3).'</span></h3>
						<p>'.esc_attr($sub_text_3).'</p>
					</div>
				</li>
				
				<li class="right-side">	
					<div class="eco_count_up no-margin-bottom">
						<span><i class="'.esc_attr($icon_4).'"></i></span>
						<h3><span class="counter-up">'.esc_attr($value_4).'</span></h3>
						<p>'.esc_attr($sub_text_4).'</p>
					</div>
				</li>
			</ul>
		</div>';
		$musicnight_pro_id++;
	
	
	return $html;
}
//////////////////////////////////////////////////////////////////
// Services musicnight_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('services', 'musicnight_shortcode_services');
function musicnight_shortcode_services($atts,$content = null) {

	extract(shortcode_atts(array(
			'title' => '',
			'icon' => '',
			'image' => '',
			'type' => '',	
			'button_text' => '',	
			'button_link' => '',	
		), $atts));
		$services = '';
		if($type == 'style-1'){
		$services = '
			<div class="kode_program_list">
				<figure>
					<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
				</figure>
				<div class="kode_program_des">
					<h5>'.esc_attr($title).'</h5>
					<p>'.esc_attr($content).'</p>
					<i class="'.esc_attr($icon).'"></i>
				</div>
				<div class="kode_program_hover">
					<h5>'.esc_attr($title).'</h5>
					<p>'.esc_attr($content).'</p>
					<a href="'.esc_attr($button_link).'" class="kode_link_2">'.esc_attr($button_text).'</a>
				</div>
			</div>';
		}else if($type == 'style-2'){
			$services = '
			<div class="kode_about_services">
				<i class="'.esc_attr($icon).'"></i>
				<h5><a href="'.esc_attr($button_link).'">'.esc_attr($title).'</a></h5>
				<p>'.esc_attr($content).'</p>
			</div>';
			
		}else if($type == 'style-3'){
			$services = '
			<div class="kode_advance_service">
				<figure>
					<img alt="'.esc_attr($title).'" src="'.esc_url($image).'">
					<figcaption class="kode_service_caption">
						<p>'.esc_attr($content).'</p>
						<a href="'.esc_attr($button_link).'" class="kode_link_2">'.esc_attr($button_text).'</a>
					</figcaption>
				</figure>
				<div class="kode_advance_hdg">
					<i class="'.esc_attr($icon).'"></i>
					<h6>'.esc_attr($title).'</h6>
				</div>
			</div>';
			
		}else if($type == 'style-4'){
			$services = '
			<div class="kode_focus_wrap">
				<h6>'.esc_attr($title).'</h6>
				<p>'.esc_attr($content).'</p>
				<a href="'.esc_attr($button_link).'"> '.esc_attr($button_text).' <i class="fa fa-long-arrow-right"></i> </a>
				<h2>'.esc_attr($icon).'</h2>
			</div>';
		}else if($type == 'style-5'){
			$services = '
			<div class="kode_award_list_law">
				<div class="kode_award_logo_law">
					<i class="fa '.esc_attr($icon).'"></i>
				</div>
				<div class="kode_award_detail_law">
					<h5>'.esc_attr($title).'</h5>
					<p>'.esc_attr($content).'</p>
				</div>
			</div>';
		}else{}
		
	
	
		
		return $services;
			
}
//////////////////////////////////////////////////////////////////
// Client
//////////////////////////////////////////////////////////////////
add_shortcode('client_kode', 'musicnight_shortcode_client');
function musicnight_shortcode_client($atts, $content = null) {
	extract(shortcode_atts(array(
		'linktarget' => '_self',
		'link' => '',
		'image' => '',
		'alt' => '',
	), $atts));

	$html = '<li>';
	if ($link) {
		$html .= '<a href="'.esc_url($link).'" target="'.esc_attr($linktarget).'"><img src="'.esc_url($image).'" alt="'.esc_attr($alt).'" /></a>';
	} else {
		$html .= '<img src="'.esc_url($image).'" alt="'.esc_attr($alt).'" />';
	}
	$html .= '</li>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Title
//////////////////////////////////////////////////////////////////
add_shortcode('title', 'musicnight_shortcode_title');
function musicnight_shortcode_title($atts, $content = null) {
	extract(shortcode_atts(array(
		'size' => '2',
		'align' => '',		
	), $atts));
	$align_title = '';
	if($align == 'left'){$align_title = 'text-align:left;float:left;';}else if($align == 'right'){$align_title = 'text-align:right;float:right;';}else if($align == 'center'){$align_title = 'text-align:center;width:100%;display:block;';}else{$align_title = '';}
	$html = '<div style="'.esc_attr($align_title).'" class="title"><h'.esc_attr($size).'>'.do_shortcode($content).'</h'.$size.'><div class="title-sep-container"><div class="title-sep"></div></div></div>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Separator
//////////////////////////////////////////////////////////////////
add_shortcode('separator', 'musicnight_shortcode_separator');
function musicnight_shortcode_separator($atts, $content = null) {
	extract(shortcode_atts(array(
		'style' => 'none',
		'top'	=> '',
		'bottom' => ''
	), $atts));
	$html = '';
	$margin_bottom = '';
	if($style != 'none') {
		if( empty($bottom) ) {
			$margin_bottom = 'margin-bottom:'.esc_attr($top).'px;';
		} else {
			$margin_bottom = 'margin-bottom:'.esc_attr($bottom).'px;';
		}
	}

	$border_color = '';
	// if($color) {
		// if($style == 'single') {
			// $border_color = 'background-color:' . $color . '!important;';
		// } else {
			// $border_color = 'border-color:' . $color . '!important;';
		// }
	// }
	$html .= '<div class="clearfix clear"></div><div class="div-'.$style.'" style="margin-top:'.esc_attr($top).'px;'.esc_attr($margin_bottom).esc_attr($border_color).'"><span></span></div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Tooltip
//////////////////////////////////////////////////////////////////
add_shortcode('tooltip', 'musicnight_shortcode_tooltip');
function musicnight_shortcode_tooltip($atts, $content = null) {
	extract(shortcode_atts(array(
		'title' => 'none',
	), $atts));
	$html = '';
	$html .= '<span class="tooltip_kode" title="'.esc_attr($title).'" data-placement="top" data-rel="tooltip" href="#">'.$content.'</span>';
	

	return $html;
}

//////////////////////////////////////////////////////////////////
// Google Map
//////////////////////////////////////////////////////////////////
add_shortcode('map_old', 'musicnight_shortcode_google_map_old');
function musicnight_shortcode_google_map_old($atts, $content = null) {
	global $data;
	global $musicnight_theme_option;
	wp_enqueue_script( 'gmaps.api' );
	wp_enqueue_script( 'jquery.ui.map' );

	extract(shortcode_atts(array(
		'address' => '',
		'type' => 'satellite',
		'width' => '100%',
		'height' => '300px',
		'zoom' => '14',
		'scrollwheel' => 'true',
		'scale' => 'true',
		'zoom_pancontrol' => 'true',		
	), $atts));
	$popup = '';
	static $nightrock_map_counter = 1;

	if($scrollwheel == 'yes') {
		$scrollwheel = 'true';
	} elseif($scrollwheel == 'no') {
		$scrollwheel = 'false';
	}

	if($scale == 'yes') {
		$scale = 'true';
	} elseif($scale == 'no') {
		$scale = 'false';
	}

	if($zoom_pancontrol == 'yes') {
		$zoom_pancontrol = 'true';
	} elseif($zoom_pancontrol == 'no') {
		$zoom_pancontrol = 'false';
	}

	if($popup == 'yes') {
		$popup = 'true';
	} elseif($popup == 'no') {
		$popup = 'false';
	}

	$address = addslashes($address);
	$addresses = explode('|', $address);

	$markers = '';
	$marker_counter = 0;
	foreach($addresses as $address_string) {
		$markers .= "{
			id: 'gmap-".esc_js($nightrock_map_counter)."-".esc_js($marker_counter)."',
			address: '".esc_js($address_string)."',
			html: {
				content: '".esc_js($address_string)."',
				
			}
		},";
		$marker_counter++;
	}

	if(!$data['status_gmap']) {

		$html = "<script type='text/javascript'>
		jQuery(document).ready(function($){
			window['gmap-".esc_js($nightrock_map_counter)."'] = {
				address: '".esc_js($addresses[0])."',
				zoom: ".esc_js($zoom).",
				scrollwheel: ".esc_js($scrollwheel).",
				scaleControl: ".esc_js($scale).",
				navigationControl: ".esc_js($zoom_pancontrol).",
				maptype: '".esc_js($type)."',
				markers: [".$markers."]
			};
			$('#gmap-".esc_js($nightrock_map_counter)."').goMap({
				address: '".esc_js($addresses[0])."',
				zoom: ".esc_js($zoom).",
				scrollwheel: ".esc_js($scrollwheel).",
				scaleControl: ".esc_js($scale).",
				navigationControl: ".esc_js($zoom_pancontrol).",
				maptype: '".esc_js($type)."',
				markers: [".$markers."]
			});
		});
		</script>";
	}
	
	// wp_register_script('kf-gomap-api', 'https://maps.googleapis.com/maps/api/js?key='.esc_attr($musicnight_theme_option['google-map-api']).'&libraries=places', false, '1.0', true);
	// wp_enqueue_script('kf-gomap-api');
	// wp_enqueue_script('kf-gomap-api', 'http://maps.google.com/maps/api/js?sensor=false&libraries=places');
	// wp_enqueue_script('kf-gomap-api', 'http://maps.googleapis.com/maps/api/js?libraries=places&key='.$musicnight_theme_option['google-map-api']);
	wp_enqueue_script('kf-gomap-api', '//maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places&key='.esc_attr($musicnight_theme_option['google-map-api']).'');
	wp_register_script('kf-gomap', DISASTER_RELEF_PATH.'/framework/include/frontend_assets/default/js/gomap.js', false, '1.0', true);
	wp_enqueue_script('kf-gomap');		
	
	// $html .= '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script><div class="musicnight_shortcode-map" id="gmap-'.esc_attr($nightrock_map_counter).'" style="width:'.esc_attr($width).';height:'.esc_attr($height).';">';
	$html .= '<div class="musicnight_shortcode-map" id="gmap-'.esc_attr($nightrock_map_counter).'" style="width:'.esc_attr($width).';height:'.esc_attr($height).';">';
	$html .= '</div>';

	$nightrock_map_counter++;

	return $html;
}




//////////////////////////////////////////////////////////////////
// Google Map
//////////////////////////////////////////////////////////////////
add_shortcode('map', 'musicnight_shortcode_google_map');
function musicnight_shortcode_google_map($atts, $content = null) {
	global $data;
	global $musicnight_theme_option;
	wp_enqueue_script( 'gmaps.api' );
	wp_enqueue_script( 'jquery.ui.map' );

	extract(shortcode_atts(array(
		'address' => '',
		'type' => 'satellite',
		'width' => '100%',
		'height' => '300px',
		'zoom' => '14',
		'scrollwheel' => 'true',
		'scale' => 'true',
		'zoom_pancontrol' => 'true',		
	), $atts));
	$popup = '';
	static $nightrock_map_counter = 1;

	if($scrollwheel == 'yes') {
		$scrollwheel = 'true';
	} elseif($scrollwheel == 'no') {
		$scrollwheel = 'false';
	}

	if($scale == 'yes') {
		$scale = 'true';
	} elseif($scale == 'no') {
		$scale = 'false';
	}

	if($zoom_pancontrol == 'yes') {
		$zoom_pancontrol = 'true';
	} elseif($zoom_pancontrol == 'no') {
		$zoom_pancontrol = 'false';
	}

	if($popup == 'yes') {
		$popup = 'true';
	} elseif($popup == 'no') {
		$popup = 'false';
	}

	$address = addslashes($address);
	$addresses = explode('|', $address);

	$markers = '';
	$marker_counter = 0;
	foreach($addresses as $address_string) {
		$markers .= "{
			id: 'gmap-".esc_js($nightrock_map_counter)."-".esc_js($marker_counter)."',
			address: '".esc_js($address_string)."',
			html: {
				content: '".esc_js($address_string)."',
				
			}
		},";
		$marker_counter++;
	}

	if(!$data['status_gmap']) {

		$html = "<script type='text/javascript'>
		jQuery(document).ready(function($){
			window['gmap-".esc_js($nightrock_map_counter)."'] = {
				address: '".esc_js($addresses[0])."',
				zoom: ".esc_js($zoom).",
				scrollwheel: ".esc_js($scrollwheel).",
				scaleControl: ".esc_js($scale).",
				navigationControl: ".esc_js($zoom_pancontrol).",
				maptype: '".esc_js($type)."',
				markers: [".$markers."]
			};
			$('#gmap-".esc_js($nightrock_map_counter)."').goMap({
				address: '".esc_js($addresses[0])."',
				zoom: ".esc_js($zoom).",
				scrollwheel: ".esc_js($scrollwheel).",
				scaleControl: ".esc_js($scale).",
				navigationControl: ".esc_js($zoom_pancontrol).",
				maptype: '".esc_js($type)."',
				markers: [".$markers."]
			});
		});
		</script>";
	}
	
	// wp_register_script('kf-gomap-api', 'https://maps.googleapis.com/maps/api/js?key='.esc_attr($musicnight_theme_option['google-map-api']).'&libraries=places', false, '1.0', true);
	// wp_enqueue_script('kf-gomap-api');
	// wp_enqueue_script('kf-gomap-api', 'http://maps.google.com/maps/api/js?sensor=false&libraries=places');
	// wp_enqueue_script('kf-gomap-api', 'http://maps.googleapis.com/maps/api/js?libraries=places&key='.$musicnight_theme_option['google-map-api']);
	wp_enqueue_script('kf-gomap-api', '//maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places&key='.esc_attr($musicnight_theme_option['google-map-api']).'');
	wp_register_script('kf-gomap', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/gomap.js', false, '1.0', true);
	wp_enqueue_script('kf-gomap');		
	
	// $html .= '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script><div class="musicnight_shortcode-map" id="gmap-'.esc_attr($nightrock_map_counter).'" style="width:'.esc_attr($width).';height:'.esc_attr($height).';">';
	$html .= '<div class="musicnight_shortcode-map" id="gmap-'.esc_attr($nightrock_map_counter).'" style="width:'.esc_attr($width).';height:'.esc_attr($height).';">';
	$html .= '</div>';

	$nightrock_map_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Counters (Circle)
//////////////////////////////////////////////////////////////////
add_shortcode('counters_circle', 'musicnight_shortcode_counters_circle');
function musicnight_shortcode_counters_circle($atts, $content = null) {
	$html = '<div class="counters-circle clearfix">';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Counters (Circle)
//////////////////////////////////////////////////////////////////
add_shortcode('code', 'musicnight_shortcode_code');
function musicnight_shortcode_code($atts, $content = null) {
	$html = '<div class="code">';
	$html .= $content;
	$html .= '</div>';

	return $html;
}
//////////////////////////////////////////////////////////////////
// Social Sharing Box
//////////////////////////////////////////////////////////////////
add_shortcode('sharing', 'musicnight_shortcode_sharing');
function musicnight_shortcode_sharing($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'tagline' => '',
		'title' => '',
		'link' => '',
		'description' => '',
		'backgroundcolor' => '',
		'pinterest_image' => ''
	), $atts));

	if(!$backgroundcolor) {
		$backgroundcolor = $data['social_bg_color'];
	}

	$nofollow = '';
	if($data['nofollow_social_links']) {
		$nofollow = ' rel="nofollow"';
	}

	$html = '<div class="share-box" style="background-color:'.esc_attr($backgroundcolor).';">
		<h4>'.esc_attr($tagline).'</h4>
		<ul class="social-networks social-networks-'.esc_attr(strtolower($data['socialbox_icons_color'])).'">';
			if($data['sharing_facebook']):
			$html .= '<li class="facebook">
				<a href="http://www.facebook.com/sharer.php?m2w&s=100&p&#91;url&#93;='.esc_url($link).'&p&#91;images&#93;&#91;0&#93;=http://www.gravatar.com/avatar/2f8ec4a9ad7a39534f764d749e001046.png&p&#91;title&#93;='.esc_attr($title).'" target="_blank"'.esc_attr($nofollow).'>
					Facebook
				</a>
				<div class="popup">
					<div class="holder">
						<p>Facebook</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_twitter']):
			$html .= '<li class="twitter">
				<a href="http://twitter.com/home?status='.esc_attr($title).' '.esc_url($link).'" target="_blank"'.esc_attr($nofollow).'>
					Twitter
				</a>
				<div class="popup">
					<div class="holder">
						<p>Twitter</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_linkedin']):
			$html .= '<li class="linkedin">
				<a href="http://linkedin.com/shareArticle?mini=true&amp;url='.esc_url($link).'&amp;title='.esc_attr($title).'" target="_blank"'.esc_attr($nofollow).'>
					LinkedIn
				</a>
				<div class="popup">
					<div class="holder">
						<p>LinkedIn</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_reddit']):
			$html .= '<li class="reddit">
				<a href="http://reddit.com/submit?url='.esc_url($link).'&amp;title='.esc_attr($title).'" target="_blank"'.esc_attr($nofollow).'>
					Reddit
				</a>
				<div class="popup">
					<div class="holder">
						<p>Reddit</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_tumblr']):
			$html .= '<li class="tumblr">
				<a href="http://www.tumblr.com/share/link?url='.esc_url(urlencode($link)).'&amp;name='.esc_attr(urlencode($title)).'&amp;description='.esc_url(urlencode($description)).'" target="_blank"'.esc_attr($nofollow).'>
					Tumblr
				</a>
				<div class="popup">
					<div class="holder">
						<p>Tumblr</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_google']):
			$html .= '<li class="google">
				<a href="https://plus.google.com/share?url='.esc_url($link).'" onclick="javascript:window.open(this.href,
  \'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600\');return false;" target="_blank"'.esc_attr($nofollow).'>
					Google +1
				</a>
				<div class="popup">
					<div class="holder">
						<p>Google +1</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_pinterest']):
			$html .= '<li class="tf-pinterest">
				<a href="http://pinterest.com/pin/create/button/?url='.esc_url(urlencode($link)).'&amp;description='.esc_attr(urlencode($title)).'&amp;media='.esc_url(urlencode($pinterest_image)).'" target="_blank"'.esc_attr($nofollow).'>
					Pinterest
				</a>
				<div class="popup">
					<div class="holder">
						<p>Pinterest</p>
					</div>
				</div>
			</li>';
			endif;
			if($data['sharing_email']):
			$html .= '<li class="email">
				<a href="mailto:?subject='.esc_attr($title).'&amp;body='.esc_url($link).'">
					Email
				</a>
				<div class="popup">
					<div class="holder">
						<p>Email</p>
					</div>
				</div>
			</li>';
			endif;
		$html .= '</ul>
	</div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Attatchment ID helper functions
//////////////////////////////////////////////////////////////////
function tf_get_attachment_id_from_url( $attachment_url = '' ) {
	global $wpdb;
	$attachment_id = false;

	if ( '' == $attachment_url ) {
		return;
 	}

	$upload_dir_paths = wp_upload_dir();

	// Make sure the upload path base directory exists in the attachment URL, to verify that we're working with a media library image
	if ( false !== strpos( $attachment_url, $upload_dir_paths['baseurl'] ) ) {

		// If this is the URL of an auto-generated thumbnail, get the URL of the original image
		$attachment_url = preg_replace( '/-\d+x\d+(?=\.(jpg|jpeg|png|gif)$)/i', '', esc_url($attachment_url) );

		// Remove the upload path base directory from the attachment URL
		$attachment_url = str_replace( $upload_dir_paths['baseurl'] . '/', '', esc_url($attachment_url) );

		// Run a custom database query to get the attachment ID from the modified attachment URL
		$attachment_id = $wpdb->get_var( $wpdb->prepare( "SELECT wposts.ID FROM $wpdb->posts wposts, $wpdb->postmeta wpostmeta WHERE wposts.ID = wpostmeta.post_id AND wpostmeta.meta_key = '_wp_attached_file' AND wpostmeta.meta_value = '%s' AND wposts.post_type = 'attachment'", $attachment_url ) );
	}
	return $attachment_id;
}



// include the shortcode support for the text widget
add_filter('widget_text', 'do_shortcode');
add_filter('widget_title', 'do_shortcode');


// rewrite permalink rule upon theme activation
add_action( 'after_switch_theme', 'musicnight_flush_rewrite_rules' );
if( !function_exists('musicnight_flush_rewrite_rules') ){
	function musicnight_flush_rewrite_rules() {
		global $pagenow, $wp_rewrite;
		if ( 'themes.php' == $pagenow && isset( $_GET['activated'] ) ){
			$wp_rewrite->flush_rules();
		}
	}
}




	function kode_ajax_login(){

		// First check the nonce, if it fails the function will break
		check_ajax_referer( 'ajax-login-nonce', 'security' );

		// Nonce is checked, get the POST data and sign user on
		$info = array();
		$info['user_login'] = $_POST['username'];
		$info['user_password'] = $_POST['password'];
		$info['remember'] = true;

		$user_signon = wp_signon( $info, false );
		if ( is_wp_error($user_signon) ){
			echo json_encode(array('loggedin'=>false, 'message'=>esc_attr__('Wrong username or password.','music-night')));
		} else {
			echo json_encode(array('loggedin'=>true, 'message'=>esc_attr__('Login successful, Now Redirecting...','music-night')));
		}

		die();
	}	
	
	function kode_ajax_login_init(){
		if (!is_user_logged_in()) {
			wp_register_script('ajax-login-script', MUSICNIGHT_PATH.'/js/ajax-login-script.js', array('jquery') ); 
			wp_enqueue_script('ajax-login-script');

			wp_localize_script( 'ajax-login-script', 'ajax_login_object', array( 
				'ajaxurl' => admin_url( 'admin-ajax.php' ),
				'redirecturl' => home_url('/'),
				'loadingmessage' => __('Sending user info, please wait...','music-night')
			));

			// Enable the user with no privileges to run ajax_login() in AJAX
		
			add_action( 'wp_ajax_nopriv_ajaxlogin', 'kode_ajax_login' );
		}
	}	
	
	// Execute the action only if the user isn't logged in
	add_action('init', 'kode_ajax_login_init');		
	
	
	function kode_signin_form(){	
		?>
		<div class="modal fade" id="signin-box" tabindex="-1" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content htl2-login">
					<!--SIGNIN AS USER START-->
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab"><?php echo esc_attr__('login','music-night'); ?></a></li>
					</ul>
					<!-- Tab panes -->
					<div class="tab-content">
						<div role="tabpanel" class="htl2-tab tab-pane active" id="home">
						<?php if (is_user_logged_in()) {
							global $current_user;?>
							<div class="kd-login-title">
								<h4><?php esc_attr_e('You Are Already Signed In','music-night');?></h4>
								<span><?php esc_attr_e('Welcome ','music-night');?><?php echo esc_attr($current_user->display_name);?></span>
								<div class="kd-login-network logout-btn">
									<ul>
										<li><a data-original-title="Facebook" href="<?php echo esc_url(wp_logout_url( home_url('/') )); ?>"><i class="fa fa-user"></i> <?php esc_attr_e('Logout','music-night');?></a></li>
									</ul>
								</div>
							</div>
						<?php }else{ ?>
							<?php do_action( 'wordpress_social_login' );  ?>
							<!--<ul class="login-social">
								<li><a class="facebook" href="#"><i class="fa fa-facebook"></i>Facbook</a></li>
								<li><a class="twitter" href="#"><i class="fa fa-twitter"></i>twitter</a></li>
								<li><a class="github" href="#"><i class="fa fa-github"></i>Github</a></li>
								<li><a class="google" href="#"><i class="fa fa-google-plus"></i>google +</a></li>
							</ul> -->
							<h4 class="border-style"><span>or</span></h4>
							<form id="login-style-1" action="login" method="post">
								<div class="input-field">
									<input id="username" name="username" type="text" placeholder="<?php echo esc_attr__('Enter your user name here','music-night'); ?>">
									<label class="fa fa-user"></label>
								</div>
								<div class="input-field">
									<input id="password" name="password" type="password" placeholder="<?php echo esc_attr__('Enter your Password here','music-night'); ?>">
									<label class="fa fa-key"></label>
								</div>
								<div class="login-button">
									<input type="submit" value="<?php echo esc_attr__('Sign IN','music-night'); ?>">
									<a href="<?php echo esc_url(wp_lostpassword_url()); ?>"><?php esc_attr_e('Forgot Password?','music-night');?></a>
								</div>
								<p class="status"></p>
								<?php wp_nonce_field( 'ajax-login-nonce', 'security' ); ?>
							</form>
						<?php } ?>	
						</div>
					</div>

					<!--SIGNIN AS USER END-->
					<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
	<?php	
	}
	
	function kode_ajax_signup(){
		
		// First check the nonce, if it fails the function will break
		//check_ajax_referer( 'ajax-signup-nonce', 'security' );

		// Nonce is checked, get the POST data and sign user on
		foreach ($_REQUEST as $keys=>$values) {
			$$keys = $values;
		}
		$default_role = get_option('default_role');

		$nickname = $_POST['nickname'];
		$user_email = $_POST['user_email'];
		$user_pass = $_POST['user_pass'];		

		$userdata = array(
			'user_login'    => $nickname,			
			'user_email'  => $user_email,
			'user_pass'  => $user_pass,
			'role' => $default_role
		);
		$exists = email_exists($user_email);
		$user_signup = wp_insert_user( $userdata );
		if ( !$exists ){
			if ( is_wp_error($user_signup) ){
				echo json_encode(array('signup'=>false, 'message'=>esc_attr__('Please verify the details you are providing.','music-night')));
			} else {
				echo json_encode(array('signup'=>true, 'message'=>esc_attr__('Your request submitted successfully, Redirecting you to login page!','music-night')));
			}
		}else{
			echo json_encode(array('signup'=>false, 'message'=>'Notice: Email already exists!'.$exists.''));			
		}

		die();
	}	
	
	function kode_ajax_signup_init(){

		// wp_register_script('ajax-signup-script', MUSICNIGHT_PATH.'/js/ajax-signup-script.js', array('jquery') ); 
		// wp_enqueue_script('ajax-signup-script');

		// wp_localize_script( 'ajax-signup-script', 'ajax_signup_object', array( 
			// 'ajaxurl' => esc_url(admin_url( 'admin-ajax.php' )),
			// 'redirecturl' => esc_url(home_url('/')),
			// 'loadingmessage' => esc_attr__('Sending user info, please wait...','music-night')
		// ));
		
		// Enable the user with no privileges to run ajax_login() in AJAX
		add_action('wp_ajax_ajaxsignup', 'kode_ajax_signup');
		add_action('wp_ajax_nopriv_ajaxsignup', 'kode_ajax_signup' );
	}
	
	add_action('init', 'kode_ajax_signup_init');	
	
	
	function kode_signup_form(){ 
	?>
		<div class="modal fade" id="signup-box" tabindex="-1" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content htl2-login">
					<!--SIGNIN AS USER START-->
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab">Register</a></li>
					</ul>
					<!-- Tab panes -->
					<div class="tab-content">
						<div role="tabpanel" class="htl2-tab tab-pane active" id="profile">
							<?php
								$users_can_register = get_option('users_can_register');
								if($users_can_register <> 1){ ?>
									<!-- Modal -->					
									<div class="kd-login-title">
										<p class="wpmf-allowed"><?php esc_attr_e('Sign up not allowed by admin.','music-night');?></p>
										<p class="wpmf-allowed"><?php esc_attr_e('Please contact admin for the registration.','music-night');?></p>
									</div>
								<?php }else{ ?>
								<form id="sign-up" action="signup" method="post">	
									<p><?php echo esc_attr__('Lorem Ipsum. Proin gravida nibh vel velit auctor aliquet. Aenean sollicitudin, lorem quis bibendum.','music-night'); ?></p>
									<div class="input-field">
										<input type="text" id="user_nickname" name="user_nickname" placeholder="<?php echo esc_attr__('Enter your user name here','music-night'); ?>" />
										<label class="fa fa-user"></label>
									</div>
									<div class="input-field">
										<input type="text" id="user_email" name="user_email" placeholder="<?php echo esc_attr__('Enter your Email here','music-night'); ?>" />
										<label class="fa fa-envelope"></label>
									</div>
									<div class="input-field">
										<input id="user_pass" name="user_pass" type="password" placeholder="<?php echo esc_attr__('Enter your Password here','music-night'); ?>">
										<label class="fa fa-key"></label>
									</div>
									<div class="login-button">
										<input type="submit" value="Register">
									</div>
									<?php wp_nonce_field( 'ajax-signup-nonce', 'security' ); ?>
									<p class="status"></p>
								</form>
							<?php } ?>
							
						</div>
					</div>

					<!--SIGNIN AS USER END-->
					<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
		<?php
	}	
	
	
	//////////////////////////////////////////////////////////////////
// Event CountDown
//////////////////////////////////////////////////////////////////
add_shortcode('next_event', 'musicnight_shortcode_event_countdown');
function musicnight_shortcode_event_countdown($atts,$content = null) {
	
	extract(shortcode_atts(array(
			'heading' => '',
			'sub_heading' => '',
			'event' => '',			
		), $atts));
		
		$html_event = '';
		$location = '';
			$get_event = em_get_event($event);
			$event_year = date('Y',$get_event->start);
			$event_month = date('m',$get_event->start);
			$event_day = date('d',$get_event->start);
			$event_start_time = date("G:i:s", strtotime($get_event->start_time));
			//$location = esc_attr($get_event->get_location()->name);
			
			wp_register_script('bethany-downcount', MUSICNIGHT_PATH.'/framework/include/frontend_assets/default/js/jquery-downcount.js', false, '1.0', true);
			wp_enqueue_script('bethany-downcount');
			$html_event .= '
			<div class="count-down-timer">
				<div class="col-md-8">
					<ul data-year="2017" data-month="'.esc_attr($event_month).'" data-day="'.esc_attr($event_day).'" data-time="'.esc_attr($event_start_time).'" class="downcount">
						<li>
							<span class="days">00</span>
							<p class="days_ref">Week</p>
						</li>
						<li>
							<span class="hours">00</span>
							<p class="hours_ref">Days</p>
						</li>
						<li>
							<span class="minutes">00</span>
							<p class="minutes_ref">Hours</p>
						</li>
						<li>
							<span class="seconds last">00</span>
							<p class="seconds_ref">Second</p>
						</li>
					</ul>
				</div>
				<div class="col-md-4 caption">
					<div class="caption-info">
						<h5>'.esc_attr($heading).'</h5>
						<span>'.esc_attr($sub_heading).'</span>
					</div>
				</div>
			</div>';		
		
		return $html_event;
			
}
	
	
	
	
//////////////////////////////////////////////////////////////////
// Tickets kode_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('tickets', 'musicnight_event_tickets');
function musicnight_event_tickets($atts,$content = null) {

	extract(shortcode_atts(array(
			'heading' => '',
			'ticket_title' => '',
			'ticket_price' => '',
			'ticket_qty' => '',
			'ticket_book' => '',	
			'ticket_book_url' => '',		
		), $atts));
		$tickets = '';
		
		$tickets .= '
		<div class="ticket-section">
			<h3>'.esc_attr($heading).'</h3>
				<div class="tickets">
					<ul class="kode-tickets-title">
					<li class="col-md-3"><a href="#">Ticket Type</a></li>
					<li class="col-md-3"><a href="#">Price</a></li>
					<li class="col-md-3"><a href="#">Qty.</a></li>
					<li class="col-md-3"><a href="#">Cart</a></li>
				</ul>
				'.do_shortcode($content).'
			</div>
		</div>';
		
		return $tickets;
			
}
//////////////////////////////////////////////////////////////////
// Tickets kode_shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('tickets_item', 'musicnight_event_ticket_item');
function musicnight_event_ticket_item($atts,$content = null) {

	extract(shortcode_atts(array(
			'class' => '',
			'ticket_type' => '',
			'ticket_price' => '',
			'ticket_qty' => '',
			'ticket_book' => '',	
			'ticket_book_url' => '',		
		), $atts));
		$tickets_item = '';
		$tickets_item .= '
		<ul class="ticket-column '.esc_attr($class).'">
			<li class="col-md-3"><span>'.esc_attr($ticket_type).'</span></li>
			<li class="col-md-3"><span>'.esc_attr($ticket_price).'</span></li>
			<li class="col-md-3"><span>'.esc_attr($ticket_qty).'</span></li>
			<li class="col-md-3"><a href="'.esc_url($ticket_book_url).'">'.esc_attr($ticket_book).'</a></li>
		</ul>';
		
		return $tickets_item;
}

function musicnight_login_sign_up_script(){
		
	$login_sign_up = '
	<div id="login-register1" class="modal fade" role="dialog">
		<div class="modal-dialog">
			<!-- Modal content-->
			<div class="modal-content">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<div class="ms-login-form">
					<form id="wpha-login-form" class="wpha-login-form" method="post" data-ajax="'.esc_url(MUSICNIGHT_AJAX_URL).'" >
						<div class="ms_width_off50">
							<div class="ms-heading2">
								<h3>'.esc_attr__('Sign in','music-night').'</h3>
								<p>'.esc_attr__('welcome back! sign in to your account','music-night').'</p>
							</div>
							<div class="input-felid">
								<label>'.esc_attr__('Username or Email Address','music-night').'</label>
								<input type="text" placeholder="'.esc_attr__('user name or email address','music-night').'*">
							</div>
							<div class="input-felid">
								<label>'.esc_attr__('password','music-night').'</label>
								<input type="text" placeholder="enter password here*">
							</div>
							<div class="pull-left">
								<input type="checkbox" name="remember" id="clik">
								<span class="box"></span>
								<label for="clik" class="ck-title">'.esc_attr__('remember me','music-night').'</label>
							</div>
							<div class="pull-right">
								<a href="#" class="fpw">'.esc_attr__('forgotten password','music-night').'?</a>
							</div>
							<div class="btn-submit">
								<button class="btn-normal2" type="submit">'.esc_attr__('login','music-night').'</button>
							</div>
						</div>
					</form>	
					<sup>Or</sup>
					<form id="wpha-register-form" class="wpha-register-form" method="post" data-ajax="'.esc_url(MUSICNIGHT_AJAX_URL).'" >
						<div class="ms_width_off50 bg-trans">
							<div class="ms-heading2">
								<h3>'.esc_attr__('Create New Account','music-night').'</h3>
								<p>'.esc_attr__('Create Your Very Own Account','music-night').'</p>
							</div>
							<div class="input-felid">
								<label>'.esc_attr__('Username or Email Address','music-night').'</label>
								<input type="text" placeholder="'.esc_attr__('user name or email address','music-night').'*">
							</div>
							<div class="input-felid">
								<label>'.esc_attr__('Password','music-night').'</label>
								<input type="text" name="password" placeholder="'.esc_attr__('enter password here','music-night').'*">
							</div>
							<div class="btn-submit margin-15">
								<button class="btn-normal2" type="submit">'.esc_attr__('register','music-night').'</button>
							</div>							
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>';
	
	return $login_sign_up;
	
}