<?php
/*-----------------------------------------------------------------------------------*/
/*	Default Options
/*-----------------------------------------------------------------------------------*/

// Number of posts array
function kodeforest_shortcodes_range ( $range, $all = true, $default = false, $range_start = 1 ) {
	if($all) {
		$number_of_posts['-1'] = 'All';
	}

	if($default) {
		$number_of_posts[''] = 'Default';
	}

	foreach(range($range_start, $range) as $number) {
		$number_of_posts[$number] = $number;
	}

	return $number_of_posts;
}

// Taxonomies
function kodeforest_shortcodes_categories ( $taxonomy, $empty_choice = false ) {
	if($empty_choice == true) {
		$post_categories[''] = 'Default';
	}

	$get_categories = get_categories('hide_empty=0&taxonomy=' . $taxonomy);

	if( ! array_key_exists('errors', $get_categories) ) {
		if( $get_categories && is_array($get_categories) ) {
			$post_categories['All'] = 'All';
			foreach ( $get_categories as $cat ) {
				if(isset($cat->slug)){
					$post_categories[$cat->slug] = $cat->name;
				}	
			}
		}

		if(isset($post_categories)) {
			return $post_categories;
		}
	}
}
// return the slug list of each post
function get_post_list_sc( $post_type ){
	
	$posts = get_posts(array('post_type' => $post_type, 'numberposts'=>100));
	
	if( ! array_key_exists('errors', $posts) ) {
		if( $posts && is_array($posts) ) {
			$posts_title = array();
			foreach ($posts as $post) {
				$posts_title[$post->ID] = $post->post_title;
			}
		}	
	}
	
	if(isset($posts_title)) {
		return $posts_title;
	}
	

}


$album_category = kodeforest_shortcodes_categories('album-categories');
$post_category = kodeforest_shortcodes_categories('category');
$event_category =  kodeforest_shortcodes_categories('event-categories');
$team_category =  kodeforest_shortcodes_categories('team-categories');
$choices = array('yes' => 'Yes', 'no' => 'No');
$reverse_choices = array('no' => 'No', 'yes' => 'Yes');
$dec_numbers = array('0.1' => '0.1', '0.2' => '0.2', '0.3' => '0.3', '0.4' => '0.4', '0.5' => '0.5', '0.6' => '0.6', '0.7' => '0.7', '0.8' => '0.8', '0.9' => '0.9', '1' => '1' );

// Fontawesome icons list
$pattern = '/\.(fa-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
$fontawesome_path = KODEFOREST_TINYMCE_DIR . '/css/font-awesome.css';
if( file_exists( $fontawesome_path ) ) {
	@$subject = file_get_contents($fontawesome_path);
}

preg_match_all($pattern, $subject, $matches, PREG_SET_ORDER);

$icons = array();

foreach($matches as $match){
	$icons[$match[1]] = $match[2];
}

$checklist_icons = array ( 'icon-check' => '\f00c', 'icon-star' => '\f006', 'icon-angle-right' => '\f105', 'icon-asterisk' => '\f069', 'icon-remove' => '\f00d', 'icon-plus' => '\f067' );

/*-----------------------------------------------------------------------------------*/
/*	Shortcode Selection Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['shortcode-generator'] = array(
	'no_preview' => true,
	'params' => array(),
	'shortcode' => '',
	'popup_title' => ''
);

/*-----------------------------------------------------------------------------------*/
/*	Alert Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['alert'] = array(
	'no_preview' => true,
	'params' => array(

		'type' => array(
			'type' => 'select',
			'label' => __( 'Alert Type', 'music-night' ),
			'desc' => __( 'Select the type of alert message', 'music-night' ),
			'options' => array(
				'general' => 'General',
				'error' => 'Error',
				'success' => 'Success',
				'notice' => 'Notice',
			)
		),
		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'content' => array(
			'std' => 'Your Content Goes Here',
			'type' => 'textarea',
			'label' => __( 'Alert Content', 'music-night' ),
			'desc' => __( 'Insert the alert\'s content', 'music-night' ),
		),
		// 'animation_type' => array(
			// 'type' => 'select',
			// 'label' => __( 'Animation Type', 'music-night' ),
			// 'desc' => __( 'Select the type on animation to use on the shortcode', 'music-night' ),
			// 'options' => array(
				// '0' => 'None',
				// 'bounce' => 'Bounce',
				// 'fade' => 'Fade',
				// 'flash' => 'Flash',
				// 'shake' => 'Shake',
				// 'slide' => 'Slide',
			// )
		// ),
		// 'animation_direction' => array(
			// 'type' => 'select',
			// 'label' => __( 'Direction of Animation', 'music-night' ),
			// 'desc' => __( 'Select the incoming direction for the animation', 'music-night' ),
			// 'options' => array(
				// 'down' => 'Down',
				// 'left' => 'Left',
				// 'right' => 'Right',
				// 'up' => 'Up',
			// )
		// ),
		// 'animation_speed' => array(
			// 'type' => 'select',
			// 'std' => '',
			// 'label' => __( 'Speed of Animation', 'music-night' ),
			// 'desc' => __( 'Type in speed of animation in seconds (0.1 - 1)', 'music-night' ),
			// 'options' => $dec_numbers,
		// )
	),
	'shortcode' => '[alert icon="{{icon}}" type="{{type}}" ]{{content}}[/alert]',
	'popup_title' => __( 'Alert Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Social Network Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['social_profile'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Social Network Class', 'music-night'),
			'desc' => __('Add social network class here.', 'music-night')
		),		
	),
	'shortcode' => '[social_profile class="{{class}}"]{{child_shortcode}}[/social_profile]',
	'popup_title' => __( 'Social Profile Shortcode', 'music-night' ),
	'child_shortcode' => array(
		'params' => array(
			'class' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Class ', 'music-night'),
				'desc' => __('Add class here.', 'music-night')
			),
			'icon' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'amount' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Number of Followers or Fans ', 'music-night'),
				'desc' => __('Number of Followers or Fans.', 'music-night')
			),
			'amount_text' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Followers Text ', 'music-night'),
				'desc' => __('Add follower text which will be shown beneath number of followers.', 'music-night')
			),
			'link' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Link ', 'music-night'),
				'desc' => __('Add external Link here.', 'music-night')
			),
			'link_text' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Link Text ', 'music-night'),
				'desc' => __('Add external Link text here.', 'music-night')
			),
		),
		'shortcode' => '[social_profile_item class="{{class}}" icon="{{icon}}" amount="{{amount}}" amount_text="{{amount_text}}" link="{{link}}" link_text="{{link_text}}" ][/social_profile_item]',
		'clone_button' => __('Add Profile Item', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	education Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['education'] = array(
	'no_preview' => true,
	'params' => array(
		'heading' => array(
			'type' => 'text',
			'label' => __( 'Heading Title', 'music-night' ),
			'desc' => __( 'Add Heading or Title for this element.', 'music-night' )
		),
		
	),
	'shortcode' => '[education heading="{{heading}}" ]{{child_shortcode}}[/education]',
	'popup_title' => __( 'Education Degree / Diploma Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'year' => array(
				'type' => 'text',
				'label' => __( 'Year', 'music-night' ),
				'desc' => __( 'Add Year of the degree / Diploma here', 'music-night' )
			),
			'degree' => array(
				'type' => 'text',
				'label' => __( 'Degree', 'music-night' ),
				'desc' => __( 'Add title of the degree here', 'music-night' )
			),
			'align' => array(
				'type' => 'select',
				'label' => __( 'Image Align', 'music-night' ),
				'desc' => __( 'Select the Image Alignment', 'music-night' ),
				'options' => array(
					'left' => 'Left',
					'right' => 'Right',
				)
			),
			'image' => array(
				'type' => 'uploader',
				'label' => __('Education Image', 'music-night'),
				'desc' => 'Clicking this image will show with text here'
			),
			'title' => array(
				'type' => 'text',
				'label' => __( 'Brief Title of Degree', 'music-night' ),
				'desc' => __( 'Add Breif Title of the degree here', 'music-night' )
			),
			'description' => array(
				'type' => 'textarea',
				'label' => __( 'Description', 'music-night' ),
				'desc' => __( 'Add description of the eduction list here', 'music-night' )
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[education_item year="{{year}}" degree="{{degree}}" align="{{align}}" image="{{image}}" title="{{title}}" description="{{description}}" class="{{class}}" ][/education_item]',
		'clone_button' => __('Educational Degree List', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	education Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['edu_smart'] = array(
	'no_preview' => true,
	'params' => array(
		'heading' => array(
			'type' => 'text',
			'label' => __( 'Heading Title', 'music-night' ),
			'desc' => __( 'Add Heading or Title for this element.', 'music-night' )
		),
		
	),
	'shortcode' => '[edu_smart heading="{{heading}}" ]{{child_shortcode}}[/edu_smart]',
	'popup_title' => __( 'Smart Education Degree / Diploma Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'year' => array(
				'type' => 'text',
				'label' => __( 'Year', 'music-night' ),
				'desc' => __( 'Add Year of the degree / Diploma here', 'music-night' )
			),
			'degree' => array(
				'type' => 'text',
				'label' => __( 'Degree', 'music-night' ),
				'desc' => __( 'Add title of the degree here', 'music-night' )
			),			
			'description' => array(
				'type' => 'textarea',
				'label' => __( 'Description', 'music-night' ),
				'desc' => __( 'Add description of the eduction list here', 'music-night' )
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[smart_edu_item year="{{year}}" degree="{{degree}}" description="{{description}}" class="{{class}}" ][/smart_edu_item]',
		'clone_button' => __('Smart Educational Degree List', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	education Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['performance_chart'] = array(
	'no_preview' => true,
	'params' => array(
		'heading' => array(
			'type' => 'text',
			'label' => __( 'Heading Title', 'music-night' ),
			'desc' => __( 'Add Heading or Title for this element.', 'music-night' )
		),
		'caption' => array(
			'type' => 'text',
			'label' => __( 'Caption', 'music-night' ),
			'desc' => __( 'Add Caption or Title for this element.', 'music-night' )
		),
		'title_of_chart' => array(
			'type' => 'text',
			'label' => __( 'Title Of Chart', 'music-night' ),
			'desc' => __( 'Add Heading or Title for this element.', 'music-night' )
		),
		'value_of_chart' => array(
			'type' => 'text',
			'label' => __( 'Add Value Text of chart', 'music-night' ),
			'desc' => __( 'Add value text of chart which you would like to show under chart.', 'music-night' )
		),
		
	),
	'shortcode' => '[performance_chart heading="{{heading}}" caption="{{caption}}" title_of_chart="{{title_of_chart}}" value_of_chart="{{value_of_chart}}" ]{{child_shortcode}}[/performance_chart]',
	'popup_title' => __( 'Performance chart Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'year' => array(
				'type' => 'text',
				'label' => __( 'Year', 'music-night' ),
				'desc' => __( 'Add Year of the proformance here', 'music-night' )
			),
			'value' => array(
				'type' => 'text',
				'label' => __( 'Value', 'music-night' ),
				'desc' => __( 'Add Value of the year proformance here', 'music-night' )
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[performance_item year="{{year}}" value="{{value}}" class="{{class}}" ][/performance_item]',
		'clone_button' => __('Performance List', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	TimeLine Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['timeline'] = array(
	'no_preview' => true,
	'params' => array(

		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of social icons', 'music-night' ),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large',
			)
		)
	),
	'shortcode' => '[timeline size="{{size}}" ]{{child_shortcode}}[/timeline]',
	'popup_title' => __( 'TimeLine Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(

			'year' => array(
				'type' => 'text',
				'label' => __( 'Year', 'music-night' ),
				'desc' => __( 'Add Year of the timeline here', 'music-night' )
			),
			'title' => array(
				'type' => 'text',
				'label' => __( 'Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'desc' => array(
				'type' => 'textarea',
				'label' => __( 'Description', 'music-night' ),
				'desc' => __( 'Add description of the timeline here', 'music-night' )
			),
			'icon' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[timeline_item year="{{year}}" title="{{title}}" desc="{{desc}}" icon="{{icon}}" class="{{class}}" ][/timeline_item]',
		'clone_button' => __('Social Icon Item', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	TimeLine Box Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['timeline_box'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __( 'Timeline Title', 'music-night' ),
			'desc' => __( 'Add title to the timeline box.', 'music-night' )
		),
		'description' => array(
			'type' => 'text',
			'label' => __( 'Timeline Description', 'music-night' ),
			'desc' => __( 'Add description of the timeline here', 'music-night' )
		),
		'timeline_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Text Color', 'music-night'),
			'desc' => __('Set the Text color of the timeline box.', 'music-night')
		),
		'timeline_bg' => array(
			'type' => 'colorpicker',
			'label' => __('Select Background Color', 'music-night'),
			'desc' => __('Set the background color of the timeline box.', 'music-night')
		),
		'class' => array(
			'type' => 'text',
			'label' => __( 'Class', 'music-night' ),
			'desc' => __( 'Add class of the icon', 'music-night' )			
		)
		
	),
	'shortcode' => '[timeline_box title="{{title}}" description="{{description}}" timeline_color="{{timeline_color}}" timeline_bg="{{timeline_bg}}" class="{{class}}" ][/timeline_box]',
	'popup_title' => __( 'Timeline Box Shortcode', 'music-night' ),	
	'no_preview' => true,
);

/*-----------------------------------------------------------------------------------*/
/*	TimeLine Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['about_democracy'] = array(
	'no_preview' => true,
	'params' => array(

		'layout' => array(
			'type' => 'select',
			'label' => __( 'Layout', 'music-night' ),
			'desc' => __( 'Select the size of social icons', 'music-night' ),
			'options' => array(
				'music-night' => 'Democracy',
				'lawyer' => 'Lawyer',
			)
		)
	),
	'shortcode' => '[about_democracy layout="{{layout}}" ]{{child_shortcode}}[/about_democracy]',
	'popup_title' => __( 'About Democracy Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(

			'heading' => array(
				'type' => 'text',
				'label' => __( 'Tab Title', 'music-night' ),
				'desc' => __( 'Add tab title here this name should be unique should not be same like other tabs title.', 'music-night' )
			),
			'sub_title' => array(
				'type' => 'text',
				'label' => __( 'Content Area Sub Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'title' => array(
				'type' => 'text',
				'label' => __( 'Content Area Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'image' => array(
				'type' => 'uploader',
				'label' => __('Upload Image', 'music-night'),
				'desc' => 'Clicking this image will show beside box'
			),
			'content' => array(
				'type' => 'textarea',
				'label' => __( 'Content', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'read_more_text' => array(
				'type' => 'text',
				'label' => __( 'Content Area Read More Text', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'read_more_link' => array(
				'type' => 'text',
				'label' => __( 'Content Area Read More Link', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[about_item heading="{{heading}}" sub_title="{{sub_title}}" title="{{title}}" image="{{image}}" read_more_text="{{read_more_text}}" read_more_link="{{read_more_link}}" ]{{content}}[/about_item]',
		'clone_button' => __('About Item', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	TimeLine Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['contact_detail'] = array(
	'no_preview' => true,
	'params' => array(

		// 'size' => array(
			// 'type' => 'select',
			// 'label' => __( 'Size', 'music-night' ),
			// 'desc' => __( 'Select the size of social icons', 'music-night' ),
			// 'options' => array(
				// 'small' => 'Small',
				// 'medium' => 'Medium',
				// 'large' => 'Large',
			// )
		// )
	),
	'shortcode' => '[contact_detail]{{child_shortcode}}[/contact_detail]',
	'popup_title' => __( 'Contact Detail Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(

			'heading' => array(
				'type' => 'text',
				'label' => __( 'Tab Title', 'music-night' ),
				'desc' => __( 'Add tab title here this name should be unique should not be same like other tabs title.', 'music-night' )
			),
			'icon_1' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'title_1' => array(
				'type' => 'text',
				'label' => __( 'Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),			
			'content_1' => array(
				'type' => 'textarea',
				'label' => __( 'Content', 'music-night' ),
				'desc' => __( 'Add title of the contact detail here', 'music-night' )
			),
			'icon_2' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'title_2' => array(
				'type' => 'text',
				'label' => __( 'Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),			
			'content_2' => array(
				'type' => 'textarea',
				'label' => __( 'Content', 'music-night' ),
				'desc' => __( 'Add title of the contact detail here', 'music-night' )
			),
			'icon_3' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'title_3' => array(
				'type' => 'text',
				'label' => __( 'Title', 'music-night' ),
				'desc' => __( 'Add title of the timeline here', 'music-night' )
			),			
			'content_3' => array(
				'type' => 'textarea',
				'label' => __( 'Content', 'music-night' ),
				'desc' => __( 'Add title of the contact detail here', 'music-night' )
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			)
		),
		'shortcode' => '[office heading="{{heading}}" icon_1="{{icon_1}}" title_1="{{title_1}}" content_1="{{content_1}}" icon_2="{{icon_2}}" title_2="{{title_2}}" content_2="{{content_2}}" icon_3="{{icon_3}}" title_3="{{title_3}}" content_3="{{content_3}}" ][/office]',
		'clone_button' => __('Office Item', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	Social Icon Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['social_icons'] = array(
	'no_preview' => true,
	'params' => array(

		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of social icons', 'music-night' ),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large',
			)
		)
	),
	'shortcode' => '[social_icons size="{{size}}" ]{{child_shortcode}}[/social_icons]',
	'popup_title' => __( 'Social Icons Shortcode', 'music-night' ),	
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(

			'link' => array(
				'type' => 'text',
				'label' => __( 'Link', 'music-night' ),
				'desc' => __( 'Add link or url of the destination', 'music-night' )			
			),
			'icon' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'class' => array(
				'type' => 'text',
				'label' => __( 'Class', 'music-night' ),
				'desc' => __( 'Add class of the icon', 'music-night' )			
			),
			'target' => array(
				'type' => 'select',
				'label' => __( 'Select Target', 'music-night' ),
				'desc' => __( 'Select the type on animation to use on the shortcode', 'music-night' ),
				'options' => array(
					'_self' => '_Self',
					'_blank' => '_Blank',
					'_new' => '_New',
					'_top' => '_Top',				
				)
			),		
		),
		'shortcode' => '[social_icon_item link="{{link}}" icon="{{icon}}" class="{{class}}" target="{{target}}" ][/social_icon_item]',
		'clone_button' => __('Social Icon Item', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	progress_circles Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['progress_circles'] = array(
	'no_preview' => true,
	'params' => array(
		'circle_text' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Circle Text', 'music-night'),
			'desc' => __('Add circle text here', 'music-night')
		),
		'circle_value' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Circle Value', 'music-night'),
			'desc' => __('Add circle value here', 'music-night')
		),
		'circle_width' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Circle Width', 'music-night'),
			'desc' => __('Add circle width in px here', 'music-night')
		),
		'circle_height' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Circle height', 'music-night'),
			'desc' => __('Add circle height in px here', 'music-night')
		),
		
		
		
	),
	'shortcode' => '[progress_circles circle_text="{{circle_text}}" circle_value="{{circle_value}}" circle_width="{{circle_width}}" circle_height="{{circle_height}}" ][/progress_circles]',
	'popup_title' => __( 'Progress Circles Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Albums Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['albums'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				'element1-1' => 'Full Width',
				// 'element1-2' => 'Half Width',
				// 'element1-3' => 'One Third Width',
				// 'element1-4' => 'One Forth',
			)
		),
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $album_category
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		
		'num_excerpt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of Characters', 'music-night'),
			'desc' => __('Add Number of Characters to show under each post/items', 'music-night')
		),
		
		'pagination' => array(
			'type' => 'select',
			'label' => __( 'Pagination', 'music-night' ),
			'desc' => __( 'Do you want to turn on pagination.', 'music-night' ),
			'options' => array(
				'Yes' => 'Yes',
				'No' => 'No',
			)
		),
		'orderby' => array(
			'type' => 'select',
			'label' => __( 'Orderby', 'music-night' ),
			'desc' => __( 'Show post order by.', 'music-night' ),
			'options' => array(
				'date' => 'date',
				'title' => 'title',
				'rand' => 'rand',
				'comment_count' => 'comment_count',
			)
		),
		
		'order' => array(
			'type' => 'select',
			'label' => __( 'Order', 'music-night' ),
			'desc' => __( 'Select your posts/item order.', 'music-night' ),
			'options' => array(
				'asc' => 'ASC',
				'desc' => 'DESC',
			)
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[albums size="{{size}}" header="{{header}}" category="{{category}}" num_fetch="{{num_fetch}}" num_excerpt="{{num_excerpt}}" pagination="{{pagination}}" orderby="{{orderby}}" order="{{order}}" item_margin="{{item_margin}}"][/albums]',
	'popup_title' => __( 'Albums Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Progress Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['progressbar'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => __('Add title here', 'music-night')
		),
		'text_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Text Color', 'music-night'),
			'desc' => __('Set the text color of the progress bar.', 'music-night')
		),
		'filled_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Filled Color', 'music-night'),
			'desc' => __('Set the filled color of the progress bar.', 'music-night')
		),
		'unfilled_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Unfilled Color', 'music-night'),
			'desc' => __('Set the unfilled color of the progress bar.', 'music-night')
		),
		'height' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Height', 'music-night'),
			'desc' => __('Add Height in px here for example: 30px', 'music-night')
		),
		'filled' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Filled Amount', 'music-night'),
			'desc' => __('Add Filled value here in percent for example: 80%', 'music-night')
		)
	),
	'shortcode' => '[progressbar height="{{height}}" title="{{title}}" text_color="{{text_color}}" filled_color="{{filled_color}}" unfilled_color="{{unfilled_color}}" filled="{{filled}}" ][/progressbar]',
	'popup_title' => __( 'Progress bar Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Blog Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['get_post'] = array(
	'no_preview' => true,
	'params' => array(
		
		
	),
	'shortcode' => '[heading style="{{style}}" align="{{align}}" title="{{title}}" title_color="{{title_color}}" caption="{{caption}}" caption_color="{{caption_color}}" line_color="{{line_color}}" item_margin="{{item_margin}}"  ]{{content}}[/heading]',
	'popup_title' => __( 'Heading Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Blog Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['heading'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __( 'Style', 'music-night' ),
			'desc' => __( 'Select heading style', 'music-night' ),
			'options' => array(
				'simple-style' => 'Normal Style',
				'lawyer-style' => 'Lawyer Style',
			)
		),	
		'align' => array(
			'type' => 'select',
			'label' => __( 'Align', 'music-night' ),
			'desc' => __( 'Select heading alignment', 'music-night' ),
			'options' => array(
				'align-left' => 'Align Left',
				'align-right' => 'Align Right',
				'align-center' => 'Align Center'
			)
		),		
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => __('Add title here', 'music-night')
		),		
		'title_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select title Color', 'music-night'),
			'desc' => __('Set the title color of the heading title.', 'music-night')
		),
		'caption' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Caption', 'music-night'),
			'desc' => __('Add caption text here', 'music-night')
		),
		'caption_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select caption Color', 'music-night'),
			'desc' => __('Set the caption color of the heading caption.', 'music-night')
		),
		'line_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Line Color', 'music-night'),
			'desc' => __('Set the line color of the heading caption.', 'music-night')
		),
		'content' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Content', 'music-night'),
			'desc' => __('Add Content text here', 'music-night')
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[heading style="{{style}}" align="{{align}}" title="{{title}}" title_color="{{title_color}}" caption="{{caption}}" caption_color="{{caption_color}}" line_color="{{line_color}}" item_margin="{{item_margin}}"  ]{{content}}[/heading]',
	'popup_title' => __( 'Heading Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Blog Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['blog'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				'1/1 Full Thumbnail' => 'Full Width',
				'1/2 Blog Grid' => 'Half Width',
				'1/3 Blog Grid' => 'One Third Width',
				'1/4 Blog Widget' => 'One Forth',
			)
		),		
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $post_category
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		
		'num_excerpt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of Characters', 'music-night'),
			'desc' => __('Add Number of Characters to show under each post/items', 'music-night')
		),
		
		'pagination' => array(
			'type' => 'select',
			'label' => __( 'Pagination', 'music-night' ),
			'desc' => __( 'Do you want to turn on pagination.', 'music-night' ),
			'options' => array(
				'Yes' => 'Yes',
				'No' => 'No',
			)
		),
		'orderby' => array(
			'type' => 'select',
			'label' => __( 'Orderby', 'music-night' ),
			'desc' => __( 'Show post order by.', 'music-night' ),
			'options' => array(
				'date' => 'date',
				'title' => 'title',
				'rand' => 'rand',
				'comment_count' => 'comment_count',
			)
		),
		
		'order' => array(
			'type' => 'select',
			'label' => __( 'Order', 'music-night' ),
			'desc' => __( 'Select your posts/item order.', 'music-night' ),
			'options' => array(
				'asc' => 'ASC',
				'desc' => 'DESC',
			)
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[blog size="{{size}}" header="{{header}}" category="{{category}}" num_fetch="{{num_fetch}}" num_excerpt="{{num_excerpt}}" pagination="{{pagination}}" orderby="{{orderby}}" order="{{order}}" item_margin="{{item_margin}}"][/blog]',
	'popup_title' => __( 'Blog Shortcode', 'music-night' )
);
	// <Recent-Posts>
		// <size>element2-3</size>
		// <show-caption>&lt;span class=&quot;color&quot;&gt;From Our&lt;/span&gt; Blog</show-caption>
		// <feature-post>98</feature-post>
		// <num-excerpt>140</num-excerpt>
		// <category>6</category>
		// <num-fetch>2</num-fetch>
		// <item-margin>30</item-margin>
	// </Recent-Posts>
/*-----------------------------------------------------------------------------------*/
/*	Recent Post Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['recent_post'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				//'element1-1' => 'Full Width',
				//'element1-2' => 'Half Width',
				'element2-3' => 'Two Third',
				//'element1-4' => 'One Forth',
			)
		),
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		'feature_post' => array(
			'type' => 'select',
			'label' => __( 'Select Feature Post', 'music-night' ),
			'desc' => __( 'Select feature post/item', 'music-night' ),
			'options' => get_post_list_sc('post')
		),
		'post_num_excerpt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of Characters', 'music-night'),
			'desc' => __('Add Number of Characters to show under feature post/items', 'music-night')
		),
		
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $post_category
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[recent_post size="{{size}}" header="{{header}}" feature_post="{{feature_post}}" post_num_excerpt="{{post_num_excerpt}}" category="{{category}}" num_fetch="{{num_fetch}}" item_margin="{{item_margin}}"][/recent_post]',
	'popup_title' => __( 'Recent Posts Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Counter Circle Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['counter_circle'] = array(
	'no_preview' => true,
	'params' => array(
		
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		'event_id' => array(
			'type' => 'select',
			'label' => __( 'Select Event', 'music-night' ),
			'desc' => __( 'Select Event to show its counter', 'music-night' ),
			'options' => get_post_list_sc('event')
		),
		'width' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Add Width of Counter', 'music-night'),
			'desc' => __('Add width in pixels of counter circles', 'music-night')
		),
		'height' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Add Height of Counter', 'music-night'),
			'desc' => __('Add height in pixels of counter circles', 'music-night')
		),
		'color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Text Color', 'music-night'),
			'desc' => __('Set the color of the circle text.', 'music-night')
		),
		'unfilled_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Unfilled Color', 'music-night'),
			'desc' => __('Set the unfilled color of the circle.', 'music-night')
		),
		'filled_color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Filled Color', 'music-night'),
			'desc' => __('Set the filled color of the circle.', 'music-night')
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[counter_circle header="{{header}}" event_id="{{event_id}}" width="{{width}}" height="{{height}}" color="{{color}}" unfilled_color="{{unfilled_color}}" filled_color="{{filled_color}}" item_margin="{{item_margin}}"][/counter_circle]',
	'popup_title' => __( 'Event Counter Circle Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Skill Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['skill'] = array(
	'no_preview' => true,
	'params' => array(
		
		'filled_color' => array(
			'type' => 'colorpicker',
			'label' => esc_attr__('Select Filled Color', 'music-night'),
			'desc' => esc_attr__('Set the filled color of the progress bar.', 'music-night')
		),
		'unfilled_color' => array(
			'type' => 'colorpicker',
			'label' => esc_attr__('Select Unfilled Color', 'music-night'),
			'desc' => esc_attr__('Set the unfilled color of the progress bar.', 'music-night')
		),
		'value' => array(
			'std' => '',
			'type' => 'text',
			'label' => esc_attr__('Value', 'music-night'),
			'desc' => esc_attr__('Add Value here', 'music-night')
		),
		'unit' => array(
			'std' => '',
			'type' => 'text',
			'label' => esc_attr__('Unit', 'music-night'),
			'desc' => esc_attr__('Add Filled unit here', 'music-night')
		)
	),
	'shortcode' => '[skill filled_color="{{filled_color}}" unfilled_color="{{unfilled_color}}" value="{{value}}" unit="{{unit}}" ][/skill]',
	'popup_title' => esc_attr__( 'Skill Circle Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	News Slider Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['news_slider'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				//'element1-1' => 'Full Width',
				//'element1-2' => 'Half Width',
				'element1-3' => 'One Third',
				//'element1-4' => 'One Forth',
			)
		),
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $post_category
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		'num_excerpt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of Characters', 'music-night'),
			'desc' => __('Add Number of Characters to show under each post/items', 'music-night')
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[news_slider size="{{size}}" header="{{header}}" category="{{category}}" num_fetch="{{num_fetch}}" num_excerpt="{{num_excerpt}}" item_margin="{{item_margin}}"][/news_slider]',
	'popup_title' => __( 'News/Blog Slider Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Event Config
/*-----------------------------------------------------------------------------------*/
// <Event>
		// <size>element1-1</size>
		// <header>&lt;span class=&quot;color&quot;&gt;Upcoming &lt;/span&gt; Events</header>
		// <event-type>Event Listing</event-type>
		// <num-excerpt>300</num-excerpt>
		// <item-scope>Future</item-scope>
		// <category>14</category>
		// <num-fetch>2</num-fetch>
		// <pagination>Yes</pagination>
		// <order>desc</order>
		// <item-margin>0</item-margin>
	// </Event>
$kodeforest_shortcodes['events'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				'element1-1' => 'Full Width',
				'element1-2' => 'Half Width',
				'element1-3' => 'One Third Width',
				'element1-4' => 'One Forth',
			)
		),
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $event_category
		),
		'item_scope' => array(
			'type' => 'select',
			'label' => __( 'Item Scope', 'music-night' ),
			'desc' => __( 'Select the item scope of shortcode element', 'music-night' ),
			'options' => array(
				'Future' => 'Future',
				'Past' => 'Past',
				'All' => 'All',
			)
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		
		'num_excerpt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Number of Characters', 'music-night'),
			'desc' => __('Add Number of Characters to show under each post/items', 'music-night')
		),
		
		// 'pagination' => array(
			// 'type' => 'select',
			// 'label' => __( 'Pagination', 'music-night' ),
			// 'desc' => __( 'Do you want to turn on pagination.', 'music-night' ),
			// 'options' => array(
				// 'Yes' => 'Yes',
				// 'No' => 'No',
			// )
		// ),
		// 'orderby' => array(
			// 'type' => 'select',
			// 'label' => __( 'Orderby', 'music-night' ),
			// 'desc' => __( 'Show post order by.', 'music-night' ),
			// 'options' => array(
				// 'date' => 'date',
				// 'title' => 'title',
				// 'rand' => 'rand',
				// 'comment_count' => 'comment_count',
			// )
		// ),
		
		'order' => array(
			'type' => 'select',
			'label' => __( 'Order', 'music-night' ),
			'desc' => __( 'Select your posts/item order.', 'music-night' ),
			'options' => array(
				'asc' => 'ASC',
				'desc' => 'DESC',
			)
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[events size="{{size}}" header="{{header}}" category="{{category}}" item_scope="{{item_scope}}" num_fetch="{{num_fetch}}" num_excerpt="{{num_excerpt}}" order="{{order}}" item_margin="{{item_margin}}"][/events]',
	'popup_title' => __( 'Event Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Event Config
/*-----------------------------------------------------------------------------------*/
// <Team>
	// <size>element1-1</size>
	// <header>&lt;span class=&quot;color&quot;&gt;Our &lt;/span&gt;Team</header>
	// <num-fetch>4</num-fetch>
	// <category>event-managers</category>
	// <pagination>No</pagination>
	// <item-margin>0</item-margin>
// </Team>
$kodeforest_shortcodes['teams'] = array(
	'no_preview' => true,
	'params' => array(
		
		'size' => array(
			'type' => 'select',
			'label' => __( 'Size', 'music-night' ),
			'desc' => __( 'Select the size of shortcode element', 'music-night' ),
			'options' => array(
				'element1-1' => 'Full Width',
			)
		),
		'header' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Header Title', 'music-night'),
			'desc' => __('Add header title here', 'music-night')
		),
		'category' => array(
			'type' => 'select',
			'label' => __( 'Select Category', 'music-night' ),
			'desc' => __( 'Select category to fetch its items', 'music-night' ),
			'options' => $team_category
		),
		'num_fetch' => array(
			'std' => 4,
			'type' => 'select',
			'label' => __( 'Fetch number of items/posts', 'music-night' ),
			'desc' => __( 'Select number of items/posts to show on page', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 20, false )
		),
		'pagination' => array(
			'type' => 'select',
			'label' => __( 'Pagination', 'music-night' ),
			'desc' => __( 'Do you want to turn on pagination.', 'music-night' ),
			'options' => array(
				'Yes' => 'Yes',
				'No' => 'No',
			)
		),
		'item_margin' => array(
			'std' => 30,
			'type' => 'select',
			'label' => __( 'Item Margin', 'music-night' ),
			'desc' => __( 'Select margin from bottom', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		
	),
	'shortcode' => '[teams size="{{size}}" header="{{header}}" category="{{category}}" num_fetch="{{num_fetch}}" pagination="{{pagination}}" item_margin="{{item_margin}}"][/teams]',
	'popup_title' => __( 'Teams Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Button Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['button'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Class', 'music-night'),
			'desc' => __('Add the button\'s class ex: kode_link_1, kode_link_2, kode_link_3', 'music-night')
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Button Style', 'music-night'),
			'desc' => __('Select the button\'s style', 'music-night'),
			'options' => array(
				'type-1' => 'Style 1',
				'type-2' => 'Style 2',
				'type-3' => 'Style 3',
			)
		),
		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'iconcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Icon Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'iconbgcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Select Background Color', 'music-night'),
			'desc' => __('Set the color of the Button background.', 'music-night')
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'music-night'),
			'desc' => __('Add the button\'s url ex: http://example.com', 'music-night')
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'music-night'),
			'desc' => __('_self = open in same window <br />_blank = open in new window', 'music-night'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'color' => array(
			'type' => 'colorpicker',
			'label' => __('Select Text Color', 'music-night'),
			'desc' => __('Set the color of the Button text.', 'music-night')
		),
		'bgcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Select Background Color', 'music-night'),
			'desc' => __('Set the color of the Button background.', 'music-night')
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Button Size', 'music-night'),
			'desc' => __('Select the button\'s size', 'music-night'),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large'
			)
		),
		'content' => array(
			'std' => 'Button Text',
			'type' => 'text',
			'label' => __('Button\'s Text', 'music-night'),
			'desc' => __('Add the text that will display in the button', 'music-night'),
		),
	),
	'shortcode' => '[button class="{{class}}" style="{{style}}" icon="{{icon}}" iconcolor="{{iconcolor}}" iconbgcolor="{{iconbgcolor}}" url="{{url}}" target="{{target}}" color="{{color}}" bgcolor="{{bgcolor}}" size="{{size}}" ]{{content}}[/button]',
	'popup_title' => __('Button Shortcode', 'music-night')
);
/*-----------------------------------------------------------------------------------*/
/*	imagetoaction Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['imagetoaction'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Class', 'music-night'),
			'desc' => __('Add the image to action class.', 'music-night')
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title of image', 'music-night'),
			'desc' => __('Add the title of the image', 'music-night')
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Image Style', 'music-night'),
			'desc' => __('Select the image to action \'s style', 'music-night'),
			'options' => array(
				'type-1' => 'Style 1',
				'type-2' => 'Style 2',
				'type-3' => 'Style 3',
			)
		),
		'overlaycolor' => array(
			'type' => 'colorpicker',
			'label' => __('Select Image Overlay Color', 'music-night'),
			'desc' => __('Set the color of the image overlay color on hover.', 'music-night')
		),
		'opactiy' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Overlay Opacity', 'music-night'),
			'desc' => __('Add image overlay opacity', 'music-night')
		),
		'image' => array(
			'type' => 'uploader',
			'label' => __('Image', 'music-night'),
			'desc' => 'add the image to show'
		),
		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Button Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'iconcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Button Icon Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'music-night'),
			'desc' => __('Add the button\'s url ex: http://example.com', 'music-night')
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'music-night'),
			'desc' => __('_self = open in same window <br />_blank = open in new window', 'music-night'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		
	),
	'shortcode' => '[imagetoaction class="{{class}}" style="{{style}}" title="{{title}}" image="{{image}}" icon="{{icon}}" iconcolor="{{iconcolor}}" url="{{url}}" target="{{target}}" overlaycolor="{{overlaycolor}}" opactiy="{{opactiy}}" ][/imagetoaction]',
	'popup_title' => __('Image to Action Shortcode', 'music-night')
);


/*-----------------------------------------------------------------------------------*/
/*	Checklist Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['checklist'] = array(
	'params' => array(

		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'iconcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Icon Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'circle' => array(
			'type' => 'select',
			'label' => __('Icon in Circle', 'music-night'),
			'desc' => __('Choose to display the icon in a circle', 'music-night'),
			'options' => $choices
		),
	),

	'shortcode' => '[checklist icon="{{icon}}" iconcolor="{{iconcolor}}" circle="{{circle}}"]&lt;ul&gt;{{child_shortcode}}&lt;/ul&gt;[/checklist]',
	'popup_title' => __('Checklist Shortcode', 'music-night'),
	'no_preview' => true,

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'content' => array(
				'std' => 'Your Content Goes Here',
				'type' => 'textarea',
				'label' => __( 'List Item Content', 'music-night' ),
				'desc' => __( 'Add list item content', 'music-night' ),
			),
		),
		'shortcode' => '&lt;li&gt;{{content}}&lt;/li&gt;',
		'clone_button' => __('Add New List Item', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	Dropcap Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['dropcap'] = array(
	'no_preview' => true,
	'params' => array(
		'color' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Dropcap color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
		'content' => array(
			'std' => 'A',
			'type' => 'textarea',
			'label' => __( 'Dropcap Letter', 'music-night' ),
			'desc' => __( 'Add the letter to be used as dropcap', 'music-night' ),
		)

	),
	'shortcode' => '[dropcap color="{{color}}"]{{content}}[/dropcap]',
	'popup_title' => __( 'Dropcap Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Call To Action Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['calltoaction'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Add Action Class', 'music-night'),
			'desc' => __('Add class of the action.', 'music-night')
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title Text of action', 'music-night'),
			'desc' => __('Add title of the action.', 'music-night')
		),
		'color' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Choose color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Select Style', 'music-night'),
			'desc' => 'Select alignment of call to action text.',
			'options' => array(
				'style-1' => 'Style 1',
				'style-2' => 'Style 2',
				// 'style-3' => 'style 3'
			)
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Alignment', 'music-night'),
			'desc' => 'Select alignment of call to action text.',
			'options' => array(
				'left' => 'Left',
				'right' => 'Right',
				'center' => 'Center'
			)
		),
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __( 'Description', 'music-night' ),
			'desc' => __( 'Add the description of call to action here', 'music-night' ),
		),
		'btn_text' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Text', 'music-night'),
			'desc' => __('Add button text of the action.', 'music-night')
		),
		'btn_url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'music-night'),
			'desc' => __('Add button URL of the action.', 'music-night')
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Select Target', 'music-night'),
			'desc' => 'Select target of call to action link.',
			'options' => array(
				'_blank' => 'Blank',
				'_self' => 'Self',
				// 'style-3' => 'style 3'
			)
		),
	),
	'shortcode' => '[calltoaction class="{{class}}" style="{{style}}" title="{{title}}" color="{{color}}" align="{{align}}" btn_text="{{btn_text}}" target="{{target}}" btn_url="{{btn_url}}" ]{{content}}[/calltoaction]',
	'popup_title' => __( 'Call to Action Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Theme Button Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['theme_button'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Class', 'music-night'),
			'desc' => __('Add button class here.', 'music-night')
		),
		'btn_text' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Text', 'music-night'),
			'desc' => __('Add Button Text Here.', 'music-night')
		),
		'color' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Button Text color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Alignment', 'music-night'),
			'desc' => 'Select alignment of call to action text.',
			'options' => array(
				'left' => 'Left',
				'right' => 'Right',
				'center' => 'Center'
			)
		),
		'btn_background' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Button Background color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
		'btn_url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'music-night'),
			'desc' => __('Add button URL of the action.', 'music-night')
		)
	),
	'shortcode' => '[theme_button class="{{class}}" btn_text="{{btn_text}}" color="{{color}}" align="{{align}}" btn_background="{{btn_background}}" btn_url="{{btn_url}}" ][/theme_button]',
	'popup_title' => __( 'Call to Action Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Social Network Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['social_network'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Social Network Class', 'music-night'),
			'desc' => __('Add social network class here.', 'music-night')
		),
		
	),
	'shortcode' => '[social_network class="{{class}}" ][/social_network]',
	'popup_title' => __( 'Social Network Shortcode', 'music-night' )
);
$kodeforest_shortcodes['our_clients'] = array(
	'params' => array(

		
	),
	'no_preview' => true,
	'shortcode' => '[our_clients]{{child_shortcode}}[/our_clients]',
	'popup_title' => __('Insert Tab Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
		
			'image' => array(
				'type' => 'uploader',
				'label' => __('client Image', 'music-night'),
				'desc' => 'Clicking this image will show lightbox'
			),
			'link' => array(
				'std' => 'Link',
				'type' => 'text',
				'label' => __('Add link for client', 'music-night'),
				'desc' => __('link for client', 'music-night'),
			)
		),
		'shortcode' => '[client link="{{link}}" image="{{image}}" ][/client]',
		'clone_button' => __('Add Client', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	Social Network Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['list_items'] = array(
	'no_preview' => true,
	'params' => array(
		'class' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Social Network Class', 'music-night'),
			'desc' => __('Add social network class here.', 'music-night')
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Alignment', 'music-night'),
			'desc' => 'Select alignment of call to action text.',
			'options' => array(
				'left' => 'Left',
				'right' => 'Right',
				'center' => 'Center'
			)
		),
	),
	'shortcode' => '[list_items class="{{class}}" align={{align}}]{{child_shortcode}}[/list_items]',
	'popup_title' => __( 'List Items Shortcode', 'music-night' ),
	'child_shortcode' => array(
		'params' => array(
			'icon' => array(
				'type' => 'iconpicker',
				'label' => __('Select Icon', 'music-night'),
				'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
				'options' => $icons
			),
			'title' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Title ', 'music-night'),
				'desc' => __('Add title here.', 'music-night')
			),
			'caption' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Caption ', 'music-night'),
				'desc' => __('Add title here.', 'music-night')
			),
			'link' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Link ', 'music-night'),
				'desc' => __('Add external Link here.', 'music-night')
			),
			'color' => array(
				'type' => 'colorpicker',
				'std' => '',
				'label' => __('Button Text color', 'music-night'),
				'desc' => 'Leave blank for default'
			),
		),
		'shortcode' => '[list_item icon="{{icon}}" title="{{title}}" link="{{link}}" caption="{{caption}}" color="{{color}}" ][/list_item]',
		'clone_button' => __('Add Item', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	FontAwesome Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['fontawesome'] = array(
	'no_preview' => true,
	'params' => array(

		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'circle' => array(
			'type' => 'select',
			'label' => __('Icon in Circle', 'music-night'),
			'desc' => 'Choose to display the icon in a circle',
			'options' => $choices
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Size of Icon', 'music-night'),
			'desc' => 'Select the size of the icon',
			'options' => array(
				'large' => 'Large',
				'medium' => 'Medium',
				'small' => 'Small'
			)
		),
		'iconcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Icon Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'circlecolor' => array(
			'type' => 'colorpicker',
			'label' => __('Icon Circle Background Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'circlebordercolor' => array(
			'type' => 'colorpicker',
			'label' => __('Icon Circle Border Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
	),
	'shortcode' => '[fontawesome icon="{{icon}}" circle="{{circle}}" size="{{size}}" iconcolor="{{iconcolor}}" circlecolor="{{circlecolor}}" circlebordercolor="{{circlebordercolor}}"]',
	'popup_title' => __( 'FontAwesome Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Fullwidth Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['fullwidth'] = array(
	'no_preview' => true,
	'params' => array(
		'backgroundcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Background Color', 'music-night'),
			'desc' => __('Leave blank for default', 'music-night')
		),
		'backgroundimage' => array(
			'type' => 'uploader',
			'label' => __('Backgrond Image', 'music-night'),
			'desc' => 'Upload an image to display in the background'
		),
		'backgroundrepeat' => array(
			'type' => 'select',
			'label' => __('Background Repeat', 'music-night'),
			'desc' => 'Choose how the background image repeats.',
			'options' => array(
				'no-repeat' => 'No Repeat',
				'repeat' => 'Repeat Vertically and Horizontally',
				'repeat-x' => 'Repeat Horizontally',
				'repeat-y' => 'Repeat Vertically'
			)
		),
		'backgroundposition' => array(
			'type' => 'select',
			'label' => __('Background Position', 'music-night'),
			'desc' => 'Choose the postion of the background image',
			'options' => array(
				'left top' => 'Left Top',
				'left center' => 'Left Center',
				'left bottom' => 'Left Bottom',
				'right top' => 'Right Top',
				'right center' => 'Right Center',
				'right bottom' => 'Right Bottom',
				'center top' => 'Center Top',
				'center center' => 'Center Center',
				'center bottom' => 'Center Bottom'
			)
		),
		'backgroundattachment' => array(
			'type' => 'select',
			'label' => __('Background Scroll', 'music-night'),
			'desc' => 'Choose how the background image scrolls',
			'options' => array(
				'scroll' => 'Scroll: background scrolls along with the element',
				'fixed' => 'Fixed: background is fixed giving a parallax effect',
				'local' => 'Local: background scrolls along with the element\'s contents'
			)
		),
		'paddingtop' => array(
			'std' => 20,
			'type' => 'select',
			'label' => __( 'Padding Top', 'music-night' ),
			'desc' => __( 'In pixels', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		'paddingbottom' => array(
			'std' => 20,
			'type' => 'select',
			'label' => __( 'Padding Bottom', 'music-night' ),
			'desc' => __( 'In pixels', 'music-night' ),
			'options' => kodeforest_shortcodes_range( 100, false )
		),
		'content' => array(
			'std' => 'Your Content Goes Here',
			'type' => 'textarea',
			'label' => __( 'Content', 'music-night' ),
			'desc' => __( 'Add content', 'music-night' ),
		),
	),
	'shortcode' => '[fullwidth backgroundcolor="{{backgroundcolor}}" backgroundimage="{{backgroundimage}}" backgroundrepeat="{{backgroundrepeat}}" backgroundposition="{{backgroundposition}}" backgroundattachment="{{backgroundattachment}}" paddingTop="{{paddingtop}}px" paddingBottom="{{paddingbottom}}px"]{{content}}[/fullwidth]',
	'popup_title' => __( 'Fullwidth Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Google Map Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['googlemap'] = array(
	'no_preview' => true,
	'params' => array(

		'type' => array(
			'type' => 'select',
			'label' => __('Map Type', 'music-night'),
			'desc' => __('Select the type of google map to display', 'music-night'),
			'options' => array(
				'roadmap' => 'Roadmap',
				'satellite' => 'Satellite',
				'hybrid' => 'Hybrid',
				'terrain' => 'Terrain'
			)
		),
		'width' => array(
			'std' => '100%',
			'type' => 'text',
			'label' => __('Map Width', 'music-night'),
			'desc' => __('Map Width in Percentage or Pixels', 'music-night')
		),
		'height' => array(
			'std' => '300px',
			'type' => 'text',
			'label' => __('Map Height', 'music-night'),
			'desc' => __('Map Height in Percentage or Pixels', 'music-night')
		),
		'zoom' => array(
			'std' => 14,
			'type' => 'select',
			'label' => __('Zoom Level', 'music-night'),
			'desc' => 'Higher number will be more zoomed in.',
			'options' => kodeforest_shortcodes_range( 25, false )
		),
		'scrollwheel' => array(
			'type' => 'select',
			'label' => __('Scrollwheel on Map', 'music-night'),
			'desc' => 'Enable zooming using a mouse\'s scroll wheel',
			'options' => $choices
		),
		'scale' => array(
			'type' => 'select',
			'label' => __('Show Scale Control on Map', 'music-night'),
			'desc' => 'Display the map scale',
			'options' => $choices
		),
		'zoom_pancontrol' => array(
			'type' => 'select',
			'label' => __('Show Pan Control on Map', 'music-night'),
			'desc' => 'Displays pan control button',
			'options' => $choices
		),
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __( 'Address', 'music-night' ),
			'desc' => __( 'Add address to the location which will show up on map. For multiple addresses, separate addresses by using the | symbol. <br />ex: Address 1|Address 2|Address 3', 'music-night' ),
		)
	),
	'shortcode' => '[map address="{{content}}" type="{{type}}" width="{{width}}" height="{{height}}" zoom="{{zoom}}" scrollwheel="{{scrollwheel}}" scale="{{scale}}" zoom_pancontrol="{{zoom_pancontrol}}"][/map]',
	'popup_title' => __( 'Google Map Shortcode', 'music-night' ),
);

/*-----------------------------------------------------------------------------------*/
/*	Donation Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['kodeproperty_donation'] = array(
	'no_preview' => true,
	'params' => array(

		'email' => array(
			'std' => 'info@example.com',
			'type' => 'text',
			'label' => __('Email', 'music-night'),
			'desc' => __('Add paypal email where you want to receive donation.', 'music-night')
		),
		'notify' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Process Page URL', 'music-night'),
			'desc' => __('Process page URL where you want to store any value to database.', 'music-night')
		),
		'success' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Thank you page', 'music-night'),
			'desc' => 'Thank you page or sucess page.',			
		)
	),
	'shortcode' => '[kodeproperty_donation email="{{email}}" notify="{{notify}}" success="{{success}}" ][/kodeproperty_donation]',
	'popup_title' => __( 'Donation Shortcode', 'music-night' ),
);
/*-----------------------------------------------------------------------------------*/
/*	Highlight Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['highlight'] = array(
	'no_preview' => true,
	'params' => array(

		'color' => array(
			'type' => 'colorpicker',
			'label' => __('Highlight Text Color', 'music-night'),
			'desc' => __('Pick a highlight color', 'music-night')
		),
		'bg_color' => array(
			'type' => 'colorpicker',
			'label' => __('Highlight Background Color', 'music-night'),
			'desc' => __('Pick a highlight color', 'music-night')
		),
		
		'content' => array(
			'std' => 'Your Content Goes Here',
			'type' => 'textarea',
			'label' => __( 'Content to Higlight', 'music-night' ),
			'desc' => __( 'Add your content to be highlighted', 'music-night' ),
		)

	),
	'shortcode' => '[highlight color="{{color}}" bg_color="{{bg_color}}"]{{content}}[/highlight]',
	'popup_title' => __( 'Highlight Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Lightbox Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['lightbox'] = array(
	'no_preview' => true,
	'params' => array(

		'full_image' => array(
			'type' => 'uploader',
			'label' => __('Full Image', 'music-night'),
			'desc' => 'Upload an image that will show up in the lightbox'
		),
		'thumb_image' => array(
			'type' => 'uploader',
			'label' => __('Thumbnail Image', 'music-night'),
			'desc' => 'Clicking this image will show lightbox'
		),
		'alt' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Alt Text', 'music-night'),
			'desc' => 'The alt attribute provides alternative information if an image cannot be viewed'
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Lightbox Description', 'music-night'),
			'desc' => 'This will show up in the lightbox as a description below the image'
		),
	),
	'shortcode' => '&lt;a title="{{title}}" href="{{full_image}}" rel="prettyPhoto"&gt;&lt;img alt="{{alt}}" src="{{thumb_image}}" /&gt;&lt;/a&gt;',
	'popup_title' => __( 'Lightbox Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Team/Persons Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['member'] = array(
	'no_preview' => true,
	'params' => array(

		'picture' => array(
			'type' => 'uploader',
			'label' => __('Picture', 'music-night'),
			'desc' => 'Upload an image to display'
		),
		'pic_link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Picture Link URL', 'music-night'),
			'desc' => 'Add the URL the picture will link to, ex: http://example.com'
		),
		'name' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Name', 'music-night'),
			'desc' => 'Insert the name of the person'
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => 'Insert the title of the person'
		),
		'email' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Email Address', 'music-night'),
			'desc' => 'Insert an email address to display the email icon'
		),
		'facebook' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Facebook Profile Link', 'music-night'),
			'desc' => 'Insert a url to display the facebook icon'
		),
		'twitter' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Twitter Profile Link', 'music-night'),
			'desc' => 'Insert a url to display the twitter icon'
		),
		'linkedin' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('LinkedIn Profile Link', 'music-night'),
			'desc' => 'Insert a url to display the linkedin icon'
		),
		'dribbble' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Dribbble Profile Link', 'music-night'),
			'desc' => 'Insert a url to display the dribbble icon'
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Link Target', 'music-night'),
			'desc' => __('_self = open in same window <br /> _blank = open in new window', 'music-night'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Profile Description', 'music-night'),
			'desc' => 'Enter the content to be displayed'
		),
	),
	'shortcode' => '[member name="{{name}}" picture="{{picture}}" pic_link="{{pic_link}}" title="{{title}}" email="{{email}}" facebook="{{facebook}}" twitter="{{twitter}}" linkedin="{{linkedin}}" dribbble="{{dribbble}}" linktarget="{{target}}"]{{content}}[/member]',
	'popup_title' => __( 'Member Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Separator Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['separator'] = array(
	'no_preview' => true,
	'params' => array(

		'style' => array(
			'type' => 'select',
			'label' => __( 'Style', 'music-night' ),
			'desc' => 'Choose the separator line style',
			'options' => array(
				'none' => 'No Style',
				'single' => 'Single Border',
				'double' => 'Double Border',
				'dashed' => 'Dashed Border',
				'dotted' => 'Dotted Border',
				'shadow' => 'Shadow'
			)
		),
		'top' => array(
			'std' => 40,
			'type' => 'select',
			'label' => __('Margin Top', 'music-night'),
			'desc' => 'Spacing above the separator',
			'options' => kodeforest_shortcodes_range( 100, false, false, 0 )
		),
		'bottom' => array(
			'std' => 40,
			'type' => 'select',
			'label' => __('Margin Bottom', 'music-night'),
			'desc' => 'Spacing below the separator',
			'options' => kodeforest_shortcodes_range( 100, false, false, 0 )
		)
	),
	'shortcode' => '[separator top="{{top}}" bottom="{{bottom}}" style="{{style}}"]',
	'popup_title' => __( 'Separator Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Sharing Box Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['sharingbox'] = array(
	'no_preview' => true,
	'params' => array(

		'tagline' => array(
			'std' => 'Share This Story, Choose Your Platform!',
			'type' => 'text',
			'label' => __('Tagline', 'music-night'),
			'desc' => 'The title tagline that will display'
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => 'The post title that will be shared'
		),
		'link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Link', 'music-night'),
			'desc' => 'The link that will be shared'
		),
		'description' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Description', 'music-night'),
			'desc' => 'The description that will be shared'
		),
		'link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Link to Share', 'music-night'),
			'desc' => ''
		),
		'pinterest_image' => array(
			'std' => '',
			'type' => 'uploader',
			'label' => __('Choose Image to Share on Pinterest', 'music-night'),
			'desc' => ''
		),
		'backgroundcolor' => array(
			'type' => 'colorpicker',
			'label' => __('Background Color', 'music-night'),
			'desc' => __('Leave blank for default color', 'music-night')
		),
	),
	'shortcode' => '[sharing tagline="{{tagline}}" title="{{title}}" link="{{link}}" description="{{description}}" pinterest_image="{{pinterest_image}}" backgroundcolor="{{backgroundcolor}}"][/sharing]',
	'popup_title' => __( 'Sharing Box Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	SoundCloud Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['soundcloud'] = array(
	'no_preview' => true,
	'params' => array(

		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('SoundCloud Url', 'music-night'),
			'desc' => 'The SoundCloud url, ex: http://api.soundcloud.com/tracks/110813479'
		),
		'comments' => array(
			'type' => 'select',
			'label' => __('Show Comments', 'music-night'),
			'desc' => 'Choose to display comments',
			'options' => $choices
		),
		'auto_play' => array(
			'type' => 'select',
			'label' => __('Autoplay', 'music-night'),
			'desc' => 'Choose to autoplay the track',
			'options' => $reverse_choices
		),
		'color' => array(
			'type' => 'colorpicker',
			'std' => '#ff7700',
			'label' => __('Color', 'music-night'),
			'desc' => 'Select the color of the shortcode'
		),
		'width' => array(
			'std' => '100%',
			'type' => 'text',
			'label' => __('Width', 'music-night'),
			'desc' => 'In pixels (px) or percentage (%)'
		),
		'height' => array(
			'std' => '81px',
			'type' => 'text',
			'label' => __('Height', 'music-night'),
			'desc' => 'In pixels (px)'
		),
	),
	'shortcode' => '[soundcloud url="{{url}}" comments="{{comments}}" auto_play="{{auto_play}}" color="{{color}}" width="{{width}}" height="{{height}}"]',
	'popup_title' => __( 'Sharing Box Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Social Links Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['sociallinks'] = array(
	'no_preview' => true,
	'params' => array(

		'colorscheme' => array(
			'type' => 'select',
			'label' => __('Color Scheme', 'music-night'),
			'desc' => 'Choose the color scheme for the social links',
			'options' => array(
				'' => 'Default',
				'light' => 'Light',
				'dark' => 'Dark'
			)
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Link Target', 'music-night'),
			'desc' => __('_self = open in same window <br />_blank = open in new window', 'music-night'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'rss' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('RSS Link', 'music-night'),
			'desc' => 'Insert your custom RSS link'
		),
		'facebook' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Facebook Link', 'music-night'),
			'desc' => 'Insert your custom Facebook link'
		),
		'twitter' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Twitter Link', 'music-night'),
			'desc' => 'Insert your custom Twitter link'
		),
		'dribbble' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Dribbble Link', 'music-night'),
			'desc' => 'Insert your custom Dribbble link'
		),
		'google' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Google+ Link', 'music-night'),
			'desc' => 'Insert your custom Google+ link'
		),
		'linkedin' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('LinkedIn Link', 'music-night'),
			'desc' => 'Insert your custom LinkedIn link'
		),
		'blogger' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Blogger Link', 'music-night'),
			'desc' => 'Insert your custom Blogger link'
		),
		'tumblr' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Tumblr Link', 'music-night'),
			'desc' => 'Insert your custom Tumblr link'
		),
		'reddit' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Reddit Link', 'music-night'),
			'desc' => 'Insert your custom Reddit link'
		),
		'yahoo' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Yahoo Link', 'music-night'),
			'desc' => 'Insert your custom Yahoo link'
		),
		'deviantart' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Deviantart Link', 'music-night'),
			'desc' => 'Insert your custom Deviantart link'
		),
		'vimeo' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Vimeo Link', 'music-night'),
			'desc' => 'Insert your custom Vimeo link'
		),
		'youtube' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Youtube Link', 'music-night'),
			'desc' => 'Insert your custom Youtube link'
		),
		'pinterest' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Pinterst Link', 'music-night'),
			'desc' => 'Insert your custom Pinterest link'
		),
		'digg' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Digg Link', 'music-night'),
			'desc' => 'Insert your custom Digg link'
		),
		'flickr' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Flickr Link', 'music-night'),
			'desc' => 'Insert your custom Flickr link'
		),
		'forrst' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Forrst Link', 'music-night'),
			'desc' => 'Insert your custom Forrst link'
		),
		'myspace' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Myspace Link', 'music-night'),
			'desc' => 'Insert your custom Myspace link'
		),
		'skype' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Skype Link', 'music-night'),
			'desc' => 'Insert your custom Skype link'
		),
		'show_custom' => array(
			'type' => 'select',
			'label' => __('Show Custom Social Icon', 'music-night'),
			'desc' => __('Show the custom social icon specified in Theme Options', 'music-night'),
			'options' => $reverse_choices
		),
	),
	'shortcode' => '[social_links colorscheme="{{colorscheme}}" linktarget="{{target}}" rss="{{rss}}" facebook="{{facebook}}" twitter="{{twitter}}" dribbble="{{dribbble}}" google="{{google}}" linkedin="{{linkedin}}" blogger="{{blogger}}" tumblr="{{tumblr}}" reddit="{{reddit}}" yahoo="{{yahoo}}" deviantart="{{deviantart}}" vimeo="{{vimeo}}" youtube="{{youtube}}" pinterest="{{pinterest}}" digg="{{digg}}" flickr="{{flickr}}" forrst="{{forrst}}" myspace="{{myspace}}" skype="{{skype}}" show_custom="{{show_custom}}"]',
	'popup_title' => __( 'Social Links Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Tabs Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['our_clients'] = array(
	'params' => array(

		
	),
	'no_preview' => true,
	'shortcode' => '[our_clients]{{child_shortcode}}[/our_clients]',
	'popup_title' => __('Insert Tab Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
		
			'image' => array(
				'type' => 'uploader',
				'label' => __('client Image', 'music-night'),
				'desc' => 'Clicking this image will show lightbox'
			),
			'link' => array(
				'std' => 'Link',
				'type' => 'text',
				'label' => __('Add link for client', 'music-night'),
				'desc' => __('link for client', 'music-night'),
			)
		),
		'shortcode' => '[client link="{{link}}" image="{{image}}"][/client]',
		'clone_button' => __('Add Client', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	Tabs Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['image_gallery'] = array(
	'params' => array(
		'gallery_col' => array(
			'type' => 'select',
			'label' => __('Gallery Column', 'music-night'),
			'desc' => __('Select gallery column to show it in grid view.', 'music-night'),
			'options' => array(
				'2' => '2 Column',
				'3' => '3 Column',
				'4' => '4 Column'
			)
		),
	),
	'no_preview' => true,
	'shortcode' => '[image_gallery gallery_col="{{gallery_col}}"]{{child_shortcode}}[/image_gallery]',
	'popup_title' => __('Insert Tab Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
		
			'image' => array(
				'type' => 'uploader',
				'label' => __('client Image', 'music-night'),
				'desc' => 'Clicking this image will show lightbox'
			),
			'link' => array(
				'std' => 'Link',
				'type' => 'text',
				'label' => __('Add link for client', 'music-night'),
				'desc' => __('link for client', 'music-night'),
			)
		),
		'shortcode' => '[gallery_item link="{{link}}" image="{{image}}"][/gallery_item]',
		'clone_button' => __('Add Gallery', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	Tabs Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['tabs'] = array(
	'params' => array(

		'layout' => array(
			'type' => 'select',
			'label' => __('Layout', 'music-night'),
			'desc' => 'Choose the layout of the shortcode',
			'options' => array(
				'horizontal' => 'Horizontal',
				'vertical' => 'Vertical'
			)
		),
		'backgroundcolor' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Background Color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
		'inactivecolor' => array(
			'type' => 'colorpicker',
			'std' => '',
			'label' => __('Inactive Color', 'music-night'),
			'desc' => 'Leave blank for default'
		),
	),
	'no_preview' => true,
	'shortcode' => '[tabs layout="{{layout}}" backgroundcolor="{{backgroundcolor}}" inactivecolor="{{inactivecolor}}"]{{child_shortcode}}[/tabs]',
	'popup_title' => __('Insert Tab Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
			'title' => array(
				'std' => 'Title',
				'type' => 'text',
				'label' => __('Tab Title', 'music-night'),
				'desc' => __('Title of the tab', 'music-night'),
			),
			'content' => array(
				'std' => 'Tab Content',
				'type' => 'textarea',
				'label' => __('Tab Content', 'music-night'),
				'desc' => __('Add the tabs content', 'music-night')
			)
		),
		'shortcode' => '[tab title="{{title}}"]{{content}}[/tab]',
		'clone_button' => __('Add Tab', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	Title Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['title'] = array(
	'no_preview' => true,
	'params' => array(

		'size' => array(
			'type' => 'select',
			'label' => __('Title Size', 'music-night'),
			'desc' => 'Choose the title size, H1-H6',
			'options' => kodeforest_shortcodes_range( 6, false )
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Select Alignment', 'music-night'),
			'desc' => 'Choose the alinment of the text shortcode',
			'options' => array(
				'left' => 'left',
				'right' => 'right',
				'center' => 'center',
				'none' => 'none'
			)
		),
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Title', 'music-night'),
			'desc' => 'Insert the title text'
		),
	),
	'shortcode' => '[title align="{{align}}" size="{{size}}"]{{content}}[/title]',
	'popup_title' => __( 'Sharing Box Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Toggles Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['accordion'] = array(
	'params' => array(

	),
	'no_preview' => true,
	'shortcode' => '[accordian]{{child_shortcode}}[/accordian]',
	'popup_title' => __('Insert Toggles Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
			'title' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Title', 'music-night'),
				'desc' => 'Insert the accordion title',
			),
			'open' => array(
				'type' => 'select',
				'label' => __('Open by Default', 'music-night'),
				'desc' => 'Choose to have the accordion open when page loads',
				'options' => $reverse_choices
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Accordion Content', 'music-night'),
				'desc' => 'Insert the accordion content'
			)
		),
		'shortcode' => '[toggle title="{{title}}" open="{{open}}"]{{content}}[/toggle]',
		'clone_button' => __('Add Accordion', 'music-night')
	)
);
/*-----------------------------------------------------------------------------------*/
/*	Toggles Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['price_table'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Style', 'music-night'),
			'desc' => __('Select the Price Table Style.', 'music-night'),
			'options' => array(
				'style-1' => 'Style 1',
				'style-2' => 'Style 2',
			)
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => 'Insert the price table title',
		),
		'sub_title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Sub Title', 'music-night'),
			'desc' => 'Insert the price table sub title',
		),
		'price' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Price', 'music-night'),
			'desc' => 'Insert the price table price',
		),
		'duration' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Duration', 'music-night'),
			'desc' => 'Insert the price table duration',
		),
		'button' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Text', 'music-night'),
			'desc' => 'Insert the price table button text',
		),
		'button_url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'music-night'),
			'desc' => 'Insert the price table button url',
		),
		
	),
	'no_preview' => true,
	'shortcode' => '[price_table style="{{style}}" title="{{title}}" sub_title="{{sub_title}}" price="{{price}}" duration="{{duration}}" button="{{button}}" button_url="{{button_url}}"] {{child_shortcode}} [/price_table]',
	'popup_title' => __('Insert Price Table Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(
			'status' => array(
				'type' => 'select',
				'label' => __('Status', 'music-night'),
				'desc' => __('Select the Price Item Status.', 'music-night'),
				'options' => array(
					'enable' => 'Available',
					'disable' => 'Not Available',
				)
			),
			'link' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Link', 'music-night'),
				'desc' => 'Insert the price table items',
			),
			'content' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Item', 'music-night'),
				'desc' => 'Insert the price table items',
			),
		),
		'shortcode' => '[price_item link="{{link}}" content="{{content}}" status="{{status}}"]',
		'clone_button' => __('Add Price Item', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	Tooltip Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['tooltip'] = array(
	'no_preview' => true,
	'params' => array(
		
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Tooltip Text', 'music-night'),
			'desc' => 'Insert the text that displays in the tooltip'
		),
		
		'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Content', 'music-night'),
			'desc' => 'Insert the text that will activate the tooltip hover'
		),
	),
	'shortcode' => '[tooltip title="{{title}}"]{{content}}[/tooltip]',
	'popup_title' => __( 'Tooltip Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Vimeo Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['vimeo'] = array(
	'no_preview' => true,
	'params' => array(

		'id' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Video ID', 'music-night'),
			'desc' => 'For example the Video ID for <br />https://vimeo.com/75230326 is 75230326'
		),
		'width' => array(
			'std' => '600',
			'type' => 'text',
			'label' => __('Width', 'music-night'),
			'desc' => 'In pixels but only enter a number, ex: 600'
		),
		'height' => array(
			'std' => '350',
			'type' => 'text',
			'label' => __('Height', 'music-night'),
			'desc' => 'In pixels but enter a number, ex: 350'
		),
		'autoplay' => array(
			'type' => 'select',
			'label' => __( 'Autoplay Video', 'music-night' ),
			'desc' =>  __( 'Set to yes to make video autoplaying', 'music-night' ),
			'options' => $reverse_choices
		),
		'apiparams' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('AdditionalAPI Parameter', 'music-night'),
			'desc' => 'Use additional API parameter, for example &title=0 to disable title on video. VimeoPlus account may be required.'
		),
	),
	'shortcode' => '[vimeo id="{{id}}" width="{{width}}" height="{{height}}" autoplay="{{autoplay}}" api_params="{{apiparams}}"]',
	'popup_title' => __( 'Vimeo Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Youtube Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['youtube'] = array(
	'no_preview' => true,
	'params' => array(

		'id' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Video ID', 'music-night'),
			'desc' => 'For example the Video ID for <br />http://www.youtube.com/LOfeCR7KqUs is LOfeCR7KqUs'
		),
		'width' => array(
			'std' => '600',
			'type' => 'text',
			'label' => __('Width', 'music-night'),
			'desc' => 'In pixels but only enter a number, ex: 600'
		),
		'height' => array(
			'std' => '350',
			'type' => 'text',
			'label' => __('Height', 'music-night'),
			'desc' => 'In pixels but only enter a number, ex: 350'
		),
		'autoplay' => array(
			'type' => 'select',
			'label' => __( 'Autoplay Video', 'music-night' ),
			'desc' =>  __( 'Set to yes to make video autoplaying', 'music-night' ),
			'options' => $reverse_choices
		),
		'apiparams' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('AdditionalAPI Parameter', 'music-night'),
			'desc' => 'Use additional API parameter, for example &rel=0 to disable related videos'
		),
	),
	'shortcode' => '[youtube id="{{id}}" width="{{width}}" height="{{height}}" autoplay="{{autoplay}}" api_params="{{apiparams}}"]',
	'popup_title' => __( 'Vimeo Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	newsletter Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['newsletter'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Type', 'music-night'),
			'desc' => __('Select the newsletter Type.', 'music-night'),
			'options' => array(
				'mailchimp' => 'Mailchimp',
				'googlefeed' => 'Google Feed',
			)
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => 'Add title here.'
		),
		'caption' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('caption', 'music-night'),
			'desc' => 'Add caption here.'
		),
		'email' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Email ID', 'music-night'),
			'desc' => 'Add Email ID in order to receive subscribers.'
		),
		'layout' => array(
			'type' => 'select',
			'label' => __('Layout', 'music-night'),
			'desc' => __('Select the newsletter layout.', 'music-night'),
			'options' => array(
				'style-1' => 'Style 1',
				'style-2' => 'Style 2',
			)
		),
	),
	'shortcode' => '[newsletter type="{{type}}" title="{{title}}" caption="{{caption}}" email="{{email}}" layout={{layout}}]',
	'popup_title' => __( 'Newsletter Shortcode', 'music-night' )
);


/*-----------------------------------------------------------------------------------*/
/*	Columns Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['columns'] = array(
	'shortcode' => ' {{child_shortcode}} ', // as there is no wrapper shortcode
	'popup_title' => __('Insert Columns Shortcode', 'music-night'),
	'no_preview' => true,
	'params' => array(),

	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'column' => array(
				'type' => 'select',
				'label' => __('Column Type', 'music-night'),
				'desc' => __('Select the width of the column', 'music-night'),
				'options' => array(
					'one_third' => 'One Third',
					'two_third' => 'Two Thirds',
					'one_half' => 'One Half',
					'one_fourth' => 'One Fourth',
					'three_fourth' => 'Three Fourth',
				)
			),
			'last' => array(
				'type' => 'select',
				'label' => __('Last Column', 'music-night'),
				'desc' => 'Choose if the column is last in a set. This has to be set to "Yes" for the last column in a set',
				'options' => $reverse_choices
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Column Content', 'music-night'),
				'desc' => __('Insert the column content', 'music-night'),
			)
		),
		'shortcode' => '[{{column}} last="{{last}}"]{{content}}[/{{column}}] ',
		'clone_button' => __('Add Column', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	Toggles Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['book'] = array(
	'params' => array(
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => 'Insert the Book title',
		),
		'sub_title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Sub Title', 'music-night'),
			'desc' => 'Insert the book sub title',
		),
	),
	'no_preview' => true,
	'shortcode' => '[book title="{{title}}" sub_title="{{sub_title}}" ]{{child_shortcode}}[/book]',
	'popup_title' => __('Insert Book Shortcode', 'music-night'),

	'child_shortcode' => array(
		'params' => array(			
			'title' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Title', 'music-night'),
				'desc' => 'Insert the Page Title',
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Page Content', 'music-night'),
				'desc' => 'Insert the Page content',
			),
		),
		'shortcode' => '[page title="{{title}}"]{{content}}[/page]',
		'clone_button' => __('Add Page', 'music-night')
	)
);

/*-----------------------------------------------------------------------------------*/
/*	Project Facts Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['facts'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __( 'Fact Style', 'music-night' ),
			'desc' => __( 'Select the type of facts', 'music-night' ),
			'options' => array(
				'style-1' => 'Style 1',
				'style-2' => 'Style 2',
				'style-3' => 'Style 3',
			)
		),
		'icon' => array(
			'type' => 'iconpicker',
			'label' => esc_attr__('Select Icon', 'music-night'),
			'desc' => esc_attr__('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),	
		'color' => array(
			'type' => 'colorpicker',
			'label' => esc_attr__('Select Color', 'music-night'),
			'desc' => esc_attr__('Set the fact color.', 'music-night')
		),
		'value' => array(
			'std' => '',
			'type' => 'text',
			'label' => esc_attr__('Value', 'music-night'),
			'desc' => esc_attr__('Add Value here', 'music-night')
		),
		'sub_text' => array(
			'std' => '',
			'type' => 'text',
			'label' => esc_attr__('Sub Text', 'music-night'),
			'desc' => esc_attr__('Add Sub Text here', 'music-night')
		)
	),
	'shortcode' => '[facts type="{{type}}" icon="{{icon}}" color="{{color}}" value="{{value}}" sub_text="{{sub_text}}" ][/facts]',
	'popup_title' => esc_attr__( 'Project Facts Shortcode', 'music-night' )
);

/*-----------------------------------------------------------------------------------*/
/*	Services Config
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['services'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __( 'Services Style', 'music-night' ),
			'desc' => __( 'Select the type of services element', 'music-night' ),
			'options' => array(
				'style-1' => 'Style 1',
				'style-2' => 'Style 2',				
				'style-3' => 'Style 3',	
				'style-4' => 'Style 4',	
				'style-5' => 'Style 5',	
			)
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'music-night'),
			'desc' => __('Add title here', 'music-night')
		),
		'image' => array(
			'type' => 'uploader',
			'label' => __('Upload Image', 'music-night'),
			'desc' => 'Clicking this image will show beside box'
		),
		'icon' => array(
			'type' => 'iconpicker',
			'label' => __('Select Icon', 'music-night'),
			'desc' => __('Click an icon to select, click again to deselect', 'music-night'),
			'options' => $icons
		),
		'content' => array(
			'std' => 'Your Content Goes Here',
			'type' => 'textarea',
			'label' => __( 'Alert Content', 'music-night' ),
			'desc' => __( 'Insert the alert\'s content', 'music-night' ),
		),
		'button_text' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Text', 'music-night'),
			'desc' => __('Add Button Text here', 'music-night')
		),
		'button_link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button Link', 'music-night'),
			'desc' => __('Add Button Link here', 'music-night')
		),
		
	),
	'shortcode' => '[services type="{{type}}" title="{{title}}" image="{{image}}" icon="{{icon}}" button_text="{{button_text}}" button_link="{{button_link}}" ]{{content}}[/services]',
	'popup_title' => __( 'Services Shortcode', 'music-night' )
);


/*-----------------------------------------------------------------------------------*/
/*	Table Config
/*-----------------------------------------------------------------------------------*/

$kodeforest_shortcodes['table'] = array(
	'no_preview' => true,
	'params' => array(

		'type' => array(
			'type' => 'select',
			'label' => __('Type', 'music-night'),
			'desc' => __('Select the table style', 'music-night'),
			'options' => array(
				'1' => 'Style 1',
				'2' => 'Style 2',
			)
		),
		'columns' => array(
			'type' => 'select',
			'label' => __('Number of Columns', 'music-night'),
			'desc' => 'Select how many columns to display',
			'options' => array(
				'1' => '1 Column',
				'2' => '2 Columns',
				'3' => '3 Columns',
				'4' => '4 Columns'
			)
		)
	),
	'shortcode' => '',
	'popup_title' => __( 'Table Shortcode', 'music-night' )
);

$kodeforest_shortcodes['next_event'] = array(
	'no_preview' => true,
	'params' => array(
		'heading' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Heading', 'music-night'),
			'desc' => __('Add heading text here', 'music-night')
		),
		'sub_heading' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Sub Heading', 'music-night'),
			'desc' => __('Add Sub Heading here', 'music-night')
		),
		'event' => array(
			'type' => 'select',
			'label' => __( 'Select Event', 'music-night' ),
			'desc' => __( 'Select the Event', 'music-night' ),
			'options' => get_post_list_sc('event'),
		),		
	),
	'shortcode' => '[next_event heading="{{heading}}" sub_heading="{{sub_heading}}" event="{{event}}" ][/next_event]',
	'popup_title' => __( 'Next Event Shortcode', 'music-night' )
);
/*-----------------------------------------------------------------------------------*/
/*	Speakers Tickets Shortcodes
/*-----------------------------------------------------------------------------------*/
$kodeforest_shortcodes['tickets'] = array(
	'no_preview' => true,
	'params' => array(
		'heading' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Heading', 'music-night'),
			'desc' => __('Add Heading here here', 'music-night'),
		),
		'ticket_title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Ticket Title', 'music-night'),
			'desc' => __('Add Ticket type here here', 'music-night'),
		),
		'ticket_price' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Ticket Price', 'music-night'),
			'desc' => __('Add Ticket Price value here', 'music-night'),
		),
		'ticket_qty' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Tickets Quantity', 'music-night'),
			'desc' => __('Add Tickets Quantity here', 'music-night'),
		),
		'ticket_book' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Ticket Button Now Text', 'music-night'),
			'desc' => __('Add Tickets Book Text here.', 'music-night'),
		),		
	),
	'shortcode' => '[tickets heading="{{heading}}" ticket_title="{{ticket_title}}" ticket_price="{{ticket_price}}" ticket_qty="{{ticket_qty}}" ticket_book="{{ticket_book}}" ] {{child_shortcode}} [/tickets]',
	'popup_title' => __( 'Events Tickets Shortcode', 'music-night' ),
	'no_preview' => true,
	
	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'class' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Class', 'music-night'),
				'desc' => __('Add class here here', 'music-night'),
			),
			'ticket_type' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Ticket Type', 'music-night'),
				'desc' => __('Add Ticket type here here', 'music-night'),
			),
			'ticket_price' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Ticket Price', 'music-night'),
				'desc' => __('Add Ticket Price value here', 'music-night'),
			),
			'ticket_qty' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Tickets Quantity', 'music-night'),
				'desc' => __('Add Tickets Quantity here', 'music-night'),
			),
			'ticket_book' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Ticket Button Now', 'music-night'),
				'desc' => __('Add Tickets Button text here.', 'music-night'),
			),
			'ticket_book_url' => array(
				'std' => '',
				'type' => 'text',
				'label' => __('Ticket Book Now URL', 'music-night'),
				'desc' => __('Add Tickets Button URL text here.', 'music-night'),
			),
		),
		'shortcode' => '[tickets_item class="{{class}}" ticket_type="{{ticket_type}}" ticket_price="{{ticket_price}}" ticket_qty="{{ticket_qty}}" ticket_book="{{ticket_book}}" ticket_book_url="{{ticket_book_url}}" ][/tickets_item]',
		'clone_button' => __('Add More Event Tickets', 'music-night'),
	)
);