<?php
	
	
	function theevent_mailchimp_subscriber_status( $email, $status, $list_id, $api_key, $merge_fields = array('FNAME' => '','LNAME' => '') ){
		$data = array(
			'apikey'        => $api_key,
			'email_address' => $email,
			'status'        => $status,
			'merge_fields'  => $merge_fields
		);
		$mch_api = curl_init(); // initialize cURL connection
	 
		curl_setopt($mch_api, CURLOPT_URL, 'https://' . substr($api_key,strpos($api_key,'-')+1) . '.api.mailchimp.com/3.0/lists/' . $list_id . '/members/' . md5(strtolower($data['email_address'])));
		curl_setopt($mch_api, CURLOPT_HTTPHEADER, array('Content-Type: application/json', 'Authorization: Basic '.base64_encode( 'user:'.$api_key )));
		curl_setopt($mch_api, CURLOPT_USERAGENT, 'PHP-MCAPI/2.0');
		curl_setopt($mch_api, CURLOPT_RETURNTRANSFER, true); // return the API response
		curl_setopt($mch_api, CURLOPT_CUSTOMREQUEST, 'PUT'); // method PUT
		curl_setopt($mch_api, CURLOPT_TIMEOUT, 10);
		curl_setopt($mch_api, CURLOPT_POST, true);
		curl_setopt($mch_api, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($mch_api, CURLOPT_POSTFIELDS, json_encode($data) ); // send data in json
	 
		$result = curl_exec($mch_api);
		return $result;
	}
	
	function theevent_newsletter_mailchimp(){
		$musicnight_theme_option = get_option(PETCARE_SMALL_TITLE . '_admin_option', array());
		
		if( false && !check_ajax_referer('ajax-newsletter-nonce', 'security', false) ){
			
		}else{
				
			
			$email = $_POST['email_id'];
			$status = 'subscribed'; // "subscribed" or "unsubscribed" or "cleaned" or "pending"
			$list_id = $musicnight_theme_option['mail-chimp-listid']; // where to get it read above
			$api_key = $musicnight_theme_option['mail-chimp-api']; // where to get it read above
			$merge_fields = array('FNAME' => 'support','LNAME' => 'kodeforest');
			$result = json_decode(theevent_mailchimp_subscriber_status($email, $status, $list_id, $api_key, $merge_fields ),true);
			if( $result['status'] == 400 ){
				echo json_encode(array('fail'=>false, 'message'=>$result['detail']));			
			} elseif( $result['status'] == 'subscribed' ){
				echo json_encode(array('success'=>true, 'message'=>'Thank you. You have subscribed successfully'));
			}else{
				echo json_encode(array('fail'=>false, 'message'=>'mailchimp not working!'));			
			}
		}
		die();
	}
	
	
	function theevent_ajax_newsletter_mailchimp(){

		wp_register_script('wpmf-news-ltr', MUSICNIGHT_PATH.'/js/newsletter.js', array('jquery') ); 
		wp_enqueue_script('wpmf-news-ltr');

		wp_localize_script( 'wpmf-news-ltr', 'ajax_login_object', array( 'loadingmessage' => esc_html__('Sending user info, please wait...','music-night')));

		// Enable the user with no privileges to run newsletter_mailchimp() in AJAX
		add_action( 'wp_ajax_nopriv_newsletter_mailchimp', 'theevent_newsletter_mailchimp' );
		add_action( 'wp_ajax_newsletter_mailchimp', 'theevent_newsletter_mailchimp' );
	}	
	
	// Execute the action only if the user isn't logged in
	add_action('init', 'theevent_ajax_newsletter_mailchimp');	