<?php
	/*	
	*	Islamic Center Testimonial Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create testimonial item
	*	---------------------------------------------------------------------
	*/
	
	//Testimonial Listing
	if( !function_exists('musicnight_get_testimonial_item') ){
		function musicnight_get_testimonial_item( $settings ){
			
			// query posts section
			$args = array('post_type' => 'testimonial', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			//$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;

			if( !empty($settings['category']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'testimonial_category', 'field'=>'slug'));
				}
				// if( !empty($settings['tag'])){
					// array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'testimonial_tag', 'field'=>'slug'));
				// }				
			}			
			$query = new WP_Query( $args );
			
			// create the testimonial filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? '196' : $settings['num-excerpt'];
			$size = empty($settings['testi-size'])? '2' : $settings['testi-size'];
			
			if($settings['testimonial-style'] == 'grid-view'){
				$testimonial  = '';
			}
			else if($settings['testimonial-style'] == 'slider-view'){
				$testimonial  = '<div class="wpmf-client-slide" data-slide="'.esc_attr($settings['testi-size']).'">';
			}
			while($query->have_posts()){ $query->the_post();
				global $post;
					
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				
				if($settings['testimonial-style'] == 'grid-view'){
				$testimonial .= '
					<div class="' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">
						<div class="kode_client_text">
							<p>'.strip_tags(mb_substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
							<h6>'.esc_attr(get_the_title()).'</h6>
							<figure>
								'.get_the_post_thumbnail($post->ID, array(80,80)).'
							</figure>
							<figure class="fig_hover">
								'.get_the_post_thumbnail($post->ID, array(80,80)).'
							</figure>
						</div>
					</div>';
				}
				else if($settings['testimonial-style'] == 'slider-view'){
				$testimonial .= '
					<div>
						<div class="kode_client_text">
							<p>'.strip_tags(mb_substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
							<h6><a href="#">'.esc_attr(get_the_title()).'</a></h6>
							<figure>
								'.get_the_post_thumbnail($post->ID, array(80,80)).'
							</figure>
							<figure class="fig_hover">
								'.get_the_post_thumbnail($post->ID, array(80,80)).'
							</figure>
						</div>
					</div>';
				}
				//$current_size++;
			}
			if($settings['testimonial-style'] == 'slider-view'){
				$testimonial .= '</div>';
			}
					
			wp_reset_postdata();
			return $testimonial;
		}
	}
	
	
	//Testimonial Listing
	if( !function_exists('musicnight_get_testimonial_item_slider') ){
		function musicnight_get_testimonial_item_slider( $settings ){
			
			// query posts section
			$args = array('post_type' => 'testimonial', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '10': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			//$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;

			if( !empty($settings['category']) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'testimonial_category', 'field'=>'slug'));
				}
				
			}
			
			$query = new WP_Query( $args );
			
			// create the testimonial filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? '196' : $settings['num-excerpt'];
			$size = empty($settings['testi-size'])? '2' : $settings['testi-size'];
			$settings['testimonial-style'] = empty($settings['testimonial-style'])? '' : $settings['testimonial-style'];
			
			if(isset($settings['testimonial-style']) && $settings['testimonial-style'] == 'style-1'){
				$testimonial  = '<div class="church_testimonial_nav" data-slide="'.$settings['testi-size'].'">';
				
				while($query->have_posts()){ $query->the_post();
					global $post;
						
					$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
					if( !empty($musicnight_post_option) ){
						$musicnight_post_option = json_decode( $musicnight_post_option, true );					
					}
					
					
					$testimonial .= '
					 <div class="ch_testimonial_item">
						'.get_the_post_thumbnail($post->ID, array(90,90)).'
					</div>';
					
				}
				
				$testimonial .= '</div>';
				
				
				$testimonial  .= '<div class="church_testimonial_slider" data-slide="'.$settings['testi-size'].'">';
				
				while($query->have_posts()){ $query->the_post();
					global $post;
						
					$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
					if( !empty($musicnight_post_option) ){
						$musicnight_post_option = json_decode( $musicnight_post_option, true );					
					}
					
					
					$testimonial .= '
					<div class="testimonial_item">
						<p>'.strip_tags(mb_substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
						<span>- '.esc_attr(get_the_title()).'</span>
					</div>';
					
				}
				$testimonial .= '</div>';
			}else{
				
				
				
				$testimonial  = '<div class="slider_full">';
				
				while($query->have_posts()){ $query->the_post();
					global $post;
						
					$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
					if( !empty($musicnight_post_option) ){
						$musicnight_post_option = json_decode( $musicnight_post_option, true );					
					}
					
					
					$testimonial .= '
					<div class="item">
						<div class="testimonial_content">
							<figure>'.get_the_post_thumbnail($post->ID, array(80,80)).'</figure>
							<p>'.strip_tags(mb_substr(get_the_content(),0,$settings['num-excerpt'])).'</p>
							<a href="">Ryan Haris</a>
						</div>
					</div>';
					
				}
				
				$testimonial .= '</div>';
				
			}
			wp_reset_postdata();
			
			
			return $testimonial;
		}
	}	
	
?>