<?php
	/*	
	*	Islamic Center Testimonial Option file
	*	---------------------------------------------------------------------
	*	This file creates all testimonial options and attached to the theme
	*	---------------------------------------------------------------------
	*/
	
	// add a testimonial option to testimonial page
	if( is_admin() ){ add_action('after_setup_theme', 'musicnight_create_testimonial_options'); }
	if( !function_exists('musicnight_create_testimonial_options') ){
	
		function musicnight_create_testimonial_options(){
			global $musicnight_post_option;
			if(!isset($musicnight_post_option['sidebar-element'])){$musicnight_post_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				
					  
				// page option settings
				array(
					
					'page-option' => array(
						'title' => __('Page Option', 'music-night'),
						'options' => array(
							'page-caption' => array(
								'title' => __('Page Caption' , 'music-night'),
								'type' => 'textarea'
							),							
							'header-background' => array(
								'title' => __('Header Background Image' , 'music-night'),
								'button' => __('Upload', 'music-night'),
								'type' => 'upload',
							),	
						)
					),

				),
				
				// page option attribute
				array(
					'post_type' => array('testimonial'),
					'meta_title' => __('Testimonial Option', 'music-night'),
					'meta_slug' => 'testimonial-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
			
		}
	}	
	// add testimonial in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_testimonial_item');
	if( !function_exists('musicnight_register_testimonial_item') ){
		function musicnight_register_testimonial_item( $page_builder = array() ){
			global $musicnight_spaces;
		
			$page_builder['content-item']['options']['testimonial'] = array(
				'title'=> __('Testimonial', 'music-night'), 
				'icon'=>'fa-quote-left',
				'type'=>'item',
				'options'=>array(					
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('testimonial_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),					
					'testimonial-style'=> array(
						'title'=> __('Testimonial Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'grid-view' => __('Grid View', 'music-night'),
							'slider-view' => __('Slider View', 'music-night'),
						),
					),		
					'testi-size'=> array(
						'title'=> esc_html__('Testimonial Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => esc_html__('2 Column', 'music-night'),
							'3' => esc_html__('3 Column', 'music-night'),
							'4' => esc_html__('4 Column', 'music-night'),
												
						),
						'wrapper-class' => '',
						'default'=>'2'
					),					
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of testimonials you want to pull out.', 'music-night')
					),	
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20'
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			
			$page_builder['content-item']['options']['testimonial-slider'] = array(
				'title'=> __('Testimonial Slider', 'music-night'), 
				'icon'=>'fa-quote-left',
				'type'=>'item',
				'options'=>array(					
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('testimonial_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),					
					'testimonial-style'=> array(
						'title'=> __('Testimonial Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'style-1' => __('Style 1', 'music-night'),
							'style-2' => __('Style 2', 'music-night'),
						),
					),		
					'testi-size'=> array(
						'title'=> esc_html__('Testimonial Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => esc_html__('2 Column', 'music-night'),
							'3' => esc_html__('3 Column', 'music-night'),
							'4' => esc_html__('4 Column', 'music-night'),
							'5' => esc_html__('5 Column', 'music-night'),		
						),
						'wrapper-class' => 'testimonial-style-wrapper style-1-wrapper',
						'default'=>'2'
					),					
					
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20'
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			return $page_builder;
		}
	}
	
?>