<?php
/*
Plugin Name: KodeForest Testimonial
Plugin URI: 
Description: A Custom Post Type Plugin To Use With KodeForest Theme ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: KodeForest
Author URI: http://www.kodeforest.com
License: 
*/
include_once('wpmf-testimonial-item.php');
include_once('wpmf-testimonial-option.php');

// action to loaded the plugin translation file
add_action('plugins_loaded', 'musicnight_testimonial_init');
if( !function_exists('musicnight_testimonial_init') ){
	function musicnight_testimonial_init() {
		load_plugin_textdomain( 'music-night', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
	}
}

// add action to create testimonial post type
add_action( 'init', 'musicnight_create_testimonial' );
if( !function_exists('musicnight_create_testimonial') ){
	function musicnight_create_testimonial() {
		global $musicnight_post_option;
		
		if( !empty($musicnight_post_option['testimonial-slug']) ){
			$testimonial_slug = $musicnight_post_option['testimonial-slug'];
			$testimonial_category_slug = $musicnight_post_option['testimonial-category-slug'];
			$testimonial_tag_slug = $musicnight_post_option['testimonial-tag-slug'];
		}else{
			$testimonial_slug = 'testimonial';
			$testimonial_category_slug = 'testimonial_category';
			$testimonial_tag_slug = 'testimonial_tag';
		}
		
		register_post_type( 'testimonial',
			array(
				'labels' => array(
					'name'               => __('Testimonial', 'music-night'),
					'singular_name'      => __('Testimonial', 'music-night'),
					'add_new'            => __('Add New', 'music-night'),
					'add_new_item'       => __('Add New Testimonial', 'music-night'),
					'edit_item'          => __('Edit Testimonial', 'music-night'),
					'new_item'           => __('New Testimonial', 'music-night'),
					'all_items'          => __('All Testimonials', 'music-night'),
					'view_item'          => __('View Testimonial', 'music-night'),
					'search_items'       => __('Search Testimonial', 'music-night'),
					'not_found'          => __('No Teams found', 'music-night'),
					'not_found_in_trash' => __('No Teams found in Trash', 'music-night'),
					'parent_item_colon'  => '',
					'menu_name'          => __('Testimonial', 'music-night')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,
				'rewrite'            => array( 'slug' => $testimonial_slug  ),
				'capability_type'    => 'post',
				'menu_icon'    		=> 'dashicons-pressthis',
				'has_archive'        => true,
				'hierarchical'       => false,
				'menu_position'      => 30,
				'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments', 'custom-fields' )
			)
		);
		
		// create testimonial categories
		register_taxonomy(
			'testimonial_category', array("testimonial"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => __('Categories', 'music-night'), 
				'singular_label' => __('Category', 'music-night'), 
				'rewrite' => array( 'slug' => $testimonial_category_slug  )));
		register_taxonomy_for_object_type('testimonial_category', 'testimonial');
		

	}
}

// add filter for adjacent testimonial 
add_filter('get_previous_post_where', 'musicnight_testimonial_post_where', 10, 2);
add_filter('get_next_post_where', 'musicnight_testimonial_post_where', 10, 2);
if(!function_exists('musicnight_testimonial_post_where')){
	function musicnight_testimonial_post_where( $where, $in_same_cat ){ 
		global $post; 
		if ( $post->post_type == 'testimonial' ){
			$current_taxonomy = 'testimonial_category'; 
			$cat_array = wp_get_object_terms($post->ID, $current_taxonomy, array('fields' => 'ids')); 
			if($cat_array){ 
				$where .= " AND tt.taxonomy = '$current_taxonomy' AND tt.term_id IN (" . implode(',', $cat_array) . ")"; 
			} 
			}
		return $where; 
	} 	
}
	
add_filter('get_previous_post_join', 'musicnight_get_testimonial_post_join', 10, 2);
add_filter('get_next_post_join', 'musicnight_get_testimonial_post_join', 10, 2);	
if(!function_exists('musicnight_get_testimonial_post_join')){
	function musicnight_get_testimonial_post_join($join, $in_same_cat){ 
		global $post, $wpdb; 
		if ( $post->post_type == 'testimonial' ){
			$current_taxonomy = 'testimonial_category'; 
			if(wp_get_object_terms($post->ID, $current_taxonomy)){ 
				$join .= " INNER JOIN $wpdb->term_relationships AS tr ON p.ID = tr.object_id INNER JOIN $wpdb->term_taxonomy tt ON tr.term_taxonomy_id = tt.term_taxonomy_id"; 
			} 
		}
		return $join; 
	}
}
include_once('wpmf-testimonial-element.php');
?>