<?php
	/*	
	*	Islamic Center Video Listing
	*	---------------------------------------------------------------------
	*	This file contains functions that help you create video item
	*	---------------------------------------------------------------------
	*/
	
	//Video Listing
	if( !function_exists('musicnight_get_video_item') ){
		function musicnight_get_video_item( $settings ){
			
			// query posts section
			$args = array('post_type' => 'video', 'suppress_filters' => false);
			$args['posts_per_page'] = (empty($settings['num-fetch']))? '5': $settings['num-fetch'];
			$args['orderby'] = (empty($settings['orderby']))? 'post_date': $settings['orderby'];
			$args['order'] = (empty($settings['order']))? 'desc': $settings['order'];
			$settings['padding'] = (empty($settings['padding']))? ' ': $settings['padding'];
			$args['paged'] = (get_query_var('paged'))? get_query_var('paged') : 1;

			if( !empty($settings['category']) || (!empty($settings['tag'])) ){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($settings['category']) ){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['category']), 'taxonomy'=>'video_category', 'field'=>'slug'));
				}
				if( !empty($settings['tag'])){
					array_push($args['tax_query'], array('terms'=>explode(',', $settings['tag']), 'taxonomy'=>'video_tag', 'field'=>'slug'));
				}				
			}			
			$query = new WP_Query( $args );

			// create the video filter
			$settings['num-excerpt'] = empty($settings['num-excerpt'])? 0: $settings['num-excerpt'];
			$settings['video-column'] = empty($settings['video-column'])? 4: $settings['video-column'];
			
			$size = $settings['video-column'];
			if($settings['video-style'] == 'grid-view' && $settings['layout'] == 'without-slider'){
				$size = $settings['video-column'];
				$video  = '<div class="wpmf-video-slide col-md-12 '.esc_attr($settings['padding']).'"><div class="row">';
			}else if($settings['video-style'] == 'grid-view' && $settings['layout'] == 'with-slider'){
				$size = $settings['video-column'];
				$video  = '<div class="wpmf-video-slide scholors-slider '.esc_attr($settings['padding']).'" data-slide="4">';
			}else if($settings['video-style'] == 'normal-view' && $settings['layout'] == 'without-slider'){
				$size = $settings['video-column'];
				$video  = '<div class="wpmf-video-slide col-md-12 '.esc_attr($settings['padding']).'"><div class="row">';
			}else if($settings['video-style'] == 'normal-view' && $settings['layout'] == 'with-slider'){
				$size = $settings['video-column'];
				$video  = '<div class="wpmf-video-slide scholors-slider '.esc_attr($settings['padding']).'" data-slide="4">';
			}else{
				$size = $settings['video-column'];
				$video  = '<div class="wpmf-video wpmf-video-classic col-md-12 '.esc_attr($settings['padding']).'"><div class="row">';
			}
			$settings['title-num-excerpt'] = (empty($settings['title-num-excerpt']))? '15': $settings['title-num-excerpt'];
			$current_size = 0;
			while($query->have_posts()){ $query->the_post();
				global $musicnight_post_option,$post,$musicnight_post_settings;
				$musicnight_post_option = musicnight_decode_stopbackslashes(get_post_meta(get_the_ID(), 'post-option', true ));
				if( !empty($musicnight_post_option) ){
					$musicnight_post_option = json_decode( $musicnight_post_option, true );					
				}
				$designation = empty($musicnight_post_option['designation'])? 'Active Nun': $musicnight_post_option['designation'];
				$facebook = empty($musicnight_post_option['facebook'])? '#': $musicnight_post_option['facebook'];
				$twitter = empty($musicnight_post_option['twitter'])? '#': $musicnight_post_option['twitter'];
				$linkedin = empty($musicnight_post_option['linkedin'])? '#': $musicnight_post_option['linkedin'];
				if( $current_size % $size == 0 ){
					$video .= '<div class="clearfix clear"></div>';
				}	
				if($settings['video-style'] == 'grid-view'){
					if($settings['layout'] == 'without-slider'){
						$video .= '<div class=" col-sm-4 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$video .= '<div class="slider-item-video">';
					}
					$video .= '
						
						<div class="msl-video-thumb">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
							</figure>
							<div class="text ab">
								<h6 class="video-title"><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h6>
								<div class="clearfix clear"></div>
								<span>'.esc_attr($designation).'</span>
								<div class="clearfix clear"></div>
								<p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
								<ul class="msl-social social-radius">';
									if(isset($facebook) && $facebook <> ''){
										$video .= '<li><a href="'.esc_url($facebook).'"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>';
									}
									if(isset($twitter) && $twitter <> ''){
										$video .= '<li><a href="'.esc_url($twitter).'"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>';
									}
									if(isset($youtube) && $youtube <> ''){
										$video .= '<li><a href="'.esc_url($youtube).'"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>';
									}
									if(isset($linkedin) && $linkedin <> ''){
										$video .= '<li><a href="'.esc_url($linkedin).'"><i class="fa fa-camera" aria-hidden="true"></i></a></li>';
									}
									$video .= '
								</ul>
							</div>
						</div>
					</div>';
				}else if($settings['video-style'] == 'normal-view'){
					if($settings['layout'] == 'without-slider'){
						$video .= '<div class=" col-sm-4 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$video .= '<div class="slider-item-video">';
					}
					$video .= '
					<div class="kf_boost_item">
						<figure>
							'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
						</figure>
						<div class="kf_boost_text text_2 ">
							<ul class="kf_meta">
								<li><a href="#">Business.</a></li>
								<li><a href="#">Creative.</a></li>
							</ul>
							<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
							<ul class="kf_meta meta_2">
								<li><a href="#">Monica James</a></li>
								<li><a href="#">February 8, 2017, 6:56 am</a></li>
								<li><a class="kf_color" href="#"><i class="fa fa-comment"></i>0</a></li>
							</ul>
						</div>
					</div>';
					$videorrr .= '
						<div class="msl-featured-thumb video-list-thumb">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								<a class="video-play" href="'.esc_url(get_permalink()).'"><i class="icon-multimedia-1"></i></a>
							</figure>
							<div class="text">
								<!--Featured Title Start-->
								<h4 class="featured-title">
									<a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a>
								</h4>
								<!--Featured Title End-->
								<!--Featured Meta Start-->
								<div class="blog-post-meta">
									<div class="blog-info blog-admin">
										<a href="'.esc_url(get_permalink()).'">Arditta Colle -</a>
										<span>25 July, 2017</span>
									</div>
									<div class="blog-info blog-comment">
										<span>4 Comments  <i class="fa fa-comment-o"></i></span>
									</div>
								</div>
								<!--Featured Meta End-->
								<p>'.esc_attr(substr(strip_tags(get_the_content()),0,$settings['num-excerpt'])).'</p>
							</div>
						</div>';
					$video .= '
					</div>';
				}else if($settings['video-style'] == 'modern-view'){
					if($settings['layout'] == 'without-slider'){
						$video .= '<div class=" col-sm-4 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$video .= '<div class="slider-item-video">';
					}
					$video .= '
						<div class="featured-video dj-listing">
							<article>
								<figure>
									<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
									<figcaption>
										<div class="inn-caption">
											<h4><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr(get_the_title()).'</a></h4>
											<p><a href="'.esc_url(get_permalink()).'" class="colorhover">Dan Croll - </a> <a href="#" class="colorhover">From Nowhere</a></p>
										</div>
									</figcaption>
								</figure>
								<div class="user-text">
									<div class="sec">
										<h5><a href="'.esc_url(get_permalink()).'" class="colorhover">'.esc_attr(get_the_title()).'</a></h5>
										<p>'.esc_attr($designation).'</p>
									</div>
								</div>
							</article>
						</div>
					</div>';
				}else if($settings['video-style'] == 'simple-view'){
					if($settings['layout'] == 'without-slider'){
						$video .= '<div class=" col-sm-4 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$video .= '<div class="slider-item-video">';
					}
						$video .= '
						<div class="video_track_list">
							<figure>
								'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'
								<div class="video_album_list list_2 list_3">
									<a href="'.esc_url(get_permalink()).'"><i class="fa fa-play"></i></a>
									<div class="video_album_text">
										<h2>'.esc_attr(get_the_title()).'</h2>
									</div>
								</div>
							</figure>
						</div>
					</div>';
				}else {
					if($settings['layout'] == 'without-slider'){
						$video .= '<div class=" col-sm-4 col-xs-6 ' . esc_attr(musicnight_get_column_class('1/' . $size)) . '">';
					}else{
						$video .= '<div class="slider-item-video">';
					}
					$video .= '
					<div class="featured-video">
						<article>
							<figure>
								<a href="'.esc_url(get_permalink()).'">'.get_the_post_thumbnail($post->ID, $settings['thumbnail-size']).'</a>
								<figcaption>
									<a href="'.esc_url(get_permalink()).'"></a>
									<div class="social-network">';
										if(isset($facebook) && $facebook <> ''){
											$video .= '<a class="facebook" href="'.esc_url($facebook).'"><i class="fa fa-facebook fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($twitter) && $twitter <> ''){
											$video .= '<a class="twitter" href="'.esc_url($twitter).'"><i class="fa fa-twitter fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($youtube) && $youtube <> ''){
											$video .= '<a class="vimeo" href="'.esc_url($youtube).'"><i class="fa fa-youtube fa-2x" aria-hidden="true"></i></a>';
										}
										if(isset($linkedin) && $linkedin <> ''){
											$video .= '<a class="pin" href="'.esc_url($linkedin).'"><i class="fa fa-camera fa-2x" aria-hidden="true"></i></a>';
										}
										$video .= '
									</div>
								</figcaption>
							</figure>
							<div class="user-text">
								<a class="user-icon webkit" href="'.esc_url(get_permalink()).'"><i class="fa fa fa-user fa-2x"></i></a>
								<div class="sec">
									<h5><a href="'.esc_url(get_permalink()).'">'.esc_attr(get_the_title()).'</a></h5>
									<p>'.esc_attr($designation).'</p>
								</div>
							</div>
						</article>
					</div>
				</div>';
				}
				$current_size++;
			}
			if( $settings['pagination'] == 'enable' ){
				$video .= '<div class="col-md-12">'.musicnight_get_pagination($query->max_num_pages, $args['paged']).'</div>';
			}
			if($settings['video-style'] == 'grid-view' && $settings['layout'] == 'without-slider'){				
				$video .= '</div></div>';
			}else if($settings['video-style'] == 'grid-view' && $settings['layout'] == 'with-slider'){				
				$video .= '</div>';
			}else{
				$video .= '</div></div>';	
			}		
			return $video;
		}
	}	//Video Listing

	
	function musicnight_get_single_video_item( $settings ){
		$video_post = get_post($settings['video_post']);
		echo '
			<div class="col-md-12">
			<div class="video_track_list">
				<div class="video_track_list">
					<figure>
						'.get_the_post_thumbnail($video_post->ID, $settings['thumbnail_size']).'
						<div class="video_album_list list_2">
							<a href="'.esc_url(get_permalink($video_post->ID)).'"><i class="fa fa-play"></i></a>
							<div class="video_album_text">
								<h2>'.esc_attr(get_the_title($video_post->ID)).'</h2>
							</div>
						</div>
					</figure>
				</div>
			</div>
			</div>';
	}
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_video($post_id) {
		global $post,$musicnight_theme_option;
		$cats = wp_get_post_terms($post_id, 'video_category', array("fields" => "all"));
		$cat_arr = '';
		if($cats) {
			$cat_array = array();
			foreach( $cats as $cat ) {
				$cat_arr .= $cat->slug . ',';			
			}
			
			if( !empty($cat_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				array_push($args['tax_query'], array('terms'=>explode(',', $cat_arr), 'taxonomy'=>'video_category', 'field'=>'slug'));
								
			}
			
			$args['post_type'] = 'video';
			$args['numberposts'] = 4;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );			
			if($related_posts) {			
				echo '
				<div class="video-section-related">
					<div class="kode_hdg_1">
						<h6>Related Video & Movies</h6>
						<h4>Other Video</h4>
					</div>
					<div class="row">';
					foreach ( $related_posts as $post ) : setup_postdata( $post );
						$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), array(350,350));
						$musicnight_video_option = musicnight_decode_stopbackslashes(get_post_meta($post->ID, 'post-option', true ));
						if( !empty($musicnight_video_option) ){
							$musicnight_video_option = json_decode( $musicnight_video_option, true );					
						}
						$video_url = empty($musicnight_video_option['video_url'])? '': $musicnight_video_option['video_url'];
						$video_size = empty($musicnight_video_option['video_size'])? '': $musicnight_video_option['video_size'];
						$twitter = empty($musicnight_video_option['twitter'])? '': $musicnight_video_option['twitter'];
						$linkedin = empty($musicnight_video_option['linkedin'])? '': $musicnight_video_option['linkedin'];
						$google = empty($musicnight_video_option['google'])? '': $musicnight_video_option['google'];
						?>
						<div class="col-md-3 col-sm-6 col-xs-6">
							<div class="singles-columns">
								<figure>
									<?php 
									echo get_the_post_thumbnail($post->ID, array(350,350));
									//musicnight_get_video($video_url,$video_size);
									?>
									<div class="overflow-caption">
										<a href="<?php echo esc_url(get_permalink());?>"></a>
									</div>
									<div class="uppercase-content">
										<h5><a href="<?php echo esc_url(get_permalink());?>"><?php echo esc_attr(mb_substr(get_the_title(),0,20));?></a></h5>
									</div>
								</figure>
							</div>
						</div>
					<?php endforeach;
					echo '</div></div>';
			}	wp_reset_postdata();
		}
	}	
	
	
	// Related Posts Function, matches posts by tags - call using joints_related_posts(); )
	function musicnight_related_video_posts($post_id) {
		global $post,$musicnight_theme_option;
		$tags = wp_get_post_tags( $post_id );	
		$tags = wp_get_post_terms( $post_id, 'video_tag', array( 'fields' => 'all' ) );				
		$tag_arr = '';
		if($tags) {
			foreach( $tags as $tag ) {
				$tag_arr .= $tag->slug . ',';
			}
			if( !empty($tag_arr)){
				$args['tax_query'] = array('relation' => 'OR');
				
				if( !empty($tag_arr)){
					array_push($args['tax_query'], array('terms'=>explode(',', $tag_arr), 'taxonomy'=>'video_tag', 'field'=>'slug'));
				}				
			}
			
			$args['post_type'] = 'video';
			$args['numberposts'] = 3;
			$args['post__not_in'] = array($post_id);
			
			$related_posts = get_posts( $args );
			if($related_posts) {
				echo '
				<!--KODE TEAM WRAP START-->
				<div class="kode_video_wrap">
					<!--CONTAINER START-->
					<div class="container">
						<!--SECTION HDG START-->
						<div class="section_hdg hdg_2 hdg_3">
							<a href="#"><img src="images/hdg-img.png" alt=""></a>
							<h3>'.esc_attr__("Recommended For You",'music-night').'</h3>
							<span><i class="fa icon-building"></i></span>
						</div>';
						
						?>
						<!--SECTION HDG END-->
						<div class="wpmf-video-slide" data-slide="4">
							<?php foreach ( $related_posts as $post ) : setup_postdata( $post );
							$image_src = wp_get_attachment_image_src(get_post_thumbnail_id(), $musicnight_theme_option['recommended-thumbnail-size']);
							if(!empty($image_src)){ ?>
							<div>
								<div class="kode_tem_fig">
									<figure>
										<img alt="<?php the_title(); ?>" src="<?php echo esc_url($image_src[0])?>">
										<figcaption>
											<h4><a title="<?php the_title_attribute(); ?>" href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_attr(substr(get_the_title(),0,15)); ?></a></h4>
											<p><?php echo esc_attr(substr(get_the_content(),0,90));?></p>
											<ul class="kode_social_icon">
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-facebook"></i></a></li>
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-twitter"></i></a></li>
												<li><a class="hvr-ripple-out" href="#"><i class="fa fa-tumblr"></i></a></li>
											</ul>
										</figcaption>
									</figure>
								</div>
							</div>
							<?php }
						endforeach;
					echo '</div>';
				echo '</div>';	
			echo '</div>';	
			} wp_reset_postdata();
		}
	}
	
	
	if( !function_exists('musicnight_get_video_info') ){
		function musicnight_get_video_info( $id,$array = array(), $wrapper = true, $sep = '',$custom_wrap='div' ){
			global $musicnight_theme_option; $ret = '';
			
			if( empty($array) ) return $ret;
			$exclude_meta = empty($musicnight_theme_option['post-meta-data'])? array(): esc_attr($musicnight_theme_option['post-meta-data']);
			
			foreach($array as $post_info){
				if( in_array($post_info, $exclude_meta) ) continue;
				if( !empty($sep) ) $ret .= $sep;
				
				switch( $post_info ){
					case 'time':
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-time"><i class="fa fa-clock-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_time());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'date':
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-date"><i class="fa fa-calendar-o"></i>';
						$ret .= '<a href="' . esc_url(get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d'))) . '">';
						$ret .= esc_attr(get_the_date());
						$ret .= '</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';	
						break;
					case 'tag':
						$tag = get_the_term_list($id, 'video_tag', '', '<span class="sep">,</span> ' , '' );
						if(empty($tag)) break;					
						
						$ret .= '<'.esc_attr($custom_wrap).' class=""><span><i class="fa fa-tag" aria-hidden="true"></i> '.esc_attr__('tags:','music-night').'</span>';
						$ret .= $tag;						
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'category':
						$category = get_the_term_list(get_the_ID(), 'video_category', '', '<span class="sep">,</span> ' , '' );
						if(empty($category)) break;
						
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-category"><i class="fa fa-list"></i>';
						$ret .= $category;					
						$ret .= '</'.esc_attr($custom_wrap).'>';					
						break;
					case 'comment':
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-comment"><i class="fa fa-comment-o"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '#respond" >' . esc_attr(get_comments_number()) . ' ' . esc_html__('Comment','music-night').'</a>';						
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;
					case 'views':
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-views"><i class="fa fa-eye"></i>';
						$ret .= '<a href="' . esc_url(get_permalink()) . '" >' . esc_attr(musicnight_get_post_views(get_the_ID())) . ' ' . esc_html__('Views','music-night').'</a>';
						$ret .= '</'.esc_attr($custom_wrap).'>';							
						break;	
					case 'author':
						ob_start();
						the_author_posts_link();
						$author = ob_get_contents();
						ob_end_clean();
						
						$ret .= '<'.esc_attr($custom_wrap).' class="video-info video-author"><i class="fa fa-user"></i> ';
						$ret .= $author;
						$ret .= '</'.esc_attr($custom_wrap).'>';						
						break;						
				}
			}
			
			
			if($wrapper && !empty($ret)){
				return '<div class="wpmf-video-info wpmf-info">' . $ret . '<div class="clear"></div></div>';
			}else if( !empty($ret) ){
				return $ret;
			}
			return '';
		}
	}
	
	
?>