<?php
	/*	
	*	Islamic center scholor Option file
	*	---------------------------------------------------------------------
	*	This file creates all scholor options and attached to the theme
	*	---------------------------------------------------------------------
	*/
	
	if( is_admin() ){ add_action('init', 'musicnight_create_video_item_options'); }
	if( !function_exists('musicnight_create_video_item_options') ){
	
		function musicnight_create_video_item_options(){
			global $musicnight_theme_option;
			if(!isset($musicnight_theme_option['sidebar-element'])){$musicnight_theme_option['sidebar-element'] = array('blog','contact');}
			if( !class_exists('musicnight_page_options') ) return;
			new musicnight_page_options( 
				
				// page option settings
				array(
					'page-layout' => array(
						'title' => __('Page Layout', 'music-night'),
						'options' => array(
							'sidebar' => array(
								'type' => 'radioimage',
								'description' => 'Please select the side bar position from here.',
								'options' => array(
									'no-sidebar'=>		MUSICNIGHT_PATH . '/framework/include/backend_assets/images/no-sidebar.png',
									'both-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/both-sidebar.png', 
									'right-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/right-sidebar.png',
									'left-sidebar'=>	MUSICNIGHT_PATH . '/framework/include/backend_assets/images/left-sidebar.png'
								),
								'default' => 'no-sidebar'
							),	
							'left-sidebar' => array(
								'title' => __('Left Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper left-sidebar-wrapper both-sidebar-wrapper'
							),
							'right-sidebar' => array(
								'title' => __('Right Sidebar' , 'music-night'),
								'type' => 'combobox_sidebar',
								'options' => $musicnight_theme_option['sidebar-element'],
								'wrapper-class' => 'sidebar-wrapper right-sidebar-wrapper both-sidebar-wrapper'
							),						
						)
					),
					
					'page-option' => array(
						'title' => __('Video URL and Video Size Configuration', 'music-night'),
						'options' => array(
							'video_url' => array(
								'title' => __('Video URL' , 'music-night'),
								'type' => 'text',
								'description' => 'Please enter the video URL here.',
							),
							'video-thumbnail-size' => array(
								'title' => esc_html__('Select Video Size', 'music-night'),
								'type'=> 'combobox',
								'options'=> musicnight_get_thumbnail_list(),
								'default'=> 'ecofriendly-post-thumbnail-size'
							),							
						)
					),

				),
				// page option attribute
				array(
					'post_type' => array('video'),
					'meta_title' => __('Video Option', 'music-night'),
					'meta_slug' => 'video-page-option',
					'option_name' => 'post-option',
					'position' => 'normal',
					'priority' => 'high',
				)
			);
		}
	}	
	
	// add_filter('musicnight_themeoption_panel', 'musicnight_register_video_options');
	if( !function_exists('musicnight_register_video_options') ){
		function musicnight_register_video_options( $array ){	
			global $musicnight_theme_option;
			
			$video_settings =  array(
				'title' => esc_html__('Single Video Settings', 'music-night'),
				'options' => array(
					'single-video-comments'=> array(
						'title'=> __('Enable Single Video Comments' ,'music-night'),
						'type'=> 'checkbox'
					),
				)
			);
	
			$array['video-options']['options']['video-settings'] = $video_settings;		
			return $array;
		}
	}
	
	// add video in page builder area
	add_filter('musicnight_page_builder_option', 'musicnight_register_video_item');
	if( !function_exists('musicnight_register_video_item') ){
		function musicnight_register_video_item( $page_builder = array() ){
			global $musicnight_spaces;
		
			$page_builder['content-item']['options']['video'] = array(
				'title'=> __('Video', 'music-night'), 
				'icon'=>'fa-user',
				'type'=>'item',
				'options'=>array(					
					'category'=> array(
						'title'=> __('Category' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('video_category'),
						'description'=> __('You can use Ctrl/Command button to select multiple categories or remove the selected category. <br><br> Leave this field blank to select all categories.', 'music-night')
					),	
					'tag'=> array(
						'title'=> __('Tag' ,'music-night'),
						'type'=> 'multi-combobox',
						'options'=> musicnight_get_term_list('video_tag'),
						'description'=> __('Will be ignored when the video filter option is enabled.', 'music-night')
					),					
					'video-style'=> array(
						'title'=> __('Video Style' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'grid-view' => __('Grid View', 'music-night'),
							'normal-view' => __('Normal View', 'music-night'),							
							'simple-view' => __('Simple View', 'music-night')
						),
					),	
					'layout'=> array(
						'title'=> __('Select Layout' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'without-slider' => __('Without Slider', 'music-night'),
							'with-slider' => __('With Slider', 'music-night'),
						),
						'default'=> 'without-slider',
						'wrapper-class' => 'video-style-wrapper normal-view-wrapper grid-view-wrapper',
					),
					'padding'=> array(
						'title'=> __('Select Padding' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'without-padding' => __('Without Padding', 'music-night'),
							'with-padding' => __('With Padding', 'music-night'),
						),
						'default'=> 'without-slider',						
					),
					'thumbnail-size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),
						'wrapper-class' => 'grid-view-wrapper normal-view-wrapper video-style-wrapper',
						'default'=> 'wpmf-post-thumbnail-size'
					),
					'video-column'=> array(
						'title'=> __('Video Column Size' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'2' => __('2 Column', 'music-night'),
							'3' => __('3 Column', 'music-night'),
							'4' => __('4 Column', 'music-night'),
							'6' => __('6 Column', 'music-night')
						),
						'wrapper-class' => '',
					),						
					'num-fetch'=> array(
						'title'=> __('Num Fetch' ,'music-night'),
						'type'=> 'text',	
						'default'=> '8',
						'description'=> __('Specify the number of videos you want to pull out.', 'music-night')
					),
					'title-num-excerpt'=> array(
						'title'=> __('Title Num Length' ,'music-night'),
						'type'=> 'text',	
						'default'=> '15',
						'description'=> __('This is a number of word (decided by spaces) that you want to show on the video title. <strong>Use 0 to hide the excerpt, -1 to show full posts and use the wordpress more tag</strong>.', 'music-night')
					),
					'num-excerpt'=> array(
						'title'=> __('Num Excerpt' ,'music-night'),
						'type'=> 'text',	
						'default'=> '20',						
					),
					'orderby'=> array(
						'title'=> __('Order By' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'date' => __('Publish Date', 'music-night'), 
							'title' => __('Title', 'music-night'), 
							'rand' => __('Random', 'music-night'), 
						)
					),
					'order'=> array(
						'title'=> __('Order' ,'music-night'),
						'type'=> 'combobox',
						'options'=> array(
							'desc'=>__('Descending Order', 'music-night'), 
							'asc'=> __('Ascending Order', 'music-night'), 
						)
					),			
					'pagination'=> array(
						'title'=> __('Enable Pagination' ,'music-night'),
						'type'=> 'checkbox'
					),					
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			
			$page_builder['content-item']['options']['single-video'] = array(
				'title'=> __('Single Video', 'music-night'), 
				'icon'=>'fa-user',
				'type'=>'item',
				'options'=>array(					
					'video_post'=> array(
						'title'=> __('Video Post' ,'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_post_list_id('video'),
					),	
					'thumbnail_size' => array(
						'title' => esc_html__('Thumbnail Size', 'music-night'),
						'type'=> 'combobox',
						'options'=> musicnight_get_thumbnail_list(),						
						'default'=> 'wpmf-post-thumbnail-size'
					),
					'margin-bottom' => array(
						'title' => __('Margin Bottom', 'music-night'),
						'type' => 'text',
						'default' => '',
						'description' => __('Spaces after ending of this item', 'music-night')
					),				
				)
			);
			
			return $page_builder;
		}
	}
	
?>