<?php
/*
Plugin Name: KodeForest Video
Plugin URI: 
Description: A Custom Post Type Plugin To Use With KodeForest Theme ( This plugin functionality might not working properly on another theme )
Version: 1.0.0
Author: KodeForest
Author URI: http://www.kodeforest.com
License: 
*/

include_once( 'wpmf-video-item.php');	
include_once( 'wpmf-video-option.php');
// action to loaded the plugin translation file
add_action('plugins_loaded', 'bethany_video_init');
if( !function_exists('bethany_video_init') ){
	function bethany_video_init() {
		load_plugin_textdomain( 'music-night', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
	}
}

register_activation_hook(__FILE__,'wpha_create_voting_table');
function wpha_create_voting_table(){
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	global $wpdb;
	
	// for payment transaction
	$table_name = 'wp_votusers';
	$sql = "CREATE TABLE $table_name (
		`day` INT(2), 
		`voter` VARCHAR(15), 
		`item` VARCHAR(200) NOT NULL DEFAULT ''
	) DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;";
	dbDelta( $sql );	

	$table_name = 'wp_voting';
	$sql = "CREATE TABLE $table_name (
		`item` VARCHAR(200) PRIMARY KEY NOT NULL DEFAULT '',
		`vote` INT(10) NOT NULL DEFAULT 0,
		`nvotes` INT(9) NOT NULL DEFAULT 1
	) DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;";
	dbDelta( $sql );	
	
}

// add action to create video post type
add_action( 'init', 'bethany_create_video' );
if( !function_exists('bethany_create_video') ){
	function bethany_create_video() {
		global $bethany_theme_option;
				
		$video_slug = 'video';
		$video_category_slug = 'video_category';
		$video_tag_slug = 'video_tag';		
		
		register_post_type( 'video',
			array(
				'labels' => array(
					'name'               => __('Video', 'music-night'),
					'singular_name'      => __('Video', 'music-night'),
					'add_new'            => __('Add New', 'music-night'),
					'add_new_item'       => __('Add New Video', 'music-night'),
					'edit_item'          => __('Edit Video', 'music-night'),
					'new_item'           => __('New Video', 'music-night'),
					'all_items'          => __('All Video', 'music-night'),
					'view_item'          => __('View Video', 'music-night'),
					'search_items'       => __('Search Video', 'music-night'),
					'not_found'          => __('No Video found', 'music-night'),
					'not_found_in_trash' => __('No Video found in Trash', 'music-night'),
					'parent_item_colon'  => '',
					'menu_name'          => __('Video', 'music-night')
				),
				'public'             => true,
				'publicly_queryable' => true,
				'rewrite' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,				
				'rewrite'            => array( 'slug' => $video_slug  ),
				'capability_type'    => 'post',
				'menu_icon'    		=> 'dashicons-admin-users',
				'has_archive'        => true,
				'hierarchical'       => true,
				'menu_position'      => 5,
				'supports'           => array( 'title', 'editor','thumbnail', 'excerpt', 'comments', 'custom-fields' )
			)
		);
		
		// create video categories
		register_taxonomy(
			'video_category', array("video"), array(
				'hierarchical' => true,
				'show_admin_column' => true,
				'label' => __('Video Categories', 'music-night'), 
				'singular_label' => __('Video Category', 'music-night'), 
				'rewrite' => array( 'slug' => $video_category_slug  )));
		register_taxonomy_for_object_type('video_category', 'video');
		
		// create video tag
		register_taxonomy(
			'video_tag', array('video'), array(
				'hierarchical' => false, 
				'show_admin_column' => true,
				'label' => __('Video Tags', 'music-night'), 
				'singular_label' => __('Video Tag', 'music-night'),  
				'rewrite' => array( 'slug' => $video_tag_slug  )));
		register_taxonomy_for_object_type('video_tag', 'video');	

		// add filter to style single template
		add_filter('single_template', 'bethany_register_video_template');
		
	}
}

if( !function_exists('bethany_register_video_template') ){
	function bethany_register_video_template($single_template) {
		global $post,$bethany_theme_option;
		
		if ($post->post_type == 'video') {
			$single_template = dirname( __FILE__ ) . '/single-video.php';
		}
		return $single_template;	
	}
}

if(!is_admin()){
	add_action('wp_enqueue_scripts','bethany_get_video_scripts');
}

if( !function_exists('bethany_get_video_scripts') ){
	function bethany_get_video_scripts(){
		global $post,$post_id,$bethany_content_raw,$bethany_post_option,$bethany_theme_option;	
		
		wp_register_script('wpmf-voting', plugin_dir_url( __FILE__ ).'/voter/voter-includes/voting.js', false, '1.0', true);
		wp_localize_script('wpmf-voting', 'ajax_var', array('PLUGIN_PATH' => plugin_dir_url( __FILE__ ),'KODEPATH' => MUSICNIGHT_PATH));
		wp_enqueue_script('wpmf-voting');
		wp_enqueue_style( 'wpmf-voting', plugin_dir_url( __FILE__ ) . '/voter/voter-includes/voting.css' );  //prettyphoto
		
	}
}
			
include_once( 'wpmf-video-element.php');


